import { Comparator, Group, GroupCollapseStyle, ObjectOrChildModel, WidgetModel } from '../index';
export interface AccordionModel extends WidgetModel {
    /**
     * The comparator used to sort the groups. If no comparator is set, the groups will be displayed according to theirs insertion order.
     *
     * Default is false.
     */
    comparator?: Comparator<Group>;
    /**
     * Specifies where the collapse handle should be displayed.
     *
     * Default is {@link GroupCollapseStyle.LEFT}
     */
    collapseStyle?: GroupCollapseStyle;
    /**
     * If true, only one group can be expanded at a time. If one group gets expanded, all other groups will be collapsed automatically.
     *
     * Default is true.
     */
    exclusiveExpand?: boolean;
    /**
     * The groups to be displayed inside the accordion.
     *
     * Default is [].
     */
    groups?: ObjectOrChildModel<Group>[];
    scrollable?: boolean;
}
//# sourceMappingURL=AccordionModel.d.ts.map