import { Calendar, CalendarComponentMoveEvent, Event, JsonDateRange, ModelAdapter, ResourceVisibilityChangeEvent, SelectedResourceChangeEvent } from '../index';
export declare class CalendarAdapter extends ModelAdapter {
    widget: Calendar;
    constructor();
    /**
     * We must send the view-range to the client-model on the server. The view-range is determined by the UI.
     * Thus, the calendar cannot be completely initialized without the view-range from the UI.
     * @internal
     */
    _postCreateWidget(): void;
    protected _onWidgetEvent(event: Event<Calendar>): void;
    protected _jsonViewRange(): JsonDateRange;
    protected _jsonSelectedRange(): JsonDateRange;
    protected _jsonSelectedDate(): string;
    protected _sendViewRangeChange(): void;
    _sendSelectedRangeChange(): void;
    protected _sendModelChange(): void;
    protected _sendSelectionChange(): void;
    protected _sendComponentMove(event: CalendarComponentMoveEvent): void;
    protected _sendResourceVisibilityChange(event: ResourceVisibilityChangeEvent): void;
    protected _sendSelectedResourceChange(event: SelectedResourceChangeEvent): void;
}
//# sourceMappingURL=CalendarAdapter.d.ts.map