import { Calendar, CalendarComponent, CalendarDisplayMode, DateRange, Event, GroupBox, Menu, PropertyChangeEvent, WidgetEventMap } from '../index';
export interface CalendarComponentMoveEvent<C extends Calendar = Calendar> extends Event<C> {
    component: CalendarComponent;
}
export interface ResourceVisibilityChangeEvent<C extends Calendar = Calendar> extends Event<C> {
    resourceId: number;
    visible: boolean;
}
export interface SelectedResourceChangeEvent<C extends Calendar = Calendar> extends Event<C> {
    resourceId: string;
}
export interface CalendarEventMap extends WidgetEventMap {
    'componentMove': CalendarComponentMoveEvent;
    'modelChange': Event<Calendar>;
    'selectionChange': Event<Calendar>;
    'selectedRangeChange': Event<Calendar>;
    'resourceVisibilityChange': ResourceVisibilityChangeEvent;
    'selectedResourceChange': SelectedResourceChangeEvent;
    'propertyChange:displayMode': PropertyChangeEvent<CalendarDisplayMode>;
    'propertyChange:menuInjectionTarget': PropertyChangeEvent<GroupBox>;
    'propertyChange:menus': PropertyChangeEvent<Menu[]>;
    'propertyChange:selectedDate': PropertyChangeEvent<Date>;
    'propertyChange:viewRange': PropertyChangeEvent<DateRange>;
    'propertyChange:showCalendarSidebar': PropertyChangeEvent<boolean>;
    'propertyChange:showResourcePanel': PropertyChangeEvent<boolean>;
    'propertyChange:showListPanel': PropertyChangeEvent<boolean>;
}
//# sourceMappingURL=CalendarEventMap.d.ts.map