import { CalendarComponent, CalendarDisplayMode, CalendarResourceDo, GroupBox, Menu, ObjectOrChildModel, WidgetModel } from '../index';
export interface CalendarModel extends WidgetModel {
    monthViewNumberOfWeeks?: number;
    numberOfHourDivisions?: number;
    heightPerDivision?: number;
    startHour?: number;
    spaceBeforeScrollTop?: number;
    displayMode?: CalendarDisplayMode;
    components?: ObjectOrChildModel<CalendarComponent>[];
    selectedComponent?: CalendarComponent | string;
    displayCondensed?: boolean;
    selectedDate?: Date | string;
    showDisplayModeSelection?: boolean;
    rangeSelectionAllowed?: boolean;
    /**
     * This property enables support for multiple resources on the calendar widget
     */
    resources?: CalendarResourceDo[];
    /**
     * Indicates which resources is currently selected
     */
    selectedResource?: CalendarResourceDo;
    title?: string;
    useOverflowCells?: boolean;
    calendarToggleListWidth?: number;
    calendarToggleYearWidth?: number;
    menuInjectionTarget?: GroupBox;
    menus?: ObjectOrChildModel<Menu>[];
    defaultMenuTypes?: string[];
    /**
     * Indicates, if the sidebar is shown
     */
    showCalendarSidebar?: boolean;
    /**
     * Indicates, if the resource panel is shown
     */
    showResourcePanel?: boolean;
    /**
     * Indicates, if the list panel is expanded
     */
    showListPanel?: boolean;
}
//# sourceMappingURL=CalendarModel.d.ts.map