import { AbstractLayout, CalendarSidebar, CalendarSidebarSplitter, Dimension, HtmlComponent, ResourcePanel, Splitter, YearPanel } from '../index';
export declare class CalendarSidebarLayout extends AbstractLayout {
    calendarSidebar: CalendarSidebar;
    yearPanel: YearPanel;
    resourcePanel: ResourcePanel;
    splitter: CalendarSidebarSplitter;
    /**
     * Min splitter position,
     * arbitrary number to show at least one month of the year panel
     */
    minSplitterPosition: number;
    protected _relativeSplitterPosition: number;
    protected _availableHeight: number;
    protected _newSplitterPosition: number;
    protected _newRelativeSplitterPosition: number;
    protected _animateNewSplitterPosition: boolean;
    constructor(widget: CalendarSidebar);
    layout($container: JQuery): void;
    protected _validateSplitterPosition(htmlComp: HtmlComponent, splitter: Splitter, availableSize: Dimension): void;
    protected _setSplitterPosition(pos: number, animate?: boolean): void;
    /**
     * Updates splitter position without triggerig re-layouting
     */
    protected _silentUpdateSpliterPosition(htmlComp: HtmlComponent, splitter: Splitter, newPosition: number): void;
    protected _calculateCollapsedLabelHeight(): number;
    setNewSplitterPosition(pos: number, animate?: boolean): void;
    setNewSplitterPositionPercentage(pos: number, animate?: boolean): void;
}
//# sourceMappingURL=CalendarSidebarLayout.d.ts.map