import { Code, CodeType, DoEntity, ModelOf, ObjectModel } from '../index';
export interface CodeTypeModel<TCodeId = string, TCode extends Code<TCodeId> = Code<TCodeId>, TCodeTypeId = string> extends ObjectModel<CodeType<TCodeId, TCode, TCodeTypeId>, TCodeTypeId>, DoEntity {
    /**
     * If the Code is loaded from the Scout Java server and the application is running in dev mode, this property stores the Java Code class this code comes from.
     */
    modelClass?: string;
    /**
     * Icon to use for this code.
     */
    iconId?: string;
    /**
     * Specifies if the CodeType is hierarchical. Default is false.
     */
    hierarchical?: boolean;
    /**
     * Specifies the max level of this CodeType. Default is 2147483647.
     */
    maxLevel?: number;
    /**
     * Map of languageTag to the corresponding text in that language.
     */
    texts?: Record<string, string>;
    /**
     * Map of languageTag to the corresponding plural text in that language.
     */
    textsPlural?: Record<string, string>;
    /**
     * The root Codes of the CodeType.
     */
    codes?: ModelOf<Code<TCodeId>>[];
}
//# sourceMappingURL=CodeTypeModel.d.ts.map