import { DoEntity } from './../index';
/**
 * Wrapper data object for a generic value.
 *
 * In Java, we have a separate implementation for each data type. This
 * is because the Jackson object mapper cannot map a generic object.
 * In TypeScript, we do not have this issue, so there is just this
 * generic interface.
 *
 * @see "org.eclipse.scout.rt.dataobject.value.IValueDo"
 */
export interface ValueDo<T> extends DoEntity {
    value: T;
}
//# sourceMappingURL=ValueDo.d.ts.map