/// <reference types="jquery" />
import { Desktop, KeyStroke } from '../index';
/**
 * Global keystroke on the desktop that prevents 'leaking' of the F5 keystroke to the browser.
 *
 * F5 is used in Scout applications to reload table pages or invoke application-specific logic.
 * If the application does not consume the key, some browsers would reload the page. This can
 * be confusing and annoying for the user. For example when the user presses F5 on a table
 * page to reload the data, but the table is covered with a glass pane (e.g. busy indicator
 * is active because of slow network connection), the browser would simply reload the page
 * (i.e. create a new UiSession) instead of updating the data from the database.
 *
 * To reload the page, the general keystroke 'Ctrl-R' ('Command-R' on Macintosh, respectively)
 * should be used instead.
 */
export declare class DisableBrowserF5ReloadKeyStroke extends KeyStroke {
    field: Desktop;
    constructor(desktop: Desktop);
    handle(event: JQuery.KeyboardEventBase): void;
}
//# sourceMappingURL=DisableBrowserF5ReloadKeyStroke.d.ts.map