import { Event, HybridActionContextElements, HybridManager, PropertyChangeEvent, Widget, WidgetEventMap } from '../../index';
export interface HybridActionEvent<TObject = object, T = HybridManager> extends Event<T> {
    data: {
        id: string;
        actionType: string;
        data: TObject;
        contextElements: HybridActionContextElements;
    };
}
export interface HybridActionEndEvent<TObject = object, T = HybridManager> extends Event<T> {
    data: TObject;
    contextElements: HybridActionContextElements;
}
export interface HybridManagerWidgetAddEvent<TWidget = Widget, T = HybridManager> extends Event<T> {
    widget: TWidget;
}
export interface HybridManagerWidgetRemoveEvent<TWidget = Widget, T = HybridManager> extends Event<T> {
    widget: TWidget;
}
export interface HybridManagerEventMap extends WidgetEventMap {
    'hybridAction': HybridActionEvent;
    'hybridActionEnd': HybridActionEndEvent;
    'widgetAdd': HybridManagerWidgetAddEvent;
    'widgetRemove': HybridManagerWidgetRemoveEvent;
    'propertyChange:widgets': PropertyChangeEvent<Record<string, Widget>>;
}
//# sourceMappingURL=HybridManagerEventMap.d.ts.map