import { Constructor, HybridActionContextElementConverter } from '../../../index';
/**
 * Central registry for all available {@link HybridActionContextElementConverter} instances.
 */
export declare class HybridActionContextElementConverters {
    static DEFAULT_ORDER: number;
    protected static _INSTANCE: HybridActionContextElementConverters;
    protected _registry: HybridActionContextElementConverterRegistration[];
    register(converter: HybridActionContextElementConverter | Constructor<HybridActionContextElementConverter>, order?: number): HybridActionContextElementConverterRegistration;
    unregister(registration: HybridActionContextElementConverterRegistration): boolean;
    /**
     * @return all registered converters in the order specified during registration
     */
    all(): HybridActionContextElementConverter[];
    static get(): HybridActionContextElementConverters;
    static all(): HybridActionContextElementConverter[];
}
export interface HybridActionContextElementConverterRegistration {
    converterConstructor: Constructor<HybridActionContextElementConverter>;
    converter: HybridActionContextElementConverter;
    order: number;
}
//# sourceMappingURL=HybridActionContextElementConverters.d.ts.map