import { Form, ObjectOrChildModel, ObjectOrModel, Outline, Page, Table, TreeNodeModel } from '../../../index';
export interface PageModel extends TreeNodeModel {
    parent?: Outline;
    childNodes?: ObjectOrModel<Page>[];
    compactRoot?: boolean;
    detailTable?: ObjectOrChildModel<Table>;
    detailTableVisible?: boolean;
    detailForm?: ObjectOrChildModel<Form>;
    detailFormVisible?: boolean;
    navigateButtonsVisible?: boolean;
    tableStatusVisible?: boolean;
    /**
     * True to select the page linked with the selected row when the row was selected. May be useful on touch devices.
     */
    drillDownOnRowClick?: boolean;
    /**
     * The icon id which is used for icons in the tile outline overview.
     */
    overviewIconId?: string;
    showTileOverview?: boolean;
    /**
     * True to inherit all menus (single selection) from the parent table page, false to inherit none.
     *
     * Default is true
     */
    inheritMenusFromParentTablePage?: boolean;
}
//# sourceMappingURL=PageModel.d.ts.map