import { Event, EventHandler, InitModelOf, ObjectWithType, PopupBlockerDesktopNotification, PopupBlockerHandlerModel, Session, SomeRequired } from '../../index';
export declare class PopupBlockerHandler implements PopupBlockerHandlerModel, ObjectWithType {
    model: PopupBlockerHandlerModel;
    initModel: SomeRequired<this['model'], 'session'>;
    objectType: string;
    session: Session;
    preserveOpener: boolean;
    constructor();
    init(options: InitModelOf<this>): void;
    /**
     * @param uri The URI for the window to open
     * @param windowName An optional string name for the new window. The name can be used as the target of links and forms using the target attribute of an 'a' or 'form' element. The name should not contain any blank space.
     *         Note that the window name does not specify the title of the new window.
     * @param windowSpecs Optional parameter listing the features (size, position, scrollbars, etc.) of the new window.
     *         The string must not contain any blank space, each feature name and value must be separated by a comma.
     * @param onWindowOpened Optional function to call when the window has been successfully opened.
     *         Due to popup-blockers this may not necessarily be directly after the call to this method but may be later when the popup-blocker-notification-link is manually activated by the user.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/Window/open
     */
    openWindow(uri: string, windowName?: string, windowSpecs?: string, onWindowOpened?: (popup: Window) => void): void;
    showNotification(vararg: string | EventHandler<Event<PopupBlockerDesktopNotification>>): void;
    protected _handleInvalidUri(uri: string, popup: Window, err: any): void;
}
//# sourceMappingURL=PopupBlockerHandler.d.ts.map