import { ActionModel } from '../../index';
export interface ViewButtonModel extends ActionModel {
    /**
     * Indicates if this view button is currently the "selected button" in the ViewMenuTab widget,
     * i.e. if it was the last view button of type MENU to have been selected. Note that the
     * "selected" property does not necessarily have to be true as well, since an other button of
     * type TAB might currently be selected. This information is used when restoring the "selected
     * button" when the ViewMenuTab widget is removed and restored again, e.g. when toggling the
     * desktop's 'navigationVisible' property.
     */
    selectedAsMenu?: boolean;
    displayStyle?: ViewButtonDisplayStyle;
}
export type ViewButtonDisplayStyle = 'MENU' | 'TAB';
//# sourceMappingURL=ViewButtonModel.d.ts.map