import { ChildModelOf, CompositeTile, CompositeTileModel, InitModelOf, Tile, TileGrid, ViewButton, ViewMenuPopupModel, WidgetPopup } from '../../index';
/**
 * Popup menu to switch between outlines.
 */
export declare class ViewMenuPopup extends WidgetPopup implements ViewMenuPopupModel {
    model: ViewMenuPopupModel;
    content: TileGrid<ViewButtonTile>;
    defaultIconId: string;
    viewMenus: ViewButton[];
    constructor();
    protected _init(options: InitModelOf<this>): void;
    protected _computeGridColumnCount(tiles: ChildModelOf<ViewButtonTile>[]): number;
    protected _createTiles(): ChildModelOf<ViewButtonTile>[];
    protected _initKeyStrokeContext(): void;
    protected _renderContent(): void;
    protected _renderTiles(): void;
    protected _linkWidgetLabels(tile: ViewButtonTile): void;
    protected _renderSelectedTiles(): void;
    activateTile(tile: Tile & {
        viewMenu?: ViewButton;
    }): void;
}
export type ViewButtonTileModel = CompositeTileModel & {
    viewMenu?: ViewButton;
};
export type ViewButtonTile = CompositeTile & {
    viewMenu?: ViewButton;
};
//# sourceMappingURL=ViewMenuPopup.d.ts.map