import { CachedElement } from '../index';
export interface PlainTextEncoderOptions {
    /**
     * Multiple consecutive empty lines are reduced to a single empty line. Default is false.
     */
    compact?: boolean;
    /**
     * Calls string.trim(). White space at the beginning and the end of the text gets removed. Default is false.
     */
    trim?: boolean;
    /**
     * Removes font icons. Default is false.
     */
    removeFontIcons?: boolean;
}
/**
 * Replaces character HTML entities (e.g. &amp;nbsp;, &amp;gt;, etc.).
 */
export declare class PlainTextEncoder {
    cache: CachedElement;
    constructor();
    encode(text: string, options?: PlainTextEncoderOptions): string;
}
//# sourceMappingURL=PlainTextEncoder.d.ts.map