import { DisplayChildController, FileChooser } from '../index';
/**
 * Controller with functionality to register and render file choosers.
 *
 * The file choosers are put into the list fileChoosers contained in 'displayParent'.
 */
export declare class FileChooserController extends DisplayChildController {
    /**
     * Removes all file choosers registered with this controller from DOM.
     */
    remove(): void;
    /**
     * Renders all file choosers registered with this controller.
     */
    render(): void;
    /**
     * Attaches all file choosers to their original DOM parents.
     * In contrast to 'render', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
     *
     * This method has no effect if already attached.
     */
    attach(): void;
    /**
     * Detaches all file choosers from their DOM parents. Thereby, modality glassPanes are not detached.
     * In contrast to 'remove', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
     *
     * This method has no effect if already detached.
     */
    detach(): void;
    protected _register(fileChooser: FileChooser): void;
    protected _unregister(fileChooser: FileChooser): void;
}
//# sourceMappingURL=FileChooserController.d.ts.map