import { DisplayParent, WidgetModel } from '../index';
export interface FileChooserModel extends WidgetModel {
    /**
     * Default is {@link FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE}
     */
    maximumUploadSize?: number;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/file#accept
     */
    acceptTypes?: string;
    /**
     * Default is false.
     */
    multiSelect?: boolean;
    /**
     * Defines when the file chooser should be accessible (visible) and which part of the desktop is blocked for interaction.
     *
     * Possible parents are {@link Desktop}, {@link Outline} or {@link Form}:
     *
     * - Desktop: The file chooser is always accessible; blocks the entire desktop.
     * - Outline: The file chooser is only accessible when the given outline is active; blocks only the active outline, so changing the outline or using the desktop header in general is still possible.
     * - Form: The file chooser is only accessible when the given form is active; blocks only the form.
     *
     * By default, the {@link Desktop} is used as display parent.
     */
    displayParent?: DisplayParent;
}
//# sourceMappingURL=FileChooserModel.d.ts.map