import { ValueFieldModel } from '../../index';
export interface BasicFieldModel<TValue extends TModelValue, TModelValue = TValue> extends ValueFieldModel<TValue, TModelValue> {
    /**
     * Indicates whether the property {@link FormFieldModel.displayText} should be updated while the user types.
     *
     * - If the property is set to false, the displayText is updated after the user completes the editing (e.g. by pressing TAB).
     * - If the property is set to true, the displayText is updated while the user types after a configurable delay ({@link updateDisplayTextOnModifyDelay}.
     *
     * Default is false.
     */
    updateDisplayTextOnModify?: boolean;
    /**
     * Specifies the delay in milliseconds after the display text will be updated, if {@link updateDisplayTextOnModify} is set to true.
     *
     * Default value is 250ms.
     */
    updateDisplayTextOnModifyDelay?: number;
}
//# sourceMappingURL=BasicFieldModel.d.ts.map