import { Event, FormField, FormFieldModel, ModelAdapter } from '../../index';
export declare class FormFieldAdapter extends ModelAdapter {
    widget: FormField;
    /**
     * Set this property to true when the form-field should stay enabled in offline case.
     * By default, the field will be disabled.
     */
    enabledWhenOffline: boolean;
    protected _currentMenuTypes: string[];
    constructor();
    protected _initProperties(model: FormFieldModel & {
        currentMenuTypes: string[];
    }): void;
    protected _syncCurrentMenuTypes(currentMenuTypes: string | string[]): void;
    protected _goOffline(): void;
    protected _goOnline(): void;
    protected _onWidgetEvent(event: Event<FormField>): void;
    /**
     * Static method to modify the prototype of FormField.
     */
    static modifyFormFieldPrototype(): void;
    static getCurrentMenuTypes(this: FormField & {
        getCurrentMenuTypesOrig: typeof FormField.prototype.getCurrentMenuTypes;
    }): string[];
}
//# sourceMappingURL=FormFieldAdapter.d.ts.map