/// <reference types="jquery" />
import { BlobWithName, ClipboardFieldModel, DragAndDropOptions, KeyStrokeContext, ValueField } from '../../../index';
export declare class ClipboardField extends ValueField<string> implements ClipboardFieldModel {
    model: ClipboardFieldModel;
    allowedMimeTypes: string[];
    maximumSize: number;
    readOnly: boolean;
    protected _fileUploadWaitRetryCountTimeout: number;
    protected _fullSelectionLength: number;
    constructor();
    static NON_DESTRUCTIVE_KEYS: number[];
    static ALWAYS_DESTRUCTIVE_KEYS: number[];
    protected _createKeyStrokeContext(): KeyStrokeContext;
    protected _render(): void;
    protected _getDragAndDropHandlerOptions(): DragAndDropOptions;
    protected _renderDisplayText(): void;
    protected _getSelection(): Selection;
    protected _onKeyDown(event: JQuery.KeyDownEvent): boolean;
    protected _onInput(event: JQuery.TriggeredEvent): boolean;
    protected _onCopy(event: JQuery.TriggeredEvent): boolean;
    protected _onIosCopy(event: JQuery.TriggeredEvent): boolean;
    protected _onPaste(event: JQuery.TriggeredEvent): boolean;
    /**
     * Safari creates two files when pasting an image from clipboard, one PNG and one JPEG.
     * If that happens, remove the JPEG and only keep the PNG.
     */
    protected _cleanupFiles(files: BlobWithName[]): void;
}
//# sourceMappingURL=ClipboardField.d.ts.map