import { Menu, MenuOrder, OrderedMenuItems } from '../../../index';
export declare class GroupBoxMenuItemsOrder implements MenuOrder {
    /**
     * Sorts the given menus item by horizontal alignment and divides the items in two groups for each alignment.
     * The result looks as follows:
     *
     * <em>
     * [horizontalAlignment=-1|0]    [horizontalAlignment=1]
     * [  buttons  ]  [  menus  ]    [ menus ]   [ buttons ]
     * </em>
     *
     * The buttons are always on the outer side of the group-box, the menus are on the inner side.
     */
    order(items: Menu[]): OrderedMenuItems;
}
//# sourceMappingURL=GroupBoxMenuItemsOrder.d.ts.map