import { InitModelOf, ListBoxLayout, ListBoxModel, LookupBox, LookupResult, LookupRow, ObjectOrChildModel, Table, TableModel, TableRowModel, TableRowsCheckedEvent, Widget } from '../../../index';
export declare class ListBox<TValue> extends LookupBox<TValue> implements ListBoxModel<TValue> {
    model: ListBoxModel<TValue>;
    table: Table;
    constructor();
    protected _init(model: InitModelOf<this>): void;
    protected _initStructure(value: TValue[]): void;
    protected _render(): void;
    protected _createFieldContainerLayout(): ListBoxLayout;
    protected _renderStructure(): void;
    protected _onTableRowsChecked(event: TableRowsCheckedEvent): void;
    protected _syncTableToValue(): void;
    protected _valueChanged(): void;
    protected _syncValueToTable(newValue: TValue[]): void;
    protected _lookupByAllDone(result: LookupResult<TValue>): void;
    protected _populateTable(result: LookupResult<TValue>): void;
    /**
     * Returns a lookup row for each value currently checked.
     */
    getCheckedLookupRows(): LookupRow<TValue>[];
    protected _createTableRow(lookupRow: LookupRow<TValue>): TableRowModel;
    protected _prepareWidgetProperty(propertyName: string, models: ObjectOrChildModel<Widget>): Widget;
    protected _prepareWidgetProperty(propertyName: string, models: ObjectOrChildModel<Widget>[]): Widget[];
    protected _createDefaultListBoxTable(): Table;
    protected _createDefaultListBoxTableModel(): TableModel;
    getDelegateScrollable(): Widget;
}
//# sourceMappingURL=ListBox.d.ts.map