import { Dimension, HtmlComponent, HtmlCompPrefSizeOptions, PopupLayout, SmartFieldPopup } from '../../../index';
/**
 * The popup layout is different from other layouts, since it can determine its own size
 * when the autoSize flag is set to true. Otherwise it uses the given size, like a regular
 * layout. The autoSize feature is used, when a child of the SmartFieldPopupLayout invalidates the
 * tree up to the popup. Since the popup is a validate root it must re-layout itself.
 * However: the size of the popup depends on the field it belongs to.
 *
 * The proposal-chooser DIV is not always present.
 */
export declare class SmartFieldPopupLayout extends PopupLayout {
    popup: SmartFieldPopup<any>;
    animating: boolean;
    constructor(popup: SmartFieldPopup<any>);
    layout($container: JQuery): void;
    preferredLayoutSize($container: JQuery, options?: HtmlCompPrefSizeOptions): Dimension;
    protected _htmlProposalChooser(): HtmlComponent;
    protected _maxWindowSize(): number;
}
//# sourceMappingURL=SmartFieldPopupLayout.d.ts.map