import { CollapseHandle, CompositeField, EnumObject, FormField, HtmlComponent, InitModelOf, SplitBoxCollapseKeyStroke, SplitBoxEventMap, SplitBoxFirstCollapseKeyStroke, SplitBoxModel, SplitBoxSecondCollapseKeyStroke } from '../../../index';
export declare class SplitBox extends CompositeField {
    model: SplitBoxModel;
    eventMap: SplitBoxEventMap;
    self: SplitBox;
    firstField: FormField;
    secondField: FormField;
    collapsibleField: FormField;
    fieldCollapsed: boolean;
    toggleCollapseKeyStroke: SplitBoxCollapseKeyStroke;
    firstCollapseKeyStroke: SplitBoxFirstCollapseKeyStroke;
    secondCollapseKeyStroke: SplitBoxSecondCollapseKeyStroke;
    splitHorizontal: boolean;
    splitterEnabled: boolean;
    splitterPosition: number;
    minSplitterPosition: number;
    splitterPositionType: SplitBoxSplitterPositionType;
    fieldMinimized: boolean;
    minimizeEnabled: boolean;
    htmlSplitArea: HtmlComponent;
    collapseHandle: CollapseHandle;
    protected _oldSplitterPositionType: string;
    protected _$splitArea: JQuery;
    protected _$splitter: JQuery;
    protected _$window: JQuery<Window>;
    protected _$body: JQuery<Body>;
    constructor();
    static SplitterPositionType: {
        readonly RELATIVE_FIRST: "relativeFirst";
        readonly RELATIVE_SECOND: "relativeSecond";
        readonly ABSOLUTE_FIRST: "absoluteFirst";
        readonly ABSOLUTE_SECOND: "absoluteSecond";
    };
    /** @deprecated use SplitBox.SplitterPositionType instead */
    static SPLITTER_POSITION_TYPE_RELATIVE_FIRST: "relativeFirst";
    /** @deprecated use SplitBox.SplitterPositionType instead */
    static SPLITTER_POSITION_TYPE_RELATIVE_SECOND: "relativeSecond";
    /** @deprecated use SplitBox.SplitterPositionType instead */
    static SPLITTER_POSITION_TYPE_ABSOLUTE_FIRST: "absoluteFirst";
    /** @deprecated use SplitBox.SplitterPositionType instead */
    static SPLITTER_POSITION_TYPE_ABSOLUTE_SECOND: "absoluteSecond";
    protected _init(model: InitModelOf<this>): void;
    /**
     * Set the group boxes of the split box to responsive if not set otherwise.
     */
    protected _initResponsive(): void;
    protected _render(): void;
    protected _renderProperties(): void;
    protected _remove(): void;
    protected _setSplitterPosition(splitterPosition: number): void;
    protected _renderSplitterPosition(): void;
    protected _setSplitterPositionType(splitterPositionType: string): void;
    protected _renderSplitterPositionType(): void;
    protected _isSplitterPositionTypeRelative(positionType: string): boolean;
    protected _renderSplitterEnabled(): void;
    setFieldCollapsed(collapsed: boolean): void;
    protected _renderFieldCollapsed(): void;
    setCollapsibleField(field: FormField): void;
    protected _updateCollapseHandle(): void;
    protected _updateCollapseHandleButtons(): void;
    getEffectiveSplitterPosition(): number;
    setMinSplitterPosition(minSplitterPosition: number): void;
    protected _renderMinSplitterPosition(): void;
    setFieldMinimized(minimized: boolean): void;
    protected _renderFieldMinimized(): void;
    setMinimizeEnabled(enabled: boolean): void;
    protected _renderMinimizeEnabled(): void;
    protected _isMinimizable(): boolean;
    protected _renderCollapsibleField(): void;
    protected _setToggleCollapseKeyStroke(keyStroke: string): void;
    protected _setFirstCollapseKeyStroke(keyStroke: string): void;
    protected _setSecondCollapseKeyStroke(keyStroke: string): void;
    protected _renderCollapseHandle(): void;
    newSplitterPosition(newSplitterPosition: number, updateFieldMinimizedState: boolean): void;
    protected _updateFieldMinimized(): void;
    protected _isSplitterPositionInMinimalRange(newSplitterPosition: number): boolean;
    toggleFieldCollapsed(): void;
    collapseHandleButtonPressed(event: {
        left?: boolean;
        right?: boolean;
    }): void;
    getFields(): FormField[];
    protected _updateFieldVisibilityClasses(): void;
}
export type SplitBoxSplitterPositionType = EnumObject<typeof SplitBox.SplitterPositionType>;
//# sourceMappingURL=SplitBox.d.ts.map