import { AbstractLayout, Dimension, HtmlCompPrefSizeOptions, SplitBox } from '../../../index';
export declare class SplitBoxLayout extends AbstractLayout {
    splitBox: SplitBox;
    constructor(splitBox: SplitBox);
    layout($container: JQuery): void;
    preferredLayoutSize($container: JQuery, options?: HtmlCompPrefSizeOptions): Dimension;
    /**
     * Distributes the available size according to the split axis and the splitter position
     *
     * @param splitXAxis truthy if the splitter splits vertical |, falsy if the splitter splits horizontal --
     * @param firstFieldSize initialize with the total available space. Will be adjusted to the available size of the first field.
     * @param secondFieldSize initialize with the total available space. Will be adjusted to the available size of the second field.
     * @param splitterPosition effective splitter position
     */
    computeInnerFieldsDimensions(splitXAxis: boolean, firstFieldSize: Dimension, secondFieldSize: Dimension, splitterPosition: number): void;
}
//# sourceMappingURL=SplitBoxLayout.d.ts.map