/// <reference types="jquery" />
import { ImageEventMap, ImageModel, Widget } from '../index';
export declare class Image extends Widget implements ImageModel {
    model: ImageModel;
    eventMap: ImageEventMap;
    self: Image;
    autoFit: boolean;
    imageUrl: string;
    prepend: boolean;
    altText: string;
    constructor();
    protected _render(): void;
    protected _renderProperties(): void;
    protected _remove(): void;
    setImageUrl(imageUrl: string): void;
    setAltText(altText: string): void;
    protected _renderImageUrl(): void;
    setAutoFit(autoFit: boolean): void;
    protected _renderAutoFit(): void;
    protected _onImageLoad(event: JQuery.TriggeredEvent): void;
    /**
     * This function is used to work around a bug in Chrome. Chrome calculates a wrong aspect ratio
     * under certain conditions. For details: https://bugs.chromium.org/p/chromium/issues/detail?id=950881
     * The workaround sets a CSS attribute which forces Chrome to revalidate its internal layout.
     */
    protected _ensureImageLayout(): void;
    protected _onImageError(event: JQuery.TriggeredEvent): void;
}
//# sourceMappingURL=Image.d.ts.map