/**
 * Common interface between {@link VirtualKeyStrokeEvent} and {@link JQuery.KeyboardEventBase}
 */
export interface ScoutKeyboardEvent {
    /**
     * @see JQuery.KeyboardEventBase.which
     */
    which: number;
    /**
     * @see JQuery.KeyboardEventBase.ctrlKey
     */
    ctrlKey: boolean;
    /**
     * @see JQuery.KeyboardEventBase.metaKey
     */
    metaKey: boolean;
    /**
     * @see JQuery.KeyboardEventBase.altKey
     */
    altKey: boolean;
    /**
     * @see JQuery.KeyboardEventBase.shiftKey
     */
    shiftKey: boolean;
    /**
     * @see JQuery.KeyboardEventBase.target
     */
    target: HTMLElement;
    /**
     * one of {@link KeyStrokeMode}
     */
    type: string;
    /**
     * Optional original {@link KeyboardEvent} enhanced by a custom smartfield event flag. May be undefined.
     * @see JQuery.KeyboardEventBase.originalEvent
     */
    originalEvent?: KeyboardEvent & {
        smartFieldEvent?: boolean;
    } | undefined;
    /**
     * @see JQuery.Event.stopPropagation
     */
    stopPropagation(): any;
    /**
     * @see JQuery.Event.isPropagationStopped
     */
    isPropagationStopped(): boolean;
    /**
     * @see JQuery.Event.stopImmediatePropagation
     */
    stopImmediatePropagation(): any;
    /**
     * @see JQuery.Event.isImmediatePropagationStopped
     */
    isImmediatePropagationStopped(): boolean;
    /**
     * @see JQuery.Event.preventDefault
     */
    preventDefault(): any;
    /**
     * @see JQuery.Event.isDefaultPrevented
     */
    isDefaultPrevented(): boolean;
}
//# sourceMappingURL=ScoutKeyboardEvent.d.ts.map