export declare const keys: {
    BACKSPACE: number;
    TAB: number;
    ENTER: number;
    SHIFT: number;
    CTRL: number;
    ALT: number;
    PAUSE: number;
    CAPS_LOCK: number;
    ESC: number;
    /**
     * The duplicate ESC / ESCAPE constant is required for Scout classic
     * where keys defined in IKeyStroke are mapped to keys defined in keys.js
     */
    ESCAPE: number;
    PAGE_UP: number;
    PAGE_DOWN: number;
    END: number;
    HOME: number;
    LEFT: number;
    UP: number;
    RIGHT: number;
    DOWN: number;
    SPACE: number;
    PRINT_SCREEN: number;
    INSERT: number;
    DELETE: number;
    0: number;
    1: number;
    2: number;
    3: number;
    4: number;
    5: number;
    6: number;
    7: number;
    8: number;
    9: number;
    A: number;
    B: number;
    C: number;
    D: number;
    E: number;
    F: number;
    G: number;
    H: number;
    I: number;
    J: number;
    K: number;
    L: number;
    M: number;
    N: number;
    O: number;
    P: number;
    Q: number;
    R: number;
    S: number;
    T: number;
    U: number;
    V: number;
    W: number;
    X: number;
    Y: number;
    Z: number;
    F1: number;
    F2: number;
    F3: number;
    F4: number;
    F5: number;
    F6: number;
    F7: number;
    F8: number;
    F9: number;
    F10: number;
    F11: number;
    F12: number;
    WIN_LEFT: number;
    WIN_RIGHT: number;
    SELECT: number;
    NUMPAD_0: number;
    NUMPAD_1: number;
    NUMPAD_2: number;
    NUMPAD_3: number;
    NUMPAD_4: number;
    NUMPAD_5: number;
    NUMPAD_6: number;
    NUMPAD_7: number;
    NUMPAD_8: number;
    NUMPAD_9: number;
    MULTIPLY: number;
    ADD: number;
    SUBTRACT: number;
    DECIMAL_POINT: number;
    DIVIDE: number;
    NUM_LOCK: number;
    SCROLL_LOCK: number;
    SEMICOLON: number;
    DASH: number;
    COMMA: number;
    POINT: number;
    FORWARD_SLASH: number;
    OPEN_BRACKET: number;
    BACK_SLASH: number;
    CLOSE_BRACKET: number;
    SINGLE_QUOTE: number;
    ANGULAR_BRACKET: number;
    codesToKeys: {
        8: string;
        9: string;
        13: string;
        16: string;
        17: string;
        18: string;
        19: string;
        20: string;
        27: string;
        33: string;
        34: string;
        35: string;
        36: string;
        37: string;
        38: string;
        39: string;
        40: string;
        32: string;
        44: string;
        45: string;
        46: string;
        48: string;
        49: string;
        50: string;
        51: string;
        52: string;
        53: string;
        54: string;
        55: string;
        56: string;
        57: string;
        65: string;
        66: string;
        67: string;
        68: string;
        69: string;
        70: string;
        71: string;
        72: string;
        73: string;
        74: string;
        75: string;
        76: string;
        77: string;
        78: string;
        79: string;
        80: string;
        81: string;
        82: string;
        83: string;
        84: string;
        85: string;
        86: string;
        87: string;
        88: string;
        89: string;
        90: string;
        91: string;
        92: string;
        93: string;
        112: string;
        113: string;
        114: string;
        115: string;
        116: string;
        117: string;
        118: string;
        119: string;
        120: string;
        121: string;
        122: string;
        123: string;
        96: string;
        97: string;
        98: string;
        99: string;
        100: string;
        101: string;
        102: string;
        103: string;
        104: string;
        105: string;
        106: string;
        107: string;
        109: string;
        110: string;
        111: string;
        144: string;
        145: string;
        186: string;
        189: string;
        188: string;
        190: string;
        191: string;
        219: string;
        220: string;
        221: string;
        222: string;
        226: string;
    };
    /**
     * This map defines key-codes which are not the same in various browsers. Use the forBrowser function to access it.
     */
    browserMap: {
        Firefox: {
            226: number;
        };
        Safari: {
            226: number;
            ctrl: {
                226: number;
            };
        };
    };
    browserMapReverse: {};
    /**
     * If a browser has a non-standard key-code for one of the keys defined in this file this function returns the correct key code for that browser.
     *
     * @param [modifier] some key codes change when a modifier is pressed
     */
    forBrowser: (keyCode: number, modifier?: PropertyKey) => number;
    /**
     * If a browser has a non-standard key-code for one of the keys defined in this file this function returns the original key for that browser.
     */
    fromBrowser: (keyCode: number) => number;
    mapKey: (map: Record<string, object>, keyCode: number, modifier?: PropertyKey) => number;
};
//# sourceMappingURL=keys.d.ts.map