import { AbstractLayout, Dimension, HtmlComponent, HtmlCompPrefSizeOptions } from '../index';
export interface SingleLayoutOptions {
    /** True to use the exact size including fractional digits of the container. See also {@link HtmlComponent.availableSize}. Default is false. */
    exact: boolean;
}
/**
 * Resizes the child so it has the same size as the container.<br>
 * If no child is provided, the first child in the container is used.
 */
export declare class SingleLayout extends AbstractLayout implements SingleLayoutOptions {
    exact: boolean;
    protected _htmlChild: HtmlComponent;
    constructor(htmlChild?: HtmlComponent, options?: SingleLayoutOptions);
    layout($container: JQuery): void;
    preferredLayoutSize($container: JQuery, options: HtmlCompPrefSizeOptions): Dimension;
    /**
     * @returns the first child html component of the given container or null if the container has no child with a html component or no children at all.
     */
    protected _getHtmlSingleChild($container: JQuery): HtmlComponent;
}
//# sourceMappingURL=SingleLayout.d.ts.map