import { GridData, LogicalGrid, LogicalGridContainer, LogicalGridOptions, LogicalGridWidget } from '../../index';
export declare abstract class AbstractGrid extends LogicalGrid {
    gridRows: number;
    gridColumns: number;
    constructor(options?: LogicalGridOptions);
    /**
     * Expects {@link gridConfig} to be set.
     */
    protected _validate(gridContainer: LogicalGridContainer): void;
    layoutAllStatic(widgets: LogicalGridWidget[]): void;
    layoutAllDynamic(widgets: LogicalGridWidget[]): void;
    getGridColumnCount(): number;
    getGridRowCount(): number;
    /**
     * If grid w is greater than column count, grid w will be set to the column count.
     */
    static getGridDataFromHints(widget: LogicalGridWidget, groupBoxColumnCount: number): GridData;
}
//# sourceMappingURL=AbstractGrid.d.ts.map