import { Alignment, GridDataModel, InitModelOf, LogicalGridWidget, ObjectOrModel, Rectangle } from '../../index';
export declare class GridData implements GridDataModel {
    model: GridDataModel;
    x: number;
    y: number;
    w: number;
    h: number;
    weightX: number;
    weightY: number;
    useUiWidth: boolean;
    useUiHeight: boolean;
    horizontalAlignment: Alignment;
    verticalAlignment: Alignment;
    fillHorizontal: boolean;
    fillVertical: boolean;
    widthInPixel: number;
    maxWidthInPixel: number;
    heightInPixel: number;
    maxHeightInPixel: number;
    constructor(model?: InitModelOf<GridData>);
    /**
     * @returns a clone of this grid data enriched with the properties of the given model.
     */
    clone(model?: InitModelOf<GridData>): GridData;
    equals(other: GridData): boolean;
    toRectangle(): Rectangle;
    static createFromHints(field: LogicalGridWidget, gridColumnCount?: number): GridData;
    static ensure(gridData: ObjectOrModel<GridData>): GridData;
}
//# sourceMappingURL=GridData.d.ts.map