import { FormFieldLabelPosition, GridData, LayoutData, Rectangle, Widget } from '../../index';
export interface LogicalGridWidget extends Widget {
    _setGridData(gridData: GridData): any;
    gridData: GridData;
    gridDataHints?: GridData;
    label?: string;
    labelVisible?: boolean;
    $label?: JQuery;
    labelPosition?: FormFieldLabelPosition;
}
/**
 * JavaScript port of org.eclipse.scout.rt.ui.swing.form.fields.SwingScoutFormFieldGridData.
 * Merged with the base class LogicalGridData (for the default values). We don't need the base
 * class standalone, since we only used LGL for the group-box body in Html UI.
 */
export declare class LogicalGridData implements LayoutData {
    fillHorizontal: boolean;
    fillVertical: boolean;
    gridh: number;
    gridw: number;
    gridx: number;
    gridy: number;
    heightHint: number;
    maxHeight: number;
    horizontalAlignment: number;
    logicalRowHeightAddition: number;
    useUiHeight: boolean;
    useUiWidth: boolean;
    verticalAlignment: number;
    weightx: number;
    weighty: number;
    widget: LogicalGridWidget;
    widthHint: number;
    maxWidth: number;
    constructor(vararg?: Partial<LogicalGridData> | Widget);
    validate(): void;
    protected _inheritWeightY(): number;
    protected _inheritWeightYRec(widget: LogicalGridWidget): number;
    isValidateRoot(): boolean;
    toRectangle(): Rectangle;
}
//# sourceMappingURL=LogicalGridData.d.ts.map