import { LookupCall, ObjectModel, QueryBy, Session } from '../index';
export interface LookupCallModel<TKey> extends ObjectModel<LookupCall<TKey>> {
    session?: Session;
    hierarchical?: boolean;
    loadIncremental?: boolean;
    /** indicates if the lookup call implements 'getByKeys' and therefore supports 'textsByKeys' */
    batch?: boolean;
    queryBy?: QueryBy;
    /** used on {@link QueryBy.TEXT} */
    searchText?: string;
    /** used on {@link QueryBy.KEY} */
    key?: TKey;
    /** used on {@link QueryBy.KEYS} */
    keys?: TKey[];
    /** used on {@link QueryBy.REC} */
    parentKey?: TKey;
    active?: boolean;
    /**
     * A positive number, _not_ null or undefined!
     * This value is not directly used by this class but a child class my use it to limit the returned row count.
     * Default value is 100.
     */
    maxRowCount?: number;
    [property: string]: any;
}
//# sourceMappingURL=LookupCallModel.d.ts.map