import { Menu, MenuBar, ObjectWithType, Session } from '../index';
export interface MenuOrder {
    order(items: Menu[]): OrderedMenuItems;
}
export type OrderedMenuItems = {
    left: Menu[];
    right: Menu[];
    all: Menu[];
};
export declare class MenuItemsOrder implements MenuOrder, ObjectWithType {
    session: Session;
    objectType: string;
    emptySpaceTypes: string[];
    selectionTypes: string[];
    menuBar: MenuBar;
    defaultMenuTypes: string[];
    constructor(session: Session, objectType: string, defaultMenuTypes: string[]);
    order(items: Menu[]): OrderedMenuItems;
    protected _menuTypes(types?: string[]): string[];
    /**
     * The separator here does not exist in the model delivered by the server-side client.
     * The createdBy property is added to the model to find and destroy items added by the UI later.
     */
    protected _createSeparator(): Menu;
}
//# sourceMappingURL=MenuItemsOrder.d.ts.map