import { DisplayChildController, MessageBox } from '../index';
/**
 * Controller with functionality to register and render message boxes.
 *
 * The message boxes are put into the list 'messageBoxes' contained in 'displayParent'.
 */
export declare class MessageBoxController extends DisplayChildController {
    /**
     * Removes all message boxes registered with this controller from DOM.
     */
    remove(): void;
    /**
     * Renders all message boxes registered with this controller.
     */
    render(): void;
    /**
     * Attaches all message boxes to their original DOM parents.
     * In contrast to 'render', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
     *
     * This method has no effect if already attached.
     */
    attach(): void;
    /**
     * Detaches all message boxes from their DOM parents. Thereby, modality glassPanes are not detached.
     * In contrast to 'remove', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
     *
     * This method has no effect if already detached.
     */
    detach(): void;
    protected _register(messageBox: MessageBox): void;
    protected _unregister(messageBox: MessageBox): void;
}
//# sourceMappingURL=MessageBoxController.d.ts.map