export declare class Route {
    location: string;
    constructor();
    /**
     * @returns Whether or not this instance can handle the given location.
     */
    matches(location: string): boolean;
    /**
     * Called when the route is activated, stores the given location as instance variable.
     * This is useful for the case where a single instance of Route handles multiple locations.
     */
    activate(location: string): void;
    /**
     * Called when route is deactivated because another route is activated. This is the place
     * to perform clean-up operations.
     */
    deactivate(): void;
}
//# sourceMappingURL=Route.d.ts.map