import { BusyIndicator, BusySupport, ModelOf, ObjectModel, Widget } from '../index';
export interface BusySupportModel extends ObjectModel<BusySupport> {
    /**
     * The default parent {@link Widget} to use for the {@link BusyIndicator}.
     * This property is mandatory.
     * The default parent specified by this property may be overwritten using {@link BusyIndicatorOptions.busyIndicatorModel} in {@link BusySupport.setBusy}.
     */
    parent?: Widget;
    /**
     * The default model to use for the {@link BusyIndicator}.
     * It may be overwritten using {@link BusyIndicatorOptions.busyIndicatorModel} in {@link BusySupport.setBusy}.
     * By default it sets {@link busyIndicatorModel.cancellable} to false.
     */
    busyIndicatorModel?: ModelOf<BusyIndicator>;
    /**
     * The default timeout in milliseconds between the call to {@link BusyIndicator.setBusy} and the rendering of the {@link BusyIndicator}.
     * This is not the timeout until the busy indicator popup is shown (for this use {@link BusyIndicatorModel.showTimeout}) but the timeout until the glasspanes are rendered.
     * The default is 50ms. It is not recommended to set this value to zero because this may lead to flickering of the mouse cursor.
     */
    renderDelay?: number;
}
//# sourceMappingURL=BusySupportModel.d.ts.map