export type PropertyChangeEventFilterType = ((propertyName: string, value: any) => boolean);
export declare class PropertyChangeEventFilter {
    filters: PropertyChangeEventFilterType[];
    protected _filterProperties: Record<string, any>;
    protected _defaultFilter: PropertyChangeEventFilterType;
    constructor();
    addFilterForProperties(properties: Record<string, any>): void;
    addFilter(filterFunc: PropertyChangeEventFilterType): void;
    filter(propertyName: string, value: any): boolean;
    /**
     * Will accept the property if the name matches, it won't check the value.
     */
    addFilterForPropertyName(filteredPropertyName: string): void;
    protected _propertiesFilter(propertyName: string, value: any): boolean;
    reset(): void;
}
//# sourceMappingURL=PropertyChangeEventFilter.d.ts.map