/// <reference types="jquery" />
import { Session } from '../index';
export declare class Reconnector {
    session: Session;
    started: boolean;
    /**
     * Delay before first ping in ms. Default is 1000.
     */
    initialDelay: number;
    /**
     * Interval to be used between pings (indefinite retries) in ms. Default is 3000.
     */
    interval: number;
    /**
     * Minimal assumed ping duration (to prevent flickering of the reconnect notification when AJAX call fails very fast) in ms. Default is 1000.
     */
    minPingDuration: number;
    pingStartTimestamp: number;
    constructor(session: Session);
    start(): void;
    stop(): void;
    protected _schedulePing(delay: number): void;
    protected _ping(): void;
    protected _onPingDone(data: any, textStatus: JQuery.Ajax.SuccessTextStatus, jqXHR: JQuery.jqXHR): void;
    protected _onPingFail(jqXHR: JQuery.jqXHR, textStatus: JQuery.Ajax.ErrorTextStatus, errorThrown: string): void;
}
//# sourceMappingURL=Reconnector.d.ts.map