/// <reference types="jquery" />
import { InitModelOf, KeyStrokeContext, SliderEventMap, SliderModel, Widget } from '../index';
export declare class Slider extends Widget implements SliderModel {
    model: SliderModel;
    eventMap: SliderEventMap;
    self: Slider;
    protected static FLOATING_POINT_ERROR_CORRECTION: number;
    value: number;
    minValue: number;
    maxValue: number;
    step: number;
    tabbable: boolean;
    protected _mouseMoveHandler: (event: JQuery.MouseMoveEvent | JQuery.TouchMoveEvent) => void;
    protected _mouseUpHandler: (event: JQuery.MouseUpEvent | JQuery.TouchEndEvent | JQuery.TouchCancelEvent) => void;
    $window: JQuery<Window>;
    $track: JQuery<HTMLDivElement>;
    $thumb: JQuery<HTMLDivElement>;
    constructor();
    protected _init(options: InitModelOf<this>): void;
    protected _createKeyStrokeContext(): KeyStrokeContext;
    protected _initKeyStrokeContext(): void;
    protected _render(): void;
    protected _renderProperties(): void;
    protected _remove(): void;
    protected _onFocus(event: JQuery.FocusEvent): void;
    protected _onBlur(event: JQuery.BlurEvent): void;
    setValue(value: number): void;
    protected _renderValue(): void;
    setMinValue(minValue: number): void;
    protected _renderMinValue(): void;
    setMaxValue(maxValue: number): void;
    protected _renderMaxValue(): void;
    setStep(step: number): void;
    protected _renderStep(): void;
    setTabbable(tabbable: boolean): void;
    protected _renderTabbable(): void;
    protected _renderEnabled(): void;
    protected _onMouseDown(event: JQuery.MouseDownEvent | JQuery.TouchStartEvent): any;
    protected _onMouseMove(event: JQuery.MouseMoveEvent | JQuery.TouchMoveEvent): void;
    protected _onMouseUp(event: JQuery.MouseUpEvent | JQuery.TouchEndEvent | JQuery.TouchCancelEvent): void;
    protected _moveThumbTo(pageX: number): void;
    protected _setThumbPosition(position: number): void;
    move(moveBy: number): void;
    /** @internal called by SliderLayout */
    _update(): void;
    protected _valueToLocalPosition(value: number): number;
    protected _localPositionToValue(position: number): number;
    protected _normalizeValue(value: number): number;
    protected _limitValue(value: number): number;
    protected _calculateSteppedValue(value: number): number;
}
//# sourceMappingURL=Slider.d.ts.map