import { InitModelOf, Status, StatusModel } from '../index';
/**
 * The DefaultStatus class is used add programmatic Status triggered by business logic
 * in cases where you don't want or don't have to implement your own Status subclass.
 */
export declare class DefaultStatus extends Status {
    constructor(model?: InitModelOf<DefaultStatus>);
    /**
     * @returns a {@link DefaultStatus} object with severity ERROR.
     */
    static error(model: StatusModel | string): DefaultStatus;
    /**
     * @returns a {@link DefaultStatus} object with severity WARNING.
     */
    static warning(model: StatusModel | string): DefaultStatus;
    /**
     * @returns a {@link DefaultStatus} object with severity INFO.
     */
    static info(model: StatusModel | string): DefaultStatus;
}
//# sourceMappingURL=DefaultStatus.d.ts.map