/// <reference types="jquery" />
import { Event, PropertyChangeEvent, Switch, SwitchDisplayStyle, WidgetEventMap } from '../index';
export interface SwitchSwitchEvent<TSource = Switch> extends Event<TSource> {
    originalEvent: JQuery.Event;
    oldValue: boolean;
    newValue: boolean;
}
export interface SwitchEventMap extends WidgetEventMap {
    'switch': SwitchSwitchEvent;
    'propertyChange:activated': PropertyChangeEvent<boolean>;
    'propertyChange:label': PropertyChangeEvent<string>;
    'propertyChange:labelHtmlEnabled': PropertyChangeEvent<boolean>;
    'propertyChange:labelVisible': PropertyChangeEvent<boolean>;
    'propertyChange:tooltipText': PropertyChangeEvent<string>;
    'propertyChange:iconVisible': PropertyChangeEvent<boolean>;
    'propertyChange:displayStyle': PropertyChangeEvent<SwitchDisplayStyle>;
    'propertyChange:tabbable': PropertyChangeEvent<boolean>;
}
//# sourceMappingURL=SwitchEventMap.d.ts.map