import { System } from '../index';
/**
 * Utility to retrieve and create {@link System} instances.
 * A {@link System} represents a REST backend (typically Scout UI or server backend).
 */
export declare const systems: {
    _systemsMap: Map<string, System>;
    /**
     * Retrieves (and creates if not yet existing) the {@link System} with given name.
     * @param name The optional name of the System. If omitted, {@link System.MAIN_SYSTEM} is used.
     * @param baseUrl The base URL of the REST resources of the system. This is the (typically relative) URL under which all the REST endpoints are available. If omitted, 'api' is used as a default.
     */
    getOrCreate(name?: string, baseUrl?: string): System;
    /**
     * @param name The optional name of the system. If omitted, {@link System.MAIN_SYSTEM} is used.
     * @returns true if a system with given name is already registered.
     */
    exists(name?: string): boolean;
};
//# sourceMappingURL=systems.d.ts.map