import { Filter, TableRow } from '../index';
export declare class KeyTableFilter implements Filter<TableRow> {
    acceptedKeys: any[];
    keySupplier: (row: TableRow) => any;
    active: boolean;
    alwaysAcceptedRowIds: string[];
    /**
     * @param keySupplier An optional function that extracts the key from a table row. The default expects the row object to have a "lookupRow" property and returns its "key" property.
     */
    constructor(keySupplier?: (row: TableRow) => any);
    accept(row: TableRow): boolean;
    setAcceptedKeys(...acceptedKeys: any[]): void;
    setActive(active: boolean): void;
    setAlwaysAcceptedRowIds(...rowIds: string[]): void;
}
//# sourceMappingURL=KeyTableFilter.d.ts.map