import { Dimension, HtmlCompPrefSizeOptions, Popup, PopupLayout, TableHeaderMenu } from '../index';
export declare class TableHeaderMenuLayout extends PopupLayout {
    popup: TableHeaderMenu;
    constructor(popup: Popup);
    static TABLE_MAX_HEIGHT: number;
    /**
     * When this layout method is called we've calculated the pref. size before. Layout does this:
     * - layout the filter-fields (their size is fixed)
     * - use the remaining height to layout the filter table
     */
    layout($container: JQuery): void;
    protected _adjustSizeWithAnchor(prefSize: Dimension): Dimension;
    protected _groupTitleHeight($group: JQuery): number;
    protected _filterFieldsGroupBoxHeight(): number;
    /**
     * The preferred layout size of this widget is
     * + size of table (but height is limited to TABLE_MAX_HEIGHT, if table becomes too large)
     * + size of filter-fields
     * + paddings of surrounding containers
     */
    preferredLayoutSize($container: JQuery, options?: HtmlCompPrefSizeOptions): Dimension;
    protected _getMaxWidth(): number;
    protected _setMaxWidth(maxWidth?: number): void;
}
//# sourceMappingURL=TableHeaderMenuLayout.d.ts.map