import { AggregateTableRow, Cell, EnumObject, FilterElement, InitModelOf, LookupRow, ObjectWithType, Page, SomeRequired, Table, TableRowModel } from '../index';
export type TableRowStatus = EnumObject<typeof TableRow.Status>;
export declare class TableRow implements TableRowModel, ObjectWithType, FilterElement {
    model: TableRowModel;
    initModel: SomeRequired<this['model'], 'parent'>;
    objectType: string;
    cells: Cell[];
    checked: boolean;
    compactValue: string;
    enabled: boolean;
    filterAccepted: boolean;
    height: number;
    hasError: boolean;
    id: string;
    initialized: boolean;
    iconId: string;
    parentRow: TableRow;
    parent: Table;
    childRows: TableRow[];
    expanded: boolean;
    status: TableRowStatus;
    nodeId: string;
    hierarchyLevel: number;
    cssClass: string;
    aggregateRowAfter: AggregateTableRow;
    aggregateRowBefore: AggregateTableRow;
    lookupRow: LookupRow<any>;
    $row: JQuery;
    /**
     * The child page that corresponds to this table row. Only set for rows in the `detailTable` of page, see {@link Page#linkWithRow}.
     */
    page: Page;
    expandable: boolean;
    constructor();
    static Status: {
        readonly NON_CHANGED: "nonChanged";
        readonly INSERTED: "inserted";
        readonly UPDATED: "updated";
    };
    init(model: InitModelOf<this>): void;
    protected _init(model: InitModelOf<this>): void;
    protected _initCells(): void;
    animateExpansion(): void;
    hasFilterAcceptedChildren(): boolean;
    getTable(): Table;
    setCompactValue(compactValue: string): void;
    setFilterAccepted(filterAccepted: boolean): void;
    setEnabled(enabled: boolean): void;
    /**
     * Get the key values of this row. If there are columns flagged with {@link Column.primaryKey} only those values are used, otherwise all values are used.
     */
    getKeyValues(): any[];
}
//# sourceMappingURL=TableRow.d.ts.map