import { TableRow, TextFilter } from '../index';
export declare class TextTableFilter implements TextFilter<TableRow> {
    acceptedText: string;
    textSupplier: (row: TableRow) => string;
    active: boolean;
    alwaysAcceptedRowIds: string[];
    /**
     * @param textSupplier - An optional function that extracts the text from a table row. The default expects the row object to have a "lookupRow" property and returns the "text" property.
     */
    constructor(textSupplier?: (row: TableRow) => string);
    accept(row: TableRow): boolean;
    setAcceptedText(acceptedText: string): void;
    setActive(active: boolean): void;
    setAlwaysAcceptedRowIds(...rowIds: string[]): void;
}
//# sourceMappingURL=TextTableFilter.d.ts.map