import { Alignment, Column, ObjectType } from '../../index';
/**
 * The ColumnDescriptor is used to define texts, widths and order of columns.
 * It is typically used for smart fields with a proposal chooser of type table.
 */
export interface ColumnDescriptor {
    /**
     * Name of the corresponding property in the "additional table row data" or <code>null</code> if this descriptor describes the first (default) column.
     */
    propertyName?: string;
    objectType?: ObjectType<Column<any>>;
    text?: string;
    headerIconId?: string;
    cssClass?: string;
    width?: number;
    fixedWidth?: boolean;
    fixedPosition?: boolean;
    autoOptimizeWidth?: boolean;
    horizontalAlignment?: Alignment;
    visible?: boolean;
    htmlEnabled?: boolean;
}
//# sourceMappingURL=ColumnDescriptor.d.ts.map