import { CompactLine } from '../../index';
export declare class CompactBean {
    title: string;
    titleLine: CompactLine;
    titleSuffix: string;
    titleSuffixLine: CompactLine;
    subtitle: string;
    subtitleLine: CompactLine;
    contentLines: CompactLine[];
    content: string;
    moreContent: string;
    constructor();
    setTitle(title: string): void;
    setTitleLine(titleLine: CompactLine): void;
    setTitleSuffix(titleSuffix: string): void;
    setTitleSuffixLine(titleSuffixLine: CompactLine): void;
    setSubtitle(subtitle: string): void;
    setSubtitleLine(subtitleLine: CompactLine): void;
    addContentLine(line: CompactLine): void;
    setContent(content: string): void;
    setMoreContent(moreContent: string): void;
    /**
     * Converts the compact lines into strings and fills the responding properties (title, subtitle, content, moreContent).
     *
     * @param options.removeEmptyContentLines default true
     * @param options.maxContentLines default 1000
     */
    transform(options?: {
        removeEmptyContentLines?: boolean;
        maxContentLines?: number;
    }): void;
}
//# sourceMappingURL=CompactBean.d.ts.map