import { CodeType, Column, InitModelOf, LookupCall, LookupCallColumnEventMap, LookupCallColumnModel, LookupCallOrModel, TableRow, ValueField } from '../../index';
export declare class LookupCallColumn<TValue, TKey = TValue> extends Column<TValue> implements LookupCallColumnModel<TValue, TKey> {
    model: LookupCallColumnModel<TValue, TKey>;
    eventMap: LookupCallColumnEventMap<TValue, TKey>;
    lookupCall: LookupCall<TKey>;
    codeType: string | (new () => CodeType<TKey>);
    browseHierarchy: boolean;
    browseMaxRowCount: number;
    protected _init(model: InitModelOf<this>): void;
    setLookupCall(lookupCall: LookupCallOrModel<TKey>): void;
    protected _setLookupCall(lookupCall: LookupCallOrModel<TKey>): void;
    setCodeType(codeType: string | (new () => CodeType<TKey>)): void;
    protected _setCodeType(codeType: string | (new () => CodeType<TKey>)): void;
    setBrowseHierarchy(browseHierarchy: boolean): void;
    setBrowseMaxRowCount(browseMaxRowCount: number): void;
    protected _updateCellFromValidEditor(row: TableRow, field: ValueField<TValue>): void;
}
//# sourceMappingURL=LookupCallColumn.d.ts.map