/// <reference types="jquery" />
import { Cell, ColumnValidationResult, LookupCallColumn, LookupColumnEventMap, LookupColumnModel, LookupEditor, TableRow, ValueField } from '../../index';
/**
 * This column is a multivalued LookupCallColumn. If editable it opens a popup containing a {@link LookupBox} in order to select multiple values.
 */
export declare class LookupColumn<TValue> extends LookupCallColumn<TValue[], TValue> implements LookupColumnModel<TValue> {
    model: LookupColumnModel<TValue>;
    eventMap: LookupColumnEventMap<TValue>;
    distinct: boolean;
    /** @see LookupColumnModel.distinct */
    setDistinct(distinct: boolean): void;
    protected _createEditor(row: TableRow): LookupEditor<TValue>;
    protected _updateEditorFromValidCell(field: ValueField<TValue[]>, cell: Cell<TValue[]>): void;
    isContentValid(row: TableRow): ColumnValidationResult;
    protected _formatValue(value: TValue[], row?: TableRow): string | JQuery.Promise<string>;
}
//# sourceMappingURL=LookupColumn.d.ts.map