/// <reference types="jquery" />
import { CellEditorPopup, CellEditorRenderedOptions, ChildModelOf, CodeType, InitModelOf, LookupBox, LookupCall, LookupEditorEventMap, LookupEditorModel, ValueField, WidgetPopup } from '../../index';
export declare class LookupEditor<TValue> extends ValueField<TValue[]> implements LookupEditorModel<TValue> {
    model: LookupEditorModel<TValue>;
    eventMap: LookupEditorEventMap<TValue>;
    lookupCall: LookupCall<TValue>;
    codeType: string | (new () => CodeType<TValue>);
    browseHierarchy: boolean;
    browseMaxRowCount: number;
    protected _popup: WidgetPopup<LookupBox<TValue>>;
    protected _init(model: InitModelOf<this>): void;
    protected _render(): void;
    protected _formatValue(value: TValue[]): string | JQuery.Promise<string>;
    static formatValues<TValue>(values: TValue[], lookupCall: LookupCall<TValue>, prepareLookupCall?: (lookupCall: LookupCall<TValue>) => void): string | JQuery.Promise<string>;
    protected _renderDisplayText(): void;
    protected _clear(): void;
    onCellEditorRendered(options: CellEditorRenderedOptions<TValue[]>): void;
    protected _openPopup(cellEditorPopup: CellEditorPopup<TValue[]>): void;
    protected _createLookupBoxModel(): ChildModelOf<LookupBox<TValue>>;
}
//# sourceMappingURL=LookupEditor.d.ts.map