import { Column, Table, TableOrganizer } from '../../index';
/**
 * Special table organizer for classic tables that are controlled by the Java model on the UI server. Unlike
 * the default {@link TableOrganizer}, it does not handle the `columnOrganizeAction` event itself, but lets
 * it be sent to the server via {@link TableAdapter}. The availability of the column organize actions depends
 * on the flags {@link Table#columnAddable}, {@link Column#removable} and {@link Column#modifiable} reported
 * by the server.
 */
export declare class RemoteTableOrganizer extends TableOrganizer {
    install(table: Table): void;
    uninstall(): void;
    isColumnAddable(insertAfterColumn?: Column): boolean;
    isColumnRemovable(column: Column): boolean;
    isColumnModifiable(column: Column): boolean;
}
//# sourceMappingURL=RemoteTableOrganizer.d.ts.map