import { FullModelOf, InitModelOf, ModelAdapter, ObjectOrModel, Outline, OutlineAdapter, OutlineModel, Page, PageModel, Session } from '../../../index';
export declare class OutlineSpecHelper {
    session: Session;
    constructor(session: Session);
    createModelFixture(nodeCount?: number, depth?: number, expanded?: boolean): FullModelOf<Outline> & {
        id: string;
        session: Session;
    };
    createModel(nodes: ObjectOrModel<Page>[]): FullModelOf<Outline> & {
        id: string;
        session: Session;
    };
    createModelNode(id: string, text: string, model?: PageModel): PageModel;
    createModelNodes(nodeCount: number, depth?: number, model?: PageModel): PageModel[];
    createModelNodesInternal(nodeCount: number, depth?: number, parentNode?: PageModel, model?: PageModel): PageModel[];
    createOutline(model?: OutlineModel): Outline;
    createOutlineAdapter(model: InitModelOf<ModelAdapter> | OutlineModel & {
        id: string;
        session: Session;
    }): OutlineAdapter;
    /**
     * Creates an outline with 3 nodes, the first node has a visible detail form
     */
    createOutlineWithOneDetailForm(): Outline;
    /**
     * Creates an outline with 3 nodes, the first node has a visible detail table
     */
    createOutlineWithOneDetailTable(): Outline;
    setMobileFlags(outline: Outline): void;
}
//# sourceMappingURL=OutlineSpecHelper.d.ts.map