import { SpecForm, SpecRadioButtonGroup } from '../index';
import { Form, FormField, FormModel, FullModelOf, GroupBox, MessageBox, MessageBoxOption, ModeSelector, ObjectType, Session, StringField, Widget } from '../../index';
export declare class FormSpecHelper {
    session: Session;
    constructor(session: Session);
    closeMessageBoxes(option?: MessageBoxOption): void;
    findMessageBoxes(): Set<MessageBox>;
    createViewWithOneField(model?: FormModel): SpecForm;
    createFormWithOneField(model?: FormModel): SpecForm;
    createFormWithFieldsAndTabBoxes(model?: FormModel): Form;
    createGroupBoxWithOneField(parent: Widget): GroupBox;
    createGroupBoxWithFields(parent?: Widget, numFields?: number): GroupBox;
    createRadioButtonGroup(parent?: Widget, numRadioButtons?: number): SpecRadioButtonGroup;
    createFormWithFields(parent: Widget, isModal: boolean, numFields?: number): Form;
    createFieldModel<T extends FormField = StringField>(objectType?: ObjectType<T>, parent?: Widget, modelProperties?: Record<string, any>): FullModelOf<T> & {
        id: string;
        session: Session;
    };
    createField<T extends FormField>(objectType: ObjectType<T>, parent?: Widget, modelProperties?: Record<string, any>): T;
    createModeSelector(parent?: Widget, numModes?: number): ModeSelector;
}
//# sourceMappingURL=FormSpecHelper.d.ts.map