/// <reference types="jquery" />
import { PropertyChangeEvent, Tile, TileEventMap, TileModel } from '../index';
export interface HtmlTileModel extends TileModel {
    content?: string;
}
export interface HtmlTileEventMap extends TileEventMap {
    'propertyChange:content': PropertyChangeEvent<string, HtmlTile>;
}
export declare class HtmlTile extends Tile implements HtmlTileModel {
    model: HtmlTileModel;
    eventMap: HtmlTileEventMap;
    self: HtmlTile;
    content: string;
    constructor();
    protected _render(): void;
    protected _renderProperties(): void;
    setContent(content: string): void;
    protected _renderContent(): void;
    protected _onImageLoad(event: JQuery.TriggeredEvent): void;
    protected _onImageError(event: JQuery.TriggeredEvent): void;
}
//# sourceMappingURL=HtmlTile.d.ts.map