import { InitModelOf, LogicalGridLayoutConfig, LogicalGridLayoutConfigModel, ObjectOrModel, TileGridLayout } from '../index';
/**
 * Configures layouting options for tiles layouted by {@link TileGridLayout}.
 *
 * @see LogicalGridLayoutConfig
 */
export declare class TileGridLayoutConfig extends LogicalGridLayoutConfig implements TileGridLayoutConfigModel {
    model: TileGridLayoutConfigModel;
    maxWidth: number;
    protected static _DEFAULT_CONFIG: InitModelOf<TileGridLayoutConfig>;
    constructor(options?: InitModelOf<TileGridLayoutConfig>, defaults?: InitModelOf<TileGridLayoutConfig>);
    static getTileDefaultLayoutConfig(): InitModelOf<TileGridLayoutConfig>;
    protected _prepareOptions(options?: InitModelOf<TileGridLayoutConfig>): InitModelOf<TileGridLayoutConfig>;
    protected _readEnvDefaults(): InitModelOf<TileGridLayoutConfig>;
    applyToLayout(layout: TileGridLayout): void;
    clone(options?: InitModelOf<TileGridLayoutConfig>): TileGridLayoutConfig;
    static ensure(layoutConfig: ObjectOrModel<TileGridLayoutConfig>): TileGridLayoutConfig;
}
export interface TileGridLayoutConfigModel extends LogicalGridLayoutConfigModel {
    /**
     * The maximum width in pixels to use for the content.
     * There is no maximum if this value is <= 0.
     *
     * Default is -1;
     */
    maxWidth?: number;
}
//# sourceMappingURL=TileGridLayoutConfig.d.ts.map