/// <reference types="jquery" />
import { InitModelOf, ScrollbarInstallOptions, SomeRequired, TimePickerEventMap, TimePickerModel, Widget } from '../index';
export declare class TimePicker extends Widget implements TimePickerModel {
    model: TimePickerModel;
    initModel: SomeRequired<this['model'], 'parent' | 'timeResolution'>;
    eventMap: TimePickerEventMap;
    self: TimePicker;
    preselectedTime: Date;
    selectedTime: Date;
    viewDate: Date;
    resolution: number;
    constructor();
    protected _init(options: InitModelOf<this>): void;
    protected _render(): void;
    protected _renderTimeSelection(): JQuery;
    protected _installScrollbars(options?: ScrollbarInstallOptions): void;
    protected _scrollTo($scrollTo: JQuery): void;
    preselectTime(time: Date): void;
    /**
     * @internal, use {@link preselectDate} to preselect a date
     */
    setPreselectedTime(preselectedTime: Date): void;
    protected _renderPreselectedTime(): void;
    selectTime(time: Date): void;
    /**
     * @internal, use selectDate to select a date
     */
    setSelectedTime(selectedTime: Date): void;
    protected _renderSelectedTime(): void;
    shiftSelectedTime(hourUnits: number, minuteUnits: number, secondUnits: number): void;
    protected _snapToTimeGrid(time: Date): Date;
    protected _onTimeClick(event: JQuery.ClickEvent): void;
}
//# sourceMappingURL=TimePicker.d.ts.map