/// <reference types="jquery" />
import { InitModelOf, SomeRequired, Tooltip, TooltipModel } from '../index';
import MouseEnterEvent = JQuery.MouseEnterEvent;
import MouseLeaveEvent = JQuery.MouseLeaveEvent;
export interface TooltipSupportOptions extends TooltipModel {
    /**
     * Default is no selector
     */
    selector?: JQuery.Selector;
    /**
     * Default is {@link tooltips.DEFAULT_TOOLTIP_DELAY}
     */
    delay?: number;
    /**
     * Default is false.
     */
    nativeTooltip?: boolean;
    $anchor?: JQuery;
}
export declare class TooltipSupport {
    model: TooltipSupportOptions;
    initModel: SomeRequired<this['model'], 'parent'>;
    self: TooltipSupport;
    protected _options: InitModelOf<TooltipSupport>;
    protected _mouseEnterHandler: (event: MouseEnterEvent) => void;
    protected _mouseLeaveHandler: (event: MouseLeaveEvent) => void;
    protected _tooltip: Tooltip;
    protected _tooltipTimeoutId: number;
    constructor(options: InitModelOf<TooltipSupport>);
    install($comp: JQuery): void;
    uninstall($comp: JQuery): void;
    update($comp: JQuery, options?: Partial<TooltipSupportOptions>): void;
    cancel($comp: JQuery): void;
    close(): void;
    get tooltip(): Tooltip;
    protected _onMouseEnter(event: MouseEnterEvent): void;
    protected _onMouseLeave(event: MouseLeaveEvent): void;
    protected _destroyTooltip(): void;
    protected _text($comp: JQuery): string;
    protected _htmlEnabled($comp: JQuery): boolean;
    protected _showTooltip($comp: JQuery): void;
}
//# sourceMappingURL=TooltipSupport.d.ts.map