import { InitModelOf, Tooltip, TooltipSupport, TooltipSupportOptions } from '../index';
export declare const tooltips: {
    /**
     * milliseconds
     */
    DEFAULT_TOOLTIP_DELAY: number;
    /**
     * Quite long tooltip delay for cases where the normal delay would be annoying.
     * Value in milliseconds
     */
    LONG_TOOLTIP_DELAY: number;
    install($comp: JQuery, options: InitModelOf<TooltipSupport>): void;
    uninstall($comp: JQuery): void;
    /**
     * If the tooltip is currently showing, its contents are updated immediately.
     * Otherwise, nothing happens.
     */
    update($comp: JQuery, options?: Partial<TooltipSupportOptions>): void;
    close($comp: JQuery): void;
    /**
     * Cancels the scheduled task to show the tooltip.
     */
    cancel($comp: JQuery): void;
    /**
     * Convenient function to install tooltip support for ellipsis only.
     */
    installForEllipsis($comp: JQuery, options: InitModelOf<TooltipSupport>): void;
    /**
     * Finds every tooltip whose $anchor belongs to $context.
     */
    find($context: JQuery): Tooltip[];
};
//# sourceMappingURL=tooltips.d.ts.map