import { TreeNode } from './../index';
/**
 * This object is needed during an update in the tree. It
 * holds the updated nodes to be processed at the end of the update.
 *
 * This class holds two lists of {@link TreeNode}:
 * - TreeNodes which have to be rendered
 * - TreeNodes which triggered an update event
 */
export declare class TreeCheckNodesResult {
    protected _requireRenderTreeNodes: TreeNode[];
    protected _requireTriggerEventNodes: TreeNode[];
    constructor();
    addNodeForRendering(...nodes: TreeNode[]): void;
    addNodeForEventTrigger(...nodes: TreeNode[]): void;
    addNodeForRenderingAndEventTrigger(...nodes: TreeNode[]): void;
    getNodesForRendering(): TreeNode[];
    getNodesForEventTrigger(): TreeNode[];
    removeNode(node: TreeNode): void;
    add(treeNodeUpdate: TreeCheckNodesResult): void;
}
//# sourceMappingURL=TreeCheckNodesResult.d.ts.map