import { ObjectModel, ViewportScroller } from '../index';
export interface ViewportScrollerModel extends ObjectModel<ViewportScroller> {
    viewportWidth?: number;
    viewportHeight?: number;
    /**
     * distance from the viewport edge (in pixel) where we start to scroll automatically
     */
    e?: number;
    /**
     * position of "fast scroll" area. Same dimension as e. Negative values are outside the viewport.
     */
    f?: number;
    /**
     * milliseconds
     */
    initialDelay?: number;
    /**
     * Function that returns "false", if the scrolling should no longer be active (e.g. because the elements were removed from the DOM) or "true" otherwise.
     */
    active?: () => boolean;
    /**
     * Function that receives the computed delta scroll positions (positive or negative) when automatic scrolling is active.
     */
    scroll?: (dx: number, dy: number) => void;
}
//# sourceMappingURL=ViewportScrollerModel.d.ts.map