import { Session } from '../index';
export declare const files: {
    /**
     * Checks if the combined total size of the given files does not exceed the maximum upload size.
     *
     * @param files array of files
     * @param maximumUploadSize maximum combined file size. null disables the size check
     * @returns true if the total size does not exceed maximumUploadSize, otherwise false
     */
    validateMaximumUploadSize(files: Blob | Blob[], maximumUploadSize: number): boolean;
    fileListToArray(fileList: FileList): File[];
    getErrorMessageMaximumUploadSizeExceeded(session: Session, maximumUploadSize: number): string;
};
//# sourceMappingURL=files.d.ts.map