export declare const filters: {
    /**
     * Returns a function that always evaluates to 'true'.
     */
    returnTrue(): boolean;
    /**
     * Returns a function that always evaluates to 'false'.
     */
    returnFalse(): boolean;
    /**
     * Returns a filter to accept only elements which are located outside the given container, meaning not the container itself nor one of its children.
     */
    outsideFilter(container: JQuery | Element): () => boolean;
    /**
     * Returns a filter to accept only elements which are not the given element.
     *
     * @param DOM or jQuery element.
     */
    notSameFilter(element: JQuery | Element): () => boolean;
};
//# sourceMappingURL=filters.d.ts.map