/**
 * Utility functions for "sessionStorage" and "localStorage" that ignore any errors.
 * Errors can occur e.g. in "private mode" on Safari.
 */
export declare const webstorage: {
    getItem(storage: Storage, key: string): string;
    getItemFromSessionStorage(key: string): string;
    getItemFromLocalStorage(key: string): string;
    setItem(storage: Storage, key: string, value: string): void;
    setItemToSessionStorage(key: string, value: string): void;
    setItemToLocalStorage(key: string, value: string): void;
    removeItem(storage: Storage, key: string): void;
    removeItemFromSessionStorage(key: string): void;
    removeItemFromLocalStorage(key: string): void;
    clear(storage: Storage): void;
    clearSessionStorage(): void;
    clearLocalStorage(): void;
};
//# sourceMappingURL=webstorage.d.ts.map