/**
 * Controls how the tree visiting should continue.
 */
export declare enum TreeVisitResult {
    /**
     * Normally continue visiting. Nothing will be skipped.
     */
    CONTINUE = "continue",
    /**
     * Abort the whole visiting. May be used if the visitor finishes the operation before all elements have been visited.
     */
    TERMINATE = "terminate",
    /**
     * Continue without visiting the child elements of the current element.
     */
    SKIP_SUBTREE = "skip_subtree"
}
//# sourceMappingURL=TreeVisitResult.d.ts.map