import * as __WEBPACK_EXTERNAL_MODULE_sourcemapped_stacktrace_254f05bd__ from "sourcemapped-stacktrace";
/******/ var __webpack_modules__ = ({

/***/ "./src/App.ts":
/*!********************!*\
  !*** ./src/App.ts ***!
  \********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   App: () => (/* binding */ App)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


let instance = null;
let listeners = [];
let bootstrappers = [];
class App extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  static addListener(type, handler) {
    let listener = {
      type: type,
      func: handler
    };
    if (instance) {
      instance.events.addListener(listener);
    } else {
      listeners.push(listener);
    }
    return listener;
  }
  /**
   * Adds a function that needs to be executed while bootstrapping.
   * @see AppModel.bootstrappers
   */
  static addBootstrapper(bootstrapper) {
    if (bootstrappers.indexOf(bootstrapper) > -1) {
      throw new Error('Bootstrapper is already registered.');
    }
    bootstrappers.push(bootstrapper);
  }
  /**
   * The response of a successful ajax call with status 200 may contain a {@link JsonErrorResponse}.
   * This method detects this case and throws an error containing the error details of the response together with the given request url.
   * @throws JsonErrorResponseContainer
   * @returns the given data as it is if it does not contain an error
   */
  static handleJsonError(url, data) {
    if (data && data.error) {
      // The result may contain a json error (e.g. session timeout) -> abort processing
      throw {
        error: data.error,
        url: url
      };
    }
    return data;
  }
  static get() {
    return instance;
  }
  static _set(newApp) {
    if (instance) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Overwriting already existing App "' + instance + '" with "' + newApp + '".');
    }
    instance = newApp;
  }
  constructor() {
    super();
    _defineProperty(this, "remote", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "sessions", void 0);
    _defineProperty(this, "errorHandler", void 0);
    _defineProperty(this, "version", void 0);
    _defineProperty(this, "bootstrappers", void 0);
    _defineProperty(this, "_loadingTimeoutId", void 0);
    this.remote = false;
    this.initialized = false;
    this.sessions = [];
    this.bootstrappers = [];
    this._loadingTimeoutId = null;
    // register the listeners which were added to scout before the app is created
    listeners.forEach(listener => {
      this.addListener(listener);
    });
    listeners = [];
    App._set(this);
    this.errorHandler = this._createErrorHandler();
  }
  /**
   * Main initialization function.
   *
   * Calls {@link _prepare}, {@link _bootstrap} and {@link _init}.<br>
   * At the initial phase the essential objects are initialized, those which are required for the next phases like logging and the object factory.<br>
   * During the bootstrap phase additional scripts may get loaded required for a successful session startup.<br>
   * The actual initialization does not get started before these bootstrap scripts are loaded.
   */
  init(options) {
    options = options || {};
    return this._prepare(options).then(this._bootstrap.bind(this, options.bootstrap)).then(this._init.bind(this, options)).then(this._initDone.bind(this, options)).catch(this._fail.bind(this, options));
  }
  /**
   * Initializes the logging framework and the object factory.
   * This happens at the prepare phase because all these things should be available from the beginning.
   */
  _prepare(options) {
    return this._prepareLogging(options).done(() => {
      this._prepareEssentials(options);
      this._prepareDone(options);
    });
  }
  _prepareEssentials(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().init();
  }
  _prepareDone(options) {
    this.trigger('prepare', {
      options: options
    });
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('App prepared');
  }
  _prepareLogging(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.logging.bootstrap();
  }
  /**
   * Executes the bootstrappers.
   *
   * The actual session startup begins only when all promises of the bootstrappers are completed.
   * This gives the possibility to dynamically load additional scripts or files which are mandatory for a successful application startup.
   */
  _bootstrap(options) {
    options = options || {};
    options.bootstrappers = options.bootstrappers || [];
    this.bootstrappers = [...this._defaultBootstrappers(options), ...options.bootstrappers, ...this.bootstrappers, ...bootstrappers].filter(bootstrapper => !!bootstrapper);
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(this._doBootstrap()).catch(this._bootstrapFail.bind(this, options)).then(this._bootstrapDone.bind(this, options)); // BootstrapDone must only be executed if there are no boostrap errors
  }
  _defaultBootstrappers(options) {
    return [_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.Device.get()), _index__WEBPACK_IMPORTED_MODULE_0__.fonts.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.fonts, options.fonts), _index__WEBPACK_IMPORTED_MODULE_0__.locales.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.locales, options.localesUrl), _index__WEBPACK_IMPORTED_MODULE_0__.texts.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.texts, options.textsUrl), _index__WEBPACK_IMPORTED_MODULE_0__.codes.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.codes, options.codesUrl), _index__WEBPACK_IMPORTED_MODULE_0__.access.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.access, options.permissionsUrl), _index__WEBPACK_IMPORTED_MODULE_0__.config.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.config, options.configUrl)];
  }
  _doBootstrap() {
    return this.bootstrappers.map(bootstrapper => bootstrapper());
  }
  _bootstrapDone(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromSessionStorage('scout:bootstrapErrorPageReload');
    this.trigger('bootstrap', {
      options: options
    });
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('App bootstrapped');
  }
  /**
   * @param vararg may either be
   *               - an {@link AjaxError} for requests executed with {@link ajax} or {@link AjaxCall}
   *               - a {@link JQuery.jqXHR} for requests executed with {@link $.ajax}. The parameters `textStatus`, `errorThrown` and `requestOptions` are only set in this case.
   *               - a {@link JsonErrorResponseContainer} if a successful response contained a {@link JsonErrorResponse} which was transformed to an error (e.g. using {@link App.handleJsonError}).
   */
  _bootstrapFail(options, vararg, textStatus, errorThrown, requestOptions) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('App bootstrap failed');
    // If one of the bootstrap ajax call fails due to a session timeout, the index.html is probably loaded from cache without asking the server for its validity.
    // Normally, loading the index.html should already return a session timeout, but if it is loaded from the (back button) cache, no request will be done and therefore no timeout can be returned.
    // The browser is allowed to display a page when navigating back without issuing a request even though cache-headers are set to must-revalidate.
    // The only way to prevent it would be the no-store header but then pressing back would always reload the page and not only on a session timeout.
    // Sometimes the JavaScript and therefore the ajax calls won't be executed in case the page is loaded from that cache, but sometimes they will nevertheless (we don't know the reasons).
    // So, if it that happens, the server will either return a session timeout or a status 401 (Unauthorized) and the best thing we can do is to reload the page hoping a request for the index.html
    // will be done which eventually will be forwarded to the login page.
    // Additionally, requests may fail due to other various reasons, e.g. Chrome may report ERR_NETWORK_CHANGED or ERR_CERT_VERIFER_CHANGED.
    // Since a page reload normally solves these issues as well, the reload is done on any error not just session timeouts.
    let {
      url,
      message
    } = this._analyzeBootstrapError(vararg, textStatus, errorThrown, requestOptions);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`Error for resource ${url}. Reloading page...`);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage('scout:bootstrapErrorPageReload')) {
      // Prevent loop in case reloading did not solve the problem
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Prevented automatic reload, startup will likely fail.');
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromSessionStorage('scout:bootstrapErrorPageReload');
      throw new Error(`Bootstrap resource ${url} could not be loaded: ${message}`);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToSessionStorage('scout:bootstrapErrorPageReload', 'true');
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage();
    // Make sure promise will be rejected with all original arguments so that it can be eventually handled by this._fail
    // eslint-disable-next-line prefer-rest-params
    let args = _index__WEBPACK_IMPORTED_MODULE_0__.objects.argumentsToArray(arguments).slice(1);
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().rejectedPromise(...args);
  }
  _analyzeBootstrapError(vararg, textStatus, errorThrown, requestOptions) {
    let ajaxError;
    let jsonError;
    if (vararg instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError) {
      ajaxError = vararg;
    } else if (jquery__WEBPACK_IMPORTED_MODULE_1___default().isJqXHR(vararg)) {
      ajaxError = new _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError({
        jqXHR: vararg,
        textStatus: textStatus,
        errorThrown: errorThrown,
        requestOptions: requestOptions
      });
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(vararg) && vararg.error) {
      jsonError = vararg;
    }
    let url;
    let message;
    if (ajaxError) {
      var _ajaxError$requestOpt, _ajaxError$errorDo;
      // AJAX error
      // If a resource returns 401 (unauthorized) it is likely a session timeout.
      // This may happen for REST resources or if a reverse proxy returned the response
      url = ((_ajaxError$requestOpt = ajaxError.requestOptions) === null || _ajaxError$requestOpt === void 0 ? void 0 : _ajaxError$requestOpt.url) || '';
      message = `${((_ajaxError$errorDo = ajaxError.errorDo) === null || _ajaxError$errorDo === void 0 ? void 0 : _ajaxError$errorDo.message) || ''}`;
      let httpStatus = `${this.errorHandler.formatAjaxStatus(ajaxError.jqXHR, ajaxError.errorThrown)}`;
      if (!message.includes(httpStatus)) {
        message = `${message} [${this.errorHandler.formatAjaxStatus(ajaxError.jqXHR, ajaxError.errorThrown)}]`.trim();
      }
    } else if (jsonError) {
      // Json based error
      // Json errors (normally processed by Session.js) are returned with http status 200
      url = jsonError.url;
      message = `${jsonError.error.message} [Code ${jsonError.error.code}]`;
    }
    return {
      url,
      message
    };
  }
  /**
   * Initializes a session for each html element with class '.scout' and stores them in scout.sessions.
   */
  _init(options) {
    options = options || {};
    this.setLoading(true);
    let compatibilityPromise = this._checkBrowserCompatibility(options);
    if (compatibilityPromise) {
      this.setLoading(false);
      return compatibilityPromise.then(newOptions => this._init(newOptions));
    }
    this._initVersion(options);
    this._prepareDOM();
    this._installErrorHandler();
    this._installGlobalMouseDownInterceptor();
    this._installSyntheticActiveStateHandler();
    this._ajaxSetup();
    this._installExtensions();
    this._triggerInstallExtensions();
    return this._load(options).then(this._loadSessions.bind(this, options.session));
  }
  /**
   * Maybe implemented to load data from a server before the desktop is created.
   * @returns promise which is resolved after the loading is complete
   */
  _load(options) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  _checkBrowserCompatibility(options) {
    let device = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get();
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Detected browser ' + device.browser + ' version ' + device.browserVersion);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.checkBrowserCompatibility, true) || device.isSupportedBrowser()) {
      // No check requested or browser is supported
      return;
    }
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    let newOptions = _index__WEBPACK_IMPORTED_MODULE_0__.objects.valueCopy(options);
    newOptions.checkBrowserCompatibility = false;
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.scout').each(function () {
      let $entryPoint = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      let $box = $entryPoint.appendDiv();
      $box.load('unsupported-browser.html', () => {
        $box.find('button').on('click', () => {
          $box.remove();
          deferred.resolve(newOptions);
        });
      });
    });
    return deferred.promise();
  }
  setLoading(loading) {
    if (loading) {
      this._loadingTimeoutId = setTimeout(() => {
        // Don't start loading if a desktop is already rendered to prevent flickering when the loading will be set to false after app initialization finishes
        if (!this.sessions.some(session => session.desktop && session.desktop.rendered)) {
          this._renderLoading();
        }
      }, 200);
    } else {
      clearTimeout(this._loadingTimeoutId);
      this._loadingTimeoutId = null;
      this._removeLoading();
    }
  }
  _renderLoading() {
    let $body = jquery__WEBPACK_IMPORTED_MODULE_1___default()('body'),
      $loadingRoot = $body.children('.application-loading-root');
    if (!$loadingRoot.length) {
      $loadingRoot = $body.appendDiv('application-loading-root').addClass('application-loading-root').fadeIn();
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($loadingRoot, 'alert');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly($loadingRoot.appendDiv('text').attr('lang', 'en-US').text('Loading'));
    this._renderLoadingElement($loadingRoot, 'application-loading01');
    this._renderLoadingElement($loadingRoot, 'application-loading02');
    this._renderLoadingElement($loadingRoot, 'application-loading03');
  }
  _renderLoadingElement($loadingRoot, cssClass) {
    if ($loadingRoot.children('.' + cssClass).length) {
      return;
    }
    $loadingRoot.appendDiv(cssClass).hide().fadeIn();
  }
  _removeLoading() {
    let $loadingRoot = jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').children('.application-loading-root');
    // the fadeout animation only contains a to-value and no from-value
    // therefore set the current value to the elements style
    $loadingRoot.css('opacity', $loadingRoot.css('opacity'));
    // Add animation listener before adding the classes to ensure the listener will always be triggered even while debugging
    $loadingRoot.oneAnimationEnd(() => $loadingRoot.remove());
    if ($loadingRoot.css('opacity') === '1') {
      $loadingRoot.addClass('fadeout and-more');
    } else {
      $loadingRoot.addClass('fadeout');
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation()) {
      // fallback for old browsers that do not support the animation-end event
      $loadingRoot.remove();
    }
  }
  _initVersion(options) {
    this.version = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.version, options.version, jquery__WEBPACK_IMPORTED_MODULE_1___default()('scout-version').data('value'));
  }
  _prepareDOM() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.prepareDOM(document);
  }
  _installGlobalMouseDownInterceptor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.installGlobalMouseDownInterceptor(document);
  }
  _installSyntheticActiveStateHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.installSyntheticActiveStateHandler(document);
  }
  /**
   * Installs a global error handler.
   *
   * Note: we do not install an error handler on popup-windows because everything is controlled by the main-window
   * so exceptions will also occur in that window. This also means, the fatal message-box will be displayed in the
   * main-window, even when a popup-window is opened and active.
   *
   * Caution: The error.stack doesn't look the same in different browsers. Chrome for instance puts the error message
   * on the first line of the stack. Firefox does only contain the stack lines, without the message, but in return
   * the stack trace is much longer :)
   */
  _installErrorHandler() {
    window.onerror = this.errorHandler.windowErrorHandler;
    // FIXME bsh, cgu: use ErrorHandler to handle unhandled promise rejections. Just replacing jQuery.Deferred.exceptionHook(error, stack) does not work
    // because it is called on every exception and not only on unhandled.
    // https://developer.mozilla.org/en-US/docs/Web/API/Window/unhandledrejection_event would be exactly what we need, but jQuery does not support it.
    // Bluebird has a polyfill -> can it be ported to jQuery?
  }
  _createErrorHandler(opts) {
    opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, opts);
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ErrorHandler, opts);
  }
  /**
   * Uses the object returned by {@link _ajaxDefaults} to set up ajax. The values in that object are used as default values for every ajax call.
   */
  _ajaxSetup() {
    let ajaxDefaults = this._ajaxDefaults();
    if (ajaxDefaults) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().ajaxSetup(ajaxDefaults);
    }
  }
  /**
   * Returns the defaults for every ajax call. You may override it to set custom defaults.
   * By default {@link _beforeAjaxCall} is assigned to the beforeSend method.
   *
   * Note: This will affect every ajax call, so use it with care! See also the advice on https://api.jquery.com/jquery.ajaxsetup/.
   */
  _ajaxDefaults() {
    return {
      beforeSend: this._beforeAjaxCall.bind(this)
    };
  }
  /**
   * Called before every ajax call. Sets the header X-Scout-Correlation-Id.
   *
   * Maybe overridden to set custom headers or to execute other code which should run before an ajax call.
   */
  _beforeAjaxCall(request, settings) {
    request.setRequestHeader('X-Scout-Correlation-Id', _index__WEBPACK_IMPORTED_MODULE_0__.numbers.correlationId());
    request.setRequestHeader('X-Requested-With', 'XMLHttpRequest'); // explicitly add here because jQuery only adds it automatically if it is no crossDomain request
    if (this.sessions[0] && this.sessions[0].ready) {
      request.setRequestHeader('Accept-Language', this.sessions[0].locale.languageTag);
    }
  }
  _loadSessions(options) {
    options = options || {};
    let promises = [];
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.scout').each((i, elem) => {
      let $entryPoint = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      options.portletPartId = options.portletPartId || $entryPoint.data('partid') || '0';
      let promise = this._loadSession($entryPoint, options);
      promises.push(promise);
    });
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises);
  }
  /**
   * @returns promise which is resolved when the session is ready
   */
  _loadSession($entryPoint, model) {
    let sessionModel = {
      $entryPoint: $entryPoint
    };
    let options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, model, sessionModel);
    options.locale = options.locale || this._loadLocale();
    let session = this._createSession(options);
    this.sessions.push(session);
    // TODO [7.0] cgu improve this, start must not be executed because it currently does a server request
    let desktop = this._createDesktop(session.root);
    this._triggerDesktopReady(desktop);
    session.render(() => {
      session._renderDesktop();
      // Ensure layout is valid (explicitly layout immediately and don't wait for setTimeout to run to make layouting invisible to the user)
      session.layoutValidator.validate();
      session.focusManager.validateFocus();
      session.ready = true;
      this._triggerSessionReady(session);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session initialized. Detected ' + _index__WEBPACK_IMPORTED_MODULE_0__.Device.get());
    });
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /** @internal */
  _triggerDesktopReady(desktop) {
    this.trigger('desktopReady', {
      desktop: desktop
    });
  }
  /** @internal */
  _triggerSessionReady(session) {
    this.trigger('sessionReady', {
      session: session
    });
  }
  _createSession(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Session, options, {
      ensureUniqueId: false
    });
  }
  _createDesktop(parent) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Desktop, {
      parent: parent
    });
  }
  /**
   * @returns the locale to be used when no locale is provided as session option. By default, the navigators locale is used.
   */
  _loadLocale() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.locales.getNavigatorLocale();
  }
  _initDone(options) {
    this.initialized = true;
    this.setLoading(false);
    this.trigger('init', {
      options: options
    });
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('App initialized');
  }
  _fail(options, error) {
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('App initialization failed.');
    this.setLoading(false);
    let promises = [];
    if (_index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage('scout:bootstrapErrorPageReload')) {
      // Do not append a message, page is about to be reloaded
    } else if (this.sessions.length === 0) {
      promises.push(this.errorHandler.handle(error, ...args).then(errorInfo => {
        this._appendStartupError(jquery__WEBPACK_IMPORTED_MODULE_1___default()('body'), errorInfo);
      }));
    } else {
      // Session.js may already display a fatal message box
      // -> don't handle the error again and display multiple error messages
      this.sessions.filter(session => !session.ready && !session.isFatalMessageShown()).forEach(session => {
        session.$entryPoint.empty();
        const errorHandler = this._createErrorHandler({
          session: session
        });
        const promise = errorHandler.analyzeError(error).then(info => {
          info.showAsFatalError = true;
          return errorHandler.handleErrorInfo(info);
        });
        promises.push(promise);
      });
    }
    this.trigger('fail', {
      error
    });
    // Reject with original rejection arguments
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises).then(errorInfo => jquery__WEBPACK_IMPORTED_MODULE_1___default().rejectedPromise(error, ...args));
  }
  _appendStartupError($parent, errorInfo) {
    let $error = $parent.appendDiv('startup-error');
    $error.appendDiv('startup-error-title').text('The application could not be started');
    let message = errorInfo.message;
    if (errorInfo !== null && errorInfo !== void 0 && errorInfo.httpStatus) {
      message = this.errorHandler.getMessageBodyForHttpStatus(errorInfo === null || errorInfo === void 0 ? void 0 : errorInfo.httpStatus);
    }
    if (message) {
      $error.appendDiv('startup-error-message').text(message);
    }
  }
  /**
   * Override this method to install extensions to Scout objects. Since the extension feature replaces functions
   * on the prototype of the Scout objects you must apply 'function patches' to Scout framework or other code before
   * the extensions are installed.
   *
   * The default implementation does nothing.
   */
  _installExtensions() {
    // NOP
  }
  /**
   * @see AppEventMap#installExtensions
   */
  _triggerInstallExtensions() {
    this.trigger('installExtensions');
  }
}

/***/ }),

/***/ "./src/AppEventMap.ts":
/*!****************************!*\
  !*** ./src/AppEventMap.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/ErrorHandler.ts":
/*!*****************************!*\
  !*** ./src/ErrorHandler.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ErrorHandler: () => (/* binding */ ErrorHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var sourcemapped_stacktrace__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! sourcemapped-stacktrace */ "sourcemapped-stacktrace");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class ErrorHandler {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "logError", void 0);
    _defineProperty(this, "displayError", void 0);
    _defineProperty(this, "sendError", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "windowErrorHandler", void 0);
    this.logError = true;
    this.displayError = true;
    this.sendError = false;
    this.windowErrorHandler = this._onWindowError.bind(this);
    this.session = null;
  }
  /**
   * Use this constant to configure whether all instances of the ErrorHandler should write
   * to the console. When you've installed a console appender to log4javascript you can set the
   * value to false, because the ErrorHandler also calls $.log.error and thus the appender has
   * already written the message to the console. We don't want to see it twice.
   */

  init(options) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  // Signature matches the "window.onerror" event handler
  // https://developer.mozilla.org/en-US/docs/Web/API/GlobalEventHandlers/onerror
  _onWindowError(errorMessage, fileName, lineNumber, columnNumber, error) {
    try {
      if (this._isIgnorableScriptError(errorMessage, fileName, lineNumber, columnNumber, error)) {
        this.handleErrorInfo({
          log: `Ignoring error. Message: ${errorMessage}`,
          showAsFatalError: true,
          level: _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.INFO
        });
        return;
      }
      if (error instanceof Error) {
        this.analyzeError(error).then(info => {
          info.showAsFatalError = true;
          return this.handleErrorInfo(info);
        }).catch(error => console.error('Error in global JavaScript error handler', error));
        return;
      }
      let code = 'J00';
      let log = errorMessage + ' at ' + fileName + ':' + lineNumber + '\n(' + 'Code ' + code + ')';
      this.handleErrorInfo({
        message: errorMessage,
        showAsFatalError: true,
        code: code,
        log: log
      });
    } catch (err) {
      throw new Error('Error in global JavaScript error handler: ' + err.message + ' (original error: ' + errorMessage + ' at ' + fileName + ':' + lineNumber + ')');
    }
  }
  _isIgnorableScriptError(message, fileName, lineNumber, columnNumber, error) {
    // Ignore errors caused by scripts from a different origin.
    // Example: Firefox on iOS throws an error, probably caused by an internal Firefox script.
    // The error does not affect the application and cannot be prevented by the app either since we don't know what script it is and what it does.
    // In that case the error must not be shown to the user, instead just log it silently.
    // https://developer.mozilla.org/en-US/docs/Web/API/GlobalEventHandlers/onerror
    return message && message.toLowerCase().indexOf('script error') > -1 && !fileName && !lineNumber && !columnNumber && !error;
  }
  /**
   * Handles unexpected JavaScript errors. The arguments are first analyzed and then handled.
   *
   * This method may be called by passing the arguments individually or as an array (or array-like object)
   * in the first argument.
   * Examples:
   *   1. try { ... } catch (err) { handler.handle(err); }
   *   2. $.get().fail(function(jqXHR, textStatus, errorThrown) { handler.handle(jqXHR, textStatus, errorThrown); }
   *   3. $.get().fail(function(jqXHR, textStatus, errorThrown) { handler.handle(arguments); } // <-- recommended
   *
   * @param errorOrArgs error or array or array-like object containing the error and other arguments
   * @returns the analyzed errorInfo
   */
  handle(errorOrArgs) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    let error = errorOrArgs;
    if (errorOrArgs && args.length === 0) {
      if (String(errorOrArgs) === '[object Arguments]') {
        error = errorOrArgs[0];
        args = [...errorOrArgs].slice(1);
      } else if (Array.isArray(errorOrArgs)) {
        error = errorOrArgs[0];
        args = errorOrArgs.slice(1);
      }
    }
    return this.analyzeError(error, ...args).then(this.handleErrorInfo.bind(this));
  }
  /**
   * Returns an "errorInfo" object for the given arguments. The following cases are handled:
   * 1. Error objects           (code: computed by getJsErrorCode())
   * 2. jQuery AJAX errors      (code: 'X' + HTTP status code)
   * 3. Nothing                 (code: 'P3')
   * 4. Everything else         (code: 'P4')
   */
  analyzeError(error) {
    let errorInfo = {
      error: error,
      message: null,
      code: null,
      httpStatus: null,
      errorDo: null,
      stack: null,
      mappedStack: null,
      mappingError: null,
      log: null,
      debugInfo: null
    };
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }
    return this._analyzeError(errorInfo, ...args);
  }
  _analyzeError(errorInfo) {
    let error = errorInfo.error;
    // 1. Regular errors
    if (error instanceof Error) {
      // Map stack first before analyzing the error
      return this.mapStack(error.stack).catch(result => {
        errorInfo.mappingError = result.message + '\n' + result.error.message + '\n' + result.error.stack;
        return null;
      }).then(mappedStack => {
        errorInfo.mappedStack = mappedStack;
        this._analyzeRegularError(errorInfo);
        return errorInfo;
      });
    }
    // 2. Ajax errors
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().isJqXHR(error) || Array.isArray(error) && jquery__WEBPACK_IMPORTED_MODULE_1___default().isJqXHR(error[0]) || error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError) {
      for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
        args[_key3 - 1] = arguments[_key3];
      }
      this._analyzeAjaxError(errorInfo, ...args);
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(errorInfo);
    }
    // 3. No reason provided
    if (!error) {
      this._analyzeNoError(errorInfo);
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(errorInfo);
    }
    // 4. Everything else (e.g. when strings are thrown)
    this._analyzeOtherError(errorInfo);
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(errorInfo);
  }
  _analyzeRegularError(errorInfo) {
    let error = errorInfo.error;
    errorInfo.code = this.getJsErrorCode(error);
    errorInfo.showAsFatalError = true;
    errorInfo.message = String(error.message || error);
    if (error.stack) {
      errorInfo.stack = String(error.stack);
    }
    if (error['debugInfo']) {
      // scout extension
      errorInfo.debugInfo = error['debugInfo'];
    }
    let stack = errorInfo.mappedStack || errorInfo.stack;
    let log = [];
    if (!stack || stack.indexOf(errorInfo.message) === -1) {
      // Only log message if not already included in stack
      log.push(errorInfo.message);
    }
    if (stack) {
      log.push(stack);
    }
    if (errorInfo.mappingError) {
      log.push(errorInfo.mappingError);
    }
    if (errorInfo.debugInfo) {
      // Error throwers may put a "debugInfo" string on the error object that is then added to the log string (this is a scout extension).
      log.push('----- Additional debug information: -----\n' + errorInfo.debugInfo);
    }
    errorInfo.log = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(log, '\n');
  }
  _analyzeAjaxError(errorInfo) {
    for (var _len4 = arguments.length, args = new Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
      args[_key4 - 1] = arguments[_key4];
    }
    let error = errorInfo.error;
    let jqXHR,
      errorThrown,
      requestOptions,
      errorDo = null;
    if (error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError) {
      // Scout Ajax Error
      jqXHR = error.jqXHR;
      errorThrown = error.errorThrown;
      requestOptions = error.requestOptions; // scout extension
      errorDo = error.errorDo;
    } else {
      var _jqXHR;
      // jQuery $.ajax() error (arguments of the fail handler are: jqXHR, textStatus, errorThrown, requestOptions)
      // The first argument (jqXHR) is stored in errorInfo.error (may even be an array) -> create args array again and extract the parameters
      args = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(error).concat(args);
      jqXHR = args[0];
      errorThrown = args[2];
      requestOptions = args[3]; // scout extension
      let errorDoCandidate = (_jqXHR = jqXHR) === null || _jqXHR === void 0 || (_jqXHR = _jqXHR.responseJSON) === null || _jqXHR === void 0 ? void 0 : _jqXHR.error;
      if (_index__WEBPACK_IMPORTED_MODULE_0__.AjaxError.isErrorDo(errorDoCandidate)) {
        errorDo = errorDoCandidate;
      }
    }
    let ajaxRequest = this.formatAjaxRequest(requestOptions);
    let ajaxStatus = this.formatAjaxStatus(jqXHR, errorThrown);
    errorInfo.httpStatus = jqXHR.status || 0;
    errorInfo.code = 'X' + errorInfo.httpStatus;
    errorInfo.errorDo = errorDo;
    if (errorDo) {
      errorInfo.message = errorDo.message;
      errorInfo.level = this._severityToLogLevel(errorDo.severity);
    }
    // logging info
    let req = 'AJAX call' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.box(' "', ajaxRequest, '"') + ' failed' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.box(' [', ajaxStatus, ']');
    let log = [];
    if (errorInfo.message) {
      log.push(errorInfo.message);
    } else {
      errorInfo.message = req;
    }
    log.push(req);
    if (jqXHR.responseText) {
      errorInfo.debugInfo = 'Response text:\n' + jqXHR.responseText;
      log.push(errorInfo.debugInfo);
    }
    errorInfo.log = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(log, '\n');
  }
  formatAjaxStatus(jqXHR, errorThrown) {
    return jqXHR.status ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', jqXHR.status + '', errorThrown) : 'Connection error';
  }
  formatAjaxRequest(requestOptions) {
    return requestOptions ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', requestOptions.type, requestOptions.url) : '';
  }
  _severityToLogLevel(severity) {
    switch (severity) {
      case 'ok':
        return _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.DEBUG;
      case 'info':
        return _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.INFO;
      case 'warning':
        return _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.WARN;
      default:
        return _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR;
    }
  }
  _analyzeOtherError(errorInfo) {
    let error = errorInfo.error;
    // Everything else (e.g. when strings are thrown)
    let s = typeof error === 'string' || typeof error === 'number' ? String(error) : null;
    errorInfo.code = 'P4';
    errorInfo.message = s || 'Unexpected error';
    if (!s) {
      try {
        s = JSON.stringify(error); // may throw "cyclic object value" error
      } catch (err) {
        s = String(error);
      }
    }
    errorInfo.log = 'Unexpected error: ' + s;
  }
  _analyzeNoError(errorInfo) {
    errorInfo.code = 'P3';
    errorInfo.message = 'Unknown error';
    errorInfo.log = 'Unexpected error (no reason provided)';
  }
  mapStack(stack) {
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    try {
      sourcemapped_stacktrace__WEBPACK_IMPORTED_MODULE_2__.mapStackTrace(stack, mappedStack => {
        deferred.resolve(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(mappedStack, '\n'));
      });
    } catch (e) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().rejectedPromise({
        message: 'stacktrace mapping failed',
        error: e
      });
    }
    return deferred.promise();
  }
  /**
   * Expects an object as returned by {@link analyzeError} and handles it:
   * - If the flag "logError" is set, the log message is printed to the console
   * - If there is a scout session and the flag "displayError" is set, the error is shown in a message box.
   * - If there is a scout session and the flag "sendError" is set, the error is sent to the UI server.
   */
  handleErrorInfo(errorInfo) {
    errorInfo.level = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(errorInfo.level, _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR);
    if (this.logError && errorInfo.log) {
      this._logErrorInfo(errorInfo);
    }
    // Note: The error handler is installed globally, and we cannot tell in which scout session the error happened.
    // We simply use the first scout session to display the message box and log the error. This is not ideal in the
    // multi-session-case (portlet), but currently there is no other way. Besides, this feature is not in use yet.
    let session = this.session || _index__WEBPACK_IMPORTED_MODULE_0__.App.get().sessions[0];
    if (session) {
      if (this.sendError) {
        this._sendErrorMessage(session, errorInfo.log, errorInfo.level);
      }
      if (this.displayError) {
        if (errorInfo.showAsFatalError) {
          if (errorInfo.level === _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR) {
            return this._showInternalUiErrorMessageBox(session, errorInfo.message, errorInfo.code, errorInfo.log).then(() => errorInfo);
          }
        } else {
          return this._showErrorMessageBox(session, errorInfo).then(() => errorInfo);
        }
      }
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(errorInfo);
  }
  _logErrorInfo(errorInfo) {
    switch (errorInfo.level) {
      case _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.TRACE:
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(errorInfo.log);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.DEBUG:
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug(errorInfo.log);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.INFO:
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(errorInfo.log);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.WARN:
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn(errorInfo.log);
        break;
      default:
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error(errorInfo.log);
    }
    // Note: when the null-logger is active it has already written the error to the console
    // when the $.log.error function has been called above, so we don't have to log again here.
    let writeToConsole = ErrorHandler.CONSOLE_OUTPUT;
    if ((jquery__WEBPACK_IMPORTED_MODULE_1___default().log) instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NullLogger) {
      writeToConsole = false;
    }
    if (writeToConsole && window && window.console) {
      if (errorInfo.level === _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR && window.console.error) {
        window.console.error(errorInfo.log);
      } else if (errorInfo.level === _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.WARN && window.console.warn) {
        window.console.warn(errorInfo.log);
      } else if (window.console.log) {
        window.console.log(errorInfo.log);
      }
    }
  }
  /**
   * Generate a "cool looking" error code from the JS error object, that
   * does not reveal too much technical information, but at least indicates
   * that a JS runtime error has occurred. (In contrast, fatal errors from
   * the server have numeric error codes.)
   */
  getJsErrorCode(error) {
    if (error) {
      if (error.name === 'EvalError') {
        return 'E1';
      }
      if (error.name === 'InternalError') {
        return 'I2';
      }
      if (error.name === 'RangeError') {
        return 'A3';
      }
      if (error.name === 'ReferenceError') {
        return 'R4';
      }
      if (error.name === 'SyntaxError') {
        return 'S5';
      }
      if (error.name === 'TypeError') {
        return 'T6';
      }
      if (error.name === 'URIError') {
        return 'U7';
      }
    }
    return 'J0';
  }
  _showErrorMessageBox(session, errorInfo) {
    const parent = session.desktop || new _index__WEBPACK_IMPORTED_MODULE_0__.NullWidget();
    const msgBoxModel = {
      parent,
      session,
      ...this._buildErrorMessageBoxModel(session, errorInfo)
    };
    const messageBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBox, msgBoxModel);
    messageBox.on('action', event => messageBox.close());
    messageBox.render(session.$entryPoint); // do not use messageBox.open() as the Desktop might not yet be ready (e.g. if there is an error in the App startup)
    return messageBox.when('action');
  }
  _buildErrorMessageBoxModel(session, errorInfo) {
    var _errorInfo$errorDo, _errorInfo$errorDo2, _errorInfo$errorDo3;
    const status = this.errorInfoToStatus(session, errorInfo);
    let code = null;
    if (errorInfo.error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Status && errorInfo.error.code !== 0) {
      code = errorInfo.error.code + '';
    }
    if (errorInfo !== null && errorInfo !== void 0 && (_errorInfo$errorDo = errorInfo.errorDo) !== null && _errorInfo$errorDo !== void 0 && _errorInfo$errorDo.errorCode && errorInfo.errorDo.errorCode !== '0') {
      code = errorInfo.errorDo.errorCode;
    }
    let body = status.message || session.optText('ui.UnexpectedProblem', 'Unexpected problem');
    if (code) {
      body += ' (' + session.optText('ui.ErrorCodeX', 'Code ' + code, code) + ').';
    }
    let html = null;
    if (errorInfo !== null && errorInfo !== void 0 && (_errorInfo$errorDo2 = errorInfo.errorDo) !== null && _errorInfo$errorDo2 !== void 0 && _errorInfo$errorDo2.correlationId) {
      var _session$desktop;
      let $container = ((_session$desktop = session.desktop) === null || _session$desktop === void 0 ? void 0 : _session$desktop.$container) || session.$entryPoint;
      let correlationIdText = session.optText('CorrelationId', 'Correlation ID');
      html = $container.makeDiv('error-popup-correlation-id', correlationIdText + ': ' + errorInfo.errorDo.correlationId)[0].outerHTML;
    }
    return {
      header: (_errorInfo$errorDo3 = errorInfo.errorDo) === null || _errorInfo$errorDo3 === void 0 ? void 0 : _errorInfo$errorDo3.title,
      body: body,
      html: html,
      iconId: status.iconId,
      severity: status.severity,
      hiddenText: errorInfo.log,
      yesButtonText: session.optText('Ok', 'Ok')
    };
  }
  _showInternalUiErrorMessageBox(session, errorMessage, errorCode, logMessage) {
    let options = {
      header: session.optText('ui.UnexpectedProblem', 'Internal UI Error'),
      body: _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n\n', session.optText('ui.InternalUiErrorMsg', errorMessage, ' (' + session.optText('ui.ErrorCodeX', 'Code ' + errorCode, errorCode) + ')'), session.optText('ui.UiInconsistentMsg', '')),
      yesButtonText: session.optText('ui.Reload', 'Reload'),
      yesButtonAction: _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage,
      noButtonText: undefined,
      hiddenText: logMessage,
      iconId: _index__WEBPACK_IMPORTED_MODULE_0__.icons.SLIPPERY
    };
    if (session.inDevelopmentMode) {
      options.noButtonText = session.optText('ui.Ignore', 'Ignore');
    }
    return session.showFatalMessage(options, errorCode);
  }
  _sendErrorMessage(session, logMessage, logLevel) {
    session.sendLogRequest(logMessage, logLevel);
  }
  errorInfoToStatus(session, errorInfo) {
    if (errorInfo.error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Status) {
      // if a Status is thrown
      return errorInfo.error;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure({
      message: this._errorInfoToStatusMessage(session, errorInfo),
      severity: this._errorInfoToStatusSeverity(errorInfo),
      code: this._errorInfoToStatusCode(errorInfo)
    });
  }
  _errorInfoToStatusCode(errorInfo) {
    var _errorInfo$errorDo4;
    let errorCode = errorInfo === null || errorInfo === void 0 || (_errorInfo$errorDo4 = errorInfo.errorDo) === null || _errorInfo$errorDo4 === void 0 ? void 0 : _errorInfo$errorDo4.errorCode;
    if (errorCode && errorCode !== '0' && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(errorCode)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.numbers.ensure(errorCode);
    }
    return errorInfo.httpStatus;
  }
  _errorInfoToStatusSeverity(errorInfo) {
    var _errorInfo$errorDo5;
    switch (errorInfo === null || errorInfo === void 0 || (_errorInfo$errorDo5 = errorInfo.errorDo) === null || _errorInfo$errorDo5 === void 0 ? void 0 : _errorInfo$errorDo5.severity) {
      case 'ok':
        return _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.OK;
      case 'info':
        return _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO;
      case 'warning':
        return _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING;
      default:
        return _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR;
    }
  }
  _errorInfoToStatusMessage(session, errorInfo) {
    var _errorInfo$error;
    if (typeof errorInfo.error === 'string') {
      return errorInfo.error;
    }
    const errorDo = errorInfo.errorDo;
    if (errorDo) {
      let body = errorDo.message;
      if (body && body !== 'undefined') {
        // ProcessingException has default text 'undefined' which is not very helpful -> don't use it
        return body;
      }
    }
    if ((_errorInfo$error = errorInfo.error) !== null && _errorInfo$error !== void 0 && _errorInfo$error.message) {
      return errorInfo.error.message;
    }
    if (errorInfo.message) {
      return errorInfo.message;
    }
    return this.getMessageBodyForHttpStatus(errorInfo === null || errorInfo === void 0 ? void 0 : errorInfo.httpStatus, session);
  }
  /**
   * Gets the default error message body for the given HTTP status error code.
   * @param httpStatus The HTTP status error code. E.g. 503 (Service Unavailable)
   * @param session An optional Session for a message in the language of the user. The default language is used if omitted.
   * @returns The error message for the given error HTTP status.
   */
  getMessageBodyForHttpStatus(httpStatus, session) {
    let body;
    let textMap = session ? session.textMap : _index__WEBPACK_IMPORTED_MODULE_0__.texts.get('default');
    switch (httpStatus) {
      case 404:
        // Not Found
        body = textMap.optGet('TheRequestedResourceCouldNotBeFound', 'The requested resource could not be found.');
        break;
      case 502: // Bad Gateway
      case 503: // Service Unavailable
      case 504:
        // Gateway Timeout
        body = textMap.optGet('NetSystemsNotAvailable', 'The system is partially unavailable at the moment.') + '\n\n' + textMap.optGet('PleaseTryAgainLater', 'Please try again later.');
        break;
      case 403:
        // Forbidden
        body = textMap.optGet('YouAreNotAuthorizedToPerformThisAction', 'You are not authorized to perform this action.');
        break;
      default:
        body = textMap.optGet('ui.UnexpectedProblem', 'Unexpected problem');
    }
    return body;
  }
}
_defineProperty(ErrorHandler, "CONSOLE_OUTPUT", true);

/***/ }),

/***/ "./src/Extension.ts":
/*!**************************!*\
  !*** ./src/Extension.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Extension: () => (/* binding */ Extension)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This class is used to extend an existing Scout object. In order to use the extension feature
 * you must subclass Extension an implement an init method where you register the methods
 * you want to extend. Example:
 *
 * scout.MyExtension.prototype.init = function() {
 *   this.extend(scout.MyStringField.prototype, '_init');
 *   this.extend(scout.MyStringField.prototype, '_renderProperties');
 * };
 *
 * Then you implement methods with the same name and signature on the extension class. Example:
 *
 * scout.MyExtension.prototype._init = function(model) {
 *   this.next(model);
 *   this.extended.setProperty('bar', 'foo');
 * };
 *
 * The extension feature sets two properties on the extension instance before the extended method
 * is called. Note: the function scope (this) is set to the extension instance when the extended
 * function is called:
 *
 *   next: is a reference to the next extended function or the original function of the extended
 *         object, in case the current extension is the last extension in the extension chain.
 *
 *   extended: is the extended or original object.
 */
class Extension {
  constructor() {
    _defineProperty(this, "extended", void 0);
    _defineProperty(this, "next", void 0);
  }
  extend(extended, funcName) {
    let origFunc = extended[funcName];
    let extension = this;
    extended[funcName] = function () {
      extension.extended = this;
      extension.next = origFunc.bind(this);
      return extension[funcName](...arguments);
    };
  }
  /**
   * Calls {@link scout.create} for each extension class in the given extensions array.
   *
   * @param extensions a single objectType or an array of objectTypes
   */
  static install(extensions) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(extensions).forEach(ext => {
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(ext);
    });
  }
}

/***/ }),

/***/ "./src/ObjectFactory.ts":
/*!******************************!*\
  !*** ./src/ObjectFactory.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ObjectFactory: () => (/* binding */ ObjectFactory)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * @singleton
 */
class ObjectFactory {
  constructor() {
    /** use {@link createUniqueId} to generate a new ID */
    _defineProperty(this, "uniqueIdSeqNo", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "_registry", void 0);
    _defineProperty(this, "_objectTypeMap", void 0);
    this.uniqueIdSeqNo = 0;
    this.initialized = false;
    this._registry = new Map();
    this._objectTypeMap = new Map();
  }
  /**
   * Creates an object from the given objectType. Only the constructor is called.
   *
   * OBJECT TYPE:
   *
   * A string based object type may consist of three parts: [name.space.]Class[:Variant]
   * 1. Name spaces (optional)
   *    All name space parts have to end with a dot ('.') character. If this part is omitted, the default
   *    name space "scout." is assumed.
   *    Examples: "scout.", "my.custom.namespace."
   * 2. Scout class name (mandatory)
   *    Examples: "Desktop", "Session", "StringField"
   * 3. Model variant (optional)
   *    Custom variants of a class can be created by adding the custom class prefix after
   *    the Scout class name and a colon character (':'). This prefix is then combined with
   *    the class name.
   *    Examples: ":Offline", ":Horizontal"
   *
   * Full examples:
   *   Object type: Outline                                      -> Constructor: Outline
   *   Object type: myNamespace.Outline                          -> Constructor: myNamespace.Outline
   *   Object type: Outline:MyVariant                            -> Constructor: scout.MyVariantOutline
   *   Object type: myNamespace.Outline:MyVariant                -> Constructor: myNamespace.MyVariantOutline
   *   Object type: Outline:myNamespace.MyVariant                -> Constructor: myNamespace.MyVariantOutline
   *   Object type: myNamespace.Outline:yourNamespace.MyVariant  -> Constructor: yourNamespace.MyVariantOutline
   *
   * RESOLVING THE CONSTRUCTOR:
   *
   * When the object factory contains a create function for the given objectType, this function is called.
   *
   * Otherwise, it tries to find the constructor function by the following logic:
   * If the objectType provides a name space, it is used. Otherwise, it takes the default "scout" name space.
   * If the object type provides a variant ("Type:Variant"), the final object type is built by prepending
   * the variant to the type ("VariantType"). If no such type can be found and the option "variantLenient"
   * is set to true, a second attempt is made without the variant.
   *
   * @param objectType A class reference to the object to be created. Or a string describing the type of the object to be created.
   */
  _createObjectByType(objectType, options) {
    if (typeof objectType !== 'string' && typeof objectType !== 'function') {
      throw new Error('missing or invalid object type');
    }
    options = options || {};
    let Class = null;
    let typeDescriptor = null;
    if (typeof objectType === 'string') {
      typeDescriptor = _index__WEBPACK_IMPORTED_MODULE_0__.TypeDescriptor.parse(objectType);
      Class = typeDescriptor.resolve(options);
    } else if (typeof objectType === 'function') {
      Class = objectType;
    } else {
      throw new Error('Invalid objectType ' + objectType);
    }
    // Check if there is a factory registered for the Class. If yes, use the factory to create the instance.
    // The class may be null if the type could not be resolved. In that case the registry needs to contain a factory for the given objectType, otherwise no instance can be created.
    let createFunc = this.get(Class || objectType);
    if (createFunc) {
      // Use factory function registered for the given objectType
      let scoutObject = createFunc(options.model);
      if (!scoutObject) {
        throw new Error('Failed to create object for objectType "' + objectType + '": Factory function did not return a valid object');
      }
      return scoutObject;
    }
    if (!Class && typeDescriptor) {
      throw typeDescriptor.notFoundError();
    }
    return new Class(options.model);
  }
  /**
   * Creates and initializes a new Scout object. When the created object has an init function, the
   * model object is passed to that function. Otherwise, the init call is omitted.
   *
   * @param objectTypeOrModel A class reference to the object to be created. Or a string with the requested objectType.
   *        This argument is optional, but if it is omitted, the argument "model" becomes mandatory and MUST contain a
   *        property named "objectType". If both, objectType and model, are set, the
   *        objectType parameter always wins before the model.objectType property.
   * @param modelOrOptions The model object passed to the constructor function and to the init() method.
   *        This argument is mandatory if it is the first argument, otherwise it is
   *        optional (see above). This function may set/overwrite the properties 'id' and
   *        'objectType' on the model object.
   * @throws Error if the argument list does not match the definition.
   */
  create(objectTypeOrModel, modelOrOptions, options) {
    // Normalize arguments
    let objectType;
    let model;
    if (typeof objectTypeOrModel === 'string' || typeof objectTypeOrModel === 'function') {
      options = options || {};
      model = modelOrOptions;
      objectType = objectTypeOrModel;
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(objectTypeOrModel)) {
      options = modelOrOptions || {};
      model = objectTypeOrModel;
      if (!model.objectType) {
        throw new Error('Missing mandatory property "objectType" on model');
      }
      objectType = model.objectType;
    } else {
      throw new Error('Invalid arguments');
    }
    options.model = model;
    // Create object
    let scoutObject = this._createObjectByType(objectType, options);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(scoutObject.init)) {
      if (model) {
        if (model.id === undefined && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.ensureUniqueId, true)) {
          model.id = this.createUniqueId();
        }
        model.objectType = this.getObjectType(objectType);
      }
      // Initialize object
      scoutObject.init(model);
    }
    if (scoutObject.id === undefined && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.ensureUniqueId, true)) {
      scoutObject.id = this.createUniqueId();
    }
    if (scoutObject.objectType === undefined) {
      scoutObject.objectType = this.getObjectType(objectType);
    }
    return scoutObject;
  }
  /**
   * Returns a new unique ID to be used for Widgets/Adapters created by the UI
   * without a model delivered by the server-side client.
   * @returns ID with prefix 'ui'
   */
  createUniqueId() {
    return 'ui' + (++this.uniqueIdSeqNo).toString();
  }
  resolveTypedObjectType(objectType) {
    if (typeof objectType !== 'string') {
      return objectType;
    }
    let Class = _index__WEBPACK_IMPORTED_MODULE_0__.TypeDescriptor.resolveType(objectType);
    if (Class) {
      return Class;
    }
    // No typed object available -> return string
    return objectType;
  }
  register(objectType, createFunc) {
    objectType = this.resolveTypedObjectType(objectType);
    this._registry.set(objectType, createFunc);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ObjectFactory) registered create-function for objectType ' + this._objectTypeToDebugStr(objectType));
  }
  unregister(objectType) {
    objectType = this.resolveTypedObjectType(objectType);
    this._registry.delete(objectType);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ObjectFactory) unregistered objectType ' + this._objectTypeToDebugStr(objectType));
  }
  _objectTypeToDebugStr(objectType) {
    if (typeof objectType === 'string') {
      return objectType;
    }
    // Name property is obfuscated in production code, only use it for debug purposes
    return objectType.name;
  }
  get(objectType) {
    objectType = this.resolveTypedObjectType(objectType);
    return this._registry.get(objectType);
  }
  /**
   * Returns the object type as string for the given class.
   */
  getObjectType(Class) {
    if (typeof Class === 'string') {
      return Class;
    }
    return this._objectTypeMap.get(Class);
  }
  /**
   * Cannot init ObjectFactory until Log4Javascript is initialized.
   * That's why we call this method in the scout._init method.
   */
  init() {
    for (let [objectType, factory] of _index__WEBPACK_IMPORTED_MODULE_0__.scout.objectFactories) {
      this.register(objectType, factory);
    }
    this.initialized = true;
  }
  /**
   * The namespace is an object on the window containing object names as keys and object references as values.
   * The type of the object is not restricted, mostly it is a class but may also be a function or a plain object used as enum.
   * <p>
   * Registering classes enables creating an instance of the class by its name using the ObjectFactory (e.g. scout.create(Button, {}) ).
   * This is necessary to import string based models, e.g. if the model is delivered by a server (Scout Classic).
   * Registering objects in general is also necessary, if the application does not use EcmaScript imports or the imports are treated as externals and transpiled to a window lookup (see Webpack root external for details).
   * <p>
   * Registering the namespace also makes it possible to resolve the name of a class including its namespace for any registered class, even if the code is minified.
   * This is used by the ObjectFactory to store the objectType as string on the created object, which maintains backwards compatibility.
   *
   * @param namespace the name of the object on the window
   * @param objects the objects to be put on the namespace
   * @throws Error if the object is already registered on the namespace to avoid accidental replacements.
   *               Such replacements would not work if the object is created using a class reference because in that case the namespace is not used.
   *               If you want to force a replacement, you can allow it by using the option allowedReplacements.
   */
  registerNamespace(namespace, objects, options) {
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      allowedReplacements: []
    }, options);
    // Ensure namespace object exists on window
    window[namespace] = window[namespace] || {};
    let prefix = namespace === 'scout' ? '' : namespace + '.';
    for (let [name, object] of Object.entries(objects)) {
      if (name === 'default') {
        // Do not register module itself, only imported files
        continue;
      }
      if (!object) {
        // ignore elements which have no value (e.g. exported variables which are null)
        continue;
      }
      if (window[namespace][name] && !options.allowedReplacements.includes(name)) {
        throw new Error(`${name} is already registered on namespace ${namespace || 'scout'}. Use objectFactories if you want to replace the existing obj.`);
      }
      // Register the new objects on the namespace
      window[namespace][name] = object;
      if (!object.prototype || name[0].toUpperCase() !== name[0]) {
        // Ignore elements that are not Classes, because they can't be created with scout.create anyway and therefore just waste space in the map.
        // Since there is no official way to detect a class, we make use of our naming convention that says classes have to start with an uppercase letter.
        continue;
      }
      // Register the new objects for the object type lookup
      this._objectTypeMap.set(object, prefix + name);
    }
  }
  static get() {
    return objectFactory;
  }
  static _set(newFactory) {
    objectFactory = newFactory;
  }
}
_defineProperty(ObjectFactory, "NAMESPACE_SEPARATOR", '.');
_defineProperty(ObjectFactory, "MODEL_VARIANT_SEPARATOR", ':');
let objectFactory = new ObjectFactory();

/***/ }),

/***/ "./src/RemoteApp.ts":
/*!**************************!*\
  !*** ./src/RemoteApp.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteApp: () => (/* binding */ RemoteApp)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RemoteApp extends _index__WEBPACK_IMPORTED_MODULE_0__.App {
  constructor() {
    super();
    this.remote = true;
  }
  _defaultBootstrappers(options) {
    return super._defaultBootstrappers(options).concat(this._defaultValuesBootstrapper(), this._configPropertiesBootstrapper(options));
  }
  _configPropertiesBootstrapper(options) {
    if (options.configUrl) {
      return null; // custom URL has been provided. Boostrap using this URL already in queue.
    }
    // no custom URL available: use default bootstrap for main system.
    return _index__WEBPACK_IMPORTED_MODULE_0__.config.bootstrapSystem.bind(_index__WEBPACK_IMPORTED_MODULE_0__.config);
  }
  _defaultValuesBootstrapper() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.bootstrap.bind(_index__WEBPACK_IMPORTED_MODULE_0__.defaultValues);
  }
  _createErrorHandler(opts) {
    opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      sendError: true
    }, opts);
    return super._createErrorHandler(opts);
  }
  _loadSession($entryPoint, options) {
    let model = options || {};
    model.$entryPoint = $entryPoint;
    let session = this._createSession(model);
    this.sessions.push(session);
    return session.start();
  }
}

/***/ }),

/***/ "./src/TypeDescriptor.ts":
/*!*******************************!*\
  !*** ./src/TypeDescriptor.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TypeDescriptor: () => (/* binding */ TypeDescriptor)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This class contains a structured type description for a Scout class.
 */
class TypeDescriptor {
  /**
   * @param typeDescriptor a string in the format '[namespace(s).]objectType[[:namespace(s).]modelVariant]'
   */
  constructor(typeDescriptor, objectType, modelVariant) {
    _defineProperty(this, "typeDescriptor", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "modelVariant", void 0);
    _defineProperty(this, "className", void 0);
    _defineProperty(this, "namespaces", void 0);
    this.typeDescriptor = typeDescriptor;
    this.objectType = objectType;
    this.modelVariant = modelVariant;
    if (this.modelVariant) {
      this.className = this.modelVariant.name + this.objectType.name;
      this.namespaces = this.modelVariant.namespaces;
    } else {
      this.className = this.objectType.name;
      this.namespaces = this.objectType.namespaces;
    }
  }
  resolve(options) {
    let namespace = window['scout']; // default namespace
    options = options || {};
    if (this.namespaces.length) {
      namespace = window;
      for (let i = 0; i < this.namespaces.length; i++) {
        namespace = namespace[this.namespaces[i]];
        if (!namespace) {
          throw this.error('Could not resolve namespace "' + this.namespaces[i] + '"');
        }
      }
    }
    if (!namespace[this.className]) {
      // Try without variant if variantLenient is true
      if (options.variantLenient && this.modelVariant) {
        let infoWithoutVariant = new TypeDescriptor(this.typeDescriptor, this.objectType, null);
        return infoWithoutVariant.resolve(options);
      }
      return null;
    }
    return namespace[this.className];
  }
  error(details) {
    return new Error('Failed to create object for objectType "' + this.typeDescriptor + '": ' + details);
  }
  notFoundError() {
    return this.error('Could not find "' + this.className + '" in namespace "' + this.namespaces.join('.') + '"');
  }
  static resolveType(typeDescriptor, options) {
    let info = TypeDescriptor.parse(typeDescriptor);
    return info.resolve(options);
  }
  static parse(typeDescriptor) {
    let typePart = null,
      variantPart = null;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(typeDescriptor, _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.MODEL_VARIANT_SEPARATOR)) {
      let tmp = typeDescriptor.split(_index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.MODEL_VARIANT_SEPARATOR);
      typePart = parseDescriptorPart(tmp[0]);
      variantPart = parseDescriptorPart(tmp[1]);
      // when type has namespaces but the variant has not, use type namespaces for variant too
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(variantPart.namespaces) && !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(typePart.namespaces)) {
        variantPart.namespaces = typePart.namespaces;
      }
    } else {
      typePart = parseDescriptorPart(typeDescriptor);
    }
    return new TypeDescriptor(typeDescriptor, typePart, variantPart);
    function createInfo(name, namespaces) {
      return {
        name: name,
        namespaces: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(namespaces, []),
        toString: () => {
          let parts = namespaces.slice();
          parts.push(name);
          return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(_index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.NAMESPACE_SEPARATOR, ...parts);
        }
      };
    }
    function parseDescriptorPart(descriptorPart) {
      let namespaces = [];
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(descriptorPart, _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.NAMESPACE_SEPARATOR)) {
        let namespaceParts = descriptorPart.split(_index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.NAMESPACE_SEPARATOR);
        namespaces = namespaceParts.slice(0, namespaceParts.length - 1);
        descriptorPart = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(namespaceParts);
      }
      return createInfo(descriptorPart, namespaces);
    }
  }
}

/***/ }),

/***/ "./src/accordion/Accordion.ts":
/*!************************************!*\
  !*** ./src/accordion/Accordion.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Accordion: () => (/* binding */ Accordion)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Accordion extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "comparator", void 0);
    _defineProperty(this, "collapseStyle", void 0);
    _defineProperty(this, "exclusiveExpand", void 0);
    _defineProperty(this, "groups", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "_groupPropertyChangeHandler", void 0);
    this.comparator = null;
    this.collapseStyle = null;
    this.exclusiveExpand = true;
    this.groups = [];
    this.scrollable = true;
    this.$container = null;
    this.htmlComp = null;
    this._addWidgetProperties(['groups']);
    this._groupPropertyChangeHandler = this._onGroupPropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this._initGroups(this.groups);
    this._setExclusiveExpand(this.exclusiveExpand);
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this
    });
  }
  _render() {
    this.$container = this.$parent.appendDiv('accordion');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.AccordionLayout();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderScrollable();
    this._renderGroups();
  }
  insertGroup(group) {
    this.insertGroups([group]);
  }
  insertGroups(groupsToInsert) {
    let additionalGroups = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(groupsToInsert);
    let existingGroups = this.groups;
    this.setGroups(existingGroups.concat(additionalGroups));
  }
  deleteGroup(group) {
    this.deleteGroups([group]);
  }
  deleteGroups(groupsToDelete) {
    groupsToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(groupsToDelete);
    let groups = this.groups.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(groups, groupsToDelete);
    this.setGroups(groups);
  }
  deleteAllGroups() {
    this.setGroups([]);
  }
  _initGroups(groups) {
    this.groups.forEach(group => {
      this._initGroup(group);
    });
  }
  setGroups(groupsOrModels) {
    let groupsOrModelsArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(groupsOrModels);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.groups, groupsOrModels)) {
      return;
    }
    // Ensure given groups are real groups (of type Group)
    let groups = this._createChildren(groupsOrModelsArr);
    // Only delete those which are not in the new array
    // Only insert those which are not already there
    let groupsToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(this.groups, groups);
    let groupsToInsert = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(groups, this.groups);
    this._deleteGroups(groupsToDelete);
    this._insertGroups(groupsToInsert);
    this._sort(groups);
    this._updateGroupOrder(groups);
    this._setProperty('groups', groups);
    if (groupsToInsert.length > 0) {
      this._updateExclusiveExpand();
    }
    if (this.rendered) {
      this._updateFirstLastMarker();
      this.invalidateLayoutTree();
    }
  }
  _insertGroups(groups) {
    groups.forEach(group => {
      this._insertGroup(group);
    });
  }
  _insertGroup(group) {
    this._initGroup(group);
    if (this.rendered) {
      this._renderGroup(group);
    }
  }
  _initGroup(group) {
    group.setParent(this);
    group.on('propertyChange', this._groupPropertyChangeHandler);
    // Copy properties from accordion to new group. If the properties are not set yet, copy them from the group to the accordion
    // This gives the possibility to either define the properties on the accordion or on the group initially
    if (this.collapseStyle !== null) {
      group.setCollapseStyle(this.collapseStyle);
    }
    this.setProperty('collapseStyle', group.collapseStyle);
  }
  _renderGroup(group) {
    group.render();
  }
  _deleteGroups(groups) {
    groups.forEach(group => {
      this._deleteGroup(group);
    });
  }
  _deleteGroup(group) {
    group.off('propertyChange', this._groupPropertyChangeHandler);
    if (group.owner === this) {
      group.destroy();
    } else if (this.rendered) {
      group.remove();
    }
  }
  _renderGroups() {
    this.groups.forEach(group => {
      this._renderGroup(group);
    });
    this._updateFirstLastMarker();
    this.invalidateLayoutTree();
  }
  /** @see AccordionModel.comparator */
  setComparator(comparator) {
    if (this.comparator === comparator) {
      return;
    }
    this.comparator = comparator;
  }
  sort() {
    let groups = this.groups.slice();
    this._sort(groups);
    this._updateGroupOrder(groups);
    this._setProperty('groups', groups);
  }
  _sort(groups) {
    if (this.comparator === null) {
      return;
    }
    groups.sort(this.comparator);
  }
  _updateGroupOrder(groups) {
    if (!this.rendered) {
      return;
    }
    // Loop through the groups and move every html element to the end of the container
    // Only move if the order is different to the old order
    let different = false;
    groups.forEach((group, i) => {
      if (this.groups[i] !== group || different) {
        // Start ordering as soon as the order of the array starts to differ
        different = true;
        group.$container.appendTo(this.$container);
      }
    });
  }
  _updateFirstLastMarker() {
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.groups);
  }
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    if (this.scrollable) {
      this._installScrollbars({
        axis: 'y'
      });
    } else {
      this._uninstallScrollbars();
    }
    this.$container.toggleClass('scrollable', this.scrollable);
    this.invalidateLayoutTree();
  }
  getFocusableElement() {
    let group = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.findFirstFocusableWidget(this.groups, this);
    if (group) {
      return group.getFocusableElement();
    }
    return null;
  }
  /** @see AccordionModel.exclusiveExpand */
  setExclusiveExpand(exclusiveExpand) {
    this.setProperty('exclusiveExpand', exclusiveExpand);
  }
  _setExclusiveExpand(exclusiveExpand) {
    this._setProperty('exclusiveExpand', exclusiveExpand);
    this._updateExclusiveExpand();
  }
  _updateExclusiveExpand() {
    if (!this.exclusiveExpand) {
      return;
    }
    let expandedGroup = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.groups, group => {
      return group.visible && !group.collapsed;
    });
    this._collapseOthers(expandedGroup);
  }
  setCollapseStyle(collapseStyle) {
    this.groups.forEach(group => {
      group.setCollapseStyle(collapseStyle);
    });
    this.setProperty('collapseStyle', collapseStyle);
  }
  _collapseOthers(expandedGroup) {
    if (!expandedGroup || !expandedGroup.collapsible) {
      return;
    }
    this.groups.forEach(group => {
      if (group !== expandedGroup && group.collapsible) {
        group.setCollapsed(true);
      }
    });
  }
  _onGroupPropertyChange(event) {
    if (event.propertyName === 'collapsed') {
      this._onGroupCollapsedChange(event);
    } else if (event.propertyName === 'visible') {
      this._updateFirstLastMarker();
    }
  }
  _onGroupCollapsedChange(event) {
    if (!event.newValue && this.exclusiveExpand) {
      this._collapseOthers(event.source);
    }
  }
}

/***/ }),

/***/ "./src/accordion/AccordionAdapter.ts":
/*!*******************************************!*\
  !*** ./src/accordion/AccordionAdapter.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionAdapter: () => (/* binding */ AccordionAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AccordionAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/accordion/AccordionEventMap.ts":
/*!********************************************!*\
  !*** ./src/accordion/AccordionEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/accordion/AccordionLayout.ts":
/*!******************************************!*\
  !*** ./src/accordion/AccordionLayout.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionLayout: () => (/* binding */ AccordionLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AccordionLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout {
  _getChildren($container) {
    return $container.children('.group');
  }
  layout($container) {
    super.layout($container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update($container, true); // update immediately to prevent flickering when scrollbars become visible
  }
}

/***/ }),

/***/ "./src/accordion/AccordionModel.ts":
/*!*****************************************!*\
  !*** ./src/accordion/AccordionModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/action/Action.ts":
/*!******************************!*\
  !*** ./src/action/Action.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Action: () => (/* binding */ Action)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Action extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "actionStyle", void 0);
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "compactOrig", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "keyStroke", void 0);
    _defineProperty(this, "keyStrokeFirePolicy", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "preventDoubleClick", void 0);
    _defineProperty(this, "tabbable", void 0);
    _defineProperty(this, "actionKeyStroke", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "textPosition", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    /**
     * May be set to true if the action does not fit into the container and is for example moved into an overflow-menu.
     */
    _defineProperty(this, "overflown", void 0);
    _defineProperty(this, "textVisible", void 0);
    _defineProperty(this, "textVisibleOrig", void 0);
    _defineProperty(this, "toggleAction", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "showTooltipWhenSelected", void 0);
    _defineProperty(this, "tooltipPosition", void 0);
    _defineProperty(this, "icon", void 0);
    _defineProperty(this, "$text", void 0);
    _defineProperty(this, "_doubleClickSupport", void 0);
    this.actionStyle = Action.ActionStyle.DEFAULT;
    this.compact = false;
    this.iconId = null;
    this.horizontalAlignment = -1;
    this.keyStroke = null;
    this.keyStrokeFirePolicy = Action.KeyStrokeFirePolicy.ACCESSIBLE_ONLY;
    this.selected = false;
    this.preventDoubleClick = false;
    this.tabbable = false;
    this.text = null;
    this.textPosition = Action.TextPosition.DEFAULT;
    this.htmlEnabled = false;
    this.overflown = false;
    this.textVisible = true;
    this.toggleAction = false;
    this.tooltipText = null;
    this.showTooltipWhenSelected = true;
    this._doubleClickSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.DoubleClickSupport();
    this._addCloneProperties(['actionStyle', 'horizontalAlignment', 'iconId', 'selected', 'preventDoubleClick', 'tabbable', 'text', 'textPosition', 'htmlEnabled', 'tooltipText', 'toggleAction']);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this
    });
  }
  _init(model) {
    super._init(model);
    this.actionKeyStroke = this._createActionKeyStroke();
    this.resolveConsts([{
      property: 'actionStyle',
      constType: Action.ActionStyle
    }, {
      property: 'textPosition',
      constType: Action.TextPosition
    }, {
      property: 'keyStrokeFirePolicy',
      constType: Action.KeyStrokeFirePolicy
    }]);
    this.resolveTextKeys(['text', 'tooltipText']);
    this.resolveIconIds(['iconId']);
    this._setKeyStroke(this.keyStroke);
  }
  _render() {
    this.$container = this.$parent.appendDiv('action').on('mousedown', event => this._doubleClickSupport.mousedown(event)).on('click', this._onClick.bind(this));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.NullLayout();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderText();
    this._renderTextPosition();
    this._renderIconId();
    this._renderTooltipText();
    this._renderKeyStroke();
    this._renderSelected();
    this._renderTabbable();
    this._renderCompact();
    this._renderActionStyle();
    this._renderOverflown();
  }
  _remove() {
    this._removeText();
    this._removeIconId();
    super._remove();
  }
  /** @see ActionModel.actionStyle */
  setActionStyle(actionStyle) {
    this.setProperty('actionStyle', actionStyle);
  }
  /** @see ActionModel.text */
  setText(text) {
    this.setProperty('text', text);
  }
  _renderText() {
    let text = this.text || '';
    if (text && this.textVisible) {
      if (!this.$text) {
        // Create a separate text element to so that setting the text does not remove the icon
        this.$text = this.$container.appendSpan('content text');
        _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$text, this.session);
      }
      if (this.htmlEnabled) {
        this.$text.html(text);
      } else {
        this.$text.text(text);
      }
      // not needed if text is visible
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, null);
    } else {
      // add as label for screen readers
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, text);
      this._removeText();
    }
  }
  _removeText() {
    if (this.$text) {
      this.$text.remove();
      this.$text = null;
    }
  }
  /** @see ActionModel.textPosition */
  setTextPosition(textPosition) {
    this.setProperty('textPosition', textPosition);
  }
  _renderTextPosition() {
    this.$container.toggleClass('bottom-text', this.textPosition === Action.TextPosition.BOTTOM);
    this.invalidateLayoutTree();
  }
  /** @see ActionModel.htmlEnabled */
  setHtmlEnabled(htmlEnabled) {
    this.setProperty('htmlEnabled', htmlEnabled);
  }
  _renderHtmlEnabled() {
    // Render the text again when html enabled changes dynamically
    this._renderText();
  }
  /** @see ActionModel.iconId */
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  _renderIconId() {
    let iconId = this.iconId || '';
    // If the icon is an image (and not a font icon), the Icon class will invalidate the layout when the image has loaded
    if (!iconId) {
      this._removeIconId();
      return;
    }
    if (this.icon) {
      this.icon.setIconDesc(iconId);
      return;
    }
    this.icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
      parent: this,
      iconDesc: iconId,
      prepend: true
    });
    this.icon.one('destroy', () => {
      this.icon = null;
    });
    this.icon.render();
  }
  get$Icon() {
    if (this.icon) {
      return this.icon.$container;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default()();
  }
  _removeIconId() {
    if (this.icon) {
      this.icon.destroy();
    }
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.rendered) {
      // No need to do this during initial rendering
      this._updateTooltip();
      this._renderTabbable();
    }
  }
  /** @see ActionModel.tooltipText */
  setTooltipText(tooltipText) {
    this.setProperty('tooltipText', tooltipText);
  }
  _renderTooltipText() {
    this._updateTooltip();
  }
  /**
   * Installs or uninstalls tooltip based on tooltipText, selected and enabledComputed.
   */
  _updateTooltip() {
    if (this._shouldInstallTooltip()) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$container, this._configureTooltip());
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$container);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.description(this.$container, this.tooltipText);
  }
  _shouldInstallTooltip() {
    if (this.selected && !this.showTooltipWhenSelected) {
      return false;
    }
    return !!this.tooltipText;
  }
  /** @see ActionModel.tabbable */
  setTabbable(tabbable) {
    this.setProperty('tabbable', tabbable);
  }
  _renderTabbable() {
    this.$container.setTabbable(this.tabbable && this.enabledComputed && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  }
  /** @see ActionModel.compact */
  setCompact(compact) {
    if (this.compact === compact) {
      return;
    }
    this.compact = compact;
    if (this.rendered) {
      this._renderCompact();
    }
  }
  _renderCompact() {
    this.$container.toggleClass('compact', this.compact);
    this.invalidateLayoutTree();
  }
  _renderActionStyle() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'button');
  }
  /** @see ActionModel.tooltipPosition */
  setTooltipPosition(position) {
    this.setProperty('tooltipPosition', position);
  }
  _configureTooltip() {
    return {
      parent: this,
      text: this.tooltipText,
      $anchor: this.$container,
      arrowPosition: 50,
      arrowPositionUnit: '%',
      tooltipPosition: this.tooltipPosition
    };
  }
  /**
   * @returns true if the action has been performed or false if it has not been performed (e.g. when the button is not enabledComputed).
   */
  doAction() {
    if (!this.prepareDoAction()) {
      return false;
    }
    if (this.isToggleAction()) {
      this.setSelected(!this.selected);
    }
    this._doAction();
    return true;
  }
  toggle() {
    if (this.isToggleAction()) {
      this.setSelected(!this.selected);
    }
  }
  /** @see ActionModel.toggleAction */
  setToggleAction(toggleAction) {
    this.setProperty('toggleAction', toggleAction);
  }
  isToggleAction() {
    return this.toggleAction;
  }
  _renderToggleAction() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.pressed(this.$container, this.isToggleAction() ? this.selected : null);
  }
  /**
   * @returns true if the action may be executed, false if it should be ignored.
   */
  prepareDoAction() {
    if (!this.enabledComputed || !this.visible) {
      return false;
    }
    return true;
  }
  _doAction() {
    this.trigger('action');
  }
  /** @see ActionModel.selected */
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    this.$container.toggleClass('selected', this.selected);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.pressed(this.$container, this.isToggleAction() ? this.selected : null);
    if (this.rendered) {
      // prevent unnecessary tooltip updates during initial rendering
      this._updateTooltip();
    }
  }
  /** @see ActionModel.keyStroke */
  setKeyStroke(keyStroke) {
    this.setProperty('keyStroke', keyStroke);
  }
  _setKeyStroke(keyStroke) {
    this.actionKeyStroke.parseAndSetKeyStroke(keyStroke);
    this._setProperty('keyStroke', keyStroke);
  }
  _renderKeyStroke() {
    let keyStroke = this.keyStroke;
    if (keyStroke === undefined) {
      this.$container.removeAttr('data-shortcut');
    } else {
      this.$container.attr('data-shortcut', keyStroke);
    }
  }
  /** @see ActionModel.textVisible */
  setTextVisible(textVisible) {
    if (this.textVisible === textVisible) {
      return;
    }
    this._setProperty('textVisible', textVisible);
    if (this.rendered) {
      this._renderText();
    }
  }
  /** @see ActionModel.horizontalAlignment */
  setHorizontalAlignment(horizontalAlignment) {
    this.setProperty('horizontalAlignment', horizontalAlignment);
  }
  _createActionKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.ActionKeyStroke(this);
  }
  /** @see ActionModel.preventDoubleClick */
  setPreventDoubleClick(preventDoubleClick) {
    this.setProperty('preventDoubleClick', preventDoubleClick);
  }
  /**
   * @internal
   */
  _setOverflown(overflown) {
    if (this.overflown === overflown) {
      return;
    }
    this._setProperty('overflown', overflown);
    if (this.rendered) {
      this._renderOverflown();
    }
  }
  _renderOverflown() {
    this.$container.toggleClass('overflown', this.overflown);
  }
  _allowMouseEvent(event) {
    if (event.which !== 1) {
      return false; // Other button than left mouse button --> nop
    }
    if (event.type === 'click' && this.preventDoubleClick && this._doubleClickSupport.doubleClicked()) {
      return false; // More than one consecutive click --> nop
    }
    return true;
  }
  _onClick(event) {
    if (!this._allowMouseEvent(event)) {
      return;
    }
    // When the action is clicked the user wants to execute the action and not see the tooltip -> cancel the task
    // If it is already displayed it will stay
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$container);
    this.doAction();
  }
}
_defineProperty(Action, "ActionStyle", {
  /**
   * Regular look, also used in overflow menus.
   */
  DEFAULT: 0,
  /**
   * Action looks like a button.
   */
  BUTTON: 1
});
_defineProperty(Action, "TextPosition", {
  DEFAULT: 'default',
  /**
   * The text will be positioned below the icon. It has no effect if no icon is set.
   */
  BOTTOM: 'bottom'
});
_defineProperty(Action, "KeyStrokeFirePolicy", {
  ACCESSIBLE_ONLY: 0,
  ALWAYS: 1
});

/***/ }),

/***/ "./src/action/ActionAdapter.ts":
/*!*************************************!*\
  !*** ./src/action/ActionAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ActionAdapter: () => (/* binding */ ActionAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ActionAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['selected']);
  }
  _goOffline() {
    this._enabledBeforeOffline = this.widget.enabled;
    this.widget.setEnabled(false);
  }
  _goOnline() {
    this.widget.setEnabled(this._enabledBeforeOffline);
  }
  _onWidgetAction(event) {
    if (this.widget.isToggleAction()) {
      return;
    }
    this._send('action');
  }
  _onWidgetEvent(event) {
    if (event.type === 'action') {
      this._onWidgetAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/action/ActionEventMap.ts":
/*!**************************************!*\
  !*** ./src/action/ActionEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/action/ActionExecKeyStroke.ts":
/*!*******************************************!*\
  !*** ./src/action/ActionExecKeyStroke.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ActionExecKeyStroke: () => (/* binding */ ActionExecKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ActionExecKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(action) {
    super();
    this.field = action;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.stopPropagation = true;
  }
  handle(event) {
    this.field.doAction();
  }
}

/***/ }),

/***/ "./src/action/ActionKeyStroke.ts":
/*!***************************************!*\
  !*** ./src/action/ActionKeyStroke.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ActionKeyStroke: () => (/* binding */ ActionKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ActionKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(action) {
    super();
    this.field = action;
    this.parseAndSetKeyStroke(action.keyStroke);
    this.keyStrokeFirePolicy = action.keyStrokeFirePolicy;
    // If one action is executed, don't execute other actions by default
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
  }
  _isEnabled() {
    if (!this.which.length) {
      return false; // actions without a keystroke are not enabled.
    }
    return super._isEnabled();
  }
  handle(event) {
    this.field.doAction();
  }
}

/***/ }),

/***/ "./src/action/ActionModel.ts":
/*!***********************************!*\
  !*** ./src/action/ActionModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/ajax/AjaxCall.ts":
/*!******************************!*\
  !*** ./src/ajax/AjaxCall.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AjaxCall: () => (/* binding */ AjaxCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class AjaxCall extends _index__WEBPACK_IMPORTED_MODULE_0__.Call {
  constructor() {
    super();
    _defineProperty(this, "ajaxOptions", void 0);
    this.type = 'ajax';
    this.ajaxOptions = null;
  }
  init(model) {
    if (!model) {
      throw new Error('Missing argument "model"');
    }
    if (!model.ajaxOptions) {
      throw new Error('Missing model property "ajaxOptions"');
    }
    if (!model.name) {
      model.name = model.ajaxOptions.url;
    }
    super.init(model);
  }
  // ==================================================================================
  _callImpl() {
    // Mark retries by adding a URL parameter
    if (this.callCounter !== 1) {
      this.ajaxOptions.url = new _index__WEBPACK_IMPORTED_MODULE_0__.URL(this.ajaxOptions.url).setParameter('retry', this.callCounter - 1 + '').toString({
        alwaysLast: ['retry']
      });
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + (this.callCounter === 1 ? '--- ' : '') + this.ajaxOptions.type + ' "' + this.ajaxOptions.url + '"' + (this.callCounter === 1 ? ' ---' : ''));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().ajax(this.ajaxOptions);
  }
  _setResultFail(jqXHR, textStatus, errorThrown) {
    // Store result as single object to make rethrowing the error easier for callers of AjaxCall
    this._setResult(new _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError({
      jqXHR: jqXHR,
      textStatus: textStatus,
      errorThrown: errorThrown,
      requestOptions: this.ajaxOptions
    }));
  }
  _onCallDone(data, textStatus, jqXHR) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'AJAX success');
    super._onCallDone(data, textStatus, jqXHR);
  }
  _onCallFail(jqXHR, textStatus, errorThrown) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'AJAX fail: type=' + textStatus + ', httpStatus=' + jqXHR.status + (errorThrown ? ' "' + errorThrown + '"' : ''));
    super._onCallFail(jqXHR, textStatus, errorThrown);
  }
  _nextRetryImpl(jqXHR, textStatus, errorThrown) {
    let offlineError = AjaxCall.isOfflineError(jqXHR, textStatus, errorThrown);
    if (!offlineError) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'Unexpected HTTP error');
      return false;
    }
    return super._nextRetryImpl();
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static isOfflineError(jqXHR, textStatus, errorThrown) {
    return (
      // Status code = 0 -> no connection
      !jqXHR.status ||
      // Workaround for IE 9: Apparently, Windows network error codes (http://msdn.microsoft.com/en-us/library/aa383770%28VS.85%29.aspx)
      // are passed to JS as HTTP 'status' in some cases (e.g. when server goes offline).
      jqXHR.status >= 12000 ||
      // Status code 502 = Bad Gateway
      // Status code 503 = Service Unavailable
      // Status code 504 = Gateway Timeout
      // Those codes usually happen when some network component between browser and UI server (e.g. a load balancer)
      // has a short outage, most likely only temporarily. Therefore, we treat them like a lost connection.
      // Otherwise, the polling loop would break, eventually causing the HTTP session to be invalidated on the
      // server due to inactivity. Going offline starts the reconnector which regularly emits ping requests.
      // This allows us to reconnect to the server as soon as the connection is fixed, hopefully saving the
      // HTTP session from inactivation.
      jqXHR.status === 502 || jqXHR.status === 503 || jqXHR.status === 504
    );
  }
  _abortImpl() {
    if (this.pendingCall && typeof this.pendingCall.abort === 'function') {
      this.pendingCall.abort();
    }
  }
}

/***/ }),

/***/ "./src/ajax/AjaxError.ts":
/*!*******************************!*\
  !*** ./src/ajax/AjaxError.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AjaxError: () => (/* binding */ AjaxError)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class AjaxError {
  constructor(model) {
    var _this$jqXHR;
    _defineProperty(this, "jqXHR", void 0);
    _defineProperty(this, "textStatus", void 0);
    _defineProperty(this, "errorDo", void 0);
    _defineProperty(this, "errorThrown", void 0);
    _defineProperty(this, "requestOptions", void 0);
    this.jqXHR = null;
    this.textStatus = null;
    this.errorThrown = null;
    this.requestOptions = null;
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
    const errorDo = (_this$jqXHR = this.jqXHR) === null || _this$jqXHR === void 0 || (_this$jqXHR = _this$jqXHR.responseJSON) === null || _this$jqXHR === void 0 ? void 0 : _this$jqXHR.error;
    if (AjaxError.isErrorDo(errorDo)) {
      this.errorDo = errorDo;
    }
  }
  static isErrorDo(errorDo) {
    return (errorDo === null || errorDo === void 0 ? void 0 : errorDo._type) === 'scout.Error' || _index__WEBPACK_IMPORTED_MODULE_1__.objects.isNumber(errorDo === null || errorDo === void 0 ? void 0 : errorDo.severityAsInt); // if rt.rest.jackson dependency is missing no _type is part of the response. But instead the severityAsInt property.
  }
  static extractErrorDo(error) {
    if (error instanceof AjaxError) {
      return error.errorDo;
    }
    return null;
  }
}

/***/ }),

/***/ "./src/ajax/ajax.ts":
/*!**************************!*\
  !*** ./src/ajax/ajax.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ajax: () => (/* binding */ ajax)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Utility to perform Ajax requests in an easy way.
 * It basically uses the class {@link AjaxCall} and provides some common functions to call a REST backend.
 */
const ajax = {
  /**
   * Performs an HTTP GET request.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  get(url, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'GET'
    }, options);
    return ajax.call(opts, model);
  },
  /**
   * Performs an HTTP POST request.
   * @param data the data to be sent.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  post(url, data, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'POST',
      data: data
    }, options);
    return ajax.call(opts, model);
  },
  /**
   * Performs an HTTP PUT request.
   * @param data the data to be sent.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  put(url, data, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'PUT',
      data: data
    }, options);
    return ajax.call(opts, model);
  },
  /**
   * Performs an HTTP DELETE request.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  remove(url, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'DELETE'
    }, options);
    return ajax.call(opts, model);
  },
  /**
   * Performs an HTTP GET request using JSON as format for the request and the response.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  getJson(url, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'GET'
    }, options);
    return ajax.callJson(opts, model);
  },
  /**
   * Performs an HTTP POST request using JSON as format for the request and the response.
   * @param data the data to be sent. If the data is not a string it will be converted to a string using JSON.stringify().
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  postJson(url, data, options, model) {
    if (data && typeof data !== 'string') {
      data = JSON.stringify(data);
    }
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'POST',
      data: data
    }, options);
    return ajax.callJson(opts, model);
  },
  /**
   * Performs an HTTP PUT request using JSON as format for the request and the response.
   * @param data the data to be sent. If the data is not a string it will be converted to a string using JSON.stringify().
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  putJson(url, data, options, model) {
    if (data && typeof data !== 'string') {
      data = JSON.stringify(data);
    }
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'PUT',
      data: data
    }, options);
    return ajax.callJson(opts, model);
  },
  /**
   * Performs an HTTP DELETE request using JSON as format for the request and the response.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  removeJson(url, options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      url: url,
      type: 'DELETE'
    }, options);
    return ajax.callJson(opts, model);
  },
  /**
   * Performs an Ajax request using JSON as format for the request and the response.
   * The default HTTP method is POST.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  callJson(options, model) {
    return ajax.createCallJson(options, model).call();
  },
  /**
   * Performs an Ajax request.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns a promise which is resolved when the request succeeds.
   *          In case of an error the promise is rejected with an {@link AjaxError} as argument.
   */
  call(options, model) {
    return ajax.createCall(options, model).call();
  },
  /**
   * Prepares an Ajax call with JSON as format for the request and the response,
   * but does not execute it yet. The default HTTP method is POST.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns the prepared Ajax call object. Execute it with the call() function.
   */
  createCallJson(options, model) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      type: 'POST',
      dataType: 'json',
      contentType: 'application/json; charset=UTF-8'
    }, options);
    return ajax.createCall(opts, model);
  },
  /**
   * Prepares an Ajax call, but does not execute it yet.
   * @param options additional settings for the request.
   *        Since jQuery is used to perform the request, all the jQuery Ajax settings are accepted.
   * @param model additional properties for the {@link AjaxCall}.
   * @returns the prepared Ajax call object. Execute it with the call() function.
   */
  createCall(options, model) {
    const ajaxOptions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      cache: false
    }, options);
    const ajaxCallModel = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, {
      ajaxOptions
    }, model);
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.AjaxCall, ajaxCallModel, {
      ensureUniqueId: false
    });
  }
};

/***/ }),

/***/ "./src/aria.ts":
/*!*********************!*\
  !*** ./src/aria.ts ***!
  \*********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AriaLabelledByInsertPosition: () => (/* binding */ AriaLabelledByInsertPosition),
/* harmony export */   aria: () => (/* binding */ aria)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Determines whether a labelledby id is inserted at the front or the back of current aria-labelledby value.
 */
var AriaLabelledByInsertPosition;
(function (AriaLabelledByInsertPosition) {
  AriaLabelledByInsertPosition["FRONT"] = "front";
  AriaLabelledByInsertPosition["BACK"] = "back";
})(AriaLabelledByInsertPosition || (AriaLabelledByInsertPosition = {}));
const aria = {
  /******************************************************************************************************************
   * Roles
   ******************************************************************************************************************/
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Roles">WAI-ARIA Roles</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  role($elem, role) {
    if (!$elem) {
      return;
    }
    $elem.attr('role', role);
    // Alert should have aria-live set to assertive, except for iOS.
    // In iOS this is not recommended because of double speaking issues in VoiceOver
    // see https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Live_Regions#roles_with_implicit_live_region_attributes
    if (role === 'alert' && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos()) {
      aria.live($elem, 'assertive');
    }
    // Log and status should have aria-live set to polite.
    // see https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Live_Regions#roles_with_implicit_live_region_attributes
    if (role === 'log' || role === 'status') {
      aria.live($elem, 'polite');
    }
  },
  /******************************************************************************************************************
   * Attributes
   ******************************************************************************************************************/
  /**
   * Links the element to the given target element by giving an id to the target element (if needed) and prepending this id to the
   * given aria attribute. If replace is set to true, completely replaces the attribute.
   *
   * For insert position see {@param position}, insert position has no effect if the labelledby property is replaced.
   */
  _linkElementWithTargetElement($elem, $targetElement, ariaAttribute, idPrefix) {
    let position = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : AriaLabelledByInsertPosition.FRONT;
    let replace = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : false;
    if (!$elem || !$targetElement || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(ariaAttribute) || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(idPrefix)) {
      return;
    }
    let targetId = $targetElement.attr('id');
    if (!targetId) {
      // Create an id if the element does not have one yet
      targetId = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.createUniqueId(idPrefix);
      $targetElement.attr('id', targetId);
    }
    if (!replace) {
      let attributeValue = $elem.attr(ariaAttribute) || '';
      if (attributeValue && !_index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(attributeValue, targetId)) {
        // Add to the existing value if there is one
        if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(position) || position === AriaLabelledByInsertPosition.FRONT) {
          targetId += ' ' + attributeValue;
        } else if (position === AriaLabelledByInsertPosition.BACK) {
          targetId = attributeValue + ' ' + targetId;
        } else {
          // unknown position
          return;
        }
      }
    }
    $elem.attr(ariaAttribute, targetId);
  },
  /**
   * Links the given element with the given label by setting aria-labelledby.
   * This allows screen readers to build a catalog of the elements on the screen and their relationships, for example, to read the label when the input is focused.
   *
   * Per default linked labels are added to existing linked labels separated by space. If you want to completely replace the linked label, set replace to true.
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-labelledby">ARIA: aria-labelledby</a>
   */
  linkElementWithLabel($elem, $label) {
    let position = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : AriaLabelledByInsertPosition.FRONT;
    let replace = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
    aria._linkElementWithTargetElement($elem, $label, 'aria-labelledby', 'lbl', position, replace);
  },
  /**
   * Links the given element with the given description by setting aria-describedBy.
   *
   * Per default linked descriptions are added to existing linked descriptions separated by space. If you want to completely replace the linked description, set replace to true.
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-describedby">ARIA: aria-describedby</a>
   */
  linkElementWithDescription($elem, $description) {
    let position = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : AriaLabelledByInsertPosition.FRONT;
    let replace = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
    aria._linkElementWithTargetElement($elem, $description, 'aria-describedby', 'desc', position, replace);
  },
  /**
   * Adds {@param description} to {@param $elem} by adding and linking a screen reader only text to {@param $elem}
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-describedby">ARIA: aria-describedby</a>
   */
  addHiddenDescriptionAndLinkToElement($elem, id, description) {
    let position = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : AriaLabelledByInsertPosition.FRONT;
    let replace = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
    if (!$elem || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(description)) {
      return;
    }
    let $descriptionElement = $elem.beforeDiv().addClass('text').attr('id', 'desc' + id).text(description);
    aria.hidden($descriptionElement, true); // hide the element in the accessibility tree, or it may be read twice
    aria.screenReaderOnly($descriptionElement);
    aria.linkElementWithDescription($elem, $descriptionElement, position, replace);
    return $descriptionElement;
  },
  /**
   * Adds aria heading semantics to {@param $header} and correctly assigns heading level information to the heading as well as the surrounding container {@param $elem}.
   * Avoid using empty {@param $header} objects because a screen reader may ignore them in the heading structure leading to inconsistent heading levels.
   * Default aria-level for headers is level 2.
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Roles/heading_role">ARIA: heading role</a>
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-level">ARIA: aria-level</a>
   */
  linkElementWithHeader($elem, $header) {
    let defaultLevel = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 2;
    if (!$elem || !$header) {
      return;
    }
    let currentLevel = aria._computeHeaderLevel($elem);
    if (currentLevel) {
      currentLevel = currentLevel + 1;
    } else if (defaultLevel) {
      currentLevel = defaultLevel;
    }
    if (currentLevel) {
      aria.role($header, 'heading');
      aria.level($header, currentLevel);
      aria._addHeaderLevelToElement($elem, currentLevel);
    }
  },
  /**
   * In most cases you should just use {@link linkElementWithHeader} which automatically creates an aria heading for you and assigns levels correctly.
   *
   * Use this to implicitly link your heading with its container by adding the header level to the container.
   * This should ensure the heading structure is consistent. Normally your DOM structure looks something like this:
   *
   * <pre>
   * <groupbox>
   *   <label role="heading" aria-level="1">...<\label>
   *   <groupbox>
   *    <label role="heading" aria-level="2">...<\label>
   *    <groupbox>
   *      <label role="heading" aria-level="3">...<\label>
   *      ...
   *    <\groupbox>
   *   <\groupbox>
   * <\groupbox>
   * </pre>
   *
   * After linking your headers to their containers it will look something like this:
   *
   * <pre>
   * <groupbox data-aria-header-level="1">
   *   <label role="heading" aria-level="1">...<\label>
   *   <groupbox data-aria-header-level="2">
   *    <label role="heading" aria-level="2">...<\label>
   *    <groupbox data-aria-header-level="3">
   *      <label role="heading" aria-level="3">...<\label>
   *      ...
   *    <\groupbox>
   *   <\groupbox>
   * <\groupbox>
   * </pre>
   *
   * This allows us to go upwards in the DOM structure, find the last header level used, and pick a header level that fits the structure.
   * Consequently, when adding a heading to your container and before calling this method, you should use {@link _computeHeaderLevel} on
   * your container to find the last header level used and derive your header level accordingly.
   * In most cases, this means adding 1 to the derived header level.
   */
  _addHeaderLevelToElement($elem, level) {
    if (!$elem) {
      return;
    }
    $elem.attr('data-aria-header-level', level);
  },
  /**
   * In most cases you should just use {@link linkElementWithHeader} which automatically creates an aria heading for you and assigns levels correctly.
   * Derives the current header level by going upwards in the DOM structure and finding the last header level used.
   * If no parent with a heading is found, returns null.
   */
  _computeHeaderLevel($elem) {
    if (!$elem) {
      return null;
    }
    let $parentHeader = $elem.parents('[data-aria-header-level]');
    if ($parentHeader.length > 0) {
      return parseInt($parentHeader.eq(0).attr('data-aria-header-level'));
    }
    return null;
  },
  /**
   * Links the given element with the given controlled element by setting aria-controls.
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-controls">ARIA: aria-controls</a>
   */
  linkElementWithControls($elem, $controls) {
    let position = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : AriaLabelledByInsertPosition.FRONT;
    let replace = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
    aria._linkElementWithTargetElement($elem, $controls, 'aria-controls', 'ctrl', position, replace);
  },
  removeControls($elem) {
    if (!$elem) {
      return;
    }
    $elem.removeAttr('aria-controls');
  },
  /**
   * Links the active descendant with the given element by setting aria-activedescendant.
   *
   * When an element does not receive focus when navigating, setting the active descendant property of the field that has focus to the element that has "implied" focus
   * helps screen readers to announce elements as if they had focus. E.g. a selected sub menu item that is rendered selected, but focus remains on the main menu item.
   * Setting the active descendant of the main menu item to the sub menu item will tell the screen reader to announce the currently selected sub item.
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-activedescendant">ARIA: aria-activedescendant</a>
   */
  linkElementWithActiveDescendant($elem, $activeDescendant) {
    aria._linkElementWithTargetElement($elem, $activeDescendant, 'aria-activedescendant', 'ades', AriaLabelledByInsertPosition.FRONT, true);
  },
  removeActiveDescendant($elem) {
    if (!$elem) {
      return;
    }
    $elem.removeAttr('aria-activedescendant');
  },
  /**
   * Adds the screen reader only css class to the element, which hides it from seeing users, but is still visible to the screen reader. This can be useful to
   * e.g. add hidden description elements and link them to field, or replacing visual content (like charts) with tables that make more sense to screen reader users.
   */
  screenReaderOnly($elem) {
    if (!$elem) {
      return;
    }
    $elem.addClass('sr-only');
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-required">ARIA: aria-required</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  required($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-required', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-label">ARIA: aria-label</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed (if not overridden by allowEmpty).
   * @param allowEmpty if set to true, setting label to null/undefined will add an empty string.
   */
  label($elem, label) {
    let allowEmpty = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (!$elem) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(label)) {
      $elem.attr('aria-label', label);
    } else if (allowEmpty) {
      $elem.attr('aria-label', '');
    } else {
      $elem.removeAttr('aria-label');
    }
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-description">ARIA: aria-description</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed (if not overridden by allowEmpty).
   * @param allowEmpty if set to true, setting label to null/undefined will add an empty string.
   */
  description($elem, description) {
    let allowEmpty = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (!$elem) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(description)) {
      $elem.attr('aria-description', description);
    } else if (allowEmpty) {
      $elem.attr('aria-description', '');
    } else {
      $elem.removeAttr('aria-description');
    }
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-checked">ARIA: aria-checked</a>
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed (if not overridden by triStateAllowed).
   * @param triStateAllowed if set to true, null/undefined will set the checked property to 'mixed'.
   */
  checked($elem, value) {
    let triStateAllowed = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    if (!$elem) {
      return;
    }
    if (triStateAllowed && value !== true && value !== false) {
      $elem.attr('aria-checked', 'mixed');
    } else {
      $elem.attr('aria-checked', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
    }
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-haspopup">ARIA: aria-haspopup</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param type value of the attribute to set. If null, attribute is removed.
   */
  hasPopup($elem, type) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-haspopup', type);
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-expanded">ARIA: aria-expanded</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  expanded($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-expanded', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-selected">ARIA: aria-selected</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  selected($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-selected', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-pressed">ARIA: aria-pressed</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  pressed($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-pressed', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-live">ARIA: aria-live</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  live($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-live', value);
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-level">ARIA: aria-level</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  level($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-level', value);
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-hidden">ARIA: aria-hidden</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  hidden($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-hidden', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-multiselectable">ARIA: aria-multiselectable</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  multiselectable($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-multiselectable', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-posinset">ARIA: aria-posinset</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  posinset($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-posinset', value);
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-setsize">ARIA: aria-setsize</a>
   *
   * @param $elem element to add/remove the attribute. If null, nothing is changed.
   * @param value value of the attribute to set. If null, attribute is removed.
   */
  setsize($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-setsize', value);
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-disabled">ARIA: aria-disabled</a>
   */
  disabled($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-disabled', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  },
  /**
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-modal">ARIA: aria-modal</a>
   */
  modal($elem, value) {
    if (!$elem) {
      return;
    }
    $elem.attr('aria-modal', _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value));
  }
};

/***/ }),

/***/ "./src/box/Box.ts":
/*!************************!*\
  !*** ./src/box/Box.ts ***!
  \************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Box: () => (/* binding */ Box)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Used for static pages like login, logout, unsupported-browser and noscript section.
 * Beside custom elements it may contain a header with a logo and a button bar.
 * Note: It does not extend from Widget because widget has too many dependencies which are not needed for this simple use case (login-module does not include these dependencies)
 */
class Box {
  constructor() {
    _defineProperty(this, "rendered", void 0);
    _defineProperty(this, "logoUrl", void 0);
    _defineProperty(this, "$parent", void 0);
    _defineProperty(this, "$container", void 0);
    _defineProperty(this, "$backgroundElements", void 0);
    _defineProperty(this, "$wrapper", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$logo", void 0);
    this.rendered = false;
    this.logoUrl = null;
    this.$parent = null;
    this.$container = null;
    this.$backgroundElements = null;
    this.$wrapper = null;
    this.$content = null;
    this.$header = null;
    this.$logo = null;
  }
  render($parent) {
    this.$parent = $parent;
    this._render();
    this.rendered = true;
  }
  remove() {
    this.$container.remove();
    this.$container = null;
    this.rendered = false;
  }
  _render() {
    // add background-elements which can be styled individually
    this.$backgroundElements = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box-background-elements').appendTo(this.$parent);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box-background-element-1').appendTo(this.$backgroundElements);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box-background-element-2').appendTo(this.$backgroundElements);
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box-background-element-3').appendTo(this.$backgroundElements);
    this.$container = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box').appendTo(this.$parent);
    this.$wrapper = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('wrapper').appendTo(this.$container);
    this.$content = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<div>').addClass('box-content').appendTo(this.$wrapper);
    if (this.logoUrl) {
      this.$header = this.$content.appendDiv('header');
      this.$logo = jquery__WEBPACK_IMPORTED_MODULE_0___default()('<img>').addClass('logo').attr('src', this.logoUrl).attr('alt', '').appendTo(this.$header);
    }
  }
}

/***/ }),

/***/ "./src/boxbuttons/BoxButtons.ts":
/*!**************************************!*\
  !*** ./src/boxbuttons/BoxButtons.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BoxButtons: () => (/* binding */ BoxButtons)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Widget to render a set of Actions that look like Buttons.
 */
class BoxButtons extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "buttons", void 0);
    _defineProperty(this, "defaultButtonIndex", void 0);
    this._addWidgetProperties(['buttons']);
    this._addPreserveOnPropertyChangeProperties(['defaultButtonIndex']);
    this.$container = null;
    this.buttons = [];
    this.defaultButtonIndex = 0;
  }
  _render() {
    this.$container = this.$parent.appendDiv('box-buttons');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderButtons();
    this._renderDefaultButtonIndex();
  }
  _renderButtons() {
    this.buttons.filter(button => !button.rendered).forEach(button => {
      button.render();
      button.$container.unfocusable().addClass('button box-button');
    });
  }
  _renderDefaultButtonIndex() {
    for (let i = 0; i < this.buttons.length; i++) {
      let button = this.buttons[i];
      button.$container.toggleClass('default', button.visible && button.enabledComputed && this.isDefaultButtonIndex(i));
    }
  }
  isDefaultButtonIndex(index) {
    return index === this.defaultButtonIndex;
  }
  addButton(model, options) {
    model = model || {};
    model.parent = this;
    model.tabbable = true;
    model.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    model.preventDoubleClick = true;
    let button = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Action, model, options);
    this.buttons.push(button);
    return button;
  }
  setDefaultButtonIndex(index) {
    this.setProperty('defaultButtonIndex', index);
  }
  buttonCount() {
    return this.buttons.length;
  }
}

/***/ }),

/***/ "./src/boxbuttons/BoxButtonsEventMap.ts":
/*!**********************************************!*\
  !*** ./src/boxbuttons/BoxButtonsEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/boxbuttons/BoxButtonsModel.ts":
/*!*******************************************!*\
  !*** ./src/boxbuttons/BoxButtonsModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbBar.ts":
/*!********************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbBar.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbBar: () => (/* binding */ BreadcrumbBar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbBar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "breadcrumbItems", void 0);
    _defineProperty(this, "ellipsisBreadcrumbItem", void 0);
    this.breadcrumbItems = [];
    this.ellipsisBreadcrumbItem = null;
    this._addWidgetProperties(['breadcrumbItems']);
  }
  _init(model) {
    super._init(model);
    this._setBreadcrumbItems(this.breadcrumbItems);
  }
  _render() {
    this.$container = this.$parent.appendDiv('breadcrumb-bar');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.BreadcrumbBarLayout(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderBreadcrumbItems();
  }
  setBreadcrumbItems(breadcrumbItems) {
    this.setProperty('breadcrumbItems', breadcrumbItems);
  }
  _setBreadcrumbItems(breadcrumbItems) {
    this._setProperty('breadcrumbItems', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(breadcrumbItems));
  }
  _renderBreadcrumbItems() {
    this.breadcrumbItems.forEach((breadcrumbItem, index) => {
      if (index === 1) {
        this._renderEllipsis(); // render ellipsis after first item
      }
      breadcrumbItem.render();
    });
    this._updateMarkers();
    // Invalidate layout because breadcrumb bar may now be longer or shorter
    this.htmlComp.invalidateLayoutTree();
  }
  _renderEllipsis() {
    if (this.ellipsisBreadcrumbItem) {
      this.ellipsisBreadcrumbItem.destroy();
    }
    if (this.breadcrumbItems.length <= 2) {
      return;
    }
    this.ellipsisBreadcrumbItem = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BreadcrumbItem, {
      parent: this,
      text: '...',
      enabled: false
    });
    this.ellipsisBreadcrumbItem.render();
  }
  _updateMarkers() {
    const visibleCrumbs = [];
    this.breadcrumbItems.forEach(breadcrumb => {
      if (breadcrumb.rendered) {
        breadcrumb.$container.removeClass('first last');
        if (breadcrumb.visible) {
          visibleCrumbs.push(breadcrumb);
        }
      }
    });
    if (visibleCrumbs.length) {
      visibleCrumbs[0].$container.addClass('first');
      visibleCrumbs[visibleCrumbs.length - 1].$container.addClass('last');
    }
  }
}

/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbBarAdapter.ts":
/*!***************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbBarAdapter.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbBarAdapter: () => (/* binding */ BreadcrumbBarAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbBarAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbBarEventMap.ts":
/*!****************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbBarEventMap.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbBarLayout.ts":
/*!**************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbBarLayout.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbBarLayout: () => (/* binding */ BreadcrumbBarLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbBarLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(breadcrumbBar) {
    super();
    _defineProperty(this, "_breadcrumbBar", void 0);
    this._breadcrumbBar = breadcrumbBar;
  }
  layout($container) {
    // 1) undo all shrinking etc.
    this._undoCollapse();
    const breadcrumbItems = this._visibleBreadcrumbItems();
    const htmlContainer = this._breadcrumbBar.htmlComp;
    const containerSize = htmlContainer.size();
    const breadcrumbItemsWidth = this._actualPrefSize(breadcrumbItems, false).width;
    if (breadcrumbItemsWidth <= containerSize.width) {
      this._applyToEllipsis(ell => ell.setVisible(false));
      // OK, every breadcrumbItems fits into container
      return;
    }
    this._applyToEllipsis(ell => ell.setVisible(true));
    // breadcrumbItems don't fit
    // Third approach: Create ellipsis and move overflown menus into it
    this._collapse(containerSize);
  }
  _collapse(containerSize) {
    let currentIndex = 1;
    const visibleBreadcrumbItems = this._visibleBreadcrumbItems();
    let prefSize = this._actualPrefSize(visibleBreadcrumbItems, true);
    while (prefSize.width > containerSize.width && currentIndex < visibleBreadcrumbItems.length - 1) {
      // remove breadcrumbItems until size fits or only 2 breadcrumbItems are visible
      const crumb = visibleBreadcrumbItems[currentIndex];
      crumb.$container.hide();
      visibleBreadcrumbItems.splice(currentIndex, 1);
      prefSize = this._actualPrefSize(visibleBreadcrumbItems, true);
    }
  }
  _applyToEllipsis(fun) {
    if (this._breadcrumbBar.ellipsisBreadcrumbItem) {
      fun(this._breadcrumbBar.ellipsisBreadcrumbItem);
    }
  }
  _undoCollapse() {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this._breadcrumbBar.breadcrumbItems).forEach(crumb => {
      crumb.$container.show();
    });
  }
  preferredLayoutSize($container, options) {
    this._undoCollapse();
    return this._actualPrefSize();
  }
  _visibleBreadcrumbItems() {
    return this._breadcrumbBar.breadcrumbItems.filter(breadcrumb => breadcrumb.visible);
  }
  _actualPrefSize(breadcrumbItems, considerEllipsis) {
    breadcrumbItems = breadcrumbItems || this._visibleBreadcrumbItems();
    const breadcrumbItemsWidth = this._breadcrumbItemsWidth(breadcrumbItems, considerEllipsis);
    const prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this._breadcrumbBar.$container, {
      includeMargin: true,
      useCssSize: true
    });
    prefSize.width = breadcrumbItemsWidth + this._breadcrumbBar.htmlComp.insets().horizontal();
    return prefSize;
  }
  /**
   * @returns the preferred width of all breadcrumbItems (plus ellipsis breadcrumb)
   */
  _breadcrumbItemsWidth(breadcrumbItems, considerEllipsis) {
    let breadcrumbsWidth = 0;
    breadcrumbItems = breadcrumbItems || this._visibleBreadcrumbItems();
    breadcrumbItems.forEach(breadcrumbItem => {
      if (breadcrumbItem.rendered) {
        breadcrumbsWidth += breadcrumbItem.$container.outerWidth(true);
      }
    });
    if (considerEllipsis && this._breadcrumbBar.ellipsisBreadcrumbItem && this._breadcrumbBar.ellipsisBreadcrumbItem.rendered) {
      breadcrumbsWidth += this._breadcrumbBar.ellipsisBreadcrumbItem.$container.outerWidth(true);
    }
    return breadcrumbsWidth;
  }
}

/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbBarModel.ts":
/*!*************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbBarModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbItem.ts":
/*!*********************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbItem.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbItem: () => (/* binding */ BreadcrumbItem)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbItem extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    /** Arbitrary reference value, can be used to find and select modes (see BreadcrumbBar.js) */
    _defineProperty(this, "ref", void 0);
    this.ref = null;
  }
  _render() {
    super._render();
    this.$container.addClass('breadcrumb-item');
  }
  _renderText() {
    const text = this.text || '';
    if (text && this.textVisible) {
      if (!this.$text) {
        // Create a separate text element to so that setting the text does not remove the icon
        this.$text = this.$container.appendSpan('content text');
        _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$text, this.session);
      }
      this.$text.text(text);
    } else {
      this._removeText();
    }
  }
}

/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbItemAdapter.ts":
/*!****************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbItemAdapter.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbItemAdapter: () => (/* binding */ BreadcrumbItemAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbItemAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter {}

/***/ }),

/***/ "./src/breadcrumbbar/BreadcrumbItemModel.ts":
/*!**************************************************!*\
  !*** ./src/breadcrumbbar/BreadcrumbItemModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/Calendar.ts":
/*!**********************************!*\
  !*** ./src/calendar/Calendar.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Calendar: () => (/* binding */ Calendar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Calendar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "monthViewNumberOfWeeks", void 0);
    _defineProperty(this, "numberOfHourDivisions", void 0);
    _defineProperty(this, "widthPerDivision", void 0);
    _defineProperty(this, "heightPerDivision", void 0);
    _defineProperty(this, "startHour", void 0);
    _defineProperty(this, "heightPerHour", void 0);
    _defineProperty(this, "heightPerDay", void 0);
    _defineProperty(this, "spaceBeforeScrollTop", void 0);
    _defineProperty(this, "workDayIndices", void 0);
    _defineProperty(this, "displayCondensed", void 0);
    _defineProperty(this, "displayMode", void 0);
    _defineProperty(this, "components", void 0);
    _defineProperty(this, "selectedComponent", void 0);
    _defineProperty(this, "loadInProgress", void 0);
    _defineProperty(this, "selectedDate", void 0);
    _defineProperty(this, "selectorStart", void 0);
    _defineProperty(this, "selectorEnd", void 0);
    _defineProperty(this, "showDisplayModeSelection", void 0);
    _defineProperty(this, "rangeSelectionAllowed", void 0);
    _defineProperty(this, "resources", void 0);
    _defineProperty(this, "selectedResource", void 0);
    _defineProperty(this, "defaultResource", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "useOverflowCells", void 0);
    _defineProperty(this, "viewRange", void 0);
    _defineProperty(this, "calendarToggleListWidth", void 0);
    _defineProperty(this, "calendarToggleYearWidth", void 0);
    _defineProperty(this, "menuInjectionTarget", void 0);
    _defineProperty(this, "modesMenu", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "calendarSidebar", void 0);
    _defineProperty(this, "yearPanel", void 0);
    _defineProperty(this, "resourcePanel", void 0);
    _defineProperty(this, "selectedRange", void 0);
    _defineProperty(this, "needsScrollToStartHour", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    _defineProperty(this, "showCalendarSidebar", void 0);
    _defineProperty(this, "showResourcePanel", void 0);
    _defineProperty(this, "showListPanel", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$range", void 0);
    _defineProperty(this, "$commands", void 0);
    _defineProperty(this, "$grids", void 0);
    _defineProperty(this, "$grid", void 0);
    _defineProperty(this, "$topGrid", void 0);
    _defineProperty(this, "$list", void 0);
    _defineProperty(this, "$listContainer", void 0);
    _defineProperty(this, "$listTitle", void 0);
    _defineProperty(this, "$progress", void 0);
    _defineProperty(this, "$headerRow1", void 0);
    _defineProperty(this, "$headerRow2", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$select", void 0);
    _defineProperty(this, "$window", void 0);
    /**
     * The narrow view range is different from the regular view range.
     * It contains only dates that exactly match the requested dates,
     * the regular view range contains also dates from the first and
     * next month. The exact range is not sent to the server.
     */
    _defineProperty(this, "_exactRange", void 0);
    /**
     * When the list panel is shown, this list contains the scout.CalenderListComponent
     * items visible on the list.
     */
    _defineProperty(this, "_listComponents", void 0);
    _defineProperty(this, "_menuInjectionTargetMenusChangedHandler", void 0);
    /**
     * Resources, which do not have a child resources
     */
    _defineProperty(this, "_leafResources", void 0);
    /**
     * Temporary data structure to store data while mouse actions are handled
     * @internal
     */
    _defineProperty(this, "_moveData", void 0);
    /** @internal */
    _defineProperty(this, "_rangeSelectionStarted", void 0);
    _defineProperty(this, "_mouseMoveHandler", void 0);
    _defineProperty(this, "_mouseUpHandler", void 0);
    _defineProperty(this, "_mouseMoveRangeSelectionHandler", void 0);
    _defineProperty(this, "_mouseUpRangeSelectionHandler", void 0);
    this.monthViewNumberOfWeeks = 6;
    this.numberOfHourDivisions = 2;
    this.heightPerDivision = 30;
    this.startHour = 6;
    this.heightPerHour = this.numberOfHourDivisions * this.heightPerDivision;
    this.heightPerDay = 24 * this.heightPerHour;
    this.spaceBeforeScrollTop = 15;
    this.workDayIndices = [1, 2, 3, 4, 5]; // Workdays: Mon-Fri (Week starts at Sun in JS)
    this.components = [];
    this.displayCondensed = false;
    this.displayMode = Calendar.DisplayMode.MONTH;
    this.loadInProgress = false;
    this.selectedDate = new Date();
    this.showDisplayModeSelection = true;
    this.rangeSelectionAllowed = false;
    this.defaultResource = this._createDefaultResource();
    this.resources = [];
    this.selectedResource = this.defaultResource;
    this.title = null;
    this.useOverflowCells = true;
    this.viewRange = null;
    this.calendarToggleListWidth = 270;
    this.calendarToggleYearWidth = 215;
    this.defaultMenuTypes = [Calendar.MenuType.EmptySpace];
    // main elements
    this.$container = null;
    this.$header = null;
    this.$range = null;
    this.$commands = null;
    this.$grids = null;
    this.$grid = null;
    this.$topGrid = null;
    this.$list = null;
    this.$progress = null;
    this.showCalendarSidebar = false;
    this.showListPanel = false;
    this.showResourcePanel = false;
    this._exactRange = null;
    this._listComponents = [];
    this.menuInjectionTarget = null;
    this._menuInjectionTargetMenusChangedHandler = null;
    this._moveData = null;
    this._mouseMoveHandler = this._onMouseMove.bind(this);
    this._mouseUpHandler = this._onMouseUp.bind(this);
    this._mouseMoveRangeSelectionHandler = this._onMouseMoveRangeSelection.bind(this);
    this._mouseUpRangeSelectionHandler = this._onMouseUpRangeSelection.bind(this);
    this.selectedRange = null;
    this._addWidgetProperties(['components', 'menus', 'selectedComponent', 'calendarSidebar']);
    this._addPreserveOnPropertyChangeProperties(['selectedComponent']);
  }
  /**
   * Enum providing display-modes for calender-like components like calendar and planner.
   * @see ICalendarDisplayMode.java
   */

  isDay() {
    return this.displayMode === Calendar.DisplayMode.DAY;
  }
  isWeek() {
    return this.displayMode === Calendar.DisplayMode.WEEK;
  }
  isMonth() {
    return this.displayMode === Calendar.DisplayMode.MONTH;
  }
  isWorkWeek() {
    return this.displayMode === Calendar.DisplayMode.WORK_WEEK;
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _createDefaultResource() {
    return {
      resourceId: _index__WEBPACK_IMPORTED_MODULE_0__.UuidPool.ZERO_UUID,
      selectable: true,
      visible: true
    };
  }
  _init(model) {
    super._init(model);
    this.calendarSidebar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarSidebar, {
      parent: this
    });
    this.yearPanel = this.calendarSidebar.yearPanel;
    this.resourcePanel = this.calendarSidebar.resoucePanel;
    this.resourcePanel.treeBox.on('propertyChange:value', this._onResourceVisibilityChanged.bind(this));
    this.yearPanel.on('dateSelect', this._onYearPanelDateSelect.bind(this));
    this.modesMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarModesMenu, {
      parent: this,
      visible: false,
      displayMode: this.displayMode
    });
    this._setSelectedDate(this.selectedDate);
    this._setDisplayMode(this.displayMode);
    this._setMenuInjectionTarget(this.menuInjectionTarget);
    this._setResources(this.resources);
    this._exactRange = this._calcExactRange();
    this.yearPanel.setViewRange(this._exactRange);
    this.viewRange = this._calcViewRange();
  }
  _updateResourcePanelDisplayable() {
    this.calendarSidebar.setResourcePanelDisplayable(this.resources.length > 1);
  }
  setSelectedDate(date) {
    this.setProperty('selectedDate', date);
  }
  _setSelectedDate(date) {
    date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(date);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('selectedDate', date, Date);
    this._setProperty('selectedDate', date);
    this.yearPanel.selectDate(this.selectedDate);
  }
  _renderSelectedDate() {
    this._updateModel(false);
  }
  setDisplayMode(displayMode) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.displayMode, displayMode)) {
      return;
    }
    let oldDisplayMode = this.displayMode;
    this._setDisplayMode(displayMode);
    if (this.rendered) {
      this._renderDisplayMode(oldDisplayMode);
    }
  }
  _setDisplayMode(displayMode) {
    this._setProperty('displayMode', displayMode);
    this.yearPanel.setDisplayMode(this.displayMode);
    this.modesMenu.setDisplayMode(displayMode);
    if (this.isWorkWeek()) {
      // change date if selectedDate is on a weekend
      let p = this._dateParts(this.selectedDate, true);
      if (p.day > 4) {
        this.setSelectedDate(new Date(p.year, p.month, p.date - p.day + 4));
      }
    }
    this.selectedRange = null;
    this.selectedResource = this.defaultResource;
    this.trigger('selectedRangeChange');
    this.trigger('selectedResourceChange', {
      resourceId: null
    });
  }
  _renderDisplayMode(oldDisplayMode) {
    if (this.rendering) {
      // only do it on property changes
      return;
    }
    this._updateModel(true);
    // only render if components have another layout
    let renderRequired = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAny([this.displayMode, oldDisplayMode], [Calendar.DisplayMode.DAY, Calendar.DisplayMode.MONTH]);
    if (renderRequired) {
      this._renderComponents();
      this.needsScrollToStartHour = true;
    }
  }
  _setViewRange(viewRange) {
    viewRange = _index__WEBPACK_IMPORTED_MODULE_0__.DateRange.ensure(viewRange);
    this._setProperty('viewRange', viewRange);
  }
  _setRangeSelectionAllowed(rangeSelectionAllowed) {
    this.rangeSelectionAllowed = rangeSelectionAllowed;
    if (!this.rangeSelectionAllowed) {
      this.setSelectedRange(null);
    }
  }
  setSelectedRange(range) {
    let selectedRange = _index__WEBPACK_IMPORTED_MODULE_0__.DateRange.ensure(range);
    if (selectedRange && selectedRange.from && selectedRange.to) {
      this.selectorStart = new Date(selectedRange.from);
      this.selectorStart.setHours(0, this._getHours(this.selectorStart) * 60);
      this.selectorEnd = new Date(selectedRange.to);
      this.selectorEnd.setHours(0, this._getHours(this.selectorEnd) * 60 - 30);
      this._setRangeSelection();
    } else {
      this.selectorStart = null;
      this.selectorEnd = null;
      this._removeRangeSelection();
    }
    this._updateSelectedRange();
  }
  _setMenus(menus) {
    if (this._checkMenuInjectionTarget(this.menuInjectionTarget)) {
      let originalMenus = this._removeInjectedMenus(this.menuInjectionTarget, this.menus);
      this.menuInjectionTarget.setMenus(menus.concat(originalMenus));
    }
    this._setProperty('menus', menus);
  }
  _setMenuInjectionTarget(menuInjectionTarget) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isString(menuInjectionTarget)) {
      menuInjectionTarget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(menuInjectionTarget);
    }
    // Remove injected menus and installed listener from old injection target
    if (this._checkMenuInjectionTarget(this.menuInjectionTarget)) {
      menuInjectionTarget.off('propertyChange:menus', this._menuInjectionTargetMenusChangedHandler);
      let originalMenus = this._removeInjectedMenus(this.menuInjectionTarget, this.menus);
      this.menuInjectionTarget.setMenus(originalMenus);
    }
    if (this._checkMenuInjectionTarget(menuInjectionTarget)) {
      menuInjectionTarget.setMenus(this.menus.concat(menuInjectionTarget.menus));
      // Listen for menu changes on the injection target. Re inject menus into target if the menus have been altered.
      this._menuInjectionTargetMenusChangedHandler = evt => {
        if (this.menuInjectionTarget.menus.some(element => this.menus.includes(element))) {
          // Menus have already been injected => Do nothing
          return;
        }
        this.menuInjectionTarget.setMenus(this.menus.concat(this.menuInjectionTarget.menus));
      };
      menuInjectionTarget.on('propertyChange:menus', this._menuInjectionTargetMenusChangedHandler);
    }
    this._setProperty('menuInjectionTarget', menuInjectionTarget);
  }
  _checkMenuInjectionTarget(menuInjectionTarget) {
    return menuInjectionTarget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox;
  }
  _removeInjectedMenus(menuInjectionTarget, injectedMenus) {
    return menuInjectionTarget.menus.filter(element => !injectedMenus.includes(element));
  }
  setShowCalendarSidebar(showCalendarSidebar) {
    this.setProperty('showCalendarSidebar', showCalendarSidebar);
  }
  setShowResourcePanel(showResourcePanel) {
    this.setProperty('showResourcePanel', showResourcePanel);
  }
  setShowListPanel(showListPanel) {
    this.setProperty('showListPanel', showListPanel);
  }
  _render() {
    this.$container = this.$parent.appendDiv('calendar');
    let layout = new _index__WEBPACK_IMPORTED_MODULE_0__.CalendarLayout(this);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(layout);
    let isMobile = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE;
    // main elements
    this.$header = this.$container.appendDiv('calendar-header');
    this.$header.toggleClass('mobile', isMobile);
    this.$headerRow1 = this.$header.appendDiv('calendar-header-row first');
    this.$headerRow2 = this.$header.appendDiv('calendar-header-row last');
    this.calendarSidebar.render();
    this.$grids = this.$container.appendDiv('calendar-grids');
    this.$topGrid = this.$grids.appendDiv('calendar-top-grid');
    this.$topGrid.toggleClass('mobile', isMobile);
    this.$grid = this.$grids.appendDiv('calendar-grid');
    this.$grid.toggleClass('mobile', isMobile);
    this.$listContainer = this.$container.appendDiv('calendar-list-container');
    this.$list = this.$listContainer.appendDiv('calendar-list calendar-scrollable-components');
    this.$listTitle = this.$list.appendDiv('calendar-list-title');
    // header contains range, title and commands. On small screens title will be moved to headerRow2
    this.$range = this.$headerRow1.appendDiv('calendar-range');
    this.$range.appendDiv('calendar-previous').on('click', this._onPreviousClick.bind(this));
    this.$range.appendDiv('calendar-today', this.session.text('ui.CalendarToday')).on('click', this._onTodayClick.bind(this));
    this.$range.appendDiv('calendar-next').on('click', this._onNextClick.bind(this));
    // title
    this.$title = this.$headerRow1.appendDiv('calendar-title');
    this.$select = this.$title.appendDiv('calendar-select');
    this.$progress = this.$title.appendDiv('busyindicator-label');
    // commands
    this.$commands = this.$headerRow1.appendDiv('calendar-commands');
    this.$commands.appendDiv('calendar-mode first', this.session.text('ui.CalendarDay')).attr('data-mode', Calendar.DisplayMode.DAY).on('click', this._onDisplayModeClick.bind(this));
    this.$commands.appendDiv('calendar-mode', this.session.text('ui.CalendarWorkWeek')).attr('data-mode', Calendar.DisplayMode.WORK_WEEK).on('click', this._onDisplayModeClick.bind(this));
    this.$commands.appendDiv('calendar-mode', this.session.text('ui.CalendarWeek')).attr('data-mode', Calendar.DisplayMode.WEEK).on('click', this._onDisplayModeClick.bind(this));
    this.$commands.appendDiv('calendar-mode last', this.session.text('ui.CalendarMonth')).attr('data-mode', Calendar.DisplayMode.MONTH).on('click', this._onDisplayModeClick.bind(this));
    this.modesMenu.render(this.$commands);
    // Top-right menus
    this.$commands.appendDiv('calendar-toggle-sidebar').on('click', this._onCalendarSidebarClick.bind(this));
    this._updateResourcePanelDisplayable();
    this.$commands.appendDiv('calendar-toggle-list').on('click', this._onListClick.bind(this));
    // Append the top grid (day/week views)
    let $weekHeader = this.$topGrid.appendDiv('calendar-week-header');
    $weekHeader.appendDiv('calendar-week-name');
    for (let dayTop = 0; dayTop < 7; dayTop++) {
      $weekHeader.appendDiv('calendar-day-name').data('day', dayTop);
    }
    let $weekTopGridDays = this.$topGrid.appendDiv('calendar-week-allday-container');
    $weekTopGridDays.appendDiv('calendar-week-name');
    let dayContextMenuCallback = this._onDayContextMenu.bind(this);
    for (let dayBottom = 0; dayBottom < 7; dayBottom++) {
      $weekTopGridDays.appendDiv('calendar-day').data('day', dayBottom).on('contextmenu', dayContextMenuCallback);
    }
    for (let w = 1; w < 7; w++) {
      let $w = this.$grid.appendDiv('calendar-week');
      for (let d = 0; d < 8; d++) {
        let $d = $w.appendDiv();
        if (w > 0 && d === 0) {
          $d.addClass('calendar-week-name');
        } else if (w > 0 && d > 0) {
          $d.addClass('calendar-day').data('day', d).data('week', w).on('contextmenu', dayContextMenuCallback);
        }
      }
    }
    this.$window = this.$container.window();
    this.$container.on('mousedown touchstart', this._onMouseDown.bind(this));
    this._updateScreen(false, false);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderResources();
    this._renderComponents();
    this._renderSelectedComponent();
    this._renderLoadInProgress();
    this._renderDisplayMode();
  }
  setResources(resources) {
    this.setProperty('resources', resources);
  }
  _setResources(resources) {
    this._setProperty('resources', resources);
    this._updateLeafResources();
    this._updateResourcePanelDisplayable();
    this._updateResourcePanel();
    this._validateSelectedResource();
  }
  _renderResources() {
    let $dayName = this.$topGrid.find('.calendar-week-header > .calendar-day-name');
    let $fullDay = this.$topGrid.find('.calendar-week-allday-container > .calendar-day');
    let $day = this.$grid.find('.calendar-week > .calendar-day');
    // Remove old resource columns
    $dayName.find('.resource-column').remove();
    $fullDay.find('.resource-column').remove();
    $day.find('.resource-column').remove();
    // Add default resource columns
    $dayName.appendDiv('resource-column').data('resourceId', this.defaultResource.resourceId);
    $fullDay.appendDiv('resource-column').data('resourceId', this.defaultResource.resourceId).addClass('calendar-scrollable-components');
    $day.appendDiv('resource-column').data('resourceId', this.defaultResource.resourceId);
    // Add new resources columns
    this._leafResources.forEach(resources => {
      $dayName.appendDiv('resource-column').data('resourceId', resources.resourceId).attr('data-resource-name', resources.name);
      $fullDay.appendDiv('resource-column').data('resourceId', resources.resourceId).addClass('calendar-scrollable-components');
      $day.appendDiv('resource-column').data('resourceId', resources.resourceId);
    });
    // click event on all day and children elements
    let mousedownCallbackWithTime = this._onDayColumnMouseDown.bind(this, true);
    this.$grid.find('.resource-column').on('mousedown', mousedownCallbackWithTime);
    let mousedownCallback = this._onDayColumnMouseDown.bind(this, false);
    this.$topGrid.find('.resource-column').on('mousedown', mousedownCallback);
    // Only required when rendering is triggered by setter
    if (!this.rendering) {
      this._renderComponents();
    }
  }
  _updateResourcePanel() {
    this.resourcePanel.treeBox.lookupCall.setResources(this.resources);
    this.resourcePanel.treeBox.refreshLookup();
    let value = this.resources.filter(resource => resource.visible).map(resource => resource.resourceId);
    this.resourcePanel.treeBox.setValue(value);
  }
  _validateSelectedResource() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.contains(this.resources, this.selectedResource)) {
      this.selectedResource = this.defaultResource;
      this.trigger('selectedResourceChange', {
        resourceId: this.selectedResource.resourceId
      });
    }
  }
  setComponents(components) {
    this.setProperty('components', components);
  }
  _setComponents(components) {
    let layoutRequired = false;
    if (this.isDay()) {
      // Re-layout required when visibility of default resource will change when setting new components
      layoutRequired = this._defaultResourceVisible() !== this._defaultResourceVisible(components);
    }
    this._setProperty('components', components);
    if (this.rendered && layoutRequired) {
      this.layoutSize(true);
    }
  }
  addComponents(components) {
    this.setComponents([...this.components, ...components]);
  }
  _renderComponents() {
    this.components.sort(this._sortFromTo);
    this._updateFullDayIndices();
    this.components.forEach(component => component.remove());
    this.components.forEach(component => component.render());
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$grid);
    this._arrangeComponents();
    this._updateListPanel();
  }
  _renderSelectedComponent() {
    if (this.selectedComponent) {
      this.selectedComponent.setSelected(true);
    }
  }
  _renderLoadInProgress() {
    this.$progress.setVisible(this.loadInProgress);
  }
  updateScrollPosition(animate) {
    if (!this.rendered) {
      // Execute delayed because table may be not layouted yet
      this.session.layoutValidator.schedulePostValidateFunction(this._updateScrollPosition.bind(this, true, animate));
    } else {
      this._updateScrollPosition(true, animate);
    }
  }
  _updateScrollPosition(scrollToInitialTime, animate) {
    if (this.isMonth()) {
      this._scrollToSelectedComponent(animate);
    } else {
      if (this.selectedComponent) {
        if (this.selectedComponent.fullDay) {
          this._scrollToSelectedComponent(animate); // scroll top-grid to selected component
          if (scrollToInitialTime) {
            this._scrollToInitialTime(animate); // scroll grid to initial time
          }
        } else {
          let date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.selectedComponent.fromDate);
          let topPercent = this._dayPosition(date.getHours(), date.getMinutes()) / 100;
          let topPos = this.heightPerDay * topPercent;
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.$grid, topPos - this.spaceBeforeScrollTop, {
            animate: animate
          });
        }
      } else if (scrollToInitialTime) {
        this._scrollToInitialTime(animate);
      }
    }
  }
  _updateScrollShadow() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.updateScrollShadow(this.$grid);
  }
  _scrollToSelectedComponent(animate) {
    if (this.selectedComponent && this.selectedComponent._$parts[0] && this.selectedComponent._$parts[0].parent() && this.selectedComponent._$parts[0].isVisible()) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.selectedComponent._$parts[0].parent(), this.selectedComponent._$parts[0], {
        animate: animate
      });
    }
  }
  _scrollToInitialTime(animate) {
    this.needsScrollToStartHour = false;
    if (!this.isMonth()) {
      if (this.selectedComponent && !this.selectedComponent.fullDay) {
        let date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.selectedComponent.fromDate);
        let topPercent = this._dayPosition(date.getHours(), date.getMinutes()) / 100;
        let topPos = this.heightPerDay * topPercent;
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.$grid, topPos - this.spaceBeforeScrollTop, {
          animate: animate
        });
      } else {
        let scrollTargetTop = this.heightPerHour * this.startHour;
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.$grid, scrollTargetTop - this.spaceBeforeScrollTop, {
          animate: animate
        });
      }
    }
  }
  /* -- basics, events -------------------------------------------- */
  _onPreviousClick() {
    this._navigateDate(Calendar.Direction.BACKWARD);
  }
  _onNextClick() {
    this._navigateDate(Calendar.Direction.FORWARD);
  }
  _dateParts(date, modulo) {
    let parts = {
      year: date.getFullYear(),
      month: date.getMonth(),
      date: date.getDate(),
      day: date.getDay()
    };
    if (modulo) {
      parts.day = (date.getDay() + 6) % 7;
    }
    return parts;
  }
  _navigateDate(direction) {
    this.selectedDate = this._calcSelectedDate(direction);
    this._updateModel(false);
  }
  _calcSelectedDate(direction) {
    // noinspection UnnecessaryLocalVariableJS
    let p = this._dateParts(this.selectedDate),
      dayOperand = direction,
      weekOperand = direction * 7,
      monthOperand = direction;
    if (this.isDay()) {
      return new Date(p.year, p.month, p.date + dayOperand);
    }
    if (this.isWeek() || this.isWorkWeek()) {
      return new Date(p.year, p.month, p.date + weekOperand);
    }
    if (this.isMonth()) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.selectedDate, 0, monthOperand, 0);
    }
  }
  _updateModel(animate) {
    this._exactRange = this._calcExactRange();
    this.yearPanel.setViewRange(this._exactRange);
    this.viewRange = this._calcViewRange();
    this.trigger('modelChange');
    this._updateScreen(true, animate);
  }
  /**
   * Calculates exact date range of displayed components based on selected-date.
   */
  _calcExactRange() {
    let from,
      to,
      p = this._dateParts(this.selectedDate, true);
    if (this.isDay()) {
      from = new Date(p.year, p.month, p.date);
      to = new Date(p.year, p.month, p.date);
    } else if (this.isWeek()) {
      from = new Date(p.year, p.month, p.date - p.day);
      to = new Date(p.year, p.month, p.date - p.day + 6);
    } else if (this.isMonth()) {
      from = new Date(p.year, p.month, 1);
      to = new Date(p.year, p.month + 1, 0);
    } else if (this.isWorkWeek()) {
      from = new Date(p.year, p.month, p.date - p.day);
      to = new Date(p.year, p.month, p.date - p.day + 4);
    } else {
      throw new Error('invalid value for displayMode');
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(from, to);
  }
  /**
   * Calculates the view-range, which is what the user sees in the UI.
   * The view-range is wider than the exact-range in the monthly mode,
   * as it contains also dates from the previous and next month.
   */
  _calcViewRange() {
    let viewFrom = calcViewFromDate(this._exactRange.from),
      viewTo = calcViewToDate(viewFrom);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(viewFrom, viewTo);
    function calcViewFromDate(fromDate) {
      let i,
        tmpDate = new Date(fromDate.valueOf());
      for (i = 0; i < 42; i++) {
        tmpDate.setDate(tmpDate.getDate() - 1);
        if (tmpDate.getDay() === 1 && tmpDate.getMonth() !== fromDate.getMonth()) {
          return tmpDate;
        }
      }
      throw new Error('failed to calc viewFrom date');
    }
    function calcViewToDate(fromDate) {
      let i,
        tmpDate = new Date(fromDate.valueOf());
      for (i = 0; i < 42; i++) {
        tmpDate.setDate(tmpDate.getDate() + 1);
      }
      return tmpDate;
    }
  }
  _onTodayClick(event) {
    this.selectedDate = new Date();
    this._updateModel(false);
  }
  _onDisplayModeClick(event) {
    let displayMode = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('mode');
    this.setDisplayMode(displayMode);
  }
  _onCalendarSidebarClick(event) {
    this.setShowCalendarSidebar(!this.showCalendarSidebar);
    this._updateScreen(true, true);
  }
  _onListClick(event) {
    this.setShowListPanel(!this.showListPanel);
    this._updateScreen(false, true);
  }
  _onDayColumnMouseDown(withTime, event) {
    let selectedDayColumn = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget),
      selectedDate = new Date(selectedDayColumn.parent().data('date')),
      timeChanged = false,
      selectedResourceId = selectedDayColumn.data('resourceId'),
      selectedResourceChanged = selectedResourceId !== this.selectedResource.resourceId;
    // Do not apply selection when clicked on calendar component
    if (this._get$CalendarComponent(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target)).length > 0) {
      return;
    }
    // When left click on component was made, which was covered by a range selection, apply the selection on the component
    let componentPartElement = document.elementsFromPoint(event.pageX, event.pageY).find(e => e.classList.contains('calendar-component'));
    if (event.button === 0 && componentPartElement) {
      let $part = jquery__WEBPACK_IMPORTED_MODULE_1___default()(componentPartElement);
      let component = $part.data('component');
      if (component) {
        component.applySelection($part, true, event.originalEvent.clientY);
        return;
      }
    }
    // Check if date is valid
    if (!selectedDate.valueOf()) {
      return;
    }
    let rangeSelectionPossible = withTime && (this.isDay() || this.isWeek() || this.isWorkWeek());
    // Set seconds of date
    if (rangeSelectionPossible) {
      let seconds = this._getSelectedSeconds(event);
      if (seconds < 60 * 60 * 24) {
        selectedDate.setSeconds(seconds);
        timeChanged = true;
      }
    }
    this._setSelection(selectedDate, selectedResourceId, null, false, timeChanged);
    if (rangeSelectionPossible) {
      this._startRangeSelection(event, selectedResourceChanged);
    }
  }
  _getSelectedDate(event) {
    let date = null;
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    if ($target.hasClass('calendar-day')) {
      date = $target.data('date');
    } else if ($target.hasClass('resource-column')) {
      date = $target.parent().data('date');
    } else if ($target.hasClass('calendar-component') || $target.parents('.calendar-component').length > 0 || $target.hasClass('calendar-range-selector')) {
      date = $target.closest('.calendar-day').data('date');
    }
    if (date) {
      return new Date(date);
    }
    return null;
  }
  _getSelectedSeconds(event) {
    let y = event.originalEvent.layerY;
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    let $component = this._get$CalendarComponent($target);
    if ($component.length > 0) {
      y += $component.position().top;
    } else if ($target.hasClass('calendar-range-selector')) {
      y += $target.position().top;
    }
    return Math.floor(y / this.heightPerDivision) / this.numberOfHourDivisions * 60 * 60;
  }
  _getSelectedDateTime(event) {
    let selectedDate = this._getSelectedDate(event);
    if (selectedDate && (this.isDay() || this.isWeek() || this.isWorkWeek())) {
      let seconds = this._getSelectedSeconds(event);
      if (seconds < 60 * 60 * 24) {
        selectedDate.setSeconds(seconds);
      }
    }
    return selectedDate;
  }
  /**
   * @param selectedComponent may be null when a day is selected
   */
  _setSelection(selectedDate, selectedResource, selectedComponent, updateScrollPosition, timeChanged) {
    let changed = false;
    let dateChanged = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(this.selectedDate, selectedDate) !== 0;
    // selected date
    if (dateChanged || timeChanged) {
      changed = true;
      if (dateChanged) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$container).each((index, element) => {
          let $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element),
            date = $day.data('date');
          if (!date || _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(date, this.selectedDate) === 0) {
            $day.select(false); // de-select old date
          } else if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(date, selectedDate) === 0) {
            $day.select(true); // select new date
          }
        });
      }
      this.selectedDate = selectedDate;
    }
    // Set selected resource
    let newSelectedResource = this.selectedResource;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isString(selectedResource)) {
      newSelectedResource = this.findResourceForId(selectedResource);
    } else if (selectedResource) {
      newSelectedResource = selectedResource;
    }
    if (newSelectedResource !== this.selectedResource && newSelectedResource.selectable) {
      changed = true;
      this.selectedResource = newSelectedResource;
      this.trigger('selectedResourceChange', {
        resourceId: newSelectedResource.resourceId
      });
    }
    // selected component / part (maybe null)
    if (this.selectedComponent !== selectedComponent) {
      changed = true;
      if (this.selectedComponent) {
        this.selectedComponent.setSelected(false);
      }
      if (selectedComponent) {
        selectedComponent.setSelected(true);
      }
      this.selectedComponent = selectedComponent;
    }
    if (changed) {
      this.trigger('selectionChange');
      if (dateChanged) {
        this._updateListPanel();
      }
      if (updateScrollPosition) {
        this._updateScrollPosition(false, true);
      }
    }
    if (this.showCalendarSidebar) {
      this.yearPanel.selectDate(this.selectedDate);
    }
  }
  _get$CalendarComponent($element) {
    return $element.closest('.calendar-component');
  }
  /* --  set display mode and range ------------------------------------- */
  _updateScreen(updateTopGrid, animate) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(Calendar#_updateScreen)');
    // select mode
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-mode', this.$commands).select(false);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('[data-mode="' + this.displayMode + '"]', this.$commands).select(true);
    // remove selected day
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.selected', this.$grid).select(false);
    // layout grid
    this.layoutLabel();
    this.layoutSize(animate);
    this.layoutAxis();
    if (this.showCalendarSidebar) {
      this.yearPanel.selectDate(this.selectedDate);
    }
    this._updateListPanel();
    this._updateScrollbars(this.$grid, animate);
    if (updateTopGrid && !this.isMonth()) {
      this._updateTopGrid();
    }
    this.setSelectedRange(this.selectedRange);
  }
  layoutSize(animate) {
    // reset animation sizes
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('div', this.$container).removeData(['new-width', 'new-height']);
    this.$grids.toggleClass('calendar-grids-month', this.isMonth());
    // init vars (Selected: Day)
    let $selected = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.selected', this.$grid),
      $topSelected = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.selected', this.$topGrid),
      containerW = this.$container.width(),
      gridH = this.$grid.height(),
      gridPaddingX = this.$grid.innerWidth() - this.$grid.width(),
      gridW = containerW - gridPaddingX;
    // show or hide calendar sidebar
    if (this.showCalendarSidebar) {
      this.calendarSidebar.$container.data('new-width', this.calendarToggleYearWidth);
      gridW -= this.calendarToggleYearWidth;
      containerW -= this.calendarToggleYearWidth;
    } else {
      this.calendarSidebar.$container.data('new-width', 0);
    }
    this.calendarSidebar.setResourcePanelExpanded(this.showResourcePanel);
    // show or hide work list
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-toggle-list', this.$commands).select(this.showListPanel);
    if (this.showListPanel) {
      this.$list.parent().data('new-width', this.calendarToggleListWidth);
      gridW -= this.calendarToggleListWidth;
      containerW -= this.calendarToggleListWidth;
    } else {
      this.$list.parent().data('new-width', 0);
    }
    // basic grid width
    this.$grids.data('new-width', containerW);
    let $weeksToHide = jquery__WEBPACK_IMPORTED_MODULE_1___default()(); // Empty
    let $allWeeks = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week', this.$grid);
    // layout week
    if (this.isDay() || this.isWeek() || this.isWorkWeek()) {
      $allWeeks.removeClass('calendar-week-noborder');
      // Parent of selected (Day) is a week
      let selectedWeek = $selected.parent();
      $weeksToHide = $allWeeks.not(selectedWeek); // Hide all (other) weeks delayed, height will animate to zero
      $weeksToHide.data('new-height', 0);
      $weeksToHide.removeClass('invisible');
      selectedWeek.data('new-height', this.heightPerDay);
      selectedWeek.addClass('calendar-week-noborder');
      selectedWeek.removeClass('hidden invisible'); // Current week must be shown
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', selectedWeek).data('new-height', this.heightPerDay);
      // Hide the week-number in the lower grid
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-name', this.$grid).addClass('invisible'); // Keep the reserved space
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-allday-container', this.$topGrid).removeClass('hidden');
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-task', this.$topGrid).removeClass('hidden');
    } else {
      // Month
      let newHeightMonth = gridH / this.monthViewNumberOfWeeks;
      $allWeeks.removeClass('calendar-week-noborder invisible hidden');
      $allWeeks.eq(0).addClass('calendar-week-noborder');
      $allWeeks.data('new-height', newHeightMonth);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$grid).data('new-height', newHeightMonth);
      let $allDays = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-name', this.$grid);
      $allDays.removeClass('hidden invisible');
      $allDays.data('new-height', newHeightMonth);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-allday-container', this.$topGrid).addClass('hidden');
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-task', this.$topGrid).addClass('hidden');
    }
    // layout days
    let contentW = gridW - 45; // gridW - @calendar-week-name-width
    if (this.isDay()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day-name, .calendar-day', this.$topGrid).data('new-width', 0);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$grid).data('new-width', 0);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day-name:nth-child(' + ($topSelected.index() + 1) + ')', this.$topGrid).data('new-width', contentW);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day:nth-child(' + ($topSelected.index() + 1) + ')', this.$topGrid).data('new-width', contentW);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day:nth-child(' + ($selected.index() + 1) + ')', this.$grid).data('new-width', contentW);
      this.widthPerDivision = contentW;
    } else if (this.isWorkWeek()) {
      this.$topGrid.find('.calendar-day-name').data('new-width', 0);
      this.$grids.find('.calendar-day').data('new-width', 0);
      let newWidthWorkWeek = Math.round(contentW / this.workDayIndices.length);
      this.$topGrid.find('.calendar-day-name').slice(0, 5).data('new-width', newWidthWorkWeek);
      this.$topGrid.find('.calendar-day').slice(0, 5).data('new-width', newWidthWorkWeek);
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day:nth-child(-n+6)', this.$grid).data('new-width', newWidthWorkWeek);
      this.widthPerDivision = newWidthWorkWeek;
    } else if (this.isMonth() || this.isWeek()) {
      let newWidthMonthOrWeek = Math.round(contentW / 7);
      this.$grids.find('.calendar-day').data('new-width', newWidthMonthOrWeek);
      this.$topGrid.find('.calendar-day-name').data('new-width', newWidthMonthOrWeek);
      this.widthPerDivision = newWidthMonthOrWeek;
    }
    // layout resource columns
    let columnWidth = 0;
    if (this.isDay()) {
      columnWidth = Math.round(contentW / (this._leafResources.filter(c => c.visible).length + (this._defaultResourceVisible() ? 1 : 0)));
    } else if (this.isWorkWeek()) {
      columnWidth = Math.round(contentW / this.workDayIndices.length);
    } else {
      columnWidth = Math.round(contentW / 7);
    }
    if (this.isDay()) {
      // Set size to 0 for all
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.resource-column', this.$grids).data('new-width', 0);
      // Resize visible columns of selected day
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day-name:nth-child(' + ($topSelected.index() + 1) + ')', this.$topGrid).add(jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day:nth-child(' + ($topSelected.index() + 1) + ')', this.$grids)).find('.resource-column').filter((i, e) => {
        let id = jquery__WEBPACK_IMPORTED_MODULE_1___default()(e).data('resourceId');
        if (id === this.defaultResource.resourceId) {
          return this._defaultResourceVisible();
        }
        let foundResource = this.findResourceForId(id);
        return foundResource ? foundResource.visible : false;
      }).data('new-width', columnWidth);
    } else {
      // Set size 0 for all resource columns
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.resource-column', this.$grids).data('new-width', 0);
      // Full size for default column
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.resource-column', this.$grids).filter((i, e) => jquery__WEBPACK_IMPORTED_MODULE_1___default()(e).data('resourceId') === this.defaultResource.resourceId).data('new-width', columnWidth);
    }
    // layout components
    if (this.isMonth()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.component-month', this.$grid).each(function () {
        let $comp = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this),
          $day = $comp.closest('.calendar-day');
        $comp.toggleClass('compact', $day.data('new-width') < _index__WEBPACK_IMPORTED_MODULE_0__.CalendarComponent.MONTH_COMPACT_THRESHOLD);
      });
    }
    // animate old to new sizes
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('div', this.$container).each((i, elem) => {
      let $e = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let w = $e.data('new-width');
      let h = $e.data('new-height');
      $e.stop(false, true);
      if (w !== undefined && w !== $e.outerWidth()) {
        if (animate) {
          let opts = {
            complete: () => this._afterLayout($e, animate)
          };
          if ($e[0] === this.$grids[0]) {
            // Grid contains scroll shadows that should be updated during animation (don't due it always for performance reasons)
            opts.progress = () => this._afterLayout($e, animate);
          }
          $e.animate({
            width: w
          }, opts);
        } else {
          $e.css('width', w);
          this._afterLayout($e, animate);
        }
      }
      if (h !== undefined && h !== $e.outerHeight()) {
        if (h > 0) {
          $e.removeClass('hidden');
        }
        if (animate) {
          $e.animateAVCSD('height', h, () => {
            if (h === 0) {
              $e.addClass('hidden');
            }
            this._afterLayout($e, animate);
          }, () => {
            this._afterLayout($e, animate);
          });
        } else {
          $e.css('height', h);
          if (h === 0) {
            $e.addClass('hidden');
          }
          this._afterLayout($e, animate);
        }
      }
    });
  }
  _afterLayout($parent, animate) {
    this.calendarSidebar.invalidateLayoutTree(false);
    this._updateScrollbars($parent, animate);
    this._updateWeekdayNames();
  }
  _defaultResourceVisible() {
    let components = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.components;
    return components.filter(comp => comp.coveredDaysRange.covers(this.selectedDate, true)).map(comp => comp.item).map(item => item ? item.resourceId : this.defaultResource.resourceId).map(resourceId => this.isLeafResource(resourceId) ? resourceId : this.defaultResource.resourceId).filter(resourceId => resourceId === this.defaultResource.resourceId).length > 0;
  }
  isLeafResource(resourceId) {
    return !!this._leafResources.find(res => res.resourceId === resourceId);
  }
  findResourceForComponent(component) {
    return this.findResourceForId(component.getResourceId());
  }
  findResourceForId(resourceId) {
    if (!resourceId || resourceId === this.defaultResource.resourceId) {
      return this.defaultResource;
    }
    let resource = this.resources.find(resource => resource.resourceId === resourceId);
    // No resource found for this id
    if (!resource) {
      return this.defaultResource;
    }
    return resource;
  }
  _updateWeekdayNames() {
    // set day-name (based on width of shown column)
    let weekdayWidth = this.$topGrid.width(),
      weekdays;
    if (this.isDay()) {
      weekdayWidth /= 1;
    } else if (this.isWorkWeek()) {
      weekdayWidth /= this.workDayIndices.length;
    } else if (this.isWeek()) {
      weekdayWidth /= 7;
    } else if (this.isMonth()) {
      weekdayWidth /= 7;
    }
    if (weekdayWidth > 90) {
      weekdays = this.session.locale.dateFormat.symbols.weekdaysOrdered;
    } else {
      weekdays = this.session.locale.dateFormat.symbols.weekdaysShortOrdered;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day-name > .resource-column', this.$topGrid).filter((i, element) => jquery__WEBPACK_IMPORTED_MODULE_1___default()(element).data('resourceId') === this.defaultResource.resourceId).each((i, elm) => {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()(elm).attr('data-resource-name', weekdays[i]);
    });
  }
  _updateScrollbars($parent, animate) {
    let $scrollables = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-scrollable-components', $parent);
    $scrollables.each((i, elem) => {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem), true);
    });
    this.updateScrollPosition(animate);
    this._updateScrollShadow();
  }
  _uninstallComponentScrollbars($parent) {
    $parent.find('.calendar-scrollable-components').each((i, elem) => {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem), this.session);
    });
  }
  _updateTopGrid() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-component', this.$topGrid).each((index, part) => {
      let component = jquery__WEBPACK_IMPORTED_MODULE_1___default()(part).data('component');
      if (component) {
        component.remove();
      }
    });
    const fullDayComponents = this.components.filter(component => component.fullDay);
    this._updateFullDayIndices(fullDayComponents);
    // first remove all components and add them from scratch
    fullDayComponents.forEach(component => component.remove());
    fullDayComponents.forEach(component => component.render());
    this._updateScrollbars(this.$topGrid, false);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$grid);
  }
  _updateFullDayIndices(fullDayComponents) {
    if (!fullDayComponents) {
      fullDayComponents = this.components.filter(component => component.fullDay);
    }
    fullDayComponents.sort(this._sortFromTo);
    const {
      from,
      to
    } = this._exactRange;
    const usedIndicesMap = new Map();
    let maxComponentsPerDay = 0;
    for (const component of fullDayComponents) {
      component.fullDayIndex = -1;
      if (component.coveredDaysRange.to < from || component.coveredDaysRange.from > to) {
        // component is not in range
        continue;
      }
      let date = component.coveredDaysRange.from;
      if (date < from) {
        date = from;
      }
      let fullDayIndexKey = this._calculateFullDayIndexKey(component, date);
      let usedIndices = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(usedIndicesMap.get(fullDayIndexKey));
      // get the first unused index
      // create [0, 1, 2, ..., maxIndex, maxIndex + 1] remove the used indices
      // => the minimum of the remaining array is the first unused index
      const maxIndex = usedIndices.length ? _index__WEBPACK_IMPORTED_MODULE_0__.arrays.max(usedIndices) : 0;
      const indexCandidates = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(maxIndex + 2, null).map((elem, idx) => idx);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(indexCandidates, usedIndices);
      const index = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.min(indexCandidates);
      component.fullDayIndex = index;
      // mark the index as used for all dates of the components range
      // none of these indices can be used already due to the order of the components
      while (date <= component.coveredDaysRange.to && date <= to) {
        usedIndices.push(index);
        usedIndicesMap.set(fullDayIndexKey, usedIndices);
        date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, 0, 1);
        fullDayIndexKey = this._calculateFullDayIndexKey(component, date);
        usedIndices = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(usedIndicesMap.get(fullDayIndexKey));
      }
      maxComponentsPerDay = Math.max(index + 1, maxComponentsPerDay);
    }
    this.$grids.css('--full-day-components', maxComponentsPerDay);
  }
  _calculateFullDayIndexKey(component, date) {
    let prefix = '';
    if (this.isDay()) {
      prefix = component.getResourceId();
    }
    return prefix + date.valueOf();
  }
  layoutYearPanel() {
    if (this.showCalendarSidebar) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.yearPanel.$yearList);
      this.yearPanel._scrollYear();
    }
  }
  layoutLabel() {
    let text,
      $dates,
      $topGridDates,
      exFrom = this._exactRange.from,
      exTo = this._exactRange.to;
    // set range text
    if (this.isDay()) {
      text = this._format(exFrom, 'EEEE, d. MMMM yyyy');
    } else if (this.isWorkWeek() || this.isWeek()) {
      let toText = this.session.text('ui.to');
      if (exFrom.getMonth() === exTo.getMonth()) {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._format(exFrom, 'd.'), toText, this._format(exTo, 'd. MMMM yyyy'));
      } else if (exFrom.getFullYear() === exTo.getFullYear()) {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._format(exFrom, 'd. MMMM'), toText, this._format(exTo, 'd. MMMM yyyy'));
      } else {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._format(exFrom, 'd. MMMM yyyy'), toText, this._format(exTo, 'd. MMMM yyyy'));
      }
    } else if (this.isMonth()) {
      text = this._format(exFrom, 'MMMM yyyy');
    }
    this.$select.text(text);
    // prepare to set all day date and mark selected one
    $dates = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$grid);
    let w,
      d,
      cssClass,
      currentMonth = this._exactRange.from.getMonth(),
      date = new Date(this.viewRange.from.valueOf());
    // Main grid: loop all days and set value and class
    for (w = 0; w < this.monthViewNumberOfWeeks; w++) {
      for (d = 0; d < 7; d++) {
        cssClass = '';
        if (this.workDayIndices.indexOf(date.getDay()) === -1) {
          cssClass = date.getMonth() !== currentMonth ? ' weekend-out' : ' weekend';
        } else {
          cssClass = date.getMonth() !== currentMonth ? ' out' : '';
        }
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date, new Date())) {
          cssClass += ' now';
        }
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date, this.selectedDate)) {
          cssClass += ' selected';
        }
        if (!this.isMonth()) {
          cssClass += ' calendar-no-label'; // If we're not in the month view, number is shown on top
        }
        // adjust position for days between 10 and 19 (because "1" is narrower than "0" or "2")
        if (date.getDate() > 9 && date.getDate() < 20) {
          cssClass += ' center-nice';
        }
        text = this._format(date, 'dd');
        $dates.eq(w * 7 + d).removeClass('weekend-out weekend out selected now calendar-no-label').addClass(cssClass).attr('data-day-name', text).data('date', new Date(date.valueOf()));
        date.setDate(date.getDate() + 1);
      }
    }
    // Top grid: loop days of one calendar week and set value and class
    if (!this.isMonth()) {
      $topGridDates = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$topGrid);
      // From the view range, find the week we are in
      let exactDate = new Date(this._exactRange.from.valueOf());
      // Find first day of week.
      date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.firstDayOfWeek(exactDate, 1);
      for (d = 0; d < 7; d++) {
        cssClass = '';
        if (this.workDayIndices.indexOf(date.getDay()) === -1) {
          cssClass = date.getMonth() !== currentMonth ? ' weekend-out' : ' weekend';
        } else {
          cssClass = date.getMonth() !== currentMonth ? ' out' : '';
        }
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date, new Date())) {
          cssClass += ' now';
        }
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date, this.selectedDate)) {
          cssClass += ' selected';
        }
        text = this._format(date, 'dd');
        $topGridDates.eq(d).removeClass('weekend-out weekend out selected now').addClass(cssClass).attr('data-day-name', text).data('date', new Date(date.valueOf()));
        date.setDate(date.getDate() + 1);
      }
    }
  }
  layoutAxis() {
    let $e;
    // remove old axis
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-axis, .calendar-week-task', this.$grid).remove();
    // set week name
    let session = this.session;
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week-name', this.$container).each(function (index) {
      if (index > 0) {
        $e = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
        $e.text(session.text('ui.CW', _index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear($e.next().data('date')) + ''));
      }
    });
    // day schedule
    if (!this.isMonth()) {
      // Parent of selected day: Week
      //    var $parent = $selected.parent();
      let $parent = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week', this.$grid);
      for (let h = 0; h < 24; h++) {
        // Render lines for each hour
        let paddedHour = ('00' + h).slice(-2);
        let topPos = h * this.heightPerHour;
        $parent.appendDiv('calendar-week-axis hour' + (h === 0 ? ' first' : '')).attr('data-axis-name', paddedHour + ':00').css('top', topPos + 'px');
        for (let m = 1; m < this.numberOfHourDivisions; m++) {
          // First one rendered above. Start at the next
          topPos += this.heightPerDivision;
          $parent.appendDiv('calendar-week-axis').attr('data-axis-name', '').css('top', topPos + 'px');
        }
      }
    }
  }
  /* -- year events ---------------------------------------- */
  _onYearPanelDateSelect(event) {
    this.selectedDate = event.date;
    this._updateModel(false);
  }
  _updateListPanel() {
    if (this.showListPanel) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(this.$list, this.session);
      // remove old list-components
      this._listComponents.forEach(listComponent => listComponent.remove());
      this._listComponents = [];
      this._renderListPanel();
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install(this.$list, {
        parent: this,
        session: this.session,
        axis: 'y'
      });
    }
  }
  _remove() {
    this._uninstallComponentScrollbars(this.$grid);
    this._uninstallComponentScrollbars(this.$topGrid);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(this.$list, this.session);
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler);
    this._moveData = null;
    super._remove();
  }
  /**
   * Renders the panel on the left, showing all components of the selected date.
   */
  _renderListPanel() {
    // set title
    this.$listTitle.text(this._format(this.selectedDate, 'd. MMMM yyyy'));
    // filter components to display on the list panel
    this.components.filter(comp => this._filterCurrentDate(comp)).filter(comp => this._filterVisibleComponents(comp)).forEach(comp => {
      let listComponent = new _index__WEBPACK_IMPORTED_MODULE_0__.CalendarListComponent(this.selectedDate, comp);
      listComponent.render(this.$list);
      this._listComponents.push(listComponent);
    });
  }
  _filterCurrentDate(component) {
    let selectedDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(this.selectedDate);
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(selectedDate, component.coveredDaysRange.from) >= 0 && _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(selectedDate, component.coveredDaysRange.to) <= 0;
  }
  _filterVisibleComponents(component) {
    return this.findResourceForComponent(component).visible;
  }
  /* -- components, events-------------------------------------------- */
  /** @internal */
  _selectedComponentChanged(component, resourceId, partDay, updateScrollPosition) {
    this._setSelection(partDay, resourceId, component, updateScrollPosition, false);
  }
  _onDayContextMenu(event) {
    this._showContextMenu(event, Calendar.MenuType.EmptySpace);
  }
  /** @internal */
  _showContextMenu(event, allowedType) {
    event.preventDefault();
    event.stopPropagation();
    let func = function func(event, allowedType) {
      if (!this.rendered || !this.attached || !this._calculateContextMenuVisible(event)) {
        // check needed because function is called asynchronously
        return;
      }
      let filteredMenus = _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(this.menus, [allowedType], {
          onlyVisible: true,
          defaultMenuTypes: this.defaultMenuTypes
        }),
        $part = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
      if (filteredMenus.length === 0) {
        return;
      }
      let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
        parent: this,
        menuItems: filteredMenus,
        location: {
          x: event.pageX,
          y: event.pageY
        },
        $anchor: $part
      });
      popup.open();
    }.bind(this);
    this.session.onRequestsDone(func, event, allowedType);
  }
  _calculateContextMenuVisible(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let resourceId = this.defaultResource.resourceId;
    if ($target.hasClass('calendar-component') && this.selectedComponent) {
      resourceId = this.selectedComponent.getResourceId();
    } else {
      resourceId = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).closest('.resource-column').data('resourceId');
    }
    return this.findResourceForId(resourceId).selectable;
  }
  _onResourceVisibilityChanged(event) {
    let checkedNodes = event.newValue;
    let resourceCheckedTuples = this.resources.map(cal => cal.resourceId).map(calId => [calId, checkedNodes.includes(calId)]);
    this._updateResourceVisibility(resourceCheckedTuples);
  }
  _updateResourceVisibility(updatedResources) {
    if (!this.initialized) {
      // Is called after init
      return;
    }
    updatedResources.forEach(tuple => {
      this._updateResourcesVisibleProperty(tuple[0], tuple[1]);
    });
    if (!this.rendered) {
      return;
    }
    if (!this.isDay()) {
      // No re-rendering required when on day -> component is hidden by layout
      this._renderComponents();
    } else {
      // Else only update list panel
      this._updateListPanel();
    }
    this.layoutSize(true);
  }
  _updateResourcesVisibleProperty(resourceId, visible) {
    if (!resourceId) {
      // No update
      return;
    }
    let resource = this.findResourceForId(resourceId);
    if (!resource || resource.visible === visible) {
      // No update
      return;
    }
    resource.visible = visible;
    this.trigger('resourceVisibilityChange', {
      resourceId: resourceId,
      visible: visible
    });
  }
  /* -- components, arrangement------------------------------------ */
  _arrangeComponents() {
    let k, c, j, $day, $columns, $defaultColumn, $allChildren, $children, $scrollableContainer, dayComponents, day;
    let $days = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$grid);
    // Main (Bottom) grid: Iterate over days
    for (k = 0; k < $days.length; k++) {
      $day = $days.eq(k);
      day = $day.data('date');
      $columns = $day.children('.resource-column');
      $allChildren = $day.find('.calendar-component');
      $defaultColumn = $columns.filter((i, e) => jquery__WEBPACK_IMPORTED_MODULE_1___default()(e).data('resourceId') === this.defaultResource.resourceId);
      // Remove old element containers
      $scrollableContainer = $defaultColumn.children('.calendar-scrollable-components');
      if ($scrollableContainer.length > 0) {
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall($scrollableContainer, this.session);
        $scrollableContainer.remove();
      }
      if (this.isMonth() && $allChildren.length > 0) {
        $scrollableContainer = $defaultColumn.appendDiv('calendar-scrollable-components');
        for (j = 0; j < $allChildren.length; j++) {
          let $child = $allChildren.eq(j);
          // non-tasks (communications) are distributed manually
          // within the parent container in all views except the monthly view.
          if (!this.isMonth() && !$child.hasClass('component-task')) {
            continue;
          }
          $scrollableContainer.append($child);
        }
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install($scrollableContainer, {
          parent: this,
          session: this.session,
          axis: 'y'
        });
      }
      for (c = 0; c < $columns.length; c++) {
        $children = $columns.eq(c).children('.calendar-component:not(.component-task)');
        if (this.isMonth() && $children.length > 2) {
          $day.addClass('many-items');
        } else if (!this.isMonth() && $children.length > 1) {
          // logical placement
          dayComponents = this._getComponents($children);
          this._arrange(dayComponents, day);
          // screen placement
          this._arrangeComponentSetPlacement($children, day);
        }
      }
    }
    if (this.isMonth()) {
      this._uninstallScrollbars();
      this._uninstallComponentScrollbars(this.$topGrid);
      this.$grid.removeClass('calendar-scrollable-components');
    } else {
      this.$grid.addClass('calendar-scrollable-components');
      // If we're in the non-month views, the time can scroll. Add scrollbars
      this._installScrollbars({
        parent: this,
        session: this.session,
        axis: 'y'
      });
      this.$topGrid.find('.calendar-scrollable-components').each((i, elem) => {
        let $topDay = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
        if ($topDay.data('scrollable')) {
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update($topDay);
          return;
        }
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install($topDay, {
          parent: this,
          session: this.session,
          axis: 'y',
          scrollShadow: 'none'
        });
      });
    }
  }
  _getComponents($children) {
    let i, $child;
    let components = [];
    for (i = 0; i < $children.length; i++) {
      $child = $children.eq(i);
      components.push($child.data('component'));
    }
    return components;
  }
  /** @internal */
  _sort(components) {
    components.sort(this._sortFromTo);
  }
  /**
   * Arrange components (stack width, stack index) per day
   */
  _arrange(components, day) {
    let columns = [],
      key = day + '';
    // ordered by from, to
    this._sort(components);
    // clear existing placement
    for (let i = 0; i < components.length; i++) {
      let c = components[i];
      if (!c.stack) {
        c.stack = {};
      }
      c.stack[this._calculateStackKey(day, c.getResourceId())] = {};
    }
    for (let i = 0; i < components.length; i++) {
      let c = components[i];
      let r = c.getPartDayPosition(day); // Range [from,to]
      key = this._calculateStackKey(day, c.getResourceId());
      // reduce number of columns, if all components end before this one
      if (columns.length > 0 && this._allEndBefore(columns, r.from, day)) {
        columns = [];
      }
      // replace a component that ends before and can be replaced
      let k = this._findReplaceableColumn(columns, r.from, day);
      // insert
      if (k >= 0) {
        columns[k] = c;
        c.stack[key].x = k;
      } else {
        columns.push(c);
        c.stack[key].x = columns.length - 1;
      }
      // update stackW
      for (let j = 0; j < columns.length; j++) {
        columns[j].stack[key].w = columns.length;
      }
    }
  }
  _allEndBefore(columns, pos, day) {
    let i;
    for (i = 0; i < columns.length; i++) {
      if (!this._endsBefore(columns[i], pos, day)) {
        return false;
      }
    }
    return true;
  }
  _findReplaceableColumn(columns, pos, day) {
    let j;
    for (j = 0; j < columns.length; j++) {
      if (this._endsBefore(columns[j], pos, day)) {
        return j;
      }
    }
    return -1;
  }
  _endsBefore(component, pos, day) {
    return component.getPartDayPosition(day).to <= pos;
  }
  _arrangeComponentSetPlacement($children, day) {
    let i, $child, component, stack;
    // loop and place based on data
    for (i = 0; i < $children.length; i++) {
      $child = $children.eq(i);
      component = $child.data('component');
      stack = component.stack[this._calculateStackKey(day, component.getResourceId())];
      // make last element smaller
      $child.css('width', 100 / stack.w + '%').css('left', stack.x * 100 / stack.w + '%');
    }
  }
  _calculateStackKey(date, resourceId) {
    let stackKey = this.defaultResource.resourceId;
    // Separate layouting of components by resourceId when on day
    if (this.isDay() && resourceId) {
      // Validate resourceId
      stackKey = this.findResourceForId(resourceId).resourceId;
    }
    return stackKey;
  }
  get$Scrollable() {
    return this.$grid;
  }
  _onMouseDown(event) {
    if (this._moveData) {
      // Do nothing, when dragging is already in progress. This can happen when the user leaves
      // the browser window (e.g. using Alt-Tab) while holding the mouse button pressed and
      // then returns and presses the mouse button again.
      return;
    }
    let component = this._getCalendarComponentForMouseEvent(event);
    // component has to be marked as draggable by the backend
    // dragging of fullDay components is not supported yet
    // dragging of components spanning more than one day is not supported yet
    if (!component || !component.draggable || !this.isMonth() && component.fullDay || component._$parts.length > 1) {
      return;
    }
    // Ignore right mouse button clicks (allow bubble up --> could trigger context menu)
    if (event.which === 3) {
      // Select clicked widget first, otherwise we might display the wrong context menu
      return;
    }
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler).on('mousemove touchmove', this._mouseMoveHandler).on('mouseup touchend touchcancel', this._mouseUpHandler);
    this._moveData = this._newMoveData(event);
    this._onComponentMouseDown(event, component);
    this._moveData.onMove = this._onComponentMouseMove.bind(this);
    this._moveData.onUp = this._onComponentMouseUp.bind(this);
  }
  _onMouseMove(event) {
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._moveData.event = event;
    this._moveData.currentCursorPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(event.pageX - this._moveData.containerOffset.left + this._moveData.containerScrollPosition.x, event.pageY - this._moveData.containerOffset.top + this._moveData.containerScrollPosition.y);
    this._scrollViewportWhileDragging(event);
    if (this._moveData.onMove && !this._moveData.cancelled) {
      this._moveData.onMove(event);
    }
  }
  _scrollViewportWhileDragging(event) {
    if (!this._moveData || this._moveData.mode === 'pan' || this._moveData.cancelled) {
      return;
    }
    if (!this._moveData.viewportScroller) {
      this._moveData.viewportScroller = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ViewportScroller, jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
        viewportWidth: this.$grid.width(),
        viewportHeight: this.$grid.height(),
        active: () => !!this._moveData,
        scroll: (dx, dy) => {
          let newScrollTop = this.get$Scrollable().scrollTop() + dy;
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.get$Scrollable(), newScrollTop);
          this._moveData.containerScrollPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this.get$Scrollable().scrollLeft(), this.get$Scrollable().scrollTop());
        }
      }));
    }
    // Mouse position (viewport-relative coordinates) in pixel
    let mouse = this._moveData.currentCursorPosition.subtract(this._moveData.containerScrollPosition);
    this._moveData.viewportScroller.update(mouse);
  }
  _onMouseUp(event) {
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler);
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._moveData.event = event;
    if (this._moveData.onUp && !this._moveData.cancelled) {
      this._moveData.onUp(event);
    }
    this._moveData = null;
  }
  _onComponentMouseDown(event, component) {
    // Prepare for dragging
    this._moveData.component = component;
    let $firstPart = component._$parts[0];
    this._moveData.logicalX = $firstPart.closest('.calendar-day').data().day;
    this._moveData.logicalY = Math.round($firstPart.position().top) / this.heightPerDivision;
    if (this.isMonth()) {
      this._moveData.logicalY = $firstPart.closest('.calendar-day').data().week;
    }
    // Prevent scrolling on touch devices (like "touch-action: none" but with better browser support).
    // Theoretically, unwanted scrolling can be prevented by adding the CSS rule "touch-action: none"
    // to the element. Unfortunately, not all devices support this (e.g. Apple Safari on iOS).
    // Therefore, we always suppress the scrolling in JS. Because this also suppresses the 'click'
    // event, click actions have to be triggered manually in the 'mouseup' handler.
    event.preventDefault();
  }
  _onComponentMouseMove(event) {
    if (!this._moveData.rafId) {
      this._moveData.rafId = requestAnimationFrame(this._whileComponentMove.bind(this));
    }
  }
  _onComponentMouseUp(event) {
    this._endComponentMove();
  }
  _whileComponentMove() {
    this._moveData.rafId = null;
    let pixelDistance = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this._moveData.currentCursorPosition.x - this._moveData.startCursorPosition.x, this._moveData.currentCursorPosition.y - this._moveData.startCursorPosition.y);
    // Ignore small mouse movements
    if (!this._moveData.moving) {
      if (Math.abs(pixelDistance.x) < 7 && Math.abs(pixelDistance.y) < 7) {
        return;
      }
      this._moveData.moving = true;
    }
    // Snap to grid
    let logicalDistance = this.toLogicalPosition(pixelDistance);
    // Limit logical distance
    let minX = 1;
    let minY = this.isMonth() ? 1 : 0;
    let maxX = this.isWorkWeek() ? this.workDayIndices.length : 7;
    let maxY = this.isMonth() ? this.monthViewNumberOfWeeks : 24 * this.numberOfHourDivisions - Math.ceil(this._moveData.component.getLengthInHoursDecimal() * this.numberOfHourDivisions);
    function limitDistance(newPosition) {
      let newX = newPosition.x;
      let newY = newPosition.y;
      if (newX < minX) {
        logicalDistance.x -= newX - minX;
      } else if (newX > maxX) {
        logicalDistance.x -= newX - maxX;
      }
      if (newY < minY) {
        logicalDistance.y -= newY - minY;
      } else if (newY > maxY) {
        logicalDistance.y -= newY - maxY;
      }
    }
    limitDistance(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this._moveData.logicalX, this._moveData.logicalY).add(logicalDistance));
    this._moveData.distance = logicalDistance;
    // Update logical position
    let newLogicalPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this._moveData.logicalX, this._moveData.logicalY).add(this._moveData.distance);
    this._setComponentLogicalPosition(this._moveData.component, newLogicalPosition);
  }
  _endComponentMove() {
    if (this._moveData.rafId) {
      cancelAnimationFrame(this._moveData.rafId);
      this._moveData.rafId = null;
    }
    let component = this._moveData.component;
    if (this._moveData.distance) {
      let moved = false;
      // Move pixel position by distance
      let logicalPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this._moveData.logicalX, this._moveData.logicalY).add(this._moveData.distance);
      // Logical position
      let diffX = logicalPosition.x - this._moveData.logicalX;
      let diffY = logicalPosition.y - this._moveData.logicalY;
      moved = moved || !!diffX || !!diffY;
      if (moved) {
        let appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(component.toDate);
        let appointmentFromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(component.fromDate);
        let daysShift = diffX;
        if (this.isMonth()) {
          // in month mode the y-axis is a shit in weeks
          daysShift += diffY * 7;
        } else {
          // time difference (y-axis) only if we are not in month mode
          let timeDiff = this._hourMinuteByDivision(diffY);
          appointmentFromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(appointmentFromDate, timeDiff.hour, timeDiff.minute);
          appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(appointmentToDate, timeDiff.hour, timeDiff.minute);
        }
        appointmentFromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(appointmentFromDate, 0, 0, daysShift);
        appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(appointmentToDate, 0, 0, daysShift);
        component.fromDate = this._format(appointmentFromDate, 'yyyy-MM-dd HH:mm:ss.SSS');
        component.toDate = this._format(appointmentToDate, 'yyyy-MM-dd HH:mm:ss.SSS');
        component.coveredDaysRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(_index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(appointmentFromDate), _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(appointmentToDate));
        this._renderComponents();
        this.trigger('componentMove', {
          component: component
        });
      }
    }
  }
  _setComponentLogicalPosition(component, logicalPosition) {
    let $firstPart = component._$parts[0];
    let currDay = $firstPart.closest('.calendar-day').data('day');
    let currWeek = $firstPart.closest('.calendar-day').data('week');
    if (component.rendered) {
      if (this.isMonth()) {
        if (currDay !== logicalPosition.x || currWeek !== logicalPosition.y) {
          let newContainer = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week:not(.hidden) > .calendar-day').filter(function () {
            return jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('day') === logicalPosition.x && jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('week') === logicalPosition.y;
          });
          let csc = newContainer.find('.calendar-scrollable-components');
          newContainer = csc.length > 0 ? csc : newContainer;
          $firstPart.detach().appendTo(newContainer);
        }
      } else {
        if (currDay !== logicalPosition.x) {
          $firstPart.detach().appendTo(jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-week:not(.hidden) > .calendar-day').filter(function () {
            return jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('day') === logicalPosition.x;
          }));
        }
        let pos = this._dayPositionByDivision(logicalPosition.y) + '%';
        $firstPart.css('top', pos);
      }
    }
  }
  _getCalendarComponentForMouseEvent(event) {
    let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($elem);
    while ($elem && $elem.length > 0) {
      let component = $elem.data('component');
      if (component) {
        return component;
      }
      $elem = $elem.parent();
    }
    return null;
  }
  _updateLeafResources() {
    this._leafResources = this.resources.filter(resource => !this.resources.find(res => res.parentId === resource.resourceId));
  }
  _newMoveData(event) {
    let moveData = {};
    moveData.event = event;
    moveData.cancel = () => {
      moveData.cancelled = true;
    };
    moveData.unitX = this.widthPerDivision;
    moveData.unitY = this.heightPerDivision;
    if (this.isMonth()) {
      moveData.unitY = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).closest('.calendar-day').height();
    }
    moveData.containerOffset = this.$grid.offset();
    moveData.containerScrollPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this.get$Scrollable().scrollLeft(), this.get$Scrollable().scrollTop());
    moveData.startCursorPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(event.pageX - moveData.containerOffset.left + moveData.containerScrollPosition.x, event.pageY - moveData.containerOffset.top + moveData.containerScrollPosition.y);
    moveData.currentCursorPosition = moveData.startCursorPosition;
    return moveData;
  }
  toLogicalPosition(vararg, y, roundingMode) {
    let pixelPosition;
    if (vararg instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Point) {
      pixelPosition = vararg;
      roundingMode = y;
    } else {
      pixelPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(vararg, y);
    }
    if (this.isDay()) {
      pixelPosition.x = 0;
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(_index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(pixelPosition.x / this._moveData.unitX, roundingMode), _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(pixelPosition.y / this._moveData.unitY, roundingMode));
  }
  /* -- helper ---------------------------------------------------- */
  _hourMinuteByDivision(number) {
    // from division number to decimal hour.min
    number /= this.numberOfHourDivisions;
    // Separate the int from the decimal part
    let hour = Math.floor(number);
    let decPart = number - hour;
    let min = 1 / 60;
    // Round to nearest minute
    decPart = min * Math.round(decPart / min);
    let minute = Math.floor(decPart * 60);
    return {
      hour: hour,
      minute: minute
    };
  }
  _dayPositionByDivision(number) {
    let hourMin = this._hourMinuteByDivision(number);
    return this._dayPosition(hourMin.hour, hourMin.minute);
  }
  /** @internal */
  _dayPosition(hour, minutes) {
    // Height position in percent of total calendar
    let pos;
    if (hour < 0) {
      pos = 0; // All day event
    } else {
      pos = 100 / (24 * 60) * (hour * 60 + minutes);
    }
    return Math.round(pos * 100) / 100;
  }
  _format(date, pattern) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.format(date, this.session.locale, pattern);
  }
  _sortFromTo(c1, c2) {
    let from1 = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(c1.fromDate);
    let from2 = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(c2.fromDate);
    let diffFrom = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(from1, from2);
    if (diffFrom !== 0) {
      return diffFrom;
    }
    let to1 = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(c1.toDate);
    let to2 = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(c2.toDate);
    let diffTo = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(to1, to2);
    if (diffTo !== 0) {
      return diffTo;
    }
    let s1 = c1.item && c1.item.subject ? c1.item.subject : '';
    let s2 = c2.item && c2.item.subject ? c2.item.subject : '';
    return s1.localeCompare(s2);
  }
  _startRangeSelection(event, selectedResourceChanged) {
    if (!this.rangeSelectionAllowed || this._rangeSelectionStarted || _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE) {
      return;
    }
    // No range selection when resource is not selectable
    let currentResourceId = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget).data('resourceId');
    let selectable = this.findResourceForId(currentResourceId).selectable;
    if (!selectable) {
      return;
    }
    // Ignore right mouse button clicks within current selection
    let selectedDateTime = this._getSelectedDateTime(event);
    if (event.which === 3 && this.selectedRange && selectedDateTime && _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(selectedDateTime, this.selectedRange.from) >= 0 && _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(selectedDateTime, this.selectedRange.to) < 0 && !selectedResourceChanged) {
      return;
    }
    // Ignore clicks to calendar components, this should open the tooltip
    if (!jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).hasClass('calendar-range-selector') && !jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).hasClass('resource-column')) {
      return;
    }
    // init selector
    this.selectorStart = this._getSelectedDateTime(event);
    if (!this.selectorStart) {
      return;
    }
    this.selectorEnd = new Date(this.selectorStart);
    if (!this.selectorStart || !this.selectorEnd) {
      return;
    }
    this.$window.off('mousemove', this._mouseMoveRangeSelectionHandler).off('mouseup', this._mouseUpRangeSelectionHandler).on('mousemove', this._mouseMoveRangeSelectionHandler).on('mouseup', this._mouseUpRangeSelectionHandler);
    // draw
    this._setRangeSelection();
    this._rangeSelectionStarted = true;
  }
  _findDayInCalendar(selectedDate) {
    let $foundDay = null;
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-day', this.$container).each((index, element) => {
      let $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element),
        date = $day.data('date');
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(date, selectedDate) === 0) {
        $foundDay = $day;
      }
    });
    return $foundDay;
  }
  _findSelectedResourceColumn(selectedDate) {
    let $day = this._findDayInCalendar(selectedDate);
    if (!$day || !this.selectedResource) {
      return null;
    }
    return $day.find('.resource-column').filter((i, e) => jquery__WEBPACK_IMPORTED_MODULE_1___default()(e).data('resourceId') === this.selectedResource.resourceId);
  }
  _setRangeSelection() {
    let selectorFirst, selectorLast;
    if (!this.selectorStart || !this.selectorEnd) {
      return;
    }
    this._removeRangeSelection();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(this.selectorStart, this.selectorEnd) > 0) {
      selectorFirst = this.selectorEnd;
      selectorLast = this.selectorStart;
    } else {
      selectorFirst = this.selectorStart;
      selectorLast = this.selectorEnd;
    }
    let numberOfDays = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(selectorLast, selectorFirst) + 1;
    if (numberOfDays === 1) {
      this._appendCalendarRangeSelection(selectorFirst, selectorFirst, selectorLast);
    } else if (numberOfDays > 1) {
      this._appendCalendarRangeSelection(selectorFirst, selectorFirst, null);
      for (let i = 1; i < numberOfDays - 1; i++) {
        let day = new Date(selectorFirst);
        day.setDate(day.getDate() + i);
        this._appendCalendarRangeSelection(day, null, null);
      }
      this._appendCalendarRangeSelection(selectorLast, null, selectorLast);
    }
  }
  _removeRangeSelection() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-range-selector').remove();
  }
  _appendCalendarRangeSelection(date, fromTime, toTime) {
    let $parent = this._findSelectedResourceColumn(date);
    if (!$parent) {
      return;
    }
    // top and height
    let startPosition = fromTime ? this._dayPosition(this._getHours(fromTime), 0) : 0;
    let endPosition = toTime ? this._dayPosition(this._getHours(toTime) + 1 / this.numberOfHourDivisions, 0) : 100;
    $parent.appendDiv('calendar-range-selector').css('top', startPosition + '%').css('height', endPosition - startPosition + '%');
  }
  _getHours(date) {
    // round to number of hour divisions
    return Math.round((date.getHours() + date.getMinutes() / 60) * this.numberOfHourDivisions) / this.numberOfHourDivisions;
  }
  _onMouseMoveRangeSelection(event) {
    let selectorEndTime = this._getSelectedDateTime(event);
    if (selectorEndTime) {
      this.selectorEnd = selectorEndTime;
    }
    this._setRangeSelection();
  }
  _onMouseUpRangeSelection(event) {
    if (this._mouseMoveRangeSelectionHandler) {
      this.$window.off('mousemove', this._mouseMoveRangeSelectionHandler);
    }
    if (this._mouseUpRangeSelectionHandler) {
      this.$window.off('mouseup', this._mouseUpRangeSelectionHandler);
    }
    if (!this._rangeSelectionStarted) {
      return;
    }
    this._rangeSelectionStarted = false;
    if (this.rendered) {
      this._setRangeSelection();
      this._updateSelectedRange();
    }
  }
  _updateSelectedRange() {
    let start, end;
    if (this.selectorStart && this.selectorEnd) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(this.selectorStart, this.selectorEnd) > 0) {
        start = new Date(this.selectorEnd);
        end = new Date(this.selectorStart);
      } else {
        start = new Date(this.selectorStart);
        end = new Date(this.selectorEnd);
      }
      start.setHours(0, this._getHours(start) * 60);
      end.setHours(0, this._getHours(end) * 60 + 60 / this.numberOfHourDivisions);
      this.selectedRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(start, end);
    } else {
      this.selectedRange = null;
    }
    this.trigger('selectedRangeChange');
  }
}
_defineProperty(Calendar, "DisplayMode", {
  DAY: 1,
  WEEK: 2,
  MONTH: 3,
  WORK_WEEK: 4
});
/**
 * Used as a multiplier in date calculations back- and forward (in time).
 */
_defineProperty(Calendar, "Direction", {
  BACKWARD: -1,
  FORWARD: 1
});
_defineProperty(Calendar, "MenuType", {
  EmptySpace: 'Calendar.EmptySpace',
  CalendarComponent: 'Calendar.CalendarComponent'
});

/***/ }),

/***/ "./src/calendar/CalendarAdapter.ts":
/*!*****************************************!*\
  !*** ./src/calendar/CalendarAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarAdapter: () => (/* binding */ CalendarAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['showCalendarSidebar', 'showResourcePanel', 'showListPanel']);
  }
  /**
   * We must send the view-range to the client-model on the server. The view-range is determined by the UI.
   * Thus, the calendar cannot be completely initialized without the view-range from the UI.
   * @internal
   */
  _postCreateWidget() {
    this._sendViewRangeChange();
  }
  _onWidgetEvent(event) {
    if (event.type === 'viewRangeChange') {
      this._sendViewRangeChange();
    } else if (event.type === 'modelChange') {
      this._sendModelChange();
    } else if (event.type === 'selectionChange') {
      this._sendSelectionChange();
    } else if (event.type === 'componentMove') {
      this._sendComponentMove(event);
    } else if (event.type === 'selectedRangeChange') {
      this._sendSelectedRangeChange();
    } else if (event.type === 'resourceVisibilityChange') {
      this._sendResourceVisibilityChange(event);
    } else if (event.type === 'selectedResourceChange') {
      this._sendSelectedResourceChange(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _jsonViewRange() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDateRange(this.widget.viewRange);
  }
  _jsonSelectedRange() {
    if (!this.widget.selectedRange) {
      return null;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDateRange(this.widget.selectedRange);
  }
  _jsonSelectedDate() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDate(this.widget.selectedDate);
  }
  _sendViewRangeChange() {
    this._send('viewRangeChange', {
      viewRange: this._jsonViewRange()
    });
  }
  _sendSelectedRangeChange() {
    this._send('selectedRangeChange', {
      selectedRange: this._jsonSelectedRange()
    });
  }
  _sendModelChange() {
    let data = {
      viewRange: this._jsonViewRange(),
      selectedDate: this._jsonSelectedDate(),
      displayMode: this.widget.displayMode
    };
    this._send('modelChange', data);
  }
  _sendSelectionChange() {
    let selectedComponentId = this.widget.selectedComponent ? this.widget.selectedComponent.id : null;
    this._send('selectionChange', {
      date: this._jsonSelectedDate(),
      componentId: selectedComponentId
    });
  }
  _sendComponentMove(event) {
    this._send('componentMove', {
      componentId: event.component.id,
      fromDate: event.component.fromDate,
      toDate: event.component.toDate
    });
  }
  _sendResourceVisibilityChange(event) {
    this._send('resourceVisibilityChange', {
      resourceId: event.resourceId,
      visible: event.visible
    });
  }
  _sendSelectedResourceChange(event) {
    let resourceId = event.resourceId;
    // Do not send the default resource to java, because it's not known there
    if (event.resourceId === this.widget.defaultResource.resourceId) {
      resourceId = null;
    }
    this._send('selectedResourceChange', {
      resourceId: resourceId
    });
  }
}

/***/ }),

/***/ "./src/calendar/CalendarComponent.ts":
/*!*******************************************!*\
  !*** ./src/calendar/CalendarComponent.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarComponent: () => (/* binding */ CalendarComponent)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class CalendarComponent extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "fromDate", void 0);
    _defineProperty(this, "toDate", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "fullDay", void 0);
    _defineProperty(this, "fullDayIndex", void 0);
    _defineProperty(this, "draggable", void 0);
    _defineProperty(this, "item", void 0);
    _defineProperty(this, "stack", void 0);
    _defineProperty(this, "coveredDaysRange", void 0);
    /** @internal */
    _defineProperty(this, "_$parts", void 0);
    this.selected = false;
    this.fullDay = false;
    this.fullDayIndex = -1;
    this.item = null;
    this._$parts = [];
  }
  /**
   * If day of a month is smaller than 100px, the components get the class compact
   */

  _init(model) {
    super._init(model);
    this._syncCoveredDaysRange(model.coveredDaysRange);
  }
  _syncCoveredDaysRange(coveredDaysRange) {
    if (coveredDaysRange) {
      this.coveredDaysRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(_index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(coveredDaysRange.from), _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(coveredDaysRange.to));
    }
  }
  _remove() {
    // remove $parts because they're not children of this.$container
    this._$parts.forEach($part => $part.remove());
    this._$parts = [];
    super._remove();
  }
  _startLoopDay() {
    // start date is either beginning of the component or beginning of viewRange
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(this.coveredDaysRange.from, this.parent.viewRange.from) > 0) {
      return this.coveredDaysRange.from;
    }
    return this.parent.viewRange.from;
  }
  _render() {
    let partDay, $day, $part;
    if (!this.coveredDaysRange) {
      // coveredDaysRange is not set on current CalendarComponent. Cannot show calendar component without from and to values.
      return;
    }
    // Calculate visible
    let resource = this.parent.findResourceForComponent(this);
    this.setVisible(resource.visible);
    if (!this.visible) {
      return;
    }
    let loopDay = this._startLoopDay();
    let item = this.item || {};
    let appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.toDate);
    let appointmentFromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.fromDate);
    let coveredDaysRangeTo = this.coveredDaysRange.to;
    let calendarCssClass = resource ? resource.cssClass : null;
    if (!this.fullDay) {
      let truncToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(appointmentToDate);
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(appointmentFromDate, appointmentToDate) && _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(appointmentToDate, truncToDate) === 0) {
        appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(appointmentToDate, 0, 0, 0, -1);
        coveredDaysRangeTo = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(coveredDaysRangeTo, 0, 0, -1);
      }
    }
    appointmentToDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDate(appointmentToDate);
    let lastComponentDay = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(coveredDaysRangeTo, 0, 0, 1);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(loopDay, lastComponentDay) > 0) {
      // start day for the while loop is greater than the exit condition
      return;
    }
    while (!_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(loopDay, lastComponentDay)) {
      partDay = loopDay;
      loopDay = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(loopDay, 0, 0, 1); // increase day for loop
      // check if day is in visible view range
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(partDay, this.parent.viewRange.to) > 0) {
        // break condition, partDay is now out of range.
        break;
      }
      if (this.fullDay && !this.parent.isMonth()) {
        $day = this._findDayInGrid(partDay, this.parent.$topGrid);
      } else {
        $day = this._findDayInGrid(partDay, this.parent.$grid);
      }
      if (!$day) {
        // next day, partDay not found in grid
        continue;
      }
      // Find corresponding calendar
      let $calendar = this._findResourceColumnInDay($day, resource.resourceId);
      if (!$calendar) {
        continue;
      }
      $part = $calendar.appendDiv('calendar-component');
      $part.addClass(item.cssClass).addClass(calendarCssClass).data('component', this).data('partDay', partDay).on('mouseenter', this._onMouseEnter.bind(this)).on('mouseleave', this._onMouseLeave.bind(this)).on('mousedown', this._onMouseDown.bind(this)).on('contextmenu', this._onContextMenu.bind(this));
      $part.appendDiv('calendar-component-leftcolorborder');
      let $partContent = $part.appendDiv('content');
      if (item.subjectIconId) {
        $partContent.appendIcon(this.item.subjectIconId);
      }
      $partContent.appendSpan('subject', item.subject);
      this._$parts.push($part);
      if (this.parent.isMonth()) {
        let width = $day.data('new-width') || $day.width(); // prefer width from layoutSize
        $part.addClass('component-month').toggleClass('compact', width < CalendarComponent.MONTH_COMPACT_THRESHOLD);
      } else {
        if (this.fullDay) {
          // Full day tasks are rendered in the topGrid
          // Offset of initial task: CalendarComponent.DAY_OF_MONTH_HEIGHT
          // Offset of following tasks: (CalendarComponent.COMPONENT_HEIGHT + CalendarComponent.COMPONENT_VGAP) * preceding number of tasks
          this._arrangeTask(CalendarComponent.DAY_OF_MONTH_HEIGHT + (CalendarComponent.COMPONENT_HEIGHT + CalendarComponent.COMPONENT_VGAP) * Math.max(this.fullDayIndex, 0));
          $part.addClass('component-task');
        } else {
          let fromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.fromDate),
            toDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(appointmentToDate),
            partFrom = this._getHours(this.fromDate),
            partTo = this._getHours(appointmentToDate);
          // position and height depending on start and end date
          $part.addClass('component-day');
          if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(_index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(this.coveredDaysRange.from), _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(coveredDaysRangeTo))) {
            this._partPosition($part, partFrom, partTo);
          } else if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(partDay, fromDate)) {
            this._partPosition($part, partFrom, 25) // 25: indicate that it takes longer than that day
            .addClass('component-open-bottom');
          } else if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(partDay, toDate)) {
            // Start at zero: No need to indicate that it starts earlier since indicator needs no extra space
            this._partPosition($part, 0, partTo).addClass('component-open-top');
          } else {
            this._partPosition($part, 0, 25) // 25: indicate that it takes longer than that day
            .addClass('component-open-top').addClass('component-open-bottom');
          }
        }
      }
    }
  }
  _getHours(date) {
    let d = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(date);
    return d.getHours() + d.getMinutes() / 60;
  }
  getLengthInHoursDecimal() {
    let toTimestamp = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.toDate);
    let fromTimestamp = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.fromDate);
    return (toTimestamp.getTime() - fromTimestamp.getTime()) / (1000 * 60 * 60);
  }
  getResourceId() {
    if (!this.item || !this.parent.isLeafResource(this.item.resourceId)) {
      return this.parent.defaultResource.resourceId;
    }
    return this.item.resourceId;
  }
  _findDayInGrid(date, $grid) {
    return $grid.find('.calendar-day').filter(function (i, elem) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('date'), date);
    }).eq(0);
  }
  _findResourceColumnInDay($day, resouceId) {
    if (!this.parent.isDay()) {
      resouceId = this.parent.defaultResource.resourceId;
    }
    // Validate resourceId
    resouceId = this.parent.findResourceForId(resouceId).resourceId;
    return $day.find('.resource-column').filter((index, element) => jquery__WEBPACK_IMPORTED_MODULE_1___default()(element).data('resourceId') === resouceId);
  }
  _isTask() {
    return !this.parent.isMonth() && this.fullDay;
  }
  _arrangeTask(taskOffset) {
    this._$parts.forEach($part => $part.css('top', taskOffset + 'px'));
  }
  _isDayPart() {
    return !this.parent.isMonth() && !this.fullDay;
  }
  _getHourRange(day) {
    let hourRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this._getHours(this.fromDate), this._getHours(this.toDate));
    let dateRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(_index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.fromDate), _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.toDate));
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(day, dateRange.from) && _index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(day, dateRange.to)) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(hourRange.from, hourRange.to);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(day, dateRange.from)) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(hourRange.from, 24);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(day, dateRange.to)) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, hourRange.to);
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 24);
  }
  getPartDayPosition(day) {
    return this._getDisplayDayPosition(this._getHourRange(day));
  }
  _getDisplayDayPosition(range) {
    // Doesn't support minutes yet...
    let preferredRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.parent._dayPosition(range.from, 0), this.parent._dayPosition(range.to, 0));
    // Fixed number of divisions...
    let minRangeSize = Math.round(100 * 100 / 24 / this.parent.numberOfHourDivisions) / 100; // Round to two digits
    if (preferredRange.size() < minRangeSize) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(preferredRange.from, preferredRange.from + minRangeSize);
    }
    return preferredRange;
  }
  _partPosition($part, y1, y2) {
    // Compensate open bottom (height: square of 16px, rotated 45°, approx. 23px = sqrt(16^2 + 16^2)
    let compensateBottom = y2 === 25 ? 23 : 0;
    y2 = Math.min(24, y2);
    let range = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(y1, y2);
    let r = this._getDisplayDayPosition(range);
    // Convert to %, rounded to two decimal places
    compensateBottom = Math.round(100 * (100 / 1920 * compensateBottom)) / 100;
    return $part.css('top', r.from + '%').css('height', r.to - r.from - compensateBottom + '%');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSelected();
  }
  _renderSelected() {
    this._$parts.forEach($part => $part.toggleClass('comp-selected', this.selected));
  }
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  updateSelectedComponent($part, updateScrollPosition) {
    this.parent._selectedComponentChanged(this, this.getResourceId(), $part.data('partDay'), updateScrollPosition);
  }
  _onMouseEnter(event) {
    this._$parts.forEach($part => $part.addClass('hover'));
  }
  _onMouseLeave(evenet) {
    this._$parts.forEach($part => $part.removeClass('hover'));
  }
  _onMouseDown(event) {
    this.applySelection(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget), event.button === 0, event.originalEvent.clientY);
  }
  applySelection($part, openPopup, popupY) {
    // don't show popup if dragging is in process
    if (this.parent._moveData && this.parent._moveData.moving) {
      return;
    }
    // don't show popup when range selection is in progress
    if (this.parent._rangeSelectionStarted) {
      return;
    }
    this.updateSelectedComponent($part, false);
    this.parent.setSelectedRange(null);
    if (openPopup) {
      let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup, {
        parent: this.parent,
        $anchor: $part,
        closeOnAnchorMouseDown: true,
        closeOnMouseDownOutside: true,
        closeOnOtherPopupOpen: true,
        horizontalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.LEFT,
        verticalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.CENTER,
        trimWidth: false,
        trimHeight: true,
        horizontalSwitch: true,
        verticalSwitch: false,
        withArrow: true,
        cssClass: 'popup',
        scrollType: 'remove',
        location: {
          y: popupY
        },
        content: {
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Label,
          htmlEnabled: true,
          scrollable: true,
          cssClass: 'calendar-component-tooltip-content tooltip-content',
          value: this.description(true)
        }
      });
      popup.open();
      popup.$container.find('.app-link').on('click', this._onAppLinkAction.bind(this));
    }
  }
  /** @internal */
  _onContextMenu(event) {
    this.parent._showContextMenu(event, _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.MenuType.CalendarComponent);
  }
  _format(date, pattern) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.format(date, this.session.locale, pattern);
  }
  description(linkAllowed) {
    let range = null,
      $container = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div>'),
      fromDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.fromDate),
      toDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(this.toDate),
      descriptionAvailable = _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.item.description) || this.item.descriptionElements;
    let $header = $container.appendDiv('calendar-component-header');
    if (descriptionAvailable) {
      $header.addClass('with-description');
    }
    // subject
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.item.subject)) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.item.subjectLabel)) {
        $header.appendDiv('calendar-component-title-label', this.item.subjectLabel);
      }
      let $subject = $header.appendDiv('calendar-component-title', this.item.subject);
      if (linkAllowed && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.item.subjectAppLink)) {
        $subject.addClass('app-link').attr('data-ref', this.item.subjectAppLink);
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($subject, 'link');
      }
    }
    // time-range
    if (this.fullDay) {
      // NOP
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(fromDate, toDate)) {
      range = this.session.text('ui.FromXToY', this._format(fromDate, 'HH:mm'), this._format(toDate, 'HH:mm'));
    } else {
      range = this.session.text('ui.FromXToY', this._format(fromDate, 'EEEE HH:mm '), this._format(toDate, 'EEEE HH:mm'));
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(range)) {
      let $timeContainer = $header.appendDiv('calendar-component-intro');
      $timeContainer.appendIcon(_index__WEBPACK_IMPORTED_MODULE_0__.icons.CLOCK);
      $timeContainer.appendSpan('', range);
    }
    if (descriptionAvailable) {
      let $description = $container.appendDiv('calendar-component-description-container');
      // description
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.item.description)) {
        $description.appendSpan('calendar-component-description').html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.item.description));
      }
      if (this.item.descriptionElements) {
        let descriptionIconExists = false;
        for (let i = 0; i < this.item.descriptionElements.length; i++) {
          if (this.item.descriptionElements[i].iconId) {
            descriptionIconExists = true;
            break;
          }
        }
        for (let i = 0; i < this.item.descriptionElements.length; i++) {
          let descriptionElement = this.item.descriptionElements[i];
          let $descriptionElementContainer = $description.appendDiv('calendar-component-description-element');
          if (i === 0) {
            $descriptionElementContainer.addClass('first');
          }
          if (i === this.item.descriptionElements.length - 1) {
            $descriptionElementContainer.addClass('last');
          }
          if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(descriptionElement.iconId) || descriptionIconExists) {
            $descriptionElementContainer.appendIcon(descriptionElement.iconId);
          }
          let $text = $descriptionElementContainer.appendDiv('text').html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(descriptionElement.text));
          if (linkAllowed && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(descriptionElement.appLink)) {
            $text.addClass(' app-link').attr('data-ref', descriptionElement.appLink);
            _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($text, 'link');
          }
        }
      }
    }
    return $container[0].innerHTML;
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
}
_defineProperty(CalendarComponent, "MONTH_COMPACT_THRESHOLD", 100);
_defineProperty(CalendarComponent, "DAY_OF_MONTH_HEIGHT", 30);
_defineProperty(CalendarComponent, "COMPONENT_HEIGHT", 24);
_defineProperty(CalendarComponent, "COMPONENT_VGAP", 2);

/***/ }),

/***/ "./src/calendar/CalendarComponentAdapter.ts":
/*!**************************************************!*\
  !*** ./src/calendar/CalendarComponentAdapter.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarComponentAdapter: () => (/* binding */ CalendarComponentAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarComponentAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/calendar/CalendarComponentEventMap.ts":
/*!***************************************************!*\
  !*** ./src/calendar/CalendarComponentEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarComponentModel.ts":
/*!************************************************!*\
  !*** ./src/calendar/CalendarComponentModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarEventMap.ts":
/*!******************************************!*\
  !*** ./src/calendar/CalendarEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarLayout.ts":
/*!****************************************!*\
  !*** ./src/calendar/CalendarLayout.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarLayout: () => (/* binding */ CalendarLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(calendar) {
    super();
    _defineProperty(this, "calendar", void 0);
    _defineProperty(this, "stacked", void 0);
    _defineProperty(this, "compacted", void 0);
    _defineProperty(this, "compactWidth", void 0);
    this.calendar = calendar;
    this.stacked = false;
    this.compacted = false;
    this.compactWidth = 550;
  }
  layout($container) {
    let height = 0,
      headerHeight = 0,
      $calendarSidebar = this.calendar.calendarSidebar.$container,
      $grids = this.calendar.$grids,
      $listContainer = this.calendar.$listContainer,
      $header = this.calendar.$header;
    height += $container.cssMarginTop() + $container.cssMarginBottom();
    $container.css('height', 'calc(100% - ' + height + 'px)');
    this.undoCompact();
    this.undoStack();
    if ($header[0].scrollWidth > $container.width()) {
      this.stack();
    }
    if ($container.width() < this.compactWidth || $header[0].scrollWidth > $container.width()) {
      // Title may take a lot of space, make it always compact for small devices, so it won't toggle when changing display mode or view range
      this.compact();
    }
    headerHeight = $header.outerHeight(true);
    $calendarSidebar.css('height', 'calc(100% - ' + (headerHeight + $calendarSidebar.cssMarginY()) + 'px)');
    $grids.css('height', 'calc(100% - ' + (headerHeight + $grids.cssMarginY()) + 'px)');
    $listContainer.css('height', 'calc(100% - ' + (headerHeight + $listContainer.cssMarginY()) + 'px)');
    this.calendar.layoutSize();
    this.calendar.layoutYearPanel();
  }
  compact() {
    if (this.compacted) {
      return;
    }
    let $headerRow2 = this.calendar.$headerRow2;
    this.calendar.$title.appendTo(this.calendar.$headerRow2);
    $headerRow2.show();
    this.compacted = true;
  }
  undoCompact() {
    if (!this.compacted) {
      return;
    }
    let $headerRow2 = this.calendar.$headerRow2;
    this.calendar.$title.insertBefore(this.calendar.$commands);
    $headerRow2.hide();
    this.compacted = false;
  }
  stack() {
    if (this.stacked) {
      return;
    }
    this.calendar.$commands.children('.calendar-mode').hide();
    this.calendar.modesMenu.setVisible(true);
    this.stacked = true;
  }
  undoStack() {
    if (!this.stacked) {
      return;
    }
    this.calendar.$commands.children('.calendar-mode').show();
    this.calendar.modesMenu.setVisible(false);
    this.stacked = false;
  }
}

/***/ }),

/***/ "./src/calendar/CalendarListComponent.ts":
/*!***********************************************!*\
  !*** ./src/calendar/CalendarListComponent.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarListComponent: () => (/* binding */ CalendarListComponent)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Calendar component as used in the list panel of the calendar.
 * Delegates most functions to the CalendarComponent instance used as source.
 * It's important we clean-up the registered listeners on the model-adapter, since
 * new instances of CalendarListComponent are created every time we click on a date
 * in the calendar, but the CalendarComponent instance is always the same.
 */
class CalendarListComponent {
  constructor(partDay, source) {
    _defineProperty(this, "partDay", void 0);
    _defineProperty(this, "source", void 0);
    _defineProperty(this, "$container", void 0);
    _defineProperty(this, "_selectedListener", void 0);
    _defineProperty(this, "_removeListener", void 0);
    this.partDay = partDay;
    this.source = source;
    this.$container = null;
    this._selectedListener = source.on('propertyChange:selected', event => {
      this.$container.toggleClass('comp-selected', event.newValue);
    });
    this._removeListener = source.on('remove', this.remove.bind(this));
  }
  render($parent) {
    let source = this.source;
    let resource = source.parent.findResourceForComponent(source);
    this.$container = $parent.appendDiv('calendar-component').data('partDay', this.partDay).addClass(source.item.cssClass).addClass(resource ? resource.cssClass : null).toggleClass('comp-selected', source.selected).on('mousedown', this._onMouseDown.bind(this, source)).on('contextmenu', source._onContextMenu.bind(source));
    this.$container.appendDiv('calendar-component-leftcolorborder');
    this.$container.appendDiv('content').html(source.description(false));
  }
  /**
   * Prevent list-component from gaining focus (*1). Since the component is removed/rendered
   * after the click the focus would be on the body afterwards #222862.
   */
  _onMouseDown(source, event) {
    event.preventDefault(); // *1
    let $part = $(event.delegateTarget);
    source.updateSelectedComponent($part, true);
  }
  remove() {
    this.source.removeListener(this._selectedListener);
    this.source.removeListener(this._removeListener);
    this.$container.remove();
  }
}

/***/ }),

/***/ "./src/calendar/CalendarModeMenu.ts":
/*!******************************************!*\
  !*** ./src/calendar/CalendarModeMenu.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarModeMenu: () => (/* binding */ CalendarModeMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarModeMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super(...arguments);
    _defineProperty(this, "displayMode", void 0);
  }
  doAction() {
    if (!this.prepareDoAction()) {
      return false;
    }
    // unselect is not possible
    this.setSelected(true);
    // close menu, cannot be done in parent menu itself because selecting an already selected item does not trigger an event
    this.parentMenu.setSelected(false);
    return true;
  }
}

/***/ }),

/***/ "./src/calendar/CalendarModeMenuModel.ts":
/*!***********************************************!*\
  !*** ./src/calendar/CalendarModeMenuModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarModel.ts":
/*!***************************************!*\
  !*** ./src/calendar/CalendarModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarModesMenu.ts":
/*!*******************************************!*\
  !*** ./src/calendar/CalendarModesMenu.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarModesMenu: () => (/* binding */ CalendarModesMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarModesMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "calendar", void 0);
    _defineProperty(this, "displayMode", void 0);
    this.cssClass = 'calendar-mode-menu';
  }
  _init(model) {
    super._init(model);
    this.calendar = this.parent;
    let menusToAdd = [];
    menusToAdd.push(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarModeMenu, {
      parent: this,
      displayMode: _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.DAY,
      text: this.session.text('ui.CalendarDay')
    }));
    menusToAdd.push(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarModeMenu, {
      parent: this,
      displayMode: _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.WORK_WEEK,
      text: this.session.text('ui.CalendarWorkWeek')
    }));
    menusToAdd.push(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarModeMenu, {
      parent: this,
      displayMode: _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.WEEK,
      text: this.session.text('ui.CalendarWeek')
    }));
    menusToAdd.push(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarModeMenu, {
      parent: this,
      displayMode: _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.MONTH,
      text: this.session.text('ui.CalendarMonth')
    }));
    this.insertChildActions(menusToAdd);
    this.childActions.forEach(menu => menu.on('propertyChange', this._onMenuPropertyChange.bind(this)));
    this._setDisplayMode(this.displayMode);
  }
  setDisplayMode(displayMode) {
    this.setProperty('displayMode', displayMode);
  }
  _setDisplayMode(displayMode) {
    this._setProperty('displayMode', displayMode);
    let menu = this.getMenuForMode(this.displayMode);
    menu.setSelected(true);
    this.setText(menu.text);
  }
  getMenuForMode(displayMode) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.childActions, menu => menu.displayMode === displayMode);
  }
  _onMenuPropertyChange(event) {
    if (event.propertyName === 'selected') {
      let selectedEvent = event;
      let selected = selectedEvent.newValue;
      if (selected) {
        let source = selectedEvent.source;
        let displayMode = source.displayMode;
        this.setDisplayMode(displayMode);
        this.calendar.setDisplayMode(displayMode);
        // unselect other menu items
        this.childActions.forEach(menu => {
          if (menu !== source) {
            menu.setSelected(false);
          }
        });
      }
    }
  }
}

/***/ }),

/***/ "./src/calendar/CalendarModesMenuEventMap.ts":
/*!***************************************************!*\
  !*** ./src/calendar/CalendarModesMenuEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarModesMenuModel.ts":
/*!************************************************!*\
  !*** ./src/calendar/CalendarModesMenuModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarResourceDo.ts":
/*!********************************************!*\
  !*** ./src/calendar/CalendarResourceDo.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarResourceLookupCall.ts":
/*!****************************************************!*\
  !*** ./src/calendar/CalendarResourceLookupCall.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarResourceLookupCall: () => (/* binding */ CalendarResourceLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarResourceLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.StaticLookupCall {
  constructor() {
    super();
    _defineProperty(this, "resources", void 0);
    this.resources = [];
  }
  setResources(resources) {
    this.resources = resources;
    this.refreshData();
  }
  _data() {
    return this.resources.map(resource => [resource.resourceId, resource.name, resource.parentId, resource.cssClass]);
  }
  _dataToLookupRow(data, index) {
    let lookupRow = super._dataToLookupRow(data, index);
    lookupRow.cssClass = data[3];
    return lookupRow;
  }
}

/***/ }),

/***/ "./src/calendar/CalendarSidebar.ts":
/*!*****************************************!*\
  !*** ./src/calendar/CalendarSidebar.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarSidebar: () => (/* binding */ CalendarSidebar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarSidebar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "yearPanel", void 0);
    _defineProperty(this, "splitter", void 0);
    _defineProperty(this, "resoucePanel", void 0);
    _defineProperty(this, "resourcePanelDisplayable", void 0);
    /**
     * Indicates, if the layout process is animated or not
     */
    _defineProperty(this, "_animationEnabled", void 0);
    this.yearPanel = null;
    this.splitter = null;
    this.resoucePanel = null;
    this.resourcePanelDisplayable = false;
    this._animationEnabled = false;
    this._addWidgetProperties(['yearPanel', 'resourcePanel']);
  }
  init(model) {
    super.init(model);
    this.yearPanel = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.YearPanel, {
      parent: this
    });
    this.splitter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CalendarSidebarSplitter, {
      parent: this,
      splitHorizontal: false,
      collapsedLabel: this.session.text('ui.CalendarSelection')
    });
    this.resoucePanel = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ResourcePanel, {
      parent: this,
      checkable: true
    });
    this.splitter.on('positionChange', this._onSplitterPositionChange.bind(this));
    this.splitter.on('splitterClick', this._onSplitterClick.bind(this));
  }
  _render() {
    this.$container = this.$parent.appendDiv('calendar-sidebar');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.CalendarSidebarLayout(this));
    this.yearPanel.render();
    this.splitter.render();
    this.resoucePanel.render();
  }
  _onSplitterPositionChange(event) {
    this.invalidateLayoutTree(false);
  }
  _onSplitterClick(event) {
    this.setResourcePanelExpanded(this.splitter.collapsed, true);
  }
  setResourcePanelExpanded(expanded) {
    let animate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    if (this.splitter.collapsed !== undefined && this.splitter.collapsed !== expanded) {
      return;
    }
    // 62 is the golden ratio
    this.htmlComp.layout.setNewSplitterPositionPercentage(expanded ? 62 : 100, animate);
    this.invalidateLayoutTree(false);
  }
  setResourcePanelDisplayable(displayable) {
    this.setProperty('resourcePanelDisplayable', displayable);
  }
  _setResourcePanelDisplayable(displayable) {
    this._setProperty('resourcePanelDisplayable', displayable);
    this.invalidateLayoutTree(false);
  }
}

/***/ }),

/***/ "./src/calendar/CalendarSidebarLayout.ts":
/*!***********************************************!*\
  !*** ./src/calendar/CalendarSidebarLayout.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarSidebarLayout: () => (/* binding */ CalendarSidebarLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarSidebarLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(widget) {
    super();
    _defineProperty(this, "calendarSidebar", void 0);
    _defineProperty(this, "yearPanel", void 0);
    _defineProperty(this, "resourcePanel", void 0);
    _defineProperty(this, "splitter", void 0);
    /**
     * Min splitter position,
     * arbitrary number to show at least one month of the year panel
     */
    _defineProperty(this, "minSplitterPosition", void 0);
    _defineProperty(this, "_relativeSplitterPosition", void 0);
    _defineProperty(this, "_availableHeight", void 0);
    _defineProperty(this, "_newSplitterPosition", void 0);
    _defineProperty(this, "_newRelativeSplitterPosition", void 0);
    _defineProperty(this, "_animateNewSplitterPosition", void 0);
    this.calendarSidebar = widget;
    this.minSplitterPosition = 200;
    this.yearPanel = this.calendarSidebar.yearPanel;
    this.splitter = this.calendarSidebar.splitter;
    this.resourcePanel = this.calendarSidebar.resoucePanel;
    this._availableHeight = null;
    this._newSplitterPosition = null;
    this._newRelativeSplitterPosition = null;
    this._animateNewSplitterPosition = false;
  }
  layout($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      insets = htmlComp.insets(),
      availableSize = htmlComp.availableSize().subtract(insets);
    this._validateSplitterPosition(htmlComp, this.splitter, availableSize);
    // Applies new absolute position
    if (this._newSplitterPosition !== null) {
      let newPos = this._newSplitterPosition;
      this._newSplitterPosition = null;
      this._setSplitterPosition(newPos, this._animateNewSplitterPosition);
      this._validateSplitterPosition(htmlComp, this.splitter, availableSize);
    }
    // Applies new relative position
    if (this._newRelativeSplitterPosition !== null) {
      let newPos = this._availableHeight / 100 * this._newRelativeSplitterPosition;
      this._newRelativeSplitterPosition = null;
      this._setSplitterPosition(newPos, this._animateNewSplitterPosition);
      this._validateSplitterPosition(htmlComp, this.splitter, availableSize);
    }
    // Calculate new heigths for ui elements
    let yearPanelHeight = this.splitter.position - 8; // Margin
    let resourcePanelMargin = (this.splitter.collapsed ? this._calculateCollapsedLabelHeight() : 0) + 20;
    let resourcePanelHeight = availableSize.height - yearPanelHeight - resourcePanelMargin;
    // Makes splitter invisible when resource panel is not displayable
    this.splitter.$container.toggleClass('hidden', !this.calendarSidebar.resourcePanelDisplayable);
    // Set new sizes
    this.yearPanel.htmlComp.setBounds(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(insets.left, insets.top, availableSize.width, yearPanelHeight));
    this.resourcePanel.htmlComp.setBounds(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(insets.left, insets.top + resourcePanelMargin, availableSize.width, resourcePanelHeight));
    this.calendarSidebar.yearPanel._scrollYear();
  }
  _validateSplitterPosition(htmlComp, splitter, availableSize) {
    let maxSplitterPosition = availableSize.height - this._calculateCollapsedLabelHeight();
    // Window has been resized -> preserve relative splitter position
    if (availableSize.height !== this._availableHeight) {
      this._silentUpdateSpliterPosition(htmlComp, splitter, this._relativeSplitterPosition * maxSplitterPosition);
    }
    // Validate min and max splitter position
    if (!this.calendarSidebar.resourcePanelDisplayable) {
      this._silentUpdateSpliterPosition(htmlComp, splitter, Math.max(availableSize.height, 0));
    } else if (splitter.position < this.minSplitterPosition) {
      this._silentUpdateSpliterPosition(htmlComp, splitter, Math.max(this.minSplitterPosition, 0));
    } else if (splitter.position > maxSplitterPosition) {
      this._silentUpdateSpliterPosition(htmlComp, splitter, Math.max(maxSplitterPosition, 0));
    }
    // Update splitter collapsed
    let splitterCollapsed = splitter.position >= maxSplitterPosition;
    this.splitter.setCollapsed(splitterCollapsed);
    this.calendarSidebar.parent.setShowResourcePanel(!splitterCollapsed);
    // Update cached values
    this._availableHeight = availableSize.height;
    this._relativeSplitterPosition = splitter.position / maxSplitterPosition;
  }
  _setSplitterPosition(pos, animate) {
    if (!animate) {
      this.splitter.setPosition(pos);
    } else {
      let opts = {
        progress: () => {
          this.splitter.setPosition(this.splitter.$container.cssTop());
        }
      };
      this.splitter.$container.animate({
        top: pos
      }, opts);
    }
  }
  /**
   * Updates splitter position without triggerig re-layouting
   */
  _silentUpdateSpliterPosition(htmlComp, splitter, newPosition) {
    htmlComp.suppressInvalidate = true;
    try {
      splitter.setPosition(newPosition);
    } finally {
      htmlComp.suppressInvalidate = false;
    }
  }
  _calculateCollapsedLabelHeight() {
    if (!this.splitter.rendered) {
      return 40; // arbitrary number
    }
    let labelHeight = this.splitter.$collapsedLabel.outerHeight();
    let splitterHeight = this.splitter.$splitterBox.outerHeight();
    return labelHeight + splitterHeight;
  }
  setNewSplitterPosition(pos, animate) {
    this._newSplitterPosition = pos;
    this._animateNewSplitterPosition = animate;
  }
  setNewSplitterPositionPercentage(pos, animate) {
    this._newRelativeSplitterPosition = pos;
    this._animateNewSplitterPosition = animate;
  }
}

/***/ }),

/***/ "./src/calendar/CalendarSidebarModel.ts":
/*!**********************************************!*\
  !*** ./src/calendar/CalendarSidebarModel.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/calendar/CalendarSidebarSplitter.ts":
/*!*************************************************!*\
  !*** ./src/calendar/CalendarSidebarSplitter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarSidebarSplitter: () => (/* binding */ CalendarSidebarSplitter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarSidebarSplitter extends _index__WEBPACK_IMPORTED_MODULE_0__.Splitter {
  constructor() {
    super(...arguments);
    _defineProperty(this, "collapsed", void 0);
    _defineProperty(this, "collapsedLabel", void 0);
    _defineProperty(this, "$splitterBox", void 0);
    _defineProperty(this, "$collapsedLabel", void 0);
    _defineProperty(this, "$collapseIcon", void 0);
    _defineProperty(this, "$collapseBorderLeft", void 0);
    _defineProperty(this, "$collapseBorderRight", void 0);
    _defineProperty(this, "_splitterMoveStartPosition", void 0);
  }
  _init(model) {
    super._init(model);
    this.on('moveStart', this._onSplitterMoveStart.bind(this));
    this.on('moveEnd', this._onSplitterMoveEnd.bind(this));
  }
  _render() {
    super._render();
    this.$container.addClass('calendar-sidebar-splitter');
    this.$splitterBox = this.$container.appendDiv('splitter-box');
    this.$collapsedLabel = this.$container.appendDiv('collapsed-label');
    this.$collapseBorderLeft = this.$splitterBox.appendDiv('group-collapse-border');
    this.$collapseIcon = this.$splitterBox.appendDiv('group-collapse-icon');
    this.$collapseBorderRight = this.$splitterBox.appendDiv('group-collapse-border');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderCollapsed();
    this._renderCollapsedLabel();
  }
  setCollapsed(collapsed) {
    this.setProperty('collapsed', collapsed);
  }
  _renderCollapsed() {
    this.$container.toggleClass('collapsed', this.collapsed);
  }
  setCollapsedLabel(label) {
    this.setProperty('collapsedLabel', label);
  }
  _renderCollapsedLabel() {
    this.$collapsedLabel.text(this.collapsedLabel);
  }
  _onSplitterMoveStart(event) {
    this._splitterMoveStartPosition = event.position;
  }
  _onSplitterMoveEnd(event) {
    // No previous location available
    if (!this._splitterMoveStartPosition) {
      return;
    }
    let endPos = event.position;
    // When the difference is not too big, trigger a click event
    if (Math.abs(this._splitterMoveStartPosition - endPos) < 2) {
      this.trigger('splitterClick');
    }
    this._splitterMoveStartPosition = null;
  }
}

/***/ }),

/***/ "./src/calendar/CalendarSidebarSplitterEventMap.ts":
/*!*********************************************************!*\
  !*** ./src/calendar/CalendarSidebarSplitterEventMap.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarSidebarSplitterModel.ts":
/*!******************************************************!*\
  !*** ./src/calendar/CalendarSidebarSplitterModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/CalendarTypes.ts":
/*!***************************************!*\
  !*** ./src/calendar/CalendarTypes.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/DateRange.ts":
/*!***********************************!*\
  !*** ./src/calendar/DateRange.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateRange: () => (/* binding */ DateRange)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DateRange {
  constructor(from, to) {
    _defineProperty(this, "from", void 0);
    _defineProperty(this, "to", void 0);
    this.from = from;
    this.to = to;
  }
  /**
   * Checks if given date is covered by the date range.
   *
   * If the truncateToDay parameter is set to true, it
   * truncates the from and to date to day, as well as
   * the date parameter.
   */
  covers(date, truncateToDay) {
    let from = this.from,
      to = this.to,
      d = date;
    if (truncateToDay) {
      from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(from);
      to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(to);
      d = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(d);
    }
    return d >= from && d <= to;
  }
  equals(other) {
    if (!other) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.equals(this.from, other.from) && _index__WEBPACK_IMPORTED_MODULE_0__.dates.equals(this.to, other.to);
  }
  toString() {
    return `DateRange {from: ${this.from}, to: ${this.to}}`;
  }
  static ensure(dateRange) {
    if (!dateRange) {
      return dateRange;
    }
    if (dateRange instanceof DateRange) {
      return dateRange;
    }
    return new DateRange(_index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(dateRange.from), _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(dateRange.to));
  }
}

/***/ }),

/***/ "./src/calendar/ResourcePanel.ts":
/*!***************************************!*\
  !*** ./src/calendar/ResourcePanel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResourcePanel: () => (/* binding */ ResourcePanel)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ResourcePanel extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super(...arguments);
    _defineProperty(this, "treeBox", void 0);
  }
  _init(model) {
    super._init(model);
    this.treeBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(ResourcePanelTreeBox, {
      parent: this,
      lookupCall: _index__WEBPACK_IMPORTED_MODULE_0__.CalendarResourceLookupCall,
      labelVisible: false,
      statusVisible: false,
      tree: {
        objectType: ResourcePanelTree,
        cssClass: 'resource-panel-tree',
        checkable: true,
        textFilterEnabled: false,
        _scrollDirections: 'y',
        autoCheckChildren: true
      }
    });
  }
  _render() {
    this.$container = this.$parent.appendDiv('resource-panel-container');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
    this.treeBox.render();
  }
}
class ResourcePanelTreeBox extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeBox {
  _render() {
    super._render();
    this.removeMandatoryIndicator();
  }
  _renderFocused() {
    // NOP
  }
  _createNode(lookupRow) {
    let node = super._createNode(lookupRow);
    node.expanded = true;
    return node;
  }
  _onTreeNodesChecked(event) {
    // Make impossible to uncheck all nodes
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.hasElements(this.tree.checkedNodes)) {
      super._onTreeNodesChecked(event);
    } else if (!this._populating) {
      // Reapply the value to the tree
      this._syncValueToTree(this.value);
      this._triggerShakeAnimation(event.nodes[0]);
    }
  }
  _triggerShakeAnimation(node) {
    node.$node.children('.tree-node-checkbox').addClassForAnimation('animate-unable-uncheck');
  }
}
class ResourcePanelTree extends _index__WEBPACK_IMPORTED_MODULE_0__.Tree {
  insertNode(node, parentNode, index) {
    super.insertNode(node, parentNode, index);
  }
}

/***/ }),

/***/ "./src/calendar/ResourcePanelTreeNode.ts":
/*!***********************************************!*\
  !*** ./src/calendar/ResourcePanelTreeNode.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResourcePanelTreeNode: () => (/* binding */ ResourcePanelTreeNode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ResourcePanelTreeNode extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode {
  constructor() {
    super();
    _defineProperty(this, "resourceId", void 0);
    _defineProperty(this, "parentId", void 0);
    this.resourceId = null;
    this.parentId = null;
  }
}

/***/ }),

/***/ "./src/calendar/ResourcePanelTreeNodeModel.ts":
/*!****************************************************!*\
  !*** ./src/calendar/ResourcePanelTreeNodeModel.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/calendar/YearPanel.ts":
/*!***********************************!*\
  !*** ./src/calendar/YearPanel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   YearPanel: () => (/* binding */ YearPanel)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class YearPanel extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super(...arguments);
    _defineProperty(this, "$yearTitle", void 0);
    _defineProperty(this, "$yearList", void 0);
    _defineProperty(this, "selectedDate", void 0);
    _defineProperty(this, "displayMode", void 0);
    // we must use Planner.DisplayMode (extends Calendar.DisplayMode) here because YearPanel must work for calendar and planner.
    _defineProperty(this, "alwaysSelectFirstDay", void 0);
    _defineProperty(this, "yearRendered", void 0);
    _defineProperty(this, "viewRange", void 0);
  }
  _init(model) {
    super._init(model);
    // If true, it is only possible to select the first day of a range, depending on the selected mode
    // day mode: every day may be selected
    // week, work week, calendar week mode: only first day of week may be selected
    // year, month mode: only first day of month may be selected
    this.alwaysSelectFirstDay = model.alwaysSelectFirstDay;
  }
  _render() {
    this.$container = this.$parent.appendDiv('year-panel-container');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$yearTitle = this.$container.appendDiv('year-panel-title');
    this.$yearList = this.$container.appendDiv('year-panel-list');
  }
  renderContent() {
    this.removeContent();
    this._drawYear();
    this._installScrollbars({
      axis: 'y',
      nativeScrollbars: false,
      hybridScrollbars: false
    });
    this.yearRendered = true;
    this._colorYear();
  }
  get$Scrollable() {
    return this.$yearList;
  }
  removeContent() {
    this._uninstallScrollbars();
    this.$yearList.empty();
    this.yearRendered = false;
  }
  _remove() {
    this.removeContent();
    super._remove();
  }
  _drawYear() {
    let first,
      month,
      $month,
      day,
      $day,
      year = this.selectedDate.getFullYear();
    // append 3 years
    this.$yearTitle.data('year', year).empty();
    this.$yearTitle.appendDiv('year-title-item', year - 1 + '').data('year-diff', -1).on('click', this._onYearClick.bind(this));
    this.$yearTitle.appendDiv('year-title-item selected', year + '');
    this.$yearTitle.appendDiv('year-title-item', year + 1 + '').data('year-diff', +1).on('click', this._onYearClick.bind(this));
    // add months and days
    for (month = 0; month < 12; month++) {
      first = new Date(year, month, 1);
      $month = this.$yearList.appendDiv('year-month').attr('data-title', this._format(first, 'MMMM'));
      for (let d = 1; d <= 31; d++) {
        day = new Date(year, month, d);
        // stop if day is already out of range
        if (day.getMonth() !== month) {
          break;
        }
        // add div per day
        $day = $month.appendDiv('year-day', d + '').data('date', day);
        if (day.getDay() === 0 || day.getDay() === 6) {
          $day.addClass('weekend');
        }
        // first day has margin depending on weekday
        if (d === 1) {
          $day.css('margin-left', (day.getDay() + 6) % 7 * $day.outerWidth());
        }
      }
    }
    // bind events for days divs
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-day', this.$yearList).on('click', this._onYearDayClick.bind(this)).on('mouseenter', this._onYearHoverIn.bind(this)).on('mouseleave', this._onYearHoverOut.bind(this));
    // update scrollbar
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$yearList);
  }
  _colorYear() {
    if (!this.yearRendered) {
      return;
    }
    // remove color information
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-day.year-range, .year-day.year-range-day', this.$yearList).removeClass('year-range year-range-day');
    // loop all days and colorize based on range and selected
    let yearPanel = this,
      $day,
      date;
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-day', this.$yearList).each(function () {
      $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      date = $day.data('date');
      if (yearPanel.displayMode !== _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.DAY && date >= yearPanel.viewRange.from && date < yearPanel.viewRange.to) {
        $day.addClass('year-range');
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date, yearPanel.selectedDate)) {
        $day.addClass('year-range-day');
      }
    });
    // selected has to be visible day
    this._scrollYear();
  }
  /** @internal */
  _scrollYear() {
    let top,
      halfMonth,
      halfYear,
      $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-range-day', this.$yearList),
      $month = $day.parent(),
      $year = $day.parent().parent();
    if (!$month[0]) {
      return;
    }
    top = $month[0].offsetTop;
    halfMonth = $month.outerHeight() / 2;
    halfYear = $year.outerHeight() / 2;
    this.$yearList.animateAVCSD('scrollTop', top + halfMonth - halfYear, () => _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$yearList));
  }
  _format(date, pattern) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.format(date, this.session.locale, pattern);
  }
  selectDate(date) {
    this.selectedDate = date;
    if (this.rendered) {
      // If year shown and changed, redraw year
      if (!date || date.getFullYear() !== this.$yearTitle.data('year')) {
        this.renderContent();
      }
      this._colorYear();
    }
  }
  setDisplayMode(displayMode) {
    if (displayMode === this.displayMode) {
      return;
    }
    this._setProperty('displayMode', displayMode);
    if (this.rendered) {
      this._colorYear();
    }
  }
  setViewRange(viewRange) {
    if (viewRange === this.viewRange) {
      return;
    }
    this._setProperty('viewRange', viewRange);
    if (this.rendered) {
      this._colorYear();
    }
  }
  /* -- events ---------------------------------------- */
  _onYearClick(event) {
    let displayMode = _index__WEBPACK_IMPORTED_MODULE_0__.Planner.DisplayMode,
      diff = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('year-diff'),
      year = this.selectedDate.getFullYear(),
      month = this.selectedDate.getMonth(),
      date = this.selectedDate.getDate(),
      newDate = new Date(year + diff, month, date),
      oldWeek,
      newWeek,
      weekDiff;
    if (this.alwaysSelectFirstDay) {
      // find date based on mode
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.WEEK, displayMode.WORK_WEEK, displayMode.CALENDAR_WEEK)) {
        oldWeek = _index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(this.selectedDate);
        newWeek = _index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(newDate);
        weekDiff = oldWeek - newWeek;
        // shift new selection that week in year does not change and the new selection is a monday.
        newDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(newDate, 0, 0, weekDiff * 7);
        newDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftToNextOrPrevMonday(newDate, 0);
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.MONTH, displayMode.YEAR)) {
        // set to first day of month
        newDate = new Date(year + diff, month, 1);
      }
    }
    this.selectedDate = newDate;
    this.trigger('dateSelect', {
      date: this.selectedDate
    });
  }
  _onYearDayClick(event) {
    this.selectedDate = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-hover-day', this.$yearList).data('date');
    if (this.selectedDate) {
      this.trigger('dateSelect', {
        date: this.selectedDate
      });
    }
  }
  _onYearHoverIn(event) {
    let $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target),
      date1 = $day.data('date'),
      year = date1.getFullYear(),
      month = date1.getMonth(),
      date = date1.getDate(),
      day = (date1.getDay() + 6) % 7,
      startHover,
      endHover,
      $day2,
      date2;
    // find hover based on mode
    if (this.displayMode === _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.DAY) {
      startHover = new Date(year, month, date);
      endHover = new Date(year, month, date);
    } else if (this.displayMode === _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.WEEK) {
      startHover = new Date(year, month, date - day);
      endHover = new Date(year, month, date - day + 6);
    } else if (this.displayMode === _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.WORK_WEEK) {
      startHover = new Date(year, month, date - day);
      endHover = new Date(year, month, date - day + 4);
      // don't allow selecting a weekend day
      if (date1 > endHover) {
        date1 = endHover;
      }
    } else if (this.displayMode === _index__WEBPACK_IMPORTED_MODULE_0__.Calendar.DisplayMode.MONTH) {
      startHover = new Date(year, month, 1);
      endHover = new Date(year, month + 1, 0);
    } else if (this.displayMode === _index__WEBPACK_IMPORTED_MODULE_0__.Planner.DisplayMode.YEAR) {
      startHover = new Date(year, month, 1);
      endHover = startHover;
    } else {
      startHover = new Date(year, month, date - day);
      endHover = startHover;
    }
    if (this.alwaysSelectFirstDay) {
      date1 = startHover;
    }
    // loop days and colorize based on hover start and hover end
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-day', this.$yearList).each(function () {
      $day2 = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      date2 = $day2.data('date');
      if (date2 >= startHover && date2 <= endHover) {
        $day2.addClass('year-hover');
      } else {
        $day2.removeClass('year-hover');
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(date1, date2)) {
        $day2.addClass('year-hover-day');
      }
    });
  }
  // remove all hover effects
  _onYearHoverOut(event) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.year-day.year-hover, .year-day.year-hover-day', this.$yearList).removeClass('year-hover year-hover-day');
  }
}

/***/ }),

/***/ "./src/calendar/YearPanelEventMap.ts":
/*!*******************************************!*\
  !*** ./src/calendar/YearPanelEventMap.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/calendar/YearPanelModel.ts":
/*!****************************************!*\
  !*** ./src/calendar/YearPanelModel.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/carousel/Carousel.ts":
/*!**********************************!*\
  !*** ./src/carousel/Carousel.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Carousel: () => (/* binding */ Carousel)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Carousel extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "statusEnabled", void 0);
    _defineProperty(this, "gridData", void 0);
    _defineProperty(this, "moveThreshold", void 0);
    _defineProperty(this, "widgets", void 0);
    _defineProperty(this, "currentItem", void 0);
    /**
     * last translation position
     */
    _defineProperty(this, "positionX", void 0);
    _defineProperty(this, "$carouselItems", void 0);
    _defineProperty(this, "$carouselStatusItems", void 0);
    _defineProperty(this, "$carouselFilmstrip", void 0);
    /**
     * carousel status bar (containing current position)
     */
    _defineProperty(this, "$carouselStatus", void 0);
    _defineProperty(this, "htmlCompFilmstrip", void 0);
    _defineProperty(this, "htmlCompStatus", void 0);
    this.statusEnabled = true;
    this.currentItem = 0;
    this.moveThreshold = 0.25;
    this.widgets = [];
    this.$carouselItems = [];
    this.$carouselStatusItems = [];
    this.positionX = 0;
    this._addWidgetProperties(['widgets']);
  }
  _init(model) {
    super._init(model);
    this._setGridData(this.gridData);
    this.widgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.widgets);
  }
  _setGridData(gridData) {
    this._setProperty('gridData', new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(gridData));
  }
  _render() {
    // add container
    this.$container = this.$parent.appendDiv('carousel')
    // Tooltips on elements in the filmstrip will check all pseudo scroll parents (i.e. elements marked with 'pseudo-scrollable') if the anchor is visible.
    .data('pseudo-scrollable', true);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.CarouselLayout(this));
    // add content filmstrip
    this.$carouselFilmstrip = this.$container.appendDiv('carousel-filmstrip');
    this._registerCarouselFilmstripEventListeners();
    this.htmlCompFilmstrip = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$carouselFilmstrip, this.session);
  }
  _remove() {
    this._removeStatus();
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderWidgets();
    this._renderCurrentItem(); // must be called after renderWidgets
    this._renderStatusEnabled();
  }
  setStatusEnabled(statusEnabled) {
    this.setProperty('statusEnabled', statusEnabled);
  }
  _renderStatusEnabled() {
    if (this.statusEnabled) {
      this._renderStatus();
      this._renderStatusItems();
      this._renderCurrentStatusItem();
    } else {
      this._removeStatus();
    }
    this.invalidateLayoutTree();
  }
  _renderStatus() {
    if (!this.$carouselStatus) {
      this.$carouselStatus = this.$container.appendDiv('carousel-status');
      this.htmlCompStatus = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$carouselStatus, this.session);
    }
    this.$carouselStatus.toggleClass('touch', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  }
  _removeStatus() {
    if (this.$carouselStatus) {
      this.$carouselStatus.remove();
      this.$carouselStatus = null;
    }
  }
  _renderStatusItems() {
    if (!this.$carouselStatus) {
      return;
    }
    this.$carouselStatusItems = [];
    this.$carouselStatus.empty();
    const touch = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch();
    this.$carouselItems.forEach(($item, index) => {
      let $statusItem = this.$carouselStatus.appendDiv('status-item');
      this.$carouselStatusItems.push($statusItem);
      if (!touch) {
        $statusItem.on('mousedown', () => this.setCurrentItem(index));
      }
    });
  }
  _renderCurrentStatusItem() {
    if (!this.$carouselStatus) {
      return;
    }
    this.$carouselStatusItems.forEach((e, i) => {
      e.toggleClass('current-item', i === this.currentItem);
    });
  }
  recalcTransformation() {
    this.positionX = this.currentItem * this.$container.width() * -1;
    this.$carouselFilmstrip.css({
      transform: 'translateX(' + this.positionX + 'px)'
    });
    this.$carouselFilmstrip.one('transitionend', () => this.session.desktop.repositionTooltips());
  }
  setCurrentItem(currentItem) {
    this.setProperty('currentItem', currentItem);
  }
  _renderCurrentItem() {
    this._renderItemsInternal(this.currentItem, false);
    this._renderCurrentStatusItem();
    this.invalidateLayoutTree();
  }
  _renderItemsInternal(item, skipRemove) {
    item = item || this.currentItem;
    if (!skipRemove) {
      this.widgets.forEach((w, j) => {
        if (w.rendered && (j < item - 1 || j > item + 1)) {
          w.remove();
        }
      });
    }
    for (let i = Math.max(item - 1, 0); i < Math.min(item + 2, this.widgets.length); i++) {
      let widget = this.widgets[i];
      if (!widget.rendered) {
        widget.render(this.$carouselItems[i]);
        widget.invalidateLayoutTree();
      }
    }
  }
  setWidgets(widgets) {
    this.setProperty('widgets', widgets);
  }
  _renderWidgets() {
    this.$carouselFilmstrip.empty();
    this.$carouselItems = this.widgets.map((widget, index) => {
      let $carouselItem = this.$carouselFilmstrip.appendDiv('carousel-item');
      let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install($carouselItem, this.session);
      htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
      // Only the current item (always 0 initially) may get the focus, otherwise the browser would scroll to reveal the focus which breaks the carousel
      if (index !== 0) {
        $carouselItem.addClass('prevent-initial-focus');
      }
      $carouselItem.on('focusin', event => {
        // During rendering, a parent widget may want to restore the focus.
        // Because this would break the carousel (see above), the focus will be reset to the previously focused element
        if (this.currentItem !== index) {
          queueMicrotask(() => {
            // Reset focus to the previously focused element
            if (event.relatedTarget instanceof HTMLElement) {
              event.relatedTarget.focus();
            }
            this.$container[0].scrollLeft = 0;
          });
        }
      });
      // Add the CSS classes of the widget to be able to style the carousel items.
      // Use a suffix to prevent conflicts
      let cssClasses = widget.cssClassAsArray();
      cssClasses.forEach(cssClass => $carouselItem.addClass(cssClass + '-carousel-item'));
      return $carouselItem;
    });
    this._renderStatusItems();
    // reset current item
    this.setCurrentItem(0);
  }
  _registerCarouselFilmstripEventListeners() {
    let $window = this.$carouselFilmstrip.window();
    this.$carouselFilmstrip.on('mousedown touchstart', event => {
      let origPageX = _index__WEBPACK_IMPORTED_MODULE_0__.events.pageX(event);
      let origPosition = this.positionX;
      let minPositionX = this.$container.width() - this.$carouselFilmstrip.width();
      let containerWidth = this.$container.width();
      $window.on('mousemove.carouselDrag touchmove.carouselDrag', event => {
        let pageX = _index__WEBPACK_IMPORTED_MODULE_0__.events.pageX(event);
        let moveX = pageX - origPageX;
        let positionX = origPosition + moveX;
        if (positionX !== this.positionX && positionX <= 0 && positionX >= minPositionX) {
          this.$carouselFilmstrip.css({
            transform: 'translateX(' + positionX + 'px)'
          });
          this.positionX = positionX;
          // item
          let i = positionX / containerWidth * -1;
          this._renderItemsInternal(positionX < origPosition ? Math.floor(i) : Math.ceil(i), true);
        }
      });
      $window.on('mouseup.carouselDrag touchend.carouselDrag touchcancel.carouselDrag', e => {
        $window.off('.carouselDrag');
        // show only whole items
        let mod = this.positionX % containerWidth;
        let newCurrentItem = this.currentItem;
        if (this.positionX < origPosition && mod / containerWidth < 0 - this.moveThreshold) {
          // next
          newCurrentItem = Math.ceil(this.positionX / containerWidth * -1);
        } else if (this.positionX > origPosition && mod / containerWidth >= this.moveThreshold - 1) {
          // prev
          newCurrentItem = Math.floor(this.positionX / containerWidth * -1);
        }
        this.setCurrentItem(newCurrentItem);
        if (mod !== 0) {
          this.positionX = newCurrentItem * containerWidth * -1;
          this.recalcTransformation();
        }
      });
    });
  }
}

/***/ }),

/***/ "./src/carousel/CarouselEventMap.ts":
/*!******************************************!*\
  !*** ./src/carousel/CarouselEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/carousel/CarouselLayout.ts":
/*!****************************************!*\
  !*** ./src/carousel/CarouselLayout.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CarouselLayout: () => (/* binding */ CarouselLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CarouselLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(carousel) {
    super();
    _defineProperty(this, "carousel", void 0);
    this.carousel = carousel;
  }
  layout($container) {
    // recalculate style transformation after layout
    this.carousel.recalcTransformation();
    let filmstripSize = this.carousel.htmlComp.availableSize().subtract(this.carousel.htmlComp.insets()).subtract(this.carousel.htmlCompFilmstrip.margins());
    let itemSize = this.carousel.htmlComp.availableSize().subtract(this.carousel.htmlComp.insets()).subtract(this.carousel.htmlCompFilmstrip.margins());
    if (this.carousel.statusEnabled && this.carousel.htmlCompStatus) {
      let carouselStatusSize = this.carousel.htmlCompStatus.size().add(this.carousel.htmlCompStatus.margins());
      filmstripSize.height -= carouselStatusSize.height;
      itemSize.height -= carouselStatusSize.height;
    }
    let $carouselItems = this.carousel.$carouselItems;
    filmstripSize.width = $carouselItems.length * filmstripSize.width;
    this.carousel.htmlCompFilmstrip.setSize(filmstripSize);
    $carouselItems.forEach(e => {
      let htmlCarouselItem = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(e);
      htmlCarouselItem.setSize(itemSize);
    });
  }
  preferredLayoutSize($container, options) {
    let currentIndex = this.carousel.currentItem;
    let dim = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(1, 1);
    if (currentIndex < this.carousel.$carouselItems.length && currentIndex >= 0) {
      dim = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.carousel.$carouselItems[currentIndex]).prefSize();
    }
    dim.height += this.carousel.htmlCompStatus.size().height;
    return dim;
  }
}

/***/ }),

/***/ "./src/carousel/CarouselModel.ts":
/*!***************************************!*\
  !*** ./src/carousel/CarouselModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/cell/Cell.ts":
/*!**************************!*\
  !*** ./src/cell/Cell.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cell: () => (/* binding */ Cell)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Cell {
  constructor() {
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "editable", void 0);
    _defineProperty(this, "errorStatus", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "mandatory", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "flowsLeft", void 0);
    _defineProperty(this, "empty", void 0);
    _defineProperty(this, "value", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "foregroundColor", void 0);
    _defineProperty(this, "backgroundColor", void 0);
    _defineProperty(this, "font", void 0);
    _defineProperty(this, "sortCode", void 0);
    _defineProperty(this, "field", void 0);
    _defineProperty(this, "_cachedEncodedText", void 0);
    this.cssClass = null;
    this.editable = null; /* do not initialize with false. This is required because there's a subtle logic in Column.js (_initCell) which checks if a value is set. */
    this.errorStatus = null;
    this.horizontalAlignment = null; /* do not initialize with -1. This is required because there's a subtle logic in Column.js (_initCell) which checks if a value is set. */
    this.htmlEnabled = null; /* do not initialize with false. This is required because there's a subtle logic in Column.js (_initCell) which checks if a value is set. */
    this.iconId = null;
    this.mandatory = null; /* do not initialize with false. This is required because there's a subtle logic in Column.js (_initCell) which checks if a value is set. */
    this._cachedEncodedText = null;
    this.text = null;
    this.value = null;
    this.tooltipText = null;
    this.sortCode = null;
  }
  init(model) {
    this._init(model);
  }
  _init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  update(model) {
    this.setText(model.text);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  setEditable(editable) {
    this.editable = editable;
  }
  setMandatory(mandatory) {
    this.mandatory = mandatory;
  }
  setHorizontalAlignment(hAlign) {
    this.horizontalAlignment = hAlign;
  }
  setHtmlEnabled(htmlEnabled) {
    this.htmlEnabled = htmlEnabled;
  }
  setValue(value) {
    this.value = value;
  }
  setErrorStatus(errorStatus) {
    this.errorStatus = errorStatus;
  }
  setText(text) {
    let oldText = this.text;
    this.text = text;
    // reset cached encodedText, so when encodedText() is called the next time, it will be set to the new value
    if (oldText !== this.text) {
      this._cachedEncodedText = null;
    }
  }
  setIconId(iconId) {
    this.iconId = iconId;
  }
  encodedText() {
    if (!this._cachedEncodedText) {
      // Encode text and cache it, encoding is expensive
      this._cachedEncodedText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.encode(this.text);
    }
    return this._cachedEncodedText;
  }
  setCssClass(cssClass) {
    this.cssClass = cssClass;
  }
  setSortCode(sortCode) {
    this.sortCode = sortCode;
  }
  setTooltipText(tooltipText) {
    this.tooltipText = tooltipText;
  }
  setBackgroundColor(color) {
    this.backgroundColor = color;
  }
  setForegroundColor(color) {
    this.foregroundColor = color;
  }
  setFont(font) {
    this.font = font;
  }
}

/***/ }),

/***/ "./src/cell/CellModel.ts":
/*!*******************************!*\
  !*** ./src/cell/CellModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/code/Code.ts":
/*!**************************!*\
  !*** ./src/code/Code.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Code: () => (/* binding */ Code)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Code {
  // e.g. "${textKey:key}"
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "modelClass", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "backgroundColor", void 0);
    _defineProperty(this, "foregroundColor", void 0);
    _defineProperty(this, "font", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "extKey", void 0);
    _defineProperty(this, "value", void 0);
    _defineProperty(this, "partitionId", void 0);
    _defineProperty(this, "sortCode", void 0);
    _defineProperty(this, "children", void 0);
    _defineProperty(this, "parent", void 0);
    _defineProperty(this, "codeType", void 0);
    _defineProperty(this, "_text", void 0);
    this.active = true;
    this.enabled = true;
    this.partitionId = 0;
    this.sortCode = -1;
    this.children = [];
    this.codeType = null;
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('id', model.id);
    this.id = model.id;
    this.modelClass = model.modelClass;
    this.active = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.active, this.active);
    this.enabled = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.enabled, this.enabled);
    this.iconId = model.iconId;
    this.tooltipText = model.tooltipText;
    this.backgroundColor = model.backgroundColor;
    this.foregroundColor = model.foregroundColor;
    this.font = model.font;
    this.cssClass = model.cssClass;
    this.extKey = model.extKey;
    this.value = model.value;
    this.partitionId = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.partitionId, this.partitionId);
    this.sortCode = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.sortCode, this.sortCode);
    this.codeType = model.codeType;
    this._text = model.text;
    // If model contains a text map, generate a text key and add the texts to the text maps of the session
    if (model.texts) {
      var _this$codeType;
      if (this._text) {
        throw new Error('Either set texts or text property, not both.');
      }
      let codeTypeId = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl((_this$codeType = this.codeType) === null || _this$codeType === void 0 ? void 0 : _this$codeType.id, '');
      let key = '__code.' + codeTypeId + '.' + this.id;
      _index__WEBPACK_IMPORTED_MODULE_0__.texts.registerTexts(key, model.texts);
      this._text = _index__WEBPACK_IMPORTED_MODULE_0__.texts.buildKey(key);
    }
    if (model.children) {
      for (let i = 0; i < model.children.length; i++) {
        let childCodeModel = model.children[i];
        childCodeModel.codeType = this.codeType;
        let code = Code.ensure(childCodeModel);
        if (code) {
          code.parent = this;
          this.children.push(code);
        }
      }
    }
    this._initCodeTypeField(this.codeType, model.fieldName);
  }
  _initCodeTypeField(codeType, fieldName) {
    if (!codeType || !fieldName) {
      return;
    }
    if (!codeType.hasOwnProperty(fieldName)) {
      return; // property is not declared
    }
    let existing = codeType[fieldName];
    if (!existing) {
      codeType[fieldName] = this;
    }
  }
  /**
   * Gets the text of this Code in the given language.
   *
   * @param vararg The language tag or the {@link Locale} to load the text for.
   */
  text(vararg) {
    let languageTag;
    if (typeof vararg === 'object') {
      languageTag = vararg.languageTag;
    } else {
      languageTag = vararg;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText(this._text, languageTag);
  }
  /**
   * Visits all children of this Code recursively without visiting this Code itself.
   *
   * By default, only active child codes are visited. To visit inactive child codes as well, set the `activeOnly` argument to false.
   */
  visitChildren(visitor) {
    let activeOnly = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let children = activeOnly ? this.children.filter(child => child.active) : this.children;
    for (let i = 0; i < children.length; i++) {
      let child = children[i];
      let visitResult = visitor(child);
      if (visitResult === true || visitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
      }
      if (visitResult !== _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE) {
        visitResult = child.visitChildren(visitor, activeOnly);
        if (visitResult === true || visitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
          return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
        }
      }
    }
  }
  static ensure(code) {
    if (!code) {
      return null;
    }
    if (code instanceof Code) {
      return code;
    }
    if (!code.objectType) {
      code.objectType = Code;
    }
    let codeModel = code;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(codeModel);
  }
}

/***/ }),

/***/ "./src/code/CodeLookupCall.ts":
/*!************************************!*\
  !*** ./src/code/CodeLookupCall.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CodeLookupCall: () => (/* binding */ CodeLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CodeLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.StaticLookupCall {
  constructor() {
    super();
    _defineProperty(this, "codeType", void 0);
    this.codeType = null;
  }
  _lookupRowByKey(key) {
    let codeType = _index__WEBPACK_IMPORTED_MODULE_0__.codes.get(this.codeType);
    if (!codeType) {
      return null;
    }
    return this._createLookupRow(codeType.get(key));
  }
  _lookupRowsByAll() {
    return this._collectLookupRows();
  }
  _lookupRowsByText(text) {
    return this._collectLookupRows(lookupRow => {
      let lookupRowText = lookupRow.text || '';
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(lookupRowText.toLowerCase(), text.toLowerCase());
    });
  }
  _lookupRowsByRec(rec) {
    return this._collectLookupRows(lookupRow => lookupRow.parentKey === rec);
  }
  _collectLookupRows(predicate) {
    let codeType = _index__WEBPACK_IMPORTED_MODULE_0__.codes.get(this.codeType);
    if (!codeType) {
      return [];
    }
    let lookupRows = [];
    codeType.visitChildren(code => {
      let lookupRow = this._createLookupRow(code);
      if (!predicate || predicate(lookupRow)) {
        lookupRows.push(lookupRow);
      }
    }, false);
    return lookupRows;
  }
  _createLookupRow(code) {
    if (!code) {
      return null;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, {
      key: code.id,
      foregroundColor: code.foregroundColor,
      backgroundColor: code.backgroundColor,
      active: code.active,
      enabled: code.enabled,
      cssClass: code.cssClass,
      font: code.font,
      iconId: code.iconId,
      tooltipText: code.tooltipText,
      text: code.text(this.session.locale),
      parentKey: code.parent && code.parent.id
    });
  }
}

/***/ }),

/***/ "./src/code/CodeModel.ts":
/*!*******************************!*\
  !*** ./src/code/CodeModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/code/CodeType.ts":
/*!******************************!*\
  !*** ./src/code/CodeType.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CodeType: () => (/* binding */ CodeType)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CodeType {
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "modelClass", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "hierarchical", void 0);
    _defineProperty(this, "maxLevel", void 0);
    _defineProperty(this, "codeMap", void 0);
    // all codes recursively
    _defineProperty(this, "_textKey", void 0);
    _defineProperty(this, "_textKeyPlural", void 0);
    this.maxLevel = 2147483647; // default from Scout Classic
    this.hierarchical = false;
    this.codeMap = new Map();
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('id', model.id);
    this.id = model.id;
    this.modelClass = model.modelClass;
    this.iconId = model.iconId;
    this.hierarchical = !!model.hierarchical;
    if (model.maxLevel) {
      this.maxLevel = model.maxLevel;
    }
    this._textKey = this._registerTexts('texts', model.texts);
    this._textKeyPlural = this._registerTexts('textsPlural', model.textsPlural);
    if (model.codes) {
      for (let i = 0; i < model.codes.length; i++) {
        let codeModel = model.codes[i];
        codeModel.codeType = this;
        let code = _index__WEBPACK_IMPORTED_MODULE_0__.Code.ensure(codeModel);
        if (code) {
          this._add(code);
        }
      }
    }
    this._validateCodeFields();
  }
  /**
   * Override this method and add additional properties which should not be validated to be present after CodeType init.
   * @returns A Set with all public properties (fields) of this CodeType which do _not_ point to a nested Code instance.
   */
  _getPublicNonCodeProperties() {
    return new Set(['id', 'objectType', 'modelClass', 'iconId', 'hierarchical', 'maxLevel', 'codeMap']);
  }
  _validateCodeFields() {
    let publicNonCodeProperties = this._getPublicNonCodeProperties();
    Object.keys(this).filter(property => !property.startsWith('_')).filter(property => !publicNonCodeProperties.has(property)).forEach(property => this._ensureCodeAvailable(property));
  }
  _ensureCodeAvailable(fieldName) {
    let codeFieldValue = this[fieldName];
    if (!codeFieldValue) {
      throw new Error(`The field '${fieldName}' in CodeType with id '${this.id}' could not be initialized with a Code instance. ` + `If this field should not hold a Code after CodeType init, override _getPublicNonCodeProperties and add '${fieldName}' to the resulting set. ` + 'If this field points to a Code, ensure the name of the field matches the \'fieldName\' property of the corresponding Code model.');
    }
  }
  _add(code) {
    this.codeMap.set(code.id, code);
    code.visitChildren(c => {
      this.codeMap.set(c.id, c);
    }, false);
  }
  _registerTexts(suffix, textMap) {
    if (!textMap) {
      return;
    }
    let key = '__codeType.' + this.id + '.' + suffix;
    _index__WEBPACK_IMPORTED_MODULE_0__.texts.registerTexts(key, textMap);
    return _index__WEBPACK_IMPORTED_MODULE_0__.texts.buildKey(key);
  }
  /**
   * @param vararg The language tag or the {@link Locale} to load the text for.
   */
  text(vararg) {
    return this._text(this._textKey, vararg);
  }
  /**
   * @param vararg The language tag or the {@link Locale} to load the plural text for.
   */
  textPlural(vararg) {
    return this._text(this._textKeyPlural, vararg);
  }
  _text(key, vararg) {
    let languageTag;
    if (typeof vararg === 'object') {
      languageTag = vararg.languageTag;
    } else {
      languageTag = vararg;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText(key, languageTag);
  }
  codes() {
    let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    if (typeof options === 'boolean') {
      // legacy support
      options = {
        rootOnly: options
      };
    }
    let codes = [...this.codeMap.values()];
    if (options.rootOnly) {
      codes = codes.filter(code => !code.parent);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.activeOnly, true)) {
      codes = codes.filter(code => code.active);
    }
    return codes;
  }
  /**
   * Gets the Code with given id. All codes recursively are searched.
   * @param codeId The Code id to search
   * @returns The Code with given id or null.
   */
  get(codeId) {
    return this.codeMap.get(codeId);
  }
  /**
   * Visits all codes and their children recursively.
   *
   * By default, only active codes are visited. To visit inactive codes as well, set the `activeOnly` argument to false.
   *
   * In order to abort visiting, the visitor can return true or {@link TreeVisitResult.TERMINATE}.
   * To only abort the visiting of a subtree, the visitor can return {@link TreeVisitResult.SKIP_SUBTREE}.
   */
  visitChildren(visitor) {
    let activeOnly = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let rootCodes = this.codes({
      rootOnly: true,
      activeOnly: activeOnly
    });
    for (let i = 0; i < rootCodes.length; i++) {
      let code = rootCodes[i];
      let visitResult = visitor(code);
      if (visitResult === true || visitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
      }
      if (visitResult !== _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE) {
        visitResult = code.visitChildren(visitor, activeOnly);
        if (visitResult === true || visitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
          return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
        }
      }
    }
  }
  static ensure(codeType) {
    if (!(codeType !== null && codeType !== void 0 && codeType.id)) {
      return null;
    }
    if (codeType instanceof CodeType) {
      return codeType;
    }
    if (!codeType.objectType) {
      codeType.objectType = CodeType;
    }
    let codeTypeModel = codeType;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(codeTypeModel, {
      ensureUniqueId: false
    });
  }
}

/***/ }),

/***/ "./src/code/CodeTypeCache.ts":
/*!***********************************!*\
  !*** ./src/code/CodeTypeCache.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CodeTypeCache: () => (/* binding */ CodeTypeCache),
/* harmony export */   codes: () => (/* binding */ codes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Cache for CodeTypes grouped by CodeType id.
 */
class CodeTypeCache extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "id", void 0);
    /**
     * Map of CodeType id to CodeType instance. Do not access directly. Instead, use {@link get}.
     */
    _defineProperty(this, "registry", void 0);
    /**
     * URL to get CodeType data from
     */
    _defineProperty(this, "url", void 0);
    _defineProperty(this, "_call", void 0);
    _defineProperty(this, "_reloadTimeoutId", void 0);
    _defineProperty(this, "_idsToUpdate", void 0);
    this.events.registerSubTypePredicate('codeTypeChange', (event, codeTypeId) => event.codeType.id === codeTypeId); // only works if the CodeTypeId can be converted to a string
    this.events.registerSubTypePredicate('codeTypeRemove', (event, codeTypeId) => event.id === codeTypeId); // only works if the CodeTypeId can be converted to a string
    this.registry = new Map();
    this._reloadTimeoutId = -1;
    this._idsToUpdate = [];
    this.url = null;
  }
  /**
   * Loads code types from the main system using the url configuration of that {@link System}.
   */
  bootstrapSystem() {
    const url = _index__WEBPACK_IMPORTED_MODULE_0__.systems.getOrCreate().getEndpointUrl('codes', 'codes');
    return this.bootstrap(url);
  }
  /**
   * Initializes the code type map with the result of the given REST url.
   */
  bootstrap(url) {
    if (!url) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    this.url = url;
    return _index__WEBPACK_IMPORTED_MODULE_0__.uiNotifications.subscribe('codeTypeUpdate', event => this._onCodeTypeUpdateNotify(event)).then(() => this.loadCodeTypes().then(codes => undefined));
  }
  /**
   * Loads the CodeTypes from the backend. The URL provided in {@link bootstrap} is used.
   * @param codeTypeIds Optional list of {@link CodeType.id} to load. If not specified, all are loaded.
   * @returns The newly loaded {@link CodeType} instances.
   */
  loadCodeTypes(codeTypeIds) {
    var _this$_call;
    if (!this.url) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise([]);
    }
    const request = codeTypeIds !== null && codeTypeIds !== void 0 && codeTypeIds.length ? {
      _type: 'scout.CodeTypeRequest',
      codeTypeIds
    } : null;
    (_this$_call = this._call) === null || _this$_call === void 0 || _this$_call.abort(); // abort in case there is already a call running
    this._call = _index__WEBPACK_IMPORTED_MODULE_0__.ajax.createCallJson({
      url: this.url,
      type: 'PUT',
      data: JSON.stringify(request)
    }, {
      maxRetries: -1,
      // unlimited retries, ensure the cache will be updated eventually in case of network errors
      retryIntervals: [300, 500, 1000, 5000]
    });
    return this._call.call().always(() => {
      this._call = null; // call ended. Not necessary anymore
    }).then(this._handleCodesResponse.bind(this));
  }
  _handleCodesResponse(data) {
    if (!data) {
      return [];
    }
    if (data.error) {
      // The result may contain a json error (e.g. session timeout) -> abort processing
      throw {
        error: data.error,
        url: this.url
      };
    }
    return this.add(data);
  }
  _onCodeTypeUpdateNotify(event) {
    var _message$codeTypeIds;
    let message = event.message;
    let codeTypes = message.codeTypes;
    if (codeTypes !== null && codeTypes !== void 0 && codeTypes.length) {
      // notification message directly contained the new CodeTypes: add them to the cache
      this.add(codeTypes).forEach(codeType => jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`CodeType with id '${codeType.id}' updated.`));
    } else if ((_message$codeTypeIds = message.codeTypeIds) !== null && _message$codeTypeIds !== void 0 && _message$codeTypeIds.length) {
      // no codeTypes received: get the changed CodeTypes in a new request
      const reloadDelay = _index__WEBPACK_IMPORTED_MODULE_0__.uiNotifications.computeReloadDelay(message.reloadDelayWindow);
      this._scheduleCodeTypeUpdate(message.codeTypeIds, reloadDelay);
    }
  }
  _scheduleCodeTypeUpdate(idsToUpdate, delay) {
    this._idsToUpdate = [...new Set([...this._idsToUpdate, ...idsToUpdate])]; // merge existing and new arrays removing duplicates
    if (this._reloadTimeoutId > 0) {
      // cancel current update and schedule a new one to ensure the newest changes from the backend are fetched in case the fetch has already started.
      clearTimeout(this._reloadTimeoutId);
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`About to refresh CodeTypes with ids '${this._idsToUpdate}' after ${delay}ms.`);
    this._reloadTimeoutId = setTimeout(() => {
      this._reloadTimeoutId = -1;
      const ids = this._idsToUpdate;
      this._idsToUpdate = [];
      this.loadCodeTypes(ids).then(codeTypes => codeTypes.forEach(codeType => jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`CodeType with id '${codeType.id}' updated.`)));
    }, delay);
  }
  _triggerCodeTypeChange(codeType) {
    this.trigger('codeTypeChange', {
      codeType
    });
  }
  _triggerCodeTypeRemove(id) {
    this.trigger('codeTypeRemove', {
      id
    });
  }
  /**
   * Adds the given CodeType models to the registry. Existing entries with the same ids are overwritten.
   * @returns The registered CodeType instances.
   */
  add(codeTypes) {
    let registeredCodeTypes = [];
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(codeTypes).forEach(codeTypeOrModel => {
      let codeType = _index__WEBPACK_IMPORTED_MODULE_0__.CodeType.ensure(codeTypeOrModel);
      if (codeType && codeType.id) {
        this.registry.set(codeType.id, codeType);
        registeredCodeTypes.push(codeType);
      }
    });
    registeredCodeTypes.forEach(codeType => this._triggerCodeTypeChange(codeType));
    return registeredCodeTypes;
  }
  /**
   * Removes the given CodeTypes from the registry.
   *
   * @param codeTypes code types or code type ids to remove.
   */
  remove(codeTypes) {
    const ids = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(codeTypes).map(codeTypeOrId => typeof codeTypeOrId === 'string' ? codeTypeOrId : codeTypeOrId.id);
    ids.forEach(id => this.registry.delete(id));
    ids.forEach(id => this._triggerCodeTypeRemove(id));
  }
  /**
   * Gets the CodeType with given id or Class.
   * @param codeTypeIdOrClassRef The CodeType id or Class
   * @returns The CodeType instance or undefined if not found.
   */
  get(codeTypeIdOrClassRef) {
    if (typeof codeTypeIdOrClassRef === 'string') {
      return this.registry.get(codeTypeIdOrClassRef);
    }
    for (let codeType of this.registry.values()) {
      if (codeType instanceof codeTypeIdOrClassRef) {
        return codeType;
      }
    }
    return undefined; // class not found
  }
}
const codes = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createSingletonProxy(CodeTypeCache);

/***/ }),

/***/ "./src/code/CodeTypeCacheEventMap.ts":
/*!*******************************************!*\
  !*** ./src/code/CodeTypeCacheEventMap.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/code/CodeTypeModel.ts":
/*!***********************************!*\
  !*** ./src/code/CodeTypeModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/collapsehandle/CollapseHandle.ts":
/*!**********************************************!*\
  !*** ./src/collapsehandle/CollapseHandle.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CollapseHandle: () => (/* binding */ CollapseHandle)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CollapseHandle extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "leftVisible", void 0);
    _defineProperty(this, "rightVisible", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "$left", void 0);
    _defineProperty(this, "$right", void 0);
    this.leftVisible = true;
    this.rightVisible = true;
    this.horizontalAlignment = CollapseHandle.HorizontalAlignment.LEFT;
    this.$left = null;
    this.$right = null;
  }
  _render() {
    this.$container = this.$parent.appendDiv('collapse-handle');
    this.$container.on('mousedown', this._onMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'none'); // ignore this container, the buttons are important
    this.$left = this.$container.appendDiv('collapse-handle-body left');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$left, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$left, this.session.text('ui.Collapse'));
    this.$right = this.$container.appendDiv('collapse-handle-body right');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$right, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$right, this.session.text('ui.Expand'));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderLeftVisible();
    this._renderRightVisible();
    this._renderHorizontalAlignment();
  }
  setHorizontalAlignment(alignment) {
    this.setProperty('horizontalAlignment', alignment);
  }
  _renderHorizontalAlignment() {
    this.$container.removeClass('left-aligned right-aligned');
    if (this.horizontalAlignment === CollapseHandle.HorizontalAlignment.LEFT) {
      this.$container.addClass('left-aligned');
    } else if (this.horizontalAlignment === CollapseHandle.HorizontalAlignment.RIGHT) {
      this.$container.addClass('right-aligned');
    }
  }
  setLeftVisible(visible) {
    this.setProperty('leftVisible', visible);
  }
  _renderLeftVisible() {
    this.$left.setVisible(this.leftVisible);
    this._updateVisibilityClasses();
  }
  setRightVisible(visible) {
    this.setProperty('rightVisible', visible);
  }
  _renderRightVisible() {
    this.$right.setVisible(this.rightVisible);
    this._updateVisibilityClasses();
  }
  _updateVisibilityClasses() {
    let bothVisible = this.leftVisible && this.rightVisible;
    this.$container.toggleClass('both-visible', bothVisible);
    this.$left.toggleClass('both-visible', bothVisible);
    this.$right.toggleClass('both-visible', bothVisible);
    this.$container.toggleClass('one-visible', (this.leftVisible || this.rightVisible) && !bothVisible);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$left, !this.leftVisible || null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$right, !this.rightVisible || null);
  }
  _onMouseDown(event) {
    let target = event.target;
    if (this.$left.isOrHas(target)) {
      this.trigger('action', {
        left: true
      });
      return;
    }
    if (this.$right.isOrHas(target)) {
      this.trigger('action', {
        right: true
      });
      return;
    }
    // If there is only one box visible, trigger also when container was clicked
    // Mainly used to make the pixel on the left clickable, when the handle is visible in bench mode
    if (this.$container.hasClass('one-visible')) {
      this.trigger('action', {
        left: this.leftVisible,
        right: this.rightVisible
      });
    }
  }
}
_defineProperty(CollapseHandle, "HorizontalAlignment", {
  LEFT: 'left',
  RIGHT: 'right'
});

/***/ }),

/***/ "./src/collapsehandle/CollapseHandleEventMap.ts":
/*!******************************************************!*\
  !*** ./src/collapsehandle/CollapseHandleEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/collapsehandle/CollapseHandleModel.ts":
/*!***************************************************!*\
  !*** ./src/collapsehandle/CollapseHandleModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/config/ConfigProperties.ts":
/*!****************************************!*\
  !*** ./src/config/ConfigProperties.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/config/ConfigPropertyCache.ts":
/*!*******************************************!*\
  !*** ./src/config/ConfigPropertyCache.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ConfigPropertyCache: () => (/* binding */ ConfigPropertyCache),
/* harmony export */   config: () => (/* binding */ config)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Cache for {@link ConfigProperty} instances by backend system.
 */
class ConfigPropertyCache {
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "configMap", void 0);
    this.configMap = new Map();
  }
  /**
   * Loads config properties from the given system using the configuration of that {@link System}.
   * @param system The optional system name to which the properties belong. By default, {@link System.MAIN_SYSTEM} is used.
   */
  bootstrapSystem(system) {
    const urls = _index__WEBPACK_IMPORTED_MODULE_0__.systems.getOrCreate(system).getConfigEndpointUrls();
    return this.bootstrap(urls, system);
  }
  /**
   * Adds the {@link ConfigProperty} instances returned by the urls given to the properties map of the given system.
   * @param urls The urls to fetch the properties from. Typically, 'res/config-properties.json' for the UI backend and/or 'api/config-properties' for the server backend.
   * @param system The optional system name to which the properties belong. By default, {@link System.MAIN_SYSTEM} is used.
   */
  bootstrap(urls, system) {
    let promises = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(urls).map(url => jquery__WEBPACK_IMPORTED_MODULE_1___default().ajaxJson(url).then(response => _index__WEBPACK_IMPORTED_MODULE_0__.App.handleJsonError(url, response)).then(properties => this._handleBootstrapResponse(properties, system)));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises);
  }
  /**
   * Add the {@link ConfigProperty} instances given to the system given. If a property with the same key already exists, its value is overwritten.
   * @param data The properties to add.
   * @param system The optional system name to which the properties belong. By default, {@link System.MAIN_SYSTEM} is used.
   */
  _handleBootstrapResponse(data, system) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(data).forEach(property => this._handleBootstrapProperty(property, system));
  }
  _handleBootstrapProperty(property, system) {
    var _this$_getSystemMap;
    if (!(property !== null && property !== void 0 && property.key)) {
      return; // property key is required
    }
    let existingProperty = (_this$_getSystemMap = this._getSystemMap(system)) === null || _this$_getSystemMap === void 0 ? void 0 : _this$_getSystemMap.get(property.key);
    if (existingProperty && !_index__WEBPACK_IMPORTED_MODULE_0__.objects.equalsRecursive(existingProperty.value, property.value)) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`Already existing config property '${existingProperty.key}' with existing value ${JSON.stringify(existingProperty.value)} is overwritten with new value ${JSON.stringify(property.value)}.`);
    }
    // @ts-expect-error allow properties from the backend that are not declared in TS
    this.set(property.key, property.value, system);
  }
  _getSystemMap(system) {
    return this.configMap.get(system || _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM);
  }
  /**
   * Gets the {@link ConfigProperty} with given key. Optionally from a specific backend system.
   *
   * The method only returns properties which have already been loaded from the backend.
   * If the property might not already been loaded, use {@link load} instead.
   * @param key The key of the config property that should be returned.
   * @param system An optional system from which the property should be. By default, {@link System.MAIN_SYSTEM} is used.
   */
  get(key, system) {
    var _this$_getSystemMap2;
    return (_this$_getSystemMap2 = this._getSystemMap(system)) === null || _this$_getSystemMap2 === void 0 ? void 0 : _this$_getSystemMap2.get(key);
  }
  /**
   * Adds a property. If there is already an existing property with the same key, its value is overwritten.
   * @param key The key of the property.
   * @param value The new value of the property.
   * @param system An optional system to which the property belongs. By default, {@link System.MAIN_SYSTEM} is used.
   * @returns The created {@link ConfigProperty}.
   */
  set(key, value, system) {
    let systemPropertyMap = this._getSystemMap(system);
    if (!systemPropertyMap) {
      systemPropertyMap = new Map();
      this.configMap.set(system || _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM, systemPropertyMap);
    }
    let property = {
      key,
      value
    };
    systemPropertyMap.set(property.key, property);
    return property;
  }
  /**
   * Loads the properties from the given system and returns the value of the property with the given key.
   *
   * To configure the system URL use {@link systems.getOrCreate} and {@link System.setEndpointUrl} for endpointName 'config-properties' if required.
   * @param key The key of the property that should be returned.
   * @param system An optional system from which the property should be loaded. By default, {@link System.MAIN_SYSTEM} is used.
   * @returns a promise that when resolved returns the newly loaded property with the given key.
   */
  load(key, system) {
    return this.bootstrapSystem(system) // load/refresh properties from system into this cache
    .then(() => this.get(key, system));
  }
}
const config = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createSingletonProxy(ConfigPropertyCache);

/***/ }),

/***/ "./src/dataobject/DoEntity.ts":
/*!************************************!*\
  !*** ./src/dataobject/DoEntity.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/dataobject/ValueDo.ts":
/*!***********************************!*\
  !*** ./src/dataobject/ValueDo.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/dataobject/dataObjects.ts":
/*!***************************************!*\
  !*** ./src/dataobject/dataObjects.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dataObjects: () => (/* binding */ dataObjects)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! .. */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const dataObjects = {
  /**
   * @returns the DO entity contribution for the given contribution class or type.
   */
  getContribution(contributionClassOrType, doEntity) {
    var _doEntity$_contributi;
    if (!(doEntity !== null && doEntity !== void 0 && (_doEntity$_contributi = doEntity._contributions) !== null && _doEntity$_contributi !== void 0 && _doEntity$_contributi.length)) {
      return null;
    }
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('contributionClassOrType', contributionClassOrType);
    return doEntity._contributions.find(contrib => predicate(contrib, contributionClassOrType));
  },
  /**
   * Adds a new DO entity contribution to the given DO entity.
   * Existing contributions for the same contribution class are replaced. If the contribution is a plain object, existing contributions with the same type are replaced.
   */
  addContribution(contribution, doEntity) {
    if (!doEntity) {
      return;
    }
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('contribution', contribution);
    if (___WEBPACK_IMPORTED_MODULE_0__.objects.isPojo(contribution)) {
      ___WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(contribution, '_type');
      dataObjects.removeContribution(contribution._type, doEntity);
    } else {
      // @ts-expect-error
      dataObjects.removeContribution(contribution.constructor, doEntity);
    }
    doEntity._contributions = ___WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(doEntity._contributions);
    doEntity._contributions.push(contribution);
  },
  /**
   * Removes the DO entity contributions whose class or type matches the given contribution class.
   */
  removeContribution(contributionClassOrType, doEntity) {
    var _doEntity$_contributi2;
    if (!doEntity) {
      return;
    }
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('contributionClassOrType', contributionClassOrType);
    ___WEBPACK_IMPORTED_MODULE_0__.arrays.removeByPredicate(doEntity._contributions, contrib => predicate(contrib, contributionClassOrType));
    if (((_doEntity$_contributi2 = doEntity._contributions) === null || _doEntity$_contributi2 === void 0 ? void 0 : _doEntity$_contributi2.length) === 0) {
      delete doEntity._contributions;
    }
  }
};
function predicate(contribution, contributionClassOrType) {
  if (typeof contributionClassOrType === 'string') {
    return contribution._type === contributionClassOrType;
  }
  return contribution.constructor === contributionClassOrType;
}

/***/ }),

/***/ "./src/datepicker/DatePicker.ts":
/*!**************************************!*\
  !*** ./src/datepicker/DatePicker.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePicker: () => (/* binding */ DatePicker)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DatePicker extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "preselectedDate", void 0);
    _defineProperty(this, "selectedDate", void 0);
    _defineProperty(this, "dateFormat", void 0);
    _defineProperty(this, "viewDate", void 0);
    _defineProperty(this, "allowedDates", void 0);
    _defineProperty(this, "touch", void 0);
    _defineProperty(this, "currentMonth", void 0);
    /**
     * Contains the months to be rendered.
     * Only the this.currentMonth is visible, the others are needed for the swipe animation.
     */
    _defineProperty(this, "months", void 0);
    _defineProperty(this, "$scrollable", void 0);
    _defineProperty(this, "swiped", void 0);
    _defineProperty(this, "_showWeekendSeparator", void 0);
    _defineProperty(this, "_boxWidth", void 0);
    _defineProperty(this, "_$header", void 0);
    this.preselectedDate = null;
    this.selectedDate = null;
    this.dateFormat = null;
    this.viewDate = null;
    this.allowedDates = [];
    this.currentMonth = null;
    this.$scrollable = null;
    this.months = [];
    this._showWeekendSeparator = true;
  }
  _init(options) {
    super._init(options);
    this._setDateFormat(this.dateFormat);
    this._showWeekendSeparator = this.dateFormat.symbols.firstDayOfWeek === 1; // only add the separator if the weeks starts on Monday
  }
  _render() {
    this.$container = this.$parent.appendDiv('date-picker').toggleClass('touch-only', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this._$header = this._append$Header();
    this._$header.find('.date-picker-left-y, .date-picker-left-m, .date-picker-right-m, .date-picker-right-y').on('mousedown', this._onNavigationMouseDown.bind(this));
    this.$container.appendDiv('date-picker-separator');
    this.$scrollable = this.$container.appendDiv('date-picker-scrollable');
    this._registerSwipeHandlers();
  }
  _setDateFormat(dateFormat) {
    if (!dateFormat) {
      dateFormat = this.session.locale.dateFormatPatternDefault;
    }
    dateFormat = _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat.ensure(this.session.locale, dateFormat);
    this._setProperty('dateFormat', dateFormat);
  }
  prependMonth(month) {
    let months = this.months.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(months, month, 0);
    this.setMonths(months);
  }
  appendMonth(month) {
    let months = this.months.slice();
    months.push(month);
    this.setMonths(months);
  }
  /**
   * Resets the month boxes. Always render 3 months to make swiping more smooth (especially on mobile devices).
   */
  resetMonths(viewDate) {
    viewDate = viewDate || this.viewDate;
    let prevDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(viewDate, 0, -1, 0);
    let nextDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(viewDate, 0, 1, 0);
    this.setMonths([prevDate, viewDate, nextDate]);
  }
  setMonths(months) {
    months = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(months);
    let mappedMonths = months.map(month => {
      let viewDate;
      if (month instanceof Date) {
        viewDate = month;
      } else {
        viewDate = month.viewDate;
      }
      // Use existing month object (so that $container won't be removed, see below)
      let existingMonth = this._findMonthByViewDate(viewDate);
      if (existingMonth) {
        return existingMonth;
      }
      return {
        rendered: false,
        viewDate: viewDate,
        $container: undefined
      };
    });
    // Remove the obsolete months
    if (this.rendered) {
      this.months.forEach(month => {
        if (mappedMonths.indexOf(month) < 0 && month.rendered) {
          month.$container.remove();
        }
      });
    }
    this.setProperty('months', mappedMonths);
  }
  _renderMonths() {
    // Render the months if needed
    this.months.forEach(month => {
      if (month.rendered) {
        this._layoutWeekendSeparator(month);
      } else {
        this._renderMonth(month);
        // move month to correct position in DOM.
        // Current month must not be moved, otherwise click event gets lost.
        if (this.currentMonth && _index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(month.viewDate, this.currentMonth.viewDate) < 0) {
          month.$container.insertBefore(this.currentMonth.$container);
        }
      }
    });
    // Adjust size and position of the scrollable
    let scrollableWidth = this.months.length * this._boxWidth;
    this.$scrollable.width(scrollableWidth);
    if (this.currentMonth) {
      this.$scrollable.cssLeft(this._scrollableLeftForMonth(this.currentMonth));
    }
  }
  _findMonthByViewDate(viewDate) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.months, month => _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareMonths(month.viewDate, viewDate) === 0);
  }
  /**
   * @returns the x coordinate of the scrollable if the given month should be displayed
   */
  _scrollableLeftForMonth(month) {
    let scrollableInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$scrollable);
    let monthMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(month.$container);
    return -1 * (month.$container.position().left - monthMargins.left - scrollableInsets.left);
  }
  _renderMonth(month) {
    if (month.rendered) {
      return;
    }
    let $box = this.$parent.makeDiv('date-picker-month-box');
    if (this._showWeekendSeparator) {
      month.$weekendSeparator = $box.appendDiv('date-picker-weekend-separator');
    }
    this._build$DateBox(month.viewDate).appendTo($box);
    $box.on('wheel', this._onMouseWheel.bind(this)).appendTo(this.$scrollable);
    // Fix the size of the box
    if (!this._boxWidth) {
      this._boxWidth = $box.width();
    }
    $box.width(this._boxWidth);
    month.$container = $box;
    month.rendered = true;
  }
  /**
   * @internal, use showDate, selectDate, shiftViewDate, etc. to change the view date
   */
  setViewDate(viewDate, animated) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.viewDate, viewDate)) {
      return;
    }
    this._setProperty('viewDate', viewDate);
    if (this.rendered) {
      this._renderViewDate(animated);
    }
  }
  _renderViewDate(animated) {
    let month = this._findMonthByViewDate(this.viewDate);
    let newLeft = this._scrollableLeftForMonth(month);
    if (!this.currentMonth) {
      // The first time a month is rendered, revalidate the layout.
      // Reason: When the popup opens, the datepicker is not rendered yet, thus the preferred size cannot be determined
      this.revalidateLayoutTree();
    }
    this.currentMonth = month;
    this._updateHeader(this.viewDate);
    animated = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(animated, true);
    if (!animated) {
      this.$scrollable.cssLeft(newLeft);
      this.resetMonths();
    } else {
      // Animate
      // At first: stop existing animation when shifting multiple dates in a row (e.g. with mouse wheel)
      this.$scrollable.stop(true).animate({
        left: newLeft
      }, 300, () => {
        this.resetMonths();
      });
    }
  }
  /** @internal */
  _layoutWeekendSeparators() {
    this.months.forEach(m => this._layoutWeekendSeparator(m));
  }
  _layoutWeekendSeparator(month) {
    if (!month.$weekendSeparator) {
      return;
    }
    let $weekdays = this.$container.find('.date-picker-weekdays').first().children();
    if ($weekdays.length < 6) {
      return;
    }
    let $friday = $weekdays.eq(4); // Friday is always pos 4 as the separator is only available if the weeks starts on Monday
    let $saturday = $weekdays.eq(5); // Saturday is always pos 5 as the separator is only available if the weeks starts on Monday
    let fridayTopRight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.position($friday).x + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($friday, {
      includeMargin: true
    }).width;
    let saturdayTopLeft = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.position($saturday).x;
    let space = saturdayTopLeft - fridayTopRight; // space between Friday cell an Saturday cell
    let borderWidth = month.$weekendSeparator.cssBorderWidthX();
    let posLeft = Math.floor(fridayTopRight + space / 2 - borderWidth);
    month.$weekendSeparator.cssLeft(posLeft);
  }
  /**
   * @param animated default is true
   */
  preselectDate(date, animated) {
    this.showDate(date, animated);
    if (date) {
      // Clear selection when a date is preselected
      this.setSelectedDate(null);
    }
    this.setPreselectedDate(date);
  }
  /**
   * @internal, use preselectDate to preselect a date
   */
  setPreselectedDate(preselectedDate) {
    this.setProperty('preselectedDate', preselectedDate);
  }
  _renderPreselectedDate() {
    if (!this.currentMonth) {
      return;
    }
    let $box = this.currentMonth.$container;
    $box.find('.date-picker-day').each((i, elem) => {
      let $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      $day.removeClass('preselected');
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(this.preselectedDate, $day.data('date'))) {
        $day.addClass('preselected');
      }
    });
  }
  /**
   * @param animated default is true
   */
  selectDate(date, animated) {
    this.showDate(date, animated);
    if (date) {
      // Clear preselection when a date is selected
      this.setPreselectedDate(null);
    }
    this.setSelectedDate(date);
  }
  /**
   * @internal, use selectDate to select a date
   */
  setSelectedDate(selectedDate) {
    this.setProperty('selectedDate', selectedDate);
  }
  _renderSelectedDate() {
    if (!this.currentMonth) {
      return;
    }
    let $box = this.currentMonth.$container;
    $box.find('.date-picker-day').each((i, elem) => {
      let $day = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      $day.removeClass('selected');
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(this.selectedDate, $day.data('date'))) {
        $day.addClass('selected');
      }
    });
  }
  /**
   * Shows the month which contains the given date.
   * @param animated Default is true
   */
  showDate(viewDate, animated) {
    let viewDateDiff = 0;
    if (this.viewDate) {
      viewDateDiff = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareMonths(viewDate, this.viewDate);
    }
    if (this.currentMonth && viewDateDiff) {
      if (viewDateDiff < 0) {
        this.prependMonth(viewDate);
      } else {
        this.appendMonth(viewDate);
      }
    } else {
      if (!this.currentMonth) {
        // Initially (when the popup is opened), don't reset, just display one month.
        // Reason: _renderMonths may not determine the proper scroll left yet
        this.setMonths([viewDate]);
      } else {
        this.resetMonths(viewDate);
      }
    }
    this.setViewDate(viewDate, animated);
  }
  shiftViewDate(years, months, days) {
    let date = this.viewDate;
    date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, years, months, days);
    this.showDate(date);
  }
  shiftSelectedDate(years, months, days) {
    let date = this.preselectedDate;
    if (this.selectedDate) {
      if (this.allowedDates.length > 0) {
        date = this._findNextAllowedDate(years, months, days);
      } else {
        date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.selectedDate, years, months, days);
      }
    }
    if (!date) {
      return; // do nothing when no date was found
    }
    this.selectDate(date, true);
  }
  _findNextAllowedDate(years, months, days) {
    let i,
      date,
      sum = years + months + days,
      dir = sum > 0 ? 1 : -1,
      now = this.selectedDate || _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(new Date());
    // if we shift by year or month, shift the 'now' date and then use that date as starting point
    // to find the next allowed date.
    if (years !== 0) {
      now = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(now, years, 0, 0);
    } else if (months !== 0) {
      now = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(now, 0, months, 0);
    }
    if (dir === 1) {
      // find next allowed date, starting from currently selected date
      for (i = 0; i < this.allowedDates.length; i++) {
        date = this.allowedDates[i];
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(now, date) < 0) {
          return date;
        }
      }
    } else if (dir === -1) {
      // find previous allowed date, starting from currently selected date
      for (i = this.allowedDates.length - 1; i >= 0; i--) {
        date = this.allowedDates[i];
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(now, date) > 0) {
          return date;
        }
      }
    }
    return null;
  }
  _isDateAllowed(date) {
    // when allowedDates is empty or not set, any date is allowed
    if (this.allowedDates.length === 0) {
      return true;
    }
    // when allowedDates is set, only dates contained in this array are allowed
    let dateAsTimestamp = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(date).getTime();
    return this.allowedDates.some(allowedDate => allowedDate.getTime() === dateAsTimestamp);
  }
  _build$DateBox(viewDate) {
    let cl,
      i,
      day,
      dayEnabled,
      dayInMonth,
      $day,
      now = new Date(),
      start = new Date(viewDate);
    let $box = this.$container.makeDiv('date-picker-month').data('viewDate', viewDate);
    // Create weekday header
    let $weekdays = $box.appendDiv('date-picker-weekdays');
    this.dateFormat.symbols.weekdaysShortOrdered.map(weekday => weekday.length > 2 ? weekday.substr(0, 2) : weekday).forEach(weekday => $weekdays.appendDiv('date-picker-weekday', weekday.toUpperCase()));
    // Find start date (-1)
    let $week;
    for (let offset = 0; offset < 42; offset++) {
      start.setDate(start.getDate() - 1);
      let diff = new Date(start.getFullYear(), viewDate.getMonth(), 0).getDate() - start.getDate();
      if (start.getDay() === 0 && start.getMonth() !== viewDate.getMonth() && diff > 1) {
        break;
      }
    }
    // Create days
    for (i = 0; i < 42; i++) {
      if (i % 7 === 0) {
        $week = $box.appendDiv('date-picker-week');
      }
      start.setDate(start.getDate() + 1);
      dayInMonth = start.getDate();
      if (start.getDay() === 6 || start.getDay() === 0) {
        cl = start.getMonth() !== viewDate.getMonth() ? ' date-picker-out-weekend' : ' date-picker-weekend';
        if (this._showWeekendSeparator && start.getDay() === 6) {
          cl += ' date-picker-day-weekend-separator';
        }
      } else {
        cl = start.getMonth() !== viewDate.getMonth() ? ' date-picker-out' : '';
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(start, now)) {
        cl += ' date-picker-now';
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(this.selectedDate, start)) {
        cl += ' selected';
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(this.preselectedDate, start)) {
        cl += ' preselected';
      }
      // helps to center days between 10 and 19 nicer (especially when website is zoomed > 100%)
      if (dayInMonth > 9 && dayInMonth < 20) {
        cl += ' ten';
      }
      dayEnabled = this._isDateAllowed(start);
      if (!dayEnabled) {
        cl += ' disabled';
      }
      day = dayInMonth <= 9 ? '0' + dayInMonth : dayInMonth;
      $day = $week.appendDiv('date-picker-day' + cl).data('dayInMonth', dayInMonth).data('date', new Date(start));
      $day.appendSpan('text', day);
      if (dayEnabled) {
        $day.on('click', this._onDayClick.bind(this));
      }
    }
    return $box;
  }
  _append$Header() {
    let headerHtml = '<div class="date-picker-header">' + '  <div class="date-picker-left-y" data-shift="-12"></div>' + '  <div class="date-picker-left-m" data-shift="-1"></div>' + '  <div class="date-picker-right-y" data-shift="12"></div>' + '  <div class="date-picker-right-m" data-shift="1"></div>' + '  <div class="date-picker-header-month">&nbsp;</div>' + '</div>';
    return this.$container.appendElement(headerHtml).toggleClass('touch', this.touch);
  }
  _updateHeader(viewDate) {
    this._$header.find('.date-picker-header-month').text(this._createHeaderText(viewDate));
  }
  _createHeaderText(viewDate) {
    let months = this.dateFormat.symbols.months;
    return months[viewDate.getMonth()] + ' ' + viewDate.getFullYear();
  }
  _registerSwipeHandlers() {
    let prevDate, nextDate;
    let onDown = e => {
      // stop pending animations, otherwise the months may be removed by the animation stop handler before touchend is executed
      this.$scrollable.stop(true);
      // Prepare months. On the first swipe the 3 boxes are already rendered, so nothing happens when setMonths is called.
      // But on a subsequent swipe (while the pane is still moving) the next month needs to be rendered.
      prevDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewDate, 0, -1, 0);
      nextDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewDate, 0, 1, 0);
      this.setMonths([prevDate, this.viewDate, nextDate]);
      this.swiped = false;
      return true;
    };
    let onMove = e => {
      let minX = this.$container.width() - this.$scrollable.outerWidth();
      let newScrollableLeft = Math.max(Math.min(e.newLeft, 0), minX); // limit the drag range
      if (newScrollableLeft !== e.originalLeft) {
        this.$scrollable.cssLeft(newScrollableLeft); // set the new position
      }
      return newScrollableLeft;
    };
    let onUp = e => {
      // If the movement is less than this value (in px), the swipe won't happen. Instead, the value is selected.
      let minMove = 5;
      let viewDate = this.viewDate;
      // Detect in which direction the swipe happened
      if (e.deltaX < -minMove) {
        viewDate = nextDate; // dragged left -> use next month
      } else if (e.deltaX > minMove) {
        viewDate = prevDate; // dragged right -> use previous month
      }
      if (this.viewDate !== viewDate) {
        this.swiped = true;
        this.setViewDate(viewDate);
      }
    };
    _index__WEBPACK_IMPORTED_MODULE_0__.events.onSwipe(this.$scrollable, 'datepickerDrag', onDown, onMove, onUp);
  }
  _onNavigationMouseDown(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let diff = $target.data('shift');
    this.shiftViewDate(0, diff, 0);
  }
  _onDayClick(event) {
    if (this.swiped) {
      // Don't handle on a swipe action
      return;
    }
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let date = $target.data('date');
    this.selectDate(date);
    this.trigger('dateSelect', {
      date: date
    });
  }
  _onMouseWheel(event) {
    let originalEvent = event.originalEvent;
    let wheelData = originalEvent.deltaY | originalEvent.deltaX;
    let diff = wheelData < 0 ? -1 : 1;
    this.shiftViewDate(0, diff, 0);
    originalEvent.preventDefault();
  }
}

/***/ }),

/***/ "./src/datepicker/DatePickerEventMap.ts":
/*!**********************************************!*\
  !*** ./src/datepicker/DatePickerEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/datepicker/DatePickerModel.ts":
/*!*******************************************!*\
  !*** ./src/datepicker/DatePickerModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/datepicker/DatePickerPopup.ts":
/*!*******************************************!*\
  !*** ./src/datepicker/DatePickerPopup.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePickerPopup: () => (/* binding */ DatePickerPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DatePickerPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "field", void 0);
    _defineProperty(this, "picker", void 0);
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
  }
  _init(options) {
    options.scrollType = options.scrollType || 'layoutAndPosition';
    options.withFocusContext = false;
    super._init(options);
    this.picker = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DatePicker, {
      parent: this,
      dateFormat: options.dateFormat,
      allowedDates: options.allowedDates
    });
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DatePickerPopupLayout(this);
  }
  _render() {
    this.$container = this.$parent.appendDiv('popup date-picker-popup');
    this.$container.toggleClass('alternative', this.field.fieldStyle === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.ALTERNATIVE);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.htmlComp.validateRoot = true;
    this.findDesktop().adjustOverlayOrder(this);
    this.picker.render();
  }
  getDatePicker() {
    return this.picker;
  }
  /**
   * override because the icon is not in the $anchor container.
   */
  _isMouseDownOnAnchor(event) {
    let target = event.target;
    return this.field.$dateField.isOrHas(target) || this.field.$dateFieldIcon.isOrHas(target) || this.field.$dateClearIcon && this.field.$dateClearIcon.isOrHas(target);
  }
}

/***/ }),

/***/ "./src/datepicker/DatePickerPopupLayout.ts":
/*!*************************************************!*\
  !*** ./src/datepicker/DatePickerPopupLayout.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePickerPopupLayout: () => (/* binding */ DatePickerPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DatePickerPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  layout($container) {
    let size,
      htmlComp = this.popup.htmlComp,
      htmlPicker = this.popup.picker.htmlComp;
    super.layout($container);
    size = htmlComp.size().subtract(htmlComp.insets()).subtract(htmlPicker.margins());
    htmlPicker.setSize(size);
    // Reposition because opening direction may have to be switched if popup gets bigger
    // Don't do it the first time (will be done by popup.open), only if the popup is already open and gets layouted again
    if (this.popup.htmlComp.layouted) {
      this.popup.position();
    }
    this.popup.getDatePicker()._layoutWeekendSeparators();
  }
  preferredLayoutSize($container, options) {
    let prefSize,
      htmlComp = this.popup.htmlComp,
      htmlPicker = this.popup.picker.htmlComp;
    prefSize = htmlPicker.prefSize().add(htmlComp.insets()).add(htmlPicker.margins());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/datepicker/DatePickerPopupModel.ts":
/*!************************************************!*\
  !*** ./src/datepicker/DatePickerPopupModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/datepicker/DatePickerTouchPopup.ts":
/*!************************************************!*\
  !*** ./src/datepicker/DatePickerTouchPopup.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePickerTouchPopup: () => (/* binding */ DatePickerTouchPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DatePickerTouchPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.TouchPopup {
  _init(options) {
    super._init(options);
    this._field.on('acceptInput', this._onFieldAcceptInput.bind(this));
    this.addCssClass('date-picker-touch-popup');
  }
  _initWidget(options) {
    this._widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DatePicker, {
      parent: this,
      dateFormat: options.dateFormat,
      allowedDates: options.allowedDates
    });
  }
  _render() {
    super._render();
    this._field.$container.addClass('date');
  }
  _onMouseDownOutside(event) {
    this._acceptInput();
  }
  getDatePicker() {
    return this._widget;
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DatePickerTouchPopupLayout(this);
  }
  _onFieldAcceptInput(event) {
    // Delegate to original field
    this._touchField.setDisplayText(event.displayText);
    this._touchField.setErrorStatus(event.errorStatus);
    let hasParsingFailedError = event.errorStatus ? event.errorStatus.containsStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus) : false;
    if (!hasParsingFailedError) {
      this._touchField.setValue(event.value);
    }
    this._touchField._triggerAcceptInput(event.whileTyping);
  }
  _acceptInput() {
    this._field.acceptDate();
    this.close();
  }
}

/***/ }),

/***/ "./src/datepicker/DatePickerTouchPopupLayout.ts":
/*!******************************************************!*\
  !*** ./src/datepicker/DatePickerTouchPopupLayout.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePickerTouchPopupLayout: () => (/* binding */ DatePickerTouchPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DatePickerTouchPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.TouchPopupLayout {
  constructor(popup) {
    super(popup);
  }
  layout($container) {
    super.layout($container);
    this.popup.getDatePicker()._layoutWeekendSeparators();
  }
}

/***/ }),

/***/ "./src/datepicker/DatePickerTouchPopupModel.ts":
/*!*****************************************************!*\
  !*** ./src/datepicker/DatePickerTouchPopupModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/Desktop.ts":
/*!********************************!*\
  !*** ./src/desktop/Desktop.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Desktop: () => (/* binding */ Desktop)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Desktop extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "selectViewTabsKeyStrokesEnabled", void 0);
    _defineProperty(this, "selectViewTabsKeyStrokeModifier", void 0);
    _defineProperty(this, "cacheSplitterPosition", void 0);
    _defineProperty(this, "browserHistoryEntry", void 0);
    _defineProperty(this, "logoId", void 0);
    _defineProperty(this, "logoUrl", void 0);
    _defineProperty(this, "navigationVisible", void 0);
    _defineProperty(this, "navigationHandleVisible", void 0);
    _defineProperty(this, "logoActionEnabled", void 0);
    _defineProperty(this, "benchVisible", void 0);
    _defineProperty(this, "headerVisible", void 0);
    _defineProperty(this, "geolocationServiceAvailable", void 0);
    _defineProperty(this, "benchLayoutData", void 0);
    _defineProperty(this, "nativeNotificationDefaults", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "addOns", void 0);
    _defineProperty(this, "dialogs", void 0);
    _defineProperty(this, "views", void 0);
    _defineProperty(this, "keyStrokes", void 0);
    _defineProperty(this, "viewButtons", void 0);
    _defineProperty(this, "messageBoxes", void 0);
    _defineProperty(this, "fileChoosers", void 0);
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "activeForm", void 0);
    _defineProperty(this, "selectedViewTabs", void 0);
    _defineProperty(this, "notifications", void 0);
    _defineProperty(this, "navigation", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "bench", void 0);
    _defineProperty(this, "splitter", void 0);
    _defineProperty(this, "splitterVisible", void 0);
    _defineProperty(this, "formController", void 0);
    _defineProperty(this, "messageBoxController", void 0);
    _defineProperty(this, "fileChooserController", void 0);
    _defineProperty(this, "initialFormRendering", void 0);
    _defineProperty(this, "resizing", void 0);
    _defineProperty(this, "offline", void 0);
    _defineProperty(this, "inBackground", void 0);
    _defineProperty(this, "openUriHandler", void 0);
    _defineProperty(this, "theme", void 0);
    _defineProperty(this, "dense", void 0);
    _defineProperty(this, "animateLayoutChange", void 0);
    _defineProperty(this, "url", void 0);
    _defineProperty(this, "responsiveHandler", void 0);
    _defineProperty(this, "busySupport", void 0);
    _defineProperty(this, "$notifications", void 0);
    _defineProperty(this, "$overlaySeparator", void 0);
    /** @internal */
    _defineProperty(this, "_resizeHandler", void 0);
    _defineProperty(this, "_glassPaneTargetFilters", void 0);
    _defineProperty(this, "_offlineNotification", void 0);
    /** event listeners */
    _defineProperty(this, "_benchActiveViewChangedHandler", void 0);
    _defineProperty(this, "_selectedViewDestroyHandler", void 0);
    _defineProperty(this, "_popstateHandler", void 0);
    _defineProperty(this, "_repositionTooltipsHandler", void 0);
    this.title = null;
    this.selectViewTabsKeyStrokesEnabled = true;
    this.selectViewTabsKeyStrokeModifier = 'control';
    this.cacheSplitterPosition = true;
    this.browserHistoryEntry = null;
    this.logoId = null;
    this.navigationVisible = true;
    this.navigationHandleVisible = true;
    this.logoActionEnabled = false;
    this.benchVisible = true;
    this.headerVisible = true;
    this.geolocationServiceAvailable = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsGeolocation();
    this.benchLayoutData = null;
    this.nativeNotificationDefaults = null;
    this.menus = [];
    this.addOns = [];
    this.dialogs = [];
    this.views = [];
    this.keyStrokes = [];
    this.viewButtons = [];
    this.messageBoxes = [];
    this.fileChoosers = [];
    this.outline = null;
    this.activeForm = null;
    this.selectedViewTabs = new Map();
    this.notifications = [];
    this.navigation = null;
    this.header = null;
    this.bench = null;
    this.splitter = null;
    this.splitterVisible = false;
    this.formController = null;
    this.messageBoxController = null;
    this.fileChooserController = null;
    this.initialFormRendering = false;
    this.offline = false;
    this.inBackground = false;
    this.openUriHandler = null;
    this.theme = null;
    this.dense = false;
    this.url = null;
    this.busySupport = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BusySupport, {
      parent: this
    });
    this.$notifications = null;
    this._addWidgetProperties(['viewButtons', 'menus', 'views', 'selectedViewTabs', 'dialogs', 'outline', 'messageBoxes', 'notifications', 'fileChoosers', 'addOns', 'keyStrokes', 'activeForm', 'focusedElement']);
    this._addPreserveOnPropertyChangeProperties(['focusedElement', 'selectedViewTabs']);
    this._glassPaneTargetFilters = [];
    this._benchActiveViewChangedHandler = this._onBenchActivateViewChanged.bind(this);
    this._selectedViewDestroyHandler = this._onSelectedViewDestroy.bind(this);
    this._repositionTooltipsHandler = null;
  }
  _init(model) {
    // Note: session and desktop are tightly coupled. Because a lot of widgets want to register
    // a listener on the desktop in their init phase, they access the desktop by calling 'this.session.desktop'
    // that's why we need this instance as early as possible. When that happens they access a desktop which is
    // not yet fully initialized. But anyway, it's already possible to attach a listener, for instance.
    // Because of this line of code here, we don't have to set the variable in App.ts, after the desktop has been
    // created. Also note that Scout Java uses a different pattern to solve the same problem, there a VirtualDesktop
    // is used during initialization. When initialization is done, all registered listeners on the virtual desktop
    // are copied to the real desktop instance.
    let session = model.session || model.parent.session;
    session.desktop = this;
    // Needs to be initialized before notifications are created because notifications read this value during init
    model.nativeNotificationDefaults = this._createNativeNotificationDefaults(model);
    super._init(model);
    this.url = new _index__WEBPACK_IMPORTED_MODULE_0__.URL();
    this._initTheme();
    this.formController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopFormController, {
      displayParent: this,
      session: this.session
    });
    this.messageBoxController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxController, {
      displayParent: this,
      session: this.session
    });
    this.fileChooserController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileChooserController, {
      displayParent: this,
      session: this.session
    });
    this._resizeHandler = this.onResize.bind(this);
    this._popstateHandler = this.onPopstate.bind(this);
    this.updateSplitterVisibility();
    this.resolveTextKeys(['title']);
    this._setViews(this.views);
    this._setViewButtons(this.viewButtons);
    this._setSelectedViewTabs(this.selectedViewTabs);
    this._setMenus(this.menus);
    this._setKeyStrokes(this.keyStrokes);
    this._setBenchLayoutData(this.benchLayoutData);
    this._setDisplayStyle(this.displayStyle);
    this._setDense(this.dense);
    this.openUriHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.OpenUriHandler, {
      session: this.session
    });
    this._glassPaneTargetFilters.push((targetElem, element) => {
      // Exclude all child elements of the given widget
      // Use case: element is a popup and has tooltip open. The tooltip is displayed in the desktop and considered as glass pane target by the selector above
      let target = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(targetElem);
      return !element.has(target);
    });
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.DisableBrowserF5ReloadKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.DisableBrowserTabSwitchingKeyStroke(this)]);
  }
  _createNativeNotificationDefaults(model) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      title: model.title,
      iconId: model.logoId
    }, model.nativeNotificationDefaults);
  }
  /** @see DesktopModel.nativeNotificationDefaults */
  setNativeNotificationDefaults(defaults) {
    this.setProperty('nativeNotificationDefaults', defaults);
  }
  _onBenchActivateViewChanged(event) {
    if (this.initialFormRendering) {
      return;
    }
    let view = event.view;
    if (view instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && this.bench.outlineContent !== view && !view.detailForm) {
      // Notify model that this form is active (only for regular views, not detail forms)
      this._setFormActivated(view);
    }
  }
  _render() {
    this.$container = this.$parent;
    this.$container.addClass('desktop');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    // Attach resize listener before other elements can add their own resize listener (e.g. an addon) to make sure it is executed first
    this.$container.window().on('resize', this._resizeHandler).on('popstate', this._popstateHandler);
    // Desktop elements are added before this separator, all overlays are opened after (dialogs, popups, tooltips etc.)
    this.$overlaySeparator = this.$container.appendDiv('overlay-separator').setVisible(false);
    this._renderDense();
    this._renderNavigationVisible();
    this._renderHeaderVisible();
    this._renderBenchVisible();
    this._renderTitle();
    this._renderLogoUrl();
    this._renderSplitterVisible();
    this._renderInBackground();
    this._renderNavigationHandleVisible();
    this._renderNotifications();
    this._renderBrowserHistoryEntry();
    this.addOns.forEach(addOn => addOn.render());
    // prevent general drag and drop, dropping a file anywhere in the application must not open this file in browser
    this._setupDragAndDrop();
    this._disableContextMenu();
  }
  _remove() {
    this.formController.remove();
    this.messageBoxController.remove();
    this.fileChooserController.remove();
    this.$container.window().off('resize', this._resizeHandler).off('popstate', this._popstateHandler);
    super._remove();
  }
  _postRender() {
    super._postRender();
    // Render attached forms, message boxes and file choosers.
    this.initialFormRendering = true;
    this._renderDisplayChildrenOfOutline();
    this.formController.render();
    this.messageBoxController.render();
    this.fileChooserController.render();
    this.initialFormRendering = false;
  }
  _setDisplayStyle(displayStyle) {
    this._setProperty('displayStyle', displayStyle);
    let compact = this.displayStyle === Desktop.DisplayStyle.COMPACT;
    if (this.header) {
      if (this.header.tabArea) {
        const DisplayStyle = _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea.DisplayStyle;
        this.header.tabArea.setDisplayStyle(compact ? DisplayStyle.SPREAD_EVEN : DisplayStyle.DEFAULT);
      }
      this.header.setToolBoxVisible(!compact);
      this.header.animateRemoval = compact;
    }
    if (this.navigation) {
      this.navigation.setToolBoxVisible(compact);
      this.navigation.htmlComp.layoutData.fullWidth = compact;
    }
    if (this.bench) {
      this.bench.setOutlineContentVisible(!compact);
    }
    if (this.outline) {
      this.outline.setCompact(compact);
      this.outline.setEmbedDetailContent(compact);
    }
  }
  /** @see BusySupport.setBusy */
  setBusy(busy) {
    this.busySupport.setBusy(busy);
  }
  /**
   * @returns true if the desktop has a busy indicator active.
   */
  get busy() {
    return this.busySupport.isBusy();
  }
  /** @see DesktopModel.dense */
  setDense(dense) {
    this.setProperty('dense', dense);
  }
  _setDense(dense) {
    this._setProperty('dense', dense);
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.clearCache();
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().init(this.dense ? 'dense' : null);
  }
  _renderDense() {
    this.$container.toggleClass('dense', this.dense);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DesktopLayout(this);
  }
  /**
   * Displays attached forms, message boxes and file choosers.
   * Outline does not need to be rendered to show the child elements, it needs to be active (necessary if navigation is invisible)
   */
  _renderDisplayChildrenOfOutline() {
    if (!this.outline) {
      return;
    }
    this.outline.formController.render();
    this.outline.messageBoxController.render();
    this.outline.fileChooserController.render();
    // Restore the selected views after an outline change or select them initially based on the model state
    if (this.outline.selectedViewTabs.size > 0) {
      this.outline.selectedViewTabs.forEach(selectedView => {
        this.formController._activateView(selectedView);
      });
    } else {
      // views on the outline are not activated by default. Check for modal views on this outline
      let modalViews = this.outline.views.filter(view => view.modal);
      // activate each modal view in the order it was originally activated
      modalViews.forEach(this.formController._activateView.bind(this.formController));
    }
  }
  _removeDisplayChildrenOfOutline() {
    if (!this.outline) {
      return;
    }
    this.outline.formController.remove();
    this.outline.messageBoxController.remove();
    this.outline.fileChooserController.remove();
  }
  computeParentForDisplayParent(displayParent) {
    // Outline must not be used as parent, otherwise the children (form, messageboxes etc.) would be removed if navigation is made invisible
    // The functions _render/removeDisplayChildrenOfOutline take care that the elements are correctly rendered/removed on an outline switch
    let parent = displayParent;
    if (displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Outline) {
      parent = this;
    }
    return parent;
  }
  _renderTitle() {
    let title = this.title;
    if (title === undefined || title === null) {
      return;
    }
    let $scoutDivs = jquery__WEBPACK_IMPORTED_MODULE_1___default()('div.scout');
    if ($scoutDivs.length <= 1) {
      // only set document title in non-portlet case
      $scoutDivs.document(true).title = title;
    }
  }
  _renderActiveForm() {
    // NOP -> is handled in _setFormActivated when ui changes active form or if model changes form in _onFormShow/_onFormActivate
  }
  _renderBench() {
    if (this.bench) {
      return;
    }
    this.bench = this._createBench();
    this.bench.on('viewActivate', this._benchActiveViewChangedHandler);
    this.bench.render();
    this.bench.$container.insertBefore(this.$overlaySeparator);
    this.invalidateLayoutTree();
  }
  _createBench() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopBench, {
      parent: this,
      animateRemoval: true,
      headerTabArea: this.header ? this.header.tabArea : undefined,
      outlineContentVisible: this.displayStyle !== Desktop.DisplayStyle.COMPACT
    });
  }
  _removeBench() {
    if (!this.bench) {
      return;
    }
    this.bench.off('viewActivate', this._benchActiveViewChangedHandler);
    this.bench.on('destroy', () => {
      this.bench = null;
      this.invalidateLayoutTree();
    });
    this.bench.destroy();
  }
  _renderBenchVisible() {
    this.animateLayoutChange = this.rendered;
    if (this.benchVisible) {
      this._renderBench();
      this._renderInBackground();
    } else {
      this._removeBench();
    }
  }
  _renderNavigation() {
    if (this.navigation) {
      return;
    }
    this.navigation = this._createNavigation();
    this.navigation.render();
    this.navigation.$container.prependTo(this.$container);
    this.$container.removeClass('navigation-invisible');
    this.invalidateLayoutTree();
  }
  _createNavigation() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation, {
      parent: this,
      outline: this.outline,
      toolBoxVisible: this.displayStyle === Desktop.DisplayStyle.COMPACT,
      layoutData: {
        fullWidth: this.displayStyle === Desktop.DisplayStyle.COMPACT
      }
    });
  }
  _removeNavigation() {
    this.$container.addClass('navigation-invisible');
    if (!this.navigation) {
      return;
    }
    this.navigation.destroy();
    this.navigation = null;
    this.invalidateLayoutTree();
  }
  _renderNavigationVisible() {
    this.animateLayoutChange = this.rendered;
    if (this.navigationVisible) {
      this._renderNavigation();
    } else {
      if (!this.animateLayoutChange) {
        this._removeNavigation();
      } else {
        // re layout to trigger animation
        this.invalidateLayoutTree();
      }
    }
  }
  _renderHeader() {
    if (this.header) {
      return;
    }
    this.header = this._createHeader();
    this.header.render();
    if (this.navigation && this.navigation.rendered) {
      this.header.$container.insertAfter(this.navigation.$container);
    } else {
      this.header.$container.prependTo(this.$container);
    }
    // register header tab area
    if (this.bench) {
      this.bench._setTabArea(this.header.tabArea);
    }
    this.invalidateLayoutTree();
  }
  _createHeader() {
    let compact = this.displayStyle === Desktop.DisplayStyle.COMPACT;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopHeader, {
      parent: this,
      logoUrl: this.logoUrl,
      animateRemoval: compact,
      toolBoxVisible: !compact,
      tabArea: {
        displayStyle: compact ? _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea.DisplayStyle.SPREAD_EVEN : _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea.DisplayStyle.DEFAULT
      }
    });
  }
  _removeHeader() {
    if (!this.header) {
      return;
    }
    this.header.on('destroy', () => {
      this.invalidateLayoutTree();
      this.header = null;
    });
    this.header.destroy();
  }
  _renderHeaderVisible() {
    if (this.headerVisible) {
      this._renderHeader();
    } else {
      this._removeHeader();
    }
  }
  _renderLogoUrl() {
    if (this.header) {
      this.header.setLogoUrl(this.logoUrl);
    }
  }
  _renderSplitterVisible() {
    if (this.splitterVisible) {
      this._renderSplitter();
    } else {
      this._removeSplitter();
    }
  }
  _renderSplitter() {
    if (this.splitter || !this.navigation) {
      return;
    }
    this.splitter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Splitter, {
      parent: this,
      $anchor: this.navigation.$container,
      $root: this.$container
    });
    this.splitter.render();
    this.splitter.$container.insertBefore(this.$overlaySeparator);
    this.splitter.on('move', this._onSplitterMove.bind(this));
    this.splitter.on('moveEnd', this._onSplitterMoveEnd.bind(this));
    this.splitter.on('positionChange', this._onSplitterPositionChange.bind(this));
    this.updateSplitterPosition();
  }
  _removeSplitter() {
    if (!this.splitter) {
      return;
    }
    this.splitter.destroy();
    this.splitter = null;
  }
  _renderInBackground() {
    this.$container.toggleClass('in-background', this.inBackground && this.displayStyle !== Desktop.DisplayStyle.COMPACT);
    if (this.bench) {
      this.bench.$container.toggleClass('drop-shadow', this.inBackground);
    }
  }
  _renderBrowserHistoryEntry() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsHistoryApi()) {
      return;
    }
    let myWindow = this.$container.window(true),
      history = this.browserHistoryEntry;
    if (history) {
      let historyPath = this._createHistoryPath(history);
      let setStateFunc = (this.rendered ? myWindow.history.pushState : myWindow.history.replaceState).bind(myWindow.history);
      let historyState = {
        deepLinkPath: history.deepLinkPath
      };
      setStateFunc(historyState, history.title, historyPath);
    }
  }
  /**
   * Takes the {@link BrowserHistoryEntry.path} and appends additional URL parameters.
   */
  _createHistoryPath(history) {
    if (!history.pathVisible) {
      return '';
    }
    let historyPath = history.path;
    let cloneUrl = this.url.clone();
    cloneUrl.removeParameter('dl');
    cloneUrl.removeParameter('i');
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.countOwnProperties(cloneUrl.parameterMap) > 0) {
      let pathUrl = new _index__WEBPACK_IMPORTED_MODULE_0__.URL(historyPath);
      for (let paramName in cloneUrl.parameterMap) {
        pathUrl.addParameter(paramName, cloneUrl.getParameter(paramName));
      }
      historyPath = pathUrl.toString({
        alwaysFirst: ['dl', 'i']
      });
    }
    return historyPath;
  }
  _setupDragAndDrop() {
    let dragEnterOrOver = event => {
      event.stopPropagation();
      event.preventDefault();
      // change cursor to forbidden (no dropping allowed)
      event.originalEvent.dataTransfer.dropEffect = 'none';
    };
    this.$container.on('dragenter', dragEnterOrOver);
    this.$container.on('dragover', dragEnterOrOver);
    this.$container.on('drop', event => {
      event.stopPropagation();
      event.preventDefault();
    });
  }
  updateSplitterVisibility() {
    // Splitter should only be visible if navigation and bench are visible, but never in compact mode (to prevent unnecessary splitter rendering)
    this.setSplitterVisible(this.navigationVisible && this.benchVisible && this.displayStyle !== Desktop.DisplayStyle.COMPACT);
  }
  setSplitterVisible(visible) {
    this.setProperty('splitterVisible', visible);
  }
  updateSplitterPosition() {
    if (!this.splitter) {
      return;
    }
    let storedSplitterPosition = this.cacheSplitterPosition && this._loadCachedSplitterPosition();
    if (storedSplitterPosition) {
      // Restore splitter position
      let splitterPosition = parseInt(storedSplitterPosition, 10);
      this.splitter.setPosition(splitterPosition);
      this.invalidateLayoutTree();
    } else {
      // Set initial splitter position (default defined by css)
      this.splitter.setPosition();
      this.invalidateLayoutTree();
    }
  }
  _disableContextMenu() {
    // Switch off browser's default context menu for the entire scout desktop (except input fields)
    this.$container.on('contextmenu', event => {
      if (event.target.nodeName !== 'INPUT' && event.target.nodeName !== 'TEXTAREA' && !event.target.isContentEditable) {
        event.preventDefault();
      }
    });
  }
  /** @see DesktopModel.outline */
  setOutline(outline) {
    if (this.outline === outline) {
      return;
    }
    try {
      if (this.bench) {
        this.bench.setChanging(true);
      }
      if (this.rendered) {
        this._removeDisplayChildrenOfOutline();
      }
      this.outline = outline;
      this._setDisplayStyle(this.displayStyle);
      this._setOutlineActivated();
      if (this.navigation) {
        this.navigation.setOutline(this.outline);
      }
      // call render after triggering event so glasspane rendering taking place can refer to the current outline content
      this.trigger('outlineChange');
      if (this.rendered) {
        this._renderDisplayChildrenOfOutline();
      }
    } finally {
      if (this.bench) {
        this.bench.setChanging(false);
      }
    }
  }
  _setViews(views) {
    if (views) {
      views.forEach(view => view.setDisplayParent(this));
    }
    this._setProperty('views', views);
  }
  _setViewButtons(viewButtons) {
    this.updateKeyStrokes(viewButtons, this.viewButtons);
    this._setProperty('viewButtons', viewButtons);
  }
  /** @see DesktopModel.menus */
  setMenus(menus) {
    if (this.header) {
      this.header.setMenus(menus);
    }
  }
  _setMenus(menus) {
    this.updateKeyStrokes(menus, this.menus);
    this._setProperty('menus', menus);
  }
  _setKeyStrokes(keyStrokes) {
    this.updateKeyStrokes(keyStrokes, this.keyStrokes);
    this._setProperty('keyStrokes', keyStrokes);
  }
  /** @see DesktopModel.navigationHandleVisible */
  setNavigationHandleVisible(visible) {
    this.setProperty('navigationHandleVisible', visible);
  }
  _renderNavigationHandleVisible() {
    this.$container.toggleClass('has-navigation-handle', this.navigationHandleVisible);
  }
  /** @see DesktopModel.navigationVisible */
  setNavigationVisible(visible) {
    this.setProperty('navigationVisible', visible);
    this.updateSplitterVisibility();
  }
  /** @see DesktopModel.benchVisible */
  setBenchVisible(visible) {
    this.setProperty('benchVisible', visible);
    this.updateSplitterVisibility();
  }
  /** @see DesktopModel.headerVisible */
  setHeaderVisible(visible) {
    this.setProperty('headerVisible', visible);
  }
  _setBenchLayoutData(layoutData) {
    layoutData = _index__WEBPACK_IMPORTED_MODULE_0__.BenchColumnLayoutData.ensure(layoutData);
    this._setProperty('benchLayoutData', layoutData);
  }
  _setInBackground(inBackground) {
    this._setProperty('inBackground', inBackground);
  }
  outlineDisplayStyle() {
    if (this.outline) {
      return this.outline.displayStyle;
    }
  }
  shrinkNavigation() {
    if (this.outline && this.outline.toggleBreadcrumbStyleEnabled && this.navigationVisible && this.outlineDisplayStyle() === _index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.DEFAULT) {
      this.outline.setDisplayStyle(_index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.BREADCRUMB);
    } else {
      this.setNavigationVisible(false);
    }
  }
  enlargeNavigation() {
    if (this.outline && this.navigationVisible && this.outlineDisplayStyle() === _index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.BREADCRUMB) {
      this.outline.setDisplayStyle(_index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.DEFAULT);
      if (this.cacheSplitterPosition && this.splitter) {
        this.validateLayoutTree();
        this._storeCachedSplitterPosition(this.splitter.position);
      }
    } else {
      this.setNavigationVisible(true);
    }
  }
  /**
   * @param headerVisible whether the desktop header should be visible. Default is true.
   */
  switchToBench(headerVisible) {
    this.setHeaderVisible(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(headerVisible, true));
    this.setBenchVisible(true);
    this.setNavigationVisible(false);
  }
  switchToNavigation() {
    this.setNavigationVisible(true);
    this.setHeaderVisible(false);
    this.setBenchVisible(false);
  }
  revalidateHeaderLayout() {
    if (this.header) {
      this.header.revalidateLayout();
    }
  }
  goOffline() {
    if (this.offline) {
      return;
    }
    this.offline = true;
    this._removeOfflineNotification();
    this._offlineNotification = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.OfflineDesktopNotification, {
      parent: this
    });
    this._offlineNotification.show();
  }
  goOnline() {
    this._removeOfflineNotification();
  }
  _removeOfflineNotification() {
    if (this._offlineNotification) {
      setTimeout(this.removeNotification.bind(this, this._offlineNotification), 3000);
      this._offlineNotification = null;
    }
  }
  addNotification(notification) {
    if (!notification) {
      return;
    }
    this.notifications.push(notification);
    if (this.rendered) {
      this._renderNotification(notification);
    }
  }
  _renderNotification(notification) {
    if (this.$notifications) {
      // Bring to front
      this.$notifications.appendTo(this.$container);
    } else {
      this.$notifications = this.$container.appendDiv('desktop-notifications');
    }
    notification.fadeIn(this.$notifications);
    if (notification.duration > 0) {
      notification.removeTimeout = setTimeout(notification.hide.bind(notification), notification.duration);
      notification.one('remove', () => this.removeNotification(notification));
    }
  }
  _renderNotifications() {
    this.notifications.forEach(notification => this._renderNotification(notification));
  }
  /**
   * Removes the given notification.
   * @param notification Either an instance of DesktopNavigation or a String containing an ID of a notification instance.
   */
  removeNotification(desktopNotification) {
    let notification;
    if (typeof desktopNotification === 'string') {
      notification = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.notifications, n => desktopNotification === n.id);
    } else {
      notification = desktopNotification;
    }
    if (!notification) {
      return;
    }
    if (notification.removeTimeout) {
      clearTimeout(notification.removeTimeout);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.notifications, notification);
    if (!this.rendered) {
      return;
    }
    if (notification.rendered) {
      notification.one('remove', this._onNotificationRemove.bind(this));
    }
    notification.fadeOut();
  }
  getPopups() {
    if (!this.$container) {
      return [];
    }
    let popups = [];
    this.$container.children('.popup').each((i, elem) => {
      let $popup = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let popup = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.get($popup);
      if (popup instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Popup) {
        popups.push(popup);
      }
    });
    return popups;
  }
  getPopupsFor(widget) {
    return this.getPopups().filter(popup => widget.has(popup));
  }
  /**
   * Removes every popup which is a descendant of the given widget.
   */
  removePopupsFor(widget) {
    this.getPopupsFor(widget).forEach(popup => popup.remove());
  }
  /**
   * Opens the uri using {@link OpenUriHandler}
   * @param uri the uri to open
   * @param action the action to be performed on the given uri. Default is Desktop.UriAction.OPEN.
   */
  openUri(uri, action) {
    if (!this.rendered) {
      this._postRenderActions.push(this.openUri.bind(this, uri, action));
      return;
    }
    this.openUriHandler.openUri(uri, action);
  }
  bringOutlineToFront() {
    if (!this.rendered) {
      this._postRenderActions.push(this.bringOutlineToFront.bind(this));
      return;
    }
    if (!this.inBackground || this.displayStyle === Desktop.DisplayStyle.BENCH) {
      return;
    }
    this._setInBackground(false);
    this._setOutlineActivated();
    if (this.navigationVisible) {
      this.navigation.bringToFront();
    }
    if (this.benchVisible) {
      this.bench.bringToFront();
    }
    if (this.headerVisible) {
      this.header.bringToFront();
    }
    this._renderInBackground();
  }
  sendOutlineToBack() {
    if (this.inBackground) {
      return;
    }
    this._setInBackground(true);
    if (this.navigationVisible) {
      this.navigation.sendToBack();
    }
    if (this.benchVisible) {
      this.bench.sendToBack();
    }
    if (this.headerVisible) {
      this.header.sendToBack();
    }
    this._renderInBackground();
  }
  /**
   * === Method required for objects that act as 'displayParent' ===
   *
   * Returns 'true' if the Desktop is currently accessible to the user.
   */
  inFront() {
    return true; // Desktop is always available to the user.
  }
  /**
   * === Method required for objects that act as 'displayParent' ===
   *
   * @returns the DOM elements to paint a glassPanes over, once a modal Form, message-box, file-chooser or wait-dialog is showed with the Desktop as its 'displayParent'.
   */
  _glassPaneTargets(element) {
    // Do not return $container, because this is the parent of all forms and message boxes. Otherwise, no form could gain focus, even the form requested desktop modality.
    let $glassPaneTargets = this.$container.children().not('.splitter') // exclude splitter to be locked
    .not('.desktop-notifications') // exclude notification box like 'connection interrupted' to be locked
    .not('.overlay-separator'); // exclude overlay separator (marker element)
    if (element) {
      if (element.$container) {
        $glassPaneTargets = $glassPaneTargets.not(element.$container);
      }
      let overlays = this.$overlaySeparator.nextAll().toArray();
      let nextSiblings = [];
      // If the element is an overlay, get all next siblings and exclude them because they must not be covered
      if (element.$container && overlays.indexOf(element.$container[0]) > -1) {
        nextSiblings = element.$container.nextAll().toArray();
      }
      // The top-most element should not have a glass-pane (#274353)
      let topMostElement = null;
      if (overlays.length) {
        for (let i = overlays.length - 1; i >= 0; i--) {
          // Don't consider filtered glass-pane targets like the HelpPopup.js
          // These targets stand outside the regular modality hierarchy.
          let overlay = overlays[i];
          if (!this._isGlassPaneTargetFiltered(overlay, element)) {
            continue;
          }
          topMostElement = overlay;
          break; // stop looking further
        }
      }
      $glassPaneTargets = $glassPaneTargets.filter((i, targetElem) => {
        if (nextSiblings.indexOf(targetElem) > -1) {
          return false;
        }
        if (targetElem === topMostElement) {
          return false;
        }
        return this._isGlassPaneTargetFiltered(targetElem, element);
      });
    }
    let glassPaneTargets;
    if (element instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && element.displayHint === _index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW) {
      $glassPaneTargets = $glassPaneTargets.not('.desktop-bench').not('.desktop-header');
      if (this.header && this.header.toolBox && this.header.toolBox.$container) {
        $glassPaneTargets.push(this.header.toolBox.$container);
      }
      glassPaneTargets = jquery__WEBPACK_IMPORTED_MODULE_1___default().makeArray($glassPaneTargets);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(glassPaneTargets, this._getBenchGlassPaneTargetsForView(element));
    } else {
      glassPaneTargets = jquery__WEBPACK_IMPORTED_MODULE_1___default().makeArray($glassPaneTargets);
    }
    // When a popup-window is opened its container must also be added to the result
    this._pushPopupWindowGlassPaneTargets(glassPaneTargets, element);
    return glassPaneTargets;
  }
  _isGlassPaneTargetFiltered(targetElem, element) {
    return this._glassPaneTargetFilters.every(filter => filter(targetElem, element));
  }
  /**
   * Adds a filter which is applied when the glass pane targets are collected.
   * If the filter returns <code>false</code>, the target won't be accepted and not covered by a glass pane.
   * This filter should be used primarily for elements like the help-popup which stand outside the regular modality hierarchy.
   *
   * @param filter a function with the parameter target and element. Target is the element which
   *     would be covered by a glass pane, element is the element the user interacts with (e.g. the modal dialog).
   * @see _glassPaneTargets
   */
  addGlassPaneTargetFilter(filter) {
    this._glassPaneTargetFilters.push(filter);
  }
  removeGlassPaneTargetFilter(filter) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._glassPaneTargetFilters, filter);
  }
  /**
   * This 'deferred' object is used because popup windows are not immediately usable when they're opened.
   * That's why we must render the glass-pane of a popup window later. Which means, at the point in time
   * when its $container is created and ready for usage. To avoid race conditions we must also wait until
   * the glass pane renderer is ready. Only when both conditions are fulfilled, we can render the glass
   * pane.
   */
  _deferredGlassPaneTarget(popupWindow) {
    let deferred = new _index__WEBPACK_IMPORTED_MODULE_0__.DeferredGlassPaneTarget();
    popupWindow.one('init', () => deferred.ready([popupWindow.$container]));
    return deferred;
  }
  _getBenchGlassPaneTargetsForView(view) {
    let $glassPanes = [];
    $glassPanes = $glassPanes.concat(this._getTabGlassPaneTargetsForView(view, this.header));
    if (this.bench) {
      this.bench.visibleTabBoxes().forEach(tabBox => {
        if (!tabBox.rendered) {
          return;
        }
        if (tabBox.hasView(view)) {
          $glassPanes = $glassPanes.concat(this._getTabGlassPaneTargetsForView(view, tabBox));
        } else {
          $glassPanes.push(tabBox.$container);
        }
      });
    }
    return $glassPanes;
  }
  _getTabGlassPaneTargetsForView(view, tabBox) {
    let $glassPanes = [];
    if (tabBox && tabBox.tabArea) {
      tabBox.tabArea.tabs.forEach(tab => {
        if (tab.view !== view) {
          $glassPanes.push(tab.$container);
          // Workaround for javascript not being able to prevent hover event propagation:
          // In case of tabs, the hover selector is defined on the element that is the direct parent
          // of the glass pane. Under these circumstances, the hover style isn't be prevented by the glass pane.
          tab.$container.addClass('glasspane-parent');
        }
      });
    }
    return $glassPanes;
  }
  _pushPopupWindowGlassPaneTargets(glassPaneTargets, element) {
    this.formController.popupWindows.forEach(popupWindow => {
      if (element === popupWindow.form) {
        // Don't block form itself
        return;
      }
      glassPaneTargets.push(popupWindow.initialized ? popupWindow.$container[0] : this._deferredGlassPaneTarget(popupWindow));
    });
  }
  showForm(form, position) {
    let displayParent = form.displayParent || this;
    form.setDisplayParent(displayParent);
    this._setFormActivated(form);
    // register listener to recover active form when child dialog is removed
    displayParent.formController.registerAndRender(form, position, true);
  }
  hideForm(form) {
    if (!form.displayParent) {
      // showForm has probably never been called -> nothing to do here
      // May happen if form.close() is called immediately after form.open() without waiting for the open promise to resolve
      // Hint: it is not possible to check whether the form is rendered and then return (which would be the obvious thing to do).
      // Reason: Forms in popup windows are removed before getting closed, see DesktopFormController._onPopupWindowUnload
      return;
    }
    if (this.displayStyle === Desktop.DisplayStyle.COMPACT && form.isView() && this.benchVisible) {
      let openViews = this.bench.getViews().slice();
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(openViews, form);
      if (openViews.length === 0) {
        // Hide bench and show navigation if this is the last view to be hidden
        this.switchToNavigation();
      }
    }
    form.displayParent.formController.unregisterAndRemove(form);
    if (!this.benchVisible || this.bench.getViews().length === 0) {
      // Bring outline to front if last view has been closed,
      // even if bench is invisible (compact case) to update state correctly and reshow elements (dialog etc.) linked to the outline
      this.bringOutlineToFront();
    }
  }
  /**
   * @see Form.isShown
   */
  isFormShown(form) {
    let displayParent = form.displayParent || this;
    return displayParent.formController.isFormShown(form);
  }
  /**
   * Collects all forms that are currently shown, independent of the {@link Form.displayParent}.
   * This means, forms that have an {@link Outline} or another {@link Form} as display parent, are returned as well.
   *
   * *Note*: `shown` does not necessarily mean, the user can see the content of the form for sure, see {@link Form.isShown}.
   */
  getShownForms() {
    let forms = [];
    let displayParents = [this, ...this.getOutlines()];
    for (let displayParent of displayParents) {
      forms = forms.concat(displayParent.views).concat(displayParent.dialogs);
    }
    // Form can also be a display parent, collect child forms as well
    for (let form of forms) {
      forms = forms.concat(form.views).concat(form.dialogs);
    }
    return forms;
  }
  findFormWithExclusiveKey(exclusiveKey, formClass) {
    let key = exclusiveKey;
    if (typeof exclusiveKey === 'function') {
      key = exclusiveKey();
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(key, 'ExclusiveKey expected');
    for (let form of this.getShownForms()) {
      if (formClass && !(form instanceof formClass)) {
        continue;
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(form.exclusiveKey(), key)) {
        return form;
      }
    }
    return null;
  }
  createFormExclusive(formClassOrCreator, formModelOrExclusiveKey, exclusiveKey) {
    let formClass;
    let formCreator;
    let formModel;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isSameOrExtendsClass(formClassOrCreator, _index__WEBPACK_IMPORTED_MODULE_0__.Form)) {
      formClass = formClassOrCreator;
      formModel = formModelOrExclusiveKey;
    } else {
      formCreator = formClassOrCreator;
      exclusiveKey = formModelOrExclusiveKey;
    }
    // If there is a form with the same exclusive key and form class, return it
    let form = !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(exclusiveKey) && this.findFormWithExclusiveKey(exclusiveKey, formClass);
    if (form) {
      return form;
    }
    // Otherwise, create a new form
    if (formClass) {
      form = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(formClass, jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, formModel, {
        exclusiveKey
      }));
    } else {
      form = formCreator();
      form.setExclusiveKey(exclusiveKey);
    }
    return form;
  }
  /**
   * Brings the form into foreground so the user can see and work with it.
   *
   * In case of a {@link Form.DisplayHint.VIEW}, the tab will be selected.
   * In case of a {@link Form.DisplayHint.DIALOG}, the form will be moved to the front of all dialogs.
   *
   * If the form belongs to an outline (has {@link Form.displayParent} set to that outline) that is currently not active, the outline will be activated first.
   *
   * Only one form can be active at once. The currently active form is reflected by {@link activeForm}.
   */
  activateForm(form) {
    if (!form) {
      this._setFormActivated(null);
      return;
    }
    let displayParent = form.displayParent || this;
    displayParent.formController.activateForm(form);
    this._setFormActivated(form);
    // If the form has a modal child dialog, this dialog needs to be activated as well.
    form.dialogs.forEach(dialog => {
      if (dialog.modal) {
        this.activateForm(dialog);
      }
    });
  }
  /** @internal */
  _setOutlineActivated() {
    this._setFormActivated(null);
    if (this.outline) {
      this.outline.activateCurrentPage();
    }
  }
  /** @internal */
  _setFormActivated(form) {
    // If desktop is in rendering process it can not set a new active form. Instead, the active form from the model is selected.
    if (!this.rendered || this.initialFormRendering) {
      return;
    }
    if (this.activeForm === form) {
      return;
    }
    this.activeForm = form;
    if (!form) {
      // no form is activated -> show outline
      this.bringOutlineToFront();
    } else if (form.isView() && !form.detailForm && this.bench && this.bench.hasView(form)) {
      // view form was activated. send the outline to back to ensure the form is attached
      // exclude detail forms even though detail forms usually are not activated
      // Also only consider "real" views used in the bench and ignore other views (e.g. used in a form menu)
      this.sendOutlineToBack();
      this._updateSelectedViewTabs(form);
    }
    this.triggerFormActivate(form);
  }
  _setSelectedViewTabs(views) {
    this.selectedViewTabs = this.prepareSelectedViewTabs(views);
  }
  prepareSelectedViewTabs(views) {
    let map = new Map();
    views.forEach(view => {
      map.set(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopBench.normalizeDisplayViewId(view.displayViewId), view);
      view.one('destroy', this._selectedViewDestroyHandler);
    });
    return map;
  }
  _updateSelectedViewTabs(form) {
    let displayViewId = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopBench.normalizeDisplayViewId(form.displayViewId);
    let selectedViewTabs = this.selectedViewTabs;
    if (form.displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Outline) {
      selectedViewTabs = form.displayParent.selectedViewTabs;
    } else if (form.displayParent instanceof Desktop) {
      // As soon as a desktop tab was selected, don't remember outline tabs in that section anymore
      // because it should not automatically unselect a desktop tab when switching outlines
      this.getOutlines().forEach(outline => outline.selectedViewTabs.delete(displayViewId));
    } else {
      return;
    }
    let previousForm = selectedViewTabs.get(displayViewId);
    if (previousForm === form) {
      return;
    }
    if (previousForm) {
      previousForm.off('destroy', this._selectedViewDestroyHandler);
    }
    selectedViewTabs.set(displayViewId, form);
    form.one('destroy', this._selectedViewDestroyHandler);
  }
  _onSelectedViewDestroy(event) {
    let form = event.source;
    let displayViewId = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopBench.normalizeDisplayViewId(form.displayViewId);
    this.getOutlines().forEach(outline => outline.selectedViewTabs.delete(displayViewId));
    this.selectedViewTabs.delete(displayViewId);
  }
  getOutlines() {
    let outlines = new Set();
    for (let child of this.children) {
      if (child instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Outline) {
        outlines.add(child);
      }
      if (child instanceof _index__WEBPACK_IMPORTED_MODULE_0__.OutlineViewButton && child.outline) {
        outlines.add(child.outline);
      }
    }
    return Array.from(outlines);
  }
  triggerFormActivate(form) {
    this.trigger('formActivate', {
      form: form
    });
  }
  cancelViews(forms) {
    let event = this.trigger('cancelForms', {
      forms: forms
    });
    if (!event.defaultPrevented) {
      return this._cancelViews(forms);
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  _cancelViews(forms) {
    // do not cancel forms when the form child hierarchy does not get canceled.
    forms = forms.filter(form => !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(form.views, view => view.modal));
    // if there's only one form simply cancel it directly
    if (forms.length === 1) {
      const form = forms[0];
      form.activate();
      return form.cancel();
    }
    // collect all forms in the display child hierarchy with unsaved changes.
    let unsavedForms = forms.filter(form => {
      let saveNeededChildDialogs = false;
      form.visitDisplayChildren(dialog => {
        if (dialog.saveNeeded) {
          saveNeededChildDialogs = true;
        }
      }, displayChild => displayChild instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form);
      return form.saveNeeded || saveNeededChildDialogs;
    });
    // initialize with a resolved promise in case there are no unsaved forms.
    let waitFor = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    if (unsavedForms.length > 0) {
      let unsavedFormChangesForm = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.UnsavedFormChangesForm, {
        parent: this,
        session: this.session,
        displayParent: this,
        unsavedForms: unsavedForms
      });
      unsavedFormChangesForm.open();
      // promise that is resolved when the UnsavedFormChangesForm is stored and rejected if it is cancelled
      const deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
      waitFor = deferred.promise();
      unsavedFormChangesForm.whenSave().then(() => {
        let formsToSave = unsavedFormChangesForm.openFormsField.value;
        formsToSave.forEach(form => {
          form.visitDisplayChildren(dialog => {
            // forms should be stored with ok(). Other display children can simply be closed.
            if (dialog instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
              dialog.ok();
            } else {
              dialog.close();
            }
          });
          form.ok();
        });
        deferred.resolve(formsToSave);
      });
      // reject promise if form is aborted or cancelled
      // will also be executed when the form is saved but has no effect as the promise is already resolved in this case
      unsavedFormChangesForm.whenClose().then(() => deferred.reject());
    }
    // only close the remaining forms if the UnsavedFormChangesForm is not aborted or cancelled (i.e. the promise is not rejected)
    return waitFor.then(formsToSave => {
      if (formsToSave) {
        // already saved & closed forms (handled by the UnsavedFormChangesForm)
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(forms, formsToSave);
      }
      // close the remaining forms that don't require saving.
      forms.forEach(form => {
        form.visitDisplayChildren(dialog => dialog.close());
        form.close();
      });
    });
  }
  /**
   * Called when the animation triggered by animationLayoutChange is complete (e.g. navigation or bench got visible/invisible)
   */
  onLayoutAnimationComplete() {
    if (!this.headerVisible) {
      this._removeHeader();
    }
    if (!this.navigationVisible) {
      this._removeNavigation();
    }
    if (!this.benchVisible) {
      this._removeBench();
    }
    this.trigger('animationEnd');
    this.animateLayoutChange = false;
  }
  onLayoutAnimationStep() {
    this.repositionTooltips();
  }
  onResize(event) {
    this.revalidateLayoutTree();
  }
  resetPopstateHandler() {
    this.setPopstateHandler(this.onPopstate.bind(this));
  }
  setPopstateHandler(handler) {
    if (this.rendered || this.rendering) {
      let window = this.$container.window();
      if (this._popstateHandler) {
        window.off('popstate', this._popstateHandler);
      }
      if (handler) {
        window.on('popstate', handler);
      }
    }
    this._popstateHandler = handler;
  }
  onPopstate(event) {
    let originalEvent = event.originalEvent;
    let historyState = originalEvent.state;
    if (historyState && historyState.deepLinkPath) {
      this.trigger('historyEntryActivate', historyState);
    }
  }
  _onSplitterMove(event) {
    // disallow a position greater than 50%
    this.resizing = true;
    let max = Math.floor(this.$container.outerWidth(true) / 2);
    if (event.position > max) {
      event.source.setPosition(max);
      event.preventDefault();
    }
  }
  _onSplitterPositionChange(event) {
    // No need to revalidate while layouting (desktop layout sets the splitter position and would trigger a re-layout)
    if (!this.htmlComp.layouting) {
      this.revalidateLayout();
    }
  }
  _onSplitterMoveEnd(event) {
    let splitterPosition = event.position;
    // Store size
    if (this.cacheSplitterPosition) {
      this._storeCachedSplitterPosition(this.splitter.position);
    }
    // Check if splitter is smaller than min size
    if (splitterPosition < _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.BREADCRUMB_STYLE_WIDTH) {
      // Set width of navigation to BREADCRUMB_STYLE_WIDTH, using an animation.
      // While animating, update the desktop layout.
      // At the end of the animation, update the desktop layout, and store the splitter position.
      this.navigation.$container.animate({
        width: _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.BREADCRUMB_STYLE_WIDTH
      }, {
        progress: function () {
          this.resizing = true;
          this.splitter.setPosition();
          this.revalidateLayout();
          this.resizing = false; // progress seems to be called after complete again -> layout requires flag to be properly set
        }.bind(this),
        complete: function () {
          this.resizing = true;
          this.splitter.setPosition();
          // Store size
          if (this.cacheSplitterPosition) {
            this._storeCachedSplitterPosition(this.splitter.position);
          }
          this.revalidateLayout();
          this.resizing = false;
        }.bind(this)
      });
    } else {
      this.resizing = false;
    }
  }
  _loadCachedSplitterPosition() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage('scout:desktopSplitterPosition') || _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromLocalStorage('scout:desktopSplitterPosition:' + window.location.pathname);
  }
  _storeCachedSplitterPosition(splitterPosition) {
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToSessionStorage('scout:desktopSplitterPosition', splitterPosition + '');
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToLocalStorage('scout:desktopSplitterPosition:' + window.location.pathname, splitterPosition + '');
  }
  /** @internal */
  _onNotificationRemove(event) {
    if (this.notifications.length === 0 && this.$notifications) {
      this.$notifications.remove();
      this.$notifications = null;
    }
  }
  onReconnecting() {
    if (!this.offline) {
      return;
    }
    this._offlineNotification.reconnect();
  }
  onReconnectingSucceeded() {
    if (!this.offline) {
      return;
    }
    this.offline = false;
    this._offlineNotification.reconnectSucceeded();
    this._removeOfflineNotification();
  }
  onReconnectingFailed() {
    if (!this.offline) {
      return;
    }
    this._offlineNotification.reconnectFailed();
  }
  dataChange(dataType) {
    this.trigger('dataChange', dataType);
  }
  _activeTheme() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.cookies.get('scout.ui.theme') || Desktop.DEFAULT_THEME;
  }
  logoAction() {
    if (this.logoActionEnabled) {
      this.trigger('logoAction');
    }
  }
  _initTheme() {
    let theme = this.theme;
    if (this.url.hasParameter('theme')) {
      theme = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nullIfEmpty(this.url.getParameter('theme')) || Desktop.DEFAULT_THEME;
    } else if (!theme) {
      theme = this._activeTheme();
    }
    this.setTheme(theme);
  }
  /**
   * Changes the current theme.
   *
   * The theme name is stored in a persistent cookie called scout.ui.theme.
   * In order to activate it, the browser is reloaded so that the CSS files for the new theme can be downloaded.
   *
   * Since it is a persistent cookie, the theme will be activated again the next time the app is started, unless the cookie is deleted.
   * @see DesktopModel.theme
   */
  setTheme(theme) {
    this.setProperty('theme', theme);
    if (this.theme !== this._activeTheme()) {
      this._switchTheme(theme);
    }
  }
  _switchTheme(theme) {
    // Add a persistent cookie which expires in 30 days
    _index__WEBPACK_IMPORTED_MODULE_0__.cookies.set('scout.ui.theme', theme, 30 * 24 * 3600);
    // Reload page in order to download the CSS files for the new theme
    // Don't remove body but make it invisible, otherwise JS exceptions might be thrown if body is removed while an action executed
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').setVisible(false);
    let reloadOptions = {
      clearBody: false
    };
    // If parameter 'theme' exists in the URL, remove it now - otherwise the parameter would overrule the cookie settings
    if (this.url.hasParameter('theme')) {
      this.url.removeParameter('theme');
      reloadOptions.redirectUrl = this.url.toString();
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage(reloadOptions);
  }
  /**
   * Moves all the given overlays (popups, dialogs, message boxes etc.) before the target overlay and activates the focus context of the target overlay.
   *
   * @param overlaysToMove the overlays which should be moved before the target overlay
   * @param $targetOverlay the overlay which should eventually be on top of the movable overlays
   */
  moveOverlaysBehindAndFocus(overlaysToMove, $targetOverlay) {
    $targetOverlay = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($targetOverlay);
    $targetOverlay.nextAll().toArray().forEach(overlay => {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAll(overlaysToMove, [overlay])) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()(overlay).insertBefore($targetOverlay);
      }
    });
    // Activate the focus context of the form (will restore the previously focused field)
    // This must not be done when the currently focused element is part of this dialog's DOM
    // subtree, even if it has a separate focus context. Otherwise, the dialog would be
    // (unnecessarily) activated, causing the current focus context to lose the focus.
    // Example: editable table with a cell editor popup --> editor should keep the focus
    // when the user clicks the clear icon ("x") inside the editor field.
    if (!$targetOverlay.isOrHas($targetOverlay.activeElement())) {
      this.session.focusManager.activateFocusContext($targetOverlay);
    }
  }
  /**
   * If the given widget is an overlay (i.e. its $container is one of the elements after $overlaySeparator),
   * the DOM order is adjusted such that the overlay is not displayed in front of other overlays that
   * belong to a later "context".
   *
   * For example, when two dialogs are open, both are rendered after the desktop's $overlaySeparator.
   *
   * - Context 0: Any overlay opened by a view is rendered before dialog1.$container.
   * - Context 1: Any overlay opened by dialog1 is rendered between dialog1.$container and before dialog2.$container.
   * - Context 2: Any overlay opened by dialog2 is rendered after dialog2.$container.
   *
   * Within each context, tooltips are always displayed first, followed by all other overlays (e.g. popups),
   * each in their opening order.
   */
  adjustOverlayOrder(overlay) {
    if (!this.rendered) {
      return;
    }
    let $allOverlays = this.$overlaySeparator.nextAll();
    if (!$allOverlays.is(overlay.$container)) {
      return; // not an overlay
    }
    const $overlays = $allOverlays.not(overlay.$container);
    // A version of scout.widget() that also works when the DOM is not yet linked with the
    // model (e.g. when an error tooltip is initially shown when opening a dialog).
    const findWidget = elem => {
      let widget = overlay.findParent(p => p.$container && p.$container.is(elem));
      return widget || _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(elem);
    };
    // Returns the DOM element of the closest parent widget that is an overlay. To find it, we traverse the
    // list of overlay in reverse order and check if it contains the given widget. The order is important,
    // because dialogs linked via 'displayParent' form a single hierarchy.
    const findParentOverlay = widget => {
      let parentOverlay = null;
      $overlays.toArray().reverse().some(elem => {
        let overlayWidget = findWidget(elem);
        if (overlayWidget && !(overlayWidget instanceof Desktop) && overlayWidget.has(widget)) {
          parentOverlay = overlayWidget;
          return true; // found
        }
        return false;
      });
      return parentOverlay;
    };
    // ------
    // Find the parent overlay of the given overlay widget.
    // The result can also be null, e.g. when opening overlays from a view.
    let parentOverlay = findParentOverlay(overlay);
    // Find all tooltips that belong to the same parent overlay
    let siblingTooltipElements = $overlays.toArray().filter(elem => {
      let widget = findWidget(elem);
      if (widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip) {
        let parent = findParentOverlay(widget);
        if (parent === parentOverlay) {
          return true;
        }
      }
      return false;
    });
    // If the current overlay context contains tooltips, insert the given overlay after them.
    // Otherwise, insert it at the beginning of the current overlay context.
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.hasElements(siblingTooltipElements)) {
      overlay.$container.insertAfter(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(siblingTooltipElements));
    } else {
      overlay.$container.insertAfter(parentOverlay ? parentOverlay.$container : this.$overlaySeparator);
    }
  }
  tooltipRendered(tooltip) {
    this.adjustOverlayOrder(tooltip);
    if (this._repositionTooltipsHandler) {
      return;
    }
    if (!this.$container.children('.tooltip').length) {
      return;
    }
    this._repositionTooltipsHandler = () => {
      this.repositionTooltips();
      this.session.layoutValidator.schedulePostValidateFunction(this._repositionTooltipsHandler);
    };
    this.session.layoutValidator.schedulePostValidateFunction(this._repositionTooltipsHandler);
  }
  tooltipRemoved(tooltip) {
    if (!this._repositionTooltipsHandler) {
      return;
    }
    if (this.$container.children('.tooltip').length) {
      return;
    }
    this.session.layoutValidator.removePostValidateFunction(this._repositionTooltipsHandler);
    this._repositionTooltipsHandler = null;
  }
  repositionTooltips() {
    this.$container.children('.tooltip').each(function () {
      let widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this));
      widget.position();
    });
  }
  _renderTrackFocus() {
    if (this.trackFocus) {
      // Use capture phase because FocusContext stops propagation
      this.$container[0].addEventListener('focusin', this._focusInListener, true);
    } else {
      this.$container[0].removeEventListener('focusin', this._focusInListener, true);
    }
  }
  _onFocusIn(event) {
    super._onFocusIn(event);
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    let focusedElement = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget($target);
    this.setProperty('focusedElement', focusedElement);
  }
}
_defineProperty(Desktop, "DisplayStyle", {
  /**
   * Default style with header, navigation (outline) and bench (forms).
   */
  DEFAULT: 'default',
  /**
   * In this style, only the bench is visible, header and navigation are invisible.
   *
   * Currently, you'll also have to manually set {@link navigationVisible} and {@link headerVisible} to false.
   */
  BENCH: 'bench',
  /**
   * Compact style that can be used for mobile devices where navigation and bench are never visible simultaneously.
   */
  COMPACT: 'compact'
});
/**
 * The action that should be performed when handling an "open URI" event.
 */
_defineProperty(Desktop, "UriAction", {
  /**
   * The object represented by the URI should be downloaded rather than be handled by the browser's rendering engine.
   * It should make the "Save as..." dialog appear which allows the user to store the resource to his local file system.<br>
   * The application's location does not change, and no browser windows or tabs are opened.<br>
   * <br>
   *<b>Important:</b> This action only works if the HTTP header <i>Content-Disposition: attachment</i> is present on the response of the object to be downloaded.<br>
   */
  DOWNLOAD: 'download',
  /**
   * The object represented by the URI should be opened by the browser rather than just be downloaded.
   * This will only work if the browser knows how to handle the given URI.
   * E.g. if it points to a pdf file, most browsers will be able to display it using their pdf viewer. Other files may just be downloaded.
   * If the URI points to a website, it will be opened in a separate window or tab.
   * <br>
   * This is also the preferred action to open URIs with <b>special protocols</b> that are registered in the user's system and delegated to some "protocol
   * handler". This handler may then perform actions in a third party application (e.g. <i>mailto:xyz@example.com</i>
   * would open the system's mail application).<br>
   * Note that this action may open the object in a new window or tab which may be prevented by
   * the browser's popup blocker mechanism.
   */
  OPEN: 'open',
  /**
   * The content represented by the URI should be rendered by the browser and displayed in a new window or tab.<br>
   * The application's location does not change. Note that this action may be prevented by the browser's popup blocker mechanism.
   */
  NEW_WINDOW: 'newWindow',
  /**
   * The content represented by the URI should be rendered by the browser and displayed in a new non-modal popup
   * window.
   * Unlike {@link UriAction.NEW_WINDOW} the newly opened window is limited, i.e. it does not contain the location, the toolbar and the menubar.
   * This may not work on every browser (e.g. on a mobile browser the action {@link UriAction.POPUP_WINDOW} will likely behave the same way as {@link UriAction.NEW_WINDOW}).<br>
   * The application's location does not change. Note that this action may be prevented by the browser's popup blocker
   * mechanism.
   */
  POPUP_WINDOW: 'popupWindow',
  /**
   * The content represented by the URI should be opened in the same window.
   * This will mainly just replace the location of the current window.
   * If the URI points to another website, the current application will be unloaded and replaced.
   * If it points to a file or uses a special protocol, the handling depends on the used browser.
   */
  SAME_WINDOW: 'sameWindow'
});
_defineProperty(Desktop, "DEFAULT_THEME", 'default');

/***/ }),

/***/ "./src/desktop/DesktopAdapter.ts":
/*!***************************************!*\
  !*** ./src/desktop/DesktopAdapter.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopAdapter: () => (/* binding */ DesktopAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DesktopAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['benchVisible', 'navigationVisible', 'navigationHandleVisible', 'headerVisible', 'geolocationServiceAvailable', 'inBackground', 'focusedElement']);
  }
  _goOffline() {
    this.widget.goOffline();
  }
  _goOnline() {
    this.widget.goOnline();
  }
  _onWidgetHistoryEntryActivate(event) {
    this._send('historyEntryActivate', {
      deepLinkPath: event.deepLinkPath
    });
  }
  _onWidgetRender(event) {
    this._send('desktopReady');
  }
  _onWidgetFormActivate(event) {
    if (event.form && !event.form.modelAdapter) {
      return; // Ignore ScoutJS forms
    }
    this._sendFormActivate(event.form);
  }
  _sendFormActivate(form) {
    let eventData = {
      formId: form ? form.modelAdapter.id : null
    };
    this._send('formActivate', eventData, {
      coalesce: function (previous) {
        // Do not coalesce if formId was set to null by the previous event,
        // this is the only way the server knows that the desktop was brought to front
        return this.target === previous.target && this.type === previous.type && !(previous.formId === null && this.formId !== null);
      }
    });
  }
  _prepareRemoteProperty(propertyName, value) {
    if (propertyName === 'focusedElement') {
      return value;
    }
    return super._prepareRemoteProperty(propertyName, value);
  }
  _sendFocusedElement(focusedElement) {
    // Find the nearest widget with a model adapter
    while (focusedElement && !focusedElement.modelAdapter) {
      focusedElement = focusedElement.parent;
    }
    this._sendProperty('focusedElement', focusedElement ? focusedElement.id : null);
  }
  _logoAction(event) {
    this._send('logoAction');
  }
  _onWidgetEvent(event) {
    if (event.type === 'formActivate') {
      this._onWidgetFormActivate(event);
    } else if (event.type === 'historyEntryActivate') {
      this._onWidgetHistoryEntryActivate(event);
    } else if (event.type === 'logoAction') {
      this._logoAction(event);
    } else if (event.type === 'cancelForms') {
      this._onWidgetCancelAllForms(event);
    } else if (event.type === 'render') {
      this._onWidgetRender(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onFormShow(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let form = this.session.getOrCreateWidget(event.form, displayParent.widget);
      form.setDisplayParent(displayParent.widget);
      let hasPendingFormActivateEvent = this.session.asyncEvents.some(event => event.type === 'formActivate' && event.target === this.id);
      if (!hasPendingFormActivateEvent) {
        this.addFilterForWidgetEvent(widgetEvent => widgetEvent.type === 'formActivate' && widgetEvent.form === form);
      }
      this.widget.showForm(form, event.position);
    }
  }
  _onFormHide(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let form = this.session.getModelAdapter(event.form);
      this.widget.hideForm(form.widget);
    }
  }
  _onFormActivate(event) {
    let form = this.session.getWidget(event.form);
    this.widget.activateForm(form);
  }
  _onWidgetCancelAllForms(event) {
    const formIds = [];
    const jsForms = [];
    for (const form of event.forms || []) {
      if (form.modelAdapter) {
        formIds.push(form.modelAdapter.id);
      } else {
        jsForms.push(form);
      }
    }
    if (!formIds.length) {
      // no remote forms, return without preventDefault
      // this will cancel the js forms implicitly
      return;
    }
    event.preventDefault();
    // cancel all js forms first
    let cancelJsForms = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    if (jsForms.length) {
      cancelJsForms = this.widget.cancelViews(jsForms);
    }
    // cancel remote forms after js forms are canceled (i.e. the promise was resolved) or the js-form-cancellation was cancelled (i.e. the promise was rejected)
    if (formIds.length) {
      cancelJsForms.always(() => this._send('cancelForms', {
        formIds
      }));
    }
  }
  _onMessageBoxShow(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let messageBox = this.session.getOrCreateWidget(event.messageBox, displayParent.widget);
      let parent = displayParent.widget;
      messageBox.setDisplayParent(parent);
      parent.messageBoxController.registerAndRender(messageBox);
    }
  }
  _onMessageBoxHide(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let messageBox = this.session.getModelAdapter(event.messageBox);
      let parent = displayParent.widget;
      parent.messageBoxController.unregisterAndRemove(messageBox.widget);
    }
  }
  _onFileChooserShow(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let parent = displayParent.widget;
      let fileChooser = this.session.getOrCreateWidget(event.fileChooser, parent);
      fileChooser.setDisplayParent(parent);
      parent.fileChooserController.registerAndRender(fileChooser);
    }
  }
  _onFileChooserHide(event) {
    let displayParent = this.session.getModelAdapter(event.displayParent);
    if (displayParent) {
      let fileChooser = this.session.getModelAdapter(event.fileChooser);
      let parent = displayParent.widget;
      parent.fileChooserController.unregisterAndRemove(fileChooser.widget);
    }
  }
  _onOpenUri(event) {
    this.widget.openUri(event.uri, event.action);
  }
  _onOutlineChanged(event) {
    let outline = this.session.getOrCreateWidget(event.outline, this.widget);
    this.widget.setOutline(outline);
  }
  _onAddNotification(event) {
    let notification = this.session.getOrCreateWidget(event.notification, this.widget);
    this.widget.addNotification(notification);
  }
  _onRemoveNotification(event) {
    this.widget.removeNotification(event.notification);
  }
  _onOutlineContentActivate(event) {
    this.widget.bringOutlineToFront();
  }
  onModelAction(event) {
    if (event.type === 'formShow') {
      this._onFormShow(event);
    } else if (event.type === 'formHide') {
      this._onFormHide(event);
    } else if (event.type === 'formActivate') {
      this._onFormActivate(event);
    } else if (event.type === 'messageBoxShow') {
      this._onMessageBoxShow(event);
    } else if (event.type === 'messageBoxHide') {
      this._onMessageBoxHide(event);
    } else if (event.type === 'fileChooserShow') {
      this._onFileChooserShow(event);
    } else if (event.type === 'fileChooserHide') {
      this._onFileChooserHide(event);
    } else if (event.type === 'openUri') {
      this._onOpenUri(event);
    } else if (event.type === 'outlineChanged') {
      this._onOutlineChanged(event);
    } else if (event.type === 'outlineContentActivate') {
      this._onOutlineContentActivate(event);
    } else if (event.type === 'addNotification') {
      this._onAddNotification(event);
    } else if (event.type === 'removeNotification') {
      this._onRemoveNotification(event);
    } else {
      super.onModelAction(event);
    }
  }
  /**
   * Static method to modify the prototype of Desktop.
   */
  static modifyDesktopPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Desktop, '_initTheme', DesktopAdapter._initTheme, true);
  }
  static _initTheme() {
    if (this.modelAdapter) {
      // Write the active theme (defined by the UI server) to the desktop widget
      this.setTheme(this._activeTheme());
    } else {
      this._initThemeOrig();
    }
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', DesktopAdapter.modifyDesktopPrototype);

/***/ }),

/***/ "./src/desktop/DesktopEventMap.ts":
/*!****************************************!*\
  !*** ./src/desktop/DesktopEventMap.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DesktopFormController.ts":
/*!**********************************************!*\
  !*** ./src/desktop/DesktopFormController.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopFormController: () => (/* binding */ DesktopFormController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DesktopFormController extends _index__WEBPACK_IMPORTED_MODULE_0__.FormController {
  constructor(model) {
    super(model);
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "popupWindows", void 0);
    _defineProperty(this, "_documentPopupWindowReadyHandler", void 0);
    this.desktop = model.displayParent;
    this.popupWindows = [];
    this._documentPopupWindowReadyHandler = this._onDocumentPopupWindowReady.bind(this);
    // must use a document-event, since when popup-window is reloading it does
    // only know the opener of its own window (and nothing about Scout).
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(document).on('popupWindowReady', this._documentPopupWindowReadyHandler);
  }
  render() {
    super.render();
    let activeForm = this.desktop.activeForm;
    if (activeForm) {
      activeForm.activate();
    } else {
      this.desktop.bringOutlineToFront();
    }
  }
  _renderViews() {
    super._renderViews();
    if (this.desktop.selectedViewTabs) {
      this.desktop.selectedViewTabs.forEach(selectedView => this._activateView(selectedView));
    }
    // ensure in all view stacks the last view is activated
    if (this.desktop.bench) {
      this.desktop.bench.postRender();
    }
  }
  isFormShown(form) {
    if (form.isPopupWindow()) {
      return this.popupWindows.some(popup => popup.form.id === form.id);
    }
    return super.isFormShown(form);
  }
  _renderPopupWindow(form, position) {
    if (form.blockRendering) {
      return;
    }
    let windowSpecs, resizeToPrefSize; // flag used to resize browser-window later (see PopupWindow.js)
    let bounds = form.readCacheBounds();
    if (bounds) {
      windowSpecs = 'left=' + bounds.x + ',top=' + bounds.y + ',width=' + bounds.width + ',height=' + bounds.height;
      resizeToPrefSize = false;
    } else {
      let $mainDocument = jquery__WEBPACK_IMPORTED_MODULE_1___default()(document),
        documentSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($mainDocument.width(), $mainDocument.height());
      windowSpecs = 'left=0,top=0,width=' + documentSize.width + ',height=' + documentSize.height;
      resizeToPrefSize = true;
    }
    // Note: Chrome does not allow to position a popup outside the primary monitor (Firefox does)
    // So the popup will always appear on the primary monitor even if we have stored the correct
    // bounds to position the popup on the secondary monitor!
    // See: https://developer.mozilla.org/en-US/docs/Web/API/Window/open#Position_and_size_features
    windowSpecs += ',location=no,toolbar=no,menubar=no,resizable=yes';
    let popupBlockerHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PopupBlockerHandler, {
      session: this.session,
      preserveOpener: true /* no external untrusted URI: Can keep the opener for callback. */
    });
    // form ID in URL is required for 'reload window' support
    let url = 'popup-window.html?formId=' + form.id;
    // use '_blank' as window-name so browser-windows are never reused
    popupBlockerHandler.openWindow(url, '_blank', windowSpecs, popup => {
      this._addPopupWindow(popup, form, resizeToPrefSize);
    });
  }
  _addPopupWindow(newWindow, form, resizeToPrefSize) {
    let popupWindow = new _index__WEBPACK_IMPORTED_MODULE_0__.PopupWindow(newWindow, form);
    popupWindow.resizeToPrefSize = resizeToPrefSize;
    popupWindow.on('popupWindowUnload', this._onPopupWindowUnload.bind(this));
    this.popupWindows.push(popupWindow);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Opened new popup window for form ID ' + form.id);
  }
  _onDocumentPopupWindowReady(event, data) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(FormController#_onDocumentPopupWindowReady) data=' + data);
    let popupWindow;
    if (data.formId) {
      // reload (existing popup window)
      let formId = data.formId;
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Popup window for form ID ' + formId + ' has been reloaded');
      for (let i = 0; i < this.popupWindows.length; i++) {
        popupWindow = this.popupWindows[i];
        if (popupWindow.form.id === formId) {
          break;
        }
      }
      if (!popupWindow) {
        throw new Error('Couldn\'t find popupWindow reference while popup window was reloaded');
      }
    } else if (data.popupWindow) {
      // open new child window
      popupWindow = data.popupWindow;
    } else {
      // error assertion
      throw new Error('Neither property \'formId\' nor \'popupWindow\' exists on data parameter');
    }
    popupWindow._onReady();
  }
  _onPopupWindowUnload(event) {
    let popupWindow = event.source;
    let form = popupWindow.form;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Popup window for form ID ' + form.id + ' is unloaded - don\'t know if its closed or reloaded yet');
    // this remove() is important: when a popup-window in IE is closed, all references to a HTMLDivElement become
    // invalid. Every call or read on such invalid objects will cause an Error. Even though the DOM element
    // is invalid, the JQuery object which references the DOM element is still alive and occupies memory. That's
    // why we must remove JQuery objects _before_ the popup-window is closed finally.
    form.remove();
    // must do this with setTimeout because at this point window is always still open
    // Note: timeout with 0 milliseconds will not work
    setTimeout(() => {
      // Check if popup is closed (when the unload event was triggered by page reload it will still be open)
      if (popupWindow.isClosed()) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Popup window for form ID ' + form.id + ' has been closed');
        form.close();
      }
    }, 250);
  }
  /**
   * We only close browser windows here, since during an unload event, we cannot send
   * anything with an HTTP request anyway. So we cannot inform the server that it
   * should "kill" the forms - instead we simply render the popupWindows and forms
   * again when the page has been reloaded.
   */
  closePopupWindows() {
    this.popupWindows.forEach(popupWindow => this._removePopupWindow(popupWindow.form));
    this.popupWindows = [];
  }
  _removePopupWindow(form) {
    let popupWindow = form.popupWindow;
    if (popupWindow) {
      delete form.popupWindow;
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.popupWindows, popupWindow);
    }
    if (form.rendered) {
      form.remove();
      popupWindow === null || popupWindow === void 0 || popupWindow.close();
    }
  }
  dispose() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(document).off('popupWindowReady', this._documentPopupWindowReadyHandler);
  }
}

/***/ }),

/***/ "./src/desktop/DesktopFormControllerModel.ts":
/*!***************************************************!*\
  !*** ./src/desktop/DesktopFormControllerModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DesktopLayout.ts":
/*!**************************************!*\
  !*** ./src/desktop/DesktopLayout.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopLayout: () => (/* binding */ DesktopLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(desktop) {
    super();
    _defineProperty(this, "desktop", void 0);
    this.desktop = desktop;
  }
  layout($container) {
    let animationProps,
      navigationWidth = 0,
      headerHeight = 0,
      desktop = this.desktop,
      navigation = desktop.navigation,
      header = desktop.header,
      bench = desktop.bench,
      // Animation moves header and bench to the left when navigation gets invisible or moves bench to the right if bench gets invisible (used for mobile)
      animated = desktop.animateLayoutChange,
      containerSize = this.containerSize(),
      fullWidthNavigation = navigation && navigation.htmlComp.layoutData.fullWidth;
    _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().handleResponsive(desktop, $container.width());
    if (navigation) {
      navigationWidth = this.calculateNavigationWidth(containerSize);
      if (desktop.splitter) {
        desktop.splitter.setPosition(navigationWidth);
      }
      if (desktop.navigationVisible) {
        let htmlNavigation = navigation.htmlComp;
        let navigationSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(navigationWidth, containerSize.height).subtract(htmlNavigation.margins());
        htmlNavigation.setSize(navigationSize);
      }
    }
    if (header) {
      let htmlHeader = header.htmlComp;
      headerHeight = htmlHeader.$comp.outerHeight(true);
      if (desktop.headerVisible) {
        // positioning
        if (!animated) {
          header.$container.cssLeft(navigationWidth);
        }
        // sizing
        let headerSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width - navigationWidth, headerHeight).subtract(htmlHeader.margins());
        if (!animated || fullWidthNavigation) {
          htmlHeader.setSize(headerSize);
        }
        if (animated) {
          animationProps = {
            left: containerSize.width
          };
          prepareAnimate(animationProps, htmlHeader, headerSize);
          this._animate(animationProps, htmlHeader);
        }
      }
    }
    if (bench) {
      let htmlBench = bench.htmlComp;
      if (desktop.benchVisible) {
        // positioning
        bench.$container.cssTop(headerHeight);
        if (!animated) {
          bench.$container.cssLeft(navigationWidth);
        }
        // sizing
        let benchSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width - navigationWidth, containerSize.height - headerHeight).subtract(htmlBench.margins());
        if (!animated || fullWidthNavigation) {
          htmlBench.setSize(benchSize);
        }
        if (animated) {
          animationProps = {
            left: containerSize.width
          };
          prepareAnimate(animationProps, htmlBench, benchSize);
          this._animate(animationProps, htmlBench);
        }
      }
    }
    function prepareAnimate(animationProps, htmlComp, size) {
      if (fullWidthNavigation) {
        // Slide bench in from right to left, don't resize
        htmlComp.$comp.cssLeft(containerSize.width);
      } else {
        // Resize bench
        animationProps.width = size.width;
        // Layout once before animation begins
        // Resizing on every step/progress would result in poor performance (e.g. when a form is open in the bench)
        htmlComp.setSize(size);
      }
      // Move to new point (=0, if navigation is invisible)
      animationProps.left = navigationWidth;
    }
  }
  /**
   * Used to animate bench and header
   */
  _animate(animationProps, htmlComp) {
    // If animation is already running, stop the existing and don't use timeout to schedule the new to have a smoother transition
    // Concurrent animation of the same element is bad because jquery messes up the overflow style
    if (htmlComp.$comp.is(':animated')) {
      animate.call(this);
    } else {
      // schedule animation to have a smoother start
      setTimeout(animate.bind(this));
    }
    function animate() {
      htmlComp.$comp.stop().animate(animationProps, {
        complete: this.desktop.onLayoutAnimationComplete.bind(this.desktop),
        step: this.desktop.onLayoutAnimationStep.bind(this.desktop)
      });
    }
  }
  containerSize() {
    let htmlContainer = this.desktop.htmlComp,
      containerSize = htmlContainer.availableSize({
        exact: true
      });
    return containerSize.subtract(htmlContainer.insets());
  }
  calculateNavigationWidth(containerSize) {
    if (!this.desktop.navigationVisible) {
      return 0;
    }
    let navigationLayoutData = this.desktop.navigation.htmlComp.layoutData;
    if (navigationLayoutData.fullWidth) {
      return containerSize.width;
    }
    let splitterPosition = 0;
    if (this.desktop.splitter) {
      splitterPosition = this.desktop.splitter.position;
    }
    let outline = this.desktop.outline;
    if (!this.desktop.resizing && outline && outline.toggleBreadcrumbStyleEnabled) {
      // If toggleBreadcrumbStyleEnabled is true, BREADCRUMB_STYLE_WIDTH triggers the toggling between the two modes.
      // This code ensures this rule is never violated (necessary if mode is toggled programmatically rather than by the user)
      if (outline.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.BREADCRUMB) {
        splitterPosition = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.BREADCRUMB_STYLE_WIDTH;
      } else if (Math.floor(splitterPosition) <= _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.BREADCRUMB_STYLE_WIDTH) {
        splitterPosition = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.DEFAULT_STYLE_WIDTH;
      }
    }
    return Math.max(splitterPosition, _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigation.MIN_WIDTH); // ensure newSize is not negative
  }
}

/***/ }),

/***/ "./src/desktop/DesktopLogo.ts":
/*!************************************!*\
  !*** ./src/desktop/DesktopLogo.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopLogo: () => (/* binding */ DesktopLogo)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopLogo extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "clickable", void 0);
    _defineProperty(this, "url", void 0);
    _defineProperty(this, "image", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    _defineProperty(this, "_clickHandler", void 0);
    this.desktop = null;
    this.clickable = false;
    this.image = null;
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
    this._clickHandler = this._onClick.bind(this);
  }
  _init(model) {
    super._init(model);
    this.desktop = this.session.desktop;
    this.clickable = this.desktop.logoActionEnabled;
    this.url = model.url;
    this.image = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Image, {
      parent: this,
      imageUrl: this.url
    });
  }
  _render() {
    this.$container = this.$parent.appendDiv('desktop-logo');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.image.render();
    this.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderClickable();
  }
  _remove() {
    this.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    super._remove();
  }
  _renderClickable() {
    this.$container.toggleClass('clickable', this.clickable);
    if (this.clickable) {
      this.$container.on('click', this._clickHandler);
    } else {
      this.$container.off('click', this._clickHandler);
    }
  }
  setUrl(url) {
    this.setProperty('url', url);
    this.image.setImageUrl(url);
  }
  setClickable(clickable) {
    this.setProperty('clickable', clickable);
  }
  _onDesktopPropertyChange(event) {
    if (event.propertyName === 'logoActionEnabled') {
      this.setClickable(event.newValue);
    }
  }
  _onClick(event) {
    this.desktop.logoAction();
  }
}

/***/ }),

/***/ "./src/desktop/DesktopLogoEventMap.ts":
/*!********************************************!*\
  !*** ./src/desktop/DesktopLogoEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DesktopLogoModel.ts":
/*!*****************************************!*\
  !*** ./src/desktop/DesktopLogoModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DesktopModel.ts":
/*!*************************************!*\
  !*** ./src/desktop/DesktopModel.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DesktopTabBoxController.ts":
/*!************************************************!*\
  !*** ./src/desktop/DesktopTabBoxController.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopTabBoxController: () => (/* binding */ DesktopTabBoxController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopTabBoxController extends _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBoxController {
  createTabArea() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabArea, {
      parent: this.tabBox
    });
  }
  _createTab(view) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopTab, {
      parent: this.tabArea,
      view: view
    });
  }
  _shouldCreateTabForView(view) {
    // Don't create a tab if the view itself already has a header.
    return !view.headerVisible;
  }
}

/***/ }),

/***/ "./src/desktop/DisableBrowserF5ReloadKeyStroke.ts":
/*!********************************************************!*\
  !*** ./src/desktop/DisableBrowserF5ReloadKeyStroke.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DisableBrowserF5ReloadKeyStroke: () => (/* binding */ DisableBrowserF5ReloadKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Global keystroke on the desktop that prevents 'leaking' of the F5 keystroke to the browser.
 *
 * F5 is used in Scout applications to reload table pages or invoke application-specific logic.
 * If the application does not consume the key, some browsers would reload the page. This can
 * be confusing and annoying for the user. For example when the user presses F5 on a table
 * page to reload the data, but the table is covered with a glass pane (e.g. busy indicator
 * is active because of slow network connection), the browser would simply reload the page
 * (i.e. create a new UiSession) instead of updating the data from the database.
 *
 * To reload the page, the general keystroke 'Ctrl-R' ('Command-R' on Macintosh, respectively)
 * should be used instead.
 */
class DisableBrowserF5ReloadKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(desktop) {
    super();
    this.field = desktop;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.F5];
    this.preventDefault = true;
    this.keyStrokeFirePolicy = _index__WEBPACK_IMPORTED_MODULE_0__.Action.KeyStrokeFirePolicy.ALWAYS; // ignore glass panes
    this.renderingHints.render = false;
    this.inheritAccessibility = false;
  }
  handle(event) {
    // NOP
  }
}

/***/ }),

/***/ "./src/desktop/DisplayChildController.ts":
/*!***********************************************!*\
  !*** ./src/desktop/DisplayChildController.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DisplayChildController: () => (/* binding */ DisplayChildController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Controller with functionality to register and render display children.
 */
class DisplayChildController {
  constructor(model) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "displayParent", void 0);
    _defineProperty(this, "session", void 0);
    this.displayParent = model.displayParent;
    this.session = model.session;
  }
  /**
   * Adds the given display child to this controller and renders it.
   */
  registerAndRender(child) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(child, 'displayParent');
    this._render(child, true);
  }
  /**
   * Removes the given display child from this controller and DOM. However, the display child's adapter is not destroyed. That only happens once the display child is closed.
   */
  unregisterAndRemove(child) {
    if (child) {
      this._unregister(child);
      this._remove(child);
    }
  }
  _render(child, register) {
    // missing displayParent (when render is called by reload), use displayParent of DisplayChildController
    if (!child.displayParent) {
      child._setProperty('displayParent', this.displayParent);
    }
    // Prevent "Already rendered" errors (see #162954).
    if (child.rendered) {
      return;
    }
    if (register) {
      this._register(child);
    }
    // Use parent's function or (if not implemented) our own.
    if (this.displayParent.acceptView) {
      if (!this.displayParent.acceptView(child)) {
        return;
      }
    } else if (!this.acceptView(child)) {
      return;
    }
    // Open all display children in the center of the desktop, except the ones that belong to a popup-window
    // Since the display child doesn't have a DOM element as parent when render is called, we must find the
    // entryPoint by using the model.
    let $parent;
    if (this.displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && this.displayParent.isPopupWindow()) {
      $parent = this.displayParent.popupWindow.$container;
    } else {
      $parent = this.session.desktop.$container;
    }
    // start focus tracking if not already started.
    child.setTrackFocus(true);
    child.render($parent);
    // Only display the display child if its 'displayParent' is visible to the user.
    if (!this.displayParent.inFront()) {
      child.detach();
    }
  }
  _remove(child) {
    child.remove();
  }
  acceptView(view) {
    // Only render display child if displayParent is already rendered.
    // If not, the child will be rendered once the displayParent is rendered.
    return this.displayParent.rendered;
  }
  _register(child) {
    // use _registerChild in subclass
  }
  _unregister(child) {
    // use _unregisterChild in subclass
  }
  _registerChild(child, children, propertyName, position) {
    if (children.includes(child)) {
      return;
    }
    let newChildren;
    if (position !== undefined) {
      newChildren = [...children];
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(newChildren, child, position);
    } else {
      newChildren = [...children, child];
    }
    // Using _setProperty to just set the property and trigger the event without calling _set[propertyName] or any render function
    this.displayParent._setProperty(propertyName, newChildren);
  }
  _unregisterChild(child, children, propertyName) {
    let newChildren = children.filter(f => f !== child);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(children, newChildren)) {
      return;
    }
    this.displayParent._setProperty(propertyName, newChildren);
  }
}

/***/ }),

/***/ "./src/desktop/DisplayParent.ts":
/*!**************************************!*\
  !*** ./src/desktop/DisplayParent.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/DisplayParentModel.ts":
/*!*******************************************!*\
  !*** ./src/desktop/DisplayParentModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/GeoLocationUiHandler.ts":
/*!*********************************************!*\
  !*** ./src/desktop/GeoLocationUiHandler.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GeoLocationUiHandler: () => (/* binding */ GeoLocationUiHandler)
/* harmony export */ });
class GeoLocationUiHandler {
  handle(callbackId, owner, request) {
    if (!navigator.geolocation) {
      return $.resolvedPromise(); // no result will let the callback fail.
    }
    const deferred = $.Deferred();
    navigator.geolocation.getCurrentPosition(position => deferred.resolve(this._positionSuccess(position)), positionError => deferred.reject(this._positionError(positionError)));
    return deferred.promise();
  }
  _positionSuccess(position) {
    return {
      _type: 'scout.GeoLocationResponse',
      latitude: '' + position.coords.latitude,
      longitude: '' + position.coords.longitude
    };
  }
  _positionError(positionError) {
    return {
      _type: 'scout.UiCallbackError',
      message: positionError.message,
      code: '' + positionError.code
    };
  }
}

/***/ }),

/***/ "./src/desktop/OpenUriHandler.ts":
/*!***************************************!*\
  !*** ./src/desktop/OpenUriHandler.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OpenUriHandler: () => (/* binding */ OpenUriHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class OpenUriHandler {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "session", void 0);
  }
  init(model) {
    this.session = model.session;
  }
  openUri(uri, action) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(OpenUriHandler#openUri) uri=' + uri + ' action=' + action);
    if (!uri) {
      return;
    }
    action = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(action, _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.OPEN);
    if (action === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.DOWNLOAD) {
      this.handleUriActionDownload(uri);
    } else if (action === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.OPEN) {
      this.handleUriActionOpen(uri);
    } else if (action === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.NEW_WINDOW) {
      this.handleUriActionNewWindow(uri);
    } else if (action === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.POPUP_WINDOW) {
      this.handleUriActionPopupWindow(uri);
    } else if (action === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.UriAction.SAME_WINDOW) {
      this.handleUriActionSameWindow(uri);
    }
  }
  handleUriActionDownload(uri) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos()) {
      // The iframe trick does not work for ios
      // Since the file cannot be stored on the file system it will be shown in the browser if possible
      // -> create a new window to not replace the existing content.
      // Drawback: Popup-Blocker will show up
      // Opening in new window does not work in standalone mode because the window will be opened in safari which creates a new http session.
      // Because the downloads are linked to the http session they cannot be downloaded using safari
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isStandalone()) {
        this.openUriInSameWindow(uri);
      } else {
        this.openUriAsNewWindow(uri);
      }
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().browser === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Browser.CHROME && this.isUriWithExternallyHandledProtocol(uri)) {
      // "Hidden iframe"-solution is not working in Chromium (https://bugs.chromium.org/p/chromium/issues/detail?id=663325)
      this.openUriInSameWindow(uri);
    } else {
      this.openUriInIFrame(uri);
    }
  }
  isUriWithExternallyHandledProtocol(uri) {
    return /^(callto|facetime|fax|geo|mailto|maps|notes|sip|skype|tel|google.navigation|sms|msteams):/.test(uri);
  }
  handleUriActionOpen(uri) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos()) {
      // Open in same window.
      // Don't call _openUriInIFrame here, if action is set to open, an url is expected to be opened in the same window
      // Additionally, some url types require to be opened in the same window like tel or mailto, at least on mobile devices
      this.openUriInSameWindow(uri);
    } else if (this.isUriWithExternallyHandledProtocol(uri)) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().browser === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Browser.CHROME || _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isAndroid()) {
        // "Hidden iframe"-solution is not working in Chromium (https://bugs.chromium.org/p/chromium/issues/detail?id=663325)
        this.openUriInSameWindow(uri);
      } else {
        // do not use sameWindow since the poller would be disconnected in firefox
        this.openUriInIFrame(uri);
      }
    } else {
      this.openUriAsNewWindow(uri);
    }
  }
  handleUriActionNewWindow(uri) {
    this.openUriAsNewWindow(uri);
  }
  handleUriActionPopupWindow(uri) {
    this.openUriAsPopupWindow(uri);
  }
  handleUriActionSameWindow(uri) {
    this.openUriInSameWindow(uri);
  }
  openUriInSameWindow(uri) {
    window.location.assign(uri);
  }
  openUriInIFrame(uri) {
    // Create a hidden iframe and set the URI as src attribute value
    let $iframe = this.session.$entryPoint.appendElement('<iframe>', 'download-frame').attr('tabindex', -2).attr('src', uri);
    // Remove the iframe again after 10s (should be enough to get the download started)
    setTimeout(() => {
      $iframe.remove();
    }, 10 * 1000);
  }
  openUriAsNewWindow(uri) {
    let popupBlockerHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PopupBlockerHandler, {
      session: this.session
    });
    popupBlockerHandler.openWindow(uri);
  }
  openUriAsPopupWindow(uri) {
    let popupBlockerHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PopupBlockerHandler, {
      session: this.session
    });
    popupBlockerHandler.openWindow(uri, null, 'location=no,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');
  }
}

/***/ }),

/***/ "./src/desktop/OpenUriHandlerModel.ts":
/*!********************************************!*\
  !*** ./src/desktop/OpenUriHandlerModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/PopupWindow.ts":
/*!************************************!*\
  !*** ./src/desktop/PopupWindow.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupWindow: () => (/* binding */ PopupWindow)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PopupWindow extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor(myWindow, form) {
    super();
    _defineProperty(this, "myWindow", void 0);
    _defineProperty(this, "form", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "resizeToPrefSize", void 0);
    _defineProperty(this, "htmlComp", void 0);
    _defineProperty(this, "$container", void 0);
    this.myWindow = myWindow;
    this.form = form;
    this.session = form.session;
    this.initialized = false;
    this.$container = null;
    this.htmlComp = null;
    // link Form instance with this popupWindow instance
    // this is required when form (and popup-window) is closed by the model
    form.popupWindow = this;
    // link Window instance with this popupWindow instance
    // this is required when we want to check if a certain DOM element belongs to a popup window
    myWindow[PopupWindow.PROP_POPUP_WINDOW] = this;
    myWindow.name = 'Scout popup-window ' + form.modelClass;
  }
  _onUnload() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('stored form ID ' + this.form.id + ' to session storage');
    if (this.form.destroyed) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('form ID ' + this.form.id + ' is already destroyed - don\'t trigger unload event');
    } else {
      this.trigger('popupWindowUnload', this);
    }
  }
  /** @internal */
  _onReady() {
    // set container (used as document-root from callers)
    let myDocument = this.myWindow.document,
      $myWindow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this.myWindow),
      $myDocument = jquery__WEBPACK_IMPORTED_MODULE_1___default()(myDocument);
    // Establish the link again, as Chrome removes this property after a page load.
    // (page load is made by design in PopupBlockerHandler.openWindow)
    this.myWindow[PopupWindow.PROP_POPUP_WINDOW] = this;
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.prepareDOM(myDocument);
    this.$container = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.scout', myDocument);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
    this.$container.height($myWindow.height());
    this.form.render(this.$container);
    // resize browser-window before layout?
    if (this.resizeToPrefSize) {
      let prefSize = this.htmlComp.prefSize(),
        // we cannot simply set the pref. size of the component as window size,
        // since the window "chrome" (window-border, -title and location bar)
        // occupies some space. That's why we measure the difference between
        // the current document size and the window size first.
        myWindowSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(this.myWindow.outerWidth, this.myWindow.outerHeight),
        myDocumentSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($myDocument.width(), $myDocument.height()),
        windowChromeHoriz = myWindowSize.width - myDocumentSize.width,
        windowChromeVert = myWindowSize.height - myDocumentSize.height;
      this.myWindow.resizeTo(prefSize.width + windowChromeHoriz, prefSize.height + windowChromeVert);
      this.resizeToPrefSize = false;
    }
    this.form.htmlComp.validateLayout();
    // Must register some top-level keystroke- and mouse-handlers on popup-window
    // We do the same thing here, as with the $entryPoint of the main window
    this.session.keyStrokeManager.installTopLevelKeyStrokeHandlers(this.$container);
    this.session.focusManager.installTopLevelMouseHandlers(this.$container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.installGlobalMouseDownInterceptor(myDocument);
    // Attach event handlers on window
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(this.myWindow).on('unload', this._onUnload.bind(this)).on('resize', this._onResize.bind(this));
    // Delegate uncaught JavaScript errors in the popup-window to the main-window
    if (this.myWindow.opener) {
      this.myWindow.onerror = this.myWindow.opener.onerror;
    }
    this._updateTitle();
    this.form.on('propertyChange:title propertyChange:subTitle', event => this._updateTitle());
    // Finally set initialized flag to true, at this point the PopupWindow is fully initialized
    this.initialized = true;
    this.trigger('init');
  }
  // Note: currently _onResize is only called when the window is resized, but not when the position of the window changes.
  // if we need to do that in a later release we should take a look on the SO-post below:
  // http://stackoverflow.com/questions/4319487/detecting-if-the-browser-window-is-moved-with-javascript
  _onResize() {
    let $myWindow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this.myWindow),
      width = $myWindow.width(),
      height = $myWindow.height(),
      left = this.myWindow.screenX,
      top = this.myWindow.screenY;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('popup-window resize: width=' + width + ' height=' + height + ' top=' + top + ' left=' + left);
    this.form.storeCacheBounds(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(left, top, width, height));
    let windowSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($myWindow.width(), $myWindow.height());
    this.htmlComp.setSize(windowSize);
  }
  isClosed() {
    return this.myWindow.closed;
  }
  close() {
    this.myWindow.close();
  }
  _updateTitle() {
    let formTitle = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' - ', this.form.title, this.form.subTitle);
    let applicationTitle = this.session.desktop.title;
    this.title(formTitle || applicationTitle);
  }
  title(title) {
    this.myWindow.document.title = title;
  }
}
_defineProperty(PopupWindow, "PROP_POPUP_WINDOW", 'popupWindow');

/***/ }),

/***/ "./src/desktop/PopupWindowEventMap.ts":
/*!********************************************!*\
  !*** ./src/desktop/PopupWindowEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/BenchColumn.ts":
/*!******************************************!*\
  !*** ./src/desktop/bench/BenchColumn.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BenchColumn: () => (/* binding */ BenchColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BenchColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "tabBoxes", void 0);
    _defineProperty(this, "layoutData", void 0);
    _defineProperty(this, "components", void 0);
    _defineProperty(this, "layoutCacheKey", void 0);
    _defineProperty(this, "_widgetToTabBox", void 0);
    _defineProperty(this, "_removeViewInProgress", void 0);
    _defineProperty(this, "_viewAddHandler", void 0);
    _defineProperty(this, "_viewRemoveHandler", void 0);
    _defineProperty(this, "_viewActivateHandler", void 0);
    _defineProperty(this, "_viewDeactivateHandler", void 0);
    this.tabBoxes = [];
    this._widgetToTabBox = {};
    this.components = null;
    this._removeViewInProgress = 0;
    this._viewAddHandler = this._onViewAdd.bind(this);
    this._viewRemoveHandler = this._onViewRemove.bind(this);
    this._viewActivateHandler = this._onViewActivate.bind(this);
    this._viewDeactivateHandler = this._onViewDeactivate.bind(this);
  }
  _init(model) {
    super._init(model);
    this.layoutData = model.layoutData;
    this.layoutCacheKey = model.cacheKey;
    this.cssClass = model.cssClass;
    this._createTabBoxes();
  }
  _render() {
    this.$container = this.$parent.appendDiv('bench-column');
    if (this.cssClass) {
      this.$container.addClass(this.cssClass);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.htmlComp.layoutData = this.getLayoutData();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTabBoxes();
    this._revalidateSplitters();
  }
  _renderTabBoxes() {
    this.visibleTabBoxes().forEach(tabBox => this._renderTabBox(tabBox));
    this.updateFirstLastMarker();
  }
  _renderTabBox(tabBox) {
    if (!tabBox.rendered) {
      tabBox.render();
      tabBox.htmlComp.validateRoot = true;
    }
  }
  postRender() {
    this.tabBoxes.forEach(tabBox => tabBox.postRender());
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayout(_index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayout.Direction.COLUMN, this.layoutCacheKey);
  }
  updateLayoutData(layoutData, cacheKey) {
    if (this.getLayoutData() === layoutData) {
      return;
    }
    this.layoutCacheKey = cacheKey;
    this.setLayoutData(layoutData);
    // update columns
    let rowDatas = this.layoutData.getRows();
    this.tabBoxes.forEach((tb, i) => tb.setLayoutData(rowDatas[i]));
    this._updateSplitterMovable();
    if (this.rendered) {
      let layout = this.htmlComp.layout;
      layout.setCacheKey(this.layoutCacheKey);
      layout.reset();
      this.htmlComp.invalidateLayoutTree();
    }
  }
  setLayoutData(layoutData) {
    super.setLayoutData(layoutData);
    this.layoutData = layoutData;
  }
  getLayoutData() {
    return this.layoutData;
  }
  _onViewAdd(event) {
    this.trigger('viewAdd', {
      view: event.view
    });
  }
  _onViewRemove(event) {
    this.trigger('viewRemove', {
      view: event.view
    });
  }
  _onViewActivate(event) {
    this.trigger('viewActivate', {
      view: event.view
    });
  }
  _onViewDeactivate(event) {
    this.trigger('viewDeactivate', {
      view: event.view
    });
  }
  activateView(view) {
    let tabBox = this.getTabBox(view.displayViewId);
    tabBox.activateView(view);
  }
  _createTabBoxes() {
    let rowLayoutDatas = [];
    if (this.layoutData) {
      rowLayoutDatas = this.layoutData.getRows();
    }
    for (let i = 0; i < 3; i++) {
      let tabBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBox, {
        parent: this,
        cssClass: _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', 'view-tab-box', BenchColumn.TAB_BOX_CLASSES[i]),
        controller: _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabBoxController)
      });
      tabBox.setLayoutData(rowLayoutDatas[i]);
      tabBox.on('viewAdd', this._viewAddHandler);
      tabBox.on('viewRemove', this._viewRemoveHandler);
      tabBox.on('viewActivate', this._viewActivateHandler);
      tabBox.on('viewDeactivate', this._viewDeactivateHandler);
      this.tabBoxes.push(tabBox);
    }
  }
  _revalidateSplitters() {
    // remove old splitters
    if (this.components) {
      this.components.forEach(comp => {
        if (comp instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Splitter) {
          comp.destroy();
        }
      });
    }
    this.components = this.visibleTabBoxes().reduce((arr, col) => {
      if (arr.length > 0) {
        // add sep
        let splitter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Splitter, {
          parent: this,
          $anchor: arr[arr.length - 1].$container,
          $root: this.$container,
          splitHorizontal: false
        });
        splitter.render();
        splitter.setLayoutData(_index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayoutData.fixed().withOrder(this._getTabBoxLayoutData(col).order - 1));
        splitter.$container.addClass('line');
        arr.push(splitter);
      }
      arr.push(col);
      return arr;
    }, []);
    // well order the dom elements (reduce is used for simple code reasons, the result of reduce is not of interest).
    this.components.filter(comp => comp instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBox).reduce((c1, c2, index) => {
      if (index > 0) {
        c2.$container.insertAfter(c1.$container);
      }
      return c2;
    }, undefined);
    this._updateSplitterMovable();
  }
  _getTabBoxLayoutData(tabBox) {
    return tabBox.getLayoutData();
  }
  _updateSplitterMovable() {
    if (!this.components) {
      return;
    }
    this.components.forEach((c, i) => {
      if (c instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Splitter) {
        let componentsBefore = this.components.slice(0, i).reverse();
        let componentsAfter = this.components.slice(i + 1);
        // shrink
        if (componentsBefore.filter(tab => this._getTabBoxLayoutData(tab).shrink > 0).length > 0 && componentsAfter.filter(tab => this._getTabBoxLayoutData(tab).grow > 0).length > 0) {
          c.setEnabled(true);
          c.on('move', this._onSplitterMove.bind(this));
          return;
        }
        // grow
        if (componentsBefore.filter(c => this._getTabBoxLayoutData(c).grow > 0).length > 0 && componentsAfter.filter(c => this._getTabBoxLayoutData(c).shrink > 0).length > 0) {
          c.setEnabled(true);
          c.on('move', this._onSplitterMove.bind(this));
          return;
        }
        c.setEnabled(false);
      }
    });
  }
  _onSplitterMove(event) {
    let splitter = event.source;
    // noinspection UnnecessaryLocalVariableJS
    let diff = event.position - splitter.htmlComp.location().y - splitter.htmlComp.margins().top - splitter.htmlComp.insets().top;
    splitter.getLayoutData().diff = diff;
    this.revalidateLayout();
    splitter.getLayoutData().diff = null;
    event.preventDefault();
  }
  addView(view, bringToFront) {
    let tabBox = this.getTabBox(view.displayViewId);
    this._widgetToTabBox[view.id] = tabBox;
    tabBox.addView(view, bringToFront);
    if (this.rendered && tabBox.viewCount() === 1) {
      if (!tabBox.rendered) {
        // lazy render if the first view is added.
        tabBox.render();
      }
      this._revalidateSplitters();
      this.updateFirstLastMarker();
      let layout = this.htmlComp.layout;
      layout.reset();
      this.htmlComp.invalidateLayoutTree();
    }
  }
  getTabBox(displayViewId) {
    let tabBox;
    switch (displayViewId) {
      case 'NW':
      case 'N':
      case 'NE':
        tabBox = this.tabBoxes[BenchColumn.TAB_BOX_INDEX.TOP];
        break;
      case 'SW':
      case 'S':
      case 'SE':
        tabBox = this.tabBoxes[BenchColumn.TAB_BOX_INDEX.BOTTOM];
        break;
      default:
        tabBox = this.tabBoxes[BenchColumn.TAB_BOX_INDEX.CENTER];
        break;
    }
    return tabBox;
  }
  removeView(view, showSiblingView) {
    let tabBox = this._widgetToTabBox[view.id];
    if (tabBox) {
      this._removeViewInProgress++;
      tabBox.removeView(view, showSiblingView);
      this._removeViewInProgress--;
      delete this._widgetToTabBox[view.id];
      if (this.rendered && tabBox.viewCount() === 0 && this._removeViewInProgress === 0) {
        // remove view area if no view is left.
        tabBox.remove();
        this._revalidateSplitters();
        this.updateFirstLastMarker();
        let layout = this.htmlComp.layout;
        layout.reset();
        this.htmlComp.invalidateLayoutTree();
      }
    }
  }
  viewCount() {
    return this.tabBoxes.map(tabBox => tabBox.viewCount()).reduce((c1, c2) => c1 + c2, 0);
  }
  hasView(view) {
    return this.tabBoxes.filter(tabBox => tabBox.hasView(view)).length > 0;
  }
  hasViews() {
    return this.viewCount() > 0;
  }
  getViews(displayViewId) {
    return this.tabBoxes.reduce((arr, tabBox) => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(arr, tabBox.getViews(displayViewId));
      return arr;
    }, []);
  }
  getComponents() {
    return this.components;
  }
  visibleTabBoxes() {
    return this.tabBoxes.filter(tabBox => tabBox.hasViews());
  }
  updateFirstLastMarker() {
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.visibleTabBoxes());
  }
}
_defineProperty(BenchColumn, "TAB_BOX_INDEX", {
  TOP: 0,
  CENTER: 1,
  BOTTOM: 2
});
_defineProperty(BenchColumn, "TAB_BOX_CLASSES", ['north', 'center', 'south']);

/***/ }),

/***/ "./src/desktop/bench/BenchColumnEventMap.ts":
/*!**************************************************!*\
  !*** ./src/desktop/bench/BenchColumnEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/BenchColumnModel.ts":
/*!***********************************************!*\
  !*** ./src/desktop/bench/BenchColumnModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/DesktopBench.ts":
/*!*******************************************!*\
  !*** ./src/desktop/bench/DesktopBench.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopBench: () => (/* binding */ DesktopBench)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DesktopBench extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "outlineContent", void 0);
    _defineProperty(this, "navigationHandle", void 0);
    _defineProperty(this, "headerTabArea", void 0);
    _defineProperty(this, "columns", void 0);
    _defineProperty(this, "components", void 0);
    _defineProperty(this, "tabBoxMap", void 0);
    _defineProperty(this, "layoutData", void 0);
    _defineProperty(this, "headerTabAreaController", void 0);
    _defineProperty(this, "changingCounter", void 0);
    _defineProperty(this, "changed", void 0);
    _defineProperty(this, "outlineContentVisible", void 0);
    _defineProperty(this, "navigationHandleVisible", void 0);
    _defineProperty(this, "layoutCacheKey", void 0);
    _defineProperty(this, "desktopKeyStrokeContext", void 0);
    _defineProperty(this, "_removeViewInProgress", void 0);
    _defineProperty(this, "_updateOutlineContentTimeout", void 0);
    _defineProperty(this, "_desktopOutlineChangeHandler", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    _defineProperty(this, "_desktopAnimationEndHandler", void 0);
    _defineProperty(this, "_outlineNodesSelectedHandler", void 0);
    _defineProperty(this, "_outlinePageChangedHandler", void 0);
    _defineProperty(this, "_outlinePropertyChangeHandler", void 0);
    _defineProperty(this, "_outlineContentDestroyHandler", void 0);
    _defineProperty(this, "_outlineContentCssClassChangeHandler", void 0);
    _defineProperty(this, "_viewAddHandler", void 0);
    _defineProperty(this, "_viewRemoveHandler", void 0);
    _defineProperty(this, "_viewActivateHandler", void 0);
    _defineProperty(this, "_viewDeactivateHandler", void 0);
    this.columns = [];
    this.components = null;
    this.tabBoxMap = {};
    this._removeViewInProgress = 0;
    this.changingCounter = 0;
    this.changed = false;
    this.layoutCacheKey = [];
    this._desktopOutlineChangeHandler = this._onDesktopOutlineChange.bind(this);
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
    this._desktopAnimationEndHandler = this._onDesktopAnimationEnd.bind(this);
    this._outlineNodesSelectedHandler = this._onOutlineNodesSelected.bind(this);
    this._outlinePageChangedHandler = this._onOutlinePageChanged.bind(this);
    this._outlinePropertyChangeHandler = this._onOutlinePropertyChange.bind(this);
    this._outlineContentDestroyHandler = this._onOutlineContentDestroy.bind(this);
    this._outlineContentCssClassChangeHandler = this._onOutlineContentCssClassChange.bind(this);
    this._viewAddHandler = this._onViewAdd.bind(this);
    this._viewRemoveHandler = this._onViewRemove.bind(this);
    this._viewActivateHandler = this._onViewActivate.bind(this);
    this._viewDeactivateHandler = this._onViewDeactivate.bind(this);
  }
  _init(model) {
    super._init(model);
    DesktopBench.VIEW_MIN_HEIGHT = jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(_index__WEBPACK_IMPORTED_MODULE_0__.styles.get('view-tab-box', 'min-height').minHeight);
    DesktopBench.VIEW_MIN_WIDTH = jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(_index__WEBPACK_IMPORTED_MODULE_0__.styles.get('view-tab-box', 'min-width').minWidth);
    this.desktop = this.session.desktop;
    this.setLayoutData(this.desktop.benchLayoutData);
    this._createColumns();
    this.headerTabArea = model.headerTabArea;
    // controller for headerTabArea
    if (this.headerTabArea) {
      this.headerTabAreaController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.HeaderTabBoxController);
      this.headerTabAreaController.install(this, this.headerTabArea);
    }
    this.outlineContentVisible = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.outlineContentVisible, true);
    this.setOutline(this.desktop.outline);
    this.updateNavigationHandleVisibility();
  }
  /** @internal */
  _setTabArea(headerTabArea) {
    this.headerTabArea = headerTabArea;
    if (this.headerTabAreaController) {
      this.headerTabAreaController.install(this, this.headerTabArea);
      // for all views
      let tabBox = this.getTabBox('C');
      tabBox.viewStack.slice().reverse().forEach(view => {
        // @ts-expect-error
        this.headerTabAreaController._onViewAdd({
          view: view
        });
        if (tabBox.currentView === view) {
          // @ts-expect-error
          this.headerTabAreaController._onViewActivate({
            view: view
          });
        }
      });
      // ensure the correct view tab area is visible (header or center part)
      this.headerTabAreaController._onViewsChanged();
    }
  }
  _createColumns() {
    let layoutData = this.getLayoutData(),
      columnLayoutData = [];
    if (layoutData) {
      columnLayoutData = this.getLayoutData().getColumns();
    }
    for (let i = 0; i < 3; i++) {
      let cacheKey = this.layoutCacheKey.slice();
      if (cacheKey.length > 0) {
        cacheKey.push('column' + i);
      }
      let column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BenchColumn, {
        parent: this,
        layoutData: columnLayoutData[i],
        cacheKey: cacheKey,
        cssClass: DesktopBench.VIEW_AREA_COLUMN_CLASSES[i]
      });
      column.on('viewAdd', this._viewAddHandler);
      column.on('viewRemove', this._viewRemoveHandler);
      column.on('viewActivate', this._viewActivateHandler);
      column.on('viewDeactivate', this._viewDeactivateHandler);
      this.columns.push(column);
    }
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    // Bound to desktop
    this.desktopKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    this.desktopKeyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.desktopKeyStrokeContext.$bindTarget = this.desktop.$container;
    this.desktopKeyStrokeContext.$scopeTarget = this.desktop.$container;
    this.desktopKeyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabSelectKeyStroke(this.desktop));
  }
  _render() {
    this.$container = this.$parent.appendDiv('desktop-bench');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'main');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, this.session.text('ui.MainArea'));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.htmlComp.layoutData = this.getLayoutData();
    this._renderColumns();
    this._revalidateSplitters();
    this._renderNavigationHandleVisible();
    this.session.keyStrokeManager.installKeyStrokeContext(this.desktopKeyStrokeContext);
    this.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
    this.desktop.on('outlineChange', this._desktopOutlineChangeHandler);
    this.desktop.on('animationEnd', this._desktopAnimationEndHandler);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayout(_index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayout.Direction.ROW, this.layoutCacheKey);
  }
  visibleColumns() {
    return this.columns.filter(column => column.hasViews());
  }
  _renderColumns() {
    this.visibleColumns().forEach(column => this._renderColumn(column));
    this.updateFirstLastMarker();
  }
  _renderColumn(column) {
    if (!column || column.rendered) {
      return;
    }
    column.render();
  }
  _remove() {
    this.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    this.desktop.off('outlineChange', this._desktopOutlineChangeHandler);
    this.desktop.off('animationEnd', this._desktopAnimationEndHandler);
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.desktopKeyStrokeContext);
    super._remove();
  }
  updateFirstLastMarker() {
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.visibleColumns());
  }
  _renderOutlineContent() {
    if (!this.outlineContent) {
      return;
    }
    // Reset view tab relevant properties to make sure no tab is visible for the outline content
    // @ts-expect-error
    delete this.outlineContent.title;
    // @ts-expect-error
    delete this.outlineContent.subTitle;
    // @ts-expect-error
    delete this.outlineContent.iconId;
    // bring the view to top if the desktop is not in background.
    this.addView(this.outlineContent, !this.desktop.inBackground);
    if (this.desktop.rendered) {
      // Request focus on first element in outline content
      this.session.focusManager.validateFocus();
    }
  }
  _removeOutlineContent() {
    if (!this.outlineContent) {
      return;
    }
    this.removeView(this.outlineContent, false);
  }
  _createNavigationHandle() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigationHandle, {
      parent: this,
      leftVisible: false
    });
  }
  _renderNavigationHandle() {
    if (this.navigationHandle) {
      return;
    }
    this.navigationHandle = this._createNavigationHandle();
    this.navigationHandle.render();
    this.navigationHandle.addCssClass('navigation-closed');
    this.navigationHandle.on('action', this._onNavigationHandleAction.bind(this));
  }
  _removeNavigationHandle() {
    if (!this.navigationHandle) {
      return;
    }
    this.navigationHandle.destroy();
    this.navigationHandle = null;
  }
  _renderNavigationHandleVisible() {
    if (this.navigationHandleVisible) {
      this._renderNavigationHandle();
    } else {
      this._removeNavigationHandle();
    }
    this.$container.toggleClass('has-navigation-handle', this.navigationHandleVisible);
  }
  /**
   * is called in post render of desktop used to initialize the ui state. E.g. show default views
   */
  postRender() {
    this.columns.forEach(column => column.postRender());
  }
  setChanging(changing) {
    if (changing) {
      this.changingCounter++;
    } else {
      this.changingCounter--;
    }
    if (this.changingCounter === 0 && this.changed && this.rendered) {
      let layout = this.htmlComp.layout;
      layout.reset();
      this.htmlComp.invalidateLayoutTree();
      this.changed = false;
    }
  }
  updateLayoutData(layoutData) {
    if (this.getLayoutData() === layoutData) {
      return;
    }
    this.setLayoutData(layoutData);
    // update columns
    let columnDatas = layoutData.getColumns();
    this.columns.forEach((c, i) => {
      let cacheKey;
      if (this.layoutCacheKey && this.layoutCacheKey.length > 0) {
        cacheKey = this.layoutCacheKey.slice();
        cacheKey.push('column' + i);
      }
      c.updateLayoutData(columnDatas[i], cacheKey);
    });
    if (this.rendered) {
      let layout = this.htmlComp.layout;
      layout.setCacheKey(this.layoutCacheKey);
      layout.reset();
      this.htmlComp.invalidateLayoutTree();
    }
    this._updateSplitterMovable();
  }
  setLayoutData(layoutData) {
    if (this.layoutData === layoutData) {
      return;
    }
    super.setLayoutData(layoutData);
    this.layoutData = layoutData;
    this.layoutCacheKey = [];
    if (layoutData['cacheKey']) {
      this.layoutCacheKey.push(layoutData['cacheKey']);
    }
  }
  getLayoutData() {
    return this.layoutData;
  }
  setNavigationHandleVisible(visible) {
    this.setProperty('navigationHandleVisible', visible);
  }
  setOutline(outline) {
    if (this.outline) {
      this.outline.off('nodesSelected', this._outlineNodesSelectedHandler);
      this.outline.off('pageChanged', this._outlinePageChangedHandler);
      this.outline.off('propertyChange', this._outlinePropertyChangeHandler);
    }
    this._setProperty('outline', outline);
    if (this.outline) {
      this.outline.on('nodesSelected', this._outlineNodesSelectedHandler);
      this.outline.on('pageChanged', this._outlinePageChangedHandler);
      this.outline.on('propertyChange', this._outlinePropertyChangeHandler);
    }
    this.updateOutlineContent();
  }
  setOutlineContent(content) {
    if (this.outlineContent === content) {
      return;
    }
    let oldContent = this.outlineContent;
    if (oldContent) {
      oldContent.off('destroy', this._outlineContentDestroyHandler);
      oldContent.off('propertyChange:cssClass', this._outlineContentCssClassChangeHandler);
    }
    if (this.rendered) {
      this._removeOutlineContent();
    }
    // add a destroy listener to the outline-content, so we can reset the property - otherwise we'd work
    // with a potentially destroyed content which would cause an error later, when we try to render the
    // bench with the outline-content.
    if (content) {
      content.one('destroy', this._outlineContentDestroyHandler);
      content.on('propertyChange:cssClass', this._outlineContentCssClassChangeHandler);
    }
    this._setProperty('outlineContent', content);
    // Inform header that outline content has changed
    // (having a listener in the header is quite complex due to initialization phase, a direct call here is much easier to implement)
    if (this.desktop.header) {
      this.desktop.header.onBenchOutlineContentChange(content, oldContent);
    }
    this._updateOutlineContentHasDimmedBackground();
    this._renderOutlineContent();
  }
  setOutlineContentVisible(visible) {
    if (visible === this.outlineContentVisible) {
      return;
    }
    this._setProperty('outlineContentVisible', visible);
    this.updateOutlineContent();
  }
  bringToFront() {
    if (!this.outlineContent) {
      return;
    }
    this._renderOutlineContent();
  }
  sendToBack() {
    // nop
  }
  _updateOutlineContentHasDimmedBackground() {
    if (!this.outlineContent) {
      return;
    }
    let hasDimmedBackground = false;
    if (this.outlineContent.cssClass) {
      hasDimmedBackground = this.outlineContent.cssClass.indexOf('dimmed-background') > -1;
    }
    this.toggleCssClass('outline-content-has-dimmed-background', hasDimmedBackground);
  }
  _computeOutlineContentForPage(page) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('page', page);
    let content;
    if (page.detailForm && page.detailFormVisible && page.detailFormVisibleByUi) {
      content = page.detailForm;
      content.uiCssClass = 'detail-form';
    } else if (page.detailTable && page.detailTableVisible) {
      content = page.detailTable;
      content.uiCssClass = 'detail-table perma-focus';
    }
    return content;
  }
  _computeOutlineContent() {
    let selectedPage = this.outline.selectedNode(); // outline does not support multi selection
    if (selectedPage) {
      return this._computeOutlineContentForPage(selectedPage);
    }
    return this.outline.getRootContent();
  }
  updateOutlineContent() {
    if (!this.outlineContentVisible || !this.outline) {
      return;
    }
    let content = this._computeOutlineContent();
    if (content) {
      if (content instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Table) {
        content.menuBar.addCssClass('main-menubar');
        content.menuBar.removeCssClass('bounded');
      }
      content.displayViewId = 'C';
    }
    this.setOutlineContent(content);
  }
  updateOutlineContentDebounced() {
    clearTimeout(this._updateOutlineContentTimeout);
    this._updateOutlineContentTimeout = setTimeout(() => this.updateOutlineContent(), 300);
  }
  updateNavigationHandleVisibility() {
    // Don't show handle if desktop says handle must not be visible
    // Only show handle if navigation is invisible
    this.setNavigationHandleVisible(this.desktop.navigationHandleVisible && !this.desktop.navigationVisible);
  }
  _onDesktopOutlineChange(event) {
    this.setOutline(this.desktop.outline);
    this.updateNavigationHandleVisibility();
  }
  _onOutlineContentDestroy(event) {
    if (event.source === this.outlineContent) {
      this.setOutlineContent(null);
    }
  }
  _onOutlineContentCssClassChange(event) {
    this._updateOutlineContentHasDimmedBackground();
  }
  _onOutlineNodesSelected(event) {
    if (event.debounce) {
      this.updateOutlineContentDebounced();
    } else {
      this.updateOutlineContent();
    }
  }
  _onOutlinePageChanged(event) {
    let selectedPage = this.outline.selectedNode();
    if (!event.page && !selectedPage || event.page === selectedPage) {
      this.updateOutlineContent();
    }
  }
  _onOutlinePropertyChange(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.propertyName, ['defaultDetailForm', 'outlineOverview'])) {
      this.updateOutlineContent();
    }
  }
  _onDesktopNavigationVisibleChange() {
    // If navigation gets visible: Hide handle immediately
    // If navigation gets hidden using animation: Show handle when animation ends
    if (this.desktop.navigationVisible) {
      this.updateNavigationHandleVisibility();
    }
  }
  _onDesktopNavigationHandleVisibleChange() {
    this.updateNavigationHandleVisibility();
  }
  _onDesktopAnimationEnd(event) {
    if (!this.desktop.navigationVisible) {
      this.updateNavigationHandleVisibility();
    }
  }
  _onBenchLayoutDataChange() {
    this.updateLayoutData(this.desktop.benchLayoutData);
  }
  _onDesktopPropertyChange(event) {
    if (event.propertyName === 'navigationVisible') {
      this._onDesktopNavigationVisibleChange();
    } else if (event.propertyName === 'navigationHandleVisible') {
      this._onDesktopNavigationHandleVisibleChange();
    }
    if (event.propertyName === 'benchLayoutData') {
      this._onBenchLayoutDataChange();
    }
  }
  _onNavigationHandleAction(event) {
    this.desktop.enlargeNavigation();
  }
  _revalidateSplitters() {
    // remove old splitters
    if (this.components) {
      this.components.forEach(comp => {
        if (comp instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Splitter) {
          comp.destroy();
        }
      });
    }
    this.components = this.visibleColumns().reduce((arr, col) => {
      if (arr.length > 0) {
        // add sep
        let splitter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Splitter, {
          parent: this,
          $anchor: arr[arr.length - 1].$container,
          $root: this.$container
        });
        splitter.render();
        splitter.setLayoutData(_index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayoutData.fixed().withOrder(col.getLayoutData().order - 1));
        splitter.$container.addClass('line');
        arr.push(splitter);
      }
      arr.push(col);
      return arr;
    }, []);
    // well order the dom elements (reduce is used for simple code reasons, the result of reduce is not of interest).
    this.components.filter(comp => comp instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BenchColumn).reduce((c1, c2, index) => {
      if (index > 0) {
        c2.$container.insertAfter(c1.$container);
      }
      return c2;
    }, undefined);
    this._updateSplitterMovable();
  }
  _updateSplitterMovable() {
    if (!this.components) {
      return;
    }
    this.components.forEach((c, i) => {
      if (c instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Splitter) {
        let componentsBefore = this.components.slice(0, i).reverse();
        let componentsAfter = this.components.slice(i + 1);
        // shrink
        if (componentsBefore.filter(col => col.getLayoutData().shrink > 0).length > 0 && componentsAfter.filter(c => c.getLayoutData().grow > 0).length > 0) {
          c.setEnabled(true);
          c.on('move', this._onSplitterMove.bind(this));
          return;
        }
        // grow
        if (componentsBefore.filter(c => c.getLayoutData().grow > 0).length > 0 && componentsAfter.filter(c => c.getLayoutData().shrink > 0).length > 0) {
          c.setEnabled(true);
          c.on('move', this._onSplitterMove.bind(this));
          return;
        }
        c.setEnabled(false);
      }
    });
  }
  _onSplitterMove(event) {
    let splitter = event.source;
    // noinspection UnnecessaryLocalVariableJS
    let diff = event.position - splitter.htmlComp.location().x - splitter.htmlComp.margins().left - splitter.htmlComp.insets().left;
    splitter.getLayoutData().diff = diff;
    this.revalidateLayout();
    splitter.getLayoutData().diff = null;
    event.preventDefault();
  }
  _onViewAdd(event) {
    this.trigger('viewAdd', {
      view: event.view
    });
  }
  _onViewRemove(event) {
    this.trigger('viewRemove', {
      view: event.view
    });
  }
  _onViewActivate(event) {
    let view = event.view;
    if (this.outlineContent === view) {
      this.desktop.bringOutlineToFront();
    }
    this.trigger('viewActivate', {
      view: view
    });
  }
  _onViewDeactivate(event) {
    if (this.outlineContent === event.view) {
      this.desktop.sendOutlineToBack();
    }
    this.trigger('viewDeactivate', {
      view: event.view
    });
  }
  addView(view, activate) {
    view.displayViewId = DesktopBench.normalizeDisplayViewId(view.displayViewId);
    let column = this._getColumn(view.displayViewId);
    this.tabBoxMap[view.id] = column;
    column.addView(view, activate);
    if (this.rendered) {
      if (column.viewCount() === 1) {
        this._renderColumn(column);
        this._revalidateSplitters();
        this.updateFirstLastMarker();
        if (this.changingCounter > 0) {
          this.changed = true;
        } else {
          let layout = this.htmlComp.layout;
          layout.reset();
          this.htmlComp.invalidateLayoutTree();
        }
      }
    }
  }
  activateView(view) {
    // activate views is only for existing views allowed.
    if (!this.hasView(view)) {
      return;
    }
    let column = this._getColumn(view.displayViewId);
    if (column) {
      column.activateView(view);
    }
  }
  _getColumn(displayViewId) {
    let column;
    switch (displayViewId) {
      case 'NW':
      case 'W':
      case 'SW':
        column = this.columns[DesktopBench.VIEW_AREA_COLUMN_INDEX.LEFT];
        break;
      case 'NE':
      case 'E':
      case 'SE':
        column = this.columns[DesktopBench.VIEW_AREA_COLUMN_INDEX.RIGHT];
        break;
      default:
        column = this.columns[DesktopBench.VIEW_AREA_COLUMN_INDEX.CENTER];
        break;
    }
    return column;
  }
  removeView(view, showSiblingView) {
    let column = this.tabBoxMap[view.id];
    if (column) {
      this._removeViewInProgress++;
      column.removeView(view, showSiblingView);
      this._removeViewInProgress--;
      delete this.tabBoxMap[view.id];
      // remove if empty
      if (this.rendered && column.viewCount() === 0 && this._removeViewInProgress === 0) {
        column.remove();
        this._revalidateSplitters();
        this.updateFirstLastMarker();
        if (this.changingCounter > 0) {
          this.changed = true;
        } else {
          let layout = this.htmlComp.layout;
          layout.reset();
          this.htmlComp.invalidateLayoutTree();
        }
      }
    }
  }
  getComponents() {
    return this.components;
  }
  getTabBox(displayViewId) {
    let viewColumn = this._getColumn(displayViewId);
    if (!viewColumn) {
      return;
    }
    return viewColumn.getTabBox(displayViewId);
  }
  visibleTabBoxes() {
    return this.visibleColumns().reduce((arr, column) => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(arr, column.visibleTabBoxes());
      return arr;
    }, []);
  }
  hasView(view) {
    return this.columns.filter(column => column.hasView(view)).length > 0;
  }
  getViews(displayViewId) {
    return this.columns.reduce((arr, column) => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(arr, column.getViews(displayViewId));
      return arr;
    }, []);
  }
  getViewTab(view) {
    let viewTab = null;
    this.getTabs().some(vt => {
      if (vt.view === view) {
        viewTab = vt;
        return true;
      }
      return false;
    });
    return viewTab;
  }
  getTabs() {
    let tabs = [];
    // consider right order
    tabs = tabs.concat(this._getTabsForDisplayViewId('NW'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('W'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('SW'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('N'));
    if (this.headerTabAreaController) {
      tabs = tabs.concat(this.headerTabAreaController.getTabs());
    } else {
      tabs = tabs.concat(this._getTabsForDisplayViewId('C'));
    }
    tabs = tabs.concat(this._getTabsForDisplayViewId('S'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('NE'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('E'));
    tabs = tabs.concat(this._getTabsForDisplayViewId('SE'));
    return tabs;
  }
  _getTabsForDisplayViewId(displayViewId) {
    return this.getTabBox(displayViewId).getController().getTabs();
  }
  /**
   * @returns all the currently active views (the selected ones) of all the visible tab boxes
   */
  activeViews() {
    let activeViews = [];
    this.visibleColumns().forEach(column => {
      column.visibleTabBoxes().forEach(tabBox => {
        activeViews.push(tabBox.currentView);
      });
    });
    return activeViews;
  }
  static normalizeDisplayViewId(displayViewId) {
    switch (displayViewId) {
      case 'NW':
      case 'W':
      case 'SW':
      case 'N':
      case 'C':
      case 'S':
      case 'NE':
      case 'E':
      case 'SE':
        break;
      default:
        // map all other displayViewIds to center
        displayViewId = 'C';
        break;
    }
    return displayViewId;
  }
}
_defineProperty(DesktopBench, "VIEW_MIN_HEIGHT", null);
// Configured in sizes.css
_defineProperty(DesktopBench, "VIEW_MIN_WIDTH", null);
// Configured in sizes.css
_defineProperty(DesktopBench, "VIEW_AREA_COLUMN_INDEX", {
  LEFT: 0,
  CENTER: 1,
  RIGHT: 2
});
_defineProperty(DesktopBench, "VIEW_AREA_COLUMN_CLASSES", ['west', 'center', 'east']);

/***/ }),

/***/ "./src/desktop/bench/DesktopBenchEventMap.ts":
/*!***************************************************!*\
  !*** ./src/desktop/bench/DesktopBenchEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/DesktopBenchModel.ts":
/*!************************************************!*\
  !*** ./src/desktop/bench/DesktopBenchModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/DesktopTabSelectKeyStroke.ts":
/*!********************************************************!*\
  !*** ./src/desktop/bench/DesktopTabSelectKeyStroke.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopTabSelectKeyStroke: () => (/* binding */ DesktopTabSelectKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Composite keystroke to provide a numeric keystroke to select view tabs.
 */
class DesktopTabSelectKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.RangeKeyStroke {
  constructor(desktop) {
    super();
    this.field = desktop;
    // modifier
    this.parseAndSetKeyStroke(desktop.selectViewTabsKeyStrokeModifier);
    // range [1..9]
    this.registerRange(_index__WEBPACK_IMPORTED_MODULE_0__.keys['1'],
    // range from
    () => {
      return _index__WEBPACK_IMPORTED_MODULE_0__.keys[Math.min(this._viewTabs().length, 9)]; // range to
    });
    // rendering hints
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let viewIndex = event.which - _index__WEBPACK_IMPORTED_MODULE_0__.keys['1'];
      return this._viewTabs()[viewIndex].$container;
    };
    this.inheritAccessibility = false;
  }
  _isEnabled() {
    let enabled = super._isEnabled();
    return enabled && this.field.selectViewTabsKeyStrokesEnabled && this._viewTabs().length > 0;
  }
  handle(event) {
    let viewIndex = event.which - _index__WEBPACK_IMPORTED_MODULE_0__.keys['1'];
    let tabs = this._viewTabs();
    if (tabs.length && viewIndex < tabs.length) {
      let viewTab = tabs[viewIndex];
      if (this.field.bench) {
        this.field.bench.activateView(viewTab.view);
      }
    }
  }
  _viewTabs() {
    if (this.field.bench) {
      return this.field.bench.getTabs();
    }
    return [];
  }
}

/***/ }),

/***/ "./src/desktop/bench/layout/BenchColumnLayoutData.ts":
/*!***********************************************************!*\
  !*** ./src/desktop/bench/layout/BenchColumnLayoutData.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BenchColumnLayoutData: () => (/* binding */ BenchColumnLayoutData)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BenchColumnLayoutData {
  constructor(model) {
    _defineProperty(this, "columns", void 0);
    this.columns = [null, null, null];
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    this._ensureColumns();
  }
  _ensureColumns() {
    this.columns = this.columns.map((col, i) => {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.BenchRowLayoutData(col).withOrder(i * 2);
    });
  }
  getColumns() {
    return this.columns;
  }
  static ensure(layoutData) {
    if (!layoutData) {
      return new BenchColumnLayoutData();
    }
    if (layoutData instanceof BenchColumnLayoutData) {
      return layoutData;
    }
    return new BenchColumnLayoutData(layoutData);
  }
}

/***/ }),

/***/ "./src/desktop/bench/layout/BenchColumnLayoutDataModel.ts":
/*!****************************************************************!*\
  !*** ./src/desktop/bench/layout/BenchColumnLayoutDataModel.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/bench/layout/BenchRowLayoutData.ts":
/*!********************************************************!*\
  !*** ./src/desktop/bench/layout/BenchRowLayoutData.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BenchRowLayoutData: () => (/* binding */ BenchRowLayoutData)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BenchRowLayoutData extends _index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayoutData {
  constructor(model) {
    super(model);
    _defineProperty(this, "rows", void 0);
    model = model || {};
    this.rows = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.rows, [null, null, null]);
    this._ensureRows();
  }
  getRows() {
    return this.rows;
  }
  _ensureRows() {
    this.rows = this.rows.map((row, i) => new _index__WEBPACK_IMPORTED_MODULE_0__.FlexboxLayoutData(row).withOrder(i * 2));
  }
}

/***/ }),

/***/ "./src/desktop/bench/layout/BenchRowLayoutDataModel.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/bench/layout/BenchRowLayoutDataModel.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/desktoptab/DesktopTab.ts":
/*!**********************************************!*\
  !*** ./src/desktop/desktoptab/DesktopTab.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopTab: () => (/* binding */ DesktopTab)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopTab extends _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTab {
  _render() {
    super._render();
    this.$container.addClass('desktop-tab');
    this.$container.on('contextmenu', this._onContextMenu.bind(this));
    this.$container.prependDiv('edge left');
    this.$container.appendDiv('edge right');
  }
  _renderClosable() {
    super._renderClosable();
    if (this.closable && this.view.closeKeyStroke) {
      this.view.closeKeyStroke.renderingHints = {
        hAlign: _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT,
        render: () => !!this.$close,
        $drawingArea: () => this.$close
      };
    }
  }
  _onContextMenu(event) {
    let menuCloseAllTabs = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.CloseAllTabs')
    });
    menuCloseAllTabs.on('action', this._onCloseAll.bind(this));
    let menuCloseOtherTabs = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.CloseOtherTabs'),
      enabled: this.parent.tabs.length > 1
    });
    menuCloseOtherTabs.on('action', this._onCloseOther.bind(this));
    let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      menuItems: [menuCloseAllTabs, menuCloseOtherTabs],
      cloneMenuItems: false,
      location: {
        x: event.pageX,
        y: event.pageY
      }
    });
    popup.open();
  }
  _onCloseAll() {
    let openViews = this.parent.tabs.map(desktopTab => desktopTab.view);
    this.session.desktop.cancelViews(openViews);
  }
  _onCloseOther() {
    let openViews = this.parent.tabs.map(desktopTab => desktopTab.view);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(openViews, this.view);
    this.session.desktop.cancelViews(openViews);
  }
}

/***/ }),

/***/ "./src/desktop/desktoptab/DesktopTabArea.ts":
/*!**************************************************!*\
  !*** ./src/desktop/desktoptab/DesktopTabArea.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopTabArea: () => (/* binding */ DesktopTabArea)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopTabArea extends _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea {
  _render() {
    super._render();
    this.$container.addClass('desktop-tab-area');
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabAreaLayout(this);
  }
  updateFirstTabSelected() {
    let desktop = this.session.desktop;
    if (!desktop.rendered) {
      return;
    }
    let firstTab = this.getVisibleTabs()[0];
    desktop.$container.toggleClass('first-tab-selected', firstTab && firstTab.selected);
  }
  getTabs() {
    return super.getTabs();
  }
}

/***/ }),

/***/ "./src/desktop/desktoptab/DesktopTabAreaLayout.ts":
/*!********************************************************!*\
  !*** ./src/desktop/desktoptab/DesktopTabAreaLayout.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopTabAreaLayout: () => (/* binding */ DesktopTabAreaLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopTabAreaLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabAreaLayout {
  constructor(tabArea) {
    super(tabArea);
  }
  layout($container) {
    super.layout($container);
    this.tabArea.updateFirstTabSelected();
  }
}

/***/ }),

/***/ "./src/desktop/desktoptab/DisableBrowserTabSwitchingKeyStroke.ts":
/*!***********************************************************************!*\
  !*** ./src/desktop/desktoptab/DisableBrowserTabSwitchingKeyStroke.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DisableBrowserTabSwitchingKeyStroke: () => (/* binding */ DisableBrowserTabSwitchingKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * KeyStroke to prevent the browser from switching between browser tabs.
 *
 * See DisableBrowserTabSwitchingKeyStroke.js where switching between views is implemented, but only up to the current number of open views.
 * That means, that if 3 views are open, ctrl-4 is prevented by this keystroke.
 */
class DisableBrowserTabSwitchingKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.RangeKeyStroke {
  constructor(desktop) {
    super();
    this.field = desktop;
    // modifier
    this.parseAndSetKeyStroke(desktop.selectViewTabsKeyStrokeModifier);
    // range [1..9]
    this.registerRange(_index__WEBPACK_IMPORTED_MODULE_0__.keys['1'],
    // range from
    _index__WEBPACK_IMPORTED_MODULE_0__.keys['9'] // range to
    );
    // rendering hints
    this.renderingHints.render = false;
    this.preventDefault = true;
    this.inheritAccessibility = false;
  }
  _isEnabled() {
    let enabled = super._isEnabled();
    return enabled && this.field.selectViewTabsKeyStrokesEnabled;
  }
  handle(event) {
    // NOP
  }
}

/***/ }),

/***/ "./src/desktop/header/DesktopHeader.ts":
/*!*********************************************!*\
  !*** ./src/desktop/header/DesktopHeader.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopHeader: () => (/* binding */ DesktopHeader)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopHeader extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "logoUrl", void 0);
    _defineProperty(this, "logo", void 0);
    _defineProperty(this, "toolBoxVisible", void 0);
    _defineProperty(this, "toolBox", void 0);
    _defineProperty(this, "viewButtonBoxVisible", void 0);
    _defineProperty(this, "viewButtonBox", void 0);
    _defineProperty(this, "outlineContent", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    _defineProperty(this, "_desktopAnimationEndHandler", void 0);
    _defineProperty(this, "_outlineContentMenuBarVisibleChangeHandler", void 0);
    _defineProperty(this, "_outlineContentCssClassChangeHandler", void 0);
    _defineProperty(this, "_viewButtonBoxPropertyChangeHandler", void 0);
    this.tabArea = null;
    this.toolBoxVisible = true;
    this.viewButtonBox = null;
    this.viewButtonBoxVisible = false;
    this.outlineContent = null;
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
    this._desktopAnimationEndHandler = this._onDesktopAnimationEnd.bind(this);
    this._outlineContentMenuBarVisibleChangeHandler = this._onOutlineContentMenuBarVisibleChange.bind(this);
    this._outlineContentCssClassChangeHandler = this._onOutlineContentCssClassChange.bind(this);
    this._viewButtonBoxPropertyChangeHandler = this._onViewButtonBoxPropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this.desktop = this.session.desktop;
    this.updateViewButtonBoxVisibility();
    this.tabArea = this._createTabArea();
  }
  _createTabArea() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabArea, $.extend({
      parent: this
    }, this.tabArea));
  }
  _render() {
    this.$container = this.$parent.appendDiv('desktop-header');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'banner');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, this.session.text('ui.HeaderArea'));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.DesktopHeaderLayout(this));
    this.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
    this.desktop.on('animationEnd', this._desktopAnimationEndHandler);
    if (this.desktop.bench) {
      this._setOutlineContent(this.desktop.bench.outlineContent);
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderViewButtonBoxVisible();
    this._renderViewTabs();
    this._renderToolBoxVisible();
    this._renderLogoUrl();
    this._renderInBackground();
  }
  _remove() {
    this.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    this.desktop.off('animationEnd', this._desktopAnimationEndHandler);
    this._setOutlineContent(null);
    super._remove();
  }
  _renderViewTabs() {
    this.tabArea.render();
  }
  _renderToolBox() {
    if (this.toolBox) {
      return;
    }
    this.toolBox = this._createToolBox();
    this.toolBox.render();
  }
  _createToolBox() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopToolBox, {
      parent: this,
      menus: this.desktop.menus
    });
  }
  _removeToolBox() {
    if (!this.toolBox) {
      return;
    }
    this.toolBox.destroy();
    this.toolBox = null;
  }
  _renderToolBoxVisible() {
    if (this.toolBoxVisible) {
      this._renderToolBox();
    } else {
      this._removeToolBox();
    }
    this.invalidateLayoutTree();
  }
  _renderLogoUrl() {
    if (this.logoUrl) {
      this._renderLogo();
    } else {
      this._removeLogo();
    }
    this.invalidateLayoutTree();
  }
  _renderLogo() {
    if (this.desktop.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT) {
      // Do not render logo in compact mode (wastes space)
      return;
    }
    if (!this.logo) {
      this.logo = this._createLogo();
      this.logo.render();
    } else {
      this.logo.setUrl(this.logoUrl);
    }
  }
  _createLogo() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopLogo, {
      parent: this,
      url: this.logoUrl
    });
  }
  _removeLogo() {
    if (!this.logo) {
      return;
    }
    this.logo.destroy();
    this.logo = null;
  }
  _renderViewButtonBox() {
    if (this.viewButtonBox) {
      return;
    }
    this.viewButtonBox = this._createViewButtonBox();
    this.viewButtonBox.on('propertyChange', this._viewButtonBoxPropertyChangeHandler);
    this.viewButtonBox.render();
    this.viewButtonBox.$container.prependTo(this.$container);
    this.updateViewButtonStyling();
  }
  _createViewButtonBox() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ViewButtonBox, {
      parent: this,
      viewButtons: this.desktop.viewButtons,
      selectedMenuButtonAlwaysVisible: true
    });
  }
  _removeViewButtonBox() {
    if (!this.viewButtonBox) {
      return;
    }
    this.viewButtonBox.off('propertyChange', this._viewButtonBoxPropertyChangeHandler);
    this.viewButtonBox.destroy();
    this.viewButtonBox = null;
  }
  _renderViewButtonBoxVisible() {
    if (this.viewButtonBoxVisible) {
      this._renderViewButtonBox();
    } else {
      this._removeViewButtonBox();
    }
    this.$container.toggleClass('has-view-button-box', this.viewButtonBoxVisible);
    this.invalidateLayoutTree();
  }
  sendToBack() {
    if (this.rendered) {
      this._renderInBackground();
    }
  }
  bringToFront() {
    if (this.rendered) {
      this._renderInBackground();
    }
  }
  _renderInBackground() {
    this.$container.toggleClass('in-background', this.desktop.inBackground);
  }
  setLogoUrl(logoUrl) {
    this.setProperty('logoUrl', logoUrl);
  }
  setToolBoxVisible(visible) {
    this.setProperty('toolBoxVisible', visible);
  }
  setViewButtonBoxVisible(visible) {
    this.setProperty('viewButtonBoxVisible', visible);
  }
  setMenus(menus) {
    if (this.toolBox) {
      this.toolBox.setMenus(menus);
    }
  }
  _setOutlineContent(outlineContent) {
    if (this.outlineContent === outlineContent) {
      return;
    }
    this._detachOutlineContentHandlers();
    this._setProperty('outlineContent', outlineContent);
    this._attachOutlineContentHandlers();
    this.updateViewButtonStyling();
  }
  updateViewButtonBoxVisibility() {
    // View buttons are visible in the header if the navigation is not visible
    // If there are no view buttons at all, don't show the box
    // With displayStyle is set to compact, the view buttons should never be visible in the header
    this.setViewButtonBoxVisible(this.desktop.viewButtons.some(button => button.visible) && !this.desktop.navigationVisible && this.desktop.displayStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT);
  }
  _attachOutlineContentHandlers() {
    this._attachOutlineContentMenuBarHandler();
    this._attachOutlineContentCssClassHandler();
  }
  _attachOutlineContentMenuBarHandler() {
    if (!this.outlineContent) {
      return;
    }
    let menuBar = this._outlineContentMenuBar(this.outlineContent);
    if (menuBar) {
      menuBar.on('propertyChange:visible', this._outlineContentMenuBarVisibleChangeHandler);
    }
  }
  _attachOutlineContentCssClassHandler() {
    if (!this.outlineContent) {
      return;
    }
    this.outlineContent.on('propertyChange:cssClass', this._outlineContentCssClassChangeHandler);
  }
  _detachOutlineContentHandlers() {
    this._detachOutlineContentMenuBarHandler();
    this._detachOutlineContentCssClassHandler();
  }
  _detachOutlineContentMenuBarHandler() {
    if (!this.outlineContent) {
      return;
    }
    let menuBar = this._outlineContentMenuBar(this.outlineContent);
    if (menuBar) {
      menuBar.off('propertyChange:visible', this._outlineContentMenuBarVisibleChangeHandler);
    }
  }
  _detachOutlineContentCssClassHandler() {
    if (!this.outlineContent) {
      return;
    }
    this.outlineContent.off('propertyChange:cssClass', this._outlineContentCssClassChangeHandler);
  }
  _outlineContentMenuBar(outlineContent) {
    if (outlineContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
      return outlineContent.rootGroupBox.menuBar;
    }
    return outlineContent.menuBar;
  }
  updateViewButtonStyling() {
    this._updateOutlineContentHasMenuBar();
    this._updateOutlineContentHasDimmedBackground();
  }
  _getOutlineContentForViewButtonStyling() {
    if (!this.viewButtonBoxVisible || !this.outlineContent || !this.outlineContent.visible) {
      return;
    }
    return this.outlineContent;
  }
  _updateOutlineContentHasMenuBar() {
    let outlineContent = this._getOutlineContentForViewButtonStyling();
    if (!outlineContent) {
      return;
    }
    let hasMenuBar = false;
    if (outlineContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && outlineContent.detailForm) {
      let rootGroupBox = outlineContent.rootGroupBox;
      hasMenuBar = rootGroupBox.menuBar && rootGroupBox.menuBarVisible && rootGroupBox.menuBar.visible;
    } else {
      let outlineTable = outlineContent;
      hasMenuBar = outlineTable.menuBar && outlineTable.menuBar.visible;
    }
    this.$container.toggleClass('outline-content-has-menubar', !!hasMenuBar);
  }
  _updateOutlineContentHasDimmedBackground() {
    let outlineContent = this._getOutlineContentForViewButtonStyling();
    if (!outlineContent) {
      return;
    }
    let hasDimmedBackground = false;
    if (outlineContent.cssClass) {
      hasDimmedBackground = outlineContent.cssClass.indexOf('dimmed-background') > -1;
    }
    this.$container.toggleClass('outline-content-has-dimmed-background', hasDimmedBackground);
  }
  _onDesktopNavigationVisibleChange() {
    // If navigation gets visible: Hide view buttons immediately
    // If navigation gets hidden using animation: Show view buttons when animation ends
    if (this.desktop.navigationVisible) {
      this.updateViewButtonBoxVisibility();
    }
  }
  _onDesktopAnimationEnd(event) {
    this.updateViewButtonBoxVisibility();
  }
  onBenchOutlineContentChange(content, oldContent) {
    this._setOutlineContent(content);
  }
  _onDesktopPropertyChange(event) {
    if (event.propertyName === 'navigationVisible') {
      this._onDesktopNavigationVisibleChange();
    }
  }
  _onOutlineContentMenuBarVisibleChange(event) {
    this._updateOutlineContentHasMenuBar();
  }
  _onOutlineContentCssClassChange(event) {
    this._updateOutlineContentHasDimmedBackground();
  }
  _onViewButtonBoxPropertyChange(event) {
    if (event.propertyName === 'menuButtons' || event.propertyName === 'tabButtons') {
      this.invalidateLayoutTree();
    }
  }
}

/***/ }),

/***/ "./src/desktop/header/DesktopHeaderEventMap.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/header/DesktopHeaderEventMap.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/header/DesktopHeaderLayout.ts":
/*!***************************************************!*\
  !*** ./src/desktop/header/DesktopHeaderLayout.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopHeaderLayout: () => (/* binding */ DesktopHeaderLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopHeaderLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(header) {
    super();
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "desktop", void 0);
    this.header = header;
    this.desktop = header.desktop;
  }
  layout($container) {
    let viewButtonBoxPrefSize,
      toolBoxPrefSize,
      tabsPrefSize,
      smallTabsPrefSize,
      htmlContainer = this.header.htmlComp,
      containerSize = htmlContainer.size(),
      toolBox = this.header.toolBox,
      viewButtonBox = this.header.viewButtonBox,
      tabArea = this.header.tabArea,
      tabsWidth = 0,
      // = available width for tabs
      logoWidth = 0,
      viewButtonBoxWidth = 0,
      toolBoxWidth = 0;
    containerSize = containerSize.subtract(htmlContainer.insets());
    if (this.header.logo) {
      logoWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.header.logo.$container, true).width;
    }
    if (viewButtonBox) {
      viewButtonBoxPrefSize = viewButtonBox.htmlComp.prefSize(true);
      viewButtonBoxWidth = viewButtonBoxPrefSize.width;
      viewButtonBox.htmlComp.setSize(viewButtonBoxPrefSize.subtract(viewButtonBox.htmlComp.margins()));
    }
    tabArea.htmlComp.$comp.cssLeft(viewButtonBoxWidth);
    if (toolBox) {
      toolBoxPrefSize = toolBox.htmlComp.prefSize(true);
      toolBoxWidth = toolBoxPrefSize.width;
      setToolBoxSize();
      setToolBoxLocation();
    }
    tabsWidth = calcTabsWidth();
    smallTabsPrefSize = getTabsSmallPrefSize();
    tabsPrefSize = tabArea.htmlComp.prefSize({
      widthHint: tabsWidth,
      includeMargin: true
    });
    if (tabsWidth >= smallTabsPrefSize.width) {
      // All tabs fit when they have small size -> use available size but max the pref size -> prefSize = size of maximum tabs if tabs use their large (max) size
      tabsWidth = Math.min(tabsPrefSize.width, tabsWidth);
      setTabsSize();
      return;
    }
    // 1st try to minimize padding around tool-bar items -> compact mode
    if (toolBox) {
      toolBoxPrefSize = getToolBoxCompactPrefSize();
      toolBoxWidth = toolBoxPrefSize.width;
      setToolBoxSize();
      setToolBoxLocation();
    }
    tabsWidth = calcTabsWidth();
    if (tabsWidth >= smallTabsPrefSize.width) {
      setTabsSize();
      return;
    }
    // 2nd remove text from tool-bar items, only show icon
    if (toolBox) {
      toolBoxPrefSize = getToolBoxShrinkPrefSize();
      toolBoxWidth = toolBoxPrefSize.width;
      setToolBoxSize();
      setToolBoxLocation();
    }
    tabsWidth = calcTabsWidth();
    if (tabArea.displayStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea.DisplayStyle.SPREAD_EVEN) {
      tabsWidth = Math.min(smallTabsPrefSize.width, tabsWidth);
    }
    // Ensure minimum width for the the overflow menu - expect if there are no tabs at all (in that case ensure min width of 0)
    let layout = tabArea.htmlComp.layout;
    let overflowTabItemWidth = layout.overflowTabItemWidth;
    tabsWidth = Math.max(tabsWidth, tabArea.tabs.length ? overflowTabItemWidth : 0);
    setTabsSize();
    // 3rd if only the overflow menu is shown make toolBox smaller so that ellipsis may be displayed
    if (toolBox && tabsWidth <= overflowTabItemWidth) {
      // layout toolBox, now an ellipsis menu may be shown
      toolBoxWidth = containerSize.width - tabsWidth - logoWidth - viewButtonBoxWidth;
      setToolBoxSize();
      setToolBoxLocation();
    }
    function calcTabsWidth() {
      return containerSize.width - toolBoxWidth - logoWidth - viewButtonBoxWidth;
    }
    function setTabsSize() {
      tabArea.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(tabsWidth, tabsPrefSize.height).subtract(tabArea.htmlComp.margins()));
    }
    function getTabsSmallPrefSize() {
      let tabAreaLayout = tabArea.htmlComp.layout;
      return tabAreaLayout.smallPrefSize({
        widthHint: tabsWidth
      }).add(tabArea.htmlComp.margins());
    }
    function setToolBoxSize() {
      toolBox.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(toolBoxWidth, toolBoxPrefSize.height).subtract(toolBox.htmlComp.margins()));
    }
    function getToolBoxCompactPrefSize() {
      let toolBoxLayout = toolBox.htmlComp.layout;
      return toolBoxLayout.compactPrefSize().add(toolBox.htmlComp.margins());
    }
    function getToolBoxShrinkPrefSize() {
      let toolBoxLayout = toolBox.htmlComp.layout;
      return toolBoxLayout.shrinkPrefSize().add(toolBox.htmlComp.margins());
    }
    function setToolBoxLocation() {
      toolBox.htmlComp.$comp.cssLeft(containerSize.width - toolBoxWidth - logoWidth);
    }
  }
}

/***/ }),

/***/ "./src/desktop/header/DesktopHeaderModel.ts":
/*!**************************************************!*\
  !*** ./src/desktop/header/DesktopHeaderModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/header/HeaderTabBoxController.ts":
/*!******************************************************!*\
  !*** ./src/desktop/header/HeaderTabBoxController.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HeaderTabBoxController: () => (/* binding */ HeaderTabBoxController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * The {@link HeaderTabBoxController} is used to link the center {@link SimpleTabBox} (all forms with displayViewId='C')
 * with a {@link SimpleTabArea} placed in the header.
 *
 * @see SimpleTabBoxController
 */
class HeaderTabBoxController extends _index__WEBPACK_IMPORTED_MODULE_0__.DesktopTabBoxController {
  constructor() {
    super();
    _defineProperty(this, "bench", void 0);
    _defineProperty(this, "tabAreaCenter", void 0);
    _defineProperty(this, "tabAreaInHeader", void 0);
    _defineProperty(this, "_viewsChangedHandler", void 0);
    this.bench = null;
    this._viewsChangedHandler = this._onViewsChanged.bind(this);
    this.tabAreaCenter = null;
    this.tabAreaInHeader = false;
  }
  // @ts-expect-error
  install(bench, tabArea) {
    this.bench = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('bench', bench);
    let tabBoxCenter = this.bench.getTabBox('C');
    this.tabAreaCenter = tabBoxCenter.tabArea;
    super.install(tabBoxCenter, tabArea);
  }
  _installListeners() {
    super._installListeners();
    this.bench.on('viewAdd', this._viewsChangedHandler);
    this.bench.on('viewRemove', this._viewsChangedHandler);
  }
  /** @internal */
  _onViewsChanged() {
    if (this.bench.getViews().some(view => 'C' !== view.displayViewId)) {
      // has views in other view stacks
      this._setViewTabAreaInHeader(false);
    } else {
      // has only views in center
      this._setViewTabAreaInHeader(true);
    }
  }
  _setViewTabAreaInHeader(inHeader) {
    this.tabAreaInHeader = inHeader;
    this.tabAreaCenter.setVisible(!inHeader);
    this.tabArea.setVisible(inHeader);
    let desktop = this.tabArea.session.desktop;
    if (desktop.rendered) {
      desktop.$container.toggleClass('view-tab-area-in-bench', !inHeader);
    }
  }
  getTabs() {
    if (this.tabAreaInHeader) {
      return this.tabArea.getTabs();
    }
    return this.tabAreaCenter.getTabs();
  }
  _onViewTabSelect(event) {
    super._onViewTabSelect(event);
    this.tabArea.updateFirstTabSelected();
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/DisposeWidgetsHybridActionDo.ts":
/*!************************************************************!*\
  !*** ./src/desktop/hybrid/DisposeWidgetsHybridActionDo.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/desktop/hybrid/HybridActionContextElement.ts":
/*!**********************************************************!*\
  !*** ./src/desktop/hybrid/HybridActionContextElement.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridActionContextElement: () => (/* binding */ HybridActionContextElement)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Represents a widget and optionally a non-{@link Widget} element owned by it.
 */
class HybridActionContextElement {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "widget", null);
    _defineProperty(this, "element", null);
  }
  // optional
  /**
   * @param widget may not be `null`
   * @param element may be `null`
   * @throws Error if widget is `null`
   */
  static of(widget, element) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(HybridActionContextElement, {
      widget,
      element
    });
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(model, 'widget', _index__WEBPACK_IMPORTED_MODULE_0__.Widget);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  getWidget(widgetType) {
    let widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(this.widget);
    return widgetType ? _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(widget, widgetType) : _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(widget, _index__WEBPACK_IMPORTED_MODULE_0__.Widget);
  }
  /**
   * @returns the typed or untyped {@link element}, never `null`
   * @throws Error if the element is `null` or not an instance of the given type. Use {@link optElement} to return `null` instead.
   */
  getElement(elementType) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(this.optElement(elementType));
  }
  /**
   * @returns the typed or untyped {@link element} or `null`
   * @throws Error if the element is not an instance of the given type.
   */
  optElement(elementType) {
    if (!this.element) {
      return null;
    }
    let element = this.element;
    return elementType ? _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(element, elementType) : element;
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/HybridActionContextElements.ts":
/*!***********************************************************!*\
  !*** ./src/desktop/hybrid/HybridActionContextElements.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridActionContextElements: () => (/* binding */ HybridActionContextElements)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Represents a map which holds lists of {@link HybridActionContextElement}s indexed by a string key. The value of the
 * map is always a list, even when only a single context element is expected. Several convenience methods to add or
 * retrieve context elements are provided, though the actual map can also be accessed via {@link map}.
 */
class HybridActionContextElements {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "map", new Map());
  }
  /**
   * @returns whether the internal map is empty
   */
  isEmpty() {
    return this.map.size === 0;
  }
  /**
   * Returns a list of context elements for the given key. If the given key does not exist, an error is thrown.
   * Use {@link optList} to return `null` instead. Use {@link getSingle} if only a single context element is expected.
   */
  getList(key) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(this.optList(key), `Missing context elements with key "${key}"`);
  }
  /**
   * Returns a list of context elements for the given key, or `null` if the given key does not exist.
   */
  optList(key) {
    return this.map.get(key);
  }
  /**
   * Returns the context elements for the given key. If the given key does not exist, an error is thrown.
   * Use {@link optSingle} to return `null` instead. Use {@link getList} if more than one context element is expected.
   */
  getSingle(key) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(this.optSingle(key), `Missing context element with key "${key}"`);
  }
  /**
   * Returns the context elements for the given key, or `null` if the given key does not exist.
   * Use {@link optList} if more than one context element is expected.
   */
  optSingle(key) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(this.optList(key));
  }
  // ------------------------------
  /**
   * Stores the given map of context elements in the internal map. Nothing happens if the argument is `null` or empty.
   */
  withMap(map) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('map', map);
    Object.keys(map).forEach(key => {
      this.map.set(key, map[key]);
    });
    return this;
  }
  /**
   * Stores the given list of context elements in the internal map under the given key. Existing elements for the same
   * key are overwritten.
   *
   * @throws Error if any of the arguments is `null`
   */
  withElements(key, contextElements) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('key', key);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('contextElements', contextElements);
    this.map.set(key, contextElements);
    return this;
  }
  withElement(key, contextElementOrWidget, element) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('key', key);
    let contextElement = contextElementOrWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElement ? contextElementOrWidget : _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElement.of(contextElementOrWidget, element);
    this.map.set(key, [contextElement]);
    return this;
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/HybridManager.ts":
/*!*********************************************!*\
  !*** ./src/desktop/hybrid/HybridManager.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridManager: () => (/* binding */ HybridManager)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * A utility to invoke remote Java actions to simplify the interaction of Scout JS and Scout Classic code
 * to facilitate the creation of hybrid applications.
 */
class HybridManager extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "widgets", void 0);
    this.widgets = {};
  }
  static get(session, wait) {
    const findHybridManager = () => session.desktop.addOns.find(addOn => addOn instanceof HybridManager);
    if (!wait) {
      return findHybridManager();
    }
    if (session.desktop.initialized) {
      return $.resolvedPromise(findHybridManager());
    }
    const deferred = $.Deferred();
    session.desktop.one('init', e => deferred.resolve(findHybridManager()));
    return deferred.promise();
  }
  // init
  _init(model) {
    super._init(model);
    this._setWidgets(this.widgets);
  }
  // widgets
  _setWidgets(widgets) {
    widgets = this._ensureWidgets(widgets);
    const removedWidgets = {};
    for (const [id, widget] of Object.entries(this.widgets)) {
      if (!widgets[id] || widgets[id] !== widget) {
        removedWidgets[id] = widget;
      }
    }
    const addedWidgets = {};
    for (const [id, widget] of Object.entries(widgets)) {
      if (!this.widgets[id] || this.widgets[id] !== widget) {
        addedWidgets[id] = widget;
      }
    }
    this._destroyOrUnlinkChildren(Object.values(removedWidgets));
    this._setProperty('widgets', widgets);
    Object.entries(addedWidgets).forEach(_ref => {
      let [id, widget] = _ref;
      return this._triggerWidgetAdd(id, widget);
    });
    Object.entries(removedWidgets).forEach(_ref2 => {
      let [id, widget] = _ref2;
      return this._triggerWidgetRemove(id, widget);
    });
  }
  _ensureWidgets(modelsOrWidgets) {
    const result = {};
    Object.keys(modelsOrWidgets).forEach(id => {
      // Create new child widget(s)
      result[id] = this._createChildren(modelsOrWidgets[id]);
    });
    return result;
  }
  _triggerWidgetAdd(id, widget) {
    this.trigger(`widgetAdd:${id}`, {
      widget
    });
  }
  _triggerWidgetRemove(id, widget) {
    this.trigger(`widgetRemove:${id}`, {
      widget
    });
  }
  // hybrid events (java to js)
  /** @internal */
  onHybridEvent(id, eventType, data, contextElements) {
    this.trigger(`${eventType}:${id}`, {
      data,
      contextElements
    });
  }
  /** @internal */
  onHybridWidgetEvent(id, eventType, data) {
    const widget = this.widgets[id];
    if (!widget) {
      return;
    }
    if (widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
      this._onHybridFormEvent(widget, eventType, data);
    } else {
      this._onHybridWidgetEvent(widget, eventType, data);
    }
  }
  _onHybridWidgetEvent(widget, eventType, data) {
    widget.trigger(eventType, {
      data
    });
  }
  _onHybridFormEvent(form, eventType, data) {
    if (eventType === 'reset') {
      form.setData(data);
      form.trigger('reset');
    } else if (eventType === 'save') {
      form.setData(data);
      form.trigger('save');
    } else if (eventType === 'close') {
      if (!form.__closeTriggered) {
        // form.close() may be called by JS code, don't trigger close again
        form.trigger('close');
      }
    } else {
      this._onHybridWidgetEvent(form, eventType, data);
    }
  }
  // hybrid actions (js to java)
  _createEventId() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.UuidPool.take(this.session);
  }
  /**
   * Calls the hybrid action that matches the given action type.
   *
   * @returns the id of the triggered hybrid action
   * @see IHybridAction.java
   */
  callAction(actionType, data, contextElements) {
    const id = this._createEventId();
    this.trigger('hybridAction', {
      data: {
        id,
        actionType,
        contextElements,
        data
      }
    });
    return id;
  }
  /**
   * Calls the hybrid action that matches the given action type and returns a promise that will be resolved once the corresponding hybridActionEnd event arrives.
   * The resolved value consist of the `data` value sent back from the server. To access the `contextElements`, use {@link callActionAndWaitWithContext} instead.
   *
   * @returns a promise that will be resolved with the result `data` once the corresponding hybridActionEnd event arrives.
   * @see IHybridAction
   * @see AbstractHybridAction.fireHybridActionEndEvent
   */
  callActionAndWait(actionType, data, contextElements) {
    return this.callActionAndWaitWithContext(actionType, data, contextElements).then(result => result.data);
  }
  /**
   * Calls the hybrid action that matches the given action type and returns a promise that will be resolved once the corresponding hybridActionEnd event arrives.
   * The resolved value is an object with the `data` and `contextElements` values sent back from the user. {@link callActionAndWait} can be used instead if only
   * the content of the `data` attribute is relevant.
   *
   * @returns a promise that will be resolved with the entire result object once the corresponding hybridActionEnd event arrives.
   * @see IHybridAction
   * @see AbstractHybridAction.fireHybridActionEndEvent
   */
  callActionAndWaitWithContext(actionType, data, contextElements) {
    const id = this.callAction(actionType, data, contextElements);
    return this.when(`hybridActionEnd:${id}`).then(event => ({
      data: event.data,
      contextElements: event.contextElements
    }));
  }
  /**
   * Calls the form hybrid action with the action type `openForm:${modelVariant}` to create, start and show the requested form.
   *
   * @param modelVariant the suffix for the actionType so the correct hybrid action can be resolved
   * @param data a data object that will be passed to the hybrid action
   * @returns a promise that will be resolved once the form has been created
   */
  openForm(modelVariant, data) {
    const id = this.callAction(`openForm:${modelVariant}`, data);
    return this.when(`widgetAdd:${id}`).then(event => this._onFormAdd(event.widget));
  }
  /**
   * Calls the form hybrid action with the action type `createForm:${modelVariant}` to create and start the requested form without showing it.
   *
   * @param modelVariant the suffix for the actionType so the correct hybrid action can be resolved
   * @param data a data object that will be passed to the hybrid action
   * @returns a promise that will be resolved once the form has been created
   */
  createForm(modelVariant, data) {
    const id = this.callAction(`createForm:${modelVariant}`, data);
    return this.when(`widgetAdd:${id}`).then(event => this._onFormAdd(event.widget));
  }
  _onFormAdd(form) {
    form.one('close', () => {
      form.__closeTriggered = true;
    });
    return form;
  }
  // event support
  one(type, handler) {
    super.one(type, handler);
  }
  on(type, handler) {
    return super.on(type, handler);
  }
  off(type, handler) {
    super.off(type, handler);
  }
  when(type) {
    return super.when(type);
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/HybridManagerAdapter.ts":
/*!****************************************************!*\
  !*** ./src/desktop/hybrid/HybridManagerAdapter.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridManagerAdapter: () => (/* binding */ HybridManagerAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HybridManagerAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  onModelAction(event) {
    if (event.type === 'hybridEvent') {
      this._onHybridEvent(event);
    } else if (event.type === 'hybridWidgetEvent') {
      this._onHybridWidgetEvent(event);
    } else {
      super.onModelAction(event);
    }
  }
  _onHybridEvent(event) {
    let contextElements = this._jsonToContextElements(event.contextElements);
    this.widget.onHybridEvent(event.id, event.eventType, event.data, contextElements);
  }
  _onHybridWidgetEvent(event) {
    this.widget.onHybridWidgetEvent(event.id, event.eventType, event.data);
  }
  _onWidgetEvent(event) {
    if (event.type === 'hybridAction') {
      this._onWidgetHybridAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onWidgetHybridAction(event) {
    this._send('hybridAction', {
      actionType: event.data.actionType,
      // add as first property (devtools sometimes show properties in that order)
      id: event.data.id,
      data: event.data.data,
      contextElements: this._contextElementsToJson(event.data.contextElements) || undefined
    });
  }
  _jsonToContextElements(jsonContextElements) {
    if (!jsonContextElements) {
      return null;
    }
    let contextElements = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElements);
    Object.keys(jsonContextElements).forEach(key => {
      let list = this._jsonToContextElementList(jsonContextElements[key]);
      contextElements.withElements(key, list);
    });
    return contextElements;
  }
  _jsonToContextElementList(jsonContextElements) {
    if (!jsonContextElements) {
      return null;
    }
    let list = [];
    jsonContextElements.forEach(jsonContextElement => {
      let contextElement = this._jsonToContextElement(jsonContextElement);
      list.push(contextElement);
    });
    return list;
  }
  _jsonToContextElement(jsonContextElement) {
    if (!jsonContextElement) {
      return null;
    }
    let adapterId = jsonContextElement.widget;
    let adapter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(this.session.getModelAdapter(adapterId), _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter, `No adapter found for '${adapterId}'`);
    let widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(adapter.widget, _index__WEBPACK_IMPORTED_MODULE_0__.Widget);
    let jsonElement = jsonContextElement.element;
    let modelElement = this._jsonToModelElement(adapter, jsonElement);
    return _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElement.of(widget, modelElement);
  }
  _jsonToModelElement(adapter, jsonElement) {
    if (!jsonElement) {
      return null;
    }
    for (let converter of _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverters.all()) {
      let modelElement = converter.tryConvertFromJson(adapter, jsonElement);
      if (modelElement) {
        return modelElement;
      }
    }
    throw new Error(`Unable to convert JSON to model element [adapter=${adapter === null || adapter === void 0 ? void 0 : adapter.id}, jsonElement=${jsonElement}]`);
  }
  _contextElementsToJson(contextElements) {
    if (!contextElements) {
      return null;
    }
    let json = {};
    for (let [key, list] of contextElements.map) {
      json[key] = this._contextElementListToJson(list);
    }
    return json;
  }
  _contextElementListToJson(contextElements) {
    if (!contextElements) {
      return null;
    }
    return contextElements.map(contextElement => this._contextElementToJson(contextElement));
  }
  _contextElementToJson(contextElement) {
    if (!contextElement) {
      return null;
    }
    let adapter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(contextElement.widget.modelAdapter, _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter, 'Widget does not have a model adapter');
    let jsonElement = this._modelElementToJson(adapter, contextElement.element);
    return {
      widget: adapter.id,
      element: jsonElement || undefined
    };
  }
  _modelElementToJson(adapter, modelElement) {
    if (!modelElement) {
      return null;
    }
    for (let converter of _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverters.all()) {
      let jsonElement = converter.tryConvertToJson(adapter, modelElement);
      if (jsonElement) {
        return jsonElement;
      }
    }
    throw new Error(`Unable to convert model element to JSON [adapter=${adapter === null || adapter === void 0 ? void 0 : adapter.id}, modelElement=${modelElement}]`);
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/HybridManagerEventMap.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/hybrid/HybridManagerEventMap.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/desktop/hybrid/converter/HybridActionContextElementConverter.ts":
/*!*****************************************************************************!*\
  !*** ./src/desktop/hybrid/converter/HybridActionContextElementConverter.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridActionContextElementConverter: () => (/* binding */ HybridActionContextElementConverter)
/* harmony export */ });
/**
 * Instances of this class are used to convert a model element to a JSON representation and vice versa. Each
 * instance typically only handles a specific type of element. Because elements have no common structure, they are
 * always accompanied by the widget that owns them (here represented by the corresponding {@link ModelAdapter}).
 *
 * How to add a new converter:
 * - Create a subclass of this abstract class and register it with {@link HybridActionContextElementConverters#register}.
 * - Specify the types of the generic parameters and implement the abstract methods {@link #_acceptAdapter}, {@link #_acceptJsonElement}
 *   and {@link #_acceptModelElement} accordingly. This is necessary because the type parameters only exist at compile-time.
 * - Implement the abstract methods {@link #_jsonToElement} and {@link #_elementToJson}. They are only called if the arguments were
 *   accepted by the corresponding methods. Otherwise, the task is delegated to the next converter.
 */
class HybridActionContextElementConverter {
  /**
   * Tries to convert the given JSON representation of an element (e.g. a string id) to the corresponding model element.
   *
   * If the arguments are not supported by this converter, `null` is returned.
   */
  tryConvertFromJson(adapter, jsonElement) {
    if (this._acceptAdapter(adapter) && this._acceptJsonElement(jsonElement)) {
      return this._jsonToElement(adapter, jsonElement);
    }
    return null;
  }
  /**
   * Tries to convert the given model element to a JSON representation (e.g. a string id).
   *
   * If the arguments are not supported by this converter, `null` is returned.
   */
  tryConvertToJson(adapter, modelElement) {
    if (this._acceptAdapter(adapter) && this._acceptModelElement(modelElement)) {
      return this._elementToJson(adapter, modelElement);
    }
    return null;
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/converter/HybridActionContextElementConverters.ts":
/*!******************************************************************************!*\
  !*** ./src/desktop/hybrid/converter/HybridActionContextElementConverters.ts ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HybridActionContextElementConverters: () => (/* binding */ HybridActionContextElementConverters)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Central registry for all available {@link HybridActionContextElementConverter} instances.
 */
class HybridActionContextElementConverters {
  constructor() {
    _defineProperty(this, "_registry", []);
  }
  register(converter) {
    let order = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : HybridActionContextElementConverters.DEFAULT_ORDER;
    let registration = {
      order: order,
      converter: converter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverter ? converter : null,
      converterConstructor: converter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverter ? null : converter
    };
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insertSorted(this._registry, registration, (r1, r2) => r1.order - r2.order);
    return registration;
  }
  unregister(registration) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._registry, registration);
  }
  /**
   * @return all registered converters in the order specified during registration
   */
  all() {
    return this._registry.map(registration => {
      registration.converter = registration.converter || _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(registration.converterConstructor);
      return registration.converter;
    });
  }
  static get() {
    if (!HybridActionContextElementConverters._INSTANCE) {
      HybridActionContextElementConverters._INSTANCE = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(HybridActionContextElementConverters);
    }
    return HybridActionContextElementConverters._INSTANCE;
  }
  static all() {
    return HybridActionContextElementConverters.get().all();
  }
}
_defineProperty(HybridActionContextElementConverters, "DEFAULT_ORDER", 5000.0);
_defineProperty(HybridActionContextElementConverters, "_INSTANCE", null);

/***/ }),

/***/ "./src/desktop/hybrid/converter/TableColumnContextElementConverter.ts":
/*!****************************************************************************!*\
  !*** ./src/desktop/hybrid/converter/TableColumnContextElementConverter.ts ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableColumnContextElementConverter: () => (/* binding */ TableColumnContextElementConverter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableColumnContextElementConverter extends _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverter {
  _acceptAdapter(adapter) {
    return adapter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableAdapter;
  }
  _acceptJsonElement(jsonElement) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isString(jsonElement) && _index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(jsonElement, TableColumnContextElementConverter.JSON_ELEMENT_PREFIX);
  }
  _acceptModelElement(element) {
    return element instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Column;
  }
  _jsonToElement(adapter, jsonElement) {
    let table = adapter.widget;
    let columnId = _index__WEBPACK_IMPORTED_MODULE_0__.strings.removePrefix(jsonElement, TableColumnContextElementConverter.JSON_ELEMENT_PREFIX);
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(table.columnById(columnId), `Unknown column with id "${columnId}" in table ${adapter.id}`);
  }
  _elementToJson(adapter, element) {
    let columnId = element.id;
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.addPrefix(columnId, TableColumnContextElementConverter.JSON_ELEMENT_PREFIX);
  }
}
_defineProperty(TableColumnContextElementConverter, "JSON_ELEMENT_PREFIX", 'col:');
_index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverters.get().register(TableColumnContextElementConverter);

/***/ }),

/***/ "./src/desktop/hybrid/converter/TableRowContextElementConverter.ts":
/*!*************************************************************************!*\
  !*** ./src/desktop/hybrid/converter/TableRowContextElementConverter.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRowContextElementConverter: () => (/* binding */ TableRowContextElementConverter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRowContextElementConverter extends _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverter {
  _acceptAdapter(adapter) {
    return adapter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableAdapter;
  }
  _acceptJsonElement(jsonElement) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isString(jsonElement) && _index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(jsonElement, TableRowContextElementConverter.JSON_ELEMENT_PREFIX);
  }
  _acceptModelElement(element) {
    return element instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableRow;
  }
  _jsonToElement(adapter, jsonElement) {
    let table = adapter.widget;
    let rowId = _index__WEBPACK_IMPORTED_MODULE_0__.strings.removePrefix(jsonElement, TableRowContextElementConverter.JSON_ELEMENT_PREFIX);
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(table.rowById(rowId), `Unknown row with id "${rowId}" in table ${adapter.id}`);
  }
  _elementToJson(adapter, element) {
    let rowId = element.id;
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.addPrefix(rowId, TableRowContextElementConverter.JSON_ELEMENT_PREFIX);
  }
}
_defineProperty(TableRowContextElementConverter, "JSON_ELEMENT_PREFIX", 'row:');
_index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverters.get().register(TableRowContextElementConverter);

/***/ }),

/***/ "./src/desktop/hybrid/converter/TreeNodeContextElementConverter.ts":
/*!*************************************************************************!*\
  !*** ./src/desktop/hybrid/converter/TreeNodeContextElementConverter.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeNodeContextElementConverter: () => (/* binding */ TreeNodeContextElementConverter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeNodeContextElementConverter extends _index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverter {
  _acceptAdapter(adapter) {
    return adapter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TreeAdapter;
  }
  _acceptJsonElement(jsonElement) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isString(jsonElement);
  }
  _acceptModelElement(element) {
    return element instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode;
  }
  _jsonToElement(adapter, jsonElement) {
    let tree = adapter.widget;
    let treeNode = tree.nodesMap[jsonElement];
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(treeNode, `Unknown node with id "${jsonElement}" in tree ${adapter.id}`);
  }
  _elementToJson(adapter, element) {
    return element.id;
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.HybridActionContextElementConverters.get().register(TreeNodeContextElementConverter);

/***/ }),

/***/ "./src/desktop/hybrid/uicallback/UiCallbacks.ts":
/*!******************************************************!*\
  !*** ./src/desktop/hybrid/uicallback/UiCallbacks.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UiCallbacks: () => (/* binding */ UiCallbacks)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Processes UI callback requests from the client backend.
 */
class UiCallbacks extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  onUiCallbackRequest(handlerObjectType, callbackId, owner, request) {
    const handler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(handlerObjectType);
    try {
      handler.handle(callbackId, owner, request).then(response => this._triggerUiResponse(callbackId, response, null)).catch(error => this._handleCallbackError(callbackId, error));
    } catch (err) {
      this._handleCallbackError(callbackId, err);
    }
  }
  _handleCallbackError(callbackId, error) {
    if ((error === null || error === void 0 ? void 0 : error._type) === 'scout.UiCallbackError') {
      // handled by backend
      this._triggerUiResponse(callbackId, null, error);
      return $.resolvedPromise();
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler.analyzeError(error).then(info => {
      const errorDo = {
        _type: 'scout.UiCallbackError',
        message: info.message,
        code: info.code
      };
      this._triggerUiResponse(callbackId, null, errorDo);
    });
  }
  _triggerUiResponse(callbackId, data, error) {
    const eventData = {
      id: callbackId,
      data,
      error
    };
    this.trigger('uiResponse', {
      data: eventData
    });
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/uicallback/UiCallbacksAdapter.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/hybrid/uicallback/UiCallbacksAdapter.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UiCallbacksAdapter: () => (/* binding */ UiCallbacksAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UiCallbacksAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  onModelAction(event) {
    if (event.type === 'uiCallback') {
      this._onModelUiCallback(event);
    } else {
      super.onModelAction(event);
    }
  }
  _onWidgetEvent(event) {
    if (event.type === 'uiResponse') {
      this._onUiResponse(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onModelUiCallback(event) {
    let owner = null;
    if (event.owner) {
      let ownerAdapter = this.session.getModelAdapter(event.owner);
      if (!ownerAdapter) {
        throw new Error('Adapter could not be resolved. Id: ' + event.owner);
      }
      owner = ownerAdapter.widget;
    }
    this.widget.onUiCallbackRequest(event.handlerObjectType, event.id, owner, event.data);
  }
  _onUiResponse(event) {
    let response = event.data;
    this._send('uiResponse', response);
  }
}

/***/ }),

/***/ "./src/desktop/hybrid/uicallback/UiCallbacksEventMap.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/hybrid/uicallback/UiCallbacksEventMap.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/navigation/DesktopNavigation.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/navigation/DesktopNavigation.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopNavigation: () => (/* binding */ DesktopNavigation)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopNavigation extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "handleVisible", void 0);
    _defineProperty(this, "handle", void 0);
    _defineProperty(this, "toolBox", void 0);
    _defineProperty(this, "toolBoxVisible", void 0);
    _defineProperty(this, "viewButtonBox", void 0);
    _defineProperty(this, "layoutData", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "htmlCompBody", void 0);
    _defineProperty(this, "$screenReaderStatus", void 0);
    _defineProperty(this, "_outlinePropertyChangeHandler", void 0);
    _defineProperty(this, "_outlineSelectedNodesChangeHandler", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    _defineProperty(this, "_viewButtonBoxPropertyChangeHandler", void 0);
    this.$body = null;
    this.layoutData = {};
    this.toolBoxVisible = false;
    this.viewButtonBox = null;
    this.handleVisible = true;
    this.$screenReaderStatus = null;
    this._outlinePropertyChangeHandler = this._onOutlinePropertyChange.bind(this);
    this._outlineSelectedNodesChangeHandler = this._onOutlineSelectedNodesChange.bind(this);
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
    this._viewButtonBoxPropertyChangeHandler = this._onViewButtonBoxPropertyChange.bind(this);
  }
  // Configured in sizes.css
  _init(model) {
    super._init(model);
    DesktopNavigation.MIN_WIDTH = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('desktop-navigation', 'min-width', 'minWidth', 49);
    DesktopNavigation.DEFAULT_STYLE_WIDTH = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('desktop-navigation', 'width', 'width', 290);
    DesktopNavigation.BREADCRUMB_STYLE_WIDTH = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('desktop-navigation-breadcrumb', 'width', 'width', 240);
    this.desktop = this.parent;
    this.updateHandleVisibility();
    this._setOutline(model.outline);
    this.viewButtonBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ViewButtonBox, {
      parent: this,
      viewButtons: this.desktop.viewButtons
    });
    this.viewButtonBox.on('propertyChange', this._viewButtonBoxPropertyChangeHandler);
  }
  _render() {
    this.$container = this.$parent.appendDiv('desktop-navigation');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'navigation');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, this.session.text('ui.NavigationArea'));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigationLayout(this));
    this.htmlComp.layoutData = this.layoutData;
    this.$body = this.$container.appendDiv('navigation-body').on('mousedown', this._onNavigationBodyMouseDown.bind(this));
    this.htmlCompBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    this.htmlCompBody.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout(null, {
      exact: true
    }));
    this._addScreenReaderStatus();
    this.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
  }
  _addScreenReaderStatus() {
    this.$screenReaderStatus = this.$container.appendDiv();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$screenReaderStatus, 'status');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly(this.$screenReaderStatus);
  }
  _renderScreenReaderStatus() {
    if (!this.$screenReaderStatus || !this.outline) {
      return;
    }
    this.$screenReaderStatus.empty();
    let textRep = this.session.text('ui.NavigationX', this.outline.title);
    let page = this.outline.selectedNode();
    // there may be cases (i.e. after startup or outline switch) where there is no selected node, nonetheless we set the status to outline title so at least current outline is read
    if (page) {
      let outlinePath = [];
      outlinePath.unshift(page);
      // recursively go up in the tree until there is no more parent
      while (page) {
        page = page.parentNode;
        if (page) {
          outlinePath.unshift(page);
        }
      }
      // for each node in the path announce its text and level in the tree
      outlinePath.forEach(page => {
        textRep += ' ' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this.session.text('ui.LevelX', page.level + 1), _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(page.text));
      });
      // if the last page (i.e. the current page) is expanded, notify the user how many child nodes there are
      let lastPage = outlinePath[outlinePath.length - 1];
      if (lastPage.expanded) {
        var _lastPage$childNodes;
        textRep += ' ' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this.session.text('ui.Expanded'), this.session.text('ui.SubItemCountX', (_lastPage$childNodes = lastPage.childNodes) === null || _lastPage$childNodes === void 0 ? void 0 : _lastPage$childNodes.length));
      }
    }
    this.$screenReaderStatus.appendSpan().addClass('sr-outline-path').text(textRep);
  }
  _remove() {
    this.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderViewButtonBox();
    this._renderViewButtonBoxVisible();
    this._renderToolBoxVisible();
    this._renderOutline();
    this._renderHandleVisible();
    this._renderInBackground();
  }
  _renderInBackground() {
    this.$container.toggleClass('in-background', this.desktop.inBackground && this.desktop.displayStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT);
  }
  _renderViewButtonBox() {
    this.viewButtonBox.render();
    this.viewButtonBox.$container.insertBefore(this.$body);
  }
  _removeOutline() {
    if (!this.outline) {
      return;
    }
    this.outline.remove();
  }
  _renderOutline() {
    if (!this.outline) {
      return;
    }
    this.outline.render(this.$body);
    this.outline.invalidateLayoutTree();
    // Layout immediate to prevent flickering when breadcrumb mode is enabled
    // but not initially while desktop gets rendered because it will be done at the end anyway
    if (this.rendered) {
      this.outline.validateFocus();
    }
    this._renderScreenReaderStatus();
  }
  setOutline(outline) {
    this.setProperty('outline', outline);
  }
  _setOutline(newOutline) {
    let oldOutline = this.outline;
    if (this.outline) {
      this.outline.off('propertyChange', this._outlinePropertyChangeHandler);
      this.outline.off('nodesSelected', this._outlineSelectedNodesChangeHandler);
    }
    if (this.rendered) {
      this._removeOutline();
    }
    this.outline = newOutline;
    if (this.outline) {
      this.outline.setParent(this);
      this.outline.setBreadcrumbTogglingThreshold(DesktopNavigation.BREADCRUMB_STYLE_WIDTH);
      // if both have breadcrumb-toggling enabled: make sure new outline uses same display style as old
      if (this.outline.toggleBreadcrumbStyleEnabled && oldOutline && oldOutline.toggleBreadcrumbStyleEnabled && oldOutline.displayStyle) {
        this.outline.setDisplayStyle(oldOutline.displayStyle);
      }
      this.outline.inBackground = this.desktop.inBackground;
      this.outline.on('propertyChange', this._outlinePropertyChangeHandler);
      this.outline.on('nodesSelected', this._outlineSelectedNodesChangeHandler);
      this._updateHandle();
    }
  }
  _renderViewButtonBoxVisible() {
    this.$container.toggleClass('view-button-box-invisible', !this.viewButtonBox.visible);
  }
  sendToBack() {
    if (this.outline) {
      this.outline.sendToBack();
    }
    if (this.rendered) {
      this._renderInBackground();
    }
  }
  bringToFront() {
    if (this.outline) {
      this.outline.bringToFront();
    }
    if (this.rendered) {
      this._renderInBackground();
    }
  }
  setToolBoxVisible(toolBoxVisible) {
    this.setProperty('toolBoxVisible', toolBoxVisible);
  }
  setHandleVisible(visible) {
    this.setProperty('handleVisible', visible);
  }
  _updateHandle() {
    if (this.handle) {
      this.handle.setRightVisible(this.outline && this.outline.toggleBreadcrumbStyleEnabled && this.desktop.outlineDisplayStyle() === _index__WEBPACK_IMPORTED_MODULE_0__.Tree.DisplayStyle.BREADCRUMB);
    }
  }
  updateHandleVisibility() {
    // Don't show handle if desktop says handle must not be visible
    this.setHandleVisible(this.desktop.navigationHandleVisible);
  }
  _renderToolBoxVisible() {
    if (this.toolBoxVisible) {
      this._renderToolBox();
    } else {
      this._removeToolBox();
    }
  }
  _renderToolBox() {
    if (this.toolBox) {
      return;
    }
    this.toolBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopToolBox, {
      parent: this,
      menus: this.desktop.menus
    });
    this.toolBox.render();
  }
  _removeToolBox() {
    if (!this.toolBox) {
      return;
    }
    this.toolBox.destroy();
    this.toolBox = null;
  }
  _renderHandleVisible() {
    if (this.handleVisible) {
      this._renderHandle();
    } else {
      this._removeHandle();
    }
  }
  _createHandle() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNavigationHandle, {
      parent: this,
      rightVisible: false,
      horizontalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.CollapseHandle.HorizontalAlignment.RIGHT
    });
  }
  _renderHandle() {
    if (this.handle) {
      return;
    }
    this.handle = this._createHandle();
    this.handle.render();
    this.handle.addCssClass('navigation-open');
    this.handle.on('action', this._onHandleAction.bind(this));
    this._updateHandle();
  }
  _removeHandle() {
    if (!this.handle) {
      return;
    }
    this.handle.destroy();
    this.handle = null;
  }
  _onNavigationBodyMouseDown(event) {
    this.desktop.bringOutlineToFront();
  }
  _onViewButtonBoxPropertyChange(event) {
    if (event.propertyName === 'visible') {
      if (this.rendered) {
        this._renderViewButtonBoxVisible();
      }
    }
  }
  _onOutlineSelectedNodesChange() {
    this._renderScreenReaderStatus();
  }
  _onOutlinePropertyChange(event) {
    if (event.propertyName === 'displayStyle') {
      this._updateHandle();
    }
  }
  _onDesktopPropertyChange(event) {
    if (event.propertyName === 'navigationHandleVisible') {
      this.updateHandleVisibility();
    }
  }
  _onHandleAction(event) {
    if (event.left) {
      this.desktop.shrinkNavigation();
    } else {
      this.desktop.enlargeNavigation();
    }
  }
}
_defineProperty(DesktopNavigation, "DEFAULT_STYLE_WIDTH", null);
// Configured in sizes.css
_defineProperty(DesktopNavigation, "BREADCRUMB_STYLE_WIDTH", null);
// Configured in sizes.css
_defineProperty(DesktopNavigation, "MIN_WIDTH", null);

/***/ }),

/***/ "./src/desktop/navigation/DesktopNavigationEventMap.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/navigation/DesktopNavigationEventMap.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/navigation/DesktopNavigationHandle.ts":
/*!***********************************************************!*\
  !*** ./src/desktop/navigation/DesktopNavigationHandle.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopNavigationHandle: () => (/* binding */ DesktopNavigationHandle)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopNavigationHandle extends _index__WEBPACK_IMPORTED_MODULE_0__.CollapseHandle {
  constructor() {
    super(...arguments);
    _defineProperty(this, "desktopKeyStrokeContext", void 0);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    // Bound to desktop
    this.desktopKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    this.desktopKeyStrokeContext.$bindTarget = this.session.desktop.$container;
    this.desktopKeyStrokeContext.$scopeTarget = this.session.desktop.$container;
    this.desktopKeyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.ShrinkNavigationKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.EnlargeNavigationKeyStroke(this)]);
  }
  _render() {
    super._render();
    this.$container.addClass('desktop-navigation-handle');
    this.session.keyStrokeManager.installKeyStrokeContext(this.desktopKeyStrokeContext);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$left, this.session.text('ui.NavigationX', this.session.text('ui.Collapse')));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$right, this.session.text('ui.NavigationX', this.session.text('ui.Expand')));
  }
  _remove() {
    super._remove();
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.desktopKeyStrokeContext);
  }
}

/***/ }),

/***/ "./src/desktop/navigation/DesktopNavigationLayout.ts":
/*!***********************************************************!*\
  !*** ./src/desktop/navigation/DesktopNavigationLayout.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopNavigationLayout: () => (/* binding */ DesktopNavigationLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopNavigationLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(navigation) {
    super();
    _defineProperty(this, "navigation", void 0);
    this.navigation = navigation;
  }
  layout($container) {
    let htmlContainer = this.navigation.htmlComp;
    let containerSize = htmlContainer.size({
      exact: true
    }).subtract(htmlContainer.insets());
    let toolBox = this.navigation.toolBox;
    let viewButtonBoxHeight = 0;
    let viewButtonBoxWidth = 0;
    let viewButtonBox = this.navigation.viewButtonBox;
    if (viewButtonBox.visible) {
      let viewButtonBoxPrefSize = viewButtonBox.htmlComp.prefSize(true);
      viewButtonBoxHeight = viewButtonBoxPrefSize.height;
      viewButtonBoxWidth = containerSize.width;
      if (toolBox) {
        viewButtonBoxWidth = viewButtonBoxPrefSize.width;
      }
      let viewButtonBoxSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(viewButtonBoxWidth, viewButtonBoxHeight).subtract(viewButtonBox.htmlComp.margins());
      viewButtonBox.htmlComp.setSize(viewButtonBoxSize);
    }
    if (toolBox) {
      let toolBoxSize;
      let outline = this.navigation.outline;
      if (viewButtonBoxWidth === 0 && outline && outline.$title) {
        // If there is no view button box, the outline title will be moved up.
        // If there is no outline title, the tool box will take the whole width (else case)
        let outlineTitleWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(outline.$title).width;
        toolBoxSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width - outlineTitleWidth, 0) // height is set by css
        .subtract(toolBox.htmlComp.margins());
      } else {
        toolBoxSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width - viewButtonBoxWidth, viewButtonBoxHeight).subtract(toolBox.htmlComp.margins());
      }
      toolBox.htmlComp.setSize(toolBoxSize);
    }
    let htmlBody = this.navigation.htmlCompBody;
    let bodySize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, containerSize.height).subtract(htmlBody.margins());
    htmlBody.$comp.cssTop(viewButtonBoxHeight);
    bodySize.height -= viewButtonBoxHeight;
    htmlBody.setSize(bodySize);
  }
  preferredLayoutSize($container, options) {
    let htmlBody = this.navigation.htmlCompBody;
    let prefSize = htmlBody.prefSize(options).add(htmlBody.margins());
    let prefSizeBoxes = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    let viewButtonBox = this.navigation.viewButtonBox;
    if (viewButtonBox) {
      let prefSizeViewButtonBox = viewButtonBox.htmlComp.prefSize(true);
      prefSizeBoxes.width += prefSizeViewButtonBox.width;
      prefSizeBoxes.height = Math.max(prefSizeBoxes.height, prefSizeViewButtonBox.height);
    }
    let toolBox = this.navigation.toolBox;
    if (toolBox) {
      let prefSizeToolBox = toolBox.htmlComp.prefSize(true);
      prefSizeBoxes.width += prefSizeToolBox.width;
      prefSizeBoxes.height = Math.max(prefSizeBoxes.height, prefSizeToolBox.height);
    }
    let htmlContainer = this.navigation.htmlComp;
    prefSize.height += prefSizeBoxes.height;
    prefSize.width = Math.max(prefSize.width, prefSizeBoxes.width);
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/desktop/navigation/DesktopNavigationModel.ts":
/*!**********************************************************!*\
  !*** ./src/desktop/navigation/DesktopNavigationModel.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/navigation/EnlargeNavigationKeyStroke.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/navigation/EnlargeNavigationKeyStroke.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EnlargeNavigationKeyStroke: () => (/* binding */ EnlargeNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class EnlargeNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(handle) {
    super();
    _defineProperty(this, "desktop", void 0);
    this.field = handle;
    this.desktop = handle.session.desktop;
    this.ctrl = true;
    this.shift = true;
    // FF und Safari use different key codes for this key.
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.forBrowser(_index__WEBPACK_IMPORTED_MODULE_0__.keys.ANGULAR_BRACKET)];
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.desktop.$container;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    // Safari changes the code when ctrl is pressed (it stays the same with cmd).
    return super._accept(event) || _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.acceptModifiers(this, event) && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, _index__WEBPACK_IMPORTED_MODULE_0__.keys.forBrowser(_index__WEBPACK_IMPORTED_MODULE_0__.keys.ANGULAR_BRACKET, 'ctrl'));
  }
  _isEnabled() {
    let enabled = super._isEnabled();
    return enabled && this.field.rightVisible;
  }
  handle(event) {
    this.desktop.enlargeNavigation();
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    $keyBox.addClass('navigation-handle-key-box right');
    let handle = this.field;
    let handleOffset = handle.$right.offsetTo(this.desktop.$container);
    let keyBoxLeft = handleOffset.left + handle.$right.outerWidth();
    let keyBoxTop = handleOffset.top;
    $keyBox.cssLeft(keyBoxLeft).cssTop(keyBoxTop);
  }
}

/***/ }),

/***/ "./src/desktop/navigation/ShrinkNavigationKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/navigation/ShrinkNavigationKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ShrinkNavigationKeyStroke: () => (/* binding */ ShrinkNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ShrinkNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(handle) {
    super();
    _defineProperty(this, "desktop", void 0);
    this.field = handle;
    this.desktop = handle.session.desktop;
    this.ctrl = true;
    // FF und Safari use different key codes for this key.
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.forBrowser(_index__WEBPACK_IMPORTED_MODULE_0__.keys.ANGULAR_BRACKET)];
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.desktop.$container;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    // Safari changes the code when ctrl is pressed (it stays the same with cmd).
    return super._accept(event) || _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.acceptModifiers(this, event) && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, _index__WEBPACK_IMPORTED_MODULE_0__.keys.forBrowser(_index__WEBPACK_IMPORTED_MODULE_0__.keys.ANGULAR_BRACKET, 'ctrl'));
  }
  _isEnabled() {
    let enabled = super._isEnabled();
    return enabled && this.field.leftVisible;
  }
  handle(event) {
    this.desktop.shrinkNavigation();
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    $keyBox.addClass('navigation-handle-key-box left');
    let handle = this.field;
    let handleOffset = handle.$left.offsetTo(this.desktop.$container);
    let keyBoxLeft = handleOffset.left - $keyBox.outerWidth(true);
    let keyBoxTop = handleOffset.top;
    $keyBox.cssLeft(keyBoxLeft).cssTop(keyBoxTop);
  }
}

/***/ }),

/***/ "./src/desktop/notification/DesktopNotification.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/notification/DesktopNotification.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopNotification: () => (/* binding */ DesktopNotification)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopNotification extends _index__WEBPACK_IMPORTED_MODULE_0__.Notification {
  constructor() {
    super();
    _defineProperty(this, "duration", void 0);
    _defineProperty(this, "removeTimeout", void 0);
    _defineProperty(this, "nativeOnly", void 0);
    _defineProperty(this, "nativeNotificationTitle", void 0);
    _defineProperty(this, "nativeNotificationStatus", void 0);
    _defineProperty(this, "nativeNotificationVisibility", void 0);
    _defineProperty(this, "nativeNotification", void 0);
    _defineProperty(this, "nativeNotificationShown", void 0);
    _defineProperty(this, "$loader", void 0);
    _defineProperty(this, "_removing", void 0);
    this.closable = true;
    this.duration = 5000;
    this.removeTimeout = null;
    this._removing = false;
    this.nativeOnly = false;
    this.nativeNotificationTitle = null;
    this.nativeNotificationStatus = null;
    this.nativeNotificationVisibility = DesktopNotification.NativeNotificationVisibility.NONE;
    this.nativeNotification = null;
    this.nativeNotificationShown = false;
  }
  _init(model) {
    super._init(model);
    let defaults = this.session.desktop.nativeNotificationDefaults;
    if (defaults) {
      this.nativeNotificationTitle = model.nativeNotificationTitle !== undefined ? model.nativeNotificationTitle : defaults.title;
      if (this.nativeNotificationStatus) {
        this.nativeNotificationStatus.iconId = this.nativeNotificationStatus.iconId !== undefined ? this.nativeNotificationStatus.iconId : defaults.iconId;
      } else {
        this.nativeNotificationStatus = new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
          iconId: defaults.iconId
        });
      }
      this.nativeNotificationVisibility = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.nativeNotificationVisibility !== undefined ? model.nativeNotificationVisibility : defaults.visibility, DesktopNotification.NativeNotificationVisibility.NONE);
    }
    this.resolveTextKeys(['nativeNotificationTitle']);
  }
  _render() {
    this._initNativeNotification();
    this.$container = this.$parent.prependDiv('desktop-notification');
    this.$content = this.$container.appendDiv('desktop-notification-content');
    this.$messageText = this.$content.appendDiv('desktop-notification-message');
    this.$loader = this.$container.appendDiv('desktop-notification-loader');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'alert'); // Read the notification to screen reader users
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation()) {
      this.$loader.addClass('animated');
    }
    if (this.nativeOnly) {
      this.setVisible(false);
    }
  }
  _renderLoading() {
    this.$container.toggleClass('loading', this.loading);
    this.$loader.setVisible(this.loading);
  }
  _destroy() {
    if (this.nativeNotification) {
      // No need to keep the native notification open if the regular one is closed (relevant if the user actively closes it)
      this.nativeNotification.close();
    }
    super._destroy();
  }
  /** @internal */
  _isDocumentHidden() {
    return document.hidden;
  }
  _showNativeNotification(permission) {
    if (permission === 'denied' || permission === 'default') {
      if (this.nativeOnly) {
        // See comment in _initNativeNotification
        this.hide();
      }
      return;
    }
    let title = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.nativeNotificationTitle, '');
    let body = (this.nativeNotificationStatus || {}).message;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(body)) {
      body = (this.status || {}).message;
    }
    if (!body) {
      body = '';
    }
    if (this.htmlEnabled) {
      body = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(body, {
        removeFontIcons: true
      });
    }
    let iconId = (this.nativeNotificationStatus || {}).iconId;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(iconId)) {
      // icon must not be null or empty. If no icon it must be undefined
      iconId = undefined;
    }
    this.nativeNotification = new Notification(title, {
      body: body,
      icon: iconId
    });
    this.nativeNotification.addEventListener('show', event => {
      this._setNativeNotificationShown(true);
    });
    this.nativeNotification.addEventListener('click', event => {
      window.focus();
    });
    // Native notifications are closed when the regular notification is closed (either by the user, the timeout or programmatically)
    this.nativeNotification.addEventListener('close', event => {
      if (this.nativeOnly) {
        // Only close it if nativeOnly is true.
        // If nativeOnly is false, clicking the notification should reveal the app incl. the original notification which could contain more information (e.g. a link).
        this.hide();
      }
      this.nativeNotification = null;
      this._setNativeNotificationShown(false);
    });
  }
  _initNativeNotification() {
    if (this.nativeNotificationShown) {
      // Don't show the same notification twice (could happen if the user reloads the page and the notification is still open. Especially important for nativeOnly with infinite duration).
      return;
    }
    if (this.nativeNotificationVisibility === DesktopNotification.NativeNotificationVisibility.NONE) {
      this._hideLaterIfNativeOnly();
      return;
    }
    if (this.nativeNotificationVisibility === DesktopNotification.NativeNotificationVisibility.BACKGROUND && !this._isDocumentHidden()) {
      this._hideLaterIfNativeOnly();
      return;
    }
    if (!window.Notification || Notification.permission === 'denied') {
      this._hideLaterIfNativeOnly();
      return;
    }
    if (this._checkNotificationPromise()) {
      Notification.requestPermission().then(this._showNativeNotification.bind(this));
    } else {
      // noinspection JSIgnoredPromiseFromCall
      Notification.requestPermission(this._showNativeNotification.bind(this));
    }
  }
  _hideLaterIfNativeOnly() {
    if (!this.nativeOnly) {
      return;
    }
    // If native notifications are not shown, there is no need to keep the (invisible) desktop notification open (prevent dom-leak)
    setTimeout(() => this.hide()); // async because this method is called in render and removing the notification within render throws exception
  }
  /**
   * Checks if browser supports the promise-based version of the method requestPermission. Safari only supports the older callback version.
   */
  _checkNotificationPromise() {
    try {
      Notification.requestPermission().then();
    } catch (e) {
      return false;
    }
    return true;
  }
  _onCloseIconClick() {
    this.hide();
  }
  /**
   * Displays the notification by adding it to the desktop and rendering it.
   */
  show() {
    this.session.desktop.addNotification(this);
  }
  /**
   * Closes the notification by removing it from the desktop and destroying it. Also triggers a close event.
   */
  hide() {
    if (this._removing) {
      return;
    }
    this.trigger('close');
    this.session.desktop.removeNotification(this);
  }
  fadeIn($parent) {
    this.render($parent);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation()) {
      return;
    }
    this.$container.addClassForAnimation('desktop-notification-slide-in');
  }
  fadeOut() {
    // prevent fadeOut from running more than once (for instance from the click of a user).
    if (this._removing) {
      return;
    }
    this._removing = true;
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation() || !this.rendered) {
      this.destroy();
      return;
    }
    if (!this.$container.isVisible()) {
      // Destroy immediately if it is invisible because the animationend event would not be triggered (is the case if nativeOnly is true)
      this.destroy();
      return;
    }
    this.$container.addClass('desktop-notification-fade-out');
    this.$container.oneAnimationEnd(() => {
      this.destroy();
    });
  }
  invalidateLayoutTree() {
    // called by notification.js. Since desktop notification has no htmlComp, no need to invalidate
  }
  _setNativeNotificationShown(shown) {
    this._setProperty('nativeNotificationShown', shown);
  }
  setNativeNotificationTitle(title) {
    this.setProperty('nativeNotificationTitle', title);
  }
  setNativeNotificationStatus(status) {
    this.setProperty('nativeNotificationStatus', status);
  }
  _setNativeNotificationStatus(status) {
    status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(status);
    this._setProperty('nativeNotificationStatus', status);
  }
  setNativeNotificationVisibility(visibility) {
    this.setProperty('nativeNotificationVisibility', visibility);
  }
}
_defineProperty(DesktopNotification, "NativeNotificationVisibility", {
  /**
   * No native notification is shown.
   */
  NONE: 'none',
  /**
   * The native notification is only shown if the application is in background.
   */
  BACKGROUND: 'background',
  /**
   * The native notification is always shown.
   */
  ALWAYS: 'always'
});
/**
 * When duration is set to INFINITE, the notification is not removed automatically.
 */
_defineProperty(DesktopNotification, "INFINITE", -1);

/***/ }),

/***/ "./src/desktop/notification/DesktopNotificationAdapter.ts":
/*!****************************************************************!*\
  !*** ./src/desktop/notification/DesktopNotificationAdapter.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopNotificationAdapter: () => (/* binding */ DesktopNotificationAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopNotificationAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.NotificationAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['nativeNotificationShown']);
  }
}

/***/ }),

/***/ "./src/desktop/notification/DesktopNotificationEventMap.ts":
/*!*****************************************************************!*\
  !*** ./src/desktop/notification/DesktopNotificationEventMap.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/notification/DesktopNotificationModel.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/notification/DesktopNotificationModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/notification/OfflineDesktopNotification.ts":
/*!****************************************************************!*\
  !*** ./src/desktop/notification/OfflineDesktopNotification.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OfflineDesktopNotification: () => (/* binding */ OfflineDesktopNotification)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OfflineDesktopNotification extends _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification {
  constructor() {
    super();
    _defineProperty(this, "connectFailedReset", void 0);
    _defineProperty(this, "connectionInterruptedStatus", void 0);
    _defineProperty(this, "reconnectingStatus", void 0);
    this.connectFailedReset = null;
  }
  _init(model) {
    super._init(model);
    this.closable = false;
    this.duration = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification.INFINITE;
    this.connectionInterruptedStatus = new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
      message: this.session.text('ui.ConnectionInterrupted'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR
    });
    this.reconnectingStatus = new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
      message: this.session.text('ui.Reconnecting_'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR
    });
    this._setStatus(this.connectionInterruptedStatus);
  }
  _render() {
    super._render();
    this.$content.addClass('offline-message');
    this.$messageText.addClass('offline-message-text');
  }
  reconnect() {
    this.setLoading(true);
    if (this.connectFailedReset) {
      clearTimeout(this.connectFailedReset);
    }
    this.setStatus(this.reconnectingStatus);
  }
  reconnectFailed() {
    /* remove the connecting state with a small delay. otherwise it cannot be read because its only shown very shortly */
    this.connectFailedReset = setTimeout(() => {
      this.connectFailedReset = null;
      this.setLoading(false);
      this.setStatus(this.connectionInterruptedStatus);
    }, 1100 /* this delay must be < Reconnector.interval */);
  }
  reconnectSucceeded() {
    this.setLoading(false);
    if (this.connectFailedReset) {
      clearTimeout(this.connectFailedReset);
    }
    this.setStatus({
      message: this.session.text('ui.ConnectionReestablished'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.OK
    });
  }
}

/***/ }),

/***/ "./src/desktop/outline/DetailTableTreeFilter.ts":
/*!******************************************************!*\
  !*** ./src/desktop/outline/DetailTableTreeFilter.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DetailTableTreeFilter: () => (/* binding */ DetailTableTreeFilter)
/* harmony export */ });
class DetailTableTreeFilter {
  /**
   * Must correspond with logic in P_TableFilterBasedTreeNodeFilter
   */
  accept(node) {
    if (!node.parentNode) {
      // top level nodes may not be filtered
      return true;
    }
    if (!node.parentNode.filterAccepted) {
      // hide node if parent node is hidden
      return false;
    }
    if (!node.parentNode.detailTable) {
      // if parent has no detail table, node.row won't be set
      // detailTable may be undefined if node.detailTableVisible is false
      return true;
    }
    if (!node.row) {
      // link not yet established, as soon as row gets inserted and filtered, a refilter will be triggered on the tree
      return true;
    }
    return node.row.filterAccepted;
  }
}

/***/ }),

/***/ "./src/desktop/outline/Outline.ts":
/*!****************************************!*\
  !*** ./src/desktop/outline/Outline.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Outline: () => (/* binding */ Outline)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Outline extends _index__WEBPACK_IMPORTED_MODULE_0__.Tree {
  constructor() {
    super();
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "defaultDetailForm", void 0);
    _defineProperty(this, "detailContent", void 0);
    _defineProperty(this, "embedDetailContent", void 0);
    _defineProperty(this, "inBackground", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "iconVisible", void 0);
    _defineProperty(this, "mediator", void 0);
    _defineProperty(this, "navigateButtonsVisible", void 0);
    /** see NavigateUpButton.js */
    _defineProperty(this, "navigateUpInProgress", void 0);
    _defineProperty(this, "icon", void 0);
    _defineProperty(this, "outlineOverview", void 0);
    _defineProperty(this, "outlineOverviewVisible", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "titleVisible", void 0);
    _defineProperty(this, "titleMenuBar", void 0);
    _defineProperty(this, "nodeMenuBar", void 0);
    _defineProperty(this, "nodeMenuBarVisible", void 0);
    _defineProperty(this, "detailMenuBar", void 0);
    /** outline uses different level-paddings that normal trees */
    _defineProperty(this, "nodePaddingLevelHierarchyRow", void 0);
    _defineProperty(this, "detailMenuBarVisible", void 0);
    _defineProperty(this, "selectedViewTabs", void 0);
    _defineProperty(this, "views", void 0);
    _defineProperty(this, "dialogs", void 0);
    _defineProperty(this, "formController", void 0);
    _defineProperty(this, "messageBoxes", void 0);
    _defineProperty(this, "messageBoxController", void 0);
    _defineProperty(this, "fileChoosers", void 0);
    _defineProperty(this, "fileChooserController", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$titleText", void 0);
    _defineProperty(this, "_detailContentDestroyHandler", void 0);
    _defineProperty(this, "_detailMenusNodesSelectedHandler", void 0);
    _defineProperty(this, "_detailMenusChangeHandler", void 0);
    _defineProperty(this, "_detailMenusDestroyHandler", void 0);
    _defineProperty(this, "_defaultDetailFormDestroyHandler", void 0);
    this.compact = false;
    this.defaultDetailForm = null;
    this.detailContent = null;
    this.embedDetailContent = false;
    this.inBackground = false;
    this.iconId = null;
    this.iconVisible = false;
    this.mediator = null;
    this.navigateButtonsVisible = true;
    this.navigateUpInProgress = false;
    this.outlineOverview = null;
    this.outlineOverviewVisible = true;
    this.toggleBreadcrumbStyleEnabled = true;
    this.title = null;
    this.titleVisible = true;
    this.menus = [];
    this.titleMenuBar = null;
    this.nodeMenuBar = null;
    this.nodeMenuBarVisible = false;
    this.detailMenuBar = null;
    this.detailMenuBarVisible = false;
    this.dialogs = [];
    this.views = [];
    this.messageBoxes = [];
    this.fileChoosers = [];
    this.selectedViewTabs = new Map();
    this.formController = null;
    this.messageBoxController = null;
    this.fileChooserController = null;
    this.textFilterEnabled = false;
    this._detailContentDestroyHandler = this._onDetailContentDestroy.bind(this);
    this._detailMenusNodesSelectedHandler = null;
    this._defaultDetailFormDestroyHandler = this._onDefaultDetailFormDestroy.bind(this);
    this._additionalContainerClasses += ' outline';
    this.nodePaddingLevelCheckable = 20; /* outline is not checkable. set to same value as not-checkable */
    this.nodePaddingLevelNotCheckable = 20;
    this.nodePaddingLevelHierarchyRow = this.nodePaddingLevelNotCheckable;
    this._scrollDirections = 'y';
    this._addWidgetProperties(['defaultDetailForm', 'views', 'selectedViewTabs', 'dialogs', 'messageBoxes', 'fileChoosers']);
    this._addPreserveOnPropertyChangeProperties(['selectedViewTabs']);
  }
  _init(model) {
    // initialize now and don't wait for desktop to call setters so that compact state is correct when upcoming widgets are initialized (TileOverviewForm etc.)
    this.compact = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.compact, model.parent.session.desktop.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT);
    this.embedDetailContent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.embedDetailContent, this.compact);
    // add filter before first traversal of tree -> tree is only traversed once.
    this.addFilter(new _index__WEBPACK_IMPORTED_MODULE_0__.DetailTableTreeFilter(), false);
    super._init(model);
    this.mediator = this._createMediator();
    this._installLocalTreeListener();
    this.formController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FormController, {
      displayParent: this,
      session: this.session
    });
    this.messageBoxController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxController, {
      displayParent: this,
      session: this.session
    });
    this.fileChooserController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileChooserController, {
      displayParent: this,
      session: this.session
    });
    this.resolveTextKeys(['title']);
    // menu bars
    this.titleMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder()
    });
    this.nodeMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder()
    });
    this.detailMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder()
    });
    this._setDefaultDetailForm(this.defaultDetailForm);
    this._setOutlineOverviewVisible(this.outlineOverviewVisible);
    this._setOutlineOverview(this.outlineOverview);
    this._updateOutlineOverview();
    this._setViews(this.views);
    this._setSelectedViewTabs(this.selectedViewTabs);
    this._setMenus(this.menus);
    this.updateDetailContent();
    this._nodesSelectedInternal(this.selectedNodes);
  }
  _createMediator() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.OutlineMediator);
  }
  _installLocalTreeListener() {
    // Note: Although there is a Java outline mediator in Scout Classic, we always install the JS outline mediator.
    // This enables hybrid outlines, i.e. Java outlines that contain both Java and JS pages.
    // Mediate node selection
    this.on('nodesSelected', event => {
      this.mediator.onPageSelected(this.selectedNode());
    });
    // Mediate subtree changes
    let handleSubTreeChanged = nodes => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).forEach(node => this.mediator.onChildPagesChanged(node));
    };
    let getDistinctParentNodes = nodes => {
      let parentNodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).map(node => node.parentNode).filter(Boolean);
      return [...new Set(parentNodes)];
    };
    this.on('nodesInserted', event => handleSubTreeChanged(event.parentNode));
    this.on('nodesUpdated', event => handleSubTreeChanged(getDistinctParentNodes(event.nodes)));
    this.on('nodesDeleted', event => handleSubTreeChanged(event.parentNode || getDistinctParentNodes(event.nodes)));
    this.on('allChildNodesDeleted', event => handleSubTreeChanged(event.parentNode));
    this.on('childNodeOrderChanged', event => handleSubTreeChanged(event.parentNode));
  }
  insertNode(node, parentNode) {
    super.insertNode(node, parentNode);
  }
  _createTreeNode(nodeModel) {
    nodeModel = nodeModel || {};
    nodeModel.objectType = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(nodeModel.objectType, _index__WEBPACK_IMPORTED_MODULE_0__.Page);
    nodeModel.parent = this;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(nodeModel);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.OutlineKeyStrokeContext(this);
  }
  _filterMenus(argMenus, destination, onlyVisible, enableDisableKeyStrokes) {
    // show no context menus
    return [];
  }
  _initTreeKeyStrokeContext() {
    let modifierBitMask = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.CTRL | _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.SHIFT; // NOSONAR
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationUpKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationDownKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.OutlineNavigateToTopKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationEndKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCollapseOrDrillUpKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, '←'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCollapseOrDrillUpKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SUBTRACT, '-'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeExpandOrDrillDownKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, '→'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeExpandOrDrillDownKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ADD, '+')]);
    this.keyStrokeContext.$bindTarget = () => this.session.$entryPoint;
  }
  _render() {
    super._render();
    // Override layout
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.OutlineLayout(this));
    this._renderCompact();
    this._renderEmbedDetailContent();
    this._renderDetailContent();
    this._renderDetailMenuBarVisible();
    this._renderNodeMenuBarVisible();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTitle();
    this._updateIcon();
    this._renderTitleMenuBar();
  }
  _computeNodePaddingLeft(node) {
    this._computeNodePaddings();
    if (this.compact) {
      if (node.row && node.getOutline().selectedNode() !== node) {
        return this.nodePaddingLeft + node.row.hierarchyLevel * this.nodePaddingLevelHierarchyRow;
      }
    }
    return super._computeNodePaddingLeft(node);
  }
  _remove() {
    super._remove();
    this._removeTitle();
    this._removeIcon();
  }
  _renderTitle() {
    if (this.titleVisible) {
      if (!this.$title) {
        this.$title = this.$container.prependDiv('outline-title').on('mousedown', this._onTitleMouseDown.bind(this)).toggleClass('touch', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
        this.$titleText = this.$title.prependDiv('text');
      }
      this.$titleText.text(this.title);
    }
  }
  _removeTitle() {
    if (this.titleVisible) {
      this.$title.remove();
      this.$title = null;
    }
  }
  setIconVisible(iconVisible) {
    this.setProperty('iconVisible', iconVisible);
    if (this.rendered) {
      this._updateIcon();
    }
  }
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
    if (this.rendered) {
      this._updateIcon();
    }
  }
  _updateIcon() {
    if (this.titleVisible && this.iconVisible && this.iconId) {
      if (this.icon) {
        this.icon.setIconDesc(this.iconId);
        return;
      }
      this.icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
        parent: this,
        iconDesc: this.iconId,
        prepend: true
      });
      this.icon.render(this.$title);
    } else {
      if (!this.icon) {
        return;
      }
      this.icon.remove();
      this.icon = null;
    }
  }
  _removeIcon() {
    if (this.icon) {
      this.icon.remove();
      this.icon = null;
    }
  }
  _renderTitleMenuBar() {
    if (this.titleVisible) {
      this.titleMenuBar.render(this.$title);
      this.titleMenuBar.$container.addClass('prevent-initial-focus');
    }
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$container.setTabbable(false);
  }
  _initTreeNodeInternal(node, parentNode) {
    super._initTreeNodeInternal(node, parentNode);
    this._initDetailTableAndForm(node);
    this.trigger('pageInit', {
      page: node
    });
  }
  _initDetailTableAndForm(node) {
    if (node.detailTable) {
      this._initDetailTable(node);
    }
    if (node.detailForm) {
      this._initDetailForm(node);
    }
  }
  _initDetailTable(node) {
    if (this.navigateButtonsVisible && node.navigateButtonsVisible) {
      this._appendNavigateButtonsForDetailTable(node);
    }
  }
  _initDetailForm(node) {
    if (this.navigateButtonsVisible && node.navigateButtonsVisible) {
      this._appendNavigateButtonsForDetailForm(node);
    }
    // Mark form as detail form
    node.detailForm.detailForm = true;
    node.detailForm.one('destroy', () => {
      // Unlink detail form if it was closed. May happen in the following case:
      // The form gets closed on execPageDeactivated. No pageChanged event will
      // be fired because the deactivated page is not selected anymore.
      node.detailForm = null;
      // Also make sure other objects hold no reference to a destroyed form (e.g. bench)
      this._triggerPageChanged(node);
    });
  }
  // Info: we pass the keyStrokeContext of the parent (table or form) to
  // the created buttons, we cannot use keyStrokeContext of the outline
  // because that context is disabled when the outline is collapsed. We
  // cannot set the property 'keyStrokeContext' because this would interfere
  // with the default keyStrokeContext which is already created when the CTOR
  // of Widget runs.
  _createNavigateButtons(node, parent) {
    let menus = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(parent.staticMenus);
    if (!this._hasMenu(menus, _index__WEBPACK_IMPORTED_MODULE_0__.NavigateUpButton)) {
      let upButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.NavigateUpButton, {
        parent: parent,
        altKeyStrokeContext: parent.keyStrokeContext,
        outline: this,
        node: node
      });
      menus.push(upButton);
    }
    if (!this._hasMenu(menus, _index__WEBPACK_IMPORTED_MODULE_0__.NavigateDownButton)) {
      let downButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.NavigateDownButton, {
        parent: parent,
        altKeyStrokeContext: parent.keyStrokeContext,
        outline: this,
        node: node
      });
      menus.push(downButton);
    }
    return menus;
  }
  _getMenu(menus, menuClass) {
    for (let i = 0; i < menus.length; i++) {
      if (menus[i] instanceof menuClass) {
        return menus[i];
      }
    }
    return null;
  }
  _hasMenu(menus, menuClass) {
    return this._getMenu(menus, menuClass) !== null;
  }
  _onTitleMouseDown(event) {
    if (this.titleMenuBar.rendered && this.titleMenuBar.$container.isOrHas(event.target)) {
      // Ignore clicks on title menubar
      return;
    }
    this.navigateToTop();
  }
  navigateToTop() {
    if (this.compact && this.embedDetailContent) {
      this.selectNodes(this.compactRootNode() || []);
    } else {
      this.deselectAll();
    }
    this.handleInitialExpanded();
    this.setScrollTop(0);
  }
  compactRootNode() {
    return this.nodes[0] && this.nodes[0].compactRoot ? this.nodes[0] : null;
  }
  handleInitialExpanded() {
    this.visitNodes(node => {
      this.setNodeExpanded(node, node.initialExpanded, {
        renderExpansion: true
      });
    });
  }
  _onNodeDeleted(node) {
    // Destroy table, which is attached at the root adapter. Form gets destroyed by form close event
    if (node.detailTable) {
      node.detailTable.destroy();
      node.detailTable = null;
    }
  }
  selectNodes(nodes, debounceSend) {
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes);
    nodes.splice(1);
    if (nodes.length > 0 && this.isNodeSelected(nodes[0])) {
      // Already selected, do nothing
      return;
    }
    if (nodes.length === 0 && this.selectedNodes.length === 0) {
      // Already unselected, do nothing
      return;
    }
    if (this.navigateUpInProgress) {
      this.navigateUpInProgress = false;
    } else {
      if (nodes.length === 1) {
        // When a node is selected, the detail form should never be hidden
        this.setDetailFormVisibleByUi(nodes[0], true);
      }
    }
    super.selectNodes(nodes, debounceSend);
  }
  _setSelectedNodes(nodes, debounceSend) {
    super._setSelectedNodes(nodes, debounceSend);
    // Needs to be done here so that tree.selectNodes() can restore scroll position correctly after the content has been updated
    this.updateDetailContent();
  }
  _nodesSelectedInternal(nodes) {
    let activePage = this.activePage();
    // This block here is similar to what's done in Java's DefaultPageChangeStrategy
    if (activePage) {
      activePage.activate();
      activePage.ensureLoadChildren().done(this._onLoadChildrenDone.bind(this, activePage));
    }
  }
  _renderSelection() {
    super._renderSelection();
    this.$container.toggleClass('node-selected', this.selectedNodes.length > 0);
    let prevNode = this.prevSelectedNode;
    if (this.embedDetailContent && prevNode && prevNode.$node) {
      // Remove height and width set by OutlineLayout.
      // Doing it here rather than later in the layout improves scrolling done by _updateScrollTopAfterSelection
      prevNode.$node.cssHeight(null).cssWidth(null);
      prevNode.height = prevNode.$node.outerHeight(true);
    }
  }
  _removeNodeSelection(node) {
    if (node.$text && !this.isHorizontalScrollingEnabled()) {
      // PageLayout sets the width -> remove it when node is not selected anymore to ensure text can use full width
      node.$text.cssWidth(null);
    }
    super._removeNodeSelection(node);
  }
  setDefaultDetailForm(defaultDetailForm) {
    this.setProperty('defaultDetailForm', defaultDetailForm);
  }
  _setDefaultDetailForm(defaultDetailForm) {
    if (this.defaultDetailForm) {
      this.defaultDetailForm.detailForm = false;
      this.defaultDetailForm.off('destroy', this._defaultDetailFormDestroyHandler);
    }
    this._setProperty('defaultDetailForm', defaultDetailForm);
    if (this.defaultDetailForm) {
      this._adaptDefaultDetailForm(this.defaultDetailForm);
      this.defaultDetailForm.one('destroy', this._defaultDetailFormDestroyHandler);
    }
    if (this.initialized) {
      this._updateOutlineOverview();
      this.updateDetailContent();
    }
  }
  _adaptDefaultDetailForm(form) {
    form.setModal(false);
    form.setClosable(false);
    form.setDisplayHint(_index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW);
    form.setDisplayViewId('C');
    form.setShowOnOpen(false);
    form.detailForm = true;
  }
  _onDefaultDetailFormDestroy(event) {
    this.setDefaultDetailForm(null);
  }
  setOutlineOverviewVisible(outlineOverviewVisible) {
    this.setProperty('outlineOverviewVisible', outlineOverviewVisible);
    this._updateOutlineOverview();
  }
  _setOutlineOverviewVisible(outlineOverviewVisible) {
    this._setProperty('outlineOverviewVisible', outlineOverviewVisible);
  }
  setOutlineOverview(outlineOverview) {
    this.setProperty('outlineOverview', outlineOverview);
    this._updateOutlineOverview();
  }
  _setOutlineOverview(outlineOverview) {
    // Ensure outlineOverview is of type OutlineOverview.
    // Widget property cannot be used because nodes are not of type Page yet while _prepareWidgetProperty is running during initialization
    if (outlineOverview) {
      outlineOverview = this._createChild(outlineOverview);
    }
    this._setProperty('outlineOverview', outlineOverview);
  }
  _updateOutlineOverview() {
    if (this.defaultDetailForm) {
      if (this.outlineOverview) {
        this.outlineOverview.destroy();
        this._setOutlineOverview(null);
      }
    } else {
      if (this.outlineOverviewVisible) {
        if (!this.outlineOverview) {
          // Create outlineOverview if no defaultDetailForm is available
          this._setOutlineOverview(this._createOutlineOverview());
        }
      } else {
        if (this.outlineOverview) {
          this.outlineOverview.destroy();
          this._setOutlineOverview(null);
        }
      }
    }
  }
  _createOutlineOverview() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileOutlineOverview, {
      parent: this,
      outline: this
    });
  }
  setNavigateButtonsVisible(navigateButtonsVisible) {
    this.setProperty('navigateButtonsVisible', navigateButtonsVisible);
  }
  _setNavigateButtonsVisible(navigateButtonsVisible) {
    this._setProperty('navigateButtonsVisible', navigateButtonsVisible);
    this.visitNodes(this._setNavigateButtonsVisibleForNode.bind(this));
  }
  _setNavigateButtonsVisibleForNode(node, parentNode) {
    if (this.navigateButtonsVisible) {
      if (node.detailForm) {
        this._appendNavigateButtonsForDetailForm(node);
      }
      if (node.detailTable) {
        this._appendNavigateButtonsForDetailTable(node);
      }
    } else {
      if (node.detailForm) {
        this._removeNavigateButtonsForDetailForm(node);
      }
      if (node.detailTable) {
        this._removeNavigateButtonsForDetailTable(node);
      }
    }
  }
  _appendNavigateButtonsForDetailForm(node) {
    if (node.detailForm.rootGroupBox) {
      let menus = this._createNavigateButtons(node, node.detailForm.rootGroupBox);
      node.detailForm.rootGroupBox.setStaticMenus(menus);
    }
  }
  _appendNavigateButtonsForDetailTable(node) {
    let menus = this._createNavigateButtons(node, node.detailTable);
    node.detailTable.setStaticMenus(menus);
  }
  _removeNavigateButtonsForDetailForm(node) {
    if (node.detailForm.rootGroupBox) {
      let staticMenus = node.detailForm.rootGroupBox.staticMenus.filter(menu => !(menu instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NavigateButton));
      node.detailForm.rootGroupBox.setStaticMenus(staticMenus);
    }
  }
  _removeNavigateButtonsForDetailTable(node) {
    let staticMenus = node.detailTable.staticMenus.filter(menu => {
      return !(menu instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NavigateButton);
    });
    node.detailTable.setStaticMenus(staticMenus);
  }
  /**
   * @returns the selected row or null when no row is selected. When multiple rows are selected
   *    the first selected row is returned.
   */
  selectedRow() {
    let node = this.selectedNode();
    if (!node || !node.detailTable) {
      return null;
    }
    return node.detailTable.selectedRow();
  }
  selectedNode() {
    return super.selectedNode();
  }
  /**
   * Called by updateItemPath.
   */
  _isGroupingEnd(node) {
    return node.nodeType === _index__WEBPACK_IMPORTED_MODULE_0__.Page.NodeType.TABLE;
  }
  /**
   * Disabled for outlines because outline may be resized.
   */
  _isTruncatedNodeTooltipEnabled() {
    return false;
  }
  setDetailFormVisibleByUi(node, visible) {
    if (node.detailFormVisibleByUi === visible) {
      return; // nothing to do
    }
    node.detailFormVisibleByUi = visible;
    this._triggerPageChanged(node);
  }
  validateFocus() {
    this.session.focusManager.validateFocus();
  }
  sendToBack() {
    this.inBackground = true;
    this._renderInBackground();
    // Detach child dialogs, message boxes and file choosers, not views.
    this.formController.detachDialogs();
    this.messageBoxController.detach();
    this.fileChooserController.detach();
  }
  bringToFront() {
    this.inBackground = false;
    this._renderInBackground();
    // Attach child dialogs, message boxes and file choosers.
    this.formController.attachDialogs();
    this.messageBoxController.attach();
    this.fileChooserController.attach();
  }
  _renderInBackground() {
    this.$container.toggleClass('in-background', this.inBackground && !this.compact);
  }
  _renderCompact() {
    this.$container.toggleClass('compact', this.compact);
    this.nodePaddingLeft = null;
    this.nodeControlPaddingLeft = null;
    this._updateNodePaddingsLeft();
    this.invalidateLayoutTree();
  }
  _renderEmbedDetailContent() {
    this.$data.toggleClass('has-detail-content', this.embedDetailContent);
    this.invalidateLayoutTree();
  }
  _renderDetailContent() {
    if (!this.detailContent || this.detailContent.rendered) {
      return;
    }
    let page = this.selectedNode();
    if (!page.rendered) {
      return;
    }
    // Hide text if it is empty
    page.$text.setVisible(!!page.text);
    // Allow page to decorate based on content
    page._decorate();
    this.detailContent.render(page.$node);
    this.detailContent.$container.addClass('detail-content');
    if (this.detailContent.htmlComp) {
      this.detailContent.htmlComp.validateRoot = false;
    }
    this._ensurePageLayout(page);
    this.$data.addClass('detail-content-visible');
  }
  nodeById(id) {
    return super.nodeById(id);
  }
  nodesByIds(ids) {
    return super.nodesByIds(ids);
  }
  _ensurePageLayout(page) {
    // selected page now has content (menubar and form) -> needs a layout
    // always create new htmlComp, otherwise we would have to remove them when $node or outline gets removed
    page.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(page.$node, this.session);
    page.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.PageLayout(this, page));
  }
  _removeDetailContent() {
    if (!this.detailContent) {
      return;
    }
    this.detailContent.remove();
    this.$data.removeClass('detail-content-visible');
  }
  _postRenderViewRange() {
    super._postRenderViewRange();
    this._renderDetailContent();
    this._renderDetailMenuBarVisible();
    this._renderNodeMenuBarVisible();
  }
  setCompact(compact) {
    this.setProperty('compact', compact);
  }
  setEmbedDetailContent(embedDetailContent) {
    this.setProperty('embedDetailContent', embedDetailContent);
  }
  _setEmbedDetailContent(embedDetailContent) {
    this._setProperty('embedDetailContent', embedDetailContent);
    this.updateDetailContent();
  }
  _onDetailContentDestroy(event) {
    this.setDetailContent(null);
    this.updateDetailMenus();
  }
  setDetailContent(content) {
    if (this.detailContent === content) {
      return;
    }
    if (this.rendered) {
      this._removeDetailContent();
    }
    if (this.detailContent) {
      this.detailContent.off('destroy', this._detailContentDestroyHandler);
    }
    if (this.detailContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableRowDetail) {
      this.detailContent.destroy();
    }
    this._setProperty('detailContent', content);
    if (content) {
      content.on('destroy', this._detailContentDestroyHandler);
    }
    if (this.rendered) {
      this._renderDetailContent();
    }
    this.invalidateLayoutTree();
  }
  updateDetailContent() {
    if (!this.embedDetailContent) {
      this.setDetailContent(null);
      this.setDetailMenus([]);
      return;
    }
    this.setDetailMenuBarVisible(false);
    this.setNodeMenuBarVisible(false);
    this.setDetailContent(this._computeDetailContent());
    this.updateDetailMenus();
  }
  _updateScrollTopAfterSelection() {
    if (!this.embedDetailContent) {
      super._updateScrollTopAfterSelection();
      return;
    }
    // Layout immediately to prevent lags during detail form visualization,
    // but not initially while desktop gets rendered because it will be done at the end anyway
    // It is important that this is done after _renderSelection, because node could be invisible due to the missing .selected class which means it won't be layouted
    // It is also important to do it before scroll top is set by the super call because the detail content of the newly selected node needs to get the correct height first to get the correct scroll top.
    this.validateLayoutTree();
    super._updateScrollTopAfterSelection();
    // Scroll to the parent node to hide ancestor nodes and give as much room as possible for the content
    if (this.selectedNodes[0] && this.selectedNodes[0].parentNode) {
      if (this.prevSelectedNode && this.prevSelectedNode.isDescendantOf(this.selectedNodes[0])) {
        // But don't do it on upwards navigation, in that case the tree will scroll to the optimal position by itself, see _updateScrollTopAfterSelection
        return;
      }
      this.scrollTo(this.selectedNodes[0].parentNode, {
        align: 'top',
        animate: true
      });
    }
  }
  _computeDetailContent() {
    let selectedPage = this.selectedNode();
    if (!selectedPage) {
      // Detail content is shown for the selected node only
      return null;
    }
    if (selectedPage.detailForm && selectedPage.detailFormVisible && selectedPage.detailFormVisibleByUi) {
      // if there is a detail form, use this
      return selectedPage.detailForm;
    }
    if (selectedPage === this.compactRootNode()) {
      // If the root node is selected and there is root content, use this
      let rootContent = this.getRootContent();
      if (rootContent) {
        return rootContent;
      }
    }
    if (selectedPage.row && selectedPage.parentNode.nodeType === _index__WEBPACK_IMPORTED_MODULE_0__.Page.NodeType.TABLE) {
      // otherwise show the content of the table row
      // but never if parent is a node page -> the table contains only one column with no essential information
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableRowDetail, {
        parent: this,
        table: selectedPage.parentNode.detailTable,
        page: selectedPage
      });
    }
    return null;
  }
  getRootContent() {
    if (this.defaultDetailForm) {
      return this.defaultDetailForm;
    }
    return this.outlineOverview;
  }
  /**
   * Updates node and detail menubar.
   * Node menubar: Contains the table controls and right aligned menus.
   * Detail menubar: Contains the other menus.
   *
   * The menu items are gathered from various sources:
   * If the selected page has a detailForm, the menus are taken from there. Otherwise, the detail table and the parent detail table provide the menus.
   * The detail table contributes the empty space menus and the parent detail the single selection menus.
   *
   * The menus of the outline itself are not displayed. In fact the server won't deliver any.
   * One reason is that no menus are displayed in regular mode, so when switching to compact mode no menus would be available.
   * Another reason is that it would flicker because the menus are sent anew from the server every time a node gets selected because the menus are added to the outline and not to the node and are therefore not cached.
   */
  updateDetailMenus() {
    if (!this.embedDetailContent) {
      return;
    }
    let selectedPages = this.selectedNodes,
      selectedPage = selectedPages[0],
      menuItems = [],
      tableControls = [],
      nodeMenus = [],
      detailTable,
      detailMenus = [];
    if (this.detailContent && this.detailContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
      // Get menus from detail form
      let rootGroupBox = this.detailContent.rootGroupBox;
      if (rootGroupBox) {
        menuItems = rootGroupBox.processMenus.concat(rootGroupBox.menus);
        rootGroupBox.setMenuBarVisible(false);
        this._attachDetailMenusListener(rootGroupBox);
      }
    } else if (selectedPage && !(this.detailContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.OutlineOverview)) {
      // Get empty space menus and table controls from detail table
      // DetailContent can be null, or it is the tableRowDetail. Don't show menus on OutlineOverview.
      if (selectedPage.detailTable) {
        detailTable = selectedPage.detailTable;
        menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(detailTable.menus, [_index__WEBPACK_IMPORTED_MODULE_0__.Table.MenuType.EmptySpace], {
          onlyVisible: false,
          enableDisableKeyStrokes: true,
          defaultMenuTypes: detailTable.defaultMenuTypes
        });
        tableControls = detailTable.tableControls;
        detailTable.setMenuBarVisible(false);
        this._attachDetailMenusListener(detailTable);
      }
      // Get single selection menus from parent detail table
      let parentPage = selectedPage.parentNode;
      if (parentPage && parentPage.detailTable) {
        detailTable = parentPage.detailTable;
        menuItems = menuItems.concat(_index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(detailTable.menus, [_index__WEBPACK_IMPORTED_MODULE_0__.Table.MenuType.SingleSelection], {
          onlyVisible: false,
          enableDisableKeyStrokes: true,
          defaultMenuTypes: detailTable.defaultMenuTypes
        }));
        detailTable.setMenuBarVisible(false);
        this._attachDetailMenusListener(detailTable);
      }
    }
    // Add table controls to nodeMenus (destroy previously created ones first to clean up correctly)
    let oldMenus = this.nodeMenuBar.menuItems.filter(menu => menu instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapterMenu);
    oldMenus.forEach(oldMenu => oldMenu.destroy());
    tableControls.forEach(tableControl => {
      let menu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapterMenu, _index__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapterMenu.adaptTableControlProperties(tableControl, {
        parent: this,
        tableControl: tableControl,
        horizontalAlignment: 1
      }));
      nodeMenus.push(menu);
    });
    // Add right aligned menus to node menus, others to detail menus
    menuItems.forEach(menuItem => {
      if (menuItem.horizontalAlignment === 1) {
        nodeMenus.push(menuItem);
      } else {
        detailMenus.push(menuItem);
      }
    });
    this.setNodeMenus(nodeMenus);
    this.setDetailMenus(detailMenus);
  }
  /**
   * Attaches a listener to the given menu container (which is the detail table or the detail table of the parent node)
   * in order to get dynamic menu changes and update the detailMenus on such a change event.
   * The impl. is lazy because it is only used in mobile mode.
   */
  _attachDetailMenusListener(menuContainer) {
    if (!this._detailMenusChangeHandler) {
      this._detailMenusChangeHandler = event => {
        if (event.propertyName === 'menus' || event.propertyName === 'tableControls') {
          this.updateDetailMenus();
        }
      };
    }
    if (!this._detailMenusDestroyHandler) {
      this._detailMenusDestroyHandler = event => {
        menuContainer.off('propertyChange', this._detailMenusChangeHandler);
      };
    }
    menuContainer.off('propertyChange', this._detailMenusChangeHandler);
    menuContainer.on('propertyChange', this._detailMenusChangeHandler);
    menuContainer.off('destroy', this._detailMenusDestroyHandler);
    menuContainer.one('destroy', this._detailMenusDestroyHandler);
    if (!this._detailMenusNodesSelectedHandler) {
      // This nodes selection listener removes the property change listeners from the old menu containers (detail content) whenever a node gets selected
      // updateDetailMenus() is called afterwards and attaches the property change listeners to the new detail content
      // This guarantees that no events are fired for non-selected nodes
      this._detailMenusNodesSelectedHandler = {
        outline: this,
        menuContainers: [],
        addMenuContainer: function (container) {
          if (this.menuContainers.indexOf(container) > -1) {
            return;
          }
          this.menuContainers.push(container);
        },
        func: function (event) {
          if (event.type !== 'nodesSelected') {
            return;
          }
          this.menuContainers.forEach(function (container) {
            container.off('propertyChange', this.outline._detailMenusChangeHandler);
            container.off('destroy', this.outline._detailMenusDestroyHandler);
          }, this);
          this.menuContainers = [];
        }
      };
      this.addListener(this._detailMenusNodesSelectedHandler);
    }
    this._detailMenusNodesSelectedHandler.addMenuContainer(menuContainer);
  }
  setDetailMenus(detailMenus) {
    // Make sure detailMenus are rendered again even if they are the same as before
    // Reason: the menus could have been removed from the DOM in the meantime.
    // This happens if table#setMenus() is called while table is not rendered, which is always the case in compact mode.
    // In that case the parent is temporarily set to the table which will remove the menu.
    this.detailMenuBar.setMenuItems([]);
    this.detailMenuBar.setMenuItems(detailMenus);
    this.setDetailMenuBarVisible(this.detailMenuBar.menuItems.length > 0);
  }
  _renderDetailMenuBarVisible() {
    if (this.detailMenuBarVisible) {
      this._renderDetailMenuBar();
    } else {
      this._removeDetailMenuBar();
    }
  }
  _renderDetailMenuBar() {
    if (this.detailMenuBar.rendered) {
      return;
    }
    let node = this.selectedNode();
    if (!node || !node.rendered) {
      return;
    }
    this.detailMenuBar.render(node.$node);
    this.detailMenuBar.$container.addClass('detail-menubar');
    if (this.detailContent && this.detailContent.rendered) {
      // move before content (e.g. form)
      this.detailMenuBar.$container.insertBefore(this.detailContent.$container);
    }
    this._ensurePageLayout(node);
    this.invalidateLayoutTree();
  }
  _removeDetailMenuBar() {
    if (!this.detailMenuBar.rendered) {
      return;
    }
    this.detailMenuBar.remove();
    this.invalidateLayoutTree();
  }
  setDetailMenuBarVisible(visible) {
    this.setProperty('detailMenuBarVisible', visible);
  }
  setNodeMenus(nodeMenus) {
    // See setDetailMenus for the reason of the following code
    this.nodeMenuBar.setMenuItems([]);
    this.nodeMenuBar.setMenuItems(nodeMenus);
    this.setNodeMenuBarVisible(this.nodeMenuBar.menuItems.length > 0);
  }
  _renderNodeMenuBarVisible() {
    if (this.nodeMenuBarVisible) {
      this._renderNodeMenuBar();
    } else {
      this._removeNodeMenuBar();
    }
  }
  _renderNodeMenuBar() {
    if (this.nodeMenuBar.rendered) {
      return;
    }
    let node = this.selectedNode();
    if (!node || !node.rendered) {
      return;
    }
    let $text = node.$text;
    this.nodeMenuBar.render(node.$node);
    this.nodeMenuBar.$container.addClass('node-menubar');
    this.nodeMenuBar.$container.insertAfter($text);
    this.invalidateLayoutTree();
  }
  _removeNodeMenuBar() {
    if (!this.nodeMenuBar.rendered) {
      return;
    }
    this.nodeMenuBar.remove();
    this.invalidateLayoutTree();
  }
  setNodeMenuBarVisible(visible) {
    this.setProperty('nodeMenuBarVisible', visible);
  }
  glassPaneTargets(element) {
    // MessageBoxes are often created with Outlines as displayParent. The default implementation of this function
    // would not render any glass panes when the outline is collapsed, thus we need to override this behavior.
    return this._glassPaneTargets(element);
  }
  _glassPaneTargets(element) {
    let desktop = this.session.desktop;
    let elements = [];
    if (desktop.navigation) {
      elements.push(desktop.navigation.$body);
    }
    if (desktop.bench && desktop.bench.outlineContent) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(elements, desktop.bench.outlineContent.glassPaneTargets(element));
    }
    return elements;
  }
  onGlassPaneMouseDown(glassPaneOwner, $glassPane) {
    let desktop = this.session.desktop;
    if (desktop.navigation) {
      if ($glassPane.parent()[0] === desktop.navigation.$body[0]) {
        desktop.bringOutlineToFront();
      }
    }
  }
  /**
   * === Method required for objects that act as 'displayParent' ===
   *
   * Returns true if this outline is active and not in background.
   */
  inFront() {
    return this.session.desktop.outline === this && !this.inBackground;
  }
  /**
   * Called if outline acts as display parent.<p>
   * Returns true if outline is active, even if it is not rendered (e.g. when navigation is invisible)
   */
  acceptDialog(dialog) {
    return this.session.desktop.outline === this;
  }
  /**
   * Called if outline acts as display parent.<p>
   * Returns true if outline is active, even if it is not rendered (e.g. when navigation is invisible)
   */
  acceptView(view) {
    return this.session.desktop.outline === this;
  }
  // see Java: AbstractOutline#makeActivePageToContextPage
  activateCurrentPage() {
    let activePage = this.activePage();
    if (activePage) {
      activePage.activate();
    }
  }
  activePage() {
    return this.selectedNode();
  }
  _setViews(views) {
    if (views) {
      views.forEach(view => view.setDisplayParent(this));
    }
    this._setProperty('views', views);
  }
  _setSelectedViewTabs(views) {
    this.selectedViewTabs = this.session.desktop.prepareSelectedViewTabs(views);
  }
  /**
   * Overrides Tree (don't call parent)
   */
  _setMenus(menus) {
    let oldMenus = this.menus;
    this.updateKeyStrokes(menus, oldMenus);
    this._setProperty('menus', menus);
    if (this.titleMenuBar) {
      // _setMenus is called by parent class Tree.js, at this time titleMenuBar is not yet initialized
      let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(this.menus, [_index__WEBPACK_IMPORTED_MODULE_0__.Tree.MenuType.Header], {
        defaultMenuTypes: this.defaultMenuTypes
      });
      this.titleMenuBar.setMenuItems(menuItems);
    }
  }
  _triggerPageChanged(page) {
    this.trigger('pageChanged', {
      page: page
    });
  }
  _onLoadChildrenDone(activePage) {
    if (activePage) {
      this._initDetailTableAndForm(activePage);
    }
  }
  pageChanged(page) {
    if (page !== null && page !== void 0 && page.pageChanging) {
      return;
    }
    if (page) {
      this._initDetailTableAndForm(page);
    }
    let selectedPage = this.selectedNode();
    if (!page && !selectedPage || page === selectedPage) {
      this.updateDetailContent();
    }
    this._triggerPageChanged(page);
  }
  /**
   * Selects the given page.
   *
   * @param drillNode The page to select. May be null, in which case nothing happens.
   * @param expandDrillNode Whether to automatically expand the drill node after selecting it.
   *        By default, this is `true` for node pages, `false` otherwise.
   */
  drillDown(drillNode, expandDrillNode) {
    if (drillNode) {
      // Select the target page (this also expands the parent node, if required)
      this.selectNodes(drillNode);
      // If the target node is a node page, expand it
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(expandDrillNode, drillNode.nodeType === _index__WEBPACK_IMPORTED_MODULE_0__.Page.NodeType.NODES)) {
        this.expandNode(drillNode);
      }
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineAdapter.ts":
/*!***********************************************!*\
  !*** ./src/desktop/outline/OutlineAdapter.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineAdapter: () => (/* binding */ OutlineAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeAdapter {
  constructor() {
    super();
    _defineProperty(this, "_filterDirty", void 0);
    _defineProperty(this, "_nodeIdToRowMap", void 0);
    _defineProperty(this, "_detailTableRowInitHandler", void 0);
    _defineProperty(this, "_detailTableRowsInsertedHandler", void 0);
    _defineProperty(this, "_detailTableFilterRemoved", void 0);
    this._filterDirty = false;
    this._nodeIdToRowMap = {};
    this._detailTableRowInitHandler = this._onDetailTableRowInit.bind(this);
    this._detailTableRowsInsertedHandler = this._onDetailTableRowsInserted.bind(this);
    this._detailTableFilterRemoved = this._onDetailTableFilterRemoved.bind(this);
  }
  _onPageChanged(event) {
    let success = false;
    let page = this.widget.nodeById(event.nodeId);
    try {
      page.setPageChanging(true);
      page.overviewIconId = event.overviewIconId;
      page.detailFormVisible = event.detailFormVisible;
      let detailForm = this.session.getOrCreateWidget(event.detailForm, this.widget);
      page.setDetailForm(detailForm);
      page.navigateButtonsVisible = event.navigateButtonsVisible;
      page.detailTableVisible = event.detailTableVisible;
      let detailTable = this.session.getOrCreateWidget(event.detailTable, this.widget);
      if (page.detailTable !== detailTable) {
        if (page.detailTable) {
          this._destroyDetailTable(page);
        }
        page.setDetailTable(detailTable);
        if (page.detailTable) {
          this._initDetailTable(page);
        }
      }
      success = true;
    } finally {
      page.setPageChanging(false);
    }
    if (success) {
      this.widget.pageChanged(page);
    }
  }
  onModelAction(event) {
    if (event.type === 'pageChanged') {
      this._onPageChanged(event);
    } else {
      super.onModelAction(event);
    }
  }
  _initDetailTable(page) {
    // link already existing rows now
    page.detailTable.rows.forEach(this._linkNodeWithRow.bind(this));
    // rows which are inserted later are linked by _onDetailTableRowInit
    page.detailTable.on('rowInit', this._detailTableRowInitHandler);
    page.detailTable.on('rowsInserted', this._detailTableRowsInsertedHandler);
    page.detailTable.on('filterRemoved', this._detailTableFilterRemoved);
  }
  _destroyDetailTable(page) {
    this._nodeIdToRowMap = {};
    page.detailTable.rows.forEach(this._unlinkNodeWithRow.bind(this));
    page.detailTable.off('rowInit', this._detailTableRowInitHandler);
    page.detailTable.off('rowsInserted', this._detailTableRowsInsertedHandler);
    page.detailTable.off('filterRemoved', this._detailTableFilterRemoved);
  }
  _linkNodeWithRow(row) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('row', row);
    let nodeId = row.nodeId;
    if (nodeId === undefined) {
      // nodeId is undefined if no node exists for that row (e.g. happens if the page containing the row is a leaf page)
      return;
    }
    let node = this.widget.nodesMap[nodeId];
    if (node) {
      node.linkWithRow(row);
    } else {
      // Prepare for linking later because node has not been inserted yet
      // see: #_linkNodeWithRowLater
      this._nodeIdToRowMap[nodeId] = row;
    }
  }
  _unlinkNodeWithRow(row) {
    let node = this.widget.nodesMap[row.nodeId];
    if (node) {
      node.unlinkWithRow(row);
    }
  }
  _onDetailTableRowInit(event) {
    this._linkNodeWithRow(event.row);
    let node = this.widget.nodesMap[event.row.nodeId];
    if (this.widget.isSelectedNode(node) && !this.widget.detailContent) {
      // Table row detail could not be created because the link from page to row was missing at the time the node got selected -> do it now
      this.widget.updateDetailContent();
    }
  }
  _onDetailTableRowsInserted(event) {
    let table = event.source;
    if (this._filterDirty || table.filterCount() > 0 && event.rows.some(row => !row.filterAccepted)) {
      this._filterDirty = false;
      // Explicitly call filter if some new rows are not accepted.
      // If they are accepted, table.insertRows() will trigger a filter event by itself that will be mediated to the outline by OutlineMediator.js
      this.widget.filter();
    }
  }
  _onDetailTableFilterRemoved(event) {
    let table = event.source;
    let tableModelAdapter = table.modelAdapter;
    if (tableModelAdapter && tableModelAdapter._rebuildingTable) {
      // If a column is removed, the tableAdapter prevents filtering because the flag _rebuildingTable is true
      // -> the outline does not get informed, hence the nodes stay invisible.
      this._filterDirty = true;
    }
  }
  /**
   * Link node with row, if it hasn't been linked yet.
   */
  _linkNodeWithRowLater(page) {
    if (!page.parentNode || !page.parentNode.detailTable) {
      return;
    }
    if (!this._nodeIdToRowMap.hasOwnProperty(page.id)) {
      return;
    }
    let row = this._nodeIdToRowMap[page.id];
    page.linkWithRow(row);
    delete this._nodeIdToRowMap[page.id];
  }
  _getDefaultNodeObjectType() {
    return 'Page';
  }
  /**
   * Static method to modify the prototype of Outline.
   */
  static modifyOutlinePrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Outline, '_computeDetailContent', OutlineAdapter._computeDetailContentRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Outline, 'updateDetailMenus', OutlineAdapter.updateDetailMenusRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Outline, '_initTreeNodeInternal', OutlineAdapter._initTreeNodeInternalRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Outline, '_createTreeNode', OutlineAdapter._createTreeNodeRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Page, '_updateParentTablePageMenusForDetailForm', OutlineAdapter._updateParentTablePageMenusForDetailForm, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Page, '_updateParentTablePageMenusForDetailTable', OutlineAdapter._updateParentTablePageMenusForDetailTable, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Page, 'linkWithRow', OutlineAdapter.linkWithRow, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Page, 'unlinkWithRow', OutlineAdapter.unlinkWithRow, true);
  }
  /**
   * Replacement for {@link Outline._computeDetailContent}.
   */
  static _computeDetailContentRemote() {
    if (!this.modelAdapter) {
      return this._computeDetailContentOrig();
    }
    let selectedPage = this.selectedNode();
    if (!selectedPage) {
      // Detail content is shown for the selected node only
      return null;
    }
    // if there is a detail form, use this
    if (selectedPage.detailForm || selectedPage.detailFormResolved) {
      // If there is a detail form -> return (and set flag to true to make updateDetailMenusRemote work)
      selectedPage.detailFormResolved = true;
      return this._computeDetailContentOrig();
    }
    // It is not known yet whether there is a detail form -> wait for the requests to be processed before showing the table row detail
    if (!this.session.areRequestsPending() && !this.session.areEventsQueued()) {
      // There are no requests pending -> return (and set flag to true to make updateDetailMenusRemote work)
      selectedPage.detailFormResolved = true;
      return this._computeDetailContentOrig();
    }
    // Wait for the requests to complete
    this.session.listen().done(function (selectedPage) {
      if (selectedPage.detailFormResolved) {
        // No need to update detail content again if resolved is true
        return;
      }
      // Make sure the next time the page is selected it returns immediately and does not wait for requests to be completed
      selectedPage.detailFormResolved = true;
      this.updateDetailContent();
    }.bind(this, selectedPage));
  }
  /**
   * Replacement for {@link Outline.updateDetailMenus}.
   */
  static updateDetailMenusRemote() {
    if (!this.modelAdapter) {
      return this.updateDetailMenusOrig();
    }
    let selectedPage = this.selectedNode();
    if (selectedPage && selectedPage.detailFormResolved) {
      return this.updateDetailMenusOrig();
    }
  }
  /**
   * Replaced to make sure page is correctly initialized (linked with row).
   * This cannot be done using pageInit event because the page needs to be initialized during the outline initialization
   * and the event listener can only be attached afterwards.
   */
  static _initTreeNodeInternalRemote(page, parentNode) {
    this._initTreeNodeInternalOrig(page, parentNode);
    if (!this.modelAdapter) {
      return;
    }
    // The current method may be called during init of the Outline
    // -> widget is not set yet but the following methods need it
    this.modelAdapter.widget = this;
    if (page.detailTable) {
      this.modelAdapter._initDetailTable(page);
    }
    this.modelAdapter._linkNodeWithRowLater(page);
  }
  static _createTreeNodeRemote(nodeModel) {
    var _nodeModel;
    // nodeType is only used for Scout Classic pages
    if (!this.modelAdapter || !((_nodeModel = nodeModel) !== null && _nodeModel !== void 0 && _nodeModel.nodeType)) {
      return this._createTreeNodeOrig(nodeModel);
    }
    nodeModel = this.modelAdapter._initNodeModel(nodeModel);
    if (nodeModel.nodeType === 'jsPage') {
      var _nodeModel$jsPageObje;
      if (!((_nodeModel$jsPageObje = nodeModel.jsPageObjectType) !== null && _nodeModel$jsPageObje !== void 0 && _nodeModel$jsPageObje.length)) {
        throw new Error('jsPageObjectType not set');
      }
      let jsPageModel = {
        id: nodeModel.id,
        parent: nodeModel.parent,
        owner: nodeModel.owner,
        objectType: nodeModel.jsPageObjectType
      };
      if (nodeModel.jsPageModel) {
        jsPageModel = $.extend(true, {}, nodeModel.jsPageModel, jsPageModel);
      }
      nodeModel = jsPageModel;
    }
    return this._createTreeNodeOrig(nodeModel);
  }
  _initNodeModel(nodeModel) {
    const model = super._initNodeModel(nodeModel);
    // This marker is only set for pages that represent a remote page on the UI server. It prevents menus from being inherited
    // from the parent table page, because in the case of Java pages that is already done on the server.
    model.remote = true;
    return model;
  }
  static _updateParentTablePageMenusForDetailForm() {
    const detailForm = this.detailForm;
    if (detailForm && (!detailForm.modelAdapter || !this.remote)) {
      this._updateParentTablePageMenusForDetailFormOrig();
    }
  }
  static _updateParentTablePageMenusForDetailTable() {
    const detailTable = this.detailTable;
    if (detailTable && (!detailTable.modelAdapter || !this.remote)) {
      this._updateParentTablePageMenusForDetailTableOrig();
    }
  }
  static linkWithRow(row) {
    this.linkWithRowOrig(row);
    // @ts-expect-error
    this._updateParentTablePageMenusForDetailFormAndDetailTable();
  }
  static unlinkWithRow(row) {
    this.unlinkWithRowOrig(row);
    // @ts-expect-error
    this._updateParentTablePageMenusForDetailFormAndDetailTable();
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', OutlineAdapter.modifyOutlinePrototype);

/***/ }),

/***/ "./src/desktop/outline/OutlineEventMap.ts":
/*!************************************************!*\
  !*** ./src/desktop/outline/OutlineEventMap.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/OutlineLayout.ts":
/*!**********************************************!*\
  !*** ./src/desktop/outline/OutlineLayout.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineLayout: () => (/* binding */ OutlineLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeLayout {
  constructor(outline) {
    super(outline);
    _defineProperty(this, "outline", void 0);
    this.outline = outline;
  }
  _layout($container) {
    let htmlContainer = this.outline.htmlComp;
    super._layout($container);
    let containerSize = htmlContainer.availableSize({
      exact: true
    }).subtract(htmlContainer.insets());
    if (this.outline.embedDetailContent) {
      let selectedNode = this.outline.selectedNodes[0];
      if (selectedNode && selectedNode.rendered) {
        let pageHtmlComp = selectedNode.htmlComp;
        // pageHtmlComp is null if there is no detail form and no detail menubar
        if (pageHtmlComp) {
          let prefSize = pageHtmlComp.prefSize({
            widthHint: containerSize.width
          });
          pageHtmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, prefSize.height));
          selectedNode.height = prefSize.height + pageHtmlComp.margins().vertical();
        }
      }
    }
    // layout menu bars
    this.outline.titleMenuBar.validateLayout();
    this.outline.nodeMenuBar.validateLayout();
    this.outline.detailMenuBar.validateLayout();
  }
  _setDataHeight(heightOffset) {
    let titleSize = null;
    if (this.outline.titleVisible) {
      titleSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.outline.$title, true);
    }
    super._setDataHeight(heightOffset + (titleSize === null ? 0 : titleSize.height));
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineMediator.ts":
/*!************************************************!*\
  !*** ./src/desktop/outline/OutlineMediator.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineMediator: () => (/* binding */ OutlineMediator)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineMediator {
  init(model) {
    // NOP
  }
  // ------------------------------
  //   Table -> Tree
  // ------------------------------
  _skipEvent(page) {
    return page === null || page.getOutline() === null || page.leaf;
  }
  onTableRowsInserted(rows, childPages, pageWithTable) {
    if (this._skipEvent(pageWithTable)) {
      return;
    }
    pageWithTable.getTree().insertNodes(childPages, pageWithTable);
  }
  onTableRowsDeleted(rows, childPages, pageWithTable) {
    if (this._skipEvent(pageWithTable)) {
      return;
    }
    pageWithTable.getTree().deleteNodes(childPages, pageWithTable);
  }
  onTableRowsUpdated(event, pageWithTable) {
    if (this._skipEvent(pageWithTable)) {
      return;
    }
    let pages = pageWithTable.updatePagesFromTableRows(event.rows);
    pageWithTable.getTree().updateNodes(pages);
  }
  onTableRowAction(event, page) {
    if (this._skipEvent(page)) {
      return;
    }
    let drillNode = event.row.page;
    page.getOutline().drillDown(drillNode);
  }
  onTableRowOrderChanged(event, pageWithTable) {
    if (this._skipEvent(pageWithTable)) {
      return;
    }
    let table = event.source;
    let childPages = pageWithTable.pagesForTableRows(table.rows);
    pageWithTable.getOutline().updateNodeOrder(childPages, pageWithTable);
  }
  onTableFilter(event, page) {
    if (this._skipEvent(page)) {
      return;
    }
    page.getOutline().filter();
  }
  // ------------------------------
  //   Tree -> Table
  // ------------------------------
  onPageSelected(selectedPage) {
    if (!selectedPage || !selectedPage.parentNode) {
      return;
    }
    const table = selectedPage.parentNode.detailTable;
    const row = selectedPage.row;
    if (!table || !row || table !== row.getTable()) {
      return;
    }
    table.selectRow(row);
  }
  onChildPagesChanged(page) {
    // This method is called by the outline when one of the child pages of the given page has been changed.
    // If it is a node page, update the corresponding detail table. If it is a table page, we don't have to
    // do anything, because table pages work in the opposite way (table -> tree, see methods above).
    if (page instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PageWithNodes) {
      page.rebuildDetailTableInternal();
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineModel.ts":
/*!*********************************************!*\
  !*** ./src/desktop/outline/OutlineModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/OutlineTileField.ts":
/*!*************************************************!*\
  !*** ./src/desktop/outline/OutlineTileField.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineTileField: () => (/* binding */ OutlineTileField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineTileField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    /** outline is not a widget, because at the time where _init runs, outline is not yet available */
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "tileOutlineOverview", void 0);
    this.outline = null;
    this.tileOutlineOverview = null;
  }
  _render() {
    this._ensureTileOutlineOverview();
    this.addContainer(this.$parent, 'outline-tile-field');
    this.tileOutlineOverview.render(this.$container);
    this.addField(this.tileOutlineOverview.$container);
  }
  /**
   * We cannot create the TileOutlineOverview instance in the _init function, because at the time where _init runs, outlines are not yet available.
   */
  _ensureTileOutlineOverview() {
    if (this.tileOutlineOverview) {
      return;
    }
    let outline = this.outline ? this.session.getWidget(this.outline) : null;
    this.tileOutlineOverview = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileOutlineOverview, {
      parent: this,
      outline: outline
    });
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineTileFieldAdapter.ts":
/*!********************************************************!*\
  !*** ./src/desktop/outline/OutlineTileFieldAdapter.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineTileFieldAdapter: () => (/* binding */ OutlineTileFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineTileFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/desktop/outline/OutlineViewButton.ts":
/*!**************************************************!*\
  !*** ./src/desktop/outline/OutlineViewButton.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineViewButton: () => (/* binding */ OutlineViewButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineViewButton extends _index__WEBPACK_IMPORTED_MODULE_0__.ViewButton {
  constructor() {
    super();
    _defineProperty(this, "outline", void 0);
    this.outline = null;
    this._addWidgetProperties('outline');
    this._addPreserveOnPropertyChangeProperties(['outline']);
    this._addCloneProperties(['outline']);
  }
  _init(model) {
    super._init(model);
    this._setOutline(this.outline);
  }
  _setOutline(outline) {
    this._setProperty('outline', outline);
    if (this.outline) {
      this.outline.setIconId(this.iconId);
    }
  }
  _setIconId(iconId) {
    this._setProperty('iconId', iconId);
    if (this.outline) {
      this.outline.setIconId(this.iconId);
    }
  }
  _doAction() {
    super._doAction();
    if (this.outline) {
      this.session.desktop.setOutline(this.outline);
      this.session.desktop.bringOutlineToFront();
    }
  }
  onOutlineChange(outline) {
    let selected = !!outline && this.outline === outline;
    this.setSelected(selected);
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineViewButtonAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/outline/OutlineViewButtonAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineViewButtonAdapter: () => (/* binding */ OutlineViewButtonAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineViewButtonAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ViewButtonAdapter {
  _goOffline() {
    // Disable only if outline has not been loaded yet
    if (this.widget.outline) {
      return;
    }
    this._enabledBeforeOffline = this.widget.enabled;
    this.widget.setEnabled(false);
  }
  _goOnline() {
    if (this.widget.outline) {
      return;
    }
    this.widget.setEnabled(this._enabledBeforeOffline);
  }
}

/***/ }),

/***/ "./src/desktop/outline/OutlineViewButtonEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/desktop/outline/OutlineViewButtonEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/OutlineViewButtonModel.ts":
/*!*******************************************************!*\
  !*** ./src/desktop/outline/OutlineViewButtonModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/PageLayout.ts":
/*!*******************************************!*\
  !*** ./src/desktop/outline/PageLayout.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageLayout: () => (/* binding */ PageLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PageLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(outline, page) {
    super();
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "page", void 0);
    this.outline = outline;
    this.page = page;
  }
  layout($container) {
    let htmlContainer = this.page.htmlComp,
      $text = this.page.$text,
      $icon = this.page.$icon(),
      titleHeight = 0,
      iconHeight = 0,
      nodeMenuBar = this.outline.nodeMenuBar,
      detailMenuBar = this.outline.detailMenuBar,
      detailMenuBarHeight = 0,
      textWidth = 0;
    let containerSize = htmlContainer.availableSize({
      exact: true
    }) // exact is important to calculate text width correctly and to prevent node menubar from wrapping
    .subtract(htmlContainer.insets());
    textWidth = containerSize.width;
    if ($icon.length > 0) {
      textWidth -= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($icon).width;
    }
    if (nodeMenuBar.visible) {
      let nodeMenuBarPrefSize = nodeMenuBar.htmlComp.prefSize();
      nodeMenuBar.htmlComp.setSize(nodeMenuBarPrefSize);
      textWidth -= nodeMenuBarPrefSize.add(nodeMenuBar.htmlComp.margins()).width;
    }
    $text.cssWidth(textWidth);
    if (detailMenuBar.visible) {
      detailMenuBarHeight = detailMenuBar.htmlComp.prefSize().height;
      let detailMenuBarSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, detailMenuBarHeight).subtract(detailMenuBar.htmlComp.margins());
      detailMenuBar.htmlComp.setSize(detailMenuBarSize);
    }
    if (this.outline.detailContent) {
      if ($icon.length > 0) {
        iconHeight = $icon.outerHeight(true);
      }
      if ($text.isVisible()) {
        titleHeight = $text.outerHeight(true);
      }
      titleHeight = Math.max(titleHeight, iconHeight);
      let htmlDetailContent = this.outline.detailContent.htmlComp;
      htmlDetailContent.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, containerSize.height - titleHeight - detailMenuBarHeight - htmlDetailContent.margins().vertical()));
    }
  }
  preferredLayoutSize($container, options) {
    let iconHeight = 0,
      htmlContainer = this.page.htmlComp,
      detailContentPrefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      $text = this.page.$text,
      $icon = this.page.$icon(),
      titlePrefHeight = 0,
      detailMenuBar = this.outline.detailMenuBar,
      detailMenuBarPrefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      nodeMenuBar = this.outline.nodeMenuBar,
      textWidth = 0;
    textWidth = options.widthHint;
    if ($icon.length > 0) {
      textWidth -= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($icon).width;
    }
    if (nodeMenuBar.visible && nodeMenuBar.rendered) {
      textWidth -= nodeMenuBar.htmlComp.prefSize().width;
    }
    // needs a width to be able to calculate the pref height
    let textHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($text, {
      includeMargin: true,
      widthHint: textWidth,
      enforceSizeHints: true,
      exact: true
    }).height;
    if ($icon.length > 0) {
      iconHeight = $icon.outerHeight(true);
    }
    titlePrefHeight = Math.max(textHeight, iconHeight);
    if (detailMenuBar.visible && detailMenuBar.rendered) {
      detailMenuBarPrefSize = detailMenuBar.htmlComp.prefSize();
    }
    if (this.outline.detailContent) {
      let htmlDetailContent = this.outline.detailContent.htmlComp;
      options = $.extend({}, options, {
        enforceSizeHints: true,
        exact: true
      });
      detailContentPrefSize = htmlDetailContent.prefSize(options).add(htmlDetailContent.margins());
    }
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(detailContentPrefSize.width, detailMenuBarPrefSize.width), titlePrefHeight + detailMenuBarPrefSize.height + detailContentPrefSize.height);
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/desktop/outline/SearchOutline.ts":
/*!**********************************************!*\
  !*** ./src/desktop/outline/SearchOutline.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SearchOutline: () => (/* binding */ SearchOutline)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SearchOutline extends _index__WEBPACK_IMPORTED_MODULE_0__.Outline {
  constructor() {
    super();
    _defineProperty(this, "hasText", void 0);
    _defineProperty(this, "searchQuery", void 0);
    _defineProperty(this, "searchStatus", void 0);
    _defineProperty(this, "searchFieldKeyStrokeContext", void 0);
    _defineProperty(this, "$searchPanel", void 0);
    _defineProperty(this, "$clearIcon", void 0);
    _defineProperty(this, "$searchStatus", void 0);
    _defineProperty(this, "$queryField", void 0);
    this.hasText = false;
    this.$searchPanel = null;
    this.$clearIcon = null;
    this.$searchStatus = null;
    this.$queryField = null;
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.searchFieldKeyStrokeContext = this._createKeyStrokeContextForSearchField();
  }
  _createKeyStrokeContextForSearchField() {
    let keyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
    keyStrokeContext.$scopeTarget = () => this.$searchPanel;
    keyStrokeContext.$bindTarget = () => this.$queryField;
    keyStrokeContext.registerStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE]);
    return keyStrokeContext;
  }
  _render() {
    super._render();
    // Override layout
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SearchOutlineLayout(this));
    this.$container.addClass('search-outline');
    this.$searchPanel = this.$container.prependDiv('search-outline-panel');
    this.$queryField = this.$searchPanel.appendElement('<input>', 'search-outline-field').on('input', this._createOnQueryFieldInputFunction().bind(this)).on('keypress', this._onQueryFieldKeyPress.bind(this));
    this.$clearIcon = this.$searchPanel.appendSpan('clear-icon unfocusable action text-field-icon').on('mousedown', this._onClearIconMouseDown.bind(this));
    this.$searchStatus = this.$searchPanel.appendDiv('search-outline-status').on('mousedown', this._onTitleMouseDown.bind(this));
    this.session.keyStrokeManager.installKeyStrokeContext(this.searchFieldKeyStrokeContext);
  }
  _remove() {
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.searchFieldKeyStrokeContext);
    this.$searchPanel.remove();
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSearchQuery();
    this._renderSearchStatus();
    this._updateHasText();
  }
  _renderTitle() {
    super._renderTitle();
    // Move before search panel
    if (this.titleVisible) {
      this.$title.insertBefore(this.$searchPanel);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$queryField, this.$title);
    }
  }
  _renderSearchQuery() {
    this.$queryField.val(this.searchQuery);
  }
  _renderSearchStatus() {
    let animate = this.rendered;
    if (this.searchStatus && !this.$searchStatus.isVisible()) {
      if (animate) {
        this.$searchStatus.slideDown({
          duration: 200,
          progress: this.revalidateLayout.bind(this)
        });
      } else {
        this.$searchStatus.show();
      }
    } else if (!this.searchStatus && this.$searchStatus.isVisible()) {
      if (animate) {
        this.$searchStatus.slideUp({
          duration: 200,
          progress: this.revalidateLayout.bind(this)
        });
      } else {
        this.$searchStatus.hide();
      }
    }
    this.$searchStatus.textOrNbsp(this.searchStatus);
    this.$searchPanel.toggleClass('has-status', !!this.searchStatus);
  }
  focusQueryField() {
    this.validateFocus();
  }
  _triggerSearch() {
    this.trigger('search', {
      query: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.searchQuery, '')
    });
  }
  _createOnQueryFieldInputFunction() {
    let debounceFunction = jquery__WEBPACK_IMPORTED_MODULE_1___default().debounce(this._search.bind(this));
    return function (event) {
      this._updateHasText();
      // debounced search
      debounceFunction();
    };
  }
  _onClearIconMouseDown(event) {
    this.$queryField.val('');
    this._updateHasText();
    this._search();
    // focus field if x is pressed when the field does not have the focus
    this.$queryField.focus();
    // stay in field when x is pressed
    event.preventDefault();
  }
  _onQueryFieldKeyPress(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER) {
      this._setSearchQuery(this.$queryField.val());
      this._triggerSearch();
    }
  }
  _search() {
    // Don't send query if value did not change (may happen when _createOnQueryFieldInputFunction is executed after _onQueryFieldKeyPress)
    let searchQuery = this.$queryField.val();
    if (this.searchQuery !== searchQuery) {
      // Store locally so that the value persists when changing the outline without performing the search
      this._setSearchQuery(searchQuery);
      this._triggerSearch();
    }
  }
  _setSearchQuery(searchQuery) {
    this.searchQuery = searchQuery;
  }
  _updateHasText() {
    this.$queryField.toggleClass('has-text', !!this.$queryField.val());
  }
  /**
   * Focus and select content AFTER the search outline was rendered (and therefore the query field filled).
   */
  validateFocus() {
    if (!this.rendered) {
      return;
    }
    let elementToFocus = this.$queryField[0];
    if (this.session.focusManager.requestFocus(elementToFocus)) {
      elementToFocus.select();
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/SearchOutlineAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/outline/SearchOutlineAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SearchOutlineAdapter: () => (/* binding */ SearchOutlineAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SearchOutlineAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.OutlineAdapter {
  _initProperties(model) {
    if (model.requestFocusQueryField !== undefined) {
      // ignore pseudo property initially (to prevent the function SearchOutlineAdapter#requestFocusQueryField() to be replaced)
      delete model.requestFocusQueryField;
    }
  }
  _syncRequestFocusQueryField() {
    this.widget.focusQueryField();
  }
  _onWidgetSearch(event) {
    this._send('search', {
      query: event.query
    }, {
      showBusyIndicator: false
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'search') {
      this._onWidgetSearch(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/SearchOutlineEventMap.ts":
/*!******************************************************!*\
  !*** ./src/desktop/outline/SearchOutlineEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/SearchOutlineLayout.ts":
/*!****************************************************!*\
  !*** ./src/desktop/outline/SearchOutlineLayout.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SearchOutlineLayout: () => (/* binding */ SearchOutlineLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SearchOutlineLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.OutlineLayout {
  constructor(outline) {
    super(outline);
  }
  _setDataHeight(heightOffset) {
    // Add search panel height to heightOffset
    let searchPanelSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.outline.$searchPanel, true);
    heightOffset += searchPanelSize.height;
    super._setDataHeight(heightOffset);
  }
}

/***/ }),

/***/ "./src/desktop/outline/SearchOutlineModel.ts":
/*!***************************************************!*\
  !*** ./src/desktop/outline/SearchOutlineModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/keystrokes/OutlineKeyStrokeContext.ts":
/*!*******************************************************************!*\
  !*** ./src/desktop/outline/keystrokes/OutlineKeyStrokeContext.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineKeyStrokeContext: () => (/* binding */ OutlineKeyStrokeContext)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineKeyStrokeContext extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext {
  constructor(outline) {
    super();
    _defineProperty(this, "_outline", void 0);
    this._outline = outline;
  }
  /**
   * @returns true if this event is handled by this context, and if so sets the propagation flags accordingly.
   */
  accept(event) {
    return !this._outline.inBackground && !this.isFormMenuOpen() && super.accept(event);
  }
  isFormMenuOpen() {
    let menus = this._outline.session.desktop.menus;
    return menus.some(menu => menu.popup && menu.popup.$container && menu.popup.$container.isAttached());
  }
}

/***/ }),

/***/ "./src/desktop/outline/keystrokes/OutlineNavigateToTopKeyStroke.ts":
/*!*************************************************************************!*\
  !*** ./src/desktop/outline/keystrokes/OutlineNavigateToTopKeyStroke.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineNavigateToTopKeyStroke: () => (/* binding */ OutlineNavigateToTopKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineNavigateToTopKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask) {
    super(tree, modifierBitMask);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME];
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.$title || this.field.$data;
  }
  handle(event) {
    this.field.navigateToTop();
  }
}

/***/ }),

/***/ "./src/desktop/outline/navigation/NavigateButton.ts":
/*!**********************************************************!*\
  !*** ./src/desktop/outline/navigation/NavigateButton.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NavigateButton: () => (/* binding */ NavigateButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * The outline navigation works mostly browser-side. The navigation logic is implemented in JavaScript.
 * When a navigation button is clicked, we process that click browser-side first and send an event to
 * the server which nodes have been selected. We do that for better user experience. In a first attempt
 * the whole navigation logic was on the server, which caused a lag and flickering in the UI.
 */
class NavigateButton extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "node", void 0);
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "altKeyStrokeContext", void 0);
    _defineProperty(this, "overflow", void 0);
    _defineProperty(this, "_defaultText", void 0);
    _defineProperty(this, "_defaultIconId", void 0);
    this.node = null;
    this.outline = null;
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this._addCloneProperties(['node', 'outline', 'altKeyStrokeContext']);
    this.inheritAccessibility = false;
  }
  _render() {
    if (this.overflow) {
      this.text = this.session.text(this._defaultText);
      this.iconId = null;
    } else {
      this.text = null;
      this.iconId = this._defaultIconId;
    }
    this.updateEnabled();
    super._render();
    this.$container.addClass('navigate-button small');
    this.altKeyStrokeContext.registerKeyStroke(this);
  }
  _renderProperties() {
    super._renderProperties();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, this.session.text(this._defaultText));
  }
  _remove() {
    super._remove();
    this.altKeyStrokeContext.unregisterKeyStroke(this);
  }
  /**
   * Toggles the visibility of the detail form according to {@link _toggleDetail}. Called when the button is clicked and {@link _isDetail} is `true`.
   */
  _setDetailVisible() {
    let detailVisible = this._toggleDetail();
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('show detail-' + (detailVisible ? 'form' : 'table'));
    this.outline.setDetailFormVisibleByUi(this.node, detailVisible);
  }
  /**
   * @returns `true` if the page has a detail form and the detail form is marked as visible.
   */
  _hasDetailForm() {
    return this.node.detailFormVisible && !!this.node.detailForm;
  }
  /**
   * @returns `true` if the page has a detail table and the detail table is marked as visible and the detail table contains
   *          at least one row. The last requirement can be lifted by setting the optional parameter `requireRows` to false.
   */
  _hasDetailTable() {
    let requireRows = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    return this.node.detailTableVisible && !!this.node.detailTable && (this.node.detailTable.rows.length > 0 || !requireRows);
  }
  _doAction() {
    super._doAction();
    if (this._isDetail()) {
      this._setDetailVisible();
    } else {
      this._drill();
    }
  }
  /**
   * Called when enabled state must be re-calculated and probably rendered.
   */
  updateEnabled() {
    this.setEnabled(this._buttonEnabled());
  }
}

/***/ }),

/***/ "./src/desktop/outline/navigation/NavigateButtonModel.ts":
/*!***************************************************************!*\
  !*** ./src/desktop/outline/navigation/NavigateButtonModel.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/navigation/NavigateDownButton.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/outline/navigation/NavigateDownButton.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NavigateDownButton: () => (/* binding */ NavigateDownButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NavigateDownButton extends _index__WEBPACK_IMPORTED_MODULE_0__.NavigateButton {
  constructor() {
    super();
    _defineProperty(this, "_detailTableRowsSelectedHandler", void 0);
    _defineProperty(this, "_detailTableRowsChangedHandler", void 0);
    _defineProperty(this, "_outlinePageRowLinkHandler", void 0);
    _defineProperty(this, "_outlinePageChangedHandler", void 0);
    this._defaultIconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.ANGLE_DOWN;
    this._defaultText = 'ui.Continue';
    this.iconId = this._defaultIconId;
    this.keyStroke = 'enter';
    this._detailTableRowsSelectedHandler = this._onDetailTableRowsSelected.bind(this);
    this._detailTableRowsChangedHandler = this._onDetailTableRowsChanged.bind(this);
    this._outlinePageRowLinkHandler = this._onOutlinePageRowLink.bind(this);
    this._outlinePageChangedHandler = this._onOutlinePageChanged.bind(this);
  }
  _init(options) {
    super._init(options);
    if (this.node.detailTable) {
      this.node.detailTable.on('rowsSelected', this._detailTableRowsSelectedHandler);
      this.node.detailTable.on('rowsInserted rowsDeleted allRowsDeleted', this._detailTableRowsChangedHandler);
    }
    this.outline.on('pageRowLink', this._outlinePageRowLinkHandler);
    this.outline.on('pageChanged', this._outlinePageChangedHandler);
  }
  _destroy() {
    if (this.node.detailTable) {
      this.node.detailTable.off('rowsSelected', this._detailTableRowsSelectedHandler);
      this.node.detailTable.off('rowsInserted rowsDeleted allRowsDeleted', this._detailTableRowsChangedHandler);
    }
    this.outline.off('pageRowLink', this._outlinePageRowLinkHandler);
    this.outline.off('pageChanged', this._outlinePageChangedHandler);
    super._destroy();
  }
  _render() {
    super._render();
    this.$container.addClass('down');
  }
  _isDetail() {
    // Button is in "detail mode" if there are both detail form and detail table visible and detail form is _not_ hidden.
    return this._hasDetailForm() && this._hasDetailTable() && this.node.detailFormVisibleByUi;
  }
  _toggleDetail() {
    return false;
  }
  _buttonEnabled() {
    if (this._isDetail()) {
      return true;
    }
    return !!this._getDrillNode();
  }
  _getDrillNode() {
    if (this.node.leaf) {
      return null;
    }
    // If there is a detail table that defines the child pages, check if a row is selected.
    if (this._hasDetailTable(false)) {
      let selectedRows = this.node.detailTable.selectedRows;
      // Drill down is only possible when a single row is selected and that row is linked to a page
      if (selectedRows.length === 1 && selectedRows[0].page) {
        return selectedRows[0].page;
      }
      return null;
    }
    // If the detail table is not available, the user cannot select a row, thus we default to the first child node.
    // Further child nodes cannot be reached by this, this is considered to be a configuration error.
    return this.node.childNodes[0];
  }
  _drill() {
    let drillNode = this._getDrillNode();
    if (drillNode) {
      // Collapse other expanded child nodes
      let parentNode = drillNode.parentNode;
      if (parentNode) {
        parentNode.childNodes.forEach(childNode => {
          if (childNode.expanded && childNode !== drillNode) {
            this.outline.collapseNode(childNode, {
              renderAnimated: false
            });
          }
        });
      }
      this.outline.drillDown(drillNode);
    }
  }
  // Notes about event listeners:
  // - There are up to two instances for each navigate button per page: one for the detail form, one for the detail table.
  //   They only _look_ like the same button because they occupy the same space.
  // - Listeners are attached when buttons are created, which is the case when the page is first activated.
  // - Listeners remain attached until the page is destroyed. Deselecting the page does not change the listeners.
  // - Buttons only need to be updated when "their" rows/nodes change. This is naturally the case for detail table events.
  //   Outline listeners on the other hand will be triggered for _any_ change in the tree. To prevent too many or unnecessary
  //   updates, some additional filters are applied in the event handlers.
  _onDetailTableRowsSelected(event) {
    this.updateEnabled();
  }
  _onDetailTableRowsChanged(event) {
    this.updateEnabled();
  }
  _onOutlinePageRowLink(event) {
    // This listener is needed because linking a row with a page can happen independent of other events,
    // e.g. OutlineAdapter#_linkNodeWithRowLater. However, we only need to update the button when exactly
    // one row is selected and that row is referenced in the event. In all other cases the availability
    // of the button would not change anyway (see logic in _getDrillNode).
    if (this._hasDetailTable(false)) {
      let selectedRows = this.node.detailTable.selectedRows;
      if (selectedRows.length === 1 && selectedRows[0] === event.row) {
        this.updateEnabled();
      }
    }
  }
  _onOutlinePageChanged(event) {
    if (event.page === this.node) {
      this.updateEnabled();
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/navigation/NavigateUpButton.ts":
/*!************************************************************!*\
  !*** ./src/desktop/outline/navigation/NavigateUpButton.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NavigateUpButton: () => (/* binding */ NavigateUpButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class NavigateUpButton extends _index__WEBPACK_IMPORTED_MODULE_0__.NavigateButton {
  constructor() {
    super();
    this._defaultIconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.ANGLE_UP;
    this._defaultText = 'ui.Up';
    this.iconId = this._defaultIconId;
    this.keyStroke = 'backspace';
  }
  _render() {
    super._render();
    this.$container.addClass('up');
  }
  _isDetail() {
    // Button is in "detail mode" if there are both detail form and detail table visible and detail form _is_ hidden.
    return this._hasDetailForm() && this._hasDetailTable() && !this.node.detailFormVisibleByUi;
  }
  _toggleDetail() {
    return true;
  }
  /**
   * Returns true when current node has either a parentNode or if current node is a
   * top-level node without a parent and the outline has a default detail-form.
   */
  _buttonEnabled() {
    let parentNode = this.node.parentNode;
    return !!parentNode || !!this.outline.defaultDetailForm || !!this.outline.outlineOverview;
  }
  _drill() {
    let parentNode = this.node.parentNode;
    if (parentNode) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('drill up to node ' + parentNode);
      this.outline.navigateUpInProgress = true;
      this.outline.selectNodes(parentNode);
      this.outline.collapseNode(parentNode, {
        collapseChildNodes: true
      });
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('drill up to top');
      this.outline.navigateToTop();
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/overview/OutlineOverview.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/outline/overview/OutlineOverview.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OutlineOverview: () => (/* binding */ OutlineOverview)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OutlineOverview extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "displayViewId", void 0);
    // set by DesktopBench
    _defineProperty(this, "$content", void 0);
    this.outline = null;
  }
  _init(model) {
    super._init(model);
    if (!this.outline && this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Outline) {
      this.outline = this.parent;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(this, 'outline', _index__WEBPACK_IMPORTED_MODULE_0__.Outline);
  }
  _render() {
    this.$container = this.$parent.appendDiv('outline-overview');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$content = this.$container.appendDiv('outline-overview-content');
    this.$content.appendDiv('outline-overview-icon').icon(this.outline.iconId);
    this.$content.appendDiv('outline-overview-title').text(this.outline.title);
  }
  _attach() {
    this.$parent.append(this.$container);
    let htmlParent = this.htmlComp.getParent();
    this.htmlComp.setSize(htmlParent.size());
    super._attach();
  }
  _detach() {
    this.$container.detach();
    super._detach();
  }
}

/***/ }),

/***/ "./src/desktop/outline/overview/OutlineOverviewModel.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/outline/overview/OutlineOverviewModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/overview/TileOutlineOverview.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/outline/overview/TileOutlineOverview.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileOutlineOverview: () => (/* binding */ TileOutlineOverview)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileOutlineOverview extends _index__WEBPACK_IMPORTED_MODULE_0__.OutlineOverview {
  constructor() {
    super();
    _defineProperty(this, "pageTileGrid", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "titleVisible", void 0);
    _defineProperty(this, "contentHtmlComp", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "_desktopNavigationVisibilityChangeHandler", void 0);
    this.pageTileGrid = null;
    this.scrollable = true;
    this.titleVisible = true;
    this._addWidgetProperties(['pageTileGrid']);
    this._desktopNavigationVisibilityChangeHandler = this._onDesktopNavigationVisibilityChange.bind(this);
  }
  _init(model) {
    super._init(model);
    if (!this.pageTileGrid) {
      this.pageTileGrid = this._createPageTileGrid();
    }
    this.scrollable = !this.outline.compact;
    this.addCssClass('dimmed-background');
  }
  _render() {
    this.$container = this.$parent.appendDiv('tile-overview');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout({
      stretch: this.outline.compact
    }));
    this.$content = this.$container.appendDiv('tile-overview-content');
    this.contentHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$content, this.session);
    this.contentHtmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout({
      stretch: this.outline.compact
    }));
    this.$title = this.$content.appendDiv('tile-overview-title').text(this.outline.title);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$title, this.session);
    this.$title.cssMaxHeight(this.$title.cssHeight());
    this._updateTitle(false);
    this.findDesktop().on('propertyChange:navigationVisible', this._desktopNavigationVisibilityChangeHandler);
  }
  _remove() {
    super._remove();
    this.findDesktop().off('propertyChange:navigationVisible', this._desktopNavigationVisibilityChangeHandler);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderPageTileGrid();
    this._renderScrollable();
  }
  _renderPageTileGrid() {
    this.pageTileGrid.render(this.$content);
  }
  _createPageTileGrid() {
    let page;
    let nodes;
    if (this.outline.compact) {
      page = this.outline.compactRootNode();
      if (page) {
        nodes = page.childNodes;
      }
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PageTileGrid, {
      parent: this,
      outline: this.outline,
      compact: this.outline.compact,
      page: page,
      nodes: nodes
    });
  }
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    if (this.scrollable) {
      this._installScrollbars({
        axis: 'y'
      });
    } else {
      this._uninstallScrollbars();
    }
  }
  _updateTitle() {
    let animated = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (!this.$title) {
      return;
    }
    this.$title.toggleClass('animated', animated);
    this.$title.toggleClass('removed', this.findDesktop().navigationVisible);
    // hide title here if it is already rendered in navigation
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$title, this.findDesktop().navigationVisible ? true : null);
  }
  _onDesktopNavigationVisibilityChange(event) {
    this._updateTitle();
  }
}

/***/ }),

/***/ "./src/desktop/outline/overview/TileOutlineOverviewEventMap.ts":
/*!*********************************************************************!*\
  !*** ./src/desktop/outline/overview/TileOutlineOverviewEventMap.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/overview/TileOutlineOverviewModel.ts":
/*!******************************************************************!*\
  !*** ./src/desktop/outline/overview/TileOutlineOverviewModel.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/AutoLeafPageWithNodes.ts":
/*!************************************************************!*\
  !*** ./src/desktop/outline/pages/AutoLeafPageWithNodes.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AutoLeafPageWithNodes: () => (/* binding */ AutoLeafPageWithNodes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AutoLeafPageWithNodes extends _index__WEBPACK_IMPORTED_MODULE_0__.Page {
  constructor() {
    super();
    this.leaf = true;
  }
  _init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('row', model.row, _index__WEBPACK_IMPORTED_MODULE_0__.TableRow);
    super._init(model);
    this.text = this.row.cells[0].text;
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/AutoLeafPageWithNodesModel.ts":
/*!*****************************************************************!*\
  !*** ./src/desktop/outline/pages/AutoLeafPageWithNodesModel.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/Page.ts":
/*!*******************************************!*\
  !*** ./src/desktop/outline/pages/Page.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Page: () => (/* binding */ Page)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * This class is used differently in online and JS-only case. In the online case we only have instances
 * of Page in an outline. The server sets the property <code>nodeType</code> which is used to distinct
 * between pages with tables and pages with nodes in some cases. In the JS only case, Page is an abstract
 * class and is never instantiated directly, instead we always use subclasses of PageWithTable or PageWithNodes.
 * Implementations of these classes contain code which loads table data or child nodes.
 */
class Page extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode {
  constructor() {
    super();
    /**
     * This property is set by the server, see: JsonOutline#putNodeType.
     */
    _defineProperty(this, "nodeType", void 0);
    _defineProperty(this, "compactRoot", void 0);
    _defineProperty(this, "detailTable", void 0);
    _defineProperty(this, "detailTableVisible", void 0);
    _defineProperty(this, "detailForm", void 0);
    _defineProperty(this, "detailFormVisible", void 0);
    _defineProperty(this, "detailFormVisibleByUi", void 0);
    _defineProperty(this, "navigateButtonsVisible", void 0);
    _defineProperty(this, "tableStatusVisible", void 0);
    _defineProperty(this, "htmlComp", void 0);
    /**
     * True to select the page linked with the selected row when the row was selected. May be useful on touch devices.
     */
    _defineProperty(this, "drillDownOnRowClick", void 0);
    /**
     * The icon id which is used for icons in the tile outline overview.
     */
    _defineProperty(this, "overviewIconId", void 0);
    _defineProperty(this, "showTileOverview", void 0);
    _defineProperty(this, "inheritMenusFromParentTablePage", void 0);
    _defineProperty(this, "row", void 0);
    _defineProperty(this, "tile", void 0);
    _defineProperty(this, "events", void 0);
    _defineProperty(this, "pageChanging", void 0);
    _defineProperty(this, "_tableFilterHandler", void 0);
    _defineProperty(this, "_tableRowClickHandler", void 0);
    _defineProperty(this, "_detailTableModel", void 0);
    /** @internal */
    _defineProperty(this, "_detailFormModel", void 0);
    _defineProperty(this, "_menuOwnerMenusChangeHandler", void 0);
    this.nodeType = null;
    this.compactRoot = false;
    this.detailTable = null;
    this.detailTableVisible = true;
    this.detailForm = null;
    this.detailFormVisible = true;
    this.detailFormVisibleByUi = true;
    this.navigateButtonsVisible = true;
    this.tableStatusVisible = true;
    this.drillDownOnRowClick = false;
    this.overviewIconId = null;
    this.showTileOverview = false;
    this.inheritMenusFromParentTablePage = true;
    this.events = new _index__WEBPACK_IMPORTED_MODULE_0__.EventSupport();
    this.events.registerSubTypePredicate('propertyChange', (event, propertyName) => event.propertyName === propertyName);
    this.pageChanging = 0;
    this._tableFilterHandler = this._onTableFilter.bind(this);
    this._tableRowClickHandler = this._onTableRowClick.bind(this);
    this._detailTableModel = null;
    this._detailFormModel = null;
    this._menuOwnerMenusChangeHandler = this._onMenuOwnerMenusChange.bind(this);
  }
  /**
   * This enum defines a node-type. This is basically used for the Scout Classic case where we only have instances
   * of Page, but never instances of PageWithTable or PageWithNodes. The server simply sets a nodeType instead.
   */

  _init(model) {
    try {
      this.setPageChanging(true);
      this._detailTableModel = Page._removePropertyIfLazyLoading(model, 'detailTable');
      this._detailFormModel = Page._removePropertyIfLazyLoading(model, 'detailForm');
      super._init(model);
      _index__WEBPACK_IMPORTED_MODULE_0__.icons.resolveIconProperty(this, 'overviewIconId');
      // init necessary if the properties are still available (e.g. Scout classic)
      this._internalInitTable();
      this._internalInitDetailForm();
    } finally {
      this.setPageChanging(false);
    }
  }
  static _removePropertyIfLazyLoading(object, name) {
    let prop = object[name];
    if (typeof prop === 'string') {
      // Scout Classic: it is an object id -> do not remove it. directly create the widget. lazy loading is done on backend
      return null;
    }
    if (prop instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget) {
      // it already is a widget. directly use it.
      return null;
    }
    // otherwise: remove the property and return it
    delete object[name];
    return prop;
  }
  _destroy() {
    this.trigger('destroying');
    super._destroy();
    if (this.detailTable) {
      this.detailTable.destroy();
      this.detailTable = null;
    }
    if (this.detailForm) {
      this.detailForm.destroy();
      this.detailForm = null;
    }
    this.trigger('destroy');
  }
  _internalInitTable() {
    let tableModel = this.detailTable;
    if (tableModel) {
      // this case is used for Scout classic
      let newDetailTable = this.getOutline()._createChild(tableModel);
      this._setDetailTable(newDetailTable);
    }
  }
  _internalInitDetailForm() {
    let formModel = this.detailForm;
    if (formModel) {
      let newDetailForm = this.getOutline()._createChild(formModel);
      this._setDetailForm(newDetailForm);
    }
  }
  ensureDetailTable() {
    if (this.detailTable) {
      return;
    }
    this.setDetailTable(this.createDetailTable());
  }
  /**
   * Creates the detail table
   * @returns the created table or null
   */
  createDetailTable() {
    let detailTable = this._createDetailTable();
    if (!detailTable && this._detailTableModel) {
      detailTable = this.getOutline()._createChild(this._detailTableModel);
      this._detailTableModel = null; // no longer needed
    }
    return detailTable;
  }
  /**
   * Override this function to create the internal table. Default impl. returns null.
   */
  _createDetailTable() {
    return null;
  }
  ensureDetailForm() {
    if (this.detailForm) {
      return;
    }
    this.setDetailForm(this.createDetailForm());
  }
  /**
   * Creates the detail form
   * @returns the created form or null
   */
  createDetailForm() {
    let detailForm = this._createDetailForm();
    if (!detailForm && this._detailFormModel) {
      detailForm = this.getOutline()._createChild(this._detailFormModel);
      this._detailFormModel = null; // no longer needed
    }
    return detailForm;
  }
  /**
   * Override this function to return a detail form which is displayed in the outline when this page is selected.
   * The default implementation returns null.
   */
  _createDetailForm() {
    return null;
  }
  /**
   * Override this function to initialize the internal detail form.
   * @param form the form to initialize.
   */
  _initDetailForm(form) {
    if (form instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
      form.setModal(false);
      form.setClosable(false);
      form.setDisplayHint(_index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW);
      form.setDisplayViewId('C');
      form.setShowOnOpen(false);
      this._updateParentTablePageMenusForDetailForm();
    }
    if (form instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileOverviewForm) {
      form.setPage(this);
    }
  }
  _updateParentTablePageMenusForDetailFormAndDetailTable() {
    this._updateParentTablePageMenusForDetailForm();
    this._updateParentTablePageMenusForDetailTable();
  }
  _updateParentTablePageMenusForDetailForm() {
    this._updateParentTablePageMenusForMenuOwner(this.detailForm && this.detailForm.rootGroupBox);
  }
  _updateParentTablePageMenusForDetailTable() {
    this._updateParentTablePageMenusForMenuOwner(this.detailTable);
  }
  _updateParentTablePageMenusForMenuOwner(menuOwner) {
    if (!menuOwner) {
      return;
    }
    menuOwner.off('propertyChange:menus', this._menuOwnerMenusChangeHandler);
    const originalMenus = menuOwner.menus || [];
    const parentTablePageMenus = this._computeParentTablePageMenus(menuOwner);
    menuOwner.setMenus(parentTablePageMenus.concat(originalMenus.filter(menu => !menu.__parentTablePageMenu)));
    menuOwner.on('propertyChange:menus', this._menuOwnerMenusChangeHandler);
  }
  _onMenuOwnerMenusChange(event) {
    this._updateParentTablePageMenusForMenuOwner(event.source);
  }
  _computeParentTablePageMenus(newParent) {
    if (!this.parentNode) {
      return [];
    }
    const table = this.parentNode.detailTable;
    const row = this.row;
    if (!table || !row || table !== row.getTable()) {
      return [];
    }
    return this._filterAndCloneParentTablePageMenus(table.menus, newParent);
  }
  _filterAndCloneParentTablePageMenus(tablePageMenus, newParent) {
    return this._filterParentTablePageMenus(tablePageMenus).filter(this._isMenuInheritedFromParentTablePage.bind(this)).map(menu => this._cloneParentTablePageMenu(menu, newParent));
  }
  _filterParentTablePageMenus(tablePageMenus) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(tablePageMenus, _index__WEBPACK_IMPORTED_MODULE_0__.Table.MenuType.SingleSelection);
  }
  _cloneParentTablePageMenu(menu, newParent) {
    if (!menu) {
      return null;
    }
    const clone = menu.clone({
      parent: newParent,
      menuTypes: [],
      __parentTablePageMenu: true
    }, {
      delegateEventsToOriginal: ['action'],
      delegateAllPropertiesToClone: true,
      excludePropertiesToClone: ['menuTypes', 'childActions']
    });
    if (menu.childActions && menu.childActions.length) {
      clone.setChildActions(this._filterAndCloneParentTablePageMenus(menu.childActions, clone));
    }
    return clone;
  }
  _isMenuInheritedFromParentTablePage(menu) {
    return this.inheritMenusFromParentTablePage;
  }
  /**
   * Override this function to destroy the internal (detail) form.
   * @param form the form to destroy.
   */
  _destroyDetailForm(form) {
    if (form instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileOverviewForm) {
      form.setPage(null);
    }
    if (form.owner === this.getOutline()) {
      // in Scout classic the owner is not an outline but the NullWidget.
      // Then destroy is controlled by the backend
      form.destroy();
    }
  }
  /**
   * Override this function to initialize the internal (detail) table.
   * Default impl. delegates filter events to the outline mediator.
   * @param table The table to initialize.
   */
  _initDetailTable(table) {
    table.menuBar.setPosition(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
    table.on('filter', this._tableFilterHandler);
    if (this.drillDownOnRowClick) {
      table.on('rowClick', this._tableRowClickHandler);
      table.setMultiSelect(false);
    }
    table.setTableStatusVisible(this.tableStatusVisible);
    this._updateParentTablePageMenusForDetailTable();
  }
  /**
   * Override this function to destroy the internal (detail) table.
   * @param table the table to destroy.
   */
  _destroyDetailTable(table) {
    table.off('filter', this._tableFilterHandler);
    table.off('rowClick', this._tableRowClickHandler);
    if (table.owner === this.getOutline()) {
      // in Scout classic the owner is not an outline but the NullWidget.
      // Then destroy is controlled by the backend
      table.destroy();
    }
  }
  /** @internal */
  _decorate() {
    super._decorate();
    if (!this.$node) {
      return;
    }
    if (this.session.inspector) {
      _index__WEBPACK_IMPORTED_MODULE_0__.inspector.applyInfo(this, this.$node);
    }
    this.$node.toggleClass('compact-root', this.compactRoot);
    this.$node.toggleClass('has-tile-overview', this.showTileOverview || this.compactRoot && this.getOutline().detailContent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileOutlineOverview);
  }
  // see Java: AbstractPage#pageActivatedNotify
  activate() {
    this.ensureDetailTable();
    this.ensureDetailForm();
  }
  // see Java: AbstractPage#pageDeactivatedNotify
  deactivate() {
    // NOP
  }
  /**
   * @returns the tree / outline / parent instance. it's all the same,
   *     but it's more intuitive to work with the 'outline' when we deal with pages.
   */
  getOutline() {
    return this.parent;
  }
  /**
   * Returns an array of pages linked with the given rows. The order of the returned pages corresponds to the
   * order of the rows. Rows that are not linked to a page are ignored.
   */
  pagesForTableRows(rows) {
    return rows.map(row => row.page).filter(Boolean);
  }
  /**
   * @param form The new form
   */
  setDetailForm(form) {
    if (form === this.detailForm) {
      return;
    }
    this._setDetailForm(form);
  }
  _setDetailForm(form) {
    let oldDetailForm = this.detailForm;
    if (oldDetailForm !== form && oldDetailForm instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget) {
      // must be a widget to be destroyed. At startup in Scout Classic it might be a string (the widget id)
      this._destroyDetailForm(oldDetailForm);
    }
    this.detailForm = form;
    if (form) {
      form.one('destroy', () => {
        if (this.detailForm === form) {
          this.detailForm = null;
        }
      });
      this._initDetailForm(form);
    }
    this.triggerPropertyChange('detailForm', oldDetailForm, form);
    this.getOutline().pageChanged(this);
  }
  /**
   * @param table The new table
   */
  setDetailTable(table) {
    if (table === this.detailTable) {
      return;
    }
    this._setDetailTable(table);
  }
  _setDetailTable(table) {
    let oldDetailTable = this.detailTable;
    if (oldDetailTable !== table && oldDetailTable instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget) {
      // must be a widget to be destroyed. At startup in Scout Classic it might be a string (the widget id)
      this._destroyDetailTable(oldDetailTable);
    }
    this.detailTable = table;
    if (table) {
      table.one('destroy', () => {
        if (this.detailTable === table) {
          this.detailTable = null;
        }
      });
      this._initDetailTable(table);
    }
    this.triggerPropertyChange('detailTable', oldDetailTable, table);
    this.getOutline().pageChanged(this);
  }
  /**
   * Updates relevant properties from the pages linked with the given rows using the method updatePageFromTableRow and
   * returns the pages. Rows that are not linked to a page are ignored.
   *
   * @returns pages linked with the given rows.
   */
  updatePagesFromTableRows(rows) {
    return rows.filter(row => !!row.page).map(row => row.page.updatePageFromTableRow(row));
  }
  /**
   * Updates relevant properties (text, enabled, htmlEnabled) from the page linked with the given row.
   * Only call this method if {@link TableRow#page} is set!
   *
   * @returns page linked with the given row.
   */
  updatePageFromTableRow(row) {
    let page = row.page;
    page.enabled = row.enabled;
    page.text = page.computeTextForRow(row);
    if (row.cells.length) {
      page.htmlEnabled = row.cells[0].htmlEnabled;
      page.cssClass = row.cells[0].cssClass;
    }
    return page;
  }
  /**
   * This function creates the text property of this page. The default implementation returns the texts of the summary columns of the table or
   * from the first cell of the given row. It's allowed to ignore the given row entirely, when you override this function.
   */
  computeTextForRow(row) {
    const summaryColumns = row.getTable().summaryColumns();
    if (summaryColumns.length) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', ...summaryColumns.map(summaryColumn => summaryColumn.cellText(row)));
    }
    if (row.cells.length >= 1) {
      return row.cells[0].text;
    }
    return '';
  }
  /**
   * @returns a page parameter object used to pass to newly created child pages. Sets the parent
   *     to our outline instance and adds optional other properties. Typically, you'll pass an
   *     object (entity-key or arbitrary data) to a child page.
   */
  _pageParam(paramProperties) {
    let param = {
      parent: this.getOutline()
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(param, paramProperties);
    return param;
  }
  reloadPage() {
    let outline = this.getOutline();
    if (outline) {
      this.loadChildren();
    }
  }
  linkWithRow(row) {
    this.row = row;
    row.page = this;
    this.getOutline().trigger('pageRowLink', {
      page: this,
      row: row
    });
  }
  unlinkWithRow(row) {
    delete this.row;
    delete row.page;
  }
  _onTableFilter(event) {
    this.getOutline().mediator.onTableFilter(event, this);
  }
  _onTableRowClick(event) {
    if (!this.drillDownOnRowClick) {
      return;
    }
    if (this.leaf) {
      return;
    }
    this.getOutline().drillDown(event.row.page);
    event.source.deselectRow(event.row);
  }
  setPageChanging(changing) {
    if (changing) {
      this.pageChanging++;
      return;
    }
    if (this.pageChanging) {
      this.pageChanging--;
    }
  }
  /**
   * Triggers a property change for a single property.
   */
  triggerPropertyChange(propertyName, oldValue, newValue) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('propertyName', propertyName);
    return this.trigger('propertyChange', {
      propertyName: propertyName,
      oldValue: oldValue,
      newValue: newValue
    });
  }
  trigger(type, eventOrModel) {
    let event;
    if (eventOrModel instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Event) {
      event = eventOrModel;
    } else {
      event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event(eventOrModel);
    }
    event.source = this;
    this.events.trigger(type, event);
    return event;
  }
  one(type, handler) {
    this.events.one(type, handler);
  }
  on(type, handler) {
    return this.events.on(type, handler);
  }
  off(type, handler) {
    this.events.off(type, handler);
  }
}
_defineProperty(Page, "NodeType", {
  NODES: 'nodes',
  TABLE: 'table'
});

/***/ }),

/***/ "./src/desktop/outline/pages/PageEventMap.ts":
/*!***************************************************!*\
  !*** ./src/desktop/outline/pages/PageEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageModel.ts":
/*!************************************************!*\
  !*** ./src/desktop/outline/pages/PageModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageTileButton.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileButton.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageTileButton: () => (/* binding */ PageTileButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PageTileButton extends _index__WEBPACK_IMPORTED_MODULE_0__.TileButton {
  constructor() {
    super();
    _defineProperty(this, "page", void 0);
    _defineProperty(this, "outline", void 0);
    this.page = null;
  }
  _init(model) {
    super._init(model);
    this.label = this.page.text;
    this.iconId = this.page.overviewIconId;
    this.labelHtmlEnabled = this.page.htmlEnabled;
    this.on('click', event => {
      this.outline.selectNode(this.page);
    });
  }
  notifyPageChanged() {
    this.setLabel(this.page.text);
    this.setIconId(this.page.overviewIconId);
    this.setLabelHtmlEnabled(this.page.htmlEnabled);
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/PageTileButtonModel.ts":
/*!**********************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileButtonModel.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageTileGrid.ts":
/*!***************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileGrid.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageTileGrid: () => (/* binding */ PageTileGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PageTileGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGrid {
  constructor() {
    super();
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "compactLayoutConfig", void 0);
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "page", void 0);
    _defineProperty(this, "nodes", void 0);
    _defineProperty(this, "_outlineNodeChangedHandler", void 0);
    _defineProperty(this, "_outlineStructureChangedHandler", void 0);
    this.compact = false;
    this.compactLayoutConfig = new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig({
      columnWidth: 120,
      rowHeight: 100,
      hgap: 15,
      vgap: 15
    });
    this.outline = null;
    this.page = null;
    this.nodes = null;
    this.scrollable = false;
    this.renderAnimationEnabled = true;
    this.startupAnimationEnabled = true;
    this._outlineNodeChangedHandler = this._onOutlineNodeChanged.bind(this);
    this._outlineStructureChangedHandler = this._onOutlineStructureChanged.bind(this);
  }
  _init(model) {
    super._init(model);
    this.nodes = this.nodes || this.page && this.page.childNodes || this.outline && this.outline.nodes;
    this._setCompact(this.compact);
    this.setOutline(this.outline);
    this.setPage(this.page);
    this.setNodes(this.nodes);
    this._setCompactLayoutConfig(this.compactLayoutConfig);
  }
  _destroy() {
    this.setOutline(null);
    this.setPage(null);
    this.setNodes(null);
    super._destroy();
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.$bindTarget = this.session.$entryPoint;
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.PageTileGridSelectKeyStroke(this));
  }
  setOutline(outline) {
    if (this.outline) {
      this.outline.off('nodeChanged pageChanged', this._outlineNodeChangedHandler);
      this.outline.off('nodesDeleted', this._outlineStructureChangedHandler);
      this.outline.off('nodesInserted', this._outlineStructureChangedHandler);
      this.outline.off('allChildNodesDeleted', this._outlineStructureChangedHandler);
      this.outline.off('childNodeOrderChanged', this._outlineStructureChangedHandler);
    }
    this._setProperty('outline', outline);
    if (this.outline) {
      this.outline.on('nodeChanged pageChanged', this._outlineNodeChangedHandler);
      this.outline.on('nodesDeleted', this._outlineStructureChangedHandler);
      this.outline.on('nodesInserted', this._outlineStructureChangedHandler);
      this.outline.on('allChildNodesDeleted', this._outlineStructureChangedHandler);
      this.outline.on('childNodeOrderChanged', this._outlineStructureChangedHandler);
    }
  }
  setCompact(compact) {
    this.setProperty('compact', compact);
  }
  _setCompact(compact) {
    this._setProperty('compact', compact);
    if (this.compact) {
      this.setLayoutConfig(this.compactLayoutConfig);
    } else if (this.initialized) {
      // Initially, don't set layout config so that it can be passed by model. If compact is changed later, reset compact layout config to a default one
      this.setLayoutConfig(new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig());
    }
    this.setGridColumnCount(this.compact ? 3 : 4);
    this.startupAnimationEnabled = !this.compact;
    if (this.initialized) {
      this._rebuild();
    }
  }
  _setCompactLayoutConfig(layoutConfig) {
    this._setProperty('compactLayoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig.ensure(layoutConfig || {}));
  }
  setPage(page) {
    this._setProperty('page', page);
  }
  setNodes(nodes) {
    this._setProperty('nodes', nodes);
    this._rebuild();
  }
  _createPageTiles(pages) {
    return (pages || []).map(page => this._createPageTile(page));
  }
  _createPageTile(page) {
    let tile = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ButtonTile, {
      parent: this,
      cssClass: this.compact ? 'compact' : null,
      tileWidget: {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.PageTileButton,
        outline: this.outline,
        page: page
      }
    });
    page.tile = tile;
    return tile;
  }
  _rebuild() {
    this.setTiles(this._createPageTiles(this.nodes));
  }
  _onOutlineNodeChanged(event) {
    let page = event.node || event.page;
    let tile = page.tile;
    if (!tile) {
      return;
    }
    let tileButton = tile.tileWidget;
    tileButton.notifyPageChanged();
  }
  _onOutlineStructureChanged(event) {
    if (this.page) {
      if (this.page === event.parentNode) {
        this.setNodes(this.page.childNodes);
      }
    } else {
      let evt = event; // basically may also be a TreeAllChildNodesDeletedEvent | TreeChildNodeOrderChangedEvent. But as the presence of nodes is validated, this cast is ok.
      let eventContainsTopLevelNode = evt.nodes && evt.nodes.some(node => !node.parentNode) || event.type === 'allChildNodesDeleted';
      // only rebuild if top level nodes change
      if (eventContainsTopLevelNode) {
        this.setNodes(this.outline.nodes);
      }
    }
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/PageTileGridEventMap.ts":
/*!***********************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileGridEventMap.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageTileGridModel.ts":
/*!********************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileGridModel.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageTileGridSelectKeyStroke.ts":
/*!******************************************************************!*\
  !*** ./src/desktop/outline/pages/PageTileGridSelectKeyStroke.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageTileGridSelectKeyStroke: () => (/* binding */ PageTileGridSelectKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PageTileGridSelectKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.RangeKeyStroke {
  constructor(pageTileGrid) {
    super();
    this.field = pageTileGrid;
    // range [1..9]
    this.registerRange(_index__WEBPACK_IMPORTED_MODULE_0__.keys['1'],
    // range from
    () => {
      return _index__WEBPACK_IMPORTED_MODULE_0__.keys[Math.min(this._tiles().length, 9)]; // range to
    });
    // rendering hints
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let index = event.which - _index__WEBPACK_IMPORTED_MODULE_0__.keys['1'];
      let tiles = this._tiles();
      if (index < tiles.length && tiles[index].tileWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileButton) {
        let tileWidget = tiles[index].tileWidget;
        return tileWidget.$fieldContainer;
      }
      return null;
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (this.field && this.field.outline && this.field.outline.inBackground) {
      return false;
    }
    let index = _index__WEBPACK_IMPORTED_MODULE_0__.keys.codesToKeys[event.which] - 1;
    let tiles = this._tiles();
    if (index < tiles.length && tiles[index].tileWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileButton) {
      event._$element = tiles[index].$container;
      if (event._$element) {
        return true;
      }
    }
    return false;
  }
  handle(event) {
    let tile = event._$element.data('widget');
    let tileWidget = tile.tileWidget;
    tileWidget.doAction();
  }
  _tiles() {
    return this.field.tiles;
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/PageWithNodes.ts":
/*!****************************************************!*\
  !*** ./src/desktop/outline/pages/PageWithNodes.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageWithNodes: () => (/* binding */ PageWithNodes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PageWithNodes extends _index__WEBPACK_IMPORTED_MODULE_0__.Page {
  constructor() {
    super();
    this.nodeType = _index__WEBPACK_IMPORTED_MODULE_0__.Page.NodeType.NODES;
    this.reloadable = false;
  }
  _createDetailTable() {
    let nodeColumn = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Column, {
      id: 'NodeColumn',
      session: this.session
    });
    let table = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Table, {
      parent: this.parent,
      id: 'PageWithNodesTable',
      autoResizeColumns: true,
      headerVisible: false,
      hasReloadHandler: this.reloadable,
      columns: [nodeColumn]
    });
    table.menuBar.setPosition(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
    table.on('rowAction', this._onDetailTableRowAction.bind(this));
    table.on('reload', this._onDetailTableReload.bind(this));
    return table;
  }
  _onDetailTableRowAction(event) {
    this.getOutline().mediator.onTableRowAction(event, this);
  }
  _onDetailTableReload(event) {
    this.reloadPage();
  }
  _rebuildDetailTable(childPages) {
    let table = this.detailTable;
    if (!table) {
      return;
    }
    this._unlinkAllTableRows(table.rows);
    table.deleteAllRows();
    let rows = this._createTableRowsForChildPages(childPages);
    table.insertRows(rows);
  }
  /** @internal */
  rebuildDetailTableInternal() {
    if (this.childrenLoaded) {
      this._rebuildDetailTable(this.childNodes);
    }
  }
  _unlinkAllTableRows(rows) {
    rows.forEach(row => {
      if (row.page) {
        row.page.unlinkWithRow(row);
      }
    });
  }
  _createTableRowsForChildPages(childPages) {
    return childPages.map(childPage => {
      let row = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableRow, {
        parent: this.detailTable,
        cells: [childPage.text]
      });
      childPage.linkWithRow(row);
      return row;
    });
  }
  loadChildren() {
    this.childrenLoaded = false;
    return this._createChildPages().then(childPages => {
      this._rebuildDetailTable(childPages);
      this.getOutline().deleteNodes(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(this.childNodes, childPages), this);
      this.getOutline().insertNodes(childPages, this);
      this.childrenLoaded = true;
    });
  }
  /**
   * Override this method to create child pages for this page. The default impl. returns the current `childNodes` list.
   */
  _createChildPages() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(this.childNodes);
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/PageWithTable.ts":
/*!****************************************************!*\
  !*** ./src/desktop/outline/pages/PageWithTable.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PageWithTable: () => (/* binding */ PageWithTable)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PageWithTable extends _index__WEBPACK_IMPORTED_MODULE_0__.Page {
  constructor() {
    super();
    _defineProperty(this, "alwaysCreateChildPage", void 0);
    _defineProperty(this, "_tableRowDeleteHandler", void 0);
    _defineProperty(this, "_tableRowInsertHandler", void 0);
    _defineProperty(this, "_tableRowUpdateHandler", void 0);
    _defineProperty(this, "_tableRowActionHandler", void 0);
    _defineProperty(this, "_tableRowOrderChangeHandler", void 0);
    _defineProperty(this, "_tableDataLoadHandler", void 0);
    this.nodeType = _index__WEBPACK_IMPORTED_MODULE_0__.Page.NodeType.TABLE;
    this.inheritMenusFromParentTablePage = false;
    this.alwaysCreateChildPage = false;
    this._tableRowDeleteHandler = this._onTableRowsDeleted.bind(this);
    this._tableRowInsertHandler = this._onTableRowsInserted.bind(this);
    this._tableRowUpdateHandler = this._onTableRowsUpdated.bind(this);
    this._tableRowActionHandler = this._onTableRowAction.bind(this);
    this._tableRowOrderChangeHandler = this._onTableRowOrderChanged.bind(this);
    this._tableDataLoadHandler = e => this.loadTableData(e === null || e === void 0 ? void 0 : e.reloadReason);
  }
  _initDetailTable(table) {
    super._initDetailTable(table);
    table.on('rowsDeleted allRowsDeleted', this._tableRowDeleteHandler);
    table.on('rowsInserted', this._tableRowInsertHandler);
    table.on('rowsUpdated', this._tableRowUpdateHandler);
    table.on('rowAction', this._tableRowActionHandler);
    table.on('rowOrderChanged', this._tableRowOrderChangeHandler);
    table.on('reload', this._tableDataLoadHandler);
    table.hasReloadHandler = true;
  }
  _destroyDetailTable(table) {
    table.off('rowsDeleted allRowsDeleted', this._tableRowDeleteHandler);
    table.off('rowsInserted', this._tableRowInsertHandler);
    table.off('rowsUpdated', this._tableRowUpdateHandler);
    table.off('rowAction', this._tableRowActionHandler);
    table.off('rowOrderChanged', this._tableRowOrderChangeHandler);
    table.off('reload', this._tableDataLoadHandler);
    super._destroyDetailTable(table);
  }
  _onTableRowsDeleted(event) {
    if (this.leaf) {
      // when page is a leaf we do nothing at all
      return;
    }
    const rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(event.rows);
    const childPages = [];
    rows.forEach(row => {
      const childPage = row.page;
      if (!childPage) {
        return;
      }
      childPage.unlinkWithRow(row);
      childPages.push(childPage);
    });
    this.getOutline().mediator.onTableRowsDeleted(rows, childPages, this);
  }
  _onTableRowsInserted(event) {
    if (this.leaf) {
      // when page is a leaf we do nothing at all
      return;
    }
    let rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(event.rows);
    let childPages = rows.map(row => this._createChildPageInternal(row)).filter(Boolean);
    this.getOutline().mediator.onTableRowsInserted(rows, childPages, this);
  }
  _onTableRowsUpdated(event) {
    this.getOutline().mediator.onTableRowsUpdated(event, this);
  }
  _onTableRowAction(event) {
    this.getOutline().mediator.onTableRowAction(event, this);
  }
  _onTableRowOrderChanged(event) {
    if (event.animating) {
      // do nothing while row order animation is in progress
      return;
    }
    this.getOutline().mediator.onTableRowOrderChanged(event, this);
  }
  _createChildPageInternal(row) {
    let childPage = this.createChildPage(row);
    if (!childPage && this.alwaysCreateChildPage) {
      childPage = this.createDefaultChildPage(row);
    }
    if (childPage) {
      childPage.linkWithRow(row);
      childPage = childPage.updatePageFromTableRow(row);
    }
    return childPage;
  }
  /**
   * Override this method to return a specific Page instance for the given table-row.
   * The default impl. returns null, which means a AutoLeafPageWithNodes instance will be created for the table-row.
   */
  createChildPage(row) {
    return null;
  }
  createDefaultChildPage(row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.AutoLeafPageWithNodes, {
      parent: this.getOutline(),
      row: row
    });
  }
  loadChildren() {
    // It's allowed to have no table - but we don't have to load data in that case
    if (!this.detailTable) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    this.childrenLoaded = false;
    const deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this.one('load error', e => deferred.resolve());
    this.detailTable.reload();
    return deferred.promise().then(() => {
      this.childrenLoaded = true;
    });
  }
  _createSearchFilter() {
    // Cast could be wrong as any table control is in the list.
    // But as the FormTableControl does not add new public items except the form and the presence of that is form is ensured in the find() method, it may be fine.
    let controls = this.detailTable.tableControls;
    let firstFormTableControl = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(controls, tableControl => tableControl.form instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form);
    if (firstFormTableControl) {
      return firstFormTableControl.form.exportData();
    }
    return null;
  }
  /**
   * Adds a {@link MaxRowCountContributionDo} to the given request.
   * Typically, this method should be used before sending a request in {@link _loadTableData} to attach the row limit constraints (if existing).
   * The contribution is only added if there is a row limit. Otherwise, the request remains untouched.
   * @example
   * protected override _loadTableData(searchFilter: MyRestrictionDo): JQuery.Promise<MyResponseDo> {
   *   const request: MyRequestDo = {
   *     id: '1',
   *     ...
   *     restriction: searchFilter
   *   };
   *   return ajax.postJson(url, this._withMaxRowCountContribution(request));
   * }
   * @param dataObject The {@link DoEntity} to which the contribution should be added.
   * @returns the resulting request with the added contribution.
   */
  _withMaxRowCountContribution(dataObject) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableMaxResultsHelper).addMaxRowCountContribution(dataObject, this.detailTable);
  }
  /**
   * see Java: AbstractPageWithTable#loadChildren that's where the table is reloaded and the tree is rebuilt, called by AbstractTree#P_UIFacade
   */
  loadTableData(reloadReason) {
    this.ensureDetailTable();
    this.detailTable.setLoading(true);
    const restoreSelectionInfo = this._getRestoreSelectionInfo();
    return this._loadTableData(this._createSearchFilter()).then(data => this._onLoadTableDataDone(data, restoreSelectionInfo)).catch(error => this._onLoadTableDataFail(error, restoreSelectionInfo));
  }
  /**
   * Get info needed to restore the selection after table data was loaded.
   * - {@link RestoreSelectionInfo.restoreSelection} is `true` if a child page of this page is currently selected.
   * - {@link RestoreSelectionInfo.selectedRowKey} is the row key (see {@link TableRow.getKeyValues}) of the row corresponding to the direct child page of this page that is currently selected or a parent of the currently selected page.
   */
  _getRestoreSelectionInfo() {
    let restoreSelection = false;
    let selectedRowKey = null;
    if (this.getOutline().selectedNode()) {
      let node = this.getOutline().selectedNode();
      while ((_node = node) !== null && _node !== void 0 && _node.parentNode) {
        var _node;
        if (node.parentNode === this) {
          var _node$row;
          restoreSelection = true;
          selectedRowKey = (_node$row = node.row) === null || _node$row === void 0 ? void 0 : _node$row.getKeyValues();
          break;
        }
        node = node.parentNode;
      }
    }
    return {
      restoreSelection,
      selectedRowKey
    };
  }
  /**
   * Restores the selection by the given {@link RestoreSelectionInfo}. If there is no selected page for the current outline, the following page will be selected:
   * 1. The page corresponding to the selected row of the detail table of this page.
   * 2. The page corresponding to the row found by the given former selected row key (@see {@link RestoreSelectionInfo}).
   * 3. This page.
   */
  _restoreSelection(restoreSelectionInfo) {
    if (!restoreSelectionInfo) {
      return;
    }
    try {
      const {
        restoreSelection,
        selectedRowKey
      } = restoreSelectionInfo;
      if (restoreSelection && !this.getOutline().selectedNode()) {
        var _this$detailTable$sel, _this$detailTable$get;
        let selectedNode = ((_this$detailTable$sel = this.detailTable.selectedRow()) === null || _this$detailTable$sel === void 0 ? void 0 : _this$detailTable$sel.page) || ((_this$detailTable$get = this.detailTable.getRowByKey(selectedRowKey)) === null || _this$detailTable$get === void 0 ? void 0 : _this$detailTable$get.page) || this;
        this.getOutline().selectNode(selectedNode);
      }
    } catch (e) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Unable to restore selection.', e);
    }
  }
  /**
   * Override this method to load table data (rows to be added to table).
   * This is an asynchronous operation working with a Promise. If table data load is successful,
   * <code>_onLoadTableDataDone(data)</code> will be called. If a failure occurs while loading table
   * data, <code>_onLoadTableDataFail(data)</code> will be called.
   * <p>
   * If you want to return static data, you can return a resolvedPromise:
   * <code>return $.resolvedPromise([{...},{...}]);</code>
   *
   * @param searchFilter The search filter as exported by the search form or null.
   */
  _loadTableData(searchFilter) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /**
   * This method is called when table data load is successful. It should transform the table data
   * object to table rows.
   *
   * @param tableData data loaded by <code>_loadTableData</code>
   */
  _onLoadTableDataDone(tableData, restoreSelectionInfo) {
    let success = false;
    try {
      const rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this._transformTableDataToTableRows(tableData));
      const limitedResultInfoDo = this._getLimitedResultInfoDo(tableData);
      this._readLimitedResultInfo(rows.length, limitedResultInfoDo); // apply properties from LimitedResultInfoDo to table (must be before replaceRows as this triggers the TableFooter update which already requires the new values).
      this.detailTable.replaceRows(rows);
      this.detailTable.setLimitedResultTableStatus(!!(limitedResultInfoDo !== null && limitedResultInfoDo !== void 0 && limitedResultInfoDo.limitedResult)); // set table status after replaceRows as the new rows are required
      success = true;
    } finally {
      this._onLoadTableDataAlways(restoreSelectionInfo);
    }
    if (success) {
      this.trigger('load');
    }
  }
  _readLimitedResultInfo(numRows, limitedResultInfoDo) {
    if (!limitedResultInfoDo) {
      return;
    }
    // update table properties. The footer is automatically updated after the new rows have been created
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableMaxResultsHelper).isLoadMoreDataPossible(numRows, limitedResultInfoDo.estimatedRowCount, limitedResultInfoDo.maxRowCount)) {
      // only update if the next load would be a ReloadReason.OVERRIDE_ROW_LIMIT so that the new limit is used
      this.detailTable.setMaxRowCount(limitedResultInfoDo.maxRowCount);
    }
    this.detailTable.setEstimatedRowCount(limitedResultInfoDo.estimatedRowCount);
  }
  _getLimitedResultInfoDo(tableData) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dataObjects.getContribution('scout.LimitedResultInfoContribution', tableData);
  }
  _onLoadTableDataFail(error, restoreSelectionInfo) {
    try {
      this.detailTable.setTableStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
        message: this.session.text('ErrorWhileLoadingData')
      }));
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Failed to load tableData. error=', error);
      this.detailTable.deleteAllRows();
    } finally {
      this._onLoadTableDataAlways(restoreSelectionInfo);
      this.trigger('error', {
        error
      });
    }
  }
  _onLoadTableDataAlways(restoreSelectionInfo) {
    this._restoreSelection(restoreSelectionInfo);
    this.detailTable.setLoading(false);
  }
  /**
   * This method converts the loaded table data, which can be any object, into table rows.
   * You must override this method unless tableData is already an array of table rows.
   */
  _transformTableDataToTableRows(tableData) {
    return tableData;
  }
}

/***/ }),

/***/ "./src/desktop/outline/pages/PageWithTableEventMap.ts":
/*!************************************************************!*\
  !*** ./src/desktop/outline/pages/PageWithTableEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/outline/pages/PageWithTableModel.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/outline/pages/PageWithTableModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/popupblocker/PopupBlockerDesktopNotification.ts":
/*!*********************************************************************!*\
  !*** ./src/desktop/popupblocker/PopupBlockerDesktopNotification.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupBlockerDesktopNotification: () => (/* binding */ PopupBlockerDesktopNotification)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PopupBlockerDesktopNotification extends _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification {
  constructor() {
    super();
    _defineProperty(this, "preserveOpener", void 0);
    _defineProperty(this, "linkUrl", void 0);
    _defineProperty(this, "linkText", void 0);
    _defineProperty(this, "$link", void 0);
    this.duration = _index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification.INFINITE;
    this.preserveOpener = false;
  }
  _init(model) {
    super._init(model);
    this.linkText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.linkText, this.session.text('ui.OpenManually'));
    this._setStatus({
      message: this.session.text('ui.PopupBlockerDetected'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING
    });
  }
  _render() {
    super._render();
    this.$messageText.addClass('popup-blocked-title');
    this.$link = this.$content.appendElement('<a>', 'popup-blocked-link').text(this.linkText).on('click', this._onLinkClick.bind(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderLinkUrl();
  }
  _renderLinkUrl() {
    if (this.linkUrl) {
      this.$link.attr('href', this.linkUrl).attr('target', '_blank');
      if (!this.preserveOpener) {
        this.$link.attr('rel', 'noreferrer noopener');
      }
    } else {
      this.$link.removeAttr('href').removeAttr('target');
    }
  }
  _onLinkClick(event) {
    this.trigger('linkClick');
    this.hide();
  }
}

/***/ }),

/***/ "./src/desktop/popupblocker/PopupBlockerDesktopNotificationEventMap.ts":
/*!*****************************************************************************!*\
  !*** ./src/desktop/popupblocker/PopupBlockerDesktopNotificationEventMap.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/popupblocker/PopupBlockerDesktopNotificationModel.ts":
/*!**************************************************************************!*\
  !*** ./src/desktop/popupblocker/PopupBlockerDesktopNotificationModel.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/popupblocker/PopupBlockerHandler.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/popupblocker/PopupBlockerHandler.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupBlockerHandler: () => (/* binding */ PopupBlockerHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PopupBlockerHandler {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "preserveOpener", void 0);
    this.session = null;
    this.preserveOpener = false;
  }
  init(options) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  /**
   * @param uri The URI for the window to open
   * @param windowName An optional string name for the new window. The name can be used as the target of links and forms using the target attribute of an 'a' or 'form' element. The name should not contain any blank space.
   *         Note that the window name does not specify the title of the new window.
   * @param windowSpecs Optional parameter listing the features (size, position, scrollbars, etc.) of the new window.
   *         The string must not contain any blank space, each feature name and value must be separated by a comma.
   * @param onWindowOpened Optional function to call when the window has been successfully opened.
   *         Due to popup-blockers this may not necessarily be directly after the call to this method but may be later when the popup-blocker-notification-link is manually activated by the user.
   *
   * @see https://developer.mozilla.org/en-US/docs/Web/API/Window/open
   */
  openWindow(uri, windowName, windowSpecs, onWindowOpened) {
    windowName = windowName || 'scout_' + new Date().getTime();
    let popup = window.open('', windowName, windowSpecs);
    if (popup) {
      if (!this.preserveOpener) {
        popup.opener = null;
      }
      try {
        popup.window.location.href = uri;
      } catch (err) {
        this._handleInvalidUri(uri, popup, err);
        return;
      }
      if (onWindowOpened) {
        onWindowOpened(popup);
      }
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Popup-blocker detected! Show link to open window manually');
      this.showNotification(() => {
        this.openWindow(uri, windowName, windowSpecs, onWindowOpened);
      });
    }
  }
  // Shows a notification when popup-blocker has been detected
  showNotification(vararg) {
    let linkUrl,
      desktop = this.session.desktop;
    if (typeof vararg === 'string') {
      linkUrl = vararg;
    }
    let notification = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PopupBlockerDesktopNotification, {
      parent: desktop,
      linkUrl: linkUrl,
      preserveOpener: this.preserveOpener
    });
    if (!linkUrl && jquery__WEBPACK_IMPORTED_MODULE_1___default().isFunction(vararg)) {
      notification.on('linkClick', vararg);
    }
    notification.show();
  }
  _handleInvalidUri(uri, popup, err) {
    // Log
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ErrorHandler, {
      logError: true,
      displayError: false,
      sendError: false
    }).handle(err);
    // Close popup
    popup.close();
    // Show message
    _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxes.createOk(this.session.desktop).withHeader(this.session.text('ui.UnexpectedProblem')).withBody(this.session.text('ui.InvalidUriMsg')).withSeverity(_index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR).buildAndOpen();
  }
}

/***/ }),

/***/ "./src/desktop/popupblocker/PopupBlockerHandlerModel.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/popupblocker/PopupBlockerHandlerModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/toolbox/DesktopToolBox.ts":
/*!***********************************************!*\
  !*** ./src/desktop/toolbox/DesktopToolBox.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopToolBox: () => (/* binding */ DesktopToolBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopToolBox extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuBox {
  constructor() {
    super();
    this.uiMenuCssClass = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this.uiMenuCssClass, 'desktop-tool-box-item');
  }
  _initMenu(menu) {
    super._initMenu(menu);
    menu.popupHorizontalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.CENTER;
  }
  _render() {
    super._render();
    this.$container.addClass('desktop-tool-box');
  }
}

/***/ }),

/***/ "./src/desktop/unsavedchanges/UnsavedFormChangesForm.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/unsavedchanges/UnsavedFormChangesForm.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UnsavedFormChangesForm: () => (/* binding */ UnsavedFormChangesForm)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UnsavedFormChangesForm extends _index__WEBPACK_IMPORTED_MODULE_0__.Form {
  constructor() {
    super();
    _defineProperty(this, "unsavedForms", void 0);
    _defineProperty(this, "openFormsField", void 0);
    this.unsavedForms = [];
  }
  _jsonModel() {
    return {
      id: 'scout.UnsavedFormChangesForm',
      type: 'model',
      title: '${textKey:SaveChangesOfSelectedItems}',
      askIfNeedSave: false,
      rootGroupBox: {
        id: 'MainBox',
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox,
        menus: [{
          id: 'OkMenu',
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.OkMenu
        }, {
          id: 'CancelMenu',
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.CancelMenu
        }],
        fields: [{
          id: 'UnsavedChangesBox',
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox,
          labelVisible: false,
          gridColumnCount: 1,
          fields: [{
            id: 'OpenFormsField',
            objectType: _index__WEBPACK_IMPORTED_MODULE_0__.ListBox,
            gridDataHints: {
              h: 5
            },
            labelVisible: false
          }]
        }]
      }
    };
  }
  _init(model) {
    super._init(model);
    this.openFormsField = this.widget('OpenFormsField', _index__WEBPACK_IMPORTED_MODULE_0__.ListBox);
    this.openFormsField.setLookupCall(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.UnsavedFormsLookupCall, {
      session: this.session,
      unsavedForms: this.unsavedForms
    }));
    this.openFormsField.table.one('rowsInserted', event => {
      event.source.checkAll(true);
    });
    let checkAllMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this.openFormsField.table,
      id: 'CheckAllMenu',
      text: '${textKey:CheckAll}'
    });
    checkAllMenu.on('action', event => this.openFormsField.table.checkAll(true));
    let uncheckAllMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this.openFormsField.table,
      id: 'UncheckAllMenu',
      text: '${textKey:UncheckAll}'
    });
    uncheckAllMenu.on('action', event => this.openFormsField.table.uncheckAll());
    this.openFormsField.table.setMenus([checkAllMenu, uncheckAllMenu]);
    this.on('postLoad', event => this.touch());
  }
  _validate() {
    let invalidForms = this.getInvalidForms();
    if (invalidForms.length > 0) {
      let msg = [];
      msg.push('<p><b>', this.session.text('NotAllCheckedFormsCanBeSaved'), '</b></p>');
      msg.push(this.session.text('FormsCannotBeSaved'), '<br><br>');
      invalidForms.forEach(form => msg.push('- ', UnsavedFormChangesForm.getFormDisplayName(form), '<br>'));
      return _index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
        message: msg.join('')
      });
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok();
  }
  getInvalidForms() {
    let invalidForms = [];
    this.openFormsField.value.forEach(form => {
      let diagElem = form.lifecycle.invalidElements();
      let missingElements = diagElem.missingElements.slice();
      let invalidElements = diagElem.invalidElements.slice();
      form.visitDisplayChildren(dialog => {
        let diagElem = dialog.lifecycle.invalidElements();
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(missingElements, diagElem.missingElements);
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(invalidElements, diagElem.invalidElements);
      }, dialog => {
        // forms are the only display children with a lifecycle, only visit those.
        return dialog instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form;
      });
      if (missingElements.length > 0 || invalidElements.length > 0) {
        invalidForms.push(form);
      }
    });
    return invalidForms;
  }
  static getFormDisplayName(form) {
    return [form.title, form.subTitle].filter(Boolean).join(' - ');
  }
}

/***/ }),

/***/ "./src/desktop/unsavedchanges/UnsavedFormChangesFormModel.ts":
/*!*******************************************************************!*\
  !*** ./src/desktop/unsavedchanges/UnsavedFormChangesFormModel.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/unsavedchanges/UnsavedFormsLookupCall.ts":
/*!**************************************************************!*\
  !*** ./src/desktop/unsavedchanges/UnsavedFormsLookupCall.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UnsavedFormsLookupCall: () => (/* binding */ UnsavedFormsLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UnsavedFormsLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.StaticLookupCall {
  constructor() {
    super();
    _defineProperty(this, "unsavedForms", void 0);
    this.unsavedForms = [];
  }
  _data() {
    return this.unsavedForms.map(form => {
      let text = _index__WEBPACK_IMPORTED_MODULE_0__.UnsavedFormChangesForm.getFormDisplayName(form);
      return [form, text];
    });
  }
}

/***/ }),

/***/ "./src/desktop/unsavedchanges/UnsavedFormsLookupCallModel.ts":
/*!*******************************************************************!*\
  !*** ./src/desktop/unsavedchanges/UnsavedFormsLookupCallModel.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewButton.ts":
/*!**********************************************!*\
  !*** ./src/desktop/viewbutton/ViewButton.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewButton: () => (/* binding */ ViewButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ViewButton extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "selectedAsMenu", void 0);
    _defineProperty(this, "_desktopInBackgroundHandler", void 0);
    this.showTooltipWhenSelected = false;
    this.displayStyle = 'TAB';
    this.selectedAsMenu = false;
    this._desktopInBackgroundHandler = this._onDesktopInBackgroundChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this.session.desktop.on('propertyChange:inBackground', this._desktopInBackgroundHandler);
  }
  _destroy() {
    this.session.desktop.off('propertyChange:inBackground', this._desktopInBackgroundHandler);
    super._destroy();
  }
  renderAsTab($parent) {
    let $wrapper = $parent.appendDiv('view-tab-wrapper');
    this.render($wrapper);
    this.$container.addClass('view-tab view-button-tab');
  }
  _render() {
    this.$container = this.$parent.appendDiv('view-button').on('mousedown', this._onMouseEvent.bind(this));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$container.prependDiv('edge left');
    this.$container.appendDiv('edge right');
  }
  _remove() {
    let $wrapper = this.$container.parent();
    if ($wrapper.hasClass('view-tab-wrapper')) {
      $wrapper.remove();
    }
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderInBackground();
  }
  _renderInBackground() {
    if (this.session.desktop.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT) {
      return;
    }
    if (!this.rendering) {
      if (this.session.desktop.inBackground) {
        this.$container.addClassForAnimation('animate-bring-to-back');
      } else {
        this.$container.addClassForAnimation('animate-bring-to-front');
      }
    }
    this.$container.toggleClass('in-background', this.session.desktop.inBackground);
  }
  _renderText() {
    // render text as invisible label for screen readers
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, this.text);
  }
  setDisplayStyle(displayStyle) {
    this.setProperty('displayStyle', displayStyle);
  }
  _onMouseEvent(event) {
    this.doAction();
  }
  _createActionKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.ViewButtonActionKeyStroke(this);
  }
  setSelectedAsMenu(selectedAsMenu) {
    this.selectedAsMenu = selectedAsMenu;
  }
  _onDesktopInBackgroundChange(event) {
    if (this.rendered) {
      this._renderInBackground();
    }
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonActionKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonActionKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewButtonActionKeyStroke: () => (/* binding */ ViewButtonActionKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ViewButtonActionKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionKeyStroke {
  constructor(action) {
    super(action);
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    let width = $drawingArea.outerWidth();
    let keyBoxWidth = $drawingArea.find('.key-box').outerWidth();
    let left = width / 2 - keyBoxWidth / 2;
    $drawingArea.find('.key-box').cssLeft(left);
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewButtonAdapter: () => (/* binding */ ViewButtonAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ViewButtonAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter {}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonBox.ts":
/*!*************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonBox.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewButtonBox: () => (/* binding */ ViewButtonBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ViewButtonBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "viewMenuTab", void 0);
    _defineProperty(this, "viewButtons", void 0);
    _defineProperty(this, "menuButtons", void 0);
    _defineProperty(this, "tabButtons", void 0);
    _defineProperty(this, "selectedMenuButtonAlwaysVisible", void 0);
    _defineProperty(this, "_desktopOutlineChangeHandler", void 0);
    _defineProperty(this, "_viewButtonPropertyChangeHandler", void 0);
    this.viewMenuTab = null;
    this.viewButtons = [];
    this.menuButtons = [];
    this.tabButtons = [];
    this._desktopOutlineChangeHandler = this._onDesktopOutlineChange.bind(this);
    this._viewButtonPropertyChangeHandler = this._onViewButtonPropertyChange.bind(this);
    this.selectedMenuButtonAlwaysVisible = false;
    this._addWidgetProperties(['viewButtons']);
  }
  _init(model) {
    super._init(model);
    this.desktop = this.session.desktop;
    this.viewMenuTab = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ViewMenuTab, {
      parent: this
    });
    this._setViewButtons(this.viewButtons);
    this.desktop.on('outlineChange', this._desktopOutlineChangeHandler);
  }
  _render() {
    this.$container = this.$parent.appendDiv('view-button-box');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.viewMenuTab.render();
    this._onDesktopOutlineChange();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTabButtons();
  }
  _remove() {
    this.desktop.off('outlineChange', this._desktopOutlineChangeHandler);
    this.viewButtons.forEach(viewButton => viewButton.off('selected', this._viewButtonPropertyChangeHandler));
    super._remove();
  }
  setSelectedMenuButtonVisible(selectedMenuButtonVisible) {
    this.viewMenuTab.setSelectedButtonVisible(selectedMenuButtonVisible);
  }
  setSelectedMenuButtonAlwaysVisible(selectedMenuButtonAlwaysVisible) {
    this.setProperty('selectedMenuButtonAlwaysVisible', selectedMenuButtonAlwaysVisible);
  }
  _setSelectedMenuButtonAlwaysVisible(selectedMenuButtonAlwaysVisible) {
    this._updateSelectedMenuButtonVisibility();
  }
  setViewButtons(viewButtons) {
    this.setProperty('viewButtons', viewButtons);
  }
  _setViewButtons(viewButtons) {
    if (this.viewButtons) {
      this.viewButtons.forEach(viewButton => viewButton.off('propertyChange', this._viewButtonPropertyChangeHandler));
    }
    this._setProperty('viewButtons', viewButtons);
    this.viewButtons.forEach(viewButton => viewButton.on('propertyChange', this._viewButtonPropertyChangeHandler));
    this._updateViewButtons();
  }
  _setTabButtons(tabButtons) {
    this._setProperty('tabButtons', tabButtons);
  }
  _removeTabButtons() {
    this.tabButtons.forEach(button => button.remove());
  }
  _renderTabButtons() {
    this.tabButtons.forEach((viewTab, i) => viewTab.renderAsTab(this.$container));
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.tabButtons);
  }
  _updateViewButtons() {
    let viewButtons = this.viewButtons.filter(b => b.visible);
    let menuButtons = viewButtons.filter(b => b.displayStyle === 'MENU');
    let tabButtons = null;
    // render as tab if length is < 1
    if (menuButtons.length > 1) {
      tabButtons = viewButtons.filter(b => b.displayStyle === 'TAB');
    } else {
      // all visible view buttons are rendered as tab
      tabButtons = viewButtons;
      menuButtons = [];
    }
    this._setMenuButtons(menuButtons);
    if (this.rendered) {
      this._removeTabButtons();
    }
    this._setTabButtons(tabButtons);
    if (this.rendered) {
      this._renderTabButtons();
    }
    this._updateVisibility();
    this._updateSelectedMenuButtonVisibility();
  }
  _updateVisibility() {
    this.setVisible(this.tabButtons.length + this.menuButtons.length > 1);
  }
  _setMenuButtons(menuButtons) {
    this._setProperty('menuButtons', menuButtons);
    this.viewMenuTab.setViewButtons(this.menuButtons);
  }
  _updateSelectedMenuButtonVisibility() {
    this.setSelectedMenuButtonVisible(this.selectedMenuButtonAlwaysVisible || this.tabButtons.length >= 1 && this.menuButtons.length >= 1);
  }
  /**
   * This method updates the state of the view-menu-tab and the selected state of outline-view-button-box.
   * This method must also work in offline mode.
   */
  _onDesktopOutlineChange() {
    let outline = this.desktop.outline;
    this.viewButtons.forEach(viewTab => {
      if (viewTab instanceof _index__WEBPACK_IMPORTED_MODULE_0__.OutlineViewButton) {
        viewTab.onOutlineChange(outline);
      }
    });
  }
  _onViewButtonSelected(event) {
    // Deselect other toggleable view buttons
    this.viewButtons.forEach(viewButton => {
      if (viewButton !== event.source && viewButton.isToggleAction()) {
        viewButton.setSelected(false);
      }
    });
    // Inform viewMenu tab about new selection
    this.viewMenuTab.onViewButtonSelected();
  }
  _onViewButtonPropertyChange(event) {
    if (event.propertyName === 'selected') {
      this._onViewButtonSelected(event);
    } else if (event.propertyName === 'visible' || event.propertyName === 'displayStyle') {
      this._updateViewButtons();
    }
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonBoxEventMap.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonBoxEventMap.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonBoxModel.ts":
/*!******************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonBoxModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonEventMap.ts":
/*!******************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewButtonModel.ts":
/*!***************************************************!*\
  !*** ./src/desktop/viewbutton/ViewButtonModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuOpenKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuOpenKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewMenuOpenKeyStroke: () => (/* binding */ ViewMenuOpenKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Keystroke to open the 'ViewMenuPopup' on 'F2'.
 */
class ViewMenuOpenKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(viewMenuTab) {
    super();
    this.field = viewMenuTab;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.F2];
    this.stopPropagation = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      if (this.field.selected) {
        return this.field.dropdown.$container;
      }
      return this.field.selectedButton.$container;
    };
  }
  handle(event) {
    if (this.field.selected) {
      this.field.togglePopup();
    } else if (this.field.selectedButton) {
      this.field.selectedButton.doAction();
    }
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    let width = $drawingArea.outerWidth();
    let keyBoxWidth = $drawingArea.find('.key-box').outerWidth();
    let left = width / 2 - keyBoxWidth / 2;
    $drawingArea.find('.key-box').cssLeft(left);
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuPopup.ts":
/*!*************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuPopup.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewMenuPopup: () => (/* binding */ ViewMenuPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Popup menu to switch between outlines.
 */
class ViewMenuPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup {
  constructor() {
    super();
    _defineProperty(this, "defaultIconId", void 0);
    _defineProperty(this, "viewMenus", void 0);
    this.cssClass = 'view-menu-popup';
    this.defaultIconId = null;
    this.viewMenus = [];
    this.trimWidth = true;
  }
  _init(options) {
    super._init(options);
    let tiles = this._createTiles();
    let noIcons = tiles.every(tile => !tile.widgets[0].visible);
    this.content = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileGrid, {
      parent: this,
      tiles: tiles,
      cssClass: noIcons ? 'no-icons' : '',
      selectable: true,
      multiSelect: false,
      gridColumnCount: this._computeGridColumnCount(tiles),
      layoutConfig: {
        columnWidth: 100,
        rowHeight: -1,
        vgap: 10,
        hgap: 10
      }
    });
    let viewButtonTiles = this.content.tiles;
    let tile = viewButtonTiles.find(tile => tile.viewMenu.selected);
    if (tile) {
      this.content.selectTile(tile);
    }
    this.content.on('propertyChange:selectedTiles', event => {
      this._renderSelectedTiles();
    });
  }
  _computeGridColumnCount(tiles) {
    if (tiles.length > 8) {
      return 4;
    }
    if (tiles.length > 4) {
      return 3;
    }
    return 2;
  }
  _createTiles() {
    return this.viewMenus.map(menu => ({
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.CompositeTile,
      displayStyle: _index__WEBPACK_IMPORTED_MODULE_0__.Tile.DisplayStyle.PLAIN,
      cssClass: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(menu.cssClass, '') + ' view-menu-tile ' + (menu.selected ? 'checked ' : '') + (!menu.iconId ? 'text-only' : ''),
      modelClass: menu.modelClass,
      classId: menu.classId,
      viewMenu: menu,
      enabled: menu.enabled,
      gridDataHints: {
        useUiHeight: true
      },
      widgets: [{
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Icon,
        iconDesc: menu.iconId,
        visible: !!menu.iconId,
        prepend: true
      }, {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Label,
        value: menu.text,
        cssClass: 'label'
      }]
    }));
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.ViewMenuPopupEnterKeyStroke(this));
  }
  _renderContent() {
    super._renderContent();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.content.$container, 'menu');
    this.content.$container.on('click', '.tile', event => {
      let target = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(event.target);
      if (!(target instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Tile)) {
        target = target.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.Tile);
      }
      this.activateTile(target);
    });
    this._renderTiles();
    this._renderSelectedTiles();
  }
  _renderTiles() {
    this.content.tiles.forEach(tile => {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(tile.$container, 'menuitem');
      this._linkWidgetLabels(tile);
    });
  }
  _linkWidgetLabels(tile) {
    let $labels = tile.$container.children('.label');
    if ($labels.length > 0) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(tile.$container, $labels.eq(0));
    }
  }
  _renderSelectedTiles() {
    let selectedTiles = this.content.selectedTiles;
    if (selectedTiles.length === 1) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.content.$container, selectedTiles[0].$container);
    }
  }
  activateTile(tile) {
    if (!tile || !tile.viewMenu.enabledComputed) {
      return;
    }
    tile.viewMenu.doAction();
    this.close();
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuPopupEnterKeyStroke.ts":
/*!***************************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuPopupEnterKeyStroke.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewMenuPopupEnterKeyStroke: () => (/* binding */ ViewMenuPopupEnterKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ViewMenuPopupEnterKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(popup) {
    super();
    this.field = popup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let tile = this.field.content.selectedTiles[0];
      if (tile && tile.rendered) {
        return tile.$container;
      }
    };
    this.inheritAccessibility = false;
  }
  accept(event) {
    return super.accept(event) && this.field.content.selectedTiles.length === 1 && this.field.content.selectedTiles[0].enabledComputed;
  }
  handle(event) {
    this.field.activateTile(this.field.content.selectedTiles[0]);
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuPopupModel.ts":
/*!******************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuPopupModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuTab.ts":
/*!***********************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuTab.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewMenuTab: () => (/* binding */ ViewMenuTab)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Shows a list of view buttons with displayStyle=MENU
 * and shows the title of the active view button, if the view button is one
 * of the view buttons contained in the menu.
 */
class ViewMenuTab extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "selectedButtonVisible", void 0);
    _defineProperty(this, "defaultIconId", void 0);
    _defineProperty(this, "viewButtons", void 0);
    _defineProperty(this, "selectedButton", void 0);
    _defineProperty(this, "dropdown", void 0);
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "desktopKeyStrokeContext", void 0);
    _defineProperty(this, "_desktopInBackgroundHandler", void 0);
    this.viewButtons = [];
    this.selected = false;
    this.selectedButton = null;
    this.selectedButtonVisible = true;
    this.defaultIconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.FOLDER;
    this._desktopInBackgroundHandler = this._onDesktopInBackgroundChange.bind(this);
    this._addWidgetProperties(['selectedButton']);
    this._addPreserveOnPropertyChangeProperties(['selectedButton']);
  }
  _init(model) {
    super._init(model);
    this.dropdown = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Action, {
      parent: this,
      iconId: _index__WEBPACK_IMPORTED_MODULE_0__.icons.ANGLE_DOWN,
      tabbable: false,
      cssClass: 'view-menu',
      toggleAction: true
    });
    this.dropdown.on('action', this.togglePopup.bind(this));
    this._setViewButtons(this.viewButtons);
    this.session.desktop.on('propertyChange:inBackground', this._desktopInBackgroundHandler);
  }
  _destroy() {
    this.session.desktop.off('propertyChange:inBackground', this._desktopInBackgroundHandler);
    super._destroy();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    // Bound to desktop
    this.desktopKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    this.desktopKeyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.desktopKeyStrokeContext.$bindTarget = this.session.desktop.$container;
    this.desktopKeyStrokeContext.$scopeTarget = this.session.desktop.$container;
    this.desktopKeyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.ViewMenuOpenKeyStroke(this));
  }
  _render() {
    this.$container = this.$parent.appendDiv('view-tab view-menu-tab');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.dropdown.render(this.$container);
    this.session.keyStrokeManager.installKeyStrokeContext(this.desktopKeyStrokeContext);
    this.$container.appendDiv('edge right');
  }
  _remove() {
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.desktopKeyStrokeContext);
    super._remove();
    if (this.selectedButton) {
      this.selectedButton.remove();
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSelectedButtonVisible();
    this._renderSelected();
    this._renderInBackground();
  }
  setViewButtons(viewButtons) {
    this.setProperty('viewButtons', viewButtons);
  }
  _setViewButtons(viewButtons) {
    this._setProperty('viewButtons', viewButtons);
    this.setVisible(this.viewButtons.length > 0);
    let selectedButton = this._findSelectedViewButton();
    if (selectedButton) {
      this.setSelectedButton(selectedButton);
    } else {
      this.setSelectedButton(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.viewButtons, v => v.selectedAsMenu) || this.viewButtons[0]);
    }
    this.setSelected(!!selectedButton);
  }
  setSelectedButton(viewButton) {
    if (this.selectedButton && this.selectedButton.cloneOf === viewButton) {
      return;
    }
    if (viewButton) {
      this.setProperty('selectedButton', viewButton);
    }
  }
  _setSelectedButton(viewButton) {
    this.viewButtons.forEach(vb => vb.setSelectedAsMenu(vb === viewButton));
    // The selectedViewButton is a fake ViewButton but reflects the state of the actually selected one.
    // The fake button is created only once and must not be destroyed when the selected view button changes.
    // This is important to not break the CSS transition (e.g. when desktop is in background and another view selected using ViewMenuPopup).
    let clone = this.selectedButton;
    if (!clone) {
      clone = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.OutlineViewButton, {
        parent: this,
        displayStyle: 'TAB'
      });
    }
    if (clone.cloneOf) {
      clone.cloneOf.unmirror(clone);
    }
    // Link our fake button with the original and apply all the relevant properties (which are stored in cloneProperties, e.g. outline, cssClass, enabled, etc.)
    clone.cloneOf = viewButton;
    viewButton.cloneProperties.forEach(property => clone.callSetter(property, viewButton[property]));
    // Use default icon if outline does not define one.
    clone.setIconId(viewButton.iconId || this.defaultIconId);
    // Mirror the events and property changes
    viewButton.mirror({
      delegateEventsToOriginal: ['acceptInput', 'action'],
      delegateAllPropertiesToClone: true,
      delegateAllPropertiesToOriginal: true,
      excludePropertiesToOriginal: ['selected']
    }, clone);
    this._setProperty('selectedButton', clone);
  }
  _renderSelectedButton() {
    this._renderSelectedButtonVisible();
  }
  setSelectedButtonVisible(selectedButtonVisible) {
    this.setProperty('selectedButtonVisible', selectedButtonVisible);
  }
  _renderSelectedButtonVisible() {
    this.$container.toggleClass('selected-button-invisible', !this.selectedButtonVisible);
    if (!this.selectedButton) {
      return;
    }
    if (this.selectedButtonVisible) {
      if (!this.selectedButton.rendered) {
        this.selectedButton.render();
        this.selectedButton.$container.prependTo(this.$container);
        this.invalidateLayoutTree();
      }
    } else {
      if (this.selectedButton.rendered) {
        this.selectedButton.remove();
        this.invalidateLayoutTree();
      }
    }
  }
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    this.$container.select(this.selected);
  }
  _findSelectedViewButton() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.viewButtons, v => v.selected);
  }
  /**
   * Toggles the 'view menu popup', or brings the outline content to the front if in background.
   */
  togglePopup() {
    if (this.popup) {
      this._closePopup();
    } else {
      this._openPopup();
    }
  }
  _openPopup() {
    if (this.popup) {
      // already open
      return;
    }
    this.popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ViewMenuPopup, {
      parent: this,
      viewMenus: this.viewButtons,
      defaultIconId: this.defaultIconId,
      $anchor: this.$parent // use view button box as parent for better alignment
    });
    this.popup.open();
    this.popup.one('destroy', event => {
      this.dropdown.setSelected(false);
      this.popup = null;
    });
  }
  _closePopup() {
    if (this.popup) {
      this.popup.close();
    }
  }
  _renderInBackground() {
    if (this.session.desktop.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT) {
      return;
    }
    if (!this.rendering) {
      if (this.session.desktop.inBackground) {
        this.$container.addClassForAnimation('animate-bring-to-back');
      } else {
        this.$container.addClassForAnimation('animate-bring-to-front');
      }
    }
    this.$container.toggleClass('in-background', this.session.desktop.inBackground);
  }
  onViewButtonSelected() {
    let viewButton = this._findSelectedViewButton();
    if (viewButton) {
      this.setSelectedButton(viewButton);
    }
    this.setSelected(!!viewButton);
    this._closePopup();
  }
  _onDesktopInBackgroundChange(event) {
    if (this.rendered) {
      this._renderInBackground();
    }
  }
}

/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuTabEventMap.ts":
/*!*******************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuTabEventMap.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/desktop/viewbutton/ViewMenuTabModel.ts":
/*!****************************************************!*\
  !*** ./src/desktop/viewbutton/ViewMenuTabModel.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/encoder/CachedElement.ts":
/*!**************************************!*\
  !*** ./src/encoder/CachedElement.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CachedElement: () => (/* binding */ CachedElement)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class CachedElement {
  constructor(tagName) {
    _defineProperty(this, "tagName", void 0);
    _defineProperty(this, "cachedElement", void 0);
    this.tagName = tagName;
    this.cachedElement = null;
  }
  get() {
    if (!this.cachedElement) {
      this.cachedElement = document.createElement(this.tagName);
    }
    return this.cachedElement;
  }
}

/***/ }),

/***/ "./src/encoder/HtmlEncoder.ts":
/*!************************************!*\
  !*** ./src/encoder/HtmlEncoder.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlEncoder: () => (/* binding */ HtmlEncoder)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HtmlEncoder {
  constructor() {
    _defineProperty(this, "cache", void 0);
    this.cache = new _index__WEBPACK_IMPORTED_MODULE_0__.CachedElement('div');
  }
  encode(text) {
    if (!text) {
      return text;
    }
    let div = this.cache.get();
    div.textContent = text;
    return div.innerHTML;
  }
}

/***/ }),

/***/ "./src/encoder/PlainTextEncoder.ts":
/*!*****************************************!*\
  !*** ./src/encoder/PlainTextEncoder.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlainTextEncoder: () => (/* binding */ PlainTextEncoder)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Replaces character HTML entities (e.g. &amp;nbsp;, &amp;gt;, etc.).
 */
class PlainTextEncoder {
  constructor() {
    _defineProperty(this, "cache", void 0);
    this.cache = new _index__WEBPACK_IMPORTED_MODULE_0__.CachedElement('textarea');
  }
  encode(text, options) {
    options = options || {};
    if (!text) {
      return text;
    }
    text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(text);
    // Regexp is used to replace the tags.
    // It is not possible to use jquery's text() function or to create a html element and use textContent, because the new lines get omitted.
    // Node.innerText would preserve the new lines but it is not supported by firefox
    // Preserve new lines
    text = text.replace(/<br>|<br\/>|<\/p>|<p\/>|<\/div>|<\/li>|<\/tr>/gi, '\n');
    // Separate td with ' '
    text = text.replace(/<\/td>/gi, ' ');
    if (options.removeFontIcons) {
      text = text.replace(/<span\s[^>]*class="[^"]*font-icon[^"]*"[^>]*>[^<]*<\/span>/gmi, '');
    }
    // Remove script and style contents
    text = text.replace(/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi, '');
    text = text.replace(/<style\b[^<]*(?:(?!<\/style>)<[^<]*)*<\/style>/gi, '');
    // Replace remaining tags
    text = text.replace(/<[^>]+>/gi, '');
    // Convert decimal nrc to unicode
    text = text.replace('&zwj;', String.fromCharCode(0x200D)); // zero width joiner for combined chars
    text = text.replace(/&#(\\d+);/gi, (match, group1) => String.fromCharCode(group1));
    // Remove spaces at the beginning and end of each line
    text = text.replace(/^[ ]+/gm, '');
    text = text.replace(/[ ]+$/gm, '');
    if (options.compact) {
      // Compact consecutive empty lines. One is enough
      text = text.replace(/\n{3,}/gm, '\n\n');
    }
    if (options.trim) {
      text = text.trim();
    }
    let textarea = this.cache.get();
    textarea.innerHTML = text;
    return textarea.value;
  }
}

/***/ }),

/***/ "./src/events/AppLinkActionEvent.ts":
/*!******************************************!*\
  !*** ./src/events/AppLinkActionEvent.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/events/Event.ts":
/*!*****************************!*\
  !*** ./src/events/Event.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Event: () => (/* binding */ Event)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Event {
  constructor(model) {
    _defineProperty(this, "source", void 0);
    _defineProperty(this, "defaultPrevented", void 0);
    _defineProperty(this, "type", void 0);
    this.defaultPrevented = false;
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
  }
  preventDefault() {
    this.defaultPrevented = true;
  }
}

/***/ }),

/***/ "./src/events/EventDelegator.ts":
/*!**************************************!*\
  !*** ./src/events/EventDelegator.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EventDelegator: () => (/* binding */ EventDelegator)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Delegates events between two {@link EventEmitter}s.
 */
class EventDelegator {
  constructor(source, target, options) {
    _defineProperty(this, "source", void 0);
    _defineProperty(this, "target", void 0);
    _defineProperty(this, "callSetter", void 0);
    _defineProperty(this, "delegateProperties", void 0);
    _defineProperty(this, "excludeProperties", void 0);
    _defineProperty(this, "delegateEvents", void 0);
    _defineProperty(this, "delegateAllProperties", void 0);
    _defineProperty(this, "delegateAllEvents", void 0);
    _defineProperty(this, "_mirrorListener", void 0);
    _defineProperty(this, "_destroyHandler", void 0);
    options = options || {};
    this.source = source;
    this.target = target;
    this.callSetter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.callSetter, true);
    this.delegateProperties = options.delegateProperties || [];
    this.excludeProperties = options.excludeProperties || [];
    this.delegateEvents = options.delegateEvents || [];
    this.delegateAllProperties = !!options.delegateAllProperties;
    this.delegateAllEvents = !!options.delegateAllEvents;
    this._mirrorListener = null;
    this._destroyHandler = null;
    this._installSourceListener();
  }
  destroy() {
    this._uninstallSourceListener();
  }
  _installSourceListener() {
    if (this._mirrorListener) {
      throw new Error('source listeners already installed.');
    }
    this._mirrorListener = {
      func: this._onSourceEvent.bind(this)
    };
    this.source.events.addListener(this._mirrorListener);
    this._destroyHandler = this._uninstallSourceListener.bind(this);
    this.source.on('destroy', this._destroyHandler);
    this.target.on('destroy', this._destroyHandler);
  }
  _uninstallSourceListener() {
    if (this._mirrorListener) {
      this.source.events.removeListener(this._mirrorListener);
      this._mirrorListener = null;
    }
    if (this._destroyHandler) {
      this.source.off('destroy', this._destroyHandler);
      this.target.off('destroy', this._destroyHandler);
      this._destroyHandler = null;
    }
  }
  _onSourceEvent(event) {
    if (event.type === 'propertyChange') {
      this._onSourcePropertyChange(event);
    } else if (this.delegateAllEvents || this.delegateEvents.indexOf(event.type) > -1) {
      this.target.trigger(event.type, event);
    }
  }
  _onSourcePropertyChange(event) {
    if (this.excludeProperties.indexOf(event.propertyName) > -1) {
      return;
    }
    if (this.delegateAllProperties || this.delegateProperties.indexOf(event.propertyName) > -1) {
      let newValue = event.newValue;
      if (this.source instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter && this.source.isMultiDimensionalProperty(event.propertyName)) {
        // Delegate the dimension object instead of the computed value
        newValue = this.source.getPropertyDimensions(event.propertyName);
      }
      if (EventDelegator.equalsProperty(event.propertyName, this.target, newValue)) {
        return;
      }
      if (this.callSetter) {
        this.target.callSetter(event.propertyName, newValue);
      } else {
        this.target.trigger(event.type, event);
      }
    }
  }
  static equalsProperty(propName, obj, value) {
    let propValue = obj[propName];
    // Compare arrays using arrays.equals()
    if (Array.isArray(value) && Array.isArray(propValue)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(value, propValue);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(propValue, value);
  }
  static create(source, target, options) {
    if (options.delegateProperties && options.delegateProperties.length > 0 || options.delegateEvents && options.delegateEvents.length > 0 || options.delegateAllProperties || options.delegateAllEvents) {
      return new EventDelegator(source, target, options);
    }
    return null;
  }
}

/***/ }),

/***/ "./src/events/EventDelegatorOptions.ts":
/*!*********************************************!*\
  !*** ./src/events/EventDelegatorOptions.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/events/EventEmitter.ts":
/*!************************************!*\
  !*** ./src/events/EventEmitter.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EventEmitter: () => (/* binding */ EventEmitter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class EventEmitter {
  constructor() {
    _defineProperty(this, "events", void 0);
    this.events = this._createEventSupport();
  }
  _createEventSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.EventSupport();
  }
  // Cannot use this as for other methods, see https://stackoverflow.com/questions/73648158/type-error-when-using-this-with-a-custom-type
  trigger(type, eventOrModel) {
    let event;
    if (eventOrModel instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Event) {
      event = eventOrModel;
    } else {
      event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event(eventOrModel);
    }
    event.source = this;
    this.events.trigger(type, event);
    return event;
  }
  /**
   * Registers the given event handler for the event specified by the type param.
   * The function will only be called once. After that it is automatically de-registered using {@link off}.
   *
   * @param type One or more event names separated by space.
   * @param handler Event handler executed when the event is triggered. An event object is passed to the function as first parameter
   */
  one(type, handler) {
    this.events.one(type, handler);
  }
  /**
   * Registers the given event handler for the event specified by the type param.
   *
   * @param type One or more event names separated by space.
   * @param handler Event handler executed when the event is triggered. An event object is passed to the function as first parameter.
   **/
  on(type, handler) {
    return this.events.on(type, handler);
  }
  /**
   * De-registers the given event handler for the event specified by the type param.
   *
   * @param type One or more event names separated by space.<br/>
   *      Important: the string must be equal to the one used for {@link on} or {@link one}. This also applies if a string containing multiple types separated by space was used.
   * @param handler The exact same event handler that was used for registration using {@link on} or {@link one}.
   *      If no handler is specified, all handlers are de-registered for the given type.
   */
  off(type, handler) {
    this.events.off(type, handler);
  }
  /**
   * Adds an event handler using {@link one} and returns a promise.
   * The promise is resolved as soon as the event is triggered.
   */
  when(type) {
    return this.events.when(type);
  }
  addListener(listener) {
    this.events.addListener(listener);
  }
  removeListener(listener) {
    this.events.removeListener(listener);
  }
}

/***/ }),

/***/ "./src/events/EventListener.ts":
/*!*************************************!*\
  !*** ./src/events/EventListener.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/events/EventMap.ts":
/*!********************************!*\
  !*** ./src/events/EventMap.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/events/EventSupport.ts":
/*!************************************!*\
  !*** ./src/events/EventSupport.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EventSupport: () => (/* binding */ EventSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class EventSupport {
  constructor() {
    _defineProperty(this, "_eventListeners", void 0);
    _defineProperty(this, "_subTypePredicates", void 0);
    this._eventListeners = [];
    this._subTypePredicates = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
  }
  _assertFunc(func) {
    if (!func) {
      throw new Error('Missing callback function');
    }
  }
  /**
   * Registers the given event handler for the event specified by the type param.
   *
   * @param type One or more event names separated by space.
   * @param func Event handler executed when the event is triggered. An event object is passed to the function as first parameter.
   * @param origFunc Used internally when func is registered with {@link one}. The property is set on the listener
   *   object so the event-handler can be de-registered by using the original function.
   */
  on(type, func, origFunc) {
    this._assertFunc(func);
    let listener = {
      type: type,
      func: func,
      origFunc: origFunc
    };
    this.addListener(listener);
    return listener;
  }
  /**
   * Registers the given event handler for the event specified by the type param.
   * The function will only be called once. After that it is automatically de-registered using {@link off}.
   *
   * @param type One or more event names separated by space.
   * @param func Event handler executed when the event is triggered. An event object is passed to the function as first parameter
   */
  one(type, func) {
    this._assertFunc(func);
    let offFunc = event => {
      this.off(type, offFunc);
      func(event);
    };
    return this.on(type, offFunc, func);
  }
  /**
   * De-registers the given event handler for the event specified by the type param.
   *
   * @param type One or more event names separated by space.<br/>
   *      Important: the string must be equal to the one used for {@link on} or {@link one}. This also applies if a string containing multiple types separated by space was used.
   * @param func The exact same event handler that was used for registration using {@link on} or {@link one}.
   *      If no handler is specified, all handlers are de-registered for the given type.
   */
  off(type, func) {
    if (!type && !func) {
      return;
    }
    for (let i = this._eventListeners.length - 1; i >= 0; i--) {
      let listener = this._eventListeners[i];
      let funcMatches = func === listener.func || func === listener.origFunc;
      let typeMatches = type === listener.type;
      let remove = false;
      if (func && type) {
        remove = funcMatches && typeMatches;
      } else if (func) {
        remove = funcMatches;
      } else {
        // always type. all other cases have been checked above
        remove = typeMatches;
      }
      if (remove) {
        this._eventListeners.splice(i, 1);
      }
    }
  }
  /**
   * Adds an event handler using {@link one} and returns a promise.
   * The promise is resolved as soon as the event is triggered.
   */
  when(type) {
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this.one(type, deferred.resolve.bind(deferred));
    return deferred.promise();
  }
  addListener(listener) {
    this._eventListeners.push(listener);
  }
  removeListener(listener) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._eventListeners, listener);
  }
  count(type, func) {
    let count = 0;
    this._eventListeners.forEach(listener => {
      if (type && type !== listener.type) {
        return;
      }
      if (func && func !== listener.func) {
        return;
      }
      count++;
    });
    return count;
  }
  /**
   * @returns the event types of the registered listeners
   */
  types() {
    let types = new Set();
    for (const listener of this._eventListeners) {
      if (listener.type) {
        types.add(listener.type);
      }
    }
    return Array.from(types);
  }
  trigger(type, event) {
    event = event || {};
    event.type = type;
    // Create copy because firing a trigger might modify the list of listeners
    let listeners = this._eventListeners.slice();
    // Use traditional "for" loop to reduce size of stack trace
    for (let i = 0; i < listeners.length; i++) {
      let listener = listeners[i];
      if (!listener.type || this._typeMatches(event, listener.type)) {
        listener.func(event);
      }
    }
  }
  _typeMatches(event, listenerType) {
    let eventType = event.type;
    let types = listenerType.split(' ');
    // support for multi type definition 'type1 type2 [...]'
    for (let i = 0; i < types.length; i++) {
      if (eventType === types[i]) {
        return true;
      }
      if (this._subTypeMatches(event, types[i])) {
        return true;
      }
    }
    return false;
  }
  _subTypeMatches(event, listenerType) {
    if (listenerType.indexOf(':') < 0) {
      return false;
    }
    let parts = listenerType.split(':');
    let type = parts[0];
    let subType = parts[1];
    if (type !== event.type) {
      return false;
    }
    let predicate = this._subTypePredicates[type];
    if (!predicate) {
      return;
    }
    return predicate(event, subType);
  }
  /**
   *
   * @param type the type which could contain a subtype
   * @param predicate the predicate which will be tested when an event with the given type is triggered.
   */
  registerSubTypePredicate(type, predicate) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('type', type);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('predicate', predicate);
    this._subTypePredicates[type] = predicate;
  }
}

/***/ }),

/***/ "./src/events/PropertyChangeEvent.ts":
/*!*******************************************!*\
  !*** ./src/events/PropertyChangeEvent.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   isPropertyChangeEvent: () => (/* binding */ isPropertyChangeEvent)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

function isPropertyChangeEvent(event) {
  return event instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Event && !!event.propertyName;
}

/***/ }),

/***/ "./src/events/PropertyEventEmitter.ts":
/*!********************************************!*\
  !*** ./src/events/PropertyEventEmitter.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PropertyEventEmitter: () => (/* binding */ PropertyEventEmitter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PropertyEventEmitter extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  // <alias, {MultiDimensionalProperty} & config>
  constructor() {
    super();
    _defineProperty(this, "initialized", void 0);
    /**
     * Contains the names of properties that are decorated grouped by the decoration. Subclasses can add their own decorations.
     */
    _defineProperty(this, "propertyDecorations", void 0);
    _defineProperty(this, "_propertyDimensions", void 0);
    // <MultiDimensionalProperty, <Dimension, value>>
    _defineProperty(this, "_propertyDimensionDefaults", void 0);
    // <MultiDimensionalProperty, defaultValue>
    _defineProperty(this, "_propertyDimensionAliases", void 0);
    this.events.registerSubTypePredicate('propertyChange', (event, propertyName) => event.propertyName === propertyName);
    this.propertyDecorations = {
      computed: new Set()
    };
    this._propertyDimensions = {};
    this._propertyDimensionDefaults = {};
    this._propertyDimensionAliases = {};
    this.initialized = false;
  }
  init(model) {
    model = model || {};
    this._init(model);
    this.initialized = true;
  }
  _init(model) {
    for (const [propertyName, value] of Object.entries(model)) {
      this._initProperty(propertyName, value);
    }
    this._initMultiDimensionalProperties(model);
  }
  /**
   * Called during initialization to write a property onto the property event emitter.
   *
   * Can be overridden to add a special init behavior for certain properties.
   */
  _initProperty(propertyName, value) {
    if (value === undefined || this.isPropertyDimensionAlias(propertyName)) {
      // Ignore undefined values as $.extend does.
      // Ignore properties that are actually just aliases for dimensions. Since they typically have a getter but no setter, writing them would fail.
      return;
    }
    this._writeProperty(propertyName, value);
  }
  /**
   * Sets a new value for a specific property.
   * If the new value is the same value as the old one, nothing happens.
   *
   * There are different kinds of properties.
   * - If the property is a multidimensional property, an alias for a dimension or a specific dimension, the call will be delegated to {@link setMultiDimensionalProperty} resp. {@link setPropertyDimension}.
   * - Otherwise, the call will be delegated {@link setPropertyInternal} which takes care of actually setting the property.
   *
   * @param propertyName the name of the property
   * @param newValue the new value the property should get
   * @returns true if the property has been changed, false if not.
   */
  setProperty(propertyName, value) {
    if (this.isMultiDimensionalProperty(propertyName)) {
      return this.setMultiDimensionalProperty(propertyName, value);
    }
    let [name, dimension] = this.extractPropertyDimension(propertyName);
    if (name && dimension) {
      return this.setPropertyDimension(name, dimension, value);
    }
    return this.setPropertyInternal(propertyName, value);
  }
  /**
   * Sets a new value for a specific property.
   *
   * If the new value is the same value as the old one, nothing happens.
   * Otherwise, {@link _setProperty} is used to set the property and trigger a property change event.
   *
   * This default behavior can be overridden by implementing a custom \_setXy function where XY is the property name.
   * If such a function exists, it will be called instead of {@link _setProperty}
   *
   * @param propertyName the name of the property
   * @param newValue the new value the property should get
   * @returns true if the property has been changed, false if not.
   */
  setPropertyInternal(propertyName, value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.getProperty(propertyName), value)) {
      return false;
    }
    this._callSetProperty(propertyName, value);
    return true;
  }
  /**
   * Returns the name of the property that is used to store the value.
   *
   * - For regular properties, the name won't be adjusted and returned as it is.
   * - For computed properties, the name will be prefixed with '_'.
   */
  adaptPropertyName(propertyName) {
    if (this.isComputedProperty(propertyName)) {
      return '_' + propertyName;
    }
    return propertyName;
  }
  /**
   * Uses {@link _readProperty} to return the value of the property.
   */
  getProperty(propertyName) {
    return this._readProperty(propertyName);
  }
  /**
   * Adapts the propertyName if necessary using {@link adaptPropertyName} and returns the value of the property.
   *
   * If the propertyName is a dimension or an alias for a dimension, {@link _readPropertyDimension} is used to read the property from the dimension object.
   */
  _readProperty(propertyName) {
    propertyName = this.adaptPropertyName(propertyName);
    // Check if the propertyName is an alias for a dimension or contains a dimension, e.g. propertyName-dimension
    let [dimensionPropertyName, dimension] = this.extractPropertyDimension(propertyName);
    if (dimensionPropertyName && dimension) {
      return this._readPropertyDimension(dimensionPropertyName, dimension);
    }
    // Regular properties are stored on the emitter itself
    return this[propertyName];
  }
  /**
   * Adapts the propertyName if necessary using {@link adaptPropertyName} and writes the value of the property onto the event emitter.
   *
   * If the propertyName is a dimension or an alias for a dimension, the value won't be written onto the emitter directly.
   * Instead, {@link _writePropertyDimension} is used to write the property to the dimension object.
   */
  _writeProperty(propertyName, value) {
    propertyName = this.adaptPropertyName(propertyName);
    // Check if the propertyName is an alias for a dimension or contains a dimension, e.g. propertyName-dimension
    let [dimensionPropertyName, dimension] = this.extractPropertyDimension(propertyName);
    if (dimensionPropertyName && dimension) {
      this._writePropertyDimension(dimensionPropertyName, dimension, value);
      if (dimension === 'default' && !this.initialized) {
        // Default value of default dimension may be set in constructor -> If a value is passed, it should override that default.
        // This is necessary to support setting the dimension in the model using the form 'propertyName-dimension': value
        this[dimensionPropertyName] = value;
      }
      return;
    }
    // Regular properties are stored on the emitter itself
    this[propertyName] = value;
  }
  _callSetProperty(propertyName, value) {
    let setFuncName = '_set' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
    if (this[setFuncName]) {
      this[setFuncName](value);
    } else {
      this._setProperty(propertyName, value);
    }
  }
  /**
   * Sets the value of the property 'propertyName' to 'newValue' and then triggers a propertyChange event for that property.
   *
   * It is possible to prevent the setting of the property value by using {@link Event.preventDefault}.
   *
   * @internal
   * @param propertyName the name of the property
   * @param newValue the new value the property should get
   * @returns true if the property has been changed, false if not.
   */
  _setProperty(propertyName, newValue) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('propertyName', propertyName);
    let oldValue = this._readProperty(propertyName);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(oldValue, newValue)) {
      return false;
    }
    this._writeProperty(propertyName, newValue);
    let event = this.triggerPropertyChange(propertyName, oldValue, newValue);
    if (event.defaultPrevented) {
      // Revert to old value if property change should be prevented
      this._writeProperty(propertyName, oldValue);
      return false; // not changed
    }
    return true;
  }
  /**
   * Triggers a property change for a single property.
   */
  triggerPropertyChange(propertyName, oldValue, newValue) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('propertyName', propertyName);
    return this.trigger('propertyChange', {
      propertyName: propertyName,
      oldValue: oldValue,
      newValue: newValue
    });
  }
  /**
   * Calls the setter of the given property name if it exists. A setter has to be named setXy, where Xy is the property name.
   * If there is no setter for the property name, {@link setProperty} is called.
   */
  callSetter(propertyName, value) {
    let setterFuncName = 'set' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
    if (this[setterFuncName]) {
      this[setterFuncName](value);
    } else {
      this.setProperty(propertyName, value);
    }
  }
  /**
   * Adds the given properties to the list of computed properties to mark them as computed.
   * @see computedProperties
   */
  _addComputedProperties(properties) {
    this._decorateProperties('computed', properties);
  }
  /**
   * @see computedProperties
   */
  isComputedProperty(propertyName) {
    return this.isPropertyDecorated('computed', propertyName);
  }
  /**
   * Contains the names of the properties that should be computed.
   *
   * - A regular property will be set on the object and therefore accessible by the property name (e.g. object.property).
   * - A computed property will be prefixed with an '_' when set on the object and therefore needs a getter to make it accessible.
   *   This makes it possible to compute the state of a property when it is accessed without having to modify the actual state.
   */
  get computedProperties() {
    return this.propertyDecorations['computed'];
  }
  _decorateProperties(decoration, properties) {
    properties = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    for (const property of properties) {
      this.propertyDecorations[decoration].add(property);
    }
  }
  _undecorateProperties(decoration, properties) {
    properties = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    for (const property of properties) {
      this.propertyDecorations[decoration].delete(property);
    }
  }
  isPropertyDecorated(decoration, property) {
    return this.propertyDecorations[decoration].has(property);
  }
  /**
   * Marks a property as multidimensional.
   *
   * A multidimensional property will be computed based on its dimensions. The computation result will always be a boolean, see {@link computeMultiDimensionalProperty}.
   * @param defaultValue is used for dimensions that are not know or set and affects the computation of the value, see {@link computeMultiDimensionalProperty}.
   */
  _addMultiDimensionalProperty(propertyName, defaultValue) {
    this._propertyDimensionDefaults[propertyName] = defaultValue;
    if (this.getProperty(propertyName) === undefined) {
      this.setProperty(propertyName, this.computeMultiDimensionalProperty(propertyName));
    }
  }
  /**
   * @returns the list of all registered multidimensional properties.
   */
  get multiDimensionalProperties() {
    return Object.keys(this._propertyDimensionDefaults);
  }
  /**
   * @returns whether a property is multidimensional
   */
  isMultiDimensionalProperty(propertyName) {
    return propertyName in this._propertyDimensionDefaults;
  }
  /**
   * If the value is an object, the entries in the object are expected to be property dimensions and need to have the correct data type (`boolean`).
   * In that case, {@link setPropertyDimensions} is used to set the dimensions.
   * Otherwise, the `default` dimension for the given property is set using {@link setPropertyDimension}.
   */
  setMultiDimensionalProperty(propertyName, value) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value) && typeof value === 'object' && Object.values(value).every(val => typeof val === 'boolean')) {
      return this.setPropertyDimensions(propertyName, value);
    }
    return this.setPropertyDimension(propertyName, 'default', !!value);
  }
  /**
   * Called during initialization to write the property dimensions and compute the multidimensional properties.
   *
   * It expects the properties to be present on the event emitter. These properties are used as default values for the dimensions.
   * If the properties are not present or undefined, the defaults from {@link _propertyDimensionDefaults} are used.
   * If the value is a boolean, the default dimension is written. If it is an object, every dimension in the object is written.
   * If a dimension has an alias and the model contains a property with the name of the alias, that property has priority over the dimension passed as part of the dimensional object.
   *
   * Afterward, the multidimensional properties are replaced with the computed values.
   */
  _initMultiDimensionalProperties(model) {
    for (const propertyName of this.multiDimensionalProperties) {
      this._initMultiDimensionalProperty(propertyName, this[propertyName]);
    }
    for (const [alias, config] of Object.entries(this._propertyDimensionAliases)) {
      if (model[alias] !== undefined) {
        this._writePropertyDimension(config.propertyName, config.dimension, model[alias]);
      }
    }
    this._updateMultiDimensionalProperties();
  }
  _initMultiDimensionalProperty(propertyName, value) {
    if (typeof value === 'object') {
      this._writePropertyDimensions(propertyName, value);
    } else {
      this._writePropertyDimension(propertyName, 'default', value);
    }
  }
  /**
   * Computes and sets the value for every multidimensional property.
   */
  _updateMultiDimensionalProperties() {
    for (const propertyName of this.multiDimensionalProperties) {
      this._updateMultiDimensionalProperty(propertyName);
    }
  }
  /**
   * Computes and sets the value for the given multidimensional property.
   */
  _updateMultiDimensionalProperty(propertyName) {
    return this.setPropertyInternal(propertyName, this.computeMultiDimensionalProperty(propertyName));
  }
  /**
   * Computes the value for the given multidimensional property.
   * If the value of a dimension is different from the given defaultValue, the result of the computation will be the negated defaultValue.
   *
   * Examples:
   * - The default value is true. If no dimension is set, the value of the multidimensional property will be true.
   *   If at least one dimension is false, the value of the multidimensional property will be false.
   * - The default value is false. If no dimension is set, the value of the multidimensional property will be false.
   *   If at least one dimension is true, the value of the multidimensional property will be true.
   *
   * @param excludedDimensions the dimensions to not consider for the computation. By default, no dimensions are excluded.
   * @returns the computed value for the given property based on its dimensions.
   */
  computeMultiDimensionalProperty(propertyName, excludedDimensions) {
    let defaultValue = this.getPropertyDimensionDefault(propertyName);
    for (const dimension of Object.keys(this.getPropertyDimensions(propertyName))) {
      if (excludedDimensions && excludedDimensions.includes(dimension)) {
        continue;
      }
      // Dimensions having the default value are not in the map -> As soon as there is at least one entry, the loop can be aborted
      return !defaultValue;
    }
    // No values found that are different from the default value -> return defaultValue
    return defaultValue;
  }
  /**
   * Sets the value for the given property dimension by using {@link setPropertyDimensions}.
   */
  setPropertyDimension(propertyName, dimension, value) {
    let dimensions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this._propertyDimensions[propertyName], {
      [dimension]: value
    });
    return this.setPropertyDimensions(propertyName, dimensions);
  }
  /**
   * Sets the new dimensional values for the given property.
   *
   * For each dimension, a property change event is triggered with the property name and the dimension separated by '-'.
   *
   * Example: For the property 'prop' and the dimension 'dim' there will be a property change event with the name 'prop-dim'.
   * You can listen for this event in the same way as for regular property change events which is: `emitter.on('propertyChange:prop-dim')`.
   *
   * After setting the dimensions and triggering the events, the main property will be updated with the new value based on every dimension.
   * @param propertyName the name of the multidimensional property
   * @param dimension the new dimensions to be set for the given propertyName. If a specific dimension is not set in the map, the default value for that multidimensional property is used.
   *                  Hence, if the map is empty, the multidimensional property will be set to the default value
   */
  setPropertyDimensions(propertyName, dimensions) {
    // If a dimension is not set, it either means the dimension does not exist or it should point to the default value.
    // To support the second case, the dimension object is enriched with the default values for the existing keys.
    // This also makes sure that passing an empty dimension object will reset the dimensions to the default (which eventually deletes them, see _writePropertyDimension)
    dimensions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, dimensions);
    for (const dimension of Object.keys(this._propertyDimensions[propertyName] || {})) {
      dimensions[dimension] = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dimensions[dimension], this.getPropertyDimensionDefault(propertyName, dimension));
    }
    let changed = false;
    for (const [dimension, value] of Object.entries(dimensions)) {
      let internalPropertyName = propertyName + '-' + dimension;
      let alias = this.getAliasForPropertyDimension(propertyName, dimension);
      if (alias) {
        internalPropertyName = alias;
      }
      if (this.setPropertyInternal(internalPropertyName, value)) {
        changed = true;
      }
    }
    // Do nothing if no dimension has changed and the computed property has been set.
    // If the computed property has not been set yet, it needs to be done now.
    if (!changed && this.getProperty(propertyName) !== undefined) {
      return false;
    }
    // Update computed property based on dimensions
    return this._updateMultiDimensionalProperty(propertyName);
  }
  /**
   * @returns the value for a specific property dimension or the default value of the property if the dimension is not set or known.
   */
  getPropertyDimension(propertyName, dimension) {
    return this._readPropertyDimension(propertyName, dimension);
  }
  /**
   * @returns an object containing all dimensions with their values for a specific property.
   */
  getPropertyDimensions(propertyName) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this._propertyDimensions[propertyName]);
  }
  /**
   * @returns the existing dimensions for a property extended with the given dimension
   */
  extendPropertyDimensions(propertyName, dimension, value) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this.getPropertyDimensions(propertyName), {
      [dimension]: value
    });
  }
  /**
   * Adds an alias for a property dimension with the same name. If a dimension has an alias, the dimension looks like a regular property but behaves like a dimension.
   *
   * Meaning: {@link setProperty}/{@link getProperty} can be called using the alias only without the need to add the name of the multidimensional property as well separated with `-`.
   * The same applies to the propertyChange event: changing the property will also trigger a propertyChange event with the name of the alias (e.g. propertyChange:alias).
   * Additionally, because it is actually a dimension, setting the property will also update the multidimensional property considering this dimension.
   *
   * To further simulate a regular property, it is recommended to add a getter with the name of the alias.
   */
  _addPropertyDimensionAlias(propertyName, alias, config) {
    config = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      inverted: false,
      dimension: alias
    }, config);
    this._propertyDimensionAliases[alias] = {
      propertyName,
      ...config
    };
  }
  isPropertyDimensionAlias(dimension) {
    return !!this._propertyDimensionAliases[dimension];
  }
  /**
   * @returns the alias for a property dimension, if there is an alias registered for that dimension
   */
  getAliasForPropertyDimension(propertyName, dimension) {
    for (const [alias, config] of Object.entries(this._propertyDimensionAliases)) {
      if (config.propertyName === propertyName && config.dimension === dimension) {
        return alias;
      }
    }
    return null;
  }
  /**
   * @returns a tuple with the property name and dimension for an alias, if there is an alias registered for that name.
   */
  getPropertyDimensionForAlias(alias) {
    let config = this._propertyDimensionAliases[alias];
    if (config) {
      return [config.propertyName, config.dimension];
    }
    return [null, null];
  }
  /**
   * @returns the default value for a multidimensional property. If a dimension is specified and that dimension belongs to an inverted alias, the default value will be inverted.
   */
  getPropertyDimensionDefault(propertyName, dimension) {
    var _this$_propertyDimens;
    let defaultValue = this._propertyDimensionDefaults[propertyName];
    if ((_this$_propertyDimens = this._propertyDimensionAliases[dimension]) !== null && _this$_propertyDimens !== void 0 && _this$_propertyDimens.inverted) {
      return !defaultValue;
    }
    return defaultValue;
  }
  _readPropertyDimension(propertyName, dimension) {
    let dimensions = this._propertyDimensions[propertyName] || {};
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dimensions[dimension], this.getPropertyDimensionDefault(propertyName, dimension));
  }
  /**
   * Writes a specific dimension. If the dimension has the same value as the default value of the property, the dimension will be deleted.
   */
  _writePropertyDimension(propertyName, dimension, value) {
    let dimensions = this._propertyDimensions[propertyName] || {};
    if (value === this.getPropertyDimensionDefault(propertyName, dimension)) {
      delete dimensions[dimension];
    } else {
      dimensions[dimension] = value;
    }
    this._propertyDimensions[propertyName] = dimensions;
  }
  /**
   * Overrides all existing dimensions for a property with the new ones.
   */
  _writePropertyDimensions(propertyName, dimensions) {
    for (const [dimension, value] of Object.entries(dimensions || {})) {
      this._writePropertyDimension(propertyName, dimension, value);
    }
  }
  /**
   * If the propertyName contains the name of a multidimensional property and a dimension separated by '-',
   * an array with the name of the property and the name of the dimension is returned.
   * Otherwise, the returned array contains two null values.
   */
  extractPropertyDimension(propertyName) {
    // Check if the propertyName is an alias for a dimension
    let [name, dimension] = this.getPropertyDimensionForAlias(propertyName);
    if (name && dimension) {
      return [name, dimension];
    }
    // Check if the propertyName contains a dimension, e.g. propertyName-dimension
    if (!propertyName.includes('-')) {
      return [null, null];
    }
    [name, dimension] = propertyName.split('-');
    if (this.isMultiDimensionalProperty(name)) {
      return [name, dimension];
    }
    return [null, null];
  }
}

/***/ }),

/***/ "./src/events/PropertyEventMap.ts":
/*!****************************************!*\
  !*** ./src/events/PropertyEventMap.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filechooser/FileChooser.ts":
/*!****************************************!*\
  !*** ./src/filechooser/FileChooser.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooser: () => (/* binding */ FileChooser)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooser extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "maximumUploadSize", void 0);
    _defineProperty(this, "acceptTypes", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "displayParent", void 0);
    _defineProperty(this, "files", void 0);
    _defineProperty(this, "boxButtons", void 0);
    _defineProperty(this, "uploadButton", void 0);
    _defineProperty(this, "cancelButton", void 0);
    _defineProperty(this, "fileInput", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$files", void 0);
    _defineProperty(this, "dragAndDropHandler", void 0);
    _defineProperty(this, "_glassPaneRenderer", void 0);
    this.displayParent = null;
    this.files = [];
    this._glassPaneRenderer = null;
    this.maximumUploadSize = _index__WEBPACK_IMPORTED_MODULE_0__.FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE;
    this.boxButtons = null;
    this.uploadButton = null;
    this.cancelButton = null;
    this.inheritAccessibility = false; // inherit not necessary. if the FileChooser can be opened, it must be editable. Opening a disabled chooser makes no sense.
    this._addWidgetProperties(['boxButtons', 'uploadButton', 'cancelButton']);
  }
  _init(model) {
    super._init(model);
    this._setDisplayParent(this.displayParent);
    this._glassPaneRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.GlassPaneRenderer(this);
    this.fileInput = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileInput, {
      parent: this,
      acceptTypes: this.acceptTypes,
      maximumUploadSize: this.maximumUploadSize,
      multiSelect: this.multiSelect,
      visible: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsFile()
    });
    this.fileInput.on('change', this._onFileChange.bind(this));
    this.boxButtons = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BoxButtons, {
      parent: this
    });
    let addFileButton = this.boxButtons.addButton({
      text: this.session.text('ui.Browse')
    });
    addFileButton.on('action', event => this._onAddFileButtonClicked(event));
    this.uploadButton = this.boxButtons.addButton({
      text: this.session.text('ui.Upload'),
      enabled: false
    });
    this.uploadButton.on('action', event => this._onUploadButtonClicked(event));
    this.cancelButton = this.boxButtons.addButton({
      text: this.session.text('Cancel')
    });
    this.cancelButton.on('action', event => this._onCancelButtonClicked(event));
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.FocusAdjacentElementKeyStroke(this.session, this), new _index__WEBPACK_IMPORTED_MODULE_0__.ClickActiveElementKeyStroke(this, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER]), new _index__WEBPACK_IMPORTED_MODULE_0__.CloseKeyStroke(this, () => {
      if (!this.cancelButton) {
        return null;
      }
      return this.cancelButton.$container;
    })]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('file-chooser').on('mousedown', this._onMouseDown.bind(this));
    let $handle = this.$container.appendDiv('drag-handle');
    this.$container.draggable($handle);
    this.$content = this.$container.appendDiv('file-chooser-content');
    this.$title = this.$content.appendDiv('file-chooser-title').text(this.session.text(this.multiSelect ? 'ui.ChooseFiles' : 'ui.ChooseFile'));
    this.fileInput.render(this.$content);
    // explanation for file chooser
    this.$content.appendDiv('file-chooser-label').text(this.session.text('ui.FileChooserHint'));
    // List of files
    this.$files = this.$content.appendElement('<ul>', 'file-chooser-files');
    this._installScrollbars();
    // Buttons
    this.boxButtons.render();
    this.boxButtons.$container.addClass('file-chooser-buttons');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.FormLayout(this));
    this.$container.addClassForAnimation('animate-open');
    // Prevent resizing when file chooser is dragged off the viewport
    this.$container.addClass('calc-helper');
    let windowSize = this.$container.windowSize();
    // Use css width, but ensure that it is not larger than the window (mobile)
    let w = Math.min(this.$container.width(), windowSize.width);
    this.$container.css('min-width', w);
    this.$container.css('max-width', w);
    this.$container.removeClass('calc-helper');
    // Render modality glass-panes
    this._glassPaneRenderer.renderGlassPanes();
    // Now that all texts, paddings, widths etc. are set, we can calculate the position
    this._position();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderFiles();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._installOrUninstallDragAndDropHandler();
  }
  _postRender() {
    super._postRender();
    this._installFocusContext();
  }
  _remove() {
    this._glassPaneRenderer.removeGlassPanes();
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.uninstallDragAndDropHandler(this);
    this._uninstallFocusContext();
    super._remove();
  }
  _installFocusContext() {
    this.session.focusManager.installFocusContext(this.$container, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO);
  }
  _uninstallFocusContext() {
    this.session.focusManager.uninstallFocusContext(this.$container);
  }
  get$Scrollable() {
    return this.$files;
  }
  _position() {
    this.$container.cssMarginLeft(-this.$container.outerWidth() / 2);
  }
  setDisplayParent(displayParent) {
    this.setProperty('displayParent', displayParent);
  }
  _setDisplayParent(displayParent) {
    this._setProperty('displayParent', displayParent);
    if (displayParent) {
      this.setParent(this.findDesktop().computeParentForDisplayParent(displayParent));
    }
  }
  setMaximumUploadSize(maximumUploadSize) {
    this.setProperty('maximumUploadSize', maximumUploadSize);
    this.fileInput.setMaximumUploadSize(maximumUploadSize);
  }
  /**
   * Renders the file chooser and links it with the display parent.
   */
  open() {
    this.setDisplayParent(this.displayParent || this.session.desktop);
    this.displayParent.fileChooserController.registerAndRender(this);
  }
  /**
   * Destroys the file chooser and unlinks it from the display parent.
   */
  close() {
    if (!this.rendered) {
      this.cancel();
      return;
    }
    if (this.cancelButton && this.cancelButton.$container && this.session.focusManager.requestFocus(this.cancelButton.$container)) {
      this.cancelButton.doAction();
    }
  }
  cancel() {
    let event = this.trigger('cancel');
    if (!event.defaultPrevented) {
      this._close();
    }
  }
  /**
   * Destroys the file chooser and unlinks it from the display parent.
   */
  _close() {
    if (this.displayParent) {
      this.displayParent.fileChooserController.unregisterAndRemove(this);
    }
    this.destroy();
  }
  _installOrUninstallDragAndDropHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.installOrUninstallDragAndDropHandler({
      target: this,
      onDrop: event => this.addFiles(event.files),
      dropMaximumSize: () => this.maximumUploadSize,
      // disable file validation
      validateFiles: (files, defaultValidator) => {
        // nop
      }
    });
  }
  browse() {
    this.fileInput.browse();
  }
  setAcceptTypes(acceptTypes) {
    this.setProperty('acceptTypes', acceptTypes);
    this.fileInput.setAcceptTypes(acceptTypes);
  }
  setMultiSelect(multiSelect) {
    this.setProperty('multiSelect', multiSelect);
    this.fileInput.setMultiSelect(multiSelect);
  }
  addFiles(files) {
    if (files instanceof FileList) {
      files = _index__WEBPACK_IMPORTED_MODULE_0__.files.fileListToArray(files);
    }
    files = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(files);
    if (files.length === 0) {
      return;
    }
    if (!this.multiSelect) {
      this.setFiles([files[0]]);
    } else {
      // copy so that parameter stays untouched
      files = files.slice();
      // append new files to existing ones
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insertAll(files, this.files, 0);
      this.setFiles(files);
    }
  }
  removeFile(file) {
    let files = this.files.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(files, file);
    this.setFiles(files);
    // Clear the input, otherwise user could not choose the file which he has removed previously
    this.fileInput.clear();
  }
  setFiles(files) {
    if (files instanceof FileList) {
      files = _index__WEBPACK_IMPORTED_MODULE_0__.files.fileListToArray(files);
    }
    files = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(files);
    try {
      this.fileInput.validateMaximumUploadSize(files);
    } catch (errorMessage) {
      _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxes.createOk(this).withHeader(this.session.text('ui.FileSizeLimitTitle')).withBody(_index__WEBPACK_IMPORTED_MODULE_0__.files.getErrorMessageMaximumUploadSizeExceeded(this.session, this.fileInput.maximumUploadSize)).withSeverity(_index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR).buildAndOpen();
      return;
    }
    this.setProperty('files', files);
  }
  _renderFiles() {
    let files = this.files;
    this.$files.empty();
    files.forEach(file => {
      let $file = this.$files.appendElement('<li>', 'file', file.name);
      // Append a space to allow the browser to break the line here when it gets too long
      $file.append(' ');
      let $remove = $file.appendSpan('remove').on('click', this.removeFile.bind(this, file));
      let $removeLink = $file.makeElement('<a>', 'remove-link', this.session.text('Remove'));
      $remove.append($removeLink);
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$files);
    this.uploadButton.setEnabled(files.length > 0);
  }
  _onUploadButtonClicked(event) {
    this.trigger('upload');
  }
  _onCancelButtonClicked(event) {
    this.cancel();
  }
  _onAddFileButtonClicked(event) {
    this.browse();
  }
  _onFileChange(event) {
    this.addFiles(event.files);
  }
  _onMouseDown(event) {
    // If there is a dialog in the parent-hierarchy activate it in order to bring it on top of other dialogs.
    let parent = this.findParent(p => p instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && p.isDialog());
    if (parent) {
      parent.activate();
    }
  }
  _attach() {
    this.$parent.append(this.$container);
    super._attach();
  }
  _detach() {
    this.$container.detach();
    super._detach();
  }
}

/***/ }),

/***/ "./src/filechooser/FileChooserAdapter.ts":
/*!***********************************************!*\
  !*** ./src/filechooser/FileChooserAdapter.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserAdapter: () => (/* binding */ FileChooserAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetCancel(event) {
    // Do not close the file chooser immediately, server will send the close event
    event.preventDefault();
    this._send('cancel');
  }
  _onWidgetEvent(event) {
    if (event.type === 'cancel') {
      this._onWidgetCancel(event);
    } else if (event.type === 'upload') {
      this._onUpload(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onUpload(event) {
    if (this.widget.rendered) {
      this.widget.uploadButton.setEnabled(false);
    }
    if (this.widget.files.length === 0) {
      return;
    }
    this.session.uploadFiles(this, this.widget.files, undefined, this.widget.maximumUploadSize);
    this.session.listen().done(() => {
      if (this.widget && this.widget.rendered) {
        this.widget.uploadButton.setEnabled(true);
      }
    });
  }
}

/***/ }),

/***/ "./src/filechooser/FileChooserController.ts":
/*!**************************************************!*\
  !*** ./src/filechooser/FileChooserController.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserController: () => (/* binding */ FileChooserController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Controller with functionality to register and render file choosers.
 *
 * The file choosers are put into the list fileChoosers contained in 'displayParent'.
 */
class FileChooserController extends _index__WEBPACK_IMPORTED_MODULE_0__.DisplayChildController {
  /**
   * Removes all file choosers registered with this controller from DOM.
   */
  remove() {
    this.displayParent.fileChoosers.forEach(this._remove.bind(this));
  }
  /**
   * Renders all file choosers registered with this controller.
   */
  render() {
    this.displayParent.fileChoosers.forEach(chooser => {
      chooser.setDisplayParent(this.displayParent);
      this._render(chooser);
    });
  }
  /**
   * Attaches all file choosers to their original DOM parents.
   * In contrast to 'render', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already attached.
   */
  attach() {
    this.displayParent.fileChoosers.forEach(fileChooser => fileChooser.attach());
  }
  /**
   * Detaches all file choosers from their DOM parents. Thereby, modality glassPanes are not detached.
   * In contrast to 'remove', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already detached.
   */
  detach() {
    this.displayParent.fileChoosers.forEach(fileChooser => fileChooser.detach());
  }
  _register(fileChooser) {
    this._registerChild(fileChooser, this.displayParent.fileChoosers, 'fileChoosers');
  }
  _unregister(fileChooser) {
    this._unregisterChild(fileChooser, this.displayParent.fileChoosers, 'fileChoosers');
  }
}

/***/ }),

/***/ "./src/filechooser/FileChooserEventMap.ts":
/*!************************************************!*\
  !*** ./src/filechooser/FileChooserEventMap.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filechooser/FileChooserModel.ts":
/*!*********************************************!*\
  !*** ./src/filechooser/FileChooserModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filechooser/FileInput.ts":
/*!**************************************!*\
  !*** ./src/filechooser/FileInput.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileInput: () => (/* binding */ FileInput)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileInput extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "acceptTypes", void 0);
    _defineProperty(this, "maximumUploadSize", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "uploadController", void 0);
    _defineProperty(this, "files", void 0);
    _defineProperty(this, "$fileInput", void 0);
    _defineProperty(this, "$text", void 0);
    _defineProperty(this, "dragAndDropHandler", void 0);
    this.acceptTypes = null;
    this.maximumUploadSize = FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE;
    this.multiSelect = false;
    this.files = [];
    this.text = null;
  }
  /**
   * 50 MiB
   */

  _init(model) {
    super._init(model);
    this.uploadController = model.uploadController || model.parent;
  }
  _render() {
    this.$fileInput = this.$parent.makeElement('<input>').attr('type', 'file').on('change', this._onFileChange.bind(this));
    this.$container = this.$parent.appendDiv('file-input input-field');
    this.$fileInput.appendTo(this.$container);
    this.$container.on('mousedown', this._onMouseDown.bind(this));
    this.$text = this.$container.appendDiv('file-input-text');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderText();
    this._renderAcceptTypes();
    this._renderMultiSelect();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._installOrUninstallDragAndDropHandler();
    this.$container.setTabbable(this.enabledComputed);
  }
  setText(text) {
    this.setProperty('text', text);
  }
  _renderText() {
    let text = this.text || '';
    this.$text.text(text);
  }
  setAcceptTypes(acceptTypes) {
    this.setProperty('acceptTypes', acceptTypes);
  }
  _renderAcceptTypes() {
    let acceptTypes = this.acceptTypes || '';
    this.$fileInput.attr('accept', acceptTypes);
  }
  setMultiSelect(multiSelect) {
    this.setProperty('multiSelect', multiSelect);
  }
  _renderMultiSelect() {
    this.$fileInput.prop('multiple', this.multiSelect);
  }
  setMaximumUploadSize(maximumUploadSize) {
    this.setProperty('maximumUploadSize', maximumUploadSize);
  }
  _remove() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.uninstallDragAndDropHandler(this);
    super._remove();
  }
  _installOrUninstallDragAndDropHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.installOrUninstallDragAndDropHandler({
      target: this,
      onDrop: event => {
        if (event.files.length >= 1) {
          this.setFiles(event.files);
        }
      },
      dropMaximumSize: () => this.maximumUploadSize,
      // disable file validation
      validateFiles: (files, defaultValidator) => {
        // nop
      }
    });
  }
  clear() {
    this.setFiles([]);
    // _setFiles actually sets the text as well, but only if files have changed.
    // Make sure text is cleared as well if there are no files but a text set.
    this.setText(null);
    if (this.rendered) {
      this.$fileInput.val(null);
    }
  }
  setFiles(files) {
    let fileArray;
    if (files instanceof FileList) {
      fileArray = _index__WEBPACK_IMPORTED_MODULE_0__.files.fileListToArray(files);
    } else {
      fileArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(files);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this.files, fileArray)) {
      return;
    }
    let name = '';
    if (fileArray.length > 0) {
      name = fileArray[0].name;
    }
    this.files = fileArray;
    this.setText(name);
    this.trigger('change', {
      files: fileArray
    });
  }
  upload() {
    if (this.files.length === 0) {
      return true;
    }
    return this.session.uploadFiles(this.uploadController, this.files, undefined, this.maximumUploadSize);
  }
  browse() {
    // Trigger browser's file chooser
    this.$fileInput.trigger('click');
  }
  _onFileChange(event) {
    let files = this.$fileInput[0].files;
    if (files.length) {
      this.setFiles(files);
    }
  }
  _onMouseDown(event) {
    if (!this.enabled) {
      return;
    }
    this.browse();
  }
  validateMaximumUploadSize(files) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.files.validateMaximumUploadSize(files, this.maximumUploadSize)) {
      throw _index__WEBPACK_IMPORTED_MODULE_0__.files.getErrorMessageMaximumUploadSizeExceeded(this.session, this.maximumUploadSize);
    }
  }
}
_defineProperty(FileInput, "DEFAULT_MAXIMUM_UPLOAD_SIZE", 50 * 1024 * 1024);

/***/ }),

/***/ "./src/filechooser/FileInputEventMap.ts":
/*!**********************************************!*\
  !*** ./src/filechooser/FileInputEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filechooser/FileInputModel.ts":
/*!*******************************************!*\
  !*** ./src/filechooser/FileInputModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filter/Filter.ts":
/*!******************************!*\
  !*** ./src/filter/Filter.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/filter/FilterSupport.ts":
/*!*************************************!*\
  !*** ./src/filter/FilterSupport.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FilterSupport: () => (/* binding */ FilterSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FilterSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetSupport {
  /**
   * @param options a mandatory options object
   */
  constructor(options) {
    super(options);
    _defineProperty(this, "_cancelFilterFieldKeyStroke", void 0);
    _defineProperty(this, "_createTextFilter", void 0);
    _defineProperty(this, "_exitFilterFieldKeyStroke", void 0);
    _defineProperty(this, "_filterElements", void 0);
    _defineProperty(this, "_filterField", void 0);
    _defineProperty(this, "_filterFieldDisplayTextChangedHandler", void 0);
    _defineProperty(this, "_focusFilterFieldKeyStroke", void 0);
    _defineProperty(this, "_focusInHandler", void 0);
    _defineProperty(this, "_focusOutHandler", void 0);
    _defineProperty(this, "_getElementText", void 0);
    _defineProperty(this, "_getElementsForFiltering", void 0);
    _defineProperty(this, "_textFilter", void 0);
    _defineProperty(this, "_updateTextFilterText", void 0);
    if (options.filterElements) {
      this._filterElements = options.filterElements;
    } else {
      this._filterElements = this._filter.bind(this);
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('getElementsForFiltering', options.getElementsForFiltering);
      this._getElementsForFiltering = options.getElementsForFiltering;
    }
    this._getElementText = options.getElementText || (element => $(element).text());
    if (options.createTextFilter) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('updateTextFilterText', options.updateTextFilterText);
      this._createTextFilter = options.createTextFilter;
      this._updateTextFilterText = options.updateTextFilterText;
    } else {
      this._createTextFilter = this._createDefaultTextFilter.bind(this);
      this._updateTextFilterText = this._updateDefaultTextFilterText.bind(this);
    }
    this._filterField = null;
    this._filterFieldDisplayTextChangedHandler = this._onFilterFieldDisplayTextChanged.bind(this);
    this._focusInHandler = this._onFocusIn.bind(this);
    this._focusOutHandler = this._onFocusOut.bind(this);
    this._focusFilterFieldKeyStroke = null;
    this._cancelFilterFieldKeyStroke = null;
    this._exitFilterFieldKeyStroke = null;
    this._textFilter = null;
  }
  _createDefaultTextFilter() {
    return {
      acceptedText: null,
      accept: element => {
        if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this._textFilter.acceptedText) || !this.widget.isTextFilterFieldVisible()) {
          return true;
        }
        let text = this._getElementText(element);
        if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text)) {
          return false;
        }
        return _index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(text.toLowerCase(), this._textFilter.acceptedText.toLowerCase());
      }
    };
  }
  _updateDefaultTextFilterText(filter, text) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(filter.acceptedText, text)) {
      return false;
    }
    filter.acceptedText = text;
    return true;
  }
  renderFilterField() {
    if (this.widget.isTextFilterFieldVisible()) {
      this._renderFilterField();
    } else {
      this._removeFilterField();
    }
  }
  _renderFilterField() {
    this._ensure$Container();
    this._filterField = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.StringField, {
      parent: this.widget,
      label: this.widget.session.text('ui.Filter'),
      labelVisible: false,
      inheritAccessibility: false,
      cssClass: 'filter-field empty',
      fieldStyle: _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.CLASSIC,
      statusVisible: false,
      clearable: _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.ALWAYS,
      updateDisplayTextOnModify: true,
      preventInitialFocus: true,
      checkSaveNeeded: false
    });
    this._filterField.render(this.$container);
    this._filterField.$field.attr('tabindex', -1);
    if (!this.widget.rendered) {
      this.widget.one('render', event => this._updateFilterFieldBackgroundColor());
    } else {
      this._updateFilterFieldBackgroundColor();
    }
    this._textFilter = this._createTextFilter();
    this._textFilter.synthetic = true;
    this.addFilter(this._textFilter);
    this._filterField.on('propertyChange:displayText', this._filterFieldDisplayTextChangedHandler);
    this.widget.$container.on('focusin', this._focusInHandler);
    this.widget.$container.on('focusout', this._focusOutHandler);
    this.widget.$container.data('filter-field', this._filterField.$field);
    this._focusFilterFieldKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.FocusFilterFieldKeyStroke(this.widget);
    this.widget.keyStrokeContext.registerKeyStroke(this._focusFilterFieldKeyStroke);
    this._cancelFilterFieldKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke();
    this._cancelFilterFieldKeyStroke.field = this._filterField;
    this._cancelFilterFieldKeyStroke.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC];
    this._cancelFilterFieldKeyStroke.stopPropagation = true;
    this._cancelFilterFieldKeyStroke.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this._cancelFilterFieldKeyStroke.handle = this._cancelFilterField.bind(this);
    this._filterField.keyStrokeContext.registerKeyStroke(this._cancelFilterFieldKeyStroke);
    this._exitFilterFieldKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke();
    this._exitFilterFieldKeyStroke.field = this._filterField;
    this._exitFilterFieldKeyStroke.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this._exitFilterFieldKeyStroke.stopPropagation = true;
    this._exitFilterFieldKeyStroke.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this._exitFilterFieldKeyStroke.handle = this._exitFilterField.bind(this);
    this._filterField.keyStrokeContext.registerKeyStroke(this._exitFilterFieldKeyStroke);
  }
  _updateFilterFieldBackgroundColor() {
    if (!this._filterField || !this._filterField.rendered) {
      return;
    }
    let color = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getFirstOpaqueBackgroundColor(this._filterField.$container),
      colorRgba = $.extend(true, {
        red: 0,
        green: 0,
        blue: 0,
        alpha: 1
      }, _index__WEBPACK_IMPORTED_MODULE_0__.styles.rgb(color)),
      transparent50Color = 'rgba(' + colorRgba.red + ', ' + colorRgba.green + ', ' + colorRgba.blue + ', ' + 0.5 + ')',
      transparent80Color = 'rgba(' + colorRgba.red + ', ' + colorRgba.green + ', ' + colorRgba.blue + ', ' + 0.8 + ')';
    this._filterField.$container.css('--filter-field-background-color', color);
    this._filterField.$container.css('--filter-field-transparent-50-background-color', transparent50Color);
    this._filterField.$container.css('--filter-field-transparent-80-background-color', transparent80Color);
  }
  _onFilterFieldDisplayTextChanged(event) {
    if (this._filterField && this._filterField.rendered) {
      this._filterField.$container.toggleClass('empty', !event.newValue);
    }
    if (!this._updateTextFilterText(this._textFilter, event.newValue)) {
      return;
    }
    this.filter();
  }
  _onFocusIn(event) {
    this._updateFocusInsideWidget(event.target);
  }
  _onFocusOut(event) {
    this._updateFocusInsideWidget(event.relatedTarget);
  }
  _updateFocusInsideWidget(target) {
    let focusInsideWidget = this.widget.$container.isOrHas(target);
    if (this._filterField && this._filterField.rendered) {
      this._filterField.$container.toggleClass('focus-inside-widget', focusInsideWidget);
    }
    return focusInsideWidget;
  }
  _exitFilterField() {
    this.widget.focus();
  }
  _cancelFilterField() {
    this._resetFilterField();
    this._exitFilterField();
  }
  _resetFilterField() {
    if (this._filterField) {
      this._filterField.setValue(null);
    }
  }
  _removeFilterField() {
    if (!this._filterField) {
      return;
    }
    this.widget.$container.off('focusin', this._focusInHandler);
    this.widget.$container.off('focusout', this._focusOutHandler);
    this.widget.keyStrokeContext.unregisterKeyStroke(this._focusFilterFieldKeyStroke);
    this._focusFilterFieldKeyStroke = null;
    this._resetFilterField();
    this._filterField.destroy();
    this._filterField = null;
    this.removeFilter(this._textFilter);
    this._textFilter = null;
  }
  remove() {
    this._removeFilterField();
  }
  /**
   * @param filter The filters to add.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   * @returns the added filters.
   */
  addFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let filtersToAdd = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filter);
    let filters = this._getFilters().slice();
    let oldFilters = filters.slice();
    filtersToAdd.forEach(filter => {
      if (this._hasFilter(filters, filter)) {
        return;
      }
      filters.push(filter);
    });
    if (filters.length === this._getFilters().length) {
      return [];
    }
    this._setFilters(filters, applyFilter);
    let newFilters = this._getFilters().slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(newFilters, oldFilters);
    return newFilters;
  }
  /**
   * @param filter The filters to remove.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   * @returns the removed filters.
   */
  removeFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let filtersToRemove = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filter);
    let filters = this._getFilters().slice(),
      oldFilters = filters.slice();
    let changed = false;
    filtersToRemove.forEach(filter => {
      filter = this._findFilter(filters, filter);
      changed = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(filters, filter) || changed;
    });
    if (!changed) {
      return [];
    }
    this._setFilters(filters, applyFilter);
    let newFilters = this._getFilters().slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(oldFilters, newFilters);
    return oldFilters;
  }
  /**
   * @param filter The new filters.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    filters = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filters);
    this._addSyntheticFilters(filters);
    if (this._getFilters().length === filters.length && filters.every(filter => this._hasFilter(this._getFilters(), filter))) {
      return {
        filtersAdded: [],
        filtersRemoved: []
      };
    }
    let oldFilters = this._getFilters().slice();
    this._setFilters(filters, applyFilter);
    let filtersAdded = this._getFilters().filter(filter => !this._findFilter(oldFilters, filter)),
      filtersRemoved = oldFilters.filter(filter => !this._findFilter(this._getFilters(), filter));
    return {
      filtersAdded: filtersAdded,
      filtersRemoved: filtersRemoved
    };
  }
  _setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.widget.setProperty('filters', filters.map(filter => {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(filter)) {
        return this._createFilterByFunction(filter);
      }
      return filter;
    }));
    if (applyFilter) {
      this.filter();
    }
  }
  _addSyntheticFilters(filters) {
    this._getFilters().filter(filter => filter.synthetic).forEach(filter => this._addSyntheticFilter(filters, filter));
    this._addSyntheticFilter(filters, this._textFilter);
  }
  _addSyntheticFilter(filters, syntheticFilter) {
    if (!syntheticFilter || this._hasFilter(filters, syntheticFilter)) {
      return;
    }
    filters.push(syntheticFilter);
  }
  _getFilters() {
    return this.widget.filters;
  }
  _findFilter(filters, filter) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(filter)) {
      return this._getFilterCreatedByFunction(filters, filter);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(filters, f => _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(f, filter));
  }
  _getFilterCreatedByFunction(filters, filterFunc) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(filters, filter => typeof filter !== 'function' && filter.createdByFunction && filter.accept === filterFunc);
  }
  _hasFilter(filters, filter) {
    return !!this._findFilter(filters, filter);
  }
  _createFilterByFunction(filterFunc) {
    return {
      createdByFunction: true,
      accept: filterFunc
    };
  }
  filter() {
    let result = this._filterElements();
    let changed = result && (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(result.newlyHidden).length || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(result.newlyShown).length);
    if (changed) {
      this.widget.filteredElementsDirty = true;
      let opts = {};
      if (this._filterField) {
        opts.textFilterText = this._filterField.displayText;
      }
      this.widget.updateFilteredElements(result, opts);
    }
    return result;
  }
  _filter() {
    return this.applyFilters(this._getElementsForFiltering(), true);
  }
  applyFilters(elements, fullReset) {
    if (this._getFilters().length === 0 && !_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(fullReset, false)) {
      return;
    }
    let newlyShown = [];
    let newlyHidden = [];
    elements.forEach(element => {
      if (this.applyFiltersForElement(element)) {
        if (element.filterAccepted) {
          newlyShown.push(element);
        } else {
          newlyHidden.push(element);
        }
      }
    });
    return {
      newlyHidden: newlyHidden,
      newlyShown: newlyShown
    };
  }
  applyFiltersForElement(element) {
    if (this.elementAcceptedByFilters(element)) {
      if (!element.filterAccepted) {
        element.setFilterAccepted(true);
        return true;
      }
    } else if (element.filterAccepted) {
      element.setFilterAccepted(false);
      return true;
    }
    return false;
  }
  elementAcceptedByFilters(element) {
    return this._getFilters().every(filter => filter.accept(element));
  }
}

/***/ }),

/***/ "./src/filter/FilterSupportOptions.ts":
/*!********************************************!*\
  !*** ./src/filter/FilterSupportOptions.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/focus/FocusContext.ts":
/*!***********************************!*\
  !*** ./src/focus/FocusContext.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FocusContext: () => (/* binding */ FocusContext)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * A focus context is associated with a $container, and controls how to focus elements within that $container.
 */
class FocusContext {
  constructor($container, focusManager) {
    _defineProperty(this, "focusManager", void 0);
    /** variable to store the last valid focus position; used to restore focus once being re-activated. */
    _defineProperty(this, "lastValidFocusedElement", void 0);
    _defineProperty(this, "focusedElement", void 0);
    _defineProperty(this, "prepared", void 0);
    _defineProperty(this, "$container", void 0);
    /** Notice: every listener is installed on $container and not on $field level, except 'remove' listener because it does not bubble. */
    _defineProperty(this, "_keyDownListener", void 0);
    _defineProperty(this, "_focusInListener", void 0);
    _defineProperty(this, "_focusOutListener", void 0);
    _defineProperty(this, "_unfocusableListener", void 0);
    _defineProperty(this, "_removeListener", void 0);
    this.$container = $container;
    this.focusManager = focusManager;
    this.lastValidFocusedElement = null;
    this.focusedElement = null;
    this.prepared = false;
    this._keyDownListener = this._onKeyDown.bind(this);
    this._focusInListener = this._onFocusIn.bind(this);
    this._focusOutListener = this._onFocusOut.bind(this);
    this._unfocusableListener = this._onUnfocusable.bind(this);
    this._removeListener = this._onRemove.bind(this);
  }
  ready() {
    if (this.prepared) {
      return;
    }
    this.$container.on('keydown', this._keyDownListener).on('focusin', this._focusInListener).on('focusout', this._focusOutListener).on('hide disable', this._unfocusableListener);
    this.prepared = true;
    if (this.lastValidFocusedElement) {
      // If a widget requested the focus while focus context was not ready, lastValidFocusedElement is set to that widget but the widget itself is not focused.
      // -> Ensure that widget is focused
      this.restoreFocus();
    }
  }
  dispose() {
    if (!this.prepared) {
      return;
    }
    this.$container.off('keydown', this._keyDownListener).off('focusin', this._focusInListener).off('focusout', this._focusOutListener).off('hide disable', this._unfocusableListener);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(this.focusedElement).off('remove', this._removeListener);
  }
  /**
   * Method invoked once a 'keydown' event is fired to control proper tab cycle.
   */
  _onKeyDown(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB) {
      this.focusNextTabbable(!event.shiftKey, event);
    }
  }
  /**
   * Starting from the current `activeElement`, focuses the next or previous valid element within this focus context.
   * If the context does not contain tabbable elements or the `activeElement` is not part of this context, nothing happens.
   *
   * If a TAB key event is given and the target element is the next element in the natural DOM order, the focus is not
   * changed by this method. Instead, the focus is expected to be automatically changed by the browser (default tabbing
   * behavior).
   */
  focusNextTabbable() {
    let forward = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    let event = arguments.length > 1 ? arguments[1] : undefined;
    let $allFocusableElements = this.$container.find(':tabbable');
    let $focusableElements = $allFocusableElements.filter((index, elem) => !this.focusManager.isElementCovertByGlassPane(elem));
    if ($focusableElements.length === 0) {
      return; // no focusable elements -> nothing to do
    }
    let activeElement = this.$container.activeElement(true);
    let activeElementIndex = $focusableElements.index(activeElement);
    let firstFocusableElement = $focusableElements.first()[0];
    let lastFocusableElement = $focusableElements.last()[0];
    let elementToFocus = null;
    let explicitFocus = false;
    if (forward) {
      // --- FORWARD ---
      // If the last focusable element is currently focused, or the focus is on the container, set the focus to the first focusable element
      if (activeElement === lastFocusableElement || activeElement === this.$container[0]) {
        elementToFocus = firstFocusableElement;
        explicitFocus = true;
      } else if (activeElementIndex < $focusableElements.length - 1) {
        elementToFocus = $focusableElements.get(activeElementIndex + 1);
        // Check if next element that would be focused by the browser is covered by a glass pane. If yes, don't let the browser focus it
        explicitFocus = $allFocusableElements.get($allFocusableElements.index(activeElement) + 1) !== elementToFocus;
      }
    } else {
      // --- BACKWARD ---
      // If the first focusable element is currently focused, or the focus is on the container, set the focus to the last focusable element
      if (activeElement === firstFocusableElement || activeElement === this.$container[0]) {
        elementToFocus = lastFocusableElement;
        explicitFocus = true;
      } else if (activeElementIndex > 0) {
        elementToFocus = $focusableElements.get(activeElementIndex - 1);
        // Check if next element that would be focused by the browser is covered by a glass pane. If yes, don't let the browser focus it
        explicitFocus = $allFocusableElements.get($allFocusableElements.index(activeElement) - 1) !== elementToFocus;
      }
    }
    if (!elementToFocus) {
      return; // no valid element found
    }
    // Set focus manually if the target element does not correspond to the next element according to the
    // DOM order, or if there is currently no keyboard event in progress that will
    if (event && !explicitFocus) {
      // Don't change the focus here --> will be handled by browser
    } else {
      // Set focus manually to the target element
      this.validateAndSetFocus(elementToFocus, null, {
        selectText: elementToFocus.tagName === 'INPUT'
      });
      jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
    }
    let $focusableElement = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elementToFocus);
    $focusableElement.addClass('keyboard-navigation');
    // Check if new focused element is currently visible, otherwise scroll the container
    let containerBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($focusableElement);
    let $scrollable = $focusableElement.scrollParent();
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(containerBounds.x, containerBounds.y), $scrollable)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo($scrollable, $focusableElement);
    }
  }
  /**
   * Method invoked once a 'focusin' event is fired by this context's $container or one of its child controls.
   */
  _onFocusIn(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    $target.on('remove', this._removeListener);
    let target = $target[0];
    this.focusedElement = target;
    // Do not update current focus context nor validate focus if target is $entryPoint.
    // That is because focusing the $entryPoint is done whenever no control is currently focusable, e.g. due to glass panes.
    if (target === this.$container.entryPoint(true)) {
      return;
    }
    // Make this context the active context (nothing done if already active) and validate the focus event.
    this.focusManager._pushIfAbsentElseMoveTop(this);
    this.validateAndSetFocus(target);
    event.stopPropagation(); // Prevent a possible 'parent' focus context to consume this event. Otherwise, that 'parent context' would be activated as well.
  }
  /**
   * Method invoked once a 'focusout' event is fired by this context's $container or one of its child controls.
   */
  _onFocusOut(event) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).off('remove', this._removeListener);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(this.focusedElement).removeClass('keyboard-navigation');
    this.focusedElement = null;
    event.stopPropagation(); // Prevent a possible 'parent' focus context to consume this event. Otherwise, that 'parent context' would be activated as well.
  }
  /**
   * Method invoked once a child element of this context's $container is removed.
   */
  _onRemove(event) {
    // This listener is installed on the focused element only.
    this.validateAndSetFocus(null, _index__WEBPACK_IMPORTED_MODULE_0__.filters.notSameFilter(event.target));
    event.stopPropagation(); // Prevent a possible 'parent' focus context to consume this event.
  }
  /**
   * Function invoked once a child element of this context's $container is hidden or disabled
   * and it cannot have the focus anymore. In that case we need to look for a new focusable
   * element.
   */
  _onUnfocusable(event) {
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).isOrHas(this.lastValidFocusedElement)) {
      this.validateAndSetFocus(null, _index__WEBPACK_IMPORTED_MODULE_0__.filters.notSameFilter(event.target));
      event.stopPropagation(); // Prevent a possible 'parent' focus context to consume this event.
    }
  }
  /**
   * Focuses the given element if being a child of this context's container and matches the given filter (if provided).
   *
   * @param element
   *        the element to focus, or null to focus the context's first focusable element matching the given filter.
   * @param filter
   *        filter that controls which element should be focused, or null to accept all focusable candidates.
   * @param options options to customize to focus
   */
  validateAndSetFocus(element, filter, options) {
    // Ensure the element to be a child element, or set it to null otherwise.
    if (element && !jquery__WEBPACK_IMPORTED_MODULE_1___default().contains(this.$container[0], element)) {
      element = null;
    }
    let elementToFocus = null;
    if (!element) {
      elementToFocus = this.focusManager.findFirstFocusableElement(this.$container, filter);
    } else if (!filter || filter.call(element)) {
      elementToFocus = element;
    } else {
      elementToFocus = this.focusManager.findFirstFocusableElement(this.$container, filter);
    }
    // Store the element to be focused, and regardless of whether currently covert by a glass pane or the focus manager is not active. That is for later focus restore.
    this.lastValidFocusedElement = elementToFocus;
    // Focus the element.
    this._focus(elementToFocus, options);
  }
  /**
   * Calls {@link #validateAndSetFocus} with {@link #lastValidFocusedElement}.
   */
  validateFocus(filter) {
    this.validateAndSetFocus(this.lastValidFocusedElement, filter);
  }
  /**
   * Restores the focus on the last valid focused element. Does nothing, if there is no last valid focused element.
   */
  restoreFocus() {
    if (this.lastValidFocusedElement) {
      this._focus(this.lastValidFocusedElement);
    }
  }
  /**
   * Focuses the requested element.
   *
   * @param element the element to focus, or null to focus the context's first focusable element matching the given filter.
   * @param options options to customize to focus
   */
  _focus(elementToFocus, options) {
    options = options || {};
    // Only focus element if focus manager is active
    if (!this.focusManager.active) {
      return;
    }
    if (!this.prepared) {
      return;
    }
    // Check whether the element is covert by a glasspane
    if (this.focusManager.isElementCovertByGlassPane(elementToFocus)) {
      let activeElement = this.$container.activeElement(true);
      if (elementToFocus && (!activeElement || !this.focusManager.isElementCovertByGlassPane(activeElement))) {
        // If focus should be removed (blur), don't break here and try to focus the root element
        // Otherwise, if desired element cannot be focused then break and leave the focus where it is, unless the currently focused element is covered by a glass pane
        return;
      }
      elementToFocus = null;
    }
    // Focus $entryPoint if current focus is to be blurred.
    // Otherwise, the HTML body would be focused which makes global keystrokes (like backspace) not to work anymore.
    elementToFocus = elementToFocus || this.$container.entryPoint(true);
    // If element may not be focused (example SVG element in IE) -> use the entryPoint as fallback
    // $elementToFocus.focus() would trigger a focus event even the element won't be focused -> loop
    // In that case the focus function does not exist on the svg element
    if (!elementToFocus.focus) {
      elementToFocus = this.$container.entryPoint(true);
    }
    // Only focus element if different to current focused element
    if (_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(elementToFocus)) {
      return;
    }
    // Focus the requested element
    elementToFocus.focus({
      preventScroll: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.preventScroll, false)
    });
    // If requested and possible, select the text content
    if (options.selectText && 'select' in elementToFocus && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(elementToFocus.select)) {
      elementToFocus.select();
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Focus set to ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(elementToFocus));
  }
}

/***/ }),

/***/ "./src/focus/FocusManager.ts":
/*!***********************************!*\
  !*** ./src/focus/FocusManager.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FocusManager: () => (/* binding */ FocusManager)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * The focus manager ensures proper focus handling based on focus contexts.
 *
 * A focus context is bound to a $container. Once a context is activated, that container defines the tab cycle,
 * meaning that only child elements of that container can be entered by tab. Also, the context ensures proper
 * focus gaining, meaning that only focusable elements can gain focus. A focusable element is defined as an element,
 * which is natively focusable and which is not covert by a glass pane. Furthermore, if a context is uninstalled,
 * the previously active focus context is activated and its focus position restored.
 */
class FocusManager {
  constructor(options) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "restrictedFocusGain", void 0);
    /** @internal */
    _defineProperty(this, "_glassPaneDisplayParents", void 0);
    /** @internal */
    _defineProperty(this, "_glassPaneTargets", void 0);
    _defineProperty(this, "_focusContexts", void 0);
    _defineProperty(this, "_glassPaneRenderers", void 0);
    let defaults = {
      // Auto focusing of elements is bad with on screen keyboards -> deactivate to prevent unwanted popping up of the keyboard
      active: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch(),
      // Preventing blur is bad on touch devices because every touch on a non input field is supposed to close the keyboard which does not happen if preventDefault is used on mouse down
      restrictedFocusGain: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch(),
      session: null
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, defaults, options);
    if (!this.session) {
      throw new Error('Session expected');
    }
    this._focusContexts = [];
    this._glassPaneTargets = [];
    this._glassPaneDisplayParents = [];
    this._glassPaneRenderers = [];
    // Make $entryPoint focusable and install focus context.
    let $mainEntryPoint = this.session.$entryPoint;
    let portletPartId = $mainEntryPoint.data('partid') || '0';
    $mainEntryPoint.attr('tabindex', portletPartId);
    // Restricted focus gain means that not every click outside of the active element necessarily focuses another element but the active element stays focused
    // See _acceptFocusChangeOnMouseDown for details
    if (this.restrictedFocusGain) {
      this.installTopLevelMouseHandlers($mainEntryPoint);
    }
    this.installFocusContext($mainEntryPoint, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO);
  }
  installTopLevelMouseHandlers($container) {
    // Install 'mousedown' on top-level $container to accept or prevent focus gain
    $container.on('mousedown', event => {
      if (!this._acceptFocusChangeOnMouseDown(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target))) {
        event.preventDefault();
      }
      return true;
    });
  }
  /**
   * Activates or deactivates focus management.
   *
   * If deactivated, the focus manager still validates the current focus, but never gains focus nor enforces a valid focus position.
   * Once activated, the current focus position is revalidated.
   */
  activate(activate) {
    if (this.active !== activate) {
      this.active = activate;
      if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled()) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Focus manager active: ' + this.active);
      }
      if (this.active) {
        this.validateFocus();
      }
    }
  }
  /**
   * Installs a new focus context for the given $container, and sets the $container's initial focus, either by
   * the given rule, or tries to gain focus for the given element.
   * @returns the installed context.
   */
  installFocusContext($container, focusRuleOrElement) {
    let elementToFocus = this.evaluateFocusRule($container, focusRuleOrElement);
    // Create and register the focus context.
    let focusContext = new _index__WEBPACK_IMPORTED_MODULE_0__.FocusContext($container, this);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.PREPARE !== focusRuleOrElement) {
      focusContext.ready();
    }
    this._pushIfAbsentElseMoveTop(focusContext);
    if (elementToFocus) {
      focusContext.validateAndSetFocus(elementToFocus);
    }
    return focusContext;
  }
  /**
   * Evaluates the {@link FocusRule} or just returns the given element if focusRuleOrElement is not a focus rule.
   */
  evaluateFocusRule($container, focusRuleOrElement) {
    let elementToFocus;
    if (!focusRuleOrElement || focusRuleOrElement === _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO || focusRuleOrElement === _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.PREPARE) {
      elementToFocus = this.findFirstFocusableElement($container);
    } else if (focusRuleOrElement === _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.NONE) {
      elementToFocus = null;
    } else {
      elementToFocus = focusRuleOrElement;
    }
    return elementToFocus;
  }
  /**
   * Uninstalls the focus context for the given $container, and activates the last active context.
   * This method has no effect, if there is no focus context installed for the given $container.
   *
   * @param options a boolean whether to prevent scrolling to focused element or not (default is true)
   */
  uninstallFocusContext($container, options) {
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      preventScroll: true
    }, options);
    let focusContext = this.getFocusContext($container);
    if (!focusContext) {
      return;
    }
    // Filter to exclude the current focus context's container and any of its child elements to gain focus.
    let filter = _index__WEBPACK_IMPORTED_MODULE_0__.filters.outsideFilter(focusContext.$container);
    // Remove and dispose the current focus context.
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._focusContexts, focusContext);
    focusContext.dispose();
    // Activate last active focus context.
    let activeFocusContext = this._findActiveContext();
    if (activeFocusContext) {
      activeFocusContext.validateAndSetFocus(activeFocusContext.lastValidFocusedElement, filter, options);
    }
  }
  /**
   * Returns whether there is a focus context installed for the given $container.
   */
  isFocusContextInstalled($container) {
    return !!this.getFocusContext($container);
  }
  /**
   * Activates the focus context of the given $container or the given focus context and validates the focus so that the previously focused element will be focused again.
   */
  activateFocusContext(focusContextOr$Container) {
    let focusContext;
    if (focusContextOr$Container instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FocusContext) {
      focusContext = focusContextOr$Container;
    } else {
      focusContext = this.getFocusContext(focusContextOr$Container);
    }
    if (!focusContext || this.isElementCovertByGlassPane(focusContext.$container)) {
      return;
    }
    this._pushIfAbsentElseMoveTop(focusContext);
    this.validateFocus();
  }
  /**
   * Checks if the given element is accessible, meaning not covert by a glasspane.
   *
   * @param filter if specified, the filter is used to filter the array of glass pane targets
   */
  isElementCovertByGlassPane(element, filter) {
    let targets = this._glassPaneTargets;
    if (filter) {
      targets = this._glassPaneTargets.filter(filter);
    }
    if (!targets.length) {
      return false; // no glasspanes active.
    }
    if (this._glassPaneDisplayParents.indexOf(_index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(element)) >= 0) {
      return true;
    }
    // Checks whether the element is a child of a glasspane target.
    // If so, the some-iterator returns immediately with true.
    return targets.some($glassPaneTarget => jquery__WEBPACK_IMPORTED_MODULE_1___default()(element).closest($glassPaneTarget).length !== 0);
  }
  /**
   * Registers the given glasspane target, so that the focus cannot be gained on the given target nor on its child elements.
   */
  registerGlassPaneTarget($glassPaneTarget) {
    this._glassPaneTargets.push($glassPaneTarget);
    this.validateFocus();
  }
  registerGlassPaneDisplayParent(displayParent) {
    this._glassPaneDisplayParents.push(displayParent);
  }
  registerGlassPaneRenderer(glassPaneRenderer) {
    this._glassPaneRenderers.push(glassPaneRenderer);
  }
  /**
   * Unregisters the given glasspane target, so that the focus can be gained again for the target or one of its child controls.
   */
  unregisterGlassPaneTarget($glassPaneTarget) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.$remove(this._glassPaneTargets, $glassPaneTarget);
    this.validateFocus();
  }
  unregisterGlassPaneDisplayParent(displayParent) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._glassPaneDisplayParents, displayParent);
  }
  unregisterGlassPaneRenderer(glassPaneRenderer) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._glassPaneRenderers, glassPaneRenderer);
  }
  rerenderGlassPanes() {
    // create a copy of the current glassPaneRenderers
    let currGlassPaneRenderers = this._glassPaneRenderers.slice();
    // remove and rerender every glassPaneRenderer to keep them (and their members) valid.
    currGlassPaneRenderers.forEach(glassPaneRenderer => {
      glassPaneRenderer.removeGlassPanes();
      glassPaneRenderer.renderGlassPanes();
    });
  }
  /**
   * Enforces proper focus on the currently active focus context.
   *
   * @param filter Filter to exclude elements to gain focus.
   */
  validateFocus(filter) {
    let activeContext = this._findActiveContext();
    if (activeContext) {
      activeContext.validateFocus(filter);
    }
  }
  requestFocusIfReady(element, filter) {
    return this.requestFocus(element, filter, {
      onlyIfReady: true
    });
  }
  /**
   * Requests the focus for the given element, but only if being a valid focus location.
   *
   * @param element
   *        the element to focus, or null to focus the context's first focusable element matching the given filter.
   * @param filter
   *        filter that controls which element should be focused, or null to accept all focusable candidates.
   * @param options
   *        options to customize the focus request.
   * @returns true if focus was gained, false otherwise.
   */
  requestFocus(element, filter, options) {
    options = options || {};
    let htmlElement = element instanceof (jquery__WEBPACK_IMPORTED_MODULE_1___default()) ? element[0] : element;
    if (!htmlElement) {
      return false;
    }
    let context = this._findFocusContextFor(htmlElement);
    if (context) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.onlyIfReady, false) && !context.prepared) {
        return false;
      }
      context.validateAndSetFocus(htmlElement, filter, options);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(htmlElement);
  }
  /**
   * Finds the first focusable element of the given $container, or null if not found.
   */
  findFirstFocusableElement($container, filter) {
    let firstElement,
      firstDefaultButton,
      firstButton,
      i,
      candidate,
      $candidate,
      $menuParents,
      $tabParents,
      $boxButtons,
      $entryPoint = $container.entryPoint(),
      $candidates = $container.find(':focusable').addBack(':focusable') /* in some use cases, the container should be focusable as well, e.g. context menu without focusable children */.not($entryPoint) /* $entryPoint should never be a focusable candidate. However, if no focusable candidate is found, 'FocusContext.validateAndSetFocus' focuses the $entryPoint as a fallback. */.filter(filter || _index__WEBPACK_IMPORTED_MODULE_0__.filters.returnTrue);
    for (i = 0; i < $candidates.length; i++) {
      candidate = $candidates[i];
      $candidate = jquery__WEBPACK_IMPORTED_MODULE_1___default()(candidate);
      // Check whether the candidate is accessible and not covert by a glass pane.
      if (this.isElementCovertByGlassPane(candidate)) {
        continue;
      }
      // Check if the element (or one of its parents) does not want to be the first focusable element
      if ($candidate.is('.prevent-initial-focus') || $candidate.closest('.prevent-initial-focus').length > 0) {
        continue;
      }
      if (!firstElement && !($candidate.hasClass('button') || $candidate.hasClass('menu-item'))) {
        firstElement = candidate;
      }
      if (!firstDefaultButton && $candidate.is('.default')) {
        firstDefaultButton = candidate;
      }
      $menuParents = $candidate.parents('.menubar');
      $tabParents = $candidate.parents('.tab-box-header');
      $boxButtons = $candidate.parents('.box-buttons');
      if (($menuParents.length > 0 || $tabParents.length > 0 || $boxButtons.length > 0) && !firstButton && ($candidate.hasClass('button') || $candidate.hasClass('menu-item'))) {
        firstButton = candidate;
      } else if (!$menuParents.length && !$tabParents.length && !$boxButtons.length && typeof candidate.focus === 'function') {
        // inline buttons and menus are selectable before choosing button or menu from bar
        return candidate;
      }
    }
    if (firstDefaultButton) {
      return firstDefaultButton;
    } else if (firstButton) {
      if (firstButton !== firstElement && firstElement) {
        let $tabParentsButton = jquery__WEBPACK_IMPORTED_MODULE_1___default()(firstButton).parents('.tab-box-header'),
          $firstItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(firstElement),
          $tabParentsFirstElement = jquery__WEBPACK_IMPORTED_MODULE_1___default()(firstElement).parents('.tab-box-header');
        if ($tabParentsFirstElement.length > 0 && $tabParentsButton.length > 0 && $firstItem.is('.tab-item')) {
          return firstElement;
        }
      }
      return firstButton;
    }
    return firstElement;
  }
  /**
   * Returns the currently active focus context, or null if not applicable.
   * @internal
   */
  _findActiveContext() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(this._focusContexts);
  }
  /**
   * Returns the focus context which is associated with the given $container, or null if not applicable.
   */
  getFocusContext($container) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this._focusContexts, focusContext => focusContext.$container === $container);
  }
  /**
   * Focuses the next or previous valid element within the focus context of the given `activeElement`.
   */
  focusNextTabbable(activeElement) {
    let forward = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let focusContext = this._findFocusContextFor(activeElement);
    if (focusContext) {
      focusContext.focusNextTabbable(forward);
    }
  }
  _findFocusContextFor(element) {
    let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure(element);
    let context = null;
    let distance = Number.MAX_VALUE;
    this._focusContexts.forEach(focusContext => {
      if (!focusContext.$container.isOrHas($element)) {
        return;
      }
      // Return the context which is closest to the element
      let length = $element.parentsUntil(focusContext.$container).length;
      if (length < distance) {
        context = focusContext;
      }
    });
    return context;
  }
  /**
   * Returns whether to accept a 'mousedown event'.
   */
  _acceptFocusChangeOnMouseDown($element) {
    // Prevent focus gain when glasspane is clicked.
    // Even if the glasspane is not focusable, this check is required because the glasspane might be contained in a focusable container
    // like table. Use case: outline modality with table-page as 'outlineContent'.
    if ($element.hasClass('glasspane')) {
      return false;
    }
    // Prevent focus gain if covert by glasspane.
    if (this.isElementCovertByGlassPane($element)) {
      return false;
    }
    // Prevent focus gain on elements excluded to gain focus by mouse, e.g. buttons.
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isFocusableByMouse($element)) {
      return false;
    }
    // Allow focus gain on focusable elements.
    if ($element.is(':focusable')) {
      return true;
    }
    // Allow focus gain on elements with selectable content, e.g. the value of a label field.
    if (_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isSelectableText($element)) {
      return true;
    }
    // Find the element which will most likely gain the focus if we let the browser execute its default behavior
    let $entryPoint = $element.entryPoint();
    let $target = _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.closestFocusableByMouse($element, $entryPoint, true);
    // The browser would focus elements with tabindex="-2" but we consider them to be unfocusable. In this case, set the focus to the nearest focusable parent element.
    let $newTarget = jquery__WEBPACK_IMPORTED_MODULE_1___default()();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isFocusPrevented($target)) {
      $newTarget = _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.closestFocusableByMouse($target.parent(), $entryPoint);
    }
    // Allow dragstart event for draggable elements
    if (_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isDraggable($element)) {
      // In order for the dragstart event to be triggered, we must _not_ prevent the default action for the mousedown event, which means that
      // the $target will receive the focus. To fix this, we need to change the focus again later. If the native target element was found to be
      // unfocusable (tabindex="-2"), we set the focus back to $newTarget. Otherwise, we change the focus back to the current active element.
      if ($newTarget.length) {
        _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.focusLater($newTarget, {
          preventScroll: true
        });
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.restoreFocusLater($entryPoint, {
          preventScroll: true
        });
      }
      return true;
    }
    // If the clicked element is not draggable, we can safely prevent the default action for the mousedown event. This will prevent the focus
    // from being set to the native $target. Instead, the focus is transferred to $newTarget (if present and available, otherwise the focus
    // remains at the current element).
    if ($newTarget.length) {
      if (!$newTarget.is($element.activeElement())) {
        _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.focusLater($newTarget, {
          preventScroll: true
        });
      }
      return false;
    }
    // Allow focus gain on elements with a focusable parent, e.g. when clicking on the text element of a tab item
    if (_index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.containsParentFocusableByMouse($element, $entryPoint)) {
      return true;
    }
    // Click on an empty area should prevent the focus gain on the desktop
    return false;
  }
  /**
   * Registers the given focus context, or moves it on top if already registered.
   * @internal
   */
  _pushIfAbsentElseMoveTop(focusContext) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._focusContexts, focusContext);
    this._focusContexts.push(focusContext);
  }
}

/***/ }),

/***/ "./src/focus/FocusRule.ts":
/*!********************************!*\
  !*** ./src/focus/FocusRule.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FocusRule: () => (/* binding */ FocusRule)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Rule describing how to resolve a focusable element.
 *
 * @see FocusManager
 */
var FocusRule;
(function (FocusRule) {
  /**
   * Indicates to focus the first focusable element.
   */
  FocusRule["AUTO"] = "auto";
  /**
   * Indicates to not focus any element.
   */
  FocusRule["NONE"] = "none";
  /**
   * If prepare is used when installing a focus context, the context won't be ready until explicitly told. During that time, focus context listeners are not attached yet and focus requests are not allowed to be executed.
   * But: the element of the focused request will be stored as usual in lastValidFocusedElement. So as soon as the context is ready, a call to restoreFocus would focus that element.
   *
   * This is useful to disable focus requests during a preparation phase without losing the element which should be focused.
   *
   * <b>Important</b>: {@link FocusContext.ready} must be called manually as soon as the focus context is ready.
   */
  FocusRule["PREPARE"] = "prepare";
})(FocusRule || (FocusRule = {}));

/***/ }),

/***/ "./src/focus/focusUtils.ts":
/*!*********************************!*\
  !*** ./src/focus/focusUtils.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   focusUtils: () => (/* binding */ focusUtils)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Utility methods for focus.
 */
const focusUtils = {
  /**
   * @returns whether the given element is focusable by mouse.
   */
  isFocusableByMouse(element) {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(element).closest('.unfocusable').length === 0;
  },
  /**
   * @returns whether the element must not gain the focus, even if it has a tabindex. This is only true for elements with tabindex="-2".
   */
  isFocusPrevented(element) {
    return Number(jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(element).attr('tabindex')) === -2;
  },
  /**
   * @param $entryPoint the entry point of the current {@link Session}
   * @param nativeFocusable whether to include elements that we consider to be unfocusable but would gain the focus by the browser if we did not prevent it (elements with tabindex="-2"). Default is false.
   * @returns all parents that are focusable by mouse inside a focus boundary (marked by elements having the class .focus-boundary)
   */
  getParentsFocusableByMouse(element, $entryPoint) {
    let nativeFocusable = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(element).parentsUntil('.focus-boundary', nativeFocusable ? ':focusable-native' : ':focusable') // Stay inside focus boundaries (e.g. search forms should not consider parent table)
    .not($entryPoint) // Exclude $entryPoint as all elements are its descendants. However, the $entryPoint is only focusable to provide Portlet support.
    .filter((index, elem) => focusUtils.isFocusableByMouse(elem));
  },
  /**
   * @param $entryPoint the entry point of the current {@link Session}
   * @param nativeFocusable whether to include elements that we consider to be unfocusable but would gain the focus by the browser if we did not prevent it (elements with tabindex="-2"). Default is false.
   * @returns the given element if it is focusable by mouse, or the first parent that is focusable by mouse.
   */
  closestFocusableByMouse(element, $entryPoint) {
    let nativeFocusable = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    let $element = jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(element);
    if ($element.is(nativeFocusable ? ':focusable-native' : ':focusable') && focusUtils.isFocusableByMouse($element)) {
      return $element;
    }
    return focusUtils.getParentsFocusableByMouse($element, $entryPoint, nativeFocusable).first();
  },
  /**
   * @returns whether the given element has a parent which is focusable by mouse.
   */
  containsParentFocusableByMouse(element, $entryPoint) {
    return focusUtils.getParentsFocusableByMouse(element, $entryPoint).length > 0;
  },
  /**
   * @returns whether the given element contains content which is selectable to the user, e.g. to be copied into clipboard.
   * It also returns true for disabled text-fields, because the user must be able to select and copy text from these text-fields.
   */
  isSelectableText(element) {
    let $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element);
    // Find the closest element which has a 'user-select' with a value other than 'auto'. If that value
    // is 'none', the text is not selectable. This code mimics the "inheritance behavior" of the CSS
    // property "-moz-user-select: -moz-none" as described in [1].  This does not seem to work in some
    // cases in Firefox, even with bug [2] fixed. As a workaround, we implement the desired behavior here.
    //
    // Note: Some additional CSS rules are required for events other than 'mousedown', see main.css.
    //
    // [1] https://developer.mozilla.org/en-US/docs/Web/CSS/user-select
    // [2] https://bugzilla.mozilla.org/show_bug.cgi?id=648624
    let $el = $element;
    while ($el.css('user-select') === 'auto') {
      $el = $el.parent();
      // Fix for Firefox: parent of BODY element is HtmlDocument. When calling $el.css on the HtmlDocument
      // Firefox throws an error that ownerDocument is undefined. Thus, we don't go higher than BODY element
      // and assume body is never selectable.
      if ($el.is('body')) {
        return false;
      }
    }
    if ($el.css('user-select') === 'none') {
      return false;
    }
    if ($element.is('input[disabled][type=text], textarea[disabled]')) {
      return true;
    }
    // When element or its children have text, it should be selectable.
    // The old implementation only looked at the text of the element itself
    // but not at the text of its children. With the old approach it was not
    // possible to select something inside a TD, for instance:
    //   <td><span>Foo</span></td>
    // Because TD itself has no text at all.
    // When an element has no text we return false, because if we could select
    // empty elements, we'd lose focus more often.
    return $element.text().trim().length > 0;
  },
  /**
   * @returns true if the element or one of its parents is draggable.
   */
  isDraggable(element) {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(element).closest('[draggable="true"]').length > 0;
  },
  /**
   * @returns true if the given HTML element is the active element in its own document, false otherwise.
   */
  isActiveElement(element) {
    if (!element) {
      return false;
    }
    let activeElement;
    if (element instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default())) {
      activeElement = element.activeElement(true);
      element = element[0];
    } else {
      let htmlElement = element;
      let ownerDocument = htmlElement instanceof Document ? htmlElement : htmlElement.ownerDocument;
      activeElement = ownerDocument.activeElement;
    }
    return activeElement === element;
  },
  /**
   * Stores the currently focused element and focuses this element again in the next animation frame if the focus changed to the entry point element.
   * This is useful if the current task would focus the entry point element which cannot be prevented.
   *
   * @param $entryPoint the entry point of the current {@link Session}
   * @param options options to be passed to the {@link HTMLElement.focus} call
   */
  restoreFocusLater($entryPoint, options) {
    // queueMicrotask does not work, it looks like the microtask will be executed before the focus change.
    // requestAnimationFrame also prevents flickering (compared to setTimeout)
    $entryPoint = jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure($entryPoint);
    if (!$entryPoint.length) {
      return; // nothing to do
    }
    let doc = $entryPoint.document(true);
    let prevFocusedElement = doc.activeElement;
    requestAnimationFrame(() => {
      let focusedElement = doc.activeElement;
      // Restore previous focus if the current active element is an element we don't want to be focused (the $entryPoint or tabindex="-2")
      if (focusedElement === $entryPoint[0] || focusUtils.isFocusPrevented(focusedElement)) {
        prevFocusedElement.focus(options);
      }
    });
  },
  /**
   * Sets the focus to the given target element just before the next repaint (using requestAnimationFrame).
   * This allows other event handlers to be fired before the focus is actually changed.
   *
   * @param target the element to be focused
   * @param options options to be passed to the {@link HTMLElement.focus} call
   */
  focusLater(target, options) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure(target);
    if (!$target.length) {
      return; // nothing to do
    }
    let doc = $target.document(true);
    let prevFocusedElement = doc.activeElement;
    requestAnimationFrame(() => {
      // Check if the active element is the same as before. If not, someone has changed the focus in the meantime and the
      // scheduled focusLater() request is obsolete. If the active element is considered to be unfocusable via tabindex="-2",
      // we always change the focus to the target element. (This can happen if the global mouse down handler did not suppress
      // the default behavior to avoid cancelling other events, e.g. 'dragstart').
      let focusedElement = doc.activeElement;
      if (focusedElement === prevFocusedElement || focusUtils.isFocusPrevented(focusedElement)) {
        $target[0].focus(options);
      }
    });
  }
};

/***/ }),

/***/ "./src/form/DesktopResponsiveHandler.ts":
/*!**********************************************!*\
  !*** ./src/form/DesktopResponsiveHandler.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesktopResponsiveHandler: () => (/* binding */ DesktopResponsiveHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DesktopResponsiveHandler extends _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveHandler {
  constructor() {
    super();
    this.compactThreshold = 500;
    this.allowedStates = [_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL, _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT];
  }
  init(model) {
    super.init(model);
    this._registerTransformation('navigationVisible', this._transformNavigationVisible);
    this._enableTransformation(_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT, 'navigationVisible');
  }
  /* --- TRANSFORMATIONS ------------------------------------------------------------- */
  _transformNavigationVisible(widget, apply) {
    if (apply) {
      this._storeFieldProperty(widget, 'navigationVisible', widget.navigationVisible);
      widget.setNavigationVisible(false);
    } else {
      if (this._hasFieldProperty(widget, 'navigationVisible')) {
        widget.setNavigationVisible(this._getFieldProperty(widget, 'navigationVisible'));
      }
    }
  }
}

/***/ }),

/***/ "./src/form/DesktopResponsiveHandlerModel.ts":
/*!***************************************************!*\
  !*** ./src/form/DesktopResponsiveHandlerModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/DialogLayout.ts":
/*!**********************************!*\
  !*** ./src/form/DialogLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DialogLayout: () => (/* binding */ DialogLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DialogLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLayout {
  constructor(form) {
    super(form);
    _defineProperty(this, "autoSize", void 0);
    _defineProperty(this, "shrinkEnabled", void 0);
    this.autoSize = true;
    this.shrinkEnabled = false;
  }
  layout($container) {
    if (!this.autoSize) {
      super.layout($container);
      return;
    }
    let currentBounds,
      htmlComp = this.form.htmlComp,
      prefBounds = this.form.prefBounds(),
      dialogMargins = htmlComp.margins(),
      windowSize = $container.windowSize();
    if (prefBounds) {
      currentBounds = prefBounds;
    } else {
      currentBounds = htmlComp.bounds();
    }
    let dialogSize = this._calcSize($container, currentBounds, prefBounds);
    // Add markers to be able to style the dialog in a different way when it uses the full width or height
    $container.toggleClass('full-width', this.form.maximized || currentBounds.x === 0 && dialogMargins.horizontal() === 0 && windowSize.width === dialogSize.width).toggleClass('full-height', this.form.maximized || currentBounds.y === 0 && dialogMargins.vertical() === 0 && windowSize.height === dialogSize.height);
    // Ensure the dialog can only get larger, not smaller.
    // This prevents 'snapping' the dialog back to the calculated size when a field changes its visibility, but the user previously enlarged the dialog.
    // This must not happen when the dialog is laid out the first time (-> when it is opened, because it has not the right size yet and may get too big)
    if (htmlComp.layouted && !this.shrinkEnabled) {
      dialogSize.width = Math.max(dialogSize.width, currentBounds.width);
      dialogSize.height = Math.max(dialogSize.height, currentBounds.height);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($container, dialogSize);
    super.layout($container);
  }
  /**
   * @param currentBounds
   *          bounds as returned by the graphics.bounds() function, i.e. position is the CSS
   *          position (top-left of "margin box"), dimension excludes margins
   * @param prefBounds
   *          optional preferred bounds (same expectations as with "currentBounds")
   * @returns
   *          adjusted size excluding margins (suitable to pass to graphics.setSize())
   */
  _calcSize($container, currentBounds, prefBounds) {
    let dialogSize,
      htmlComp = this.form.htmlComp,
      dialogMargins = htmlComp.margins(),
      windowSize = $container.windowSize();
    if (this.form.maximized) {
      return windowSize;
    }
    if (prefBounds) {
      dialogSize = prefBounds.dimension();
      // Assume (0,0) as position so that as much as possible of the stored size can be used.
      // The true position will be set later in Form#position (called by FormController).
      dialogSize = DialogLayout.fitContainerInWindow(windowSize, new _index__WEBPACK_IMPORTED_MODULE_0__.Point(), dialogSize, dialogMargins);
      return dialogSize;
    }
    // Calculate preferred width first...
    dialogSize = this.preferredLayoutSize($container, {
      widthOnly: true
    });
    dialogSize = DialogLayout.fitContainerInWindow(windowSize, currentBounds.point(), dialogSize, dialogMargins);
    // ...then calculate the actual preferred size based on the width. This is necessary because the dialog may contain fields with wrapping content. Without a width hint the height would not be correct.
    dialogSize = this.preferredLayoutSize($container, {
      widthHint: dialogSize.width
    }).ceil(); // always round up. If we'd round a height of 380.00005 pixel down
    // there is not enough space to display the group-box, thus the browser would show scrollbars.
    dialogSize = DialogLayout.fitContainerInWindow(windowSize, currentBounds.point(), dialogSize, dialogMargins);
    return dialogSize;
  }
  /**
   * Calculates the new container size and position. If the given containerSize is larger than the windowSize, the size will be adjusted.
   *
   * @param windowSize total size of the window
   * @param containerPosition current CSS position of the container (top-left of the "margin box")
   * @param containerSize preferred size of container (excluding margins)
   * @param containerMargins margins of the container
   * @returns the new, adjusted container size (excluding margins)
   */
  static fitContainerInWindow(windowSize, containerPosition, containerSize, containerMargins) {
    // class .dialog may specify a margin
    // currentBounds.y and x are 0 initially, but if size changes while dialog is open they are greater than 0
    // This guarantees the dialog size may not exceed the document size
    let maxWidth = windowSize.width - containerMargins.horizontal() - containerPosition.x;
    let maxHeight = windowSize.height - containerMargins.vertical() - containerPosition.y;
    // Calculate new dialog size, ensuring that the dialog is not larger than container
    let size = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    size.width = Math.min(maxWidth, containerSize.width);
    size.height = Math.min(maxHeight, containerSize.height);
    return size;
  }
  /**
   * Returns the coordinates to place the given container in the optical middle of the window.
   *
   * @param $container
   * @returns new X,Y position of the container
   */
  static positionContainerInWindow($container) {
    let windowSize = $container.windowSize(),
      containerSize = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container).size(true),
      left = (windowSize.width - containerSize.width) / 2,
      top = (windowSize.height - containerSize.height) / 2;
    // optical middle (move up 20% of distance between window and dialog)
    let opticalMiddleOffset = top / 5;
    top -= opticalMiddleOffset;
    // Ensure integer numbers
    left = Math.floor(left);
    top = Math.floor(top);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(left, top);
  }
}

/***/ }),

/***/ "./src/form/Form.ts":
/*!**************************!*\
  !*** ./src/form/Form.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Form: () => (/* binding */ Form)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Form extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "animateOpening", void 0);
    _defineProperty(this, "askIfNeedSave", void 0);
    _defineProperty(this, "validationFailedText", void 0);
    _defineProperty(this, "emptyMandatoryElementsText", void 0);
    _defineProperty(this, "invalidElementsErrorText", void 0);
    _defineProperty(this, "invalidElementsWarningText", void 0);
    _defineProperty(this, "askIfNeedSaveText", void 0);
    _defineProperty(this, "data", void 0);
    _defineProperty(this, "exclusiveKey", void 0);
    _defineProperty(this, "displayViewId", void 0);
    _defineProperty(this, "displayHint", void 0);
    _defineProperty(this, "maximized", void 0);
    _defineProperty(this, "headerVisible", void 0);
    _defineProperty(this, "displayParent", void 0);
    _defineProperty(this, "dialogs", void 0);
    _defineProperty(this, "views", void 0);
    _defineProperty(this, "messageBoxes", void 0);
    _defineProperty(this, "fileChoosers", void 0);
    _defineProperty(this, "focusedElement", void 0);
    _defineProperty(this, "closable", void 0);
    _defineProperty(this, "cacheBounds", void 0);
    _defineProperty(this, "cacheBoundsKey", void 0);
    _defineProperty(this, "resizable", void 0);
    _defineProperty(this, "movable", void 0);
    _defineProperty(this, "rootGroupBox", void 0);
    /**
     * Indicates whether the form needs to be saved.
     * If set to true, a marker will be visible in the form header or tab, unless {@link saveNeededVisible} is set to false.
     *
     * The value will be computed by {@link updateSaveNeeded}.
     */
    _defineProperty(this, "saveNeeded", void 0);
    _defineProperty(this, "saveNeededVisible", void 0);
    _defineProperty(this, "formController", void 0);
    _defineProperty(this, "messageBoxController", void 0);
    _defineProperty(this, "fileChooserController", void 0);
    _defineProperty(this, "closeKeyStroke", void 0);
    _defineProperty(this, "showOnOpen", void 0);
    _defineProperty(this, "initialFocus", void 0);
    _defineProperty(this, "renderInitialFocusEnabled", void 0);
    _defineProperty(this, "formLoading", void 0);
    _defineProperty(this, "formLoaded", void 0);
    /**
     * true if the form was saved (e.g. by calling {@link ok} or {@link save}) since it was created.
     */
    _defineProperty(this, "formSaved", void 0);
    /** set by PopupWindow if this form has displayHint=Form.DisplayHint.POPUP_WINDOW */
    _defineProperty(this, "popupWindow", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "subTitle", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "uiCssClass", void 0);
    _defineProperty(this, "lifecycle", void 0);
    _defineProperty(this, "detailForm", void 0);
    /** @internal */
    _defineProperty(this, "blockRendering", void 0);
    _defineProperty(this, "validators", void 0);
    _defineProperty(this, "_defaultValidator", void 0);
    _defineProperty(this, "$statusIcons", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$statusContainer", void 0);
    _defineProperty(this, "$close", void 0);
    _defineProperty(this, "$saveNeeded", void 0);
    _defineProperty(this, "$icon", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$subTitle", void 0);
    _defineProperty(this, "$dragHandle", void 0);
    _defineProperty(this, "_modal", void 0);
    _defineProperty(this, "_glassPaneRenderer", void 0);
    _defineProperty(this, "_preMaximizedBounds", void 0);
    _defineProperty(this, "_resizeHandler", void 0);
    _defineProperty(this, "_windowResizeHandler", void 0);
    _defineProperty(this, "_mainBoxSaveNeededChangeHandler", void 0);
    this._addWidgetProperties(['rootGroupBox', 'views', 'dialogs', 'initialFocus', 'messageBoxes', 'fileChoosers']);
    this._addPreserveOnPropertyChangeProperties(['initialFocus']);
    this._addComputedProperties(['modal']);
    this.animateOpening = true;
    this.askIfNeedSave = true;
    this.validationFailedText = '${textKey:FormValidationFailedTitle}';
    this.emptyMandatoryElementsText = null;
    this.invalidElementsErrorText = null;
    this.invalidElementsWarningText = null;
    this.askIfNeedSaveText = null;
    this.data = {};
    this.exclusiveKey = null;
    this.displayViewId = null;
    this.displayHint = Form.DisplayHint.DIALOG;
    this.displayParent = null; // only relevant if form is opened, not relevant if form is just rendered into another widget (not managed by a form controller)
    this.maximized = false;
    this.headerVisible = null;
    this._modal = null;
    this.logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FormGrid);
    this.dialogs = [];
    this.views = [];
    this.messageBoxes = [];
    this.fileChoosers = [];
    this.focusedElement = null;
    this.closable = true;
    this.cacheBounds = false;
    this.cacheBoundsKey = null;
    this.resizable = true;
    this.movable = true;
    this.rootGroupBox = null;
    this.saveNeeded = false;
    this.formSaved = false;
    this.saveNeededVisible = true;
    this.formController = null;
    this.messageBoxController = null;
    this.fileChooserController = null;
    this.closeKeyStroke = null;
    this.showOnOpen = true;
    this.initialFocus = null;
    this.renderInitialFocusEnabled = true;
    this.popupWindow = null;
    this.title = null;
    this.subTitle = null;
    this.iconId = null;
    this.formLoading = false;
    this.formLoaded = false;
    this.validators = [];
    this._defaultValidator = this._validate.bind(this);
    this.$statusIcons = [];
    this.$header = null;
    this.$statusContainer = null;
    this.$close = null;
    this.$saveNeeded = null;
    this.$icon = null;
    this.$title = null;
    this.$subTitle = null;
    this.$dragHandle = null;
    this._glassPaneRenderer = null;
    this._preMaximizedBounds = null;
    this._resizeHandler = this._onResize.bind(this);
    this._windowResizeHandler = this._onWindowResize.bind(this);
    this._mainBoxSaveNeededChangeHandler = () => this.updateSaveNeeded();
  }
  _init(model) {
    super._init(model);
    this.resolveTextKeys(['title', 'validationFailedText', 'emptyMandatoryElementsText', 'invalidElementsErrorText', 'invalidElementsWarningText', 'askIfNeedSaveText']);
    this.resolveIconIds(['iconId']);
    this._setDisplayParent(this.displayParent);
    this._setViews(this.views);
    this.formController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FormController, {
      displayParent: this,
      session: this.session
    });
    this.messageBoxController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxController, {
      displayParent: this,
      session: this.session
    });
    this.fileChooserController = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileChooserController, {
      displayParent: this,
      session: this.session
    });
    this._setRootGroupBox(this.rootGroupBox);
    this._setStatus(this.status);
    this.cacheBoundsKey = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.cacheBoundsKey, this.objectType);
    this._installLifecycle();
    this._setClosable(this.closable);
    this._setExclusiveKey(this.exclusiveKey);
    this._setValidators(this.validators);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _render() {
    this.$container = this.$parent.appendDiv('form').data('model', this);
    if (!(this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.WrappedFormField)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, this.isDialog() || this.isPopupWindow() ? 'dialog' : 'form');
    }
    if (this.uiCssClass) {
      this.$container.addClass(this.uiCssClass);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    let layout;
    if (this.isDialog()) {
      this.$container.addClass('dialog');
      layout = new _index__WEBPACK_IMPORTED_MODULE_0__.DialogLayout(this);
      this.htmlComp.validateRoot = true;
      // Attach to capture phase to activate focus context before regular mouse down handlers may set the focus.
      // E.g. clicking a checkbox label on another dialog executes mouse down handler of the checkbox which will focus the box. This only works if the focus context of the dialog is active.
      this.$container[0].addEventListener('mousedown', this._onDialogMouseDown.bind(this), true);
    } else {
      if (this.isPopupWindow()) {
        this.$container.addClass('popup-window');
      }
      layout = new _index__WEBPACK_IMPORTED_MODULE_0__.FormLayout(this);
    }
    this.htmlComp.setLayout(layout);
    this._renderRootGroupBox();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMaximized();
    this._renderMovable();
    this._renderResizable();
    this._renderHeaderVisible();
    this._renderCssClass();
    this._renderModal();
    this._installFocusContext();
    if (this.renderInitialFocusEnabled) {
      this.renderInitialFocus();
    }
  }
  _postRender() {
    super._postRender();
    // Render attached forms, message boxes and file choosers.
    this.formController.render();
    this.messageBoxController.render();
    this.fileChooserController.render();
    if (this._glassPaneRenderer) {
      this._glassPaneRenderer.renderGlassPanes();
    }
  }
  _destroy() {
    super._destroy();
    if (this._glassPaneRenderer) {
      this._glassPaneRenderer = null;
    }
  }
  _remove() {
    this.formController.remove();
    this.messageBoxController.remove();
    this.fileChooserController.remove();
    if (this._glassPaneRenderer) {
      this._glassPaneRenderer.removeGlassPanes();
      this._glassPaneRenderer = null;
    }
    this._uninstallFocusContext();
    this._removeHeader();
    this.$dragHandle = null;
    super._remove();
  }
  /** @see FormModel.modal */
  setModal(modal) {
    this.setProperty('modal', modal);
  }
  get modal() {
    return this._modal === null ? this.isDialog() : this._modal;
  }
  _renderModal() {
    if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.WrappedFormField) {
      return;
    }
    let modal = this.modal;
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.modal(this.$container, modal || null);
    if (modal && !this._glassPaneRenderer) {
      this._glassPaneRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.GlassPaneRenderer(this);
      this._glassPaneRenderer.renderGlassPanes();
    } else if (!modal && this._glassPaneRenderer) {
      this._glassPaneRenderer.removeGlassPanes();
      this._glassPaneRenderer = null;
    }
  }
  _installLifecycle() {
    this.lifecycle = this._createLifecycle();
    this.lifecycle.handle('load', this._onLifecycleLoad.bind(this));
    this.lifecycle.handle('save', this._onLifecycleSave.bind(this));
    this.lifecycle.on('postLoad', this._onLifecyclePostLoad.bind(this));
    this.lifecycle.on('reset', this._onLifecycleReset.bind(this));
    this.lifecycle.on('close', this._onLifecycleClose.bind(this));
  }
  _createLifecycle() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycle, {
      widget: this,
      askIfNeedSave: this.askIfNeedSave,
      emptyMandatoryElementsText: this.emptyMandatoryElementsText,
      invalidElementsErrorText: this.invalidElementsErrorText,
      invalidElementsWarningText: this.invalidElementsWarningText,
      askIfNeedSaveText: this.askIfNeedSaveText
    });
  }
  setExclusiveKey(exclusiveKey) {
    this.setProperty('exclusiveKey', exclusiveKey);
  }
  _setExclusiveKey(exclusiveKey) {
    let key = exclusiveKey;
    if (!exclusiveKey) {
      key = () => null;
    } else if (typeof exclusiveKey !== 'function') {
      key = () => exclusiveKey;
    }
    this._setProperty('exclusiveKey', key);
  }
  /**
   * Loads the data and renders the form afterward by adding it to the desktop.
   *
   * Calling this method is equivalent to calling {@link load} first and once the promise is resolved, calling {@link show}.
   *
   * Keep in mind that the form won't be rendered immediately after calling {@link open}. Because promises are always resolved asynchronously,
   * {@link show} will be called delayed even if {@link load} does nothing but return a resolved promise.
   *
   * This is only relevant if you need to access properties which are only available when the form is rendered (e.g. {@link $container}), which is not recommended anyway.
   */
  open() {
    return this.load(false).then(() => {
      if (this.destroyed) {
        // If form has been closed right after it was opened don't try to show it
        return;
      }
      if (this.isShown()) {
        this.activate();
      } else if (this.showOnOpen) {
        this.show();
      }
    });
  }
  /**
   * Initializes the life cycle and calls the {@link _load} function.
   * Does nothing, if form is still loading (= {@link formLoading} is true).
   *
   * @param allowReload controls whether loading should be allowed even if it has already been loaded once (= if {@link formLoaded is true}).
   * @returns promise which is resolved when the form is loaded.
   */
  load() {
    let allowReload = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (this.formLoading) {
      return this.whenLoad().then(() => undefined);
    }
    if (!allowReload && this.formLoaded) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    try {
      return this.withBusyHandling(() => this.lifecycle.load()).catch(error => this._handleLoadErrorInternal(error));
    } catch (error) {
      return this._handleLoadErrorInternal(error);
    }
  }
  /**
   * Enables the {@link BusyIndicator} while the given action runs.
   *
   * @see setBusy
   */
  withBusyHandling(action) {
    this.setBusy(true);
    try {
      return action().always(() => this.setBusy(false));
    } catch (error) {
      this.setBusy(false);
      throw error;
    }
  }
  /**
   * @deprecated use {@link withBusyHandling}.
   */
  _withBusyHandling(action) {
    return this.withBusyHandling(action);
  }
  /**
   * @returns promise which is resolved when the form is loaded, respectively when the 'load' event is triggered.
   */
  whenLoad() {
    return this.when('load');
  }
  /**
   * Lifecycle handle function registered for 'load'.
   */
  _onLifecycleLoad() {
    try {
      this._setFormLoading(true);
      return this._load().then(data => {
        if (this.destroyed) {
          // If form has been closed right after it was opened ignore the load result
          return;
        }
        this.setData(data);
        this.importData();
        this._setFormLoading(false);
        this.formLoaded = true;
        this.trigger('load');
      }).always(() => this._setFormLoading(false));
    } catch (error) {
      this._setFormLoading(false);
      throw error;
    }
  }
  _setFormLoading(loading) {
    this._setProperty('formLoading', loading);
  }
  /**
   * This function is called when an error occurs in the {@link _onLifecycleLoad} function or when the {@link _load} function returns with a rejected promise.
   * By default, the error is forwarded to the {@link ErrorHandler}, the form is closed and a rejected promise is returned so a caller of {@link load} may catch the error.
   */
  _handleLoadErrorInternal(error) {
    return this._handleErrorInternal(error, 'load', error => this._handleLoadError(error));
  }
  /**
   * Default load error handler. May be overridden by sub-classes.
   */
  _handleLoadError(error) {
    this.close();
    return this._handleError(error);
  }
  /**
   * Method may be implemented to load the data.
   * By default, a resolved promise containing {@link data} is returned.
   */
  _load() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise().then(() => {
      return this.data;
    });
  }
  /**
   * @returns promise which is resolved when the form is post loaded, respectively when the 'postLoad' event is triggered.
   */
  whenPostLoad() {
    return this.when('postLoad');
  }
  _onLifecyclePostLoad() {
    try {
      return this._postLoad().then(() => this.trigger('postLoad')).catch(error => this._handlePostLoadErrorInternal(error));
    } catch (error) {
      return this._handlePostLoadErrorInternal(error);
    }
  }
  /**
   * This function is called when an error occurs in the {@link _onLifecyclePostLoad} function or when the {@link _postLoad} function returns with a rejected promise.
   * By default, the error is forwarded to the {@link ErrorHandler} and a rejected promise is returned.
   */
  _handlePostLoadErrorInternal(error) {
    return this._handleErrorInternal(error, 'postLoad', error => this._handlePostLoadError(error));
  }
  /**
   * Default postLoad error handler. May be overridden by sub-classes.
   */
  _handlePostLoadError(error) {
    return this._handleError(error);
  }
  _postLoad() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /** @see FormModel.data */
  setData(data) {
    this.setProperty('data', data);
  }
  /**
   * Imports the {@link data} to the form.
   */
  importData() {
    // NOP
  }
  /**
   * Exports the form to {@link data}.
   */
  exportData() {
    return null;
  }
  /**
   * Saves and closes the form.
   *
   * **Note:** The resulting promise will be resolved even if the form does not require save and therefore even if {@link _save} is not called.
   * If you only want to be informed when save is required and {@link _save} executed then you could use {@link whenSave} or `on('save')` instead.
   *
   * @returns promise which is resolved when the save completes and rejected on an error.
   */
  ok() {
    return this.lifecycle.ok();
  }
  /**
   * Saves the changes without closing the form.
   *
   * **Note:** The resulting promise it will be resolved even if the form does not require save and therefore even if {@link _save} is not called.
   * If you only want to be informed when save is required and {@link _save} executed then you could use {@link whenSave} or `on('save')` instead.
   *
   * @returns promise which is resolved when the save completes and rejected on an error.
   */
  save() {
    return this.lifecycle.save();
  }
  /**
   * @returns promise which is resolved when the form is saved, respectively when the 'save' event is triggered.
   */
  whenSave() {
    return this.when('save');
  }
  _onLifecycleSave() {
    try {
      return this.withBusyHandling(() => {
        let data = this.exportData();
        return this._save(data).then(() => {
          this.formSaved = true;
          this.setData(data);
          this.trigger('save');
        });
      }).catch(error => this._handleSaveErrorInternal(error));
    } catch (error) {
      return this._handleSaveErrorInternal(error);
    }
  }
  /**
   * This function is called when an error occurs in {@link _onLifecycleSave} or when {@link _save} returns with a rejected promise.
   * By default, the error is forwarded to the {@link ErrorHandler} and the promise is rejected so a caller of {@link save} may catch the error.
   */
  _handleSaveErrorInternal(error) {
    return this._handleErrorInternal(error, 'save', error => this._handleSaveError(error));
  }
  /**
   * Default save error handler. May be overridden by sub-classes.
   */
  _handleSaveError(error) {
    return this._handleError(error);
    // do not close as the user might want to change any value causing the error or just to retry.
  }
  _handleErrorInternal(error, phase, errorHandler) {
    const event = this.trigger('error', {
      phase,
      error
    });
    let promise;
    if (event.defaultPrevented) {
      promise = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    } else {
      promise = errorHandler(error).catch(errorInErrorHandler => {
        // prevents that a rejected promise from the error handler overwrites the actual error from the form.
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Error in error handler while trying to handle error "' + error + '".', errorInErrorHandler);
      });
    }
    return promise.then(() => {
      throw error; // always throw so it can be catched.
    });
  }
  /**
   * Default error handler for {@link _load}, {@link _save} and {@link _postLoad}. May be overridden by subclasses.
   * @returns A promise that resolves when the error is handled.
   */
  _handleError(error) {
    const errorHandler = _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler;
    return errorHandler.handle(error) // shows a message box with the error
    .then(errorInfo => undefined);
  }
  /**
   * Validates the form.
   *
   * @returns a promise resolved with the validation result as {@link Status}.
   */
  validate() {
    return this.lifecycle.validate();
  }
  /**
   * The function is called every time {@link _lifecycleValidate} is called. The function should be used
   * to implement an overall validate logic which is not related to a specific field. For instance, you
   * could validate the state of an internal member variable.
   *
   * You should return a {@link Status} object with severity ERROR or WARNING in case the validation fails.
   */
  _validate() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok();
  }
  /**
   * This function is called by the lifecycle, for instance when the 'ok' function is called.
   * The function is called every time the 'ok' function is called, which means it runs even when
   * there is not a single touched field. The function should be used to implement an overall validate
   * logic which is not related to a specific field. For instance, you could validate the state of an
   * internal member variable.
   *
   * Do not override this method, use {@link _validate} instead.
   */
  _lifecycleValidate() {
    const combineStatuses = statuses => {
      const status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok();
      statuses.forEach(s => status.addStatus(s));
      return status;
    };
    // separate statuses from promises
    const statuses = [];
    const promises = [];
    for (const statusOrPromise of this.validators.map(validator => validator(this))) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isPromise(statusOrPromise)) {
        promises.push(statusOrPromise);
        continue;
      }
      statuses.push(statusOrPromise);
    }
    // return combined status if there are no promises
    const status = combineStatuses(statuses);
    if (!promises.length) {
      return status;
    }
    // wait for promises and combine results
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll([jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status), ...promises]).then(function () {
      for (var _len = arguments.length, statusArr = new Array(_len), _key = 0; _key < _len; _key++) {
        statusArr[_key] = arguments[_key];
      }
      return combineStatuses(statusArr);
    });
  }
  /** @see FormModel.validators */
  addValidator(validator) {
    let validators = this.validators.slice();
    validators.push(validator);
    this.setValidators(validators);
  }
  /** @see FormModel.validators */
  removeValidator(validator) {
    let validators = this.validators.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(validators, validator);
    this.setValidators(validators);
  }
  /** @see FormModel.validators */
  setValidators(validators) {
    this.setProperty('validators', validators);
  }
  _setValidators(validators) {
    validators = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(validators).slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushSet(validators, this._defaultValidator);
    this._setProperty('validators', validators);
  }
  /**
   * Called when the validation of this form failed.
   * @param status The {@link Status} that describes why the validation failed. It is always invalid (error or warning).
   * @internal
   */
  _handleInvalid(status) {
    const event = this.trigger('invalid', {
      status
    });
    if (event.defaultPrevented) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(event.status);
    }
    return this._showFormInvalidMessageBox(event.status);
  }
  _showFormInvalidMessageBox(status) {
    if (!status || status.isValid()) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status);
    }
    return this._createStatusMessageBox(status).buildAndOpen().then(option => {
      if (!status.isError() && option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.YES) {
        return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ok(status.message));
      }
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status);
    });
  }
  _createStatusMessageBox(status) {
    let messageBoxes = _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxes.createOk(this).withSeverity(status.severity).withHeader(this.validationFailedText).withBody(status.message, true);
    if (!status.isError()) {
      messageBoxes = messageBoxes.withYes(this.session.text('ProceedAnyway')).withNo(this.session.text('Cancel'));
    }
    return messageBoxes;
  }
  /**
   * This function is called by the lifecycle, when {@link save} is called.
   *
   * The data given to this function is the result of {@link exportData} which was called in advance.
   */
  _save(data) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /**
   * Resets the form to its initial state.
   */
  reset() {
    return this.lifecycle.reset();
  }
  /**
   * @returns promise which is resolved when the form is reset, respectively when the 'reset' event is triggered.
   */
  whenReset() {
    return this.when('reset');
  }
  _onLifecycleReset() {
    this.trigger('reset');
  }
  /**
   * Closes the form if there are no changes made. Otherwise, it shows a message box asking to save the changes.
   */
  cancel() {
    return this.lifecycle.cancel();
  }
  /**
   * Closes the form and discards any unsaved changes.
   */
  close() {
    return this.lifecycle.close();
  }
  /**
   * @returns promise which is resolved when the form is closed, respectively when the 'close' event is triggered.
   */
  whenClose() {
    return this.when('close');
  }
  _onLifecycleClose() {
    const event = this.trigger('close');
    if (!event.defaultPrevented) {
      this._close();
    }
  }
  /**
   * Destroys the form and removes it from the desktop.
   */
  _close() {
    this.hide();
    this.destroy();
  }
  /**
   * This function is called when the user presses the "x" icon.
   *
   * It will either call {@link #close()} or {@link #cancel()}, depending on the enabled and visible system buttons, see {@link _abort}.
   */
  abort() {
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('abort', event);
    if (!event.defaultPrevented) {
      this._abort();
    }
  }
  /**
   * @returns promise which is resolved when the form is aborted, respectively when the 'abort' event is triggered.
   */
  whenAbort() {
    return this.when('abort');
  }
  /**
   * Will call {@link #close()} if there is a close menu or button, otherwise {@link #cancel()} will be called.
   */
  _abort() {
    var _this$rootGroupBox, _this$rootGroupBox2;
    // Search for a close button in the menus and buttons of the root group box
    let controls = ((_this$rootGroupBox = this.rootGroupBox) === null || _this$rootGroupBox === void 0 ? void 0 : _this$rootGroupBox.controls) || [];
    controls = controls.concat(((_this$rootGroupBox2 = this.rootGroupBox) === null || _this$rootGroupBox2 === void 0 ? void 0 : _this$rootGroupBox2.menus) || []);
    let hasCloseButton = controls.filter(control => {
      let enabled = control.enabled;
      if (control.enabledComputed !== undefined) {
        enabled = control.enabledComputed; // Menus don't have enabledComputed, only form fields
      }
      return control.visible && enabled && control.systemType;
    }).some(control => control.systemType === _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.CLOSE);
    if (hasCloseButton) {
      this.close();
    } else {
      this.cancel();
    }
    this._afterAbort();
  }
  /** @internal */
  _afterAbort() {
    if (!this.destroyed && this.isShown()) {
      // If the form is still shown after an abort request, something (e.g. a validation message box) is probably open
      // -> activate the form to show the validation message
      // Checking for destroyed would be sufficient for most cases. But maybe a certain form does not really close the form on an abort request but just hides it. This is where isShown comes in.
      this.activate();
    }
  }
  revealInvalidField(validationResult) {
    if (!validationResult) {
      return;
    }
    this._revealInvalidField(validationResult);
  }
  _revealInvalidField(validationResult) {
    let event = this._createRevealInvalidFieldEvent(validationResult);
    this.trigger('revealInvalidField', event);
    if (event.defaultPrevented) {
      return;
    }
    validationResult.reveal();
  }
  _createRevealInvalidFieldEvent(validationResult) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Event({
      validationResult: validationResult
    });
  }
  /**
   * Override this method to provide a keystroke which closes the form.
   * The default implementation returns an AbortKeyStroke which handles the ESC key and calls {@link abort}.
   *
   * The keystroke is only active if {@link closable} is set to true.
   */
  _createCloseKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.AbortKeyStroke(this, () => this.$close);
  }
  _setClosable(closable) {
    this._setProperty('closable', closable);
    if (this.closable) {
      this.closeKeyStroke = this._createCloseKeyStroke();
      this.keyStrokeContext.registerKeyStroke(this.closeKeyStroke);
    } else {
      this.keyStrokeContext.unregisterKeyStroke(this.closeKeyStroke);
    }
  }
  /** @see FormModel.closable */
  setClosable(closable) {
    this.setProperty('closable', closable);
  }
  _renderClosable() {
    if (!this.$header) {
      return;
    }
    this.$container.toggleClass('closable');
    if (this.closable) {
      if (this.$close) {
        return;
      }
      this.$close = this.$statusContainer.appendDiv('status closer').on('click', this._onCloseIconClick.bind(this));
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$close, 'button');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$close, this.session.text('ui.Close'));
    } else {
      if (!this.$close) {
        return;
      }
      this.$close.remove();
      this.$close = null;
    }
  }
  _onCloseIconClick() {
    this.abort();
  }
  /** @see FormModel.resizable */
  setResizable(resizable) {
    this.setProperty('resizable', resizable);
  }
  _renderResizable() {
    if (this.resizable && this.isDialog() && !this.maximized) {
      this.$container.resizable().on('resizeStep', this._resizeHandler);
    } else {
      this.$container.unresizable().off('resizeStep', this._resizeHandler);
    }
  }
  _onResize(event) {
    let layout = this.htmlComp.layout,
      autoSizeOld = layout.autoSize;
    layout.autoSize = false;
    this.htmlComp.revalidateLayoutTree(false);
    layout.autoSize = autoSizeOld;
    this.updateCacheBounds();
    return false;
  }
  /** @see FormModel.movable */
  setMovable(movable) {
    this.setProperty('movable', movable);
  }
  _renderMovable() {
    if (this.movable && this.isDialog() && !this.maximized) {
      if (this.$dragHandle) {
        return;
      }
      this.$dragHandle = this.$container.prependDiv('drag-handle');
      this.$container.draggable(this.$dragHandle, jquery__WEBPACK_IMPORTED_MODULE_1___default().throttle(this._onMove.bind(this), 1000 / 60)); // 60fps
    } else {
      if (!this.$dragHandle) {
        return;
      }
      this.$container.undraggable(this.$dragHandle);
      this.$dragHandle.remove();
      this.$dragHandle = null;
    }
  }
  _onDialogMouseDown() {
    this.activate();
  }
  /**
   * @see Desktop.activateForm
   */
  activate() {
    this.session.desktop.activateForm(this);
  }
  show() {
    this.session.desktop.showForm(this);
  }
  hide() {
    this.session.desktop.hideForm(this);
  }
  /**
   * Checks whether the form is shown, which means whether a form has been added to the form stack of the display parent, e.g. by using {@link showForm}.
   *
   * It does not necessarily mean the user can see the content of the form for sure,
   * e.g. if the form is opened as a view the tab may be inactive because another view is active, or in case of a dialog it may be hidden behind another dialog or shown in an inactive view.
   */
  isShown() {
    return this.session.desktop.isFormShown(this);
  }
  _renderHeader() {
    this.$header = this.$container.prependDiv('header');
    this.$statusContainer = this.$header.appendDiv('status-container');
    this.$icon = this.$header.appendDiv('icon-container');
    this.$title = this.$header.appendDiv('title');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$title, {
      parent: this
    });
    this.$subTitle = this.$header.appendDiv('sub-title');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$subTitle, {
      parent: this
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$title);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$subTitle, _index__WEBPACK_IMPORTED_MODULE_0__.AriaLabelledByInsertPosition.BACK);
    this._renderTitle();
    this._renderSubTitle();
    this._renderIconId();
    this._renderStatus();
    this._renderClosable();
    this._renderSaveNeeded();
  }
  _removeHeader() {
    if (this.$title) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$title);
    }
    if (this.$subTitle) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$subTitle);
    }
    if (this.$header) {
      this.$header.remove();
      this.$header = null;
    }
    this.$title = null;
    this.$subTitle = null;
    this.$statusContainer = null;
    this.$icon = null;
    this.$close = null;
    this.$saveNeeded = null;
  }
  /** @see FormModel.rootGroupBox */
  setRootGroupBox(rootGroupBox) {
    this.setProperty('rootGroupBox', rootGroupBox);
  }
  _setRootGroupBox(rootGroupBox) {
    if (this.initialized && this.rootGroupBox) {
      this.rootGroupBox.setMainBox(false);
      this.rootGroupBox.off('propertyChange:saveNeeded', this._mainBoxSaveNeededChangeHandler);
    }
    this._setProperty('rootGroupBox', rootGroupBox);
    if (this.rootGroupBox) {
      this.rootGroupBox.setMainBox(true);
      this.rootGroupBox.on('propertyChange:saveNeeded', this._mainBoxSaveNeededChangeHandler);
    }
    this.updateSaveNeeded();
  }
  _renderRootGroupBox() {
    var _this$rootGroupBox3;
    (_this$rootGroupBox3 = this.rootGroupBox) === null || _this$rootGroupBox3 === void 0 || _this$rootGroupBox3.render();
    this.invalidateLayoutTree();
  }
  /**
   * Updates the {@link saveNeeded} property based on the {@link GroupBox.saveNeeded} state of the {@link rootGroupBox} and the result of {@link _computeSaveNeeded}.
   */
  updateSaveNeeded() {
    var _this$rootGroupBox4;
    if (!this.initialized || this.destroying) {
      return;
    }
    this.setSaveNeeded(((_this$rootGroupBox4 = this.rootGroupBox) === null || _this$rootGroupBox4 === void 0 ? void 0 : _this$rootGroupBox4.saveNeeded) || this._computeSaveNeeded());
  }
  /**
   * Used by {@link updateSaveNeeded} to update the {@link saveNeeded} property.
   *
   * Can be implemented to add a custom save needed check for this specific form.
   *
   * By default, there is no implementation and {@link saveNeeded} depends on the state of the {@link rootGroupBox} which itself depends on the state of its fields.
   *
   * @returns true if the form needs to be saved, false if only the state of the group should be considered
   */
  _computeSaveNeeded() {
    return false;
  }
  /**
   * Marks the root group box as saved so that {@link saveNeeded} returns false.
   *
   * *Note*: {@link saveNeeded} may still return true afterward if a custom save needed computation is active, see {@link _computeSaveNeeded}.
   *
   * @see GroupBox.markAsSaved
   * @see touch
   */
  markAsSaved() {
    var _this$rootGroupBox5;
    (_this$rootGroupBox5 = this.rootGroupBox) === null || _this$rootGroupBox5 === void 0 || _this$rootGroupBox5.markAsSaved();
    this.updateSaveNeeded();
  }
  setSaveNeeded(saveNeeded) {
    this.setProperty('saveNeeded', saveNeeded);
  }
  _renderSaveNeeded() {
    if (!this.$header) {
      return;
    }
    if (this.saveNeeded && this.saveNeededVisible) {
      this.$container.addClass('save-needed');
      if (this.$saveNeeded) {
        return;
      }
      if (this.$close) {
        this.$saveNeeded = this.$close.beforeDiv('status save-needer');
      } else {
        this.$saveNeeded = this.$statusContainer.appendDiv('status save-needer');
      }
    } else {
      this.$container.removeClass('save-needed');
      if (!this.$saveNeeded) {
        return;
      }
      this.$saveNeeded.remove();
      this.$saveNeeded = null;
    }
    // Layout could have been changed, e.g. if subtitle becomes visible
    this.invalidateLayoutTree();
  }
  /** @see FormModel.askIfNeedSave */
  setAskIfNeedSave(askIfNeedSave) {
    this.setProperty('askIfNeedSave', askIfNeedSave);
    if (this.lifecycle) {
      this.lifecycle.setAskIfNeedSave(askIfNeedSave);
    }
  }
  /** @see FormModel.displayViewId */
  setDisplayViewId(displayViewId) {
    this.setProperty('displayViewId', displayViewId);
  }
  /** @see FormModel.displayHint */
  setDisplayHint(displayHint) {
    this.setProperty('displayHint', displayHint);
  }
  /** @see FormModel.saveNeededVisible */
  setSaveNeededVisible(visible) {
    this.setProperty('saveNeededVisible', visible);
  }
  _renderSaveNeededVisible() {
    this._renderSaveNeeded();
  }
  _renderCssClass(cssClass, oldCssClass) {
    cssClass = cssClass || this.cssClass;
    this.$container.removeClass(oldCssClass);
    this.$container.addClass(cssClass);
    // Layout could have been changed, e.g. if subtitle becomes visible
    this.invalidateLayoutTree();
  }
  /** @see FormModel.status */
  setStatus(status) {
    this.setProperty('status', status);
  }
  _setStatus(status) {
    status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(status);
    this._setProperty('status', status);
  }
  _renderStatus() {
    if (!this.$header) {
      return;
    }
    this.$statusIcons.forEach($icn => {
      $icn.remove();
    });
    this.$statusIcons = [];
    if (this.status) {
      let statusList = this.status.asFlatList();
      let $prevIcon;
      statusList.forEach(sts => {
        $prevIcon = this._renderSingleStatus(sts, $prevIcon);
        if ($prevIcon) {
          this.$statusIcons.push($prevIcon);
        }
      });
    }
    // Layout could have been changed, e.g. if subtitle becomes visible
    this.invalidateLayoutTree();
  }
  _renderSingleStatus(status, $prevIcon) {
    if (status && status.iconId) {
      let $statusIcon = this.$statusContainer.appendIcon(status.iconId, 'status');
      if (status.cssClass()) {
        $statusIcon.addClass(status.cssClass());
      }
      $statusIcon.prependTo(this.$statusContainer);
      return $statusIcon;
    }
    return $prevIcon;
  }
  addStatus(status) {
    if (!status) {
      return;
    }
    const children = this.status && this.status.children,
      ms = new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
        children
      });
    ms.addStatus(status);
    this.setStatus(ms);
  }
  removeStatus(status) {
    if (!this.status || !status) {
      return;
    }
    if (this.status.equals(status)) {
      this.setStatus(null);
      return;
    }
    if (this.status.containsStatusByPredicate(s => status.equals(s))) {
      const newStatus = this.status.clone();
      newStatus.removeAllStatusByPredicate(s => status.equals(s));
      this.setStatus(newStatus);
    }
  }
  getNotificationBadgeText() {
    const status = this._getNotificationBadgeStatus();
    if (status) {
      return status.message;
    }
  }
  setNotificationBadgeText(notificationBadgeText) {
    this.removeStatus(this._getNotificationBadgeStatus());
    if (!notificationBadgeText) {
      return;
    }
    this.addStatus(new _index__WEBPACK_IMPORTED_MODULE_0__.NotificationBadgeStatus({
      message: notificationBadgeText,
      code: Form._NOTIFICATION_BADGE_STATUS_CODE
    }));
  }
  _getNotificationBadgeStatus() {
    if (!this.status) {
      return;
    }
    return this.status.asFlatList().find(s => Form._NOTIFICATION_BADGE_STATUS_CODE === s.code);
  }
  /** @see FormModel.showOnOpen */
  setShowOnOpen(showOnOpen) {
    this.setProperty('showOnOpen', showOnOpen);
  }
  _updateTitleForDom() {
    let titleText = this.title;
    if (!titleText && this.closable) {
      // Add '&nbsp;' to prevent title-box of a closable form from collapsing if title is empty
      titleText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText('&nbsp;');
    }
    if (titleText || this.subTitle) {
      let $titles = getOrAppendChildDiv(this.$container, 'title-box');
      // Render title
      if (titleText) {
        getOrAppendChildDiv($titles, 'title').text(titleText).icon(this.iconId);
      } else {
        removeChildDiv($titles, 'title');
      }
      // Render subTitle
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(titleText)) {
        getOrAppendChildDiv($titles, 'sub-title').text(this.subTitle);
      } else {
        removeChildDiv($titles, 'sub-title');
      }
    } else {
      removeChildDiv(this.$container, 'title-box');
    }
    // ----- Helper functions -----
    function getOrAppendChildDiv($parent, cssClass) {
      let $div = $parent.children('.' + cssClass);
      if ($div.length === 0) {
        $div = this.$parent.appendDiv(cssClass);
      }
      return $div;
    }
    function removeChildDiv($parent, cssClass) {
      $parent.children('.' + cssClass).remove();
    }
  }
  isDialog() {
    return this.displayHint === Form.DisplayHint.DIALOG;
  }
  isPopupWindow() {
    return this.displayHint === Form.DisplayHint.POPUP_WINDOW;
  }
  isView() {
    return this.displayHint === Form.DisplayHint.VIEW;
  }
  _onMove(newOffset) {
    this.trigger('move', newOffset);
    this.updateCacheBounds();
  }
  moveTo(position) {
    this.$container.cssPosition(position);
    this.trigger('move', {
      left: position.x,
      top: position.y
    });
    this.updateCacheBounds();
  }
  position() {
    let position;
    let prefBounds = this.prefBounds();
    if (prefBounds) {
      position = prefBounds.point();
      // Cached bounds may be off-screen -> adjust if necessary
      let windowSize = this.$container.windowSize();
      let margins = this.htmlComp.margins();
      let minX = 0;
      let minY = 0;
      let maxX = windowSize.width - prefBounds.width - margins.horizontal();
      let maxY = windowSize.height - prefBounds.height - margins.vertical();
      position.x = Math.max(minX, Math.min(maxX, position.x));
      position.y = Math.max(minY, Math.min(maxY, position.y));
    } else {
      position = _index__WEBPACK_IMPORTED_MODULE_0__.DialogLayout.positionContainerInWindow(this.$container);
    }
    this.moveTo(position);
  }
  updateCacheBounds() {
    if (this.cacheBounds && !this.maximized) {
      this.storeCacheBounds(this.htmlComp.bounds());
    }
  }
  appendTo($parent) {
    this.$container.appendTo($parent);
  }
  /** @see FormModel.headerVisible */
  setHeaderVisible(headerVisible) {
    this.setProperty('headerVisible', headerVisible);
  }
  _renderHeaderVisible() {
    let headerVisible = this.headerVisible === null ? this.isDialog() : this.headerVisible;
    if (headerVisible && !this.$header) {
      this._renderHeader();
    } else if (!headerVisible && this.$header) {
      this._removeHeader();
    }
    // If header contains no title it won't be a real header, it will be in the top right corner just containing icons.
    let noTitleHeader = this.$header && this.$header.hasClass('no-title');
    this.$container.toggleClass('header-visible', headerVisible && !noTitleHeader);
    let ariaLabel = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this.title, this.subTitle);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$container, !headerVisible && !noTitleHeader ? ariaLabel : null);
    this.invalidateLayoutTree();
  }
  /** @see FormModel.title */
  setTitle(title) {
    this.setProperty('title', title);
  }
  _renderTitle() {
    if (this.$header) {
      this.$title.text(this.title);
      this.$header.toggleClass('no-title', !this.title && !this.subTitle);
    }
    // Layout could have been changed, e.g. if subtitle becomes visible
    this.invalidateLayoutTree();
  }
  /** @see FormModel.subTitle */
  setSubTitle(subTitle) {
    this.setProperty('subTitle', subTitle);
  }
  _renderSubTitle() {
    if (this.$header) {
      this.$subTitle.text(this.subTitle);
      this.$header.toggleClass('no-title', !this.title && !this.subTitle);
    }
    // Layout could have been changed, e.g. if subtitle becomes visible
    this.invalidateLayoutTree();
  }
  /** @see FormModel.iconId */
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  _renderIconId() {
    if (this.$header) {
      this.$icon.icon(this.iconId);
      // Layout could have been changed, e.g. if subtitle becomes visible
      this.invalidateLayoutTree();
    }
  }
  _setViews(views) {
    if (views) {
      views.forEach(view => {
        view.setDisplayParent(this);
      });
    }
    this._setProperty('views', views);
  }
  setDisabledStyle(disabledStyle) {
    var _this$rootGroupBox6;
    (_this$rootGroupBox6 = this.rootGroupBox) === null || _this$rootGroupBox6 === void 0 || _this$rootGroupBox6.setDisabledStyle(disabledStyle);
  }
  /** @see FormModel.displayParent */
  setDisplayParent(displayParent) {
    this.setProperty('displayParent', displayParent);
  }
  _setDisplayParent(displayParent) {
    if (displayParent instanceof Form && displayParent.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.WrappedFormField && displayParent.isView()) {
      displayParent = Form.findNonWrappedForm(displayParent);
    }
    this._setProperty('displayParent', displayParent);
    if (displayParent) {
      this.setParent(this.findDesktop().computeParentForDisplayParent(displayParent));
    }
  }
  /** @see FormModel.maximized */
  setMaximized(maximized) {
    this.setProperty('maximized', maximized);
  }
  _renderMaximized() {
    if (!this.isDialog()) {
      return;
    }
    if (this.maximized && this.htmlComp.layouted) {
      // Store the current bounds before it is maximized.
      // The layout will read it using this.prefBounds() the first time it is called when maximized is set to false.
      this._preMaximizedBounds = this.htmlComp.bounds();
    }
    this._maximize();
    if (!this.maximized) {
      this._preMaximizedBounds = null;
    }
    if (this.maximized) {
      this.$container.window().on('resize', this._windowResizeHandler);
    } else {
      this.$container.window().off('resize', this._windowResizeHandler);
    }
    if (this.rendered) {
      // Remove move and resize handles when maximized
      this._renderMovable();
      this._renderResizable();
    }
  }
  _onWindowResize() {
    if (this.maximized) {
      this._maximize();
    }
  }
  _maximize() {
    if (!this.rendered) {
      return;
    }
    let layout = this.htmlComp.layout,
      shrinkEnabled = layout.shrinkEnabled;
    layout.shrinkEnabled = true;
    this.revalidateLayoutTree();
    this.position();
    layout.shrinkEnabled = shrinkEnabled;
  }
  prefBounds() {
    if (this.maximized) {
      return null;
    }
    if (this._preMaximizedBounds) {
      return this._preMaximizedBounds;
    }
    if (this.cacheBounds) {
      return this.readCacheBounds();
    }
    return null;
  }
  _attach() {
    this.$parent.append(this.$container);
    // If the parent was resized while this view was detached, the view has a wrong size.
    if (this.isView()) {
      this.invalidateLayoutTree(false);
    }
    // form is attached even if children are not yet
    if ((this.isView() || this.isDialog()) && !this.detailForm) {
      // notify model this form is active
      this.session.desktop._setFormActivated(this);
    }
    super._attach();
  }
  /**
   * Method invoked when:
   *  - this is a 'detailForm' and the outline content is displayed;
   *  - this is a 'view' and the view tab is selected;
   *  - this is a child 'dialog' or 'view' and its 'displayParent' is attached;
   */
  _postAttach() {
    // Attach child dialogs, message boxes and file choosers.
    this.formController.attachDialogs();
    this.messageBoxController.attach();
    this.fileChooserController.attach();
    super._attach();
  }
  /**
   * Method invoked when:
   *  - this is a 'detailForm' and the outline content is hidden;
   *  - this is a 'view' and the view tab is deselected;
   *  - this is a child 'dialog' or 'view' and its 'displayParent' is detached;
   */
  _detach() {
    // Detach child dialogs, message boxes and file choosers, not views.
    this.formController.detachDialogs();
    this.messageBoxController.detach();
    this.fileChooserController.detach();
    this.$container.detach();
    super._detach();
  }
  renderInitialFocus() {
    let focused = false;
    if (this.initialFocus) {
      focused = this.initialFocus.focus();
    } else {
      // If no explicit focus is requested, try to focus the first focusable element.
      // Do it only if the focus is not already on an element in the form (e.g. focus could have been requested explicitly by a child element)
      // And only if the context belonging to that element is ready. Not ready means, some other widget (probably an outer container) is still preparing the context and will do the initial focus later
      if (!this.$container.isOrHas(this.$container.activeElement())) {
        let focusManager = this.session.focusManager;
        focused = focusManager.requestFocusIfReady(focusManager.findFirstFocusableElement(this.$container));
      }
    }
    if (focused) {
      // If the focus widget is outside the view area the browser tries to scroll the widget into view.
      // If the scroll area contains large (not absolutely positioned) content it can happen that the browsers scrolls the content even though the focused widget already is in the view area.
      // This is probably because the focus happens while the form is not layouted yet. We should actually refactor this and do the focusing after layouting, but this would be a bigger change.
      // The current workaround is to revert the scrolling done by the browser. Automatic scrolling to the focused widget when the form is not layouted does not work anyway.
      let $scrollParent = this.$container.activeElement().scrollParent();
      $scrollParent.scrollTop(0);
      $scrollParent.scrollLeft(0);
    }
  }
  /**
   * This method returns the HtmlElement (DOM node) which is used by FocusManager/FocusContext/Popup
   * to focus the initial element. The impl. of these classes relies on HtmlElements, so we can not
   * easily use the focus() method of FormField here. Furthermore, some classes like Button
   * are sometimes 'adapted' by a ButtonAdapterMenu, which means the Button itself is not rendered, but
   * we must know the $container of the adapter menu to focus the correct element. That's why we call
   * the getFocusableElement() method.
   */
  _initialFocusElement() {
    let focusElement;
    if (this.initialFocus) {
      focusElement = this.initialFocus.getFocusableElement();
    }
    if (!focusElement) {
      focusElement = this.session.focusManager.findFirstFocusableElement(this.$container);
    }
    return focusElement;
  }
  _installFocusContext() {
    if (this.isDialog() || this.isPopupWindow()) {
      this.session.focusManager.installFocusContext(this.$container, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.NONE);
    }
  }
  _uninstallFocusContext() {
    if (this.isDialog() || this.isPopupWindow()) {
      this.session.focusManager.uninstallFocusContext(this.$container);
    }
  }
  /**
   * Touches the {@link rootGroupBox} so that {@link saveNeeded} returns true even if no field value has changed.
   *
   * @see GroupBox.touch
   * @see markAsSaved
   */
  touch() {
    var _this$rootGroupBox7;
    (_this$rootGroupBox7 = this.rootGroupBox) === null || _this$rootGroupBox7 === void 0 || _this$rootGroupBox7.touch();
  }
  /**
   * Function required for objects that act as 'displayParent'.
   *
   * @returns true if this form is currently accessible to the user
   */
  inFront() {
    return this.rendered && this.attached;
  }
  /**
   * Visits all form-fields of this form in pre-order (top-down).
   */
  visitFields(visitor) {
    var _this$rootGroupBox8;
    (_this$rootGroupBox8 = this.rootGroupBox) === null || _this$rootGroupBox8 === void 0 || _this$rootGroupBox8.visitFields(visitor);
  }
  /**
   * Visits all dialogs, messageBoxes and fileChoosers of this form in pre-order (top-down).
   * filter is an optional parameter.
   */
  visitDisplayChildren(visitor, filter) {
    if (!filter) {
      filter = displayChild => true;
    }
    let visitorFunc = child => {
      visitor(child);
      // only forms provide a deeper hierarchy
      if (child instanceof Form) {
        child.visitDisplayChildren(visitor, filter);
      }
    };
    this.dialogs.filter(filter).forEach(visitorFunc, this);
    this.messageBoxes.filter(filter).forEach(visitorFunc, this);
    this.fileChoosers.filter(filter).forEach(visitorFunc, this);
  }
  storeCacheBounds(bounds) {
    if (!this.cacheBounds) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToLocalStorage(this._getCacheBoundsStorageKey(), JSON.stringify(bounds));
  }
  readCacheBounds() {
    if (!this.cacheBounds) {
      return null;
    }
    let storedBounds = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromLocalStorage(this._getCacheBoundsStorageKey());
    if (!storedBounds) {
      return null;
    }
    let bounds = JSON.parse(storedBounds);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(bounds.x, bounds.y, bounds.width, bounds.height);
  }
  _getCacheBoundsStorageKey() {
    return 'scout:formBounds:' + this.cacheBoundsKey;
  }
  /** @see BusySupport.setBusy */
  setBusy(busy) {
    this.session.desktop.setBusy(busy);
  }
  /**
   * @returns the form the widget belongs to (returns the first parent which is a {@link Form}).
   */
  static findForm(widget) {
    let parent = widget.parent;
    while (parent && !(parent instanceof Form)) {
      parent = parent.parent;
    }
    return parent;
  }
  /**
   * @returns the first form which is not an inner form of a wrapped form field
   */
  static findNonWrappedForm(widget) {
    if (!widget) {
      return null;
    }
    let form = null;
    widget.findParent(parent => {
      if (parent instanceof Form) {
        form = parent;
        // If form is an inner form of a wrapped form field -> continue search
        if (form.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.WrappedFormField) {
          return false;
        }
        // Otherwise use that form
        return true;
      }
    });
    return form;
  }
}
_defineProperty(Form, "DisplayHint", {
  DIALOG: 'dialog',
  POPUP_WINDOW: 'popupWindow',
  VIEW: 'view'
});
_defineProperty(Form, "_NOTIFICATION_BADGE_STATUS_CODE", 197821);

/***/ }),

/***/ "./src/form/FormAdapter.ts":
/*!*********************************!*\
  !*** ./src/form/FormAdapter.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAdapter: () => (/* binding */ FormAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _initModel(m, parent) {
    let model = super._initModel(m, parent);
    // Set logical grid to null -> Calculation happens on server side
    model.logicalGrid = null;
    return model;
  }
  _onWidgetEvent(event) {
    if (event.type === 'abort') {
      this._onWidgetAbort(event);
    } else if (event.type === 'close') {
      this._onWidgetClose(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onWidgetAbort(event) {
    // Do not close the form immediately, server will send the close event
    event.preventDefault();
    this._send('formClosing');
    // Waiting for the current request to complete is necessary to be able to check whether the form is still open after the close request.
    this.session.onRequestsDone(() => {
      if (this.widget) {
        this.widget._afterAbort();
      }
    });
  }
  _onWidgetClose(event) {
    // Don't let the form be destroyed, only the server is allowed to do it.
    event.preventDefault();
    // Close the form on the UI server.
    // It will send a disposeAdapter and formHide event back to eventually destroy and remove the form.
    this._send('close');
  }
  onModelAction(event) {
    if (event.type === 'requestFocus') {
      this._onRequestFocus(event);
    } else if (event.type === 'requestInput') {
      this._onRequestInput(event);
    } else {
      super.onModelAction(event);
    }
  }
  _onRequestFocus(event) {
    this.session.getOrCreateWidget(event.formField, this.widget).focus();
  }
  _onRequestInput(event) {
    this.session.getOrCreateWidget(event.formField, this.widget).requestInput();
  }
  static modifyFormPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Form, _index__WEBPACK_IMPORTED_MODULE_0__.Form.prototype.updateSaveNeeded, FormAdapter.updateSaveNeeded, true);
  }
  static updateSaveNeeded() {
    if (!this.modelAdapter) {
      return this.updateSaveNeededOrig();
    }
    // Don't update state on remote forms
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', FormAdapter.modifyFormPrototype);

/***/ }),

/***/ "./src/form/FormController.ts":
/*!************************************!*\
  !*** ./src/form/FormController.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormController: () => (/* binding */ FormController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Controller with functionality to register and render views and dialogs.
 *
 * The forms are put into the list 'views' and 'dialogs' contained in 'displayParent'.
 */
class FormController extends _index__WEBPACK_IMPORTED_MODULE_0__.DisplayChildController {
  /**
   * Adds the given view or dialog to this controller and renders it.
   * position is only used if form is a view. this position determines at which position the tab is placed.
   * if select view is set the view rendered in _renderView is also selected.
   */
  registerAndRender(form, position, selectView) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(form, 'displayParent');
    if (form.isPopupWindow()) {
      this._renderPopupWindow(form);
    } else if (form.isView()) {
      this._renderView(form, true, position, selectView);
    } else {
      this._renderDialog(form, true);
    }
  }
  isFormShown(form) {
    if (form.isView()) {
      return this.displayParent.views.includes(form);
    }
    return this.displayParent.dialogs.includes(form);
  }
  _renderPopupWindow(form, position) {
    throw new Error('popup window only supported by DesktopFormController');
  }
  /**
   * Removes the given view or dialog from this controller and DOM. However, the form's adapter is not destroyed. That only happens once the Form is closed.
   */
  unregisterAndRemove(form) {
    if (!form) {
      return;
    }
    if (form.isPopupWindow()) {
      this._removePopupWindow(form);
    } else if (form.isView()) {
      this._removeView(form);
    } else {
      this._removeDialog(form);
    }
  }
  _removePopupWindow(form) {
    throw new Error('popup window only supported by DesktopFormController');
  }
  /**
   * Renders all dialogs and views registered with this controller.
   */
  render() {
    this._renderViews();
    this._renderDialogs();
  }
  _renderViews() {
    this.displayParent.views.forEach((view, position) => {
      view.setDisplayParent(this.displayParent);
      this._renderView(view, false, position, false);
    });
  }
  _renderDialogs() {
    this.displayParent.dialogs.forEach(dialog => {
      dialog.setDisplayParent(this.displayParent);
      this._renderDialog(dialog, false);
    });
  }
  /**
   * Removes all dialogs and views registered with this controller.
   */
  remove() {
    this.displayParent.dialogs.forEach(dialog => {
      this._removeDialog(dialog, false);
    });
    this.displayParent.views.forEach((view, position) => {
      this._removeView(view, false, false);
    });
  }
  /**
   * Activates the given view or dialog.
   */
  activateForm(form) {
    let displayParent = this.displayParent;
    while (displayParent) {
      if (displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Outline) {
        this.session.desktop.setOutline(displayParent);
        break;
      }
      displayParent = displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form ? displayParent.displayParent : null;
    }
    if (form.displayHint === _index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW) {
      this._activateView(form);
    } else {
      this._activateDialog(form);
    }
  }
  _renderView(view, register, position, selectView) {
    // Prevent "Already rendered" errors (see #162954).
    if (view.rendered || view.blockRendering) {
      return;
    }
    if (register) {
      this._registerView(view, position);
    }
    // Display parent may implement acceptView, if not implemented -> use default
    if (this.displayParent.acceptView) {
      if (!this.displayParent.acceptView(view)) {
        return;
      }
    } else if (!this.acceptView(view)) {
      return;
    }
    let desktop = this.session.desktop;
    if (desktop.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Desktop.DisplayStyle.COMPACT && !desktop.bench) {
      // Show bench and hide navigation if this is the first view to be shown
      desktop.sendOutlineToBack();
      // Don't show header if the view itself already has a header. Additionally, DesktopTabBoxController takes care of not rendering a tab if there is a view header.
      desktop.switchToBench(!view.headerVisible);
    } else if (desktop.bench.removalPending) {
      // If a new form should be shown while the bench is being removed because the last form was closed, schedule the rendering to make sure the bench and the new form will be opened right after the bench has been removed
      setTimeout(this._renderView.bind(this, view, register, position, selectView));
      return;
    }
    desktop.bench.addView(view, selectView);
  }
  acceptDialog(dialog) {
    // Only render dialog if 'displayParent' is rendered yet; if not, the dialog will be rendered once 'displayParent' is rendered.
    return this.displayParent.rendered;
  }
  _renderDialog(dialog, register) {
    // Prevent "Already rendered" errors (see #162954).
    if (dialog.rendered || dialog.blockRendering) {
      return;
    }
    if (register) {
      this._registerDialog(dialog);
    }
    // Display parent may implement acceptDialog, if not implemented -> use default
    if (this.displayParent.acceptDialog) {
      if (!this.displayParent.acceptDialog(dialog)) {
        return;
      }
    } else if (!this.acceptDialog(dialog)) {
      return;
    }
    let desktop = this.session.desktop;
    dialog.on('remove', e => {
      let formToActivate = this._findFormToActivateAfterDialogRemove(e.source);
      if (formToActivate) {
        desktop._setFormActivated(formToActivate);
      } else {
        desktop._setOutlineActivated();
      }
    });
    if (dialog.isPopupWindow()) {
      this._renderPopupWindow(dialog);
    } else {
      // start focus tracking if not already started.
      dialog.setTrackFocus(true);
      dialog.render(desktop.$container);
      this._layoutDialog(dialog);
      desktop._setFormActivated(dialog);
      // Only display the dialog if its 'displayParent' is visible to the user.
      if (!this.displayParent.inFront()) {
        dialog.detach();
      }
    }
  }
  _findFormToActivateAfterDialogRemove(removedDialog) {
    const dialogs = this.displayParent.dialogs.filter(d => d !== removedDialog);
    if (dialogs.length > 0) {
      return dialogs[dialogs.length - 1];
    }
    if (this.displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && !this.displayParent.detailForm) {
      // activate display parent, but not if it is the detail form
      return this.displayParent;
    }
    let desktop = this.session.desktop;
    if (desktop.bench) {
      let form = desktop.bench.activeViews()[0];
      if (form instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && !form.detailForm) {
        return form;
      }
    }
  }
  _removeView(view, unregister, showSiblingView) {
    unregister = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(unregister, true);
    if (unregister) {
      this._unregisterView(view);
    }
    // in COMPACT case views are already removed.
    if (this.session.desktop.bench) {
      this.session.desktop.bench.removeView(view, showSiblingView);
    }
  }
  _removeDialog(dialog, unregister) {
    unregister = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(unregister, true);
    if (unregister) {
      this._unregisterDialog(dialog);
    }
    if (dialog.rendered) {
      dialog.remove();
    }
  }
  /** @internal */
  _activateView(view) {
    let bench = this.session.desktop.bench;
    if (bench) {
      // Bench may be null (e.g. in mobile mode). This may probably only happen if the form is not really a view, because otherwise the bench would already be open.
      // Example: form of a FormToolButton has display style set to view but is opened as menu popup rather than in the bench.
      // So this null check is actually a workaround because a better solution would be to never call this function for fake views, but currently it is not possible to identify them easily.
      bench.activateView(view);
    }
  }
  _activateDialog(dialog) {
    // If the display-parent is a view-form --> activate it always.
    // If it is another dialog --> activate it only if the dialog to activate is modal
    if (dialog.displayParent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && (dialog.displayParent.displayHint === _index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW || dialog.displayParent.displayHint === _index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.DIALOG && dialog.modal)) {
      this.activateForm(dialog.displayParent);
    }
    if (!dialog.rendered) {
      return;
    }
    let siblings = dialog.$container.nextAll().toArray();
    // Now the approach is to move all eligible siblings that are in the DOM after the given dialog.
    // It is important not to move the given dialog itself, because this would interfere with the further handling of the
    // mousedown-DOM-event that triggered this function.
    let movableSiblings = siblings.filter(function (sibling) {
      // siblings of a dialog are movable if they meet the following criteria:
      // - they are forms (sibling forms of a dialog are always dialogs)
      // - they are either
      //     - not modal
      //     - modal
      //         - and not a descendant of the dialog to activate
      //         - and their display parent is not the desktop
      let siblingWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(sibling);
      return siblingWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && (!siblingWidget.modal || !dialog.has(siblingWidget) && siblingWidget.displayParent !== this.session.desktop);
    }, this);
    // All descendants of the so far determined movableSiblings are movable as well. (E.g. MessageBox, FileChooser)
    let movableSiblingsDescendants = siblings.filter(sibling => {
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(movableSiblings, movableSibling => {
        let siblingWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(sibling);
        return !(siblingWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) &&
        // all movable forms are already captured by the filter above
        _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(movableSibling).has(siblingWidget);
      });
    });
    movableSiblings = movableSiblings.concat(movableSiblingsDescendants);
    this.session.desktop.moveOverlaysBehindAndFocus(movableSiblings, dialog.$container);
  }
  /**
   * Attaches all dialogs to their original DOM parents.
   * In contrast to 'render', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already attached.
   */
  attachDialogs() {
    this.displayParent.dialogs.forEach(dialog => {
      dialog.attach();
    });
  }
  /**
   * Detaches all dialogs from their DOM parents. Thereby, modality glassPanes are not detached.
   * In contrast to 'remove', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already detached.
   */
  detachDialogs() {
    this.displayParent.dialogs.forEach(dialog => {
      dialog.detach();
    });
  }
  _layoutDialog(dialog) {
    dialog.htmlComp.validateLayout();
    dialog.position();
    // If not validated anew, focus on single-button forms is not gained.
    // Maybe, this is the same problem as in BusyIndicator.js
    this.session.focusManager.validateFocus();
    // Animate _after_ the layout is valid (otherwise, the position would be wrong, because
    // HtmlComponent defers the layout when a component is currently being animated)
    if (dialog.animateOpening) {
      dialog.$container.addClassForAnimation('animate-open');
    }
  }
  _registerDialog(dialog) {
    this._registerChild(dialog, this.displayParent.dialogs, 'dialogs');
  }
  _unregisterDialog(dialog) {
    this._unregisterChild(dialog, this.displayParent.dialogs, 'dialogs');
  }
  _registerView(view, position) {
    this._registerChild(view, this.displayParent.views, 'views', position);
  }
  _unregisterView(view) {
    this._unregisterChild(view, this.displayParent.views, 'views');
  }
}

/***/ }),

/***/ "./src/form/FormEventMap.ts":
/*!**********************************!*\
  !*** ./src/form/FormEventMap.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/FormGrid.ts":
/*!******************************!*\
  !*** ./src/form/FormGrid.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormGrid: () => (/* binding */ FormGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Dummy grid for the form which actually just creates the actual grid data for the root group box from the hints.
 */
class FormGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGrid {
  _validate(form) {
    if (!form.rootGroupBox) {
      return;
    }
    // The form does not have a real logical grid but needs the gridData anyway (widthInPixel, heightInPixel, see GroupBoxLayout).
    // Grid.w is not relevant for the form, no need to pass a gridColumnCount
    form.rootGroupBox._setGridData(_index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(form.rootGroupBox));
  }
}

/***/ }),

/***/ "./src/form/FormLayout.ts":
/*!********************************!*\
  !*** ./src/form/FormLayout.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormLayout: () => (/* binding */ FormLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class FormLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(form) {
    super();
    _defineProperty(this, "form", void 0);
    this.form = form;
  }
  layout($container) {
    this.form.validateLogicalGrid();
    let htmlRootGb = this._htmlRootGroupBox();
    if (!htmlRootGb) {
      return;
    }
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let rootGbSize = htmlContainer.availableSize().subtract(htmlContainer.insets()).subtract(htmlRootGb.margins());
    rootGbSize.height -= this._headerHeight();
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(FormLayout#layout) rootGbSize=' + rootGbSize);
    htmlRootGb.setSize(rootGbSize);
  }
  preferredLayoutSize($container, options) {
    options = options || {};
    this.form.validateLogicalGrid();
    let titleHeight = this._headerHeight();
    if (options.heightHint) {
      options.heightHint -= titleHeight;
    }
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let prefSize;
    let htmlRootGb = this._htmlRootGroupBox();
    if (htmlRootGb) {
      prefSize = htmlRootGb.prefSize(options).add(htmlContainer.insets()).add(htmlRootGb.margins());
    } else {
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension().add(htmlContainer.insets());
    }
    prefSize.height += titleHeight;
    return prefSize;
  }
  _htmlRootGroupBox() {
    let $rootGroupBox = this.form.$container.children('.root-group-box');
    return _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($rootGroupBox);
  }
  _headerHeight() {
    let $header = this.form.$header;
    if ($header && $header.css('position') !== 'absolute') {
      return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($header, true).height;
    }
    return 0;
  }
}

/***/ }),

/***/ "./src/form/FormMenu.ts":
/*!******************************!*\
  !*** ./src/form/FormMenu.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormMenu: () => (/* binding */ FormMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "form", void 0);
    _defineProperty(this, "popupStyle", void 0);
    _defineProperty(this, "popupClosable", void 0);
    _defineProperty(this, "popupMovable", void 0);
    _defineProperty(this, "popupResizable", void 0);
    _defineProperty(this, "_formDestroyHandler", void 0);
    this.form = null;
    this.toggleAction = true;
    this.popupStyle = null;
    this.popupClosable = false;
    this.popupMovable = false;
    this.popupResizable = false;
    this._addWidgetProperties('form');
    this._formDestroyHandler = this._onFormDestroy.bind(this);
  }
  _init(model) {
    super._init(model);
    if (!this.popupStyle) {
      if (this.session.userAgent.deviceType === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE) {
        this.popupStyle = FormMenu.PopupStyle.MOBILE;
      } else {
        this.popupStyle = FormMenu.PopupStyle.DEFAULT;
      }
    }
    this._setSelected(this.selected);
    this._setForm(this.form);
  }
  _renderForm() {
    if (!this.rendered) {
      // Don't execute initially since _renderSelected will be executed
      return;
    }
    this._renderSelected();
  }
  clone(modelOverride, options) {
    modelOverride = modelOverride || {};
    // If the FormMenu is put into a context menu it will be cloned.
    // Cloning a form is not possible because it may non-cloneable components (Table, TabBox, etc.) -> exclude
    // Luckily, it is not necessary to clone it since the form is never shown multiple times at once -> Just use the same instance
    modelOverride.form = this.form;
    return super.clone(modelOverride, options);
  }
  setForm(form) {
    this.setProperty('form', form);
  }
  _setForm(form) {
    if (this.form) {
      this.form.off('destroy', this._formDestroyHandler);
    }
    this._setProperty('form', form);
    if (this.form) {
      this._adaptForm(this.form);
      this.form.one('destroy', this._formDestroyHandler);
    }
  }
  _adaptForm(form) {
    form.setShowOnOpen(false);
    form.setDisplayHint(_index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW);
    form.setModal(false);
    form.setClosable(false);
  }
  /**
   * Called when the popup form is destroyed (e.g. form.close() was called) -> ensure menu is unselected and popup closed.
   */
  _onFormDestroy(event) {
    if (!this.popup || !this.popup.destroying) {
      // Unselect if form is closed (e.g. if a close button on the form itself is pressed. Mainly necessary for Scout JS only)
      // Don't interfere with regular popup lifecycle. If popup is being closed already it will be or is already unselected anyway.
      // Maybe the user already selected the menu again while the close animation runs -> the menu must not be unselected because the user selected it.
      this.setSelected(false);
    }
    this.setForm(null);
    let parentContextMenuPopup = this.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup);
    if (parentContextMenuPopup && !(parentContextMenuPopup.destroying || parentContextMenuPopup.removing)) {
      // only explicitly close the popup if it is not already being closed. Otherwise, it is removed twice.
      parentContextMenuPopup.close();
    }
  }
  _setSelected(selected) {
    this._setProperty('selected', selected);
    if (this.popupStyle === FormMenu.PopupStyle.MOBILE && this._doActionTogglesPopup()) {
      // Mobile Popup can be rendered even if menu is not. This is useful if a tool form menu should be opened while the desktop bench is open instead of the outline
      // Open will be called in renderSelected again but won't do anything
      if (this.selected) {
        this._openPopup();
      } else {
        this._closePopup();
      }
    }
  }
  _renderSelected() {
    super._renderSelected();
    // Form menu always has a popup (form could be set later, so super call cannot set the class correctly)
    this.$container.addClass('has-popup');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.$container, 'dialog');
  }
  _canOpenPopup() {
    // A menu can be opened in the menu bar but also in a context menu, where it will be cloned.
    // The form itself won't be cloned, so there can always be only one rendered form.
    // If the menus use a remove animation and a new menu is opened while the other one is still removing, the form rendering will fail
    // (either by an exception if its already open, or it may be rendered into the wrong menu).
    // To prevent that, we ensure the other popup is really closed before opening the new one.
    this._closeOtherPopupsForSameMenu();
    return super._canOpenPopup();
  }
  _closeOtherPopupsForSameMenu() {
    this._findOtherPopupsForSameMenu().forEach(popup => {
      if (popup.isRemovalPending()) {
        popup.removeImmediately();
        return;
      }
      // If popup is open but remove animation has not started yet (can only be triggered programmatically, see test FormMenuSpec.js)
      if (popup._rendered) {
        let currentAnimateRemoval = popup.animateRemoval;
        popup.animateRemoval = false;
        popup.close();
        popup.animateRemoval = currentAnimateRemoval;
      }
    });
  }
  _findOtherPopupsForSameMenu() {
    return this.session.desktop.getPopups().filter(popup => {
      if (popup === this.popup || popup.has(this)) {
        return false;
      }
      return this._popupBelongsToMenu(popup);
    });
  }
  _popupBelongsToMenu(popup) {
    // Check if the widget popup containing the form is open (parent is always the form menu, if it's in a context menu the parent is a clone)
    if (popup.parent.original() === this.original()) {
      return true;
    }
    // Check if the context menu containing this menu is open (context menus contain clones of the original)
    if (popup.findChild(w => w.original() === this.original())) {
      return true;
    }
    return false;
  }
  _createPopup() {
    // Menu bar should always be on the bottom
    this.form.rootGroupBox.setMenuBarPosition(_index__WEBPACK_IMPORTED_MODULE_0__.GroupBox.MenuBarPosition.BOTTOM);
    if (this.popupStyle === FormMenu.PopupStyle.MOBILE) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MobilePopup, {
        parent: this.session.desktop,
        // use desktop to make _handleSelectedInEllipsis work (if parent is this and this is not rendered, popup.entryPoint would not work)
        content: this.form,
        title: this.form.title
      });
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup, {
      parent: this,
      content: this.form,
      anchor: this,
      closeOnAnchorMouseDown: false,
      cssClass: 'form-menu-popup',
      horizontalAlignment: this.popupHorizontalAlignment,
      verticalAlignment: this.popupVerticalAlignment,
      closable: this.popupClosable,
      movable: this.popupMovable,
      resizable: this.popupResizable
    });
  }
  _doActionTogglesPopup() {
    return !!this.form;
  }
  updateAriaRole() {
    // Always render as menuitem. The form may be installed later, which would falsely render a menuitemcheckbox.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'menuitem');
  }
  _handleSelectedInEllipsis() {
    if (this.popupStyle === FormMenu.PopupStyle.MOBILE) {
      // The mobile popup is not attached to a header -> no need to open the overflow menu (popup is already open due to _setSelected)
      return;
    }
    super._handleSelectedInEllipsis();
  }
  _createActionKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FormMenuActionKeyStroke(this);
  }
  setPopupClosable(popupClosable) {
    if (this.setProperty('popupClosable', popupClosable) && this.popup) {
      this.popup.setClosable(popupClosable);
    }
  }
  setPopupMovable(popupMovable) {
    if (this.setProperty('popupMovable', popupMovable) && this.popup) {
      this.popup.setMovable(popupMovable);
    }
  }
  setPopupResizable(popupResizable) {
    if (this.setProperty('popupResizable', popupResizable) && this.popup) {
      this.popup.setResizable(popupResizable);
    }
  }
}
_defineProperty(FormMenu, "PopupStyle", {
  DEFAULT: 'default',
  MOBILE: 'mobile'
});

/***/ }),

/***/ "./src/form/FormMenuActionKeyStroke.ts":
/*!*********************************************!*\
  !*** ./src/form/FormMenuActionKeyStroke.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormMenuActionKeyStroke: () => (/* binding */ FormMenuActionKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormMenuActionKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionKeyStroke {
  constructor(action) {
    super(action);
  }
  handle(event) {
    this.field.toggle();
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    if (this.field.iconId) {
      let wIcon = $drawingArea.find('.icon').width();
      let wKeybox = $drawingArea.find('.key-box').outerWidth();
      let containerPadding = $drawingArea.cssPaddingLeft();
      let leftKeyBox = wIcon / 2 - wKeybox / 2 + containerPadding;
      $drawingArea.find('.key-box').cssLeft(leftKeyBox);
    }
  }
}

/***/ }),

/***/ "./src/form/FormMenuAdapter.ts":
/*!*************************************!*\
  !*** ./src/form/FormMenuAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormMenuAdapter: () => (/* binding */ FormMenuAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormMenuAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuAdapter {}

/***/ }),

/***/ "./src/form/FormMenuEventMap.ts":
/*!**************************************!*\
  !*** ./src/form/FormMenuEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/FormMenuModel.ts":
/*!***********************************!*\
  !*** ./src/form/FormMenuModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/FormModel.ts":
/*!*******************************!*\
  !*** ./src/form/FormModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/GroupBoxResponsiveHandler.ts":
/*!***********************************************!*\
  !*** ./src/form/GroupBoxResponsiveHandler.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBoxResponsiveHandler: () => (/* binding */ GroupBoxResponsiveHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupBoxResponsiveHandler extends _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveHandler {
  constructor() {
    super();
    _defineProperty(this, "_compositeFields", void 0);
    _defineProperty(this, "_formFieldAddedHandler", void 0);
    _defineProperty(this, "_htmlPropertyChangeHandler", void 0);
    this._initDefaults();
    this.allowedStates = [_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL, _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.CONDENSED, _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT];
    this._formFieldAddedHandler = this._onFormFieldAdded.bind(this);
    this._compositeFields = [];
    this._htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
  }
  _initDefaults() {
    this.compactThreshold = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formColumnWidth;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
  }
  init(model) {
    super.init(model);
    let transformationType = GroupBoxResponsiveHandler.TransformationType;
    let responsiveState = _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState;
    this._registerTransformation(transformationType.LABEL_POSITION_ON_FIELD, this._transformLabelPositionOnField);
    this._registerTransformation(transformationType.LABEL_POSITION_ON_TOP, this._transformLabelPositionOnTop);
    this._registerTransformation(transformationType.LABEL_VISIBILITY, this._transformLabelVisibility);
    this._registerTransformation(transformationType.STATUS_POSITION_ON_TOP, this._transformStatusPosition);
    this._registerTransformation(transformationType.STATUS_VISIBILITY, this._transformStatusVisibility);
    this._registerTransformation(transformationType.VERTICAL_ALIGNMENT, this._transformVerticalAlignment);
    this._registerTransformation(transformationType.GRID_COLUMN_COUNT, this._transformGridColumnCount);
    this._registerTransformation(transformationType.HIDE_PLACE_HOLDER_FIELD, this._transformHidePlaceHolderField);
    this._registerTransformation(transformationType.FIELD_SCALABLE, this._transformFieldScalable);
    this._registerTransformation(transformationType.RADIO_BUTTON_GROUP_USE_UI_HEIGHT, this._transformRadioButtonGroupUseUiHeight);
    this._enableTransformation(responsiveState.CONDENSED, transformationType.LABEL_POSITION_ON_TOP);
    this._enableTransformation(responsiveState.CONDENSED, transformationType.LABEL_VISIBILITY);
    this._enableTransformation(responsiveState.CONDENSED, transformationType.VERTICAL_ALIGNMENT);
    this._enableTransformation(responsiveState.CONDENSED, transformationType.RADIO_BUTTON_GROUP_USE_UI_HEIGHT);
    this._enableTransformation(responsiveState.COMPACT, transformationType.LABEL_POSITION_ON_TOP);
    this._enableTransformation(responsiveState.COMPACT, transformationType.LABEL_VISIBILITY);
    this._enableTransformation(responsiveState.COMPACT, transformationType.STATUS_POSITION_ON_TOP);
    this._enableTransformation(responsiveState.COMPACT, transformationType.STATUS_VISIBILITY);
    this._enableTransformation(responsiveState.COMPACT, transformationType.VERTICAL_ALIGNMENT);
    this._enableTransformation(responsiveState.COMPACT, transformationType.GRID_COLUMN_COUNT);
    this._enableTransformation(responsiveState.COMPACT, transformationType.HIDE_PLACE_HOLDER_FIELD);
    this._enableTransformation(responsiveState.COMPACT, transformationType.FIELD_SCALABLE);
    this._enableTransformation(responsiveState.COMPACT, transformationType.RADIO_BUTTON_GROUP_USE_UI_HEIGHT);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this._htmlPropertyChangeHandler);
    this.widget.visitFields(field => {
      if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField) {
        field.on('propertyChange', this._formFieldAddedHandler);
        this._compositeFields.push(field);
      }
    }, {
      limitToSameFieldTree: true
    });
  }
  destroy() {
    super.destroy();
    this._compositeFields.forEach(compositeField => compositeField.off('propertyChange', this._formFieldAddedHandler));
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this._htmlPropertyChangeHandler);
  }
  active() {
    return this.widget.responsive;
  }
  getCondensedThreshold() {
    if (this.condensedThreshold > 0) {
      return this.condensedThreshold;
    }
    return this.widget.htmlComp.prefSize({
      widthOnly: true
    }).width;
  }
  _transform() {
    this.widget.visitFields(this._transformWidget.bind(this), {
      limitToSameFieldTree: true
    });
  }
  _transformWidget(widget) {
    // skip group boxes with responsiveness set.
    if (widget !== this.widget && widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox && widget.responsive !== null) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE;
    }
    // skip everything that is not a form field.
    if (!(widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FormField)) {
      return;
    }
    // suppress a validation of the layout tree, because these widgets will be validated later anyway.
    // the component still might be marked as invalid (which is necessary) caused by the responsive modifications applied.
    let htmlParent;
    if (widget.htmlComp) {
      widget.htmlComp.suppressValidate = true;
      htmlParent = widget.htmlComp.getParent();
      if (htmlParent) {
        htmlParent.suppressValidate = true;
      }
    }
    super._transformWidget(widget);
    if (widget.htmlComp) {
      widget.htmlComp.suppressValidate = false;
    }
    if (htmlParent) {
      htmlParent.suppressValidate = false;
    }
  }
  /* --- TRANSFORMATIONS ------------------------------------------------------------- */
  /**
   * Label Position -> ON_FIELD
   */
  _transformLabelPositionOnField(field, apply) {
    if (field.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SequenceBox || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.LabelField) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'labelPosition', field.labelPosition);
      field.setLabelPosition(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD);
    } else {
      if (this._hasFieldProperty(field, 'labelPosition')) {
        field.setLabelPosition(this._getFieldProperty(field, 'labelPosition'));
      }
    }
  }
  /**
   * Label Position -> ON_TOP
   */
  _transformLabelPositionOnTop(field, apply) {
    if (field.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SequenceBox || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.LabelField || field.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'labelPosition', field.labelPosition);
      field.setLabelPosition(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP);
    } else {
      if (this._hasFieldProperty(field, 'labelPosition')) {
        field.setLabelPosition(this._getFieldProperty(field, 'labelPosition'));
      }
    }
  }
  /**
   * Label visibility
   */
  _transformLabelVisibility(field, apply) {
    if (!(field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField)) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'labelVisible', field.labelVisible);
      field.setLabelVisible(false);
    } else {
      if (this._hasFieldProperty(field, 'labelVisible')) {
        field.setLabelVisible(this._getFieldProperty(field, 'labelVisible'));
      }
    }
  }
  // ScoutJs specific method. This methods will be overridden by GroupBoxAdapter for scout classic case.
  getGridData(field) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(field.gridDataHints);
  }
  // ScoutJs specific method. This methods will be overridden by GroupBoxAdapter for scout classic case.
  setGridData(field, gridData) {
    field.setGridDataHints(gridData);
  }
  /**
   * Status position
   */
  _transformStatusPosition(field, apply) {
    if (apply) {
      this._storeFieldProperty(field, 'statusPosition', field.statusPosition);
      field.setStatusPosition(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP);
    } else {
      if (this._hasFieldProperty(field, 'statusPosition')) {
        field.setStatusPosition(this._getFieldProperty(field, 'statusPosition'));
      }
    }
  }
  /**
   * Status visibility
   */
  _transformStatusVisibility(field, apply) {
    if (apply) {
      this._storeFieldProperty(field, 'statusVisible', field.statusVisible);
      field.setStatusVisible(false);
    } else {
      if (this._hasFieldProperty(field, 'statusVisible')) {
        field.setStatusVisible(this._getFieldProperty(field, 'statusVisible'));
      }
    }
  }
  /**
   * Set vertical align to bottom for checkboxes, buttons and fields with gridH = 1 and an on-field label
   * to make them align with fields having a top label in the same grid row.
   */
  _transformVerticalAlignment(field, apply) {
    let isDefaultButton = field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Button && field.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Button.DisplayStyle.DEFAULT;
    let isCheckbox = field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField;
    let gridData = this.getGridData(field);
    let isSingleHeightOnFieldLabelField = field.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD && gridData.h === 1;
    if (!(isDefaultButton || isCheckbox || isSingleHeightOnFieldLabelField) || !field.gridData) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'fillVertical', gridData.fillVertical);
      this._storeFieldProperty(field, 'verticalAlignment', gridData.verticalAlignment);
      gridData.fillVertical = false;
      gridData.verticalAlignment = 1;
    } else {
      if (this._hasFieldProperty(field, 'fillVertical')) {
        gridData.fillVertical = this._getFieldProperty(field, 'fillVertical');
      }
      if (this._hasFieldProperty(field, 'verticalAlignment')) {
        gridData.verticalAlignment = this._getFieldProperty(field, 'verticalAlignment');
      }
    }
    this.setGridData(field, gridData);
  }
  /**
   * Column count
   */
  _transformGridColumnCount(field, apply) {
    if (!(field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox)) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'gridColumnCount', field.gridColumnCount);
      field.setGridColumnCount(1);
    } else {
      if (this._hasFieldProperty(field, 'gridColumnCount')) {
        field.setGridColumnCount(this._getFieldProperty(field, 'gridColumnCount'));
      }
    }
  }
  /**
   * Hide placeholder field
   */
  _transformHidePlaceHolderField(field, apply) {
    if (!(field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderField)) {
      return;
    }
    if (apply) {
      this._storeFieldProperty(field, 'visible', field.visible);
      field.setVisible(false);
    } else {
      if (this._hasFieldProperty(field, 'visible')) {
        field.setVisible(this._getFieldProperty(field, 'visible'));
      }
    }
  }
  /**
   * GroupBox: Makes sure weightX is set to 1 which makes the field scalable.
   *
   * Reason:<br>
   * The width of the field should be adjusted according to the display width, otherwise it may be too big to be
   * displayed. <br>
   * Additionally, since we use a one column layout, setting weightX to 0 might destroy the layout because it affects
   * all the fields in the groupBox.
   */
  _transformFieldScalable(field, apply) {
    if (field.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SequenceBox) {
      return;
    }
    let gridData = this.getGridData(field);
    if (apply && gridData.weightX === 0) {
      this._storeFieldProperty(field, 'weightX', gridData.weightX);
      gridData.weightX = 1;
    } else if (!apply) {
      if (this._hasFieldProperty(field, 'weightX')) {
        gridData.weightX = this._getFieldProperty(field, 'weightX');
      }
    }
    this.setGridData(field, gridData);
  }
  _transformRadioButtonGroupUseUiHeight(field, apply) {
    if (!(field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonGroup)) {
      return;
    }
    let gridData = this.getGridData(field);
    if (apply && !gridData.useUiHeight) {
      this._storeFieldProperty(field, 'useUiHeight', gridData.useUiHeight);
      gridData.useUiHeight = true;
    } else if (!apply) {
      if (this._hasFieldProperty(field, 'useUiHeight')) {
        gridData.useUiHeight = this._getFieldProperty(field, 'useUiHeight');
      }
    }
    this.setGridData(field, gridData);
  }
  /* --- HANDLERS ------------------------------------------------------------- */
  _onFormFieldAdded(event) {
    if (this.state !== _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL && (event.propertyName === 'fields' || event.propertyName === 'tabItems')) {
      let newFields = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(event.newValue, event.oldValue);
      newFields.forEach(field => field.visitFields(this._transformWidget.bind(this), {
        limitToSameFieldTree: true
      }));
    }
  }
}
_defineProperty(GroupBoxResponsiveHandler, "TransformationType", {
  LABEL_POSITION_ON_FIELD: 'labelPositionOnField',
  LABEL_POSITION_ON_TOP: 'labelPositionOnTop',
  LABEL_VISIBILITY: 'labelVisibility',
  STATUS_POSITION_ON_TOP: 'statusPositionOnTop',
  STATUS_VISIBILITY: 'statusVisibility',
  VERTICAL_ALIGNMENT: 'verticalAlignment',
  GRID_COLUMN_COUNT: 'gridColumnCount',
  HIDE_PLACE_HOLDER_FIELD: 'hidePlaceHolderField',
  FIELD_SCALABLE: 'fieldScalable',
  RADIO_BUTTON_GROUP_USE_UI_HEIGHT: 'radioButtonGroupUseUiHeight'
});

/***/ }),

/***/ "./src/form/ResponsiveHandler.ts":
/*!***************************************!*\
  !*** ./src/form/ResponsiveHandler.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResponsiveHandler: () => (/* binding */ ResponsiveHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ResponsiveHandler {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "compactThreshold", void 0);
    _defineProperty(this, "condensedThreshold", void 0);
    _defineProperty(this, "oldState", void 0);
    _defineProperty(this, "state", void 0);
    _defineProperty(this, "allowedStates", void 0);
    _defineProperty(this, "transformations", void 0);
    _defineProperty(this, "enabledTransformations", void 0);
    _defineProperty(this, "_transformationsToApply", void 0);
    _defineProperty(this, "_transformationsToReset", void 0);
    /** Event handlers */
    _defineProperty(this, "_destroyHandler", void 0);
    this.widget = null;
    this.compactThreshold = -1;
    this.condensedThreshold = -1;
    this.oldState = _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL;
    this.state = _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL;
    this.allowedStates = [_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL, _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT];
    this.transformations = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this.enabledTransformations = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._destroyHandler = this._onDestroy.bind(this);
  }
  init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    this.widget.one('destroy', this._destroyHandler);
  }
  destroy() {
    this.widget.off('destroy', this._destroyHandler);
  }
  getCompactThreshold() {
    return this.compactThreshold;
  }
  getCondensedThreshold() {
    return this.condensedThreshold;
  }
  active() {
    return true;
  }
  setAllowedStates(allowedStates) {
    this.allowedStates = allowedStates;
  }
  acceptState(newState) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.contains(this.allowedStates, newState);
  }
  /**
   * Register a transformation with a given transformation id. The transformation id has to be unique.
   */
  _registerTransformation(transformationId, transformation) {
    this.transformations[transformationId] = transformation.bind(this);
  }
  /**
   * Enable a transformation for a given state. Once the responsive handler changes in to the given state,
   * the transformation will be applied.
   * Before a transformation can be enabled, it has to be registered first.
   */
  _enableTransformation(state, transformationId) {
    let transformationIds = this.enabledTransformations[state];
    if (!transformationIds) {
      transformationIds = [];
      this.enabledTransformations[state] = transformationIds;
    }
    transformationIds.push(transformationId);
  }
  /**
   * Disable a transformation for a given state.
   */
  _disableTransformation(state, transformationId) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.enabledTransformations[state], transformationId);
  }
  /* --- TRANSFORMATIONS ------------------------------------------------------------- */
  _storeFieldProperty(widget, property, value) {
    widget._setProperty('responsive-' + property, value);
  }
  _hasFieldProperty(widget, property) {
    return widget.hasOwnProperty('responsive-' + property);
  }
  _getFieldProperty(widget, property) {
    return widget['responsive-' + property];
  }
  /**
   * Performs the transformations and computes which transformations have to be applied and which have to be reset.
   * Transformations to be applied are the ones enabled for the new state, but not for the old state.
   * The ones to be reset are those enabled of the old state but not for the new state.
   */
  transform(newState, force) {
    if (this.state === newState && !force) {
      return false;
    }
    this.oldState = this.state;
    this.state = newState;
    let oldTransformations;
    let newTransformations;
    if (this.oldState !== this.state) {
      oldTransformations = this.enabledTransformations[this.oldState] || [];
      newTransformations = this.enabledTransformations[this.state] || [];
    } else {
      // if the state stays the same, it means we want to enforce the current state. Therefore, the new transformations
      // will contain the transformations of the current state. The old transformations will contain all others.
      oldTransformations = [];
      if (this.state !== _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(oldTransformations, this.enabledTransformations[_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL]);
      }
      if (this.state !== _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.CONDENSED) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(oldTransformations, this.enabledTransformations[_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.CONDENSED]);
      }
      if (this.state !== _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(oldTransformations, this.enabledTransformations[_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.COMPACT]);
      }
      newTransformations = this.enabledTransformations[this.state] || [];
    }
    this._transformationsToApply = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(newTransformations, oldTransformations);
    this._transformationsToReset = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(oldTransformations, newTransformations);
    this._transform();
    return true;
  }
  /**
   * Performs all the transformations. By default, this method calls _transformWidget() for the own widget.
   * If e.g. child elements need to be transformed as well, override this method and call _transformWidget() for
   * each child as well.
   */
  _transform() {
    this._transformWidget(this.widget);
  }
  _transformWidget(widget) {
    this._transformationsToApply.forEach(transformationType => {
      this.transformations[transformationType](widget, true);
    });
    this._transformationsToReset.forEach(transformationType => {
      this.transformations[transformationType](widget, false);
    });
  }
  /* --- HANDLERS ------------------------------------------------------------- */
  _onDestroy(event) {
    this.destroy();
  }
}

/***/ }),

/***/ "./src/form/ResponsiveHandlerModel.ts":
/*!********************************************!*\
  !*** ./src/form/ResponsiveHandlerModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/ResponsiveManager.ts":
/*!***************************************!*\
  !*** ./src/form/ResponsiveManager.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResponsiveManager: () => (/* binding */ ResponsiveManager)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

let instance;
class ResponsiveManager {
  constructor() {
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "globalState", void 0);
    _defineProperty(this, "_responsiveHandlers", void 0);
    this.active = true;
    this.globalState = null;
    this._responsiveHandlers = [];
  }
  init() {
    // NOP
  }
  destroy() {
    this._responsiveHandlers.forEach(handler => {
      handler.destroy();
    });
  }
  /**
   * Sets the responsive manager to active or inactive globally. Default is active.
   */
  setActive(active) {
    this.active = active;
  }
  /**
   * Set a global responsive state. This state will always be set. Resizing will no longer result in a different responsive state.
   */
  setGlobalState(globalState) {
    this.globalState = globalState;
  }
  /**
   * Checks if the form is smaller than the preferred width of the form. If this is reached, the fields will
   * be transformed to ensure better readability.
   */
  handleResponsive(target, width) {
    if (!this.active) {
      return false;
    }
    if (!target.responsiveHandler || !target.responsiveHandler.active()) {
      return false;
    }
    let newState;
    let state = target.responsiveHandler.state;
    if (this.globalState) {
      newState = this.globalState;
    } else if (width < target.responsiveHandler.getCompactThreshold() && target.responsiveHandler.acceptState(ResponsiveManager.ResponsiveState.COMPACT)) {
      newState = ResponsiveManager.ResponsiveState.COMPACT;
    } else {
      if (state === ResponsiveManager.ResponsiveState.COMPACT) {
        target.responsiveHandler.transform(ResponsiveManager.ResponsiveState.CONDENSED);
      }
      if (width < target.responsiveHandler.getCondensedThreshold() && target.responsiveHandler.acceptState(ResponsiveManager.ResponsiveState.CONDENSED)) {
        newState = ResponsiveManager.ResponsiveState.CONDENSED;
      } else {
        newState = ResponsiveManager.ResponsiveState.NORMAL;
      }
    }
    return target.responsiveHandler.transform(newState);
  }
  reset(target, force) {
    if (!this.active) {
      return;
    }
    if ((!target.responsiveHandler || !target.responsiveHandler.active()) && !force) {
      return;
    }
    target.responsiveHandler.transform(ResponsiveManager.ResponsiveState.NORMAL, force);
  }
  registerHandler(target, handler) {
    if (target.responsiveHandler) {
      target.responsiveHandler.destroy();
    }
    target.responsiveHandler = handler;
  }
  unregisterHandler(target) {
    if (target.responsiveHandler) {
      target.responsiveHandler.destroy();
      target.responsiveHandler = null;
    }
  }
  static get() {
    return instance;
  }
}
_defineProperty(ResponsiveManager, "ResponsiveState", {
  NORMAL: 'normal',
  CONDENSED: 'condensed',
  COMPACT: 'compact'
});
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('prepare', () => {
  if (instance) {
    // if it was created before the app itself, use it instead of creating a new one
    return;
  }
  instance = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(ResponsiveManager);
});

/***/ }),

/***/ "./src/form/TileOverviewForm.ts":
/*!**************************************!*\
  !*** ./src/form/TileOverviewForm.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileOverviewForm: () => (/* binding */ TileOverviewForm)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileOverviewForm extends _index__WEBPACK_IMPORTED_MODULE_0__.Form {
  constructor() {
    super();
    _defineProperty(this, "outline", void 0);
    _defineProperty(this, "nodes", void 0);
    _defineProperty(this, "tileOverviewTitle", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "pageTileGrid", void 0);
    _defineProperty(this, "contentHtmlComp", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "_desktopNavigationVisibilityChangeHandler", void 0);
    this.outline = null;
    this.nodes = null;
    this.tileOverviewTitle = null;
    this.scrollable = true;
    this._addWidgetProperties(['pageTileGrid']);
    this.$content = null;
    this.$title = null;
    this._desktopNavigationVisibilityChangeHandler = this._onDesktopNavigationVisibilityChange.bind(this);
  }
  _init(model) {
    super._init(model);
    if (!this.pageTileGrid) {
      this.pageTileGrid = this._createPageTileGrid();
    }
    this.addCssClass('dimmed-background');
  }
  _render() {
    super._render();
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout());
    this.$content = this.$container.appendDiv('tile-overview-content');
    this.contentHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$content, this.session);
    this.contentHtmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout({
      stretch: this.outline.compact
    }));
    this.$title = this.$content.appendDiv('tile-overview-title').text(this.tileOverviewTitle);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$title, this.session);
    this.$title.cssMaxHeight(this.$title.cssHeight());
    this._updateTitle(false);
    this.findDesktop().on('propertyChange:navigationVisible', this._desktopNavigationVisibilityChangeHandler);
  }
  _remove() {
    this.$content = null;
    this.$title = null;
    this.findDesktop().off('propertyChange:navigationVisible', this._desktopNavigationVisibilityChangeHandler);
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    if (this.pageTileGrid.rendered) {
      this.pageTileGrid = this._createPageTileGrid();
    }
    this._renderPageTileGrid();
    this._renderScrollable();
  }
  _renderPageTileGrid() {
    this.pageTileGrid.render(this.$content);
  }
  _createPageTileGrid() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PageTileGrid, {
      parent: this,
      outline: this.outline,
      nodes: this.nodes
    });
  }
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    if (this.scrollable) {
      this._installScrollbars({
        axis: 'y'
      });
    } else {
      this._uninstallScrollbars();
    }
  }
  setPage(page) {
    this.outline = page.getOutline();
    this.nodes = page.childNodes;
    this.tileOverviewTitle = page.text;
    this.setScrollable(!this.outline.compact);
    this.pageTileGrid.setCompact(this.outline.compact);
    this.pageTileGrid.setOutline(this.outline);
    this.pageTileGrid.setPage(page);
    this.pageTileGrid.setNodes(this.nodes);
  }
  _updateTitle() {
    let animated = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (!this.$title) {
      return;
    }
    this.$title.toggleClass('animated', animated);
    this.$title.toggleClass('removed', this.findDesktop().navigationVisible);
    // hide title here if it is already rendered in navigation
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$title, this.findDesktop().navigationVisible ? true : null);
  }
  _onDesktopNavigationVisibilityChange(event) {
    this._updateTitle();
  }
}

/***/ }),

/***/ "./src/form/TileOverviewFormAdapter.ts":
/*!*********************************************!*\
  !*** ./src/form/TileOverviewFormAdapter.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileOverviewFormAdapter: () => (/* binding */ TileOverviewFormAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileOverviewFormAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormAdapter {}

/***/ }),

/***/ "./src/form/TileOverviewFormEventMap.ts":
/*!**********************************************!*\
  !*** ./src/form/TileOverviewFormEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/TileOverviewFormModel.ts":
/*!*******************************************!*\
  !*** ./src/form/TileOverviewFormModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/AppLinkKeyStroke.ts":
/*!*********************************************!*\
  !*** ./src/form/fields/AppLinkKeyStroke.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AppLinkKeyStroke: () => (/* binding */ AppLinkKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class AppLinkKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field, appLinkTriggerFunction) {
    super();
    _defineProperty(this, "appLinkTriggerFunction", void 0);
    this.field = field;
    this.appLinkTriggerFunction = appLinkTriggerFunction;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.renderingHints.render = false;
    this.inheritAccessibility = false; // Links cannot be disabled, mouse handlers work as well
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).hasClass('app-link');
  }
  handle(event) {
    this.appLinkTriggerFunction.call(this.field, event);
  }
}

/***/ }),

/***/ "./src/form/fields/BasicField.ts":
/*!***************************************!*\
  !*** ./src/form/fields/BasicField.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BasicField: () => (/* binding */ BasicField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Common base class for ValueFields having an HTML input field.
 */
class BasicField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "updateDisplayTextOnModify", void 0);
    _defineProperty(this, "updateDisplayTextOnModifyDelay", void 0);
    _defineProperty(this, "_displayTextModifiedTimeoutId", void 0);
    _defineProperty(this, "_displayTextChangedWhileTyping", void 0);
    this.disabledCopyOverlay = true;
    this._displayTextModifiedTimeoutId = null;
    this.updateDisplayTextOnModify = false;
    this.updateDisplayTextOnModifyDelay = 250;
  }
  addField($field) {
    super.addField($field);
    if ($field) {
      $field.on('input', this._onFieldInput.bind(this));
    }
  }
  /** @see BasicFieldModel.updateDisplayTextOnModify */
  setUpdateDisplayTextOnModify(updateDisplayTextOnModify) {
    // Execute pending "accept input while typing" function _before_ updating the "updateDisplayTextOnModify" property
    if (this._displayTextModifiedTimeoutId !== null) {
      // Cancel pending "acceptInput(true)" call (see _onDisplayTextModified) and execute it now
      clearTimeout(this._displayTextModifiedTimeoutId);
      this._acceptInputWhileTyping();
    }
    this.setProperty('updateDisplayTextOnModify', updateDisplayTextOnModify);
  }
  /** @see BasicFieldModel.updateDisplayTextOnModifyDelay */
  setUpdateDisplayTextOnModifyDelay(delay) {
    this.setProperty('updateDisplayTextOnModifyDelay', delay);
  }
  _clear() {
    if (this.$field) {
      this.$field.val('');
    }
  }
  _onFieldInput() {
    this._updateHasText();
    if (this.updateDisplayTextOnModify) {
      this._onDisplayTextModified();
    }
  }
  /**
   * Called when the property 'updateDisplayTextOnModified' is TRUE and the display text (field's input
   * value) has been modified by a user action, e.g. a key or paste event. If the property is FALSE, this
   * method is _never_ called. Uses the debounce pattern.
   */
  _onDisplayTextModified() {
    clearTimeout(this._displayTextModifiedTimeoutId);
    if (this.updateDisplayTextOnModifyDelay) {
      this._displayTextModifiedTimeoutId = setTimeout(this._acceptInputWhileTyping.bind(this), this.updateDisplayTextOnModifyDelay);
    } else {
      this._acceptInputWhileTyping();
    }
  }
  _acceptInputWhileTyping() {
    this._displayTextModifiedTimeoutId = null;
    if (this.rendered) {
      // Check needed because field may have been removed in the meantime
      this.acceptInput(true);
    }
  }
  acceptInput(whileTyping) {
    if (this._displayTextModifiedTimeoutId !== null) {
      // Cancel pending "acceptInput(true)" call (see _onDisplayTextModified) and execute it now
      clearTimeout(this._displayTextModifiedTimeoutId);
      this._displayTextModifiedTimeoutId = null;
    }
    super.acceptInput(whileTyping);
  }
  _renderDisplayText() {
    this.$field.val(this.displayText);
    super._renderDisplayText();
  }
  _readDisplayText() {
    return this.$field ? this.$field.val() : '';
  }
  _checkDisplayTextChanged(displayText, whileTyping) {
    let displayTextChanged = super._checkDisplayTextChanged(displayText, whileTyping);
    if (whileTyping) {
      if (this.updateDisplayTextOnModify && displayTextChanged) {
        // Remember that we sent some events to the server with "whileTyping=true"
        this._displayTextChangedWhileTyping = true;
      }
    } else {
      // In 'updateDisplayTextOnModify' mode, each change of text is sent to the server with whileTyping=true,
      // see _onDisplayTextModified (facade: "setDisplayTextFromUI"). On field blur, the text must be sent again
      // with whileTyping=false to update the model's value as well (facade: "parseAndSetValueFromUI").
      // Usually, the displayText is only sent if it has changed (to prevent too many server requests). But in
      // the case 'updateDisplayTextOnModify AND whileTyping=false', it has to be sent if the displayText
      // was previously sent with whileTyping=true. To do so, we make the acceptInput() method think that the
      // text has changed (even if it has not).
      if (this._displayTextChangedWhileTyping) {
        displayTextChanged = true;
      }
      this._displayTextChangedWhileTyping = false;
    }
    return displayTextChanged;
  }
}

/***/ }),

/***/ "./src/form/fields/BasicFieldAdapter.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/BasicFieldAdapter.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BasicFieldAdapter: () => (/* binding */ BasicFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BasicFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  constructor() {
    super();
    this.enabledWhenOffline = true;
  }
}

/***/ }),

/***/ "./src/form/fields/BasicFieldEventMap.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/BasicFieldEventMap.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/BasicFieldModel.ts":
/*!********************************************!*\
  !*** ./src/form/fields/BasicFieldModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/CompositeField.ts":
/*!*******************************************!*\
  !*** ./src/form/fields/CompositeField.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompositeField: () => (/* binding */ CompositeField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompositeField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  /**
   * Sets the given fieldStyle recursively on all fields of the composite field.
   */
  setFieldStyle(fieldStyle) {
    this.getFields().forEach(field => field.setFieldStyle(fieldStyle));
    super.setFieldStyle(fieldStyle);
  }
  activate() {
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.activateFirstField(this, this.getFields());
  }
  getFocusableElement() {
    let field = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.findFirstFocusableWidget(this.getFields(), this);
    if (field) {
      return field.getFocusableElement();
    }
    return null;
  }
}

/***/ }),

/***/ "./src/form/fields/CompositeFieldAdapter.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/CompositeFieldAdapter.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompositeFieldAdapter: () => (/* binding */ CompositeFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompositeFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  constructor() {
    super();
    this.enabledWhenOffline = true;
  }
}

/***/ }),

/***/ "./src/form/fields/FieldStatus.ts":
/*!****************************************!*\
  !*** ./src/form/fields/FieldStatus.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FieldStatus: () => (/* binding */ FieldStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FieldStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "autoRemove", void 0);
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "position", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "tooltip", void 0);
    _defineProperty(this, "contextMenu", void 0);
    _defineProperty(this, "updating", void 0);
    _defineProperty(this, "_parents", void 0);
    _defineProperty(this, "_parentPropertyChangeListener", void 0);
    _defineProperty(this, "_parentHierarchyChangeListener", void 0);
    this.tooltip = null;
    this.contextMenu = null;
    this.status = null;
    this.updating = false;
    this.autoRemove = true;
    this.position = _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.DEFAULT;
    this._parents = [];
    this._parentPropertyChangeListener = this._onParentPropertyChange.bind(this);
    this._parentHierarchyChangeListener = this._onParentHierarchyChange.bind(this);
  }
  _render() {
    this.$container = this.$parent.appendSpan('status').on('mousedown', this._onStatusMouseDown.bind(this));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _remove() {
    super._remove();
    if (this.tooltip) {
      this.tooltip.destroy();
      this.tooltip = null;
    }
    if (this.contextMenu) {
      this.contextMenu.destroy();
      this.contextMenu = null;
    }
    this._removeParentListeners();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderPosition();
  }
  update(status, menus, autoRemove, showStatus) {
    this.updating = true;
    this.setStatus(status);
    this.setMenus(menus);
    this.setAutoRemove(autoRemove);
    this.updating = false;
    this._updatePopup(showStatus);
  }
  clearStatus() {
    this.setStatus(null);
  }
  setStatus(status) {
    this.setProperty('status', status);
  }
  _setStatus(status) {
    status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(status);
    this._setProperty('status', status);
  }
  _renderStatus() {
    if (!this.updating) {
      this._updatePopup();
    }
  }
  setPosition(position) {
    this.setProperty('position', position);
  }
  _renderPosition() {
    this.$container.toggleClass('top', this.position === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP);
    this.invalidateLayoutTree();
  }
  _renderVisible() {
    super._renderVisible();
    if (!this.visible) {
      this.hidePopup();
    }
  }
  setMenus(menus) {
    this.setProperty('menus', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menus));
  }
  _renderMenus() {
    if (!this.updating) {
      this._updatePopup();
    }
  }
  setAutoRemove(autoRemove) {
    this.setProperty('autoRemove', autoRemove);
  }
  _renderAutoRemove() {
    if (!this.updating) {
      this._updatePopup();
    }
  }
  hideTooltip() {
    if (this.tooltip) {
      let event = this.trigger('hideTooltip');
      if (!event.defaultPrevented) {
        this.tooltip.destroy();
        this._removeParentListeners();
      }
    }
  }
  _updatePopup(showStatus) {
    if (!this._requiresTooltip()) {
      this.hideTooltip();
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.menus)) {
      this.hideContextMenu();
    }
    if (showStatus === true) {
      this.showTooltip();
    } else if (showStatus === false) {
      this.hideTooltip();
    }
  }
  _requiresTooltip() {
    if (!this.status || !this.rendered) {
      return false;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.menus) && !_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.status.message)) {
      return false;
    }
    return true;
  }
  showTooltip() {
    if (!this._requiresTooltip()) {
      return;
    }
    let event = this.trigger('showTooltip');
    if (event.defaultPrevented) {
      return;
    }
    this._updateParentListeners();
    this.hideContextMenu();
    if (this.tooltip && this.tooltip.autoRemove !== this.autoRemove) {
      // close
      this.hideTooltip();
    }
    if (this.tooltip) {
      // update existing tooltip
      this.tooltip.setText(this.status.message);
      this.tooltip.setSeverity(this.status.severity);
      this.tooltip.setMenus(this.menus);
    } else {
      this.tooltip = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tooltip, {
        parent: this,
        $anchor: this.$container,
        text: this.status.message,
        severity: this.status.severity,
        autoRemove: this.autoRemove,
        menus: this.menus
      });
      this.tooltip.render();
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.tooltip.$content, 'alert');
      this.$container.addClass('selected');
      this.tooltip.one('destroy', () => {
        this.tooltip = null;
        if (this.$container) {
          this.$container.removeClass('selected');
        }
      });
    }
  }
  hideContextMenu() {
    if (this.contextMenu) {
      this.contextMenu.close();
    }
  }
  showContextMenu() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.menus)) {
      // at least one menu item must be visible
      return;
    }
    // close both contextMenu and status tooltip
    this.hidePopup();
    // Context menu must be removed immediately before it can be opened because cloneMenuItems is false
    if (this.contextMenu && this.contextMenu.isRemovalPending()) {
      this.contextMenu.removeImmediately();
    }
    this.contextMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      $anchor: this.$container,
      menuItems: this.menus,
      cloneMenuItems: false,
      closeOnAnchorMouseDown: false
    });
    this.contextMenu.open();
    this.$container.addClass('selected');
    this.contextMenu.one('destroy', () => {
      this.contextMenu = null;
      if (this.$container) {
        this.$container.removeClass('selected');
      }
    });
  }
  hidePopup() {
    this.hideTooltip();
    this.hideContextMenu();
  }
  togglePopup() {
    if (this.status) {
      // ensure context menu closed
      this.hideContextMenu();
      this.toggleTooltip();
      return;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.menus)) {
      this.hideTooltip();
      this.session.onRequestsDone(() => {
        if (!this.rendered) {
          // check needed because function is called asynchronously
          return;
        }
        this.toggleContextMenu();
      });
    } else {
      // close all
      this.hidePopup();
    }
  }
  toggleTooltip() {
    if (this.tooltip) {
      this.hideTooltip();
    } else {
      this.showTooltip();
    }
  }
  toggleContextMenu() {
    if (this.contextMenu) {
      this.hideContextMenu();
    } else {
      this.showContextMenu();
    }
  }
  _onStatusMouseDown(event) {
    let statusDownEvent = this.trigger('statusMouseDown', event);
    if (!statusDownEvent.defaultPrevented) {
      this.togglePopup();
    }
  }
  _updateTooltipVisibility(parent) {
    if (this.isEveryParentVisible()) {
      /* We must use a timeout here, because the propertyChange event for the visible property
       * is triggered before the _renderVisible() function is called. Which means the DOM is still
       * invisible, thus the tooltip cannot be rendered. Because of the timeout we must double-check
       * the state of the FieldStatus, because it could have been removed in the meantime.
       */
      setTimeout(() => {
        if (!this.rendered || !this.isEveryParentVisible()) {
          return;
        }
        if (this.tooltip && !this.tooltip.rendered) {
          this.tooltip.render();
        }
      });
    } else {
      if (this.tooltip && this.tooltip.rendered) {
        this.tooltip.remove();
      }
    }
  }
  _onParentHierarchyChange(event) {
    // If the parent of a widget we're listening to changes, we must re-check the parent hierarchy
    // and re-install the property change listener
    this._updateParentListeners();
  }
  _onParentPropertyChange(event) {
    if ('visible' === event.propertyName) {
      this._updateTooltipVisibility(event.source);
    }
  }
  _removeParentListeners() {
    this._parents.forEach(parent => {
      parent.off('hierarchyChange', this._parentHierarchyChangeListener);
      parent.off('propertyChange', this._parentPropertyChangeListener);
    });
    this._parents = [];
  }
  /**
   * Adds a property change listener to every parent of the field status. We keep a list of all parents because
   * we need to remove the listeners later, also when the parent hierarchy has changed.
   */
  _updateParentListeners() {
    this._removeParentListeners();
    let parent = this.parent;
    while (parent) {
      parent.on('hierarchyChange', this._parentHierarchyChangeListener);
      parent.on('propertyChange', this._parentPropertyChangeListener);
      this._parents.push(parent);
      parent = parent.parent;
    }
  }
}

/***/ }),

/***/ "./src/form/fields/FieldStatusEventMap.ts":
/*!************************************************!*\
  !*** ./src/form/fields/FieldStatusEventMap.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/FieldStatusModel.ts":
/*!*********************************************!*\
  !*** ./src/form/fields/FieldStatusModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/FormField.ts":
/*!**************************************!*\
  !*** ./src/form/fields/FormField.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormField: () => (/* binding */ FormField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
var _FormField;
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Base class for all form-fields.
 */
class FormField extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "dropType", void 0);
    _defineProperty(this, "dropMaximumSize", void 0);
    _defineProperty(this, "empty", void 0);
    _defineProperty(this, "errorStatus", void 0);
    _defineProperty(this, "fieldStyle", void 0);
    _defineProperty(this, "gridData", void 0);
    _defineProperty(this, "gridDataHints", void 0);
    _defineProperty(this, "mode", void 0);
    _defineProperty(this, "fieldStatus", void 0);
    _defineProperty(this, "keyStrokes", void 0);
    _defineProperty(this, "displayText", void 0);
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "labelVisible", void 0);
    _defineProperty(this, "labelPosition", void 0);
    _defineProperty(this, "labelWidthInPixel", void 0);
    _defineProperty(this, "labelUseUiWidth", void 0);
    _defineProperty(this, "labelHtmlEnabled", void 0);
    _defineProperty(this, "mandatory", void 0);
    _defineProperty(this, "statusMenuMappings", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "menusVisible", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    _defineProperty(this, "preventInitialFocus", void 0);
    /** If set to true, the field needs to be saved. This will be computed by {@link computeSaveNeeded}. */
    _defineProperty(this, "saveNeeded", void 0);
    _defineProperty(this, "checkSaveNeeded", void 0);
    _defineProperty(this, "lifecycleBoundary", void 0);
    _defineProperty(this, "statusPosition", void 0);
    _defineProperty(this, "statusVisible", void 0);
    _defineProperty(this, "suppressStatus", void 0);
    /** If set to true, {@link saveNeeded} will return true as well, even if the value has not been changed. */
    _defineProperty(this, "touched", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "font", void 0);
    _defineProperty(this, "foregroundColor", void 0);
    _defineProperty(this, "backgroundColor", void 0);
    _defineProperty(this, "labelFont", void 0);
    _defineProperty(this, "labelForegroundColor", void 0);
    _defineProperty(this, "labelBackgroundColor", void 0);
    _defineProperty(this, "tooltipAnchor", void 0);
    _defineProperty(this, "onFieldTooltipOptionsCreator", void 0);
    _defineProperty(this, "dragAndDropHandler", void 0);
    _defineProperty(this, "validationResultProvider", void 0);
    /**
     * Some browsers don't support copying text from disabled input fields. If such a browser is detected
     * and this flag is true (default is false), an overlay DIV is rendered over disabled fields which
     * provides a custom copy context menu that opens the ClipboardForm.
     */
    _defineProperty(this, "disabledCopyOverlay", void 0);
    _defineProperty(this, "$label", void 0);
    /**
     * Note the difference between $field and $fieldContainer:
     * - $field points to the input-field (typically a browser-text field)
     * - $fieldContainer could point to the same input-field or when the field is a composite,
     *   to the parent DIV of that composite. For instance: the multi-line-smartfield is a
     *   composite with an input-field and a DIV showing the additional lines. In that case $field
     *   points to the input-field and $fieldContainer to the parent DIV of the input-field.
     *   This property should be used primarily for layout-functionality.
     */
    _defineProperty(this, "$field", void 0);
    _defineProperty(this, "$clearIcon", void 0);
    _defineProperty(this, "$fieldContainer", void 0);
    _defineProperty(this, "$icon", void 0);
    _defineProperty(this, "$pseudoStatus", void 0);
    /**
     * The status is used for error-status, tooltip-icon and menus.
     */
    _defineProperty(this, "$status", void 0);
    _defineProperty(this, "$mandatory", void 0);
    _defineProperty(this, "$disabledCopyOverlay", void 0);
    _defineProperty(this, "_menuPropertyChangeHandler", void 0);
    _defineProperty(this, "_hierarchyChangeHandler", void 0);
    this.dropType = _index__WEBPACK_IMPORTED_MODULE_0__.DropType.NONE;
    this.dropMaximumSize = _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.DEFAULT_DROP_MAXIMUM_SIZE;
    this.empty = true;
    this.errorStatus = null;
    this.fieldStyle = FormField.DEFAULT_FIELD_STYLE;
    this.gridData = null;
    this.gridDataHints = new _index__WEBPACK_IMPORTED_MODULE_0__.GridData();
    this.mode = FormField.Mode.DEFAULT;
    this.keyStrokes = [];
    this.label = null;
    this.labelVisible = true;
    this.labelPosition = FormField.LabelPosition.DEFAULT;
    this.labelWidthInPixel = 0;
    this.labelUseUiWidth = false;
    this.labelHtmlEnabled = false;
    this.mandatory = false;
    this.statusMenuMappings = [];
    this.menus = [];
    this.menusVisible = true;
    this.defaultMenuTypes = [];
    this.preventInitialFocus = false;
    this.saveNeeded = false;
    this.checkSaveNeeded = true;
    this.lifecycleBoundary = false;
    this.statusPosition = FormField.StatusPosition.DEFAULT;
    this.statusVisible = true;
    this.suppressStatus = null;
    this.touched = false;
    this.tooltipText = null;
    this.tooltipAnchor = FormField.TooltipAnchor.DEFAULT;
    this.onFieldTooltipOptionsCreator = null;
    this.validationResultProvider = this._createValidationResultProvider();
    this.$label = null;
    this.$field = null;
    this.$fieldContainer = null;
    this.$icon = null;
    this.$status = null;
    this.disabledCopyOverlay = false;
    this.$disabledCopyOverlay = null;
    this._addWidgetProperties(['keyStrokes', 'menus', 'statusMenuMappings']);
    this._addCloneProperties(['dropType', 'dropMaximumSize', 'errorStatus', 'fieldStyle', 'gridDataHints', 'gridData', 'label', 'labelVisible', 'labelPosition', 'labelWidthInPixel', 'labelUseUiWidth', 'mandatory', 'mode', 'preventInitialFocus', 'saveNeeded', 'touched', 'statusVisible', 'statusPosition', 'statusMenuMappings', 'tooltipText', 'tooltipAnchor']);
    this._menuPropertyChangeHandler = this._onMenuPropertyChange.bind(this);
    this._hierarchyChangeHandler = this._onHierarchyChange.bind(this);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this
    });
  }
  _init(model) {
    super._init(model);
    this.resolveConsts([{
      property: 'labelPosition',
      constType: FormField.LabelPosition
    }]);
    this.resolveTextKeys(['label', 'tooltipText']);
    this._setValidationResultProvider(this.validationResultProvider);
    this._setKeyStrokes(this.keyStrokes);
    this._setMenus(this.menus);
    this._setErrorStatus(this.errorStatus);
    this._setGridDataHints(this.gridDataHints);
    this._setGridData(this.gridData);
    this._updateEmpty();
    this._watchFieldHierarchy();
  }
  _destroy() {
    this._unwatchFieldHierarchy();
    super._destroy();
  }
  _initProperty(propertyName, value) {
    if ('gridDataHints' === propertyName) {
      this._initGridDataHints(value);
    } else {
      super._initProperty(propertyName, value);
    }
  }
  /**
   * This function <strong>extends</strong> the default grid data hints of the form field.
   * The default values for grid data hints are set in the constructor of the FormField and its subclasses.
   * When the given gridDataHints is a plain object, we extend our default values. When gridDataHints is
   * already instanceof GridData we overwrite default values completely.
   */
  _initGridDataHints(gridDataHints) {
    if (gridDataHints instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GridData) {
      this.gridDataHints = gridDataHints;
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(gridDataHints)) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this.gridDataHints, gridDataHints);
    } else {
      this.gridDataHints = gridDataHints;
    }
  }
  /**
   * All subclasses of FormField should implement a _render method. It should call the various add* methods provided by the FormField class.
   *
   * A possible _render implementation could look like this.
   * <pre>
   * this.addContainer(this.$parent, 'form-field');
   * this.addLabel();
   * this.addField(this.$parent.makeDiv('foo', 'bar'));
   * this.addMandatoryIndicator();
   * this.addStatus();
   * </pre>
   */
  _render() {
    // Render all the necessary parts of a form field.
    // Subclasses typically override _render completely and add these parts by themselves
    this.addContainer(this.$parent);
    this.addLabel();
    this.addField(this.$parent.makeDiv());
    this.addMandatoryIndicator();
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMandatory();
    this._renderTooltipText();
    this._renderErrorStatus();
    this._renderMenus();
    this._renderLabel();
    this._renderLabelVisible();
    this._renderStatusVisible();
    this._renderStatusPosition();
    this._renderFont();
    this._renderForegroundColor();
    this._renderBackgroundColor();
    this._renderLabelFont();
    this._renderLabelForegroundColor();
    this._renderLabelBackgroundColor();
    this._renderGridData();
    this._renderPreventInitialFocus();
    this._renderFieldStyle();
  }
  _remove() {
    super._remove();
    this._removeField();
    this._removeStatus();
    this._removeLabel();
    this._removeIcon();
    this.removeMandatoryIndicator();
    this._removeDisabledCopyOverlay();
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.uninstallDragAndDropHandler(this);
  }
  /** @see FormFieldModel.fieldStyle */
  setFieldStyle(fieldStyle) {
    this.setProperty('fieldStyle', fieldStyle);
  }
  _renderFieldStyle() {
    this._renderFieldStyleInternal(this.$container);
    this._renderFieldStyleInternal(this.$fieldContainer);
    this._renderFieldStyleInternal(this.$field);
    if (this.rendered) {
      // See _renderLabelPosition why it is necessary to invalidate parent as well.
      let htmlCompParent = this.htmlComp.getParent();
      if (htmlCompParent) {
        htmlCompParent.invalidateLayoutTree();
      }
      this.invalidateLayoutTree();
    }
  }
  _renderFieldStyleInternal($element) {
    if (!$element) {
      return;
    }
    $element.toggleClass('alternative', this.fieldStyle === FormField.FieldStyle.ALTERNATIVE);
  }
  /** @see FormFieldModel.mandatory */
  setMandatory(mandatory) {
    this.setProperty('mandatory', mandatory);
  }
  _renderMandatory() {
    this.$container.toggleClass('mandatory', this.mandatory);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.required(this.$field, this.mandatory || null);
  }
  /**
   * Override this function to return another error status property.
   * The default implementation returns the property 'errorStatus'.
   */
  _errorStatus() {
    return this.errorStatus;
  }
  /** @see FormFieldModel.errorStatus */
  setErrorStatus(errorStatus) {
    this.setProperty('errorStatus', errorStatus);
  }
  _setErrorStatus(errorStatus) {
    errorStatus = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(errorStatus);
    this._setProperty('errorStatus', errorStatus);
  }
  /**
   * Adds the given (functional) error status to the list of error status. Prefer this function over #setErrorStatus
   * when you don't want to mess with the internal error states of the field (parsing, validation).
   */
  addErrorStatus(errorStatus) {
    if (typeof errorStatus === 'string') {
      errorStatus = this._createErrorStatus(errorStatus);
    }
    if (!(errorStatus instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Status)) {
      throw new Error('errorStatus is not a Status');
    }
    let status = this._errorStatus();
    if (status) {
      status = status.ensureChildren(); // new instance is required for property change
    } else {
      status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok('Root');
    }
    status.addStatus(errorStatus);
    this.setErrorStatus(status);
  }
  /**
   * Create an error status with severity {@link Status.Severity.ERROR} containing the given message.
   *
   * @param message The message for the error status.
   * @returns containing the given message.
   */
  _createErrorStatus(message) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.error(message);
  }
  /**
   * Whether the error status is or has the given status type.
   */
  containsStatus(statusType) {
    if (!this.errorStatus) {
      return false;
    }
    return this.errorStatus.containsStatus(statusType);
  }
  /** @see FormFieldModel.suppressStatus */
  setSuppressStatus(suppressStatus) {
    this.setProperty('suppressStatus', suppressStatus);
  }
  _renderSuppressStatus() {
    this._renderErrorStatus();
  }
  /**
   * @returns Whether or not error status icon is suppressed
   */
  _isSuppressStatusIcon() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.suppressStatus, FormField.SuppressStatus.ALL, FormField.SuppressStatus.ICON);
  }
  /**
   * @returns Whether or not error status CSS class is suppressed on field
   */
  _isSuppressStatusField() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.suppressStatus, FormField.SuppressStatus.ALL, FormField.SuppressStatus.FIELD);
  }
  /**
   * Removes all status (incl. children) with the given type.
   */
  removeErrorStatus(statusType) {
    this.removeErrorStatusByPredicate(status => status instanceof statusType);
  }
  removeErrorStatusByPredicate(predicate) {
    let status = this._errorStatus();
    if (!status) {
      return;
    }
    if (status.containsStatusByPredicate(predicate)) {
      let newStatus = status.clone();
      newStatus.removeAllStatusByPredicate(predicate);
      // If no other status remains -> clear error status
      if (newStatus.hasChildren()) {
        this.setErrorStatus(newStatus);
      } else {
        this.clearErrorStatus();
      }
    }
  }
  clearErrorStatus() {
    this.setErrorStatus(null);
  }
  /** @internal */
  _renderErrorStatus() {
    let status = this._errorStatus(),
      hasStatus = !!status,
      statusClass = hasStatus && !this._isSuppressStatusField() ? 'has-' + status.cssClass() : '';
    this._updateErrorStatusClasses(statusClass, hasStatus);
    this._updateFieldStatus();
  }
  _updateErrorStatusClasses(statusClass, hasStatus) {
    this._updateErrorStatusClassesOnElement(this.$container, statusClass, hasStatus);
    this._updateErrorStatusClassesOnElement(this.$field, statusClass, hasStatus);
  }
  _updateErrorStatusClassesOnElement($element, statusClass, hasStatus) {
    if (!$element) {
      return;
    }
    $element.removeClass(FormField.SEVERITY_CSS_CLASSES).addClass(statusClass);
  }
  /** @see FormFieldModel.tooltipText */
  setTooltipText(tooltipText) {
    this.setProperty('tooltipText', tooltipText);
  }
  /** @internal */
  _renderTooltipText() {
    this._updateTooltip();
  }
  /** @see FormFieldModel.tooltipAnchor */
  setTooltipAnchor(tooltipAnchor) {
    this.setProperty('tooltipAnchor', tooltipAnchor);
  }
  _renderTooltipAnchor() {
    this._updateTooltip();
  }
  _updateTooltip() {
    let hasTooltipText = this.hasStatusTooltip();
    this.$container.toggleClass('has-tooltip', hasTooltipText);
    if (this.$field) {
      this.$field.toggleClass('has-tooltip', hasTooltipText);
    }
    this._updateFieldStatus();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.description(this.$field, this.tooltipText);
    if (this.$fieldContainer) {
      if (this.hasOnFieldTooltip()) {
        let creatorFunc = this.onFieldTooltipOptionsCreator || this._createOnFieldTooltipOptions;
        _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$fieldContainer, creatorFunc.call(this));
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$fieldContainer);
      }
    }
  }
  hasStatusTooltip() {
    return this.tooltipAnchor === FormField.TooltipAnchor.DEFAULT && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText);
  }
  hasOnFieldTooltip() {
    return this.tooltipAnchor === FormField.TooltipAnchor.ON_FIELD && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText);
  }
  /** @see FormFieldModel.onFieldTooltipOptionsCreator */
  setOnFieldTooltipOptionsCreator(onFieldTooltipOptionsCreator) {
    this.onFieldTooltipOptionsCreator = onFieldTooltipOptionsCreator;
  }
  _createOnFieldTooltipOptions() {
    return {
      parent: this,
      text: this.tooltipText,
      arrowPosition: 50
    };
  }
  _renderVisible() {
    super._renderVisible();
    if (this.rendered) {
      // Make sure error status is hidden / shown when visibility changes
      this._renderErrorStatus();
    }
  }
  /** @see FormFieldModel.label */
  setLabel(label) {
    this.setProperty('label', label);
  }
  _renderLabel() {
    let label = this.label;
    if (this.labelPosition === FormField.LabelPosition.ON_FIELD) {
      this._renderPlaceholder();
      if (this.$label) {
        this.$label.text('');
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$field, this.label);
    } else if (this.$label) {
      this._removePlaceholder();
      // Make sure an empty label has the same height as the other labels, especially important for top labels
      this.$label.contentOrNbsp(this.labelHtmlEnabled, label, 'empty').toggleClass('top', this.labelPosition === FormField.LabelPosition.TOP);
      // Invalidate layout if label width depends on its content
      if (this.labelUseUiWidth || this.labelWidthInPixel === FormField.LabelWidth.UI) {
        this.invalidateLayoutTree();
      }
    }
  }
  /**
   * Renders an empty label for button-like fields that don't have a regular label but which do want to support the 'labelVisible'
   * property in order to provide some layout-flexibility. Makes sure the empty label has the same height as the other labels,
   * which is especially important for top labels.
   */
  _renderEmptyLabel() {
    this.$label.html('&nbsp;').toggleClass('top', this.labelPosition === FormField.LabelPosition.TOP);
  }
  _renderPlaceholder($field) {
    $field = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($field, this.$field);
    if ($field) {
      $field.placeholder(this.label);
    }
  }
  /**
   * @param $field argument is required by DateField.js, when not set this.$field is used
   */
  _removePlaceholder($field) {
    $field = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($field, this.$field);
    if ($field) {
      $field.placeholder('');
    }
  }
  /** @see FormFieldModel.labelVisible */
  setLabelVisible(visible) {
    this.setProperty('labelVisible', visible);
  }
  _renderLabelVisible() {
    let visible = this.labelVisible;
    this._renderChildVisible(this.$label, visible);
    this.$container.toggleClass('label-hidden', !visible);
    if (this.rendered && this.labelPosition === FormField.LabelPosition.TOP) {
      // See _renderLabelPosition why it is necessary to invalidate parent as well.
      let htmlCompParent = this.htmlComp.getParent();
      if (htmlCompParent) {
        htmlCompParent.invalidateLayoutTree();
      }
    }
  }
  /** @see FormFieldModel.labelWidthInPixel */
  setLabelWidthInPixel(labelWidthInPixel) {
    this.setProperty('labelWidthInPixel', labelWidthInPixel);
  }
  _renderLabelWidthInPixel() {
    this.invalidateLayoutTree();
  }
  /** @see FormFieldModel.labelUseUiWidth */
  setLabelUseUiWidth(labelUseUiWidth) {
    this.setProperty('labelUseUiWidth', labelUseUiWidth);
  }
  _renderLabelUseUiWidth() {
    this.invalidateLayoutTree();
  }
  /** @see FormFieldModel.statusVisible */
  setStatusVisible(visible) {
    this.setProperty('statusVisible', visible);
  }
  _renderStatusVisible() {
    this._updateFieldStatus();
  }
  /** @see FormFieldModel.statusPosition */
  setStatusPosition(statusPosition) {
    this.setProperty('statusPosition', statusPosition);
  }
  _renderStatusPosition() {
    this._updateFieldStatus();
  }
  /**
   * The tooltip of the {@link fieldStatus}, if it is shown.
   */
  tooltip() {
    if (this.fieldStatus) {
      return this.fieldStatus.tooltip;
    }
    return null;
  }
  _updateFieldStatus() {
    if (!this.fieldStatus) {
      return;
    }
    // compute status
    let menus,
      errorStatus = this._errorStatus(),
      status = null,
      statusVisible = this._computeStatusVisible(),
      autoRemove = true;
    this.fieldStatus.setPosition(this.statusPosition);
    this.fieldStatus.setVisible(statusVisible);
    if (!statusVisible) {
      return;
    }
    if (errorStatus) {
      // If the field is used as a cell editor in an editable table, then no validation errors should be shown.
      // (parsing and validation will be handled by the cell/column itself)
      if (this.mode === FormField.Mode.CELLEDITOR) {
        return;
      }
      status = errorStatus;
      autoRemove = !status.isError();
      menus = this._getMenusForStatus(errorStatus);
    } else if (this.hasStatusTooltip()) {
      status = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Status, {
        message: this.tooltipText,
        severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO
      });
      // If there are menus, show them in the tooltip. But only if there is a tooltipText, don't do it if there is an error status.
      // Menus make most likely no sense if an error status is displayed
      menus = this.getContextMenuItems();
    } else {
      // If there are menus, show them in the tooltip. But only if there is a tooltipText, don't do it if there is an error status.
      // Menus make most likely no sense if an error status is displayed
      menus = this.getContextMenuItems();
    }
    this.fieldStatus.update(status, menus, autoRemove, this._isInitialShowStatus());
  }
  _isInitialShowStatus() {
    return !!this._errorStatus();
  }
  /**
   * Computes whether the $status should be visible based on statusVisible, errorStatus and tooltip.
   * -> errorStatus and tooltip override statusVisible, so $status may be visible event though statusVisible is set to false
   */
  _computeStatusVisible() {
    let status = this._errorStatus(),
      statusVisible = this.statusVisible,
      hasStatus = !!status,
      hasTooltip = this.hasStatusTooltip();
    return !this._isSuppressStatusIcon() && this.visible && (statusVisible || hasStatus || hasTooltip || this._hasMenus() && this.menusVisible);
  }
  _renderChildVisible($child, visible) {
    if (!$child) {
      return;
    }
    if ($child.isVisible() !== visible) {
      $child.setVisible(visible);
      this.invalidateLayoutTree();
      return true;
    }
  }
  /** @see FormFieldModel.labelPosition */
  setLabelPosition(labelPosition) {
    this.setProperty('labelPosition', labelPosition);
  }
  // Don't include in renderProperties, it is not necessary to execute it initially because the positioning is done by _renderLabel
  _renderLabelPosition() {
    this._renderLabel();
    if (this.rendered) {
      // Necessary to invalidate parent as well if parent uses the logical grid.
      // LogicalGridData uses another row height depending on the label position
      let htmlCompParent = this.htmlComp.getParent();
      if (htmlCompParent) {
        htmlCompParent.invalidateLayoutTree();
      }
      this.invalidateLayoutTree();
    }
  }
  /** @see FormFieldModel.labelHtmlEnabled */
  setLabelHtmlEnabled(labelHtmlEnabled) {
    this.setProperty('labelHtmlEnabled', labelHtmlEnabled);
  }
  _renderLabelHtmlEnabled() {
    // Render the label again when html enabled changes dynamically
    this._renderLabel();
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.$field) {
      this.$field.setEnabled(this.enabledComputed);
    }
    this._updateDisabledCopyOverlay();
    this._installOrUninstallDragAndDropHandler();
  }
  _renderDisabledStyle() {
    this._renderDisabledStyleInternal(this.$container);
    this._renderDisabledStyleInternal(this.$fieldContainer);
    this._renderDisabledStyleInternal(this.$field);
    this._renderDisabledStyleInternal(this.$mandatory);
  }
  /** @see FormFieldModel.font */
  setFont(font) {
    this.setProperty('font', font);
  }
  _renderFont() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$field);
  }
  /** @see FormFieldModel.foregroundColor */
  setForegroundColor(foregroundColor) {
    this.setProperty('foregroundColor', foregroundColor);
  }
  _renderForegroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$field);
  }
  /** @see FormFieldModel.backgroundColor */
  setBackgroundColor(backgroundColor) {
    this.setProperty('backgroundColor', backgroundColor);
  }
  _renderBackgroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$field);
  }
  /** @see FormFieldModel.labelFont */
  setLabelFont(labelFont) {
    this.setProperty('labelFont', labelFont);
  }
  _renderLabelFont() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$label, 'label');
  }
  /** @see FormFieldModel.labelForegroundColor */
  setLabelForegroundColor(labelForegroundColor) {
    this.setProperty('labelForegroundColor', labelForegroundColor);
  }
  _renderLabelForegroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$label, 'label');
  }
  /** @see FormFieldModel.labelBackgroundColor */
  setLabelBackgroundColor(labelBackgroundColor) {
    this.setProperty('labelBackgroundColor', labelBackgroundColor);
  }
  _renderLabelBackgroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$label, 'label');
  }
  /** @see FormFieldModel.gridDataHints */
  setGridDataHints(gridData) {
    this.setProperty('gridDataHints', gridData);
  }
  _setGridDataHints(gridData) {
    this._setProperty('gridDataHints', _index__WEBPACK_IMPORTED_MODULE_0__.GridData.ensure(gridData || new _index__WEBPACK_IMPORTED_MODULE_0__.GridData()));
  }
  _renderGridDataHints() {
    this.parent.invalidateLogicalGrid();
  }
  /** @internal */
  _setGridData(gridData) {
    this._setProperty('gridData', _index__WEBPACK_IMPORTED_MODULE_0__.GridData.ensure(gridData || new _index__WEBPACK_IMPORTED_MODULE_0__.GridData()));
  }
  _renderGridData() {
    if (this.rendered) {
      let htmlCompParent = this.htmlComp.getParent();
      if (htmlCompParent) {
        // may be null if $container is detached
        htmlCompParent.invalidateLayoutTree();
      }
    }
  }
  /** @see FormFieldModel.menus */
  setMenus(menus) {
    this.setProperty('menus', menus);
  }
  _setMenus(menus) {
    menus = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menus);
    this.menus.forEach(menu => menu.off('propertyChange', this._menuPropertyChangeHandler));
    this.updateKeyStrokes(menus, this.menus);
    this._setProperty('menus', menus);
    this.menus.forEach(menu => menu.on('propertyChange', this._menuPropertyChangeHandler));
  }
  insertMenu(menuToInsert) {
    this.insertMenus([menuToInsert]);
  }
  insertMenus(menusToInsert) {
    menusToInsert = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menusToInsert);
    if (menusToInsert.length === 0) {
      return;
    }
    let menus = this.menus;
    this.setMenus(menus.concat(menusToInsert));
  }
  deleteMenu(menuToDelete) {
    this.deleteMenus([menuToDelete]);
  }
  deleteMenus(menusToDelete) {
    menusToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menusToDelete);
    if (menusToDelete.length === 0) {
      return;
    }
    let menus = this.menus.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(menus, menusToDelete);
    this.setMenus(menus);
  }
  _onMenuPropertyChange(event) {
    if (event.propertyName === 'visible' && this.rendered) {
      this._updateMenus();
    }
  }
  getContextMenuItems() {
    let onlyVisible = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    let currentMenuTypes = this.getCurrentMenuTypes();
    if (currentMenuTypes.length) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(this.menus, currentMenuTypes, {
        onlyVisible: onlyVisible,
        defaultMenuTypes: this.defaultMenuTypes
      });
    } else if (onlyVisible) {
      return this.menus.filter(menu => menu.visible);
    }
    return this.menus;
  }
  _getMenusForStatus(status) {
    return this.statusMenuMappings.filter(mapping => {
      if (!mapping.menu || !mapping.menu.visible) {
        return false;
      }
      // Show the menus which are mapped to the status code and severity (if set)
      return (mapping.codes.length === 0 || mapping.codes.indexOf(status.code) > -1) && (mapping.severities.length === 0 || mapping.severities.indexOf(status.severity) > -1);
    }).map(mapping => mapping.menu);
  }
  _hasMenus() {
    return !!(this.menus && this.getContextMenuItems().length > 0);
  }
  /** @internal */
  _updateMenus() {
    if (!this.rendered && !this.rendering) {
      return;
    }
    this.$container.toggleClass('has-menus', this._hasMenus() && this.menusVisible);
    this._updateFieldStatus();
  }
  /** @internal */
  _renderMenus() {
    this._updateMenus();
  }
  _renderStatusMenuMappings() {
    this._updateMenus();
  }
  setMenusVisible(menusVisible) {
    this.setProperty('menusVisible', menusVisible);
  }
  _setMenusVisible(menusVisible) {
    this._setProperty('menusVisible', menusVisible);
  }
  _renderMenusVisible() {
    this._updateMenus();
  }
  getCurrentMenuTypes() {
    return this._getCurrentMenuTypes();
  }
  _getCurrentMenuTypes() {
    return [];
  }
  _setKeyStrokes(keyStrokes) {
    this.updateKeyStrokes(keyStrokes, this.keyStrokes);
    this._setProperty('keyStrokes', keyStrokes);
  }
  /**
   * May be overridden to explicitly provide a tooltip $parent
   * @internal
   */
  _$tooltipParent() {
    // Will be determined by the tooltip itself
    return undefined;
  }
  /** @internal */
  _hideStatusMessage() {
    if (this.fieldStatus) {
      this.fieldStatus.hideTooltip();
    }
  }
  _renderPreventInitialFocus() {
    this.$container.toggleClass('prevent-initial-focus', !!this.preventInitialFocus);
  }
  /**
   * Sets the focus on this field. If the field is not rendered, the focus will be set as soon as it is rendered.
   * @returns true if the element could be focused, false if not
   */
  focus() {
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.focus.bind(this));
      return false;
    }
    if (!this.enabledComputed) {
      return false;
    }
    let focusableElement = this.getFocusableElement();
    if (focusableElement) {
      return this.session.focusManager.requestFocus(focusableElement);
    }
    return false;
  }
  /**
   * This method returns the HtmlElement to be used as initial focus element or when {@link #focus()} is called.
   * It can be overridden, in case the FormField needs to return something other than this.$field[0].
   */
  getFocusableElement() {
    if (this.rendered && this.$field) {
      return this.$field[0];
    }
    return null;
  }
  _onFieldFocus(event) {
    this.setFocused(true);
  }
  _onFieldBlur(event) {
    this.setFocused(false);
  }
  /**
   * When calling this function, the same should happen as when clicking into the field. It is used when the label is clicked.<br>
   * The most basic action is focusing the field but this may differ from field to field.
   */
  activate() {
    if (!this.enabledComputed || !this.rendered) {
      return;
    }
    // Explicitly don't use this.focus() because this.focus uses the focus manager which may be disabled (e.g. on mobile devices)
    let focusableElement = this.getFocusableElement();
    if (focusableElement) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure(focusableElement).focus();
    }
  }
  get$Scrollable() {
    return this.$field;
  }
  getParentGroupBox() {
    return this.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.GroupBox);
  }
  getParentField() {
    return this.findParent(FormField);
  }
  /**
   * Appends a LABEL element to this.$container and sets the this.$label property.
   */
  addLabel() {
    this.$label = this.$container.appendElement('<label>');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$label, {
      parent: this
    });
    // Setting the focus programmatically does not work in a mousedown listener on mobile devices,
    // that is why a click listener is used instead
    this.$label.on('click', this._onLabelClick.bind(this));
  }
  _onLabelClick(event) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.label)) {
      // Clicking on "invisible" labels should not have any effect since it is confusing
      return;
    }
    this.activate();
  }
  _removeLabel() {
    if (!this.$label) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$label);
    this.$label.remove();
    this.$label = null;
  }
  /**
   * Links the given element with the label by setting aria-labelledby.<br>
   * This allows screen readers to build a catalog of the elements on the screen and their relationships, for example, to read the label when the input is focused.
   */
  _linkWithLabel($element) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.label)) {
      // no label, do not link field to nbsp
      return;
    }
    if (this.labelPosition !== FormField.LabelPosition.ON_FIELD) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel($element, this.$label);
    }
  }
  _removeIcon() {
    if (!this.$icon) {
      return;
    }
    this.$icon.remove();
    this.$icon = null;
  }
  /**
   * Appends the given field to the this.$container and sets the property this.$field.
   * The $field is used as $fieldContainer as long as you don't explicitly call addFieldContainer before calling addField.
   */
  addField($field) {
    if (!this.$fieldContainer) {
      this.addFieldContainer($field);
    }
    this.$field = $field;
    this._linkWithLabel($field);
    this.$field.on('blur', this._onFieldBlur.bind(this)).on('focus', this._onFieldFocus.bind(this));
  }
  /**
   * Call this method before addField if you'd like to have a different field container than $field.
   */
  addFieldContainer($fieldContainer) {
    this.$fieldContainer = $fieldContainer.addClass('field');
    // Only append if not already appended, or it is not the last element so that append would move it to the end
    // This can be important for some widgets, e.g. iframe which would cancel and restart the request on every dom insertion
    if (this.$container.has($fieldContainer[0]).length === 0 || $fieldContainer.next().length > 0) {
      $fieldContainer.appendTo(this.$container);
    }
  }
  /**
   * Removes this.$field and this.$fieldContainer and sets the properties to null.
   */
  _removeField() {
    if (this.$field) {
      this.$field.remove();
      this.$field = null;
    }
    if (this.$fieldContainer) {
      this.$fieldContainer.remove();
      this.$fieldContainer = null;
    }
  }
  /**
   * Appends a span element for form-field status to this.$container and sets the this.$status property.
   */
  addStatus() {
    if (this.fieldStatus) {
      return;
    }
    this.fieldStatus = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FieldStatus, {
      parent: this,
      position: this.statusPosition,
      // This will be done by _updateFieldStatus again, but doing it here prevents unnecessary layout invalidations later on
      visible: this._computeStatusVisible()
    });
    this.fieldStatus.render();
    this.$status = this.fieldStatus.$container;
    this._updateFieldStatus();
  }
  _removeStatus() {
    if (!this.fieldStatus) {
      return;
    }
    this.fieldStatus.destroy();
    this.$status = null;
    this.fieldStatus = null;
  }
  /**
   * Appends a span element to this.$container and sets the this.$pseudoStatus property.
   * The purpose of a pseudo status is to consume the space an ordinary status would.
   * This makes it possible to make components without a status as width as components with a status.
   */
  addPseudoStatus() {
    this.$pseudoStatus = this.$container.appendSpan('status');
  }
  addMandatoryIndicator() {
    this.$mandatory = this.$container.appendSpan('mandatory-indicator');
  }
  removeMandatoryIndicator() {
    if (!this.$mandatory) {
      return;
    }
    this.$mandatory.remove();
    this.$mandatory = null;
  }
  /**
   * Adds a span element with class 'icon' the given optional $parent.
   * When $parent is not set, the element is added to this.$container.
   */
  addIcon($parent) {
    if (!$parent) {
      $parent = this.$container;
    }
    this.$icon = _index__WEBPACK_IMPORTED_MODULE_0__.fields.appendIcon($parent).on('mousedown', this._onIconMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$icon, true);
  }
  _onIconMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.$field.focus();
  }
  /**
   * Appends a DIV element as form-field container to $parent and sets the this.$container property.
   * Applies FormFieldLayout to this.$container (if container does not define another layout).
   * Sets this.htmlComp to the HtmlComponent created for this.$container.
   *
   * @param $parent to which container is appended
   * @param cssClass cssClass to add to the new container DIV
   * @param layout when layout is undefined, {@link _createLayout} is called
   *
   */
  addContainer($parent, cssClass, layout) {
    this.$container = $parent.appendDiv('form-field');
    if (cssClass) {
      this.$container.addClass(cssClass);
    }
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    htmlComp.setLayout(layout || this._createLayout());
    this.htmlComp = htmlComp;
  }
  /**
   * @returns the default layout FormFieldLayout. Override this function if your field needs another layout.
   */
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout(this);
  }
  /**
   * Updates the "inner alignment" of a field. Usually, the GridData hints only have influence on the LogicalGridLayout.
   * However, the properties "horizontalAlignment" and "verticalAlignment" are sometimes used differently.
   * Instead of controlling the field alignment in case fillHorizontal/fillVertical is false, the developer expects the _contents_ of the field to be aligned correspondingly inside the field.
   * Technically, this is not correct, but is supported for legacy and convenience reasons for some Scout fields.
   * Those who support the behavior may override _renderGridData() and call this method.
   * Some CSS classes are then added to the field.
   */
  updateInnerAlignment(opts) {
    opts = opts || {};
    let $fieldContainer = opts.$fieldContainer || this.$fieldContainer;
    this._updateElementInnerAlignment(opts, $fieldContainer);
    if ($fieldContainer !== this.$container) {
      // also set the styles to the container
      this._updateElementInnerAlignment(opts, this.$container);
    }
  }
  _updateElementInnerAlignment(opts, $field) {
    opts = opts || {};
    let useHorizontalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.useHorizontalAlignment, true);
    let useVerticalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.useVerticalAlignment, true);
    if (!$field) {
      return;
    }
    $field.removeClass('has-inner-alignment halign-left halign-center halign-right valign-top valign-middle valign-bottom');
    if (useHorizontalAlignment || useVerticalAlignment) {
      // Set horizontal and vertical alignment (from gridData)
      $field.addClass('has-inner-alignment');
      let gridData = this.gridData;
      if (this.parent.logicalGrid) {
        // If the logical grid is calculated by JS, use the hints instead of the calculated grid data
        gridData = this.gridDataHints;
      }
      if (useHorizontalAlignment) {
        let hAlign = gridData.horizontalAlignment;
        $field.addClass(hAlign < 0 ? 'halign-left' : hAlign > 0 ? 'halign-right' : 'halign-center');
      }
      if (useVerticalAlignment) {
        let vAlign = gridData.verticalAlignment;
        $field.addClass(vAlign < 0 ? 'valign-top' : vAlign > 0 ? 'valign-bottom' : 'valign-middle');
      }
      // Alignment might have affected inner elements (e.g. clear icon)
      this.invalidateLayout();
    }
  }
  addCellEditorFieldCssClasses($field, opts) {
    $field.addClass('cell-editor-field').addClass(_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().cssClassForEdge());
    if (opts.cssClass) {
      $field.addClass(opts.cssClass);
    }
  }
  /**
   * Called by the {@link CellEditorPopup} after having rendered this field.
   */
  prepareForCellEdit(opts) {
    opts = opts || {};
    // remove mandatory and status indicators (popup should 'fill' the whole cell)
    if (this.$mandatory) {
      this.removeMandatoryIndicator();
    }
    if (this.$status) {
      this.$status.remove();
      this.$status = null;
    }
    if (this.$container) {
      this.$container.addClass('cell-editor-form-field');
    }
    if (this.$field) {
      this.addCellEditorFieldCssClasses(this.$field, opts);
    }
  }
  /**
   * Adjusts the field for use as a cell editor field. This operation is irreversible.
   * The {@link #mode} property is set to {@link FormField.Mode.CELLEDITOR}.
   *
   * Unlike {@link #prepareForCellEdit}, this method does not depend on the "rendered" state.
   * It is called by an editable column just before the cell editor popup is created, see
   * {@link Column#startCellEdit}.
   *
   * @param options
   *          When called by an editable column, this object holds information about the
   *          column and row being edited.
   */
  activateCellEditorMode(options) {
    // Set hint that this field is used within a cell-editor
    this.mode = FormField.Mode.CELLEDITOR;
    if (options !== null && options !== void 0 && options.column && options !== null && options !== void 0 && options.row) {
      let cell = options.column.cell(options.row);
      // Override field alignment with the cell's alignment
      this.gridData.horizontalAlignment = cell.horizontalAlignment;
    }
  }
  /** @see FormFieldModel.dropType */
  setDropType(dropType) {
    this.setProperty('dropType', dropType);
  }
  _renderDropType() {
    this._installOrUninstallDragAndDropHandler();
  }
  /** @see FormFieldModel.dropMaximumSize */
  setDropMaximumSize(dropMaximumSize) {
    this.setProperty('dropMaximumSize', dropMaximumSize);
  }
  _installOrUninstallDragAndDropHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.installOrUninstallDragAndDropHandler(this._getDragAndDropHandlerOptions());
  }
  _getDragAndDropHandlerOptions() {
    return {
      target: this,
      doInstall: () => this.dropType && this.enabledComputed,
      container: () => this.$field || this.$container,
      dropType: () => this.dropType,
      onDrop: event => this.trigger('drop', event)
    };
  }
  _updateDisabledCopyOverlay() {
    if (this.disabledCopyOverlay && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCopyFromDisabledInputFields()) {
      if (this.enabledComputed) {
        this._removeDisabledCopyOverlay();
      } else {
        this._renderDisabledCopyOverlay();
        this.revalidateLayout(); // because bounds of overlay is set in FormFieldLayout
      }
    }
  }
  _renderDisabledCopyOverlay() {
    if (!this.$disabledCopyOverlay) {
      this.$disabledCopyOverlay = this.$container.appendDiv('disabled-overlay').on('contextmenu', this._createCopyContextMenu.bind(this));
    }
  }
  _removeDisabledCopyOverlay() {
    if (this.$disabledCopyOverlay) {
      this.$disabledCopyOverlay.remove();
      this.$disabledCopyOverlay = null;
    }
  }
  _createCopyContextMenu(event) {
    if (!this.visible || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.displayText)) {
      return;
    }
    let menu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.Copy'),
      inheritAccessibility: false
    });
    menu.on('action', event => this.exportToClipboard());
    let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      menuItems: [menu],
      cloneMenuItems: false,
      location: {
        x: event.pageX,
        y: event.pageY
      }
    });
    popup.open();
  }
  /**
   * Visits this field and all child {@link FormField}s in pre-order (top-down).
   */
  visitFields(visitor) {
    let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return this.visit(child => {
      if (child instanceof FormField) {
        let visitResult = visitor(child);
        return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.firstLevelFieldsOnly, false) && this !== child ? _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE : visitResult;
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.limitToSameFieldTree, false)) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.CONTINUE;
    }, {
      visitSelf: options.visitSelf
    });
  }
  visitFirstChildFields(visitor) {
    this.visitFields(field => visitor(field), {
      firstLevelFieldsOnly: true,
      visitSelf: false
    });
  }
  /**
   * Visits all parent form fields.
   * To stop the visiting if the parent field is no form field anymore (e.g. a form or the desktop), you can set {@link VisitParentFieldsOptions.limitToSameFieldTree} to true.
   */
  visitParentFields(visitor) {
    let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    let parent = this.parent;
    while (parent) {
      if (parent instanceof FormField) {
        visitor(parent);
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.limitToSameFieldTree, false)) {
        return;
      }
      parent = parent.parent;
    }
  }
  /**
   * Sets {@link saveNeeded} and {@link touched} to false on this field and every child field.
   **/
  markAsSaved() {
    this.visitFirstChildFields(field => {
      field.markAsSaved();
    });
    this._markAsSaved();
    this.updateSaveNeeded();
  }
  _markAsSaved() {
    this.setProperty('touched', false);
  }
  /**
   * Marks the field as {@link touched} which means {@link saveNeeded} will return true even if the value has not been changed.
   **/
  touch() {
    this.setProperty('touched', true);
    this.updateSaveNeeded();
  }
  /**
   * Updates {@link saveNeeded} depending on whether the field was {@link touched} using {@link touch} or {@link computeSaveNeeded} returns true.
   *
   * @param child the child updating its save needed state and informing its parent about it. If passed and `child.saveNeeded` is true, {@link computeSaveNeeded} will be skipped.
   */
  updateSaveNeeded(child) {
    if (!this.initialized || this.destroying) {
      return;
    }
    this._setSaveNeeded(this.touched || this.checkSaveNeeded && ((child === null || child === void 0 ? void 0 : child.saveNeeded) || this.computeSaveNeeded()));
  }
  _setSaveNeeded(saveNeeded) {
    if (this._setProperty('saveNeeded', saveNeeded)) {
      var _this$getParentField;
      (_this$getParentField = this.getParentField()) === null || _this$getParentField === void 0 || _this$getParentField.updateSaveNeeded(this);
    }
  }
  setCheckSaveNeeded(checkSaveNeeded) {
    if (this.setProperty('checkSaveNeeded', checkSaveNeeded)) {
      this.updateSaveNeeded();
    }
  }
  /**
   * Used by {@link updateSaveNeeded} to update the {@link saveNeeded} property.
   *
   * By default, all first level child fields are checked. The method returns true, if one of these fields needs to be saved.
   */
  computeSaveNeeded() {
    let saveNeeded = false;
    this.visitFirstChildFields(field => {
      if (!field.destroying && field.saveNeeded) {
        saveNeeded = true;
        return true;
      }
    });
    return saveNeeded;
  }
  getValidationResult() {
    return this.validationResultProvider.provide(this._errorStatus());
  }
  _createValidationResultProvider() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FormFieldValidationResultProvider, {
      field: this
    });
  }
  /** @see FormFieldModel.validationResultProvider */
  setValidationResultProvider(provider) {
    this.setProperty('validationResultProvider', provider);
  }
  _setValidationResultProvider(provider) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('provider', provider);
    if (typeof provider === 'string' || typeof provider === 'function') {
      provider = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(provider, {
        field: this
      });
    }
    this._setProperty('validationResultProvider', provider);
  }
  _updateEmpty() {
    this.setProperty('empty', this._computeEmpty());
  }
  /**
   * @returns true if the field is considered empty, false if not.
   *          Mandatory fields that are empty will return a {@link ValidationResult} with {@link ValidationResult.valid} and {@link ValidationResult.validByMandatory} set to false.
   *
   * @see getValidationResult
   */
  _computeEmpty() {
    return true;
  }
  requestInput() {
    if (this.enabledComputed && this.rendered) {
      this.focus();
    }
  }
  clone(model, options) {
    let clone = super.clone(model, options);
    this._deepCloneProperties(clone, 'menus', options);
    return clone;
  }
  exportToClipboard() {
    if (!this.displayText) {
      return;
    }
    let event = this.trigger('clipboardExport', {
      text: this.displayText
    });
    if (!event.defaultPrevented) {
      this._exportToClipboard(event.text);
    }
  }
  _exportToClipboard(text) {
    _index__WEBPACK_IMPORTED_MODULE_0__.clipboard.copyText({
      parent: this,
      text: text
    });
  }
  /**
   * Updates save needed state on parent field if the hierarchy changed, e.g. if the field was moved into another composite field.
   * Also handles the case where a field is not directly connected to a form field parent, but has a non-form-field in between
   * (e.g. FormFieldMenu has a Menu as parent -> if the menu is moved the state needs to be recomputed as well).
   */
  _watchFieldHierarchy(parent) {
    if (!this.initialized) {
      this.on('hierarchyChange', this._hierarchyChangeHandler);
    }
    parent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(parent, this.parent);
    // Each form field adds its own hierarchyChangeListener but non-form-fields don't -> add listener for every non-form field between this field and the next parent field
    let parentField = this._visitParentsUntilField(parent, parent => parent.on('hierarchyChange', this._hierarchyChangeHandler));
    parentField === null || parentField === void 0 || parentField.updateSaveNeeded(this);
  }
  _unwatchFieldHierarchy(oldParent) {
    oldParent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(oldParent, this.parent);
    let oldParentField = this._visitParentsUntilField(oldParent, parent => parent.off('hierarchyChange', this._hierarchyChangeHandler));
    oldParentField === null || oldParentField === void 0 || oldParentField.updateSaveNeeded();
  }
  _onHierarchyChange(event) {
    this._unwatchFieldHierarchy(event.oldParent);
    this._watchFieldHierarchy(event.parent);
  }
  _visitParentsUntilField(parent, visitor) {
    while (parent) {
      if (parent instanceof FormField) {
        return parent;
      }
      visitor(parent);
      parent = parent.parent;
    }
  }
}
_FormField = FormField;
_defineProperty(FormField, "FieldStyle", {
  CLASSIC: 'classic',
  ALTERNATIVE: 'alternative'
});
_defineProperty(FormField, "SuppressStatus", {
  /**
   * Suppress status on icon and field (CSS class).
   */
  ALL: 'all',
  /**
   * Suppress status on icon, but still show status on field (CSS class).
   */
  ICON: 'icon',
  /**
   * Suppress status on field (CSS class), but still show status as icon.
   */
  FIELD: 'field'
});
/** Global variable to make it easier to adjust the default field style for all fields */
_defineProperty(FormField, "DEFAULT_FIELD_STYLE", _FormField.FieldStyle.ALTERNATIVE);
_defineProperty(FormField, "StatusPosition", {
  DEFAULT: 'default',
  TOP: 'top'
});
_defineProperty(FormField, "LabelPosition", {
  DEFAULT: 0,
  LEFT: 1,
  ON_FIELD: 2,
  RIGHT: 3,
  TOP: 4,
  BOTTOM: 5
});
_defineProperty(FormField, "TooltipAnchor", {
  DEFAULT: 'default',
  ON_FIELD: 'onField'
});
_defineProperty(FormField, "LabelWidth", {
  DEFAULT: 0,
  UI: -1
});
// see org.eclipse.scout.rt.client.ui.form.fields.IFormField.FULL_WIDTH
_defineProperty(FormField, "FULL_WIDTH", 0);
_defineProperty(FormField, "Mode", {
  DEFAULT: 'default',
  CELLEDITOR: 'celleditor'
});
_defineProperty(FormField, "SEVERITY_CSS_CLASSES", 'has-error has-warning has-info has-ok');

/***/ }),

/***/ "./src/form/fields/FormFieldAdapter.ts":
/*!*********************************************!*\
  !*** ./src/form/fields/FormFieldAdapter.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldAdapter: () => (/* binding */ FormFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    /**
     * Set this property to true when the form-field should stay enabled in offline case.
     * By default, the field will be disabled.
     */
    _defineProperty(this, "enabledWhenOffline", void 0);
    _defineProperty(this, "_currentMenuTypes", void 0);
    this.enabledWhenOffline = false;
    this._currentMenuTypes = [];
  }
  _initProperties(model) {
    super._initProperties(model);
    this._currentMenuTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(model.currentMenuTypes);
    delete model.currentMenuTypes;
  }
  _syncCurrentMenuTypes(currentMenuTypes) {
    this._currentMenuTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(currentMenuTypes);
    this.widget._updateMenus();
  }
  _goOffline() {
    if (this.enabledWhenOffline) {
      return;
    }
    this._enabledBeforeOffline = this.widget.enabled;
    this.widget.setEnabled(false);
  }
  _goOnline() {
    if (this.enabledWhenOffline) {
      return;
    }
    this.widget.setEnabled(this._enabledBeforeOffline);
  }
  _onWidgetEvent(event) {
    if (event.type === 'drop' && this.widget.dragAndDropHandler) {
      this.widget.dragAndDropHandler.uploadFiles(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  /**
   * Static method to modify the prototype of FormField.
   */
  static modifyFormFieldPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.FormField, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.prototype.getCurrentMenuTypes, FormFieldAdapter.getCurrentMenuTypes, true);
  }
  static getCurrentMenuTypes() {
    let modelAdapter = this.modelAdapter;
    if (modelAdapter) {
      return modelAdapter._currentMenuTypes;
    }
    return this.getCurrentMenuTypesOrig();
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', FormFieldAdapter.modifyFormFieldPrototype);

/***/ }),

/***/ "./src/form/fields/FormFieldEventMap.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/FormFieldEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/FormFieldLayout.ts":
/*!********************************************!*\
  !*** ./src/form/fields/FormFieldLayout.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldLayout: () => (/* binding */ FormFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Form-Field Layout, for a form-field with label, status, mandatory-indicator and a field.
 * This layout class works with a FormField instance, since we must access properties of the model.
 * Note: we use optGet() here, since some form-fields have only a bare HTML element as field, other
 * (composite) form-fields work with a HtmlComponent which has its own LayoutManager.
 */
class FormFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(formField) {
    super();
    _defineProperty(this, "formField", void 0);
    _defineProperty(this, "mandatoryIndicatorWidth", void 0);
    _defineProperty(this, "statusWidth", void 0);
    _defineProperty(this, "rowHeight", void 0);
    _defineProperty(this, "compactFieldWidth", void 0);
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    this.formField = formField;
    this._initDefaults();
    this.htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this.htmlPropertyChangeHandler);
    this.formField.one('remove', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this.htmlPropertyChangeHandler);
    });
  }
  // Minimum field with to normal state, for smaller widths the "compact" style is applied.

  _initDefaults() {
    this.mandatoryIndicatorWidth = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldMandatoryIndicatorWidth;
    this.statusWidth = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldStatusWidth;
    this.rowHeight = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formRowHeight;
    this.compactFieldWidth = FormFieldLayout.COMPACT_FIELD_WIDTH;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this.formField.invalidateLayoutTree();
  }
  layout($container) {
    let labelHasFieldWidth,
      fieldBounds,
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      formField = this.formField,
      labelWidth = this.labelWidth(),
      statusWidth = this.statusWidth;
    // Note: Position coordinates start _inside_ the border, therefore we only use the padding
    let containerPadding = htmlContainer.insets({
      includeBorder: false
    });
    let top = containerPadding.top;
    let right = containerPadding.right;
    let bottom = containerPadding.bottom;
    let left = containerPadding.left;
    if (this._isLabelVisible()) {
      // currently a gui only flag, necessary for sequence box
      if (formField.labelWidthInPixel === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelWidth.UI || formField.labelUseUiWidth) {
        if (formField.$label.hasClass('empty')) {
          labelWidth = 0;
        } else {
          labelWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$label).width;
        }
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(formField.labelPosition, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.DEFAULT, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.LEFT)) {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(formField.$label, left, top, labelWidth, this.rowHeight);
        left += labelWidth + formField.$label.cssMarginX();
      } else if (formField.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP) {
        let labelHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$label).height;
        // prefSize rounds the value -> ensure label height is set to that value to prevent gaps between container and label.
        // In addition, this also ensures that the correct height is set when changing the label position from left to top
        formField.$label.cssHeight(labelHeight);
        top += labelHeight + formField.$label.cssMarginY();
        labelHasFieldWidth = true;
      }
    }
    if (formField.$mandatory && formField.$mandatory.isVisible()) {
      formField.$mandatory.cssTop(top).cssLeft(left).cssWidth(this.mandatoryIndicatorWidth);
      left += formField.$mandatory.outerWidth(true);
    }
    if (this._isStatusVisible()) {
      formField.$status.cssWidth(statusWidth);
      // If both status and label position is "top", pull status up (without margin on the right side)
      if (formField.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP && labelHasFieldWidth) {
        let statusHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$status, {
          useCssSize: true
        }).height;
        // Vertically center status with label
        let statusTop = containerPadding.top + formField.$label.cssPaddingTop() + formField.$label.height() / 2 - statusHeight / 2;
        formField.$status.cssTop(statusTop).cssRight(right + formField.$label.cssMarginRight()).cssHeight(statusHeight);
        // Add padding to label to prevent overlay of text and status icon
        let w = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(formField.$status, true).width;
        formField.$label.cssPaddingRight(w);
      } else {
        // Default status position
        formField.$status.cssTop(top).cssRight(right).cssHeight(this.rowHeight);
        right += statusWidth + formField.$status.cssMarginX();
      }
    }
    if (formField.$fieldContainer) {
      // Calculate the additional field offset (because of label, mandatory indicator etc.) without the containerInset.
      let fieldOffset = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(top - containerPadding.top, right - containerPadding.right, bottom - containerPadding.bottom, left - containerPadding.left);
      // Calculate field size: "available size" - "insets (border and padding)" - "additional offset" - "field's margin"
      let fieldMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(formField.$fieldContainer);
      let fieldSize = htmlContainer.availableSize({
        exact: true
      }).subtract(htmlContainer.insets()).subtract(fieldOffset).subtract(fieldMargins);
      fieldBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(left, top, fieldSize.width, fieldSize.height);
      if (formField.$fieldContainer.css('position') !== 'absolute') {
        fieldBounds.x = 0;
        fieldBounds.y = 0;
      }
      let htmlField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(formField.$fieldContainer);
      if (htmlField) {
        htmlField.setBounds(fieldBounds);
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(formField.$fieldContainer, fieldBounds);
      }
      if (this.compactFieldWidth > -1) {
        formField.$field.toggleClass('compact', fieldBounds.width <= this.compactFieldWidth);
        formField.$container.toggleClass('compact', fieldBounds.width <= this.compactFieldWidth);
      }
      if (labelHasFieldWidth) {
        let fieldWidth = fieldSize.add(fieldMargins).width - formField.$label.cssMarginX();
        if (formField.$mandatory && formField.$mandatory.isVisible()) {
          fieldWidth += formField.$mandatory.outerWidth(true);
        }
        formField.$label.cssWidth(fieldWidth);
      }
    }
    if (formField.$fieldContainer) {
      // Icons are placed inside the field (as overlay)
      let $iconInput = this._$elementForIconLayout();
      let fieldBorder = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.borders($iconInput);
      let inputBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($iconInput);
      top += fieldBorder.top;
      right += fieldBorder.right;
      fieldBounds.x += fieldBorder.left;
      fieldBounds.y += fieldBorder.top;
      fieldBounds.height = inputBounds.height - fieldBorder.top - fieldBorder.bottom;
      fieldBounds.width = inputBounds.width - fieldBorder.left - fieldBorder.right;
      if (formField.$icon) {
        this._layoutIcon(formField, fieldBounds, right, top);
      }
      // Clear icon if present
      if (formField.$clearIcon) {
        this._layoutClearIcon(formField, fieldBounds, right, top);
      }
    }
    // Check for scrollbars, update them if necessary
    if (formField.$field) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(formField.$field, true);
    }
    this._layoutDisabledCopyOverlay();
  }
  _layoutDisabledCopyOverlay() {
    if (this.formField.$field && this.formField.$disabledCopyOverlay) {
      let $overlay = this.formField.$disabledCopyOverlay;
      let $field = this.formField.$field;
      let pos = $field.position();
      let padding = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($field, {
        includePadding: true
      });
      // subtract scrollbars sizes from width and height so overlay does not block scrollbars
      // we read the size from the scrollbar from our device, because we already determined
      // it on startup. Only do this when element is scrollable.
      let elem = $field[0];
      let overflowX = $field.css('overflow-x');
      let overflowY = $field.css('overflow-y');
      let scrollHorizontal = overflowX === 'scroll' || overflowX === 'auto' && elem.scrollWidth - elem.clientWidth > 0;
      let scrollVertical = overflowY === 'scroll' || overflowY === 'auto' && elem.scrollHeight - elem.clientHeight > 0;
      let scrollbarSize = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().scrollbarWidth;
      $overlay.css('top', pos.top).css('left', pos.left).width($field.width() + padding.horizontal() - (scrollVertical ? scrollbarSize : 0)).height($field.height() + padding.vertical() - (scrollHorizontal ? scrollbarSize : 0));
    }
  }
  _isLabelVisible() {
    return !!this.formField.$label && this.formField.labelVisible;
  }
  _isStatusVisible() {
    return !!this.formField.$status && (this.formField.statusVisible || this.formField.$status.isVisible());
  }
  preferredLayoutSize($container, options) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.formField.$container);
    let formField = this.formField;
    let prefSizeLabel = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    let prefSizeMandatory = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    let prefSizeStatus = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    let prefSizeField = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    let widthHint = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.widthHint, 0);
    let heightHint = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.heightHint, 0);
    // Status is only pulled up if status AND label are on top
    let statusOnTop = formField.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP && this._isLabelVisible() && formField.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP;
    // Calculate the preferred sizes of the individual parts
    // Mandatory indicator
    if (formField.$mandatory && formField.$mandatory.isVisible()) {
      prefSizeMandatory.width = this.mandatoryIndicatorWidth + formField.$mandatory.cssMarginX();
      widthHint -= prefSizeMandatory.width;
    }
    // Label
    if (this._isLabelVisible()) {
      prefSizeLabel.width = this.labelWidth() + formField.$label.cssMarginX();
      prefSizeLabel.height = this.rowHeight;
      if (formField.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP) {
        // Label is always as width as the field if it is on top
        prefSizeLabel.width = 0;
        prefSizeLabel.height = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$label, true).height;
      } else if (formField.labelWidthInPixel === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelWidth.UI || formField.labelUseUiWidth) {
        if (formField.$label.hasClass('empty')) {
          prefSizeLabel.width = 0;
        } else {
          prefSizeLabel = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$label, true);
        }
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(formField.labelPosition, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.DEFAULT, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.LEFT)) {
        widthHint -= prefSizeLabel.width;
      } else if (formField.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP) {
        heightHint -= prefSizeLabel.height;
      }
    }
    // Status
    if (this._isStatusVisible()) {
      prefSizeStatus.width = this.statusWidth + formField.$status.cssMarginX();
      if (!statusOnTop) {
        prefSizeStatus.height = this.rowHeight;
        widthHint -= prefSizeStatus.width;
      }
    }
    // Field
    if (formField.$fieldContainer) {
      let fieldMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(formField.$fieldContainer);
      let htmlField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(formField.$fieldContainer);
      if (!htmlField) {
        widthHint -= fieldMargins.horizontal();
        heightHint -= fieldMargins.vertical();
      }
      if (options.widthHint) {
        options.widthHint = widthHint;
      }
      if (options.heightHint) {
        options.heightHint = heightHint;
      }
      if (htmlField) {
        prefSizeField = htmlField.prefSize(options).add(fieldMargins);
      } else {
        prefSizeField = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$fieldContainer, options).add(fieldMargins);
      }
    }
    // Now sum up to calculate the preferred size of the container
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    // Field is the base, and it should be at least as height as a form row height.
    prefSize.width = prefSizeField.width;
    prefSize.height = prefSizeField.height;
    // Mandatory
    prefSize.width += prefSizeMandatory.width;
    prefSize.height = Math.max(prefSize.height, prefSizeMandatory.height);
    // Label
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(formField.labelPosition, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.DEFAULT, _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.LEFT)) {
      prefSize.width += prefSizeLabel.width;
      prefSize.height = Math.max(prefSize.height, prefSizeLabel.height);
    } else if (formField.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP) {
      prefSize.width = Math.max(prefSize.width, prefSizeLabel.width);
      prefSize.height += prefSizeLabel.height;
    }
    // Status
    if (!statusOnTop) {
      prefSize.width += prefSizeStatus.width;
      prefSize.height = Math.max(prefSize.height, prefSizeStatus.height);
    }
    // Add padding and border
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
  /**
   * @returns the input element used to position the icon. May be overridden if another element than $field should be used.
   */
  _$elementForIconLayout() {
    return this.formField.$field;
  }
  _layoutIcon(formField, fieldBounds, right, top) {
    let height = this.rowHeight;
    if (fieldBounds) {
      // If field is bigger than rowHeight (e.g. if used in desktop cell editor), make sure icon is as height as field
      height = fieldBounds.height;
    }
    formField.$icon.cssRight(right).cssTop(fieldBounds.y).cssHeight(height);
  }
  _layoutClearIcon(formField, fieldBounds, right, top) {
    let height = this.rowHeight;
    if (fieldBounds) {
      // If field is bigger than rowHeight (e.g. if used in desktop cell editor), make sure icon is as height as field
      height = fieldBounds.height;
    }
    if (formField instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BasicField && formField.gridData.horizontalAlignment > 0) {
      formField.$clearIcon.cssLeft(fieldBounds.x).cssRight('').cssTop(fieldBounds.y).cssHeight(height);
    } else {
      formField.$clearIcon.cssLeft('').cssRight(right).cssTop(fieldBounds.y).cssHeight(height);
    }
  }
  labelWidth() {
    // use configured label width in pixel or default label width
    if (_index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelWidth.DEFAULT === this.formField.labelWidthInPixel) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldLabelWidth;
    }
    return this.formField.labelWidthInPixel;
  }
}
_defineProperty(FormFieldLayout, "COMPACT_FIELD_WIDTH", 61);

/***/ }),

/***/ "./src/form/fields/FormFieldModel.ts":
/*!*******************************************!*\
  !*** ./src/form/fields/FormFieldModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/FormFieldValidationResultProvider.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/FormFieldValidationResultProvider.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldValidationResultProvider: () => (/* binding */ FormFieldValidationResultProvider)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../.. */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldValidationResultProvider {
  constructor() {
    _defineProperty(this, "field", void 0);
    _defineProperty(this, "objectType", void 0);
  }
  init(model) {
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(model, 'field');
    $.extend(this, model);
  }
  provide(errorStatus) {
    const validByErrorStatus = !errorStatus || errorStatus.isValid();
    const validByMandatory = !this.field.mandatory || !this.field.empty;
    const valid = validByErrorStatus && validByMandatory;
    return {
      valid,
      validByMandatory,
      errorStatus,
      field: this.field,
      label: this.field.label,
      reveal: () => {
        ___WEBPACK_IMPORTED_MODULE_0__.fields.selectAllParentTabsOf(this.field);
        this.field.focus();
      }
    };
  }
}

/***/ }),

/***/ "./src/form/fields/LookupBox.ts":
/*!**************************************!*\
  !*** ./src/form/fields/LookupBox.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupBox: () => (/* binding */ LookupBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LookupBox extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "filterBox", void 0);
    _defineProperty(this, "lookupCall", void 0);
    _defineProperty(this, "codeType", void 0);
    _defineProperty(this, "lookupStatus", void 0);
    _defineProperty(this, "_currentLookupCall", void 0);
    _defineProperty(this, "_lookupExecuted", void 0);
    /** true when value is either syncing to table or table to value */
    _defineProperty(this, "_valueSyncing", void 0);
    this.filterBox = null;
    this.gridDataHints.weightY = 1.0;
    this.gridDataHints.h = 2;
    this.value = [];
    this.clearable = _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.NEVER;
    this.lookupCall = null;
    this._currentLookupCall = null;
    this._lookupExecuted = false;
    this._valueSyncing = false;
    this._addCloneProperties(['lookupCall']);
  }
  _init(model) {
    super._init(model);
    if (this.filterBox) {
      this.filterBox.enabledComputed = true; // filter is always enabled
      this.filterBox.recomputeEnabled(true);
      this.filterBox.on('propertyChange', this._onFilterBoxPropertyChange.bind(this));
    }
  }
  _initValue(value) {
    if (this.lookupCall) {
      this._setLookupCall(this.lookupCall);
    }
    this._setCodeType(this.codeType);
    this._initStructure(value);
    super._initValue(value);
  }
  _render() {
    this.addContainer(this.$parent, 'lookup-box');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    this.addFieldContainer(this.$parent.makeDiv());
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$fieldContainer, this.session);
    htmlComp.setLayout(this._createFieldContainerLayout());
    this._ensureLookupCallExecuted();
    this._renderStructure();
    this.$field.addDeviceClass();
    this.$field.addClass('structure');
    this._renderFilterBox();
    this.$container.css('--inactive-lookup-row-suffix-text', `'${this.session.text('InactiveState')}'`);
  }
  _renderFilterBox() {
    if (!this.filterBox || !this.filterBox.visible) {
      return;
    }
    this.filterBox.render(this.$fieldContainer);
  }
  _ensureValue(value) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(value);
  }
  _lookupByAll() {
    if (!this.lookupCall) {
      return;
    }
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this._executeLookup(this.lookupCall.cloneForAll(), true).done(result => {
      this._lookupByAllDone(result);
      deferred.resolve(result);
    });
    return deferred.promise();
  }
  _executeLookup(lookupCall, abortExisting) {
    this.setLoading(true);
    if (abortExisting && this._currentLookupCall) {
      this._currentLookupCall.abort();
    }
    this._currentLookupCall = lookupCall;
    this.trigger('prepareLookupCall', {
      lookupCall: lookupCall
    });
    return lookupCall.execute().always(() => {
      this._currentLookupCall = null;
      this._lookupExecuted = true;
      this.setLoading(false);
      this._clearLookupStatus();
    });
  }
  _lookupByAllDone(result) {
    try {
      if (result.exception) {
        // Oops! Something went wrong while the lookup has been processed.
        this.setLookupStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.warning({
          message: result.exception
        }));
      }
    } finally {
      this.trigger('lookupCallDone', {
        result: result
      });
    }
  }
  _errorStatus() {
    return this.lookupStatus || this.errorStatus;
  }
  setLookupStatus(lookupStatus) {
    this.setProperty('lookupStatus', lookupStatus);
    if (this.rendered) {
      this._renderErrorStatus();
    }
  }
  clearErrorStatus() {
    this.setErrorStatus(null);
    this._clearLookupStatus();
  }
  _clearLookupStatus() {
    this.setLookupStatus(null);
  }
  /** @see LookupBoxModel.lookupCall */
  setLookupCall(lookupCall) {
    this.setProperty('lookupCall', lookupCall);
  }
  _setLookupCall(lookupCall) {
    this._setProperty('lookupCall', _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(lookupCall, this.session));
    this._lookupExecuted = false;
    if (this.rendered) {
      this._ensureLookupCallExecuted();
    }
  }
  /** @see LookupBoxModel.codeType */
  setCodeType(codeType) {
    this.setProperty('codeType', codeType);
  }
  _setCodeType(codeType) {
    this._setProperty('codeType', codeType);
    if (!codeType) {
      return;
    }
    let lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CodeLookupCall, {
      session: this.session,
      codeType: codeType
    });
    this.setLookupCall(lookupCall);
  }
  refreshLookup() {
    this._lookupExecuted = false;
    this._ensureLookupCallExecuted();
  }
  /**
   * @returns true if a lookup call execution has been scheduled now. false otherwise.
   */
  _ensureLookupCallExecuted() {
    if (this._lookupExecuted) {
      return false;
    }
    this._lookupByAll();
    return true;
  }
  _formatValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return '';
    }
    return this._formatLookupRows(this.getCheckedLookupRows());
  }
  _formatLookupRows(lookupRows) {
    lookupRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(lookupRows);
    if (lookupRows.length === 0) {
      return '';
    }
    let formatted = [];
    lookupRows.forEach(row => formatted.push(row.text));
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(', ', ...formatted);
  }
  _clear() {
    this.setValue(null);
  }
  _onFilterBoxPropertyChange(event) {
    if (event.propertyName === 'visible') {
      if (!this.rendered) {
        return;
      }
      if (this.filterBox.visible) {
        this._renderFilterBox();
      } else {
        this.filterBox.remove();
      }
    }
  }
}
_defineProperty(LookupBox, "ErrorCode", {
  NO_DATA: 1
});

/***/ }),

/***/ "./src/form/fields/LookupBoxEventMap.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/LookupBoxEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/LookupBoxLayout.ts":
/*!********************************************!*\
  !*** ./src/form/fields/LookupBoxLayout.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupBoxLayout: () => (/* binding */ LookupBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LookupBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(box, structure, filterBox) {
    super();
    _defineProperty(this, "box", void 0);
    _defineProperty(this, "structure", void 0);
    _defineProperty(this, "filterBox", void 0);
    this.box = box;
    this.structure = structure;
    this.filterBox = filterBox;
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      size = htmlContainer.size(),
      height = size.height,
      filterBoxHeight;
    if (this.filterBox && this.filterBox.rendered) {
      filterBoxHeight = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.filterBox.$container).prefSize().height;
      height -= filterBoxHeight;
    }
    height = Math.max(height, 20);
    let htmlStructure = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.structure.$container);
    htmlStructure.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(size.width, height));
    if (this.filterBox && this.filterBox.rendered) {
      let htmlFilterBox = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.filterBox.$container);
      htmlFilterBox.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(size.width, filterBoxHeight));
    }
  }
  preferredLayoutSize($container, options) {
    options = options || {};
    let prefSizeStructure,
      width = 0,
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      height = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formRowHeight,
      box = this.box;
    // HeightHint not supported
    options.heightHint = null;
    if (box.$label && box.labelVisible) {
      width += _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldLabelWidth;
    }
    if (box.$mandatory && box.$mandatory.isVisible()) {
      width += box.$mandatory.outerWidth(true);
    }
    if (box.$status && box.statusVisible) {
      width += box.$status.outerWidth(true);
    }
    // size of table and size of filterBox
    let structureContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(this.structure.$container);
    if (structureContainer) {
      prefSizeStructure = structureContainer.prefSize(options).add(htmlContainer.insets()).add(structureContainer.margins());
    } else {
      prefSizeStructure = this.naturalSize(box);
    }
    let prefSizeFilterBox = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    if (this.filterBox) {
      let filterContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(this.filterBox.$container);
      if (filterContainer) {
        prefSizeFilterBox = filterContainer.prefSize(options).add(htmlContainer.insets()).add(filterContainer.margins());
      }
    }
    width += Math.max(prefSizeStructure.width, prefSizeFilterBox.width);
    height = Math.max(height, prefSizeStructure.height + prefSizeFilterBox.height);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(width, height);
  }
  naturalSize(formField) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(formField.$fieldContainer.width(), formField.$fieldContainer.height());
  }
}

/***/ }),

/***/ "./src/form/fields/LookupBoxModel.ts":
/*!*******************************************!*\
  !*** ./src/form/fields/LookupBoxModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/SelectAllTextInFieldKeyStroke.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/SelectAllTextInFieldKeyStroke.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SelectAllTextInFieldKeyStroke: () => (/* binding */ SelectAllTextInFieldKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Selects all text in the field when pressing ctrl-a rather than selecting all text of the document.
 */
class SelectAllTextInFieldKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(widget) {
    super();
    this.field = widget;
    this.ctrl = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.A];
    this.stopPropagation = true;
  }
  handle(event) {
    let widget = this.field;
    let selection = widget.$container.window(true).getSelection();
    let rangeCount = selection.rangeCount;
    if (rangeCount !== 1) {
      return;
    }
    let range = selection.getRangeAt(0);
    let ancestor = range.commonAncestorContainer;
    if (widget.$label.isOrHas(ancestor)) {
      // If the cursor is in the label, only select the label
      widget.$label.selectAllText();
    } else if (widget.$field.isOrHas(ancestor)) {
      // If the cursor is in the field, only select the field
      widget.$field.selectAllText();
    } else {
      // Select label and field if the selection intersects with both elements
      widget.$container.selectAllText();
    }
  }
}

/***/ }),

/***/ "./src/form/fields/StatusMenuMapping.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/StatusMenuMapping.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StatusMenuMapping: () => (/* binding */ StatusMenuMapping)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StatusMenuMapping extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "codes", void 0);
    _defineProperty(this, "severities", void 0);
    _defineProperty(this, "menu", void 0);
    this.codes = [];
    this.severities = [];
    this.menu = null;
    this._addWidgetProperties(['menu']);
  }
  /** @internal */
  _createChild(model) {
    if (typeof model === 'string') {
      // If the model is a string it is probably the id of the menu.
      // Menus are defined by the parent (form field) -> search the parent's children for the menu
      let existingWidget = this.parent.widget(model);
      if (!existingWidget) {
        throw new Error('Referenced widget not found: ' + model);
      }
      return existingWidget;
    }
    return super._createChild(model);
  }
}

/***/ }),

/***/ "./src/form/fields/StatusMenuMappingAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/StatusMenuMappingAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StatusMenuMappingAdapter: () => (/* binding */ StatusMenuMappingAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StatusMenuMappingAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/form/fields/StatusMenuMappingModel.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/StatusMenuMappingModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/ValueField.ts":
/*!***************************************!*\
  !*** ./src/form/fields/ValueField.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ValueField: () => (/* binding */ ValueField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ValueField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "clearable", void 0);
    _defineProperty(this, "formatter", void 0);
    _defineProperty(this, "hasText", void 0);
    /**
     * The initial value is used to determine whether the field needs to be saved (see {@link computeSaveNeeded}) and is used to reset the value when {@link ValueField.resetValue} is called.
     * It will be set to the {@link value} during initialization of the field and whenever {@link markAsSaved} is called.
     */
    _defineProperty(this, "initialValue", void 0);
    _defineProperty(this, "invalidValueMessageKey", void 0);
    _defineProperty(this, "parser", void 0);
    _defineProperty(this, "value", void 0);
    _defineProperty(this, "validators", void 0);
    _defineProperty(this, "_updateDisplayTextPending", void 0);
    this.defaultMenuTypes = [...this.defaultMenuTypes, ValueField.MenuType.NotNull, ValueField.MenuType.Null];
    this.clearable = ValueField.Clearable.FOCUSED;
    this.displayText = null;
    this.formatter = this._formatValue.bind(this);
    this.hasText = false;
    this.initialValue = null;
    this.invalidValueMessageKey = 'InvalidValueMessageX';
    this.parser = this._parseValue.bind(this);
    this.value = null;
    this.validators = [];
    this.validators.push(this._validateValue.bind(this));
    this._updateDisplayTextPending = false;
    this.$clearIcon = null;
    this._addCloneProperties(['value', 'displayText', 'clearable']);
  }
  _init(model) {
    super._init(model);
    if (model.validator) {
      // Validators are kept in a list, allow a single validator to be set in the model, similar to parser and formatter.
      // setValidator will add the new validator to this.validators and remove the other ones.
      this.setValidator(model.validator);
      delete model.validator;
    }
    this._initValue(this.value);
    this.initialValue = this.value;
  }
  /**
   * Override this method if you need to influence the value initialization (e.g. do something before the value is initially set)
   */
  _initValue(value) {
    // Delete value first, value may be invalid and must not be set
    this.value = null;
    this._setValue(value);
    this._updateEmpty();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderDisplayText();
    this._renderClearable();
    this._renderHasText();
  }
  _remove() {
    super._remove();
    this.$clearIcon = null;
  }
  /**
   * The default impl. is a NOP, because not every ValueField has a sensible display text.
   */
  _renderDisplayText() {
    this._updateHasText();
  }
  /**
   * The default impl. returns this.displayText or empty string if displayText is null.
   */
  _readDisplayText() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.displayText, '');
  }
  _onClearIconMouseDown(event) {
    this.clear();
    event.preventDefault();
  }
  _onFieldBlur(event) {
    super._onFieldBlur(event);
    this.acceptInput(false);
  }
  /**
   * Accepts the current input and writes it to the model.
   *
   * This method is typically called by the {@link _onFieldBlur} function of the field, but may actually be called from anywhere (e.g. button, actions, cell editor, etc.).
   * It is also called by the {@link aboutToBlurByMouseDown} function, which is required because our Ok- and Cancel-buttons are not focusable (thus {@link _onFieldBlur} is
   * never called) but changes in the value-field must be sent to the server anyway when a button is clicked.
   *
   * The default reads the display text using {@link _readDisplayText} and writes it to the model by calling {@link _triggerAcceptInput}.
   * If subclasses don't have a display-text or want to write another state to the server, they may override this method.
   */
  acceptInput(whileTyping) {
    whileTyping = !!whileTyping; // cast to boolean
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._readDisplayText(), '');
    // trigger only if displayText has really changed
    if (this._checkDisplayTextChanged(displayText, whileTyping)) {
      // Don't call setDisplayText() to prevent re-rendering of display text (which is unnecessary and
      // might change the cursor position). Don't call _callSetProperty() as well, as this eventually
      // executes this._setDisplayText(), which updates the value.
      this._setProperty('displayText', displayText);
      if (!whileTyping) {
        this.parseAndSetValue(displayText);
      }
      // Display text may be formatted -> Use this.displayText
      this._triggerAcceptInput(whileTyping);
    }
  }
  parseAndSetValue(displayText) {
    this.removeErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus);
    try {
      let event = this.trigger('parse', {
        displayText: displayText
      });
      if (!event.defaultPrevented) {
        let parsedValue = this.parseValue(displayText);
        this.setValue(parsedValue);
      }
    } catch (error) {
      this._parsingFailed(displayText, error);
    }
  }
  _parsingFailed(displayText, error) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Parsing failed for field with id ' + this.id, error);
    let event = this.trigger('parseError', {
      displayText: displayText,
      error: error
    });
    if (!event.defaultPrevented) {
      this._addParsingFailedErrorStatus(displayText, error);
    }
  }
  _addParsingFailedErrorStatus(displayText, error) {
    let status = this._createParsingFailedStatus(displayText, error);
    this.addErrorStatus(status);
  }
  _createParsingFailedStatus(displayText, error) {
    return this._createInvalidValueStatus('ParsingFailedStatus', displayText, error);
  }
  /**
   * Replaces the existing parser. The parser is called during {@link parseValue}.
   *
   * Remember calling the default parser passed as parameter to the parse function, if needed.
   * @param parser the new parser. If null, the default parser is used.
   *
   * @see ValueFieldModel.parser
   */
  setParser(parser) {
    this.setProperty('parser', parser);
    if (this.initialized) {
      this.parseAndSetValue(this.displayText);
    }
  }
  _setParser(parser) {
    if (!parser) {
      parser = this._parseValue.bind(this);
    }
    this._setProperty('parser', parser);
  }
  /**
   * @returns the parsed value
   * @throws a message, a {@link Status} or an error if the parsing fails
   */
  parseValue(displayText) {
    let defaultParser = this._parseValue.bind(this);
    return this.parser(displayText, defaultParser);
  }
  /**
   * @throws a message, a {@link Status} or an error if the parsing fails
   */
  _parseValue(displayText) {
    return displayText;
  }
  _checkDisplayTextChanged(displayText, whileTyping) {
    let oldDisplayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.displayText, '');
    return displayText !== oldDisplayText;
  }
  /**
   * Method invoked upon a mousedown click with this field as the currently focused control, and is invoked just before the mousedown click will be interpreted.
   * However, the mousedown target must not be this control, but any other control instead.
   *
   * The default implementation checks, whether the click occurred outside this control, and if so invokes 'ValueField.acceptInput'.
   *
   * @param target
   *        the DOM target where the mouse down event occurred.
   */
  aboutToBlurByMouseDown(target) {
    let eventOnField = this.isFocusOnField(target);
    if (!eventOnField) {
      this.acceptInput(); // event outside this value field.
    }
  }
  isFocused() {
    return this.rendered && _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(this.$field);
  }
  isFocusOnField(target) {
    return this.$field.isOrHas(target) || this.$clearIcon && this.$clearIcon.isOrHas(target);
  }
  /** @internal */
  _triggerAcceptInput(whileTyping) {
    let event = {
      displayText: this.displayText,
      whileTyping: !!whileTyping
    };
    this.trigger('acceptInput', event);
  }
  /** @see ValueFieldModel.displayText */
  setDisplayText(displayText) {
    this.setProperty('displayText', displayText);
  }
  _updateHasText() {
    this.setHasText(_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this._readDisplayText()));
  }
  setHasText(hasText) {
    this.setProperty('hasText', hasText);
  }
  _renderHasText() {
    if (this.$field) {
      this.$field.toggleClass('has-text', this.hasText);
    }
    this.$container.toggleClass('has-text', this.hasText);
  }
  /** @see ValueFieldModel.clearable */
  setClearable(clearableStyle) {
    this.setProperty('clearable', clearableStyle);
  }
  _renderClearable() {
    if (this.isClearable()) {
      if (!this.$clearIcon) {
        this.addClearIcon();
      }
    } else {
      if (this.$clearIcon) {
        this.$clearIcon.remove();
        this.$clearIcon = null;
      }
    }
    this.invalidateLayoutTree(false);
    this._updateClearableStyles();
  }
  _updateClearableStyles() {
    this.$container.removeClass('clearable-always clearable-focused');
    if (this.isClearable()) {
      if (this.clearable === ValueField.Clearable.ALWAYS) {
        this.$container.addClass('clearable-always');
      } else if (this.clearable === ValueField.Clearable.FOCUSED) {
        this.$container.addClass('clearable-focused');
      }
    }
  }
  isClearable() {
    return this.clearable === ValueField.Clearable.ALWAYS || this.clearable === ValueField.Clearable.FOCUSED;
  }
  /**
   * Clears the display text and the value to null.
   */
  clear() {
    this._clear();
    this._updateHasText();
    this.acceptInput();
    this._triggerClear();
  }
  _clear() {
    // to be implemented by subclasses
  }
  _triggerClear() {
    this.trigger('clear');
  }
  /** @see ValueFieldModel.value */
  setValue(value) {
    // Same code as in Widget#setProperty expect for the equals check
    // -> _setValue has to be called even if the value is equal so that update display text will be executed
    value = this._prepareProperty('value', value);
    if (this.rendered) {
      this._callRemoveProperty('value');
    }
    this._callSetProperty('value', value);
    if (this.rendered) {
      this._callRenderProperty('value');
    }
  }
  /**
   * Resets the value to its initial value.
   */
  resetValue() {
    this.setValue(this.initialValue);
  }
  /**
   * Default does nothing because the value field does not know which type the concrete field uses.
   * May be overridden to cast the value to the required type.
   * @returns the value with the correct type.
   */
  _ensureValue(value) {
    return value;
  }
  _setValue(value) {
    // When widget is initialized with a given errorStatus and a value -> don't remove the error
    // status. This is a typical case for Scout Classic: field has a ParsingFailedError and user
    // hits reload.
    if (this.initialized) {
      this.removeErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus);
      this.removeErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ValidationFailedStatus);
    }
    let oldValue = this.value;
    let typedValue = null;
    try {
      typedValue = this._ensureValue(value);
    } catch (conversionError) {
      this._ensureValueFailed(value, conversionError);
      return;
    }
    try {
      this.value = this.validateValue(typedValue);
    } catch (error) {
      this._validationFailed(typedValue, error);
      return;
    }
    this._updateDisplayText();
    if (this._valueEquals(oldValue, this.value)) {
      return;
    }
    this._valueChanged();
    this._updateMenus();
    this._updateEmpty();
    this.updateSaveNeeded();
    this.triggerPropertyChange('value', oldValue, this.value);
  }
  _valueEquals(valueA, valueB) {
    if (Array.isArray(valueA) && Array.isArray(valueB)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(valueA, valueB);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(valueA, valueB);
  }
  /**
   * Is called after a value is changed. May be implemented by subclasses. The default does nothing.
   */
  _valueChanged() {
    // NOP
  }
  _getCurrentMenuTypes() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.value)) {
      return [...super._getCurrentMenuTypes(), ValueField.MenuType.Null];
    }
    return [...super._getCurrentMenuTypes(), ValueField.MenuType.NotNull];
  }
  /**
   * Validates the value by executing the validators. If a new value is the result, it will be set.
   */
  validate() {
    this._setValue(this.value);
  }
  /**
   * @param validator the validator to be added.
   *     A validator is a function that accepts a raw value and either returns the validated value or
   *     throws an Error, a Status or an error message (string) if the value is invalid.
   * @param revalidate True, to revalidate the value, false to just add the validator and do nothing else. Default is true.
   */
  addValidator(validator, revalidate) {
    let validators = this.validators.slice();
    validators.push(validator);
    this.setValidators(validators, revalidate);
  }
  /**
   * @param validator the validator to be removed
   * @param revalidate True, to revalidate the value, false to just remove the validator and do nothing else. Default is true.
   */
  removeValidator(validator, revalidate) {
    let validators = this.validators.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(validators, validator);
    this.setValidators(validators, revalidate);
  }
  /**
   * Replaces all existing validators with the given one. If you want to add multiple validators, use {@link #addValidator}.
   * <p>
   * Remember calling the default validator which is passed as parameter to the validate function, if needed.
   *
   * @param validator the new validator which replaces every other. If null, the default validator is used.
   *     A validator is a function that accepts a raw value and either returns the validated value or
   *     throws an Error, a Status or an error message (string) if the value is invalid.
   */
  setValidator(validator, revalidate) {
    if (!validator) {
      validator = this._validateValue.bind(this);
    }
    let validators = [];
    if (validator) {
      validators = [validator];
    }
    this.setValidators(validators, revalidate);
  }
  setValidators(validators, revalidate) {
    this.setProperty('validators', validators);
    if (this.initialized && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(revalidate, true)) {
      this.validate();
    }
  }
  /**
   * @param the value to be validated
   * @returns the validated value
   * @throws a message, a {@link Status} or an error if the validation fails
   */
  validateValue(value) {
    let defaultValidator = this._validateValue.bind(this);
    this.validators.forEach(validator => {
      value = validator(value, defaultValidator);
    });
    value = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, null); // Ensure value is never undefined (necessary for updateSaveNeeded and should make it easier generally)
    return value;
  }
  /**
   * @returns the validated value
   * @throws a message, a {@link Status} or an error if the validation fails
   */
  _validateValue(value) {
    if (typeof value === 'string' && value === '') {
      // Convert empty string to null.
      // Not using strings.nullIfEmpty is by purpose because it also removes white space characters which may not be desired here
      value = null;
    }
    return value;
  }
  _validationFailed(value, error) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Validation failed for field with id ' + this.id, error);
    let status = this._createValidationFailedStatus(value, error);
    this.addErrorStatus(status);
    this._updateDisplayText(value);
  }
  _ensureValueFailed(value, error) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('EnsureValue failed for field with id ' + this.id, error);
    let status = this._createValidationFailedStatus(value, error);
    this.addErrorStatus(status);
    this.setDisplayText(this._formatRawValue(value));
  }
  _formatRawValue(value) {
    return value + '';
  }
  _createValidationFailedStatus(value, error) {
    return this._createInvalidValueStatus('ValidationFailedStatus', value, error);
  }
  _createInvalidValueStatus(statusType, value, error) {
    let statusFunc = _index__WEBPACK_IMPORTED_MODULE_0__.Status.classForName(statusType);
    // type of status is correct
    if (error instanceof statusFunc) {
      return error;
    }
    let message,
      severity = _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR;
    if (error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Status) {
      // it's a Status, but it has the wrong specific type
      message = error.message;
      severity = error.severity;
    } else if (typeof error === 'string') {
      // convert string to status
      message = error;
    } else {
      // create status with default message
      message = this.session.text(this.invalidValueMessageKey, value);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(statusType, {
      message: message,
      severity: severity
    });
  }
  _updateDisplayText(value) {
    if (!this.initialized && !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.displayText)) {
      // If a displayText is provided initially, use that text instead of using formatValue to generate a text based on the value
      return;
    }
    value = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, this.value);
    let returned = this.formatValue(value);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isPromise(returned)) {
      this._updateDisplayTextPending = true;
      // Promise is returned -> set display text later
      returned.done(text => this.setDisplayText(text)).fail(() => {
        // If display text was updated in the meantime, don't override the text with an empty string
        if (this._updateDisplayTextPending) {
          this.setDisplayText('');
        }
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Could not resolve display text for value: ' + value);
      }).always(() => {
        this._updateDisplayTextPending = false;
      });
    } else {
      this.setDisplayText(returned);
      this._updateDisplayTextPending = false;
    }
  }
  /**
   * Replaces the existing formatter. The formatter is called during {@link formatValue}.
   *
   * Remember calling the default formatter which is passed as parameter to the format function, if needed.
   * @param formatter the new formatter. If null, the default formatter is used.
   *
   * @see ValueFieldModel.formatter
   */
  setFormatter(formatter) {
    this.setProperty('formatter', formatter);
    if (this.initialized) {
      this.validate();
    }
  }
  _setFormatter(formatter) {
    if (!formatter) {
      formatter = this._formatValue.bind(this);
    }
    this._setProperty('formatter', formatter);
  }
  /**
   * @returns the formatted display text
   */
  formatValue(value) {
    let defaultFormatter = this._formatValue.bind(this);
    return this.formatter(value, defaultFormatter);
  }
  _formatValue(value) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, '') + '';
  }
  computeSaveNeeded() {
    if (this._hasValueChanged()) {
      return true;
    }
    return super.computeSaveNeeded();
  }
  _hasValueChanged() {
    return !this._valueEquals(this.value, this.initialValue);
  }
  addClearIcon($parent) {
    if (!$parent) {
      $parent = this.$container;
    }
    this.$clearIcon = $parent.appendSpan('clear-icon unfocusable text-field-icon action').on('mousedown', this._onClearIconMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$clearIcon, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$clearIcon, this.session.text('ui.ClearField'));
  }
  addContainer($parent, cssClass, layout) {
    super.addContainer($parent, cssClass, layout);
    this.$container.addClass('value-field');
  }
  addField($field) {
    super.addField($field);
    this.$field.data('valuefield', this);
  }
  _markAsSaved() {
    super._markAsSaved();
    this.initialValue = this.value;
  }
  /**
   * @returns true if the value is null or undefined. Also returns true if the value is an array and the array is empty.
   */
  _computeEmpty() {
    return this.value === null || this.value === undefined || Array.isArray(this.value) && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.value);
  }
  // ==== static helper methods ==== //
  /**
   * Invokes 'ValueField.aboutToBlurByMouseDown' on the currently active value field.
   * This method has no effect if another element is the focus owner.
   */
  static invokeValueFieldAboutToBlurByMouseDown(target) {
    let activeValueField = this._getActiveValueField(target);
    if (activeValueField) {
      activeValueField.aboutToBlurByMouseDown(target);
    }
  }
  /**
   * Invokes 'ValueField.acceptInput' on the currently active value field.
   * This method has no effect if another element is the focus owner.
   */
  static invokeValueFieldAcceptInput(target) {
    let activeValueField = this._getActiveValueField(target);
    if (activeValueField) {
      activeValueField.acceptInput();
    }
  }
  /**
   * Returns the currently active value field, or null if another element is active.
   * Also, if no value field currently owns the focus, its parent is checked to be a value field and is returned accordingly.
   * That is used in DateField.js with multiple input elements.
   */
  static _getActiveValueField(target) {
    let $activeElement = jquery__WEBPACK_IMPORTED_MODULE_1___default()(target).activeElement(),
      activeWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget($activeElement);
    if (activeWidget instanceof ValueField) {
      return activeWidget.enabledComputed ? activeWidget : null;
    }
    const parent = activeWidget && activeWidget.findParent(parent => parent instanceof ValueField);
    return parent && parent.enabledComputed ? parent : null;
  }
}
_defineProperty(ValueField, "Clearable", {
  /**
   * The clear icon is showed when the field has text.
   */
  ALWAYS: 'always',
  /**
   * The clear icon will be showed when the field is focused and has text.
   */
  FOCUSED: 'focused',
  /**
   * Never show the clear icon.
   */
  NEVER: 'never'
});
_defineProperty(ValueField, "MenuType", {
  Null: 'ValueField.Null',
  NotNull: 'ValueField.NotNull'
});

/***/ }),

/***/ "./src/form/fields/ValueFieldAdapter.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/ValueFieldAdapter.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ValueFieldAdapter: () => (/* binding */ ValueFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ValueFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  _onWidgetAcceptInput(event) {
    this._send('acceptInput', {
      displayText: event.displayText,
      whileTyping: event.whileTyping
    }, {
      showBusyIndicator: !event.whileTyping,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type && this.whileTyping === previous.whileTyping;
      }
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'acceptInput') {
      this._onWidgetAcceptInput(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  exportAdapterData(adapterData) {
    adapterData = super.exportAdapterData(adapterData);
    delete adapterData.displayText;
    return adapterData;
  }
  _syncDisplayText(displayText) {
    this.widget.setDisplayText(displayText);
    this.widget.parseAndSetValue(displayText);
  }
}

/***/ }),

/***/ "./src/form/fields/ValueFieldEventMap.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/ValueFieldEventMap.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/ValueFieldModel.ts":
/*!********************************************!*\
  !*** ./src/form/fields/ValueFieldModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/WidgetField.ts":
/*!****************************************!*\
  !*** ./src/form/fields/WidgetField.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetField: () => (/* binding */ WidgetField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "fieldWidget", void 0);
    this.scrollable = true;
    this.fieldWidget = null;
    this._addWidgetProperties(['fieldWidget']);
  }
  _init(model) {
    super._init(model);
  }
  _render() {
    this.addContainer(this.$parent, 'widget-field', new _index__WEBPACK_IMPORTED_MODULE_0__.WidgetFieldLayout(this));
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderFieldWidget();
    this._renderScrollable();
  }
  setFieldWidget(fieldWidget) {
    this.setProperty('fieldWidget', fieldWidget);
  }
  _renderFieldWidget() {
    if (!this.fieldWidget) {
      return;
    }
    this.fieldWidget.render();
    this.addField(this.fieldWidget.$container);
    this.invalidateLayoutTree();
  }
  _removeFieldWidget() {
    if (!this.fieldWidget) {
      return;
    }
    this.fieldWidget.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    this._uninstallScrollbars();
    if (this.scrollable) {
      this._installScrollbars();
    }
  }
  get$Scrollable() {
    return this.$fieldContainer;
  }
}

/***/ }),

/***/ "./src/form/fields/WidgetFieldAdapter.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/WidgetFieldAdapter.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetFieldAdapter: () => (/* binding */ WidgetFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/WidgetFieldEventMap.ts":
/*!************************************************!*\
  !*** ./src/form/fields/WidgetFieldEventMap.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/WidgetFieldLayout.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/WidgetFieldLayout.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetFieldLayout: () => (/* binding */ WidgetFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(formField) {
    super(formField);
  }
  layout($container) {
    super.layout($container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.formField.$fieldContainer);
  }
}

/***/ }),

/***/ "./src/form/fields/WidgetFieldModel.ts":
/*!*********************************************!*\
  !*** ./src/form/fields/WidgetFieldModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/accordionfield/AccordionField.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/accordionfield/AccordionField.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionField: () => (/* binding */ AccordionField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AccordionField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "accordion", void 0);
    _defineProperty(this, "eventDelegator", void 0);
    this.accordion = null;
    this.eventDelegator = null;
    this._addWidgetProperties(['accordion']);
  }
  _init(model) {
    super._init(model);
    this._setAccordion(this.accordion);
  }
  _createLoadingSupport() {
    // Loading is delegated to accordion
    return null;
  }
  _render() {
    this.addContainer(this.$parent, 'accordion-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    if (this.accordion) {
      this._renderAccordion();
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderDropType();
  }
  setAccordion(accordion) {
    this.setProperty('accordion', accordion);
  }
  _setAccordion(accordion) {
    if (this.accordion) {
      if (this.eventDelegator) {
        this.eventDelegator.destroy();
        this.eventDelegator = null;
      }
    }
    this._setProperty('accordion', accordion);
    if (accordion) {
      this.eventDelegator = _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(this, accordion, {
        delegateProperties: ['loading']
      });
      accordion.setLoading(this.loading);
      accordion.setScrollTop(this.scrollTop);
    }
  }
  _renderAccordion() {
    if (!this.accordion) {
      return;
    }
    this.accordion.render();
    this.addField(this.accordion.$container);
    this.invalidateLayoutTree();
  }
  _removeAccordion() {
    if (!this.accordion) {
      return;
    }
    this.accordion.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
  getFocusableElement() {
    if (this.accordion) {
      return this.accordion.getFocusableElement();
    }
    return null;
  }
  getDelegateScrollable() {
    return this.accordion;
  }
}

/***/ }),

/***/ "./src/form/fields/accordionfield/AccordionFieldAdapter.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/accordionfield/AccordionFieldAdapter.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionFieldAdapter: () => (/* binding */ AccordionFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AccordionFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/accordionfield/AccordionFieldEventMap.ts":
/*!******************************************************************!*\
  !*** ./src/form/fields/accordionfield/AccordionFieldEventMap.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/accordionfield/AccordionFieldModel.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/accordionfield/AccordionFieldModel.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/beanfield/BeanField.ts":
/*!************************************************!*\
  !*** ./src/form/fields/beanfield/BeanField.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BeanField: () => (/* binding */ BeanField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Base class for fields where the value should be visualized.
 */
class BeanField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    this.preventInitialFocus = true;
  }
  _render() {
    this.addContainer(this.$parent, 'bean-field');
    this.addLabel();
    this.addField(this.$parent.makeDiv());
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValue();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.AppLinkKeyStroke(this, this._onAppLinkAction));
  }
  _formatValue(value) {
    // The value cannot be changed by the user, therefore we always return the initial displayText property.
    //
    // Strange things happen, if another value is returned... Example:
    // 1. The value is set asynchronously on the field using setValue().
    // 2. This causes the display text to be updated (using _formatValue).
    // 3. When acceptInput() is called (via aboutToBlurByMouseDown), the "current" displayText
    //    is read using _readDisplayText(). The default ValueField.js implementation returns
    //    an empty string, which is different from this.displayText (which is equal to the value,
    //    because of step 2).
    // 4. Because the displayText has changed, parseAndSetValue() is called, which
    //    causes the value to be set to the empty string. The _renderValue() method
    //    will then most likely clear the bean field's content.
    //
    // Test case:
    //   bf.setValue({...}) --> should not update displayText property
    //   bf.acceptInput() --> should not do anything
    return this.displayText;
  }
  _parseValue(displayText) {
    // DisplayText cannot be converted to value, use original value (see comment in _formatValue).
    return this.value;
  }
  _renderDisplayText() {
    // nop
  }
  _renderValue() {
    // to be implemented by the subclass
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
}

/***/ }),

/***/ "./src/form/fields/beanfield/BeanFieldAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/beanfield/BeanFieldAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BeanFieldAdapter: () => (/* binding */ BeanFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BeanFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/beanfield/BeanFieldEventMap.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/beanfield/BeanFieldEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/beanfield/BeanFieldModel.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/beanfield/BeanFieldModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarField.ts":
/*!******************************************************************!*\
  !*** ./src/form/fields/breadcrumbbarfield/BreadcrumbBarField.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbBarField: () => (/* binding */ BreadcrumbBarField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbBarField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "breadcrumbBar", void 0);
    this.breadcrumbBar = null;
    this._addWidgetProperties(['breadcrumbBar']);
  }
  _render() {
    this.addContainer(this.$parent, 'breadcrumb-bar-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    this._renderBreadcrumbBar();
  }
  setBreadcrumbItems(breadcrumbItems) {
    if (!this.breadcrumbBar) {
      return;
    }
    this.breadcrumbBar.setBreadcrumbItems(breadcrumbItems);
  }
  setBreadcrumbBar(breadcrumbBar) {
    this.setProperty('breadcrumbBar', breadcrumbBar);
  }
  _renderBreadcrumbBar() {
    if (!this.breadcrumbBar) {
      return;
    }
    this.breadcrumbBar.render();
    this.addField(this.breadcrumbBar.$container);
    this.invalidateLayoutTree();
  }
  _removeBreadcrumbBar() {
    if (!this.breadcrumbBar) {
      return;
    }
    this.breadcrumbBar.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldAdapter.ts":
/*!*************************************************************************!*\
  !*** ./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldAdapter.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbBarFieldAdapter: () => (/* binding */ BreadcrumbBarFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BreadcrumbBarFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldEventMap.ts":
/*!**************************************************************************!*\
  !*** ./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldEventMap.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldModel.ts":
/*!***********************************************************************!*\
  !*** ./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldModel.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/browserfield/BrowserField.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/browserfield/BrowserField.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BrowserField: () => (/* binding */ BrowserField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BrowserField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "autoCloseExternalWindow", void 0);
    _defineProperty(this, "externalWindowButtonText", void 0);
    _defineProperty(this, "externalWindowFieldText", void 0);
    _defineProperty(this, "location", void 0);
    _defineProperty(this, "trackLocation", void 0);
    _defineProperty(this, "sandboxEnabled", void 0);
    _defineProperty(this, "sandboxPermissions", void 0);
    _defineProperty(this, "trustedMessageOrigins", void 0);
    _defineProperty(this, "scrollBarEnabled", void 0);
    _defineProperty(this, "showInExternalWindow", void 0);
    _defineProperty(this, "iframe", void 0);
    _defineProperty(this, "myWindow", void 0);
    _defineProperty(this, "_messageListener", void 0);
    _defineProperty(this, "_popupWindow", void 0);
    _defineProperty(this, "_externalWindowTextField", void 0);
    _defineProperty(this, "_externalWindowButton", void 0);
    this.autoCloseExternalWindow = false;
    this.externalWindowButtonText = null;
    this.externalWindowFieldText = null;
    this.location = null;
    this.trackLocation = false;
    this.sandboxEnabled = true;
    this.sandboxPermissions = null;
    this.trustedMessageOrigins = [];
    this.scrollBarEnabled = true;
    this.showInExternalWindow = false;
    this._messageListener = null;
    this._popupWindow = null;
    this._externalWindowTextField = null;
    this._externalWindowButton = null;
  }
  _init(model) {
    super._init(model);
    this.iframe = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.IFrame, {
      parent: this,
      location: this.location,
      sandboxEnabled: this.sandboxEnabled,
      sandboxPermissions: this.sandboxPermissions,
      scrollBarEnabled: this.scrollBarEnabled,
      trackLocation: this.trackLocation
    });
    this.iframe.on('propertyChange', this._onIFramePropertyChange.bind(this));
  }
  _render() {
    this.addContainer(this.$parent, 'browser-field', new _index__WEBPACK_IMPORTED_MODULE_0__.BrowserFieldLayout(this));
    this.addLabel();
    this.addStatus();
    if (!this.showInExternalWindow) {
      // mode 1: <iframe>
      this.iframe.render();
      this.addFieldContainer(this.iframe.$container);
      this.addField(this.iframe.$iframe);
      this.$field.on('load', this._onLoad.bind(this));
    } else {
      // mode 2: separate window
      this.addField(this.$parent.makeDiv());
      this._externalWindowTextField = this.$field.appendDiv().addClass('alt');
      this._externalWindowButton = this.$field.appendDiv().addClass('button').on('click', event => this._openPopupWindow(true));
    }
    this.myWindow = this.$parent.window(true);
    this._messageListener = this._onMessage.bind(this);
    this.myWindow.addEventListener('message', this._messageListener);
    if (this.enabledComputed) {
      // use setTimeout to call method, because _openPopupWindow must be called after layouting
      setTimeout(this._openPopupWindow.bind(this, true), 20);
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderExternalWindowButtonText();
    this._renderExternalWindowFieldText();
  }
  _remove() {
    super._remove();
    this.myWindow.removeEventListener('message', this._messageListener);
    this._messageListener = null;
    // if content is shown in an external window and auto close is set to true
    if (this.showInExternalWindow && this.autoCloseExternalWindow) {
      // try to close popup window (if it is not already closed)
      if (this._popupWindow && !this._popupWindow.closed) {
        this._popupWindow.close();
      }
    }
  }
  setLocation(location) {
    this.setProperty('location', location);
    this.iframe.setLocation(location);
  }
  _renderLocation() {
    // Convert empty locations to 'about:blank', because in Firefox (maybe others, too?),
    // empty locations simply remove the src attribute but don't remove the old content.
    let location = this.location || 'about:blank';
    if (this.showInExternalWindow) {
      // fallback: separate window
      if (this._popupWindow && !this._popupWindow.closed) {
        this._popupWindow.location = location;
      }
    }
  }
  setAutoCloseExternalWindow(autoCloseExternalWindow) {
    this.setProperty('autoCloseExternalWindow', autoCloseExternalWindow);
  }
  setExternalWindowButtonText(externalWindowButtonText) {
    this.setProperty('externalWindowButtonText', externalWindowButtonText);
  }
  _renderExternalWindowButtonText() {
    if (this.showInExternalWindow) {
      this._externalWindowButton.text(this.externalWindowButtonText || '');
    }
  }
  setExternalWindowFieldText(externalWindowFieldText) {
    this.setProperty('externalWindowFieldText', externalWindowFieldText);
  }
  _renderExternalWindowFieldText() {
    if (this.showInExternalWindow) {
      this._externalWindowTextField.text(this.externalWindowFieldText || '');
    }
  }
  /**
   * Note: this function is designed to deliver good results to position a popup over a BrowserField in Internet Explorer.
   * Other browsers may not perfectly position the popup, since they return different values for screenX/screenY. Also
   * there's no way to retrieve all required values from the window or screen object, that's why we have to use hard coded
   * values here. In order to make this function more flexible you could implement it as a strategy which has different
   * browser dependent implementations.
   *
   * This implementation does also deal with a multi screen setup (secondary monitor). An earlier implementation used
   * screen.availWidth to make sure the popup is within the visible area of the screen. However, screen.availWidth only
   * returns the size of the primary monitor, so we cannot use it. There's no way to check for a secondary monitor from
   * a HTML document. So we removed the check entirely, which shouldn't be an issue since the browser itself does prevent
   * popups from having an invalid position.
   */
  _calcPopupBounds() {
    let myWindow = this.$container.window(true);
    let POPUP_WINDOW_TOP_HEIGHT = 30;
    let POPUP_WINDOW_BOTTOM_HEIGHT = 8;
    let POPUP_WINDOW_CHROME_HEIGHT = POPUP_WINDOW_TOP_HEIGHT + POPUP_WINDOW_BOTTOM_HEIGHT;
    let BROWSER_WINDOW_TOP_HEIGHT = 55;
    // Don't limit screenX/Y in any way. Coordinates can be negative (if we have a secondary monitor on the left side
    // of the primary monitor) or larger then the availSize of the screen (if we have a secondary monitor on the right
    // side of the primary monitor). Note that IE cannot properly place the popup on a monitor on the left. It seems
    // to ignore negative X coordinates somehow (but not entirely).
    let browserBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(myWindow.screenX, myWindow.screenY, jquery__WEBPACK_IMPORTED_MODULE_1___default()(myWindow).width(), jquery__WEBPACK_IMPORTED_MODULE_1___default()(myWindow).height() + BROWSER_WINDOW_TOP_HEIGHT);
    let fieldBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(this.$field.offset().left, this.$field.offset().top, this.$field.width(), this.$field.height());
    let popupX = browserBounds.x + fieldBounds.x;
    let popupY = browserBounds.y + fieldBounds.y + BROWSER_WINDOW_TOP_HEIGHT;
    let popupWidth = fieldBounds.width;
    let popupHeight = fieldBounds.height + POPUP_WINDOW_CHROME_HEIGHT;
    // ensure that the lower Y of the new popup is not below the lower Y of the browser window
    let popupLowerY = popupY + popupHeight;
    let browserLowerY = browserBounds.y + browserBounds.height;
    if (popupLowerY > browserLowerY) {
      popupHeight -= popupLowerY - browserLowerY + POPUP_WINDOW_CHROME_HEIGHT;
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(_index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(popupX), _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(popupY), _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(popupWidth), _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(popupHeight));
  }
  _openPopupWindow(reopenIfClosed) {
    reopenIfClosed = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(reopenIfClosed, true);
    if (!this.showInExternalWindow) {
      return;
    }
    if (!this._popupWindow || reopenIfClosed && this._popupWindow.closed) {
      let popupBlockerHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PopupBlockerHandler, {
        session: this.session
      });
      let popupBounds = this._calcPopupBounds();
      // (b) window specifications
      let windowSpecs = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(',', 'directories=no', 'location=no', 'menubar=no', 'resizable=yes', 'status=no', 'scrollbars=' + (this.scrollBarEnabled ? 'yes' : 'no'), 'toolbar=no', 'dependent=yes', 'left=' + popupBounds.x, 'top=' + popupBounds.y, 'width=' + popupBounds.width, 'height=' + popupBounds.height);
      let location = this.location || 'about:blank';
      popupBlockerHandler.openWindow(location, undefined, windowSpecs, this._popupWindowOpen.bind(this));
    } else if (reopenIfClosed) {
      this._popupWindow.focus();
    }
  }
  _popupWindowOpen(popup) {
    this._popupWindow = popup;
    if (this._popupWindow && !this._popupWindow.closed) {
      this.trigger('externalWindowStateChange', {
        windowState: BrowserField.WindowStates.WINDOW_OPEN
      });
      let popupInterval = window.setInterval(() => {
        let popupWindowClosed = false;
        try {
          popupWindowClosed = this._popupWindow === null || this._popupWindow.closed;
        } catch (e) {
          // for some unknown reason, IE sometimes throws a "SCRIPT16386" error while trying to read '._popupWindow.closed'.
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Reading the property popupWindow.closed threw an error (Retry in 500ms)');
          return;
        }
        if (popupWindowClosed) {
          window.clearInterval(popupInterval);
          this.trigger('externalWindowStateChange', {
            windowState: BrowserField.WindowStates.WINDOW_CLOSED
          });
        }
      }, 500);
    }
  }
  _onMessage(event) {
    // Only handle event originating form "our" iframe
    if (!this._isValidMessageSource(event.source)) {
      return;
    }
    // Check if the origin is trusted before we do anything else with the data
    if (this.trustedMessageOrigins && this.trustedMessageOrigins.length && !this.trustedMessageOrigins.some(origin => origin === event.origin)) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('blocked message from untrusted origin ' + event.origin);
      return;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('received post-message: data=' + event.data + ', origin=' + event.origin);
    this.trigger('message', {
      data: event.data,
      origin: event.origin
    });
  }
  _isValidMessageSource(source) {
    let iframeWindow = this.$field[0].contentWindow;
    if (source === iframeWindow) {
      return true; // same source
    }
    // Check parents of window in case event source is an inner iframe
    // parent window of topmost window is itself (https://developer.mozilla.org/en-US/docs/Web/API/Window/parent)
    let win = source;
    while (win && win !== win.parent) {
      win = win.parent;
      if (win === iframeWindow) {
        return true;
      }
    }
    return false; // no valid parent window found
  }
  /**
   * Sends a message to the embedded web page (`iframe`).
   *
   * @param message
   *          The message to send.
   * @param targetOrigin
   *          The expected origin of the receiving `window`. If the origin does not match, the browser will not
   *          dispatch the message for security reasons. See the
   *          <a href="https://developer.mozilla.org/en-US/docs/Web/API/Window/postMessage">documentation</a> for
   *          details.
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Window/postMessage">window.postMessage (MDN)</a>
   */
  postMessage(message, targetOrigin) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('send post-message: message=' + message + ', targetOrigin=' + targetOrigin);
    this.iframe && this.iframe.postMessage(message, targetOrigin);
  }
  /** @see BrowserFieldModel.sandboxPermissions */
  setTrackLocation(trackLocation) {
    this.setProperty('trackLocation', trackLocation);
    this.iframe.setTrackLocation(trackLocation);
  }
  _onIFramePropertyChange(event) {
    if (!this.trackLocation) {
      return;
    }
    if (event.propertyName === 'location') {
      this._setProperty('location', event.newValue);
    }
  }
  _onLoad(event) {
    if (!this.rendered) {
      // check needed, because this is an async callback
      return;
    }
    this.invalidateLayoutTree();
  }
  /** @see BrowserFieldModel.sandboxEnabled */
  setSandboxEnabled(sandboxEnabled) {
    this.setProperty('sandboxEnabled', sandboxEnabled);
    this.iframe.setSandboxEnabled(sandboxEnabled);
  }
  /** @see BrowserFieldModel.sandboxPermissions */
  setSandboxPermissions(sandboxPermissions) {
    this.setProperty('sandboxPermissions', sandboxPermissions);
    this.iframe.setSandboxPermissions(sandboxPermissions);
  }
  setScrollBarEnabled(scrollBarEnabled) {
    this.setProperty('scrollBarEnabled', scrollBarEnabled);
    this.iframe.setScrollBarEnabled(scrollBarEnabled);
  }
}
_defineProperty(BrowserField, "WindowStates", {
  WINDOW_OPEN: 'true',
  WINDOW_CLOSED: 'false'
});

/***/ }),

/***/ "./src/form/fields/browserfield/BrowserFieldAdapter.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/browserfield/BrowserFieldAdapter.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BrowserFieldAdapter: () => (/* binding */ BrowserFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BrowserFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['location']);
  }
  _onWidgetMessage(event) {
    this._send('postMessage', {
      data: event.data,
      origin: event.origin
    });
  }
  _onWidgetExternalWindowStateChange(event) {
    this._send('externalWindowStateChange', {
      windowState: event.windowState
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'message') {
      this._onWidgetMessage(event);
    } else if (event.type === 'externalWindowStateChange') {
      this._onWidgetExternalWindowStateChange(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onModelPostMessage(event) {
    this.widget.postMessage(event.message, event.targetOrigin);
  }
  onModelAction(event) {
    if (event.type === 'postMessage') {
      this._onModelPostMessage(event);
    } else {
      super.onModelAction(event);
    }
  }
  _orderPropertyNamesOnSync(newProperties) {
    // IE won't show scrollbars if the location is set before scrollBarEnabled is set to true.
    // Rendering the location again after setting the scrollBarEnabled property as done in IFrame.js doesn't seem to work.
    // It looks like the scrollBarEnabled property cannot be changed anymore once the location is set, even if location is unset and set again.
    return Object.keys(newProperties).sort(this._createPropertySortFunc(['scrollBarEnabled', 'location']));
  }
}

/***/ }),

/***/ "./src/form/fields/browserfield/BrowserFieldEventMap.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/browserfield/BrowserFieldEventMap.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/browserfield/BrowserFieldLayout.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/browserfield/BrowserFieldLayout.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BrowserFieldLayout: () => (/* binding */ BrowserFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BrowserFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(browserField) {
    super(browserField);
    _defineProperty(this, "browserField", void 0);
    this.browserField = browserField;
  }
  preferredLayoutSize($container, options) {
    let prefSize = super.preferredLayoutSize($container, options);
    if (this._isIFrameReadable()) {
      prefSize.height = this.browserField.$field.contents().height() +
      // get height of content
      this.browserField.iframe.htmlComp.insets().vertical() +
      // add insets of iframe
      this.browserField.htmlComp.insets().vertical(); // add insets of browser field
    }
    return prefSize;
  }
  _isIFrameReadable() {
    let field = this.browserField;
    let perms = field.sandboxPermissions;
    if (field.sandboxEnabled && perms && perms.indexOf('allow-same-origin') === -1) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Access to IFrame denied, cannot read height.' + ' Reason: sandbox is enabled or "allow-same-origin" is not set');
      return false;
    }
    try {
      field.$field[0].contentWindow.document;
    } catch (e) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Access to IFrame denied, cannot read height. Reason: denied by browser');
      return false;
    }
    if (field.$field.contents().attr('readyState') === 'loading') {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Access to IFrame denied, cannot read height. Reason: readyState == "loading"');
      return false;
    }
    return true;
  }
}

/***/ }),

/***/ "./src/form/fields/browserfield/BrowserFieldModel.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/browserfield/BrowserFieldModel.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/button/Button.ts":
/*!******************************************!*\
  !*** ./src/form/fields/button/Button.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Button: () => (/* binding */ Button)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Button extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "defaultButton", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "keyStroke", void 0);
    _defineProperty(this, "keyStrokeScope", void 0);
    _defineProperty(this, "processButton", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "systemType", void 0);
    _defineProperty(this, "preventDoubleClick", void 0);
    _defineProperty(this, "stackable", void 0);
    _defineProperty(this, "shrinkable", void 0);
    _defineProperty(this, "adaptedBy", void 0);
    _defineProperty(this, "buttonKeyStroke", void 0);
    _defineProperty(this, "formKeyStrokeContext", void 0);
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "$buttonLabel", void 0);
    _defineProperty(this, "$submenuIcon", void 0);
    _defineProperty(this, "_doubleClickSupport", void 0);
    this.adaptedBy = null;
    this.defaultButton = false;
    this.displayStyle = Button.DisplayStyle.DEFAULT;
    this.gridDataHints.fillHorizontal = false;
    this.iconId = null;
    this.keyStroke = null;
    this.keyStrokeScope = null;
    this.processButton = true;
    this.selected = false;
    this.statusVisible = false;
    this.systemType = Button.SystemType.NONE;
    this.preventDoubleClick = false;
    this.stackable = true;
    this.shrinkable = false;
    this.$buttonLabel = null;
    this.buttonKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.ButtonKeyStroke(this, null);
    this._doubleClickSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.DoubleClickSupport();
    this._addCloneProperties(['defaultButton', 'displayStyle', 'iconId', 'keyStroke', 'processButton', 'selected', 'systemType', 'preventDoubleClick', 'stackable', 'shrinkable']);
  }
  _init(model) {
    super._init(model);
    this.resolveIconIds(['iconId']);
    this._setKeyStroke(this.keyStroke);
    this._setKeyStrokeScope(this.keyStrokeScope);
    this._setInheritAccessibility(this.inheritAccessibility && !this._isIgnoreAccessibilityFlags());
  }
  getContextMenuItems() {
    let onlyVisible = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    return [];
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this._initDefaultKeyStrokes();
    this.formKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    this.formKeyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.formKeyStrokeContext.registerKeyStroke(this.buttonKeyStroke);
    this.formKeyStrokeContext.$bindTarget = () => {
      if (this.keyStrokeScope) {
        return this.keyStrokeScope.$container;
      }
      // use form if available
      let form = this.getForm();
      if (form) {
        return form.$container;
      }
      // use desktop otherwise
      return this.session.desktop.$container;
    };
  }
  _isIgnoreAccessibilityFlags() {
    return this.systemType === Button.SystemType.CANCEL || this.systemType === Button.SystemType.CLOSE;
  }
  _initDefaultKeyStrokes() {
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.ButtonKeyStroke(this, 'ENTER'), new _index__WEBPACK_IMPORTED_MODULE_0__.ButtonKeyStroke(this, 'SPACE')]);
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this,
      $container: () => {
        return this.$field;
      }
    });
  }
  _render() {
    let $button;
    if (this.displayStyle === Button.DisplayStyle.LINK) {
      // Render as link-button
      $button = this.$parent.makeDiv('link-button menu-item');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($button, 'link');
      this.$buttonLabel = $button.appendSpan('button-label text');
    } else {
      // render as button
      $button = this.$parent.makeElement('<button>').addClass('button');
      if (this.displayStyle === Button.DisplayStyle.BORDERLESS) {
        $button.addClass('borderless');
      }
      this.$buttonLabel = $button.appendSpan('button-label text');
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch()) {
        $button.setTabbable(false);
      }
    }
    this.addContainer(this.$parent, 'button-field', new _index__WEBPACK_IMPORTED_MODULE_0__.ButtonLayout(this));
    this.addField($button);
    // TODO [10.0] cgu: should we add a label? -> would make it possible to control the space left of the button using labelVisible, like it is possible with checkboxes
    this.addStatus();
    $button.on('mousedown', event => this._doubleClickSupport.mousedown(event)).on('click', this._onClick.bind(this)).unfocusable();
    this.session.keyStrokeManager.installKeyStrokeContext(this.formKeyStrokeContext);
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$buttonLabel, {
      parent: this
    });
  }
  _remove() {
    super._remove();
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$buttonLabel);
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.formKeyStrokeContext);
    this.$submenuIcon = null;
  }
  _renderProperties() {
    super._renderProperties();
    this._renderIconId();
    this._renderSelected();
    this._renderDefaultButton();
    this._updateLabelAndIconStyle();
  }
  _renderForegroundColor() {
    super._renderForegroundColor();
    // Color button label as well, otherwise the color would not be visible because button label has already a color set using css
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$buttonLabel);
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.get$Icon());
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$submenuIcon);
  }
  _renderBackgroundColor() {
    super._renderBackgroundColor();
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$fieldContainer);
  }
  _renderFont() {
    super._renderFont();
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$buttonLabel);
    // Changing the font may enlarge or shrink the field (e.g. set the style to bold makes the text bigger) -> invalidate layout
    this.invalidateLayoutTree();
  }
  _updateMenus() {
    super._updateMenus();
    let hasMenus = this.menus.length > 0;
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.$field, hasMenus ? 'menu' : null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$field, hasMenus ? !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.popup) : null);
    this._renderSubmenuIcon();
  }
  _renderSubmenuIcon() {
    var _this$menus;
    let hasMenus = ((_this$menus = this.menus) === null || _this$menus === void 0 ? void 0 : _this$menus.length) > 0;
    if (hasMenus && (this.label || !this.iconId)) {
      // no indicator when _only_ the icon is visible
      if (!this.$submenuIcon) {
        let icon = _index__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(Button.SUBMENU_ICON);
        this.$submenuIcon = this.$field.appendSpan('submenu-icon').text(icon.iconCharacter);
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$submenuIcon, true);
        this.invalidateLayoutTree();
      }
    } else if (this.$submenuIcon) {
      this.$submenuIcon.remove();
      this.$submenuIcon = null;
      this.invalidateLayoutTree();
    }
    if (!this.rendering) {
      this._updateLabelAndIconStyle();
    }
  }
  /**
   * @returns true if the action has been performed or false if it has not been performed (e.g. when the button is not enabled).
   */
  doAction() {
    if (!this.enabledComputed || !this.visible) {
      return false;
    }
    if (this.displayStyle === Button.DisplayStyle.TOGGLE) {
      this.setSelected(!this.selected);
    } else if (this.menus.length > 0) {
      this.togglePopup();
    }
    this._doAction();
    return true;
  }
  _doAction() {
    this.trigger('click');
  }
  togglePopup() {
    if (this.popup) {
      this.popup.close();
    } else {
      this.popup = this._openPopup();
      this.popup.one('destroy', event => {
        this.popup = null;
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$field, false);
      });
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$field, true);
    }
  }
  _openPopup() {
    let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      menuItems: this.menus,
      cloneMenuItems: false,
      closeOnAnchorMouseDown: false,
      $anchor: this.$field
    });
    popup.open();
    return popup;
  }
  _doActionTogglesSubMenu() {
    return false;
  }
  setDefaultButton(defaultButton) {
    this.setProperty('defaultButton', defaultButton);
  }
  _renderDefaultButton() {
    this.$field.toggleClass('default', this.defaultButton);
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.displayStyle === Button.DisplayStyle.LINK) {
      this.$field.setTabbable(this.enabledComputed && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
    }
  }
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    if (this.displayStyle === Button.DisplayStyle.TOGGLE) {
      this.$field.toggleClass('selected', this.selected);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.pressed(this.$field, this.displayStyle === Button.DisplayStyle.TOGGLE ? this.selected : null);
  }
  _renderLabel() {
    this.$buttonLabel.contentOrNbsp(this.labelHtmlEnabled, this.label, 'empty');
    if (!this.rendering) {
      this._renderSubmenuIcon();
    }
    // Invalidate layout because button may now be longer or shorter
    this.invalidateLayoutTree();
  }
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  /**
   * Adds an image or font-based icon to the button by adding either an IMG or SPAN element to the button.
   */
  _renderIconId() {
    let $iconTarget = this.$fieldContainer;
    $iconTarget.icon(this.iconId);
    let $icon = $iconTarget.data('$icon');
    if ($icon) {
      // <img>s are loaded asynchronously. The real image size is not known until the image is loaded.
      // We add a listener to revalidate the button layout after this has happened. The 'loading' and
      // 'broken' classes ensure the incomplete icon is not taking any space.
      $icon.removeClass('loading broken');
      if ($icon.is('img')) {
        $icon.addClass('loading');
        $icon.off('load error').on('load', updateButtonLayoutAfterImageLoaded.bind(this, true)).on('error', updateButtonLayoutAfterImageLoaded.bind(this, false));
      }
      if (!this.rendered) {
        _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, $icon);
      }
    }
    if (!this.rendering) {
      this._renderSubmenuIcon();
    }
    // Invalidate layout because button may now be longer or shorter
    this.invalidateLayoutTree();
    // ----- Helper functions -----
    function updateButtonLayoutAfterImageLoaded(success) {
      $icon.removeClass('loading');
      $icon.toggleClass('broken', !success);
      this.invalidateLayoutTree();
    }
  }
  get$Icon() {
    let $iconTarget = this.$fieldContainer;
    return $iconTarget.children('.icon');
  }
  _updateLabelAndIconStyle() {
    var _this$$submenuIcon;
    let hasText = !!this.label;
    let hasIcon = !!this.iconId;
    let hasSubMenuIcon = !!this.$submenuIcon;
    let hasAnyIcon = hasIcon || hasSubMenuIcon;
    this.$buttonLabel.setVisible(hasText || !hasAnyIcon);
    (_this$$submenuIcon = this.$submenuIcon) === null || _this$$submenuIcon === void 0 || _this$$submenuIcon.toggleClass('with-label', hasText);
    this.get$Icon().toggleClass('with-label', hasText);
  }
  setKeyStroke(keyStroke) {
    this.setProperty('keyStroke', keyStroke);
  }
  _setKeyStroke(keyStroke) {
    this._setProperty('keyStroke', keyStroke);
    this.buttonKeyStroke.parseAndSetKeyStroke(this.keyStroke);
  }
  _setKeyStrokeScope(keyStrokeScope) {
    if (typeof keyStrokeScope === 'string') {
      keyStrokeScope = this._resolveKeyStrokeScope(keyStrokeScope);
      if (!keyStrokeScope) {
        // Will be resolved later
        return;
      }
    }
    this._setProperty('keyStrokeScope', keyStrokeScope);
  }
  _resolveKeyStrokeScope(keyStrokeScope) {
    // Basically, the desktop could be used to find the scope, but that would mean to traverse the whole widget tree.
    // To make it faster the form is used instead but that limits the resolving to the form.
    // This should be acceptable because the scope can still be set explicitly without using an id.
    let form = this.findNonWrappedForm();
    if (!form) {
      throw new Error('Could not resolve keyStrokeScope ' + keyStrokeScope + ' because no form has been found.');
    }
    if (!form.initialized) {
      // KeyStrokeScope is another widget (form or formfield) which may not be initialized yet.
      // The widget must be on the same form as the button, so once that form is initialized the keyStrokeScope has to be available
      form.one('init', this._setKeyStrokeScope.bind(this, keyStrokeScope));
      return;
    }
    let scope = form.widget(keyStrokeScope);
    if (!scope) {
      throw new Error('Could not resolve keyStrokeScope ' + keyStrokeScope + ' using form ' + form);
    }
    return scope;
  }
  _onClick(event) {
    if (event.which !== 1) {
      return; // Other button than left mouse button --> nop
    }
    if (this.preventDoubleClick && this._doubleClickSupport.doubleClicked()) {
      return; // More than one consecutive click --> nop
    }
    // When the action is clicked the user wants to execute the action and not see the tooltip -> cancel the task
    // If it is already displayed it will stay
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$buttonLabel);
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$fieldContainer);
    if (this.enabledComputed) {
      this.doAction();
    }
  }
  setStackable(stackable) {
    this.setProperty('stackable', stackable);
  }
  setShrinkable(shrinkable) {
    this.setProperty('shrinkable', shrinkable);
  }
  setPreventDoubleClick(preventDoubleClick) {
    this.setProperty('preventDoubleClick', preventDoubleClick);
  }
  _linkWithLabel($element) {
    super._linkWithLabel($element);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel($element, this.$buttonLabel);
  }
  getFocusableElement() {
    if (this.adaptedBy) {
      return this.adaptedBy.getFocusableElement();
    }
    return super.getFocusableElement();
  }
  isFocusable(checkTabbable) {
    if (this.adaptedBy) {
      return this.adaptedBy.isFocusable();
    }
    return super.isFocusable();
  }
  focus() {
    if (this.adaptedBy) {
      return this.adaptedBy.focus();
    }
    return super.focus();
  }
}
_defineProperty(Button, "SystemType", {
  NONE: 0,
  CANCEL: 1,
  CLOSE: 2,
  OK: 3,
  RESET: 4,
  SAVE: 5
});
_defineProperty(Button, "DisplayStyle", {
  DEFAULT: 0,
  TOGGLE: 1,
  RADIO: 2,
  LINK: 3,
  BORDERLESS: 4
});
_defineProperty(Button, "SUBMENU_ICON", _index__WEBPACK_IMPORTED_MODULE_0__.icons.ANGLE_DOWN_BOLD);

/***/ }),

/***/ "./src/form/fields/button/ButtonAdapter.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/button/ButtonAdapter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ButtonAdapter: () => (/* binding */ ButtonAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ButtonAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['selected']);
  }
  _onWidgetClick(event) {
    if (this.widget.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Button.DisplayStyle.TOGGLE || this.widget.menus.length > 0) {
      return;
    }
    this._send('click');
  }
  _onWidgetEvent(event) {
    if (event.type === 'click') {
      this._onWidgetClick(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/button/ButtonEventMap.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/button/ButtonEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/button/ButtonKeyStroke.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/button/ButtonKeyStroke.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ButtonKeyStroke: () => (/* binding */ ButtonKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ButtonKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(button, keyStroke) {
    super();
    this.field = button;
    this.parseAndSetKeyStroke(keyStroke);
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && this.field.$field.isAttached();
  }
  handle(event) {
    this.field.doAction();
  }
}

/***/ }),

/***/ "./src/form/fields/button/ButtonLayout.ts":
/*!************************************************!*\
  !*** ./src/form/fields/button/ButtonLayout.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ButtonLayout: () => (/* binding */ ButtonLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ButtonLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(button) {
    super(button);
  }
  layout($container) {
    super.layout($container);
    let $icon = this.formField.get$Icon(),
      $submenuIcon = this.formField.$submenuIcon,
      $label = this.formField.$buttonLabel,
      $fieldContainer = this.formField.$fieldContainer;
    // Set max width to make it possible to set text-overflow: ellipsis using CSS
    $label.css('max-width', ''); // reset required because .size() operations below might return wrong results when label contains complex HTML
    let submenuIconWidth = $submenuIcon ? _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($submenuIcon, {
      includeMargin: true,
      exact: true
    }).width : 0;
    let iconWidth = $icon.length ? _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($icon, {
      includeMargin: true,
      exact: true
    }).width : 0;
    // Round up to make sure ellipsis are not shown unnecessarily when having rounding issues (e.g. in IE 11)
    let labelMaxWidth = Math.ceil($fieldContainer.width() - (submenuIconWidth + iconWidth));
    $label.css('max-width', labelMaxWidth);
  }
  preferredLayoutSize($container, options) {
    let $label = this.formField.$buttonLabel;
    // Reset max width before calculating pref size
    let maxWidth = $label.css('max-width');
    $label.css('max-width', '');
    let prefSize = super.preferredLayoutSize($container, options);
    $label.css('max-width', maxWidth);
    return prefSize;
  }
}

/***/ }),

/***/ "./src/form/fields/button/ButtonModel.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/button/ButtonModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/calendarfield/CalendarField.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/calendarfield/CalendarField.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarField: () => (/* binding */ CalendarField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "calendar", void 0);
    this.gridDataHints.weightY = 1;
    this._addWidgetProperties(['calendar']);
  }
  _render() {
    this.addContainer(this.$parent, 'calendar-field');
    this.$container.toggleClass('mobile', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE);
    this.addLabel();
    this.addStatus();
    if (this.calendar) {
      this.calendar.render();
      this.addField(this.calendar.$container);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/calendarfield/CalendarFieldAdapter.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/calendarfield/CalendarFieldAdapter.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarFieldAdapter: () => (/* binding */ CalendarFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CalendarFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/calendarfield/CalendarFieldModel.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/calendarfield/CalendarFieldModel.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/carousel/CarouselField.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/carousel/CarouselField.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CarouselField: () => (/* binding */ CarouselField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CarouselField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "carousel", void 0);
    this.gridDataHints.weightY = 1.0;
    this._addWidgetProperties(['carousel']);
  }
  _render() {
    this.addContainer(this.$parent, 'carousel-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    if (this.carousel) {
      this._renderCarousel();
    }
  }
  _renderCarousel() {
    this.carousel.render();
    this.addField(this.carousel.$container);
  }
  _removeCarousel() {
    if (this.carousel) {
      this.carousel.remove();
    }
    this._removeField();
  }
}

/***/ }),

/***/ "./src/form/fields/carousel/CarouselFieldModel.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/carousel/CarouselFieldModel.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/checkbox/CheckBoxField.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/checkbox/CheckBoxField.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CheckBoxField: () => (/* binding */ CheckBoxField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CheckBoxField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "triStateEnabled", void 0);
    _defineProperty(this, "wrapText", void 0);
    _defineProperty(this, "keyStroke", void 0);
    _defineProperty(this, "checkBoxKeyStroke", void 0);
    _defineProperty(this, "formKeyStrokeContext", void 0);
    _defineProperty(this, "$checkBox", void 0);
    _defineProperty(this, "$checkBoxLabel", void 0);
    this.triStateEnabled = false;
    this.wrapText = false;
    this.keyStroke = null;
    this.checkBoxKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxToggleKeyStroke(this);
    this.$checkBox = null;
    this.$checkBoxLabel = null;
  }
  _init(model) {
    super._init(model);
    this._setKeyStroke(this.keyStroke);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxToggleKeyStroke(this));
    // The key stroke configured by this.keyStroke has form scope
    this.formKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    this.formKeyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.formKeyStrokeContext.registerKeyStroke(this.checkBoxKeyStroke);
    this.formKeyStrokeContext.$bindTarget = () => {
      // use form if available
      let form = this.getForm();
      if (form) {
        return form.$container;
      }
      // use desktop otherwise
      return this.session.desktop.$container;
    };
  }
  _render() {
    this.addContainer(this.$parent, 'check-box-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addFieldContainer(this.$parent.makeDiv());
    this.$checkBox = this.$fieldContainer.appendDiv('check-box').on('mousedown', this._onMouseDown.bind(this)).data('valuefield', this);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$checkBox, 'checkbox');
    this.addField(this.$checkBox);
    this.$checkBoxLabel = this.$fieldContainer.appendDiv('label').on('mousedown', this._onMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$checkBox, this.$checkBoxLabel);
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$checkBoxLabel, {
      parent: this
    });
    this.addStatus();
    this.session.keyStrokeManager.installKeyStrokeContext(this.formKeyStrokeContext);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValue();
    this._renderWrapText();
  }
  _remove() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$checkBoxLabel);
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.formKeyStrokeContext);
    super._remove();
  }
  _renderDisplayText() {
    // NOP
  }
  setValue(value) {
    this.setProperty('value', value);
  }
  _ensureValue(value) {
    if (!this.triStateEnabled && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return false;
    }
    return super._ensureValue(value);
  }
  /**
   * The value may be false, true (and null in tri-state mode)
   */
  _renderValue() {
    this.$fieldContainer.toggleClass('checked', this.value === true);
    this.$checkBox.toggleClass('checked', this.value === true);
    this.$checkBox.toggleClass('undefined', this.triStateEnabled && this.value !== true && this.value !== false);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$checkBox, this.value, this.triStateEnabled);
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$checkBox.setTabbable(this.enabledComputed && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch()).setEnabled(this.enabledComputed);
  }
  setTriStateEnabled(triStateEnabled) {
    if (this.setProperty('triStateEnabled', triStateEnabled)) {
      this.setValue(this._ensureValue(this.value));
    }
  }
  _renderLabel() {
    this.$checkBoxLabel.contentOrNbsp(this.labelHtmlEnabled, this.label, 'empty');
    this._renderEmptyLabel();
  }
  _renderFont() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$fieldContainer);
    // Changing the font may enlarge or shrink the field (e.g. set the style to bold makes the text bigger) -> invalidate layout
    this.invalidateLayoutTree();
  }
  _renderForegroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$fieldContainer);
  }
  _renderBackgroundColor() {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$fieldContainer);
  }
  _renderGridData() {
    super._renderGridData();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  setKeyStroke(keyStroke) {
    this.setProperty('keyStroke', keyStroke);
  }
  _setKeyStroke(keyStroke) {
    this._setProperty('keyStroke', keyStroke);
    this.checkBoxKeyStroke.parseAndSetKeyStroke(this.keyStroke);
  }
  setWrapText(wrapText) {
    this.setProperty('wrapText', wrapText);
  }
  _renderWrapText() {
    this.$checkBoxLabel.toggleClass('white-space-nowrap', !this.wrapText);
    this.invalidateLayoutTree();
  }
  acceptInput(whileTyping) {
    // NOP
  }
  toggleChecked() {
    if (!this.enabledComputed) {
      return;
    }
    if (this.triStateEnabled) {
      if (this.value === false) {
        this.setValue(true);
      } else if (this.value === true) {
        this.setValue(null);
      } else {
        this.setValue(false);
      }
    } else {
      this.setValue(!this.value);
    }
  }
  prepareForCellEdit(opts) {
    super.prepareForCellEdit(opts);
    this.$checkBoxLabel.hide();
  }
  _onMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.toggleChecked();
    // Also focus when check box is clicked otherwise firefox would loose the focus (see device.loosesFocusIfPseudoElementIsRemoved)
    let onCheckBox = this.$checkBox.is(event.currentTarget),
      onLabel = this.$checkBoxLabel.isOrHas(event.currentTarget); // isOrHas is required for HTML enabled labels with nested elements
    if (onCheckBox || onLabel) {
      this.focusAndPreventDefault(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/checkbox/CheckBoxFieldAdapter.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/checkbox/CheckBoxFieldAdapter.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CheckBoxFieldAdapter: () => (/* binding */ CheckBoxFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CheckBoxFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['value']);
  }
}

/***/ }),

/***/ "./src/form/fields/checkbox/CheckBoxFieldEventMap.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/checkbox/CheckBoxFieldEventMap.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/checkbox/CheckBoxFieldModel.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/checkbox/CheckBoxFieldModel.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/checkbox/CheckBoxToggleKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/checkbox/CheckBoxToggleKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CheckBoxToggleKeyStroke: () => (/* binding */ CheckBoxToggleKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CheckBoxToggleKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(checkbox) {
    super();
    this.field = checkbox;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.LEFT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.$fieldContainer;
  }
  handle(event) {
    this.field.toggleChecked();
  }
}

/***/ }),

/***/ "./src/form/fields/clipboardfield/ClipboardField.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/clipboardfield/ClipboardField.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ClipboardField: () => (/* binding */ ClipboardField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ClipboardField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "allowedMimeTypes", void 0);
    _defineProperty(this, "maximumSize", void 0);
    _defineProperty(this, "readOnly", void 0);
    _defineProperty(this, "_fileUploadWaitRetryCountTimeout", void 0);
    _defineProperty(this, "_fullSelectionLength", void 0);
    this.allowedMimeTypes = null;
    this.maximumSize = null;
    this._fileUploadWaitRetryCountTimeout = 99;
    this._fullSelectionLength = 0;
  }
  // Keys that don't alter the content of a text field and are therefore always allowed in the clipboard field

  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _render() {
    // We don't use makeDiv() here intentionally because the DIV created must
    // not have the 'unselectable' attribute.
    this.addContainer(this.$parent, 'clipboard-field');
    this.addLabel();
    this.addField(this.$parent.makeElement('<div>').addClass('input-field'));
    this.addStatus();
    this.$field.disableSpellcheck().attr('contenteditable', 'true').attr('tabindex', '0').on('keydown', this._onKeyDown.bind(this)).on('input', this._onInput.bind(this)).on('paste', this._onPaste.bind(this)).on('copy', this._onCopy.bind(this)).on('cut', this._onCopy.bind(this));
  }
  _getDragAndDropHandlerOptions() {
    let options = super._getDragAndDropHandlerOptions();
    options.allowedTypes = () => this.allowedMimeTypes;
    // use the smaller property (this.maximumSize for backwards compatibility) but ignore null values which would result in a maximum size of zero.
    options.dropMaximumSize = () => Math.min(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.dropMaximumSize, Number.MAX_VALUE), _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.maximumSize, Number.MAX_VALUE));
    return options;
  }
  _renderDisplayText() {
    let displayText = this.displayText;
    let img;
    this.$field.children().each((idx, elem) => {
      if (!img && elem.nodeName === 'IMG') {
        img = elem;
      }
    });
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(displayText)) {
      this.$field.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(displayText, true));
      this._installScrollbars();
      setTimeout(() => {
        this.$field.selectAllText();
        // store length of full selection, in order to determine if the whole text is selected in "onCopy"
        let selection = this._getSelection();
        this._fullSelectionLength = selection ? selection.toString().length : 0;
      });
    } else {
      this.$field.empty();
    }
    // restore old img for firefox upload mechanism.
    if (img) {
      this.$field.prepend(img);
    }
  }
  _getSelection() {
    let selection,
      myWindow = this.$container.window(true);
    if (myWindow.getSelection) {
      selection = myWindow.getSelection();
    } else if (document.getSelection) {
      selection = document.getSelection();
    }
    if (!selection || selection.toString().length === 0) {
      return null;
    }
    return selection;
  }
  _onKeyDown(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, ClipboardField.ALWAYS_DESTRUCTIVE_KEYS)) {
      return false; // never allowed
    }
    if (event.ctrlKey || event.altKey || event.metaKey || _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, ClipboardField.NON_DESTRUCTIVE_KEYS)) {
      return; // allow bubble to other event handlers
    }
    // do not allow to enter something manually
    return false;
  }
  _onInput(event) {
    // if the user somehow managed to fire to input something (e.g. "delete" menu in FF & IE), just reset the value to the previous content
    this._renderDisplayText();
    return false;
  }
  _onCopy(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos() && this._onIosCopy(event) === false) {
      return;
    }
    let text,
      dataTransfer,
      myWindow = this.$container.window(true);
    try {
      let originalEvent = event.originalEvent;
      if (originalEvent.clipboardData) {
        dataTransfer = originalEvent.clipboardData;
      } else if (myWindow['clipboardData']) {
        dataTransfer = myWindow['clipboardData'];
      }
    } catch (e) {
      // Because windows forbids concurrent access to the clipboard, a possible exception is thrown on 'myWindow.clipboardData'
      // (see Remarks on https://msdn.microsoft.com/en-us/library/windows/desktop/ms649048(v=vs.85).aspx)
      // Because of this behavior a failed access will just be logged but not presented to the user.
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Error while reading "clipboardData"', e);
    }
    if (!dataTransfer) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Unable to access clipboard data.');
      return false;
    }
    // scroll bar must not be in field when copying
    this._uninstallScrollbars();
    let selection = this._getSelection();
    if (!selection) {
      return;
    }
    // if the length of the selection is equals to the length of the (initial) full selection
    // use the internal 'displayText' value because some browsers are collapsing white spaces
    // which lead to problems when coping data form tables with empty cells ("\t\t").
    if (selection.toString().length === this._fullSelectionLength) {
      text = this.displayText;
    } else {
      text = selection.toString();
    }
    try {
      // Chrome, Firefox - causes an exception in IE
      dataTransfer.setData('text/plain', text);
    } catch (e) {
      // IE, see https://www.lucidchart.com/techblog/2014/12/02/definitive-guide-copying-pasting-javascript/
      dataTransfer.setData('Text', text);
    }
    // (re)install scroll bars
    this._installScrollbars();
    return false;
  }
  _onIosCopy(event) {
    // Setting custom clipboard data is not possible with iOS due to a WebKit bug.
    // The default behavior copies rich text. Since it is not expected to copy the style of the clipboard field, temporarily set color and background-color
    // https://bugs.webkit.org/show_bug.cgi?id=176980
    let oldStyle = this.$field.attr('style');
    this.$field.css({
      'color': '#000',
      'background-color': 'transparent'
    });
    setTimeout(() => {
      this.$field.attrOrRemove('style', oldStyle);
    });
    return false;
  }
  _onPaste(event) {
    if (this.readOnly) {
      // Prevent pasting in "copy" mode
      return false;
    }
    let startPasteTimestamp = Date.now();
    let dataTransfer,
      myWindow = this.$container.window(true);
    this.$field.selectAllText();
    let originalEvent = event.originalEvent;
    if (originalEvent.clipboardData) {
      dataTransfer = originalEvent.clipboardData;
    } else if (myWindow['clipboardData']) {
      dataTransfer = myWindow['clipboardData'];
    } else {
      // unable to obtain data transfer object
      throw new Error('Unable to access clipboard data.');
    }
    let filesArgument = [],
      // options to be uploaded, arguments for this.session.uploadFiles
      additionalOptions = {},
      additionalOptionsCompatibilityIndex = 0,
      // counter for additional options
      contentCount = 0;
    // some browsers (e.g. IE) specify text content simply as data of type 'Text', it is not listed in list of types
    let textContent = dataTransfer.getData('Text');
    if (textContent) {
      if (window.Blob) {
        filesArgument.push(new Blob([textContent], {
          type: _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.TEXT_PLAIN
        }));
        contentCount++;
      } else {
        // compatibility workaround
        additionalOptions['textTransferObject' + additionalOptionsCompatibilityIndex++] = textContent;
        contentCount++;
      }
    }
    if (contentCount === 0 && dataTransfer.items) {
      Array.prototype.forEach.call(dataTransfer.items, item => {
        if (item.type === _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.TEXT_PLAIN) {
          item.getAsString(str => {
            filesArgument.push(new Blob([str], {
              type: _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.TEXT_PLAIN
            }));
            contentCount++;
          });
        } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(item.type, [_index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_PNG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_JPG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_JPEG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_GIF])) {
          let file = item.getAsFile();
          if (file) {
            // When pasting an image from the clipboard, Chrome and Firefox create a File object with
            // a generic name such as "image.png" or "grafik.png" (hardcoded in Chrome, locale-dependent
            // in FF). It is therefore not possible to distinguish between a real file and a bitmap
            // from the clipboard. The following code measures the time between the start of the paste
            // event and the file's last modified timestamp. If it is "very small", the file is likely
            // a bitmap from the clipboard and not a real file. In that case, add a special "scoutName"
            // attribute to the file object that is then used as a filename in session.uploadFiles().
            let lastModifiedDiff = startPasteTimestamp - file.lastModified;
            if (lastModifiedDiff < 1000) {
              file.scoutName = _index__WEBPACK_IMPORTED_MODULE_0__.Session.EMPTY_UPLOAD_FILENAME;
            }
            filesArgument.push(file);
            contentCount++;
          }
        }
      });
      this._cleanupFiles(filesArgument);
    }
    let waitForFileReaderEvents = 0;
    if (contentCount === 0 && dataTransfer.files) {
      Array.prototype.forEach.call(dataTransfer.files, item => {
        let reader = new FileReader();
        // register functions for file reader
        reader.onload = event => {
          let f = new Blob([event.target.result], {
            type: item.type
          });
          f.name = item.name;
          filesArgument.push(f);
          waitForFileReaderEvents--;
        };
        reader.onerror = event => {
          waitForFileReaderEvents--;
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Error while reading file ' + item.name + ' / ' + event.target.error.code);
        };
        // start file reader
        waitForFileReaderEvents++;
        contentCount++;
        reader.readAsArrayBuffer(item);
      });
    }
    // upload function needs to be called asynchronously to support real files
    let uploadFunctionTimeoutCount = 0;
    let uploadFunction = () => {
      if (waitForFileReaderEvents !== 0 && uploadFunctionTimeoutCount++ !== this._fileUploadWaitRetryCountTimeout) {
        setTimeout(uploadFunction, 150);
        return;
      }
      if (uploadFunctionTimeoutCount >= this._fileUploadWaitRetryCountTimeout) {
        let boxOptions = {
          entryPoint: this.$container.entryPoint(),
          header: this.session.text('ui.ClipboardTimeoutTitle'),
          body: this.session.text('ui.ClipboardTimeout'),
          yesButtonText: this.session.text('Ok')
        };
        this.session.showFatalMessage(boxOptions);
        return;
      }
      // upload paste event as files
      if (filesArgument.length > 0 || Object.keys(additionalOptions).length > 0) {
        this.session.uploadFiles(this, filesArgument, additionalOptions, this.maximumSize, this.allowedMimeTypes);
      }
    };
    // upload content function, if content can not be read from event
    // (e.g. "Allow programmatic clipboard access" is disabled in IE)
    let uploadContentFunction = () => {
      // store old inner html (will be replaced)
      this._uninstallScrollbars();
      let oldHtmlContent = this.$field.html();
      this.$field.html('');
      let restoreOldHtmlContent = () => {
        this.$field.html(oldHtmlContent);
        this._installScrollbars();
      };
      setTimeout(() => {
        let imgElementsFound = false;
        this.$field.children().each((idx, elem) => {
          if (elem.nodeName === 'IMG') {
            let srcAttr = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem).attr('src');
            let srcDataMatch = /^data:(.*);base64,(.*)/.exec(srcAttr);
            let mimeType = srcDataMatch && srcDataMatch[1];
            if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(mimeType, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_PNG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_JPG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_JPEG, _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.IMAGE_GIF)) {
              let encData = window.atob(srcDataMatch[2]); // base64 decode
              let byteNumbers = [];
              for (let i = 0; i < encData.length; i++) {
                byteNumbers[i] = encData.charCodeAt(i);
              }
              let byteArray = new Uint8Array(byteNumbers);
              let f = new Blob([byteArray], {
                type: mimeType
              });
              f.name = '';
              filesArgument.push(f);
              imgElementsFound = true;
            }
          }
        });
        if (imgElementsFound) {
          restoreOldHtmlContent();
        } else {
          // try to read natively pasted text from field
          let nativePasteContent = this.$field.text();
          if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(nativePasteContent)) {
            this.setDisplayText(nativePasteContent);
            filesArgument.push(new Blob([nativePasteContent], {
              type: _index__WEBPACK_IMPORTED_MODULE_0__.mimeTypes.TEXT_PLAIN
            }));
          } else {
            restoreOldHtmlContent();
          }
        }
        uploadFunction();
      }, 0);
    };
    if (contentCount > 0) {
      uploadFunction();
      // do not trigger any other actions
      return false;
    }
    uploadContentFunction();
    // trigger other actions to catch content
    return true;
  }
  /**
   * Safari creates two files when pasting an image from clipboard, one PNG and one JPEG.
   * If that happens, remove the JPEG and only keep the PNG.
   */
  _cleanupFiles(files) {
    if (files.length !== 2) {
      return;
    }
    let pngImage;
    let jpgImage;
    files.forEach(file => {
      // Check for the scoutName because it will only be set if it is likely a paste from clipboard event
      if (file.name === 'image.png' && file.scoutName) {
        pngImage = file;
      } else if (file.name === 'image.jpeg' && file.scoutName) {
        jpgImage = file;
      }
    });
    if (pngImage && jpgImage) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(files, jpgImage);
    }
  }
}
_defineProperty(ClipboardField, "NON_DESTRUCTIVE_KEYS", [
// Default form handling
_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB,
// Navigate and mark text
_index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN, _index__WEBPACK_IMPORTED_MODULE_0__.keys.END, _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME, _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN,
// Browser hotkeys (e.g. developer tools)
_index__WEBPACK_IMPORTED_MODULE_0__.keys.F1, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F2, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F3, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F4, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F5, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F6, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F7, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F8, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F9, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F10, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F11, _index__WEBPACK_IMPORTED_MODULE_0__.keys.F12]);
// Keys that always alter the content of a text field, independent from the modifier keys
_defineProperty(ClipboardField, "ALWAYS_DESTRUCTIVE_KEYS", [_index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE]);

/***/ }),

/***/ "./src/form/fields/clipboardfield/ClipboardFieldAdapter.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/clipboardfield/ClipboardFieldAdapter.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ClipboardFieldAdapter: () => (/* binding */ ClipboardFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ClipboardFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/clipboardfield/ClipboardFieldModel.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/clipboardfield/ClipboardFieldModel.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/colorfield/ColorField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/colorfield/ColorField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColorField: () => (/* binding */ ColorField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ColorField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  _render() {
    this.addContainer(this.$parent, 'color-field');
    this.addLabel();
    this.addField(this.$parent.makeDiv('not-implemented').text('not implemented yet'));
    this.addMandatoryIndicator();
    this.addStatus();
  }
}

/***/ }),

/***/ "./src/form/fields/colorfield/ColorFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/colorfield/ColorFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColorFieldAdapter: () => (/* binding */ ColorFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ColorFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/datefield/DateField.ts":
/*!************************************************!*\
  !*** ./src/form/fields/datefield/DateField.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateField: () => (/* binding */ DateField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
var _DateField;
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DateField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "autoDate", void 0);
    _defineProperty(this, "dateDisplayText", void 0);
    _defineProperty(this, "dateHasText", void 0);
    _defineProperty(this, "dateFocused", void 0);
    _defineProperty(this, "dateFormatPattern", void 0);
    _defineProperty(this, "hasDate", void 0);
    _defineProperty(this, "touchMode", void 0);
    _defineProperty(this, "embedded", void 0);
    _defineProperty(this, "hasTime", void 0);
    _defineProperty(this, "hasTimePopup", void 0);
    _defineProperty(this, "timeDisplayText", void 0);
    _defineProperty(this, "timeHasText", void 0);
    _defineProperty(this, "timePickerResolution", void 0);
    _defineProperty(this, "timeFormatPattern", void 0);
    _defineProperty(this, "timeFocused", void 0);
    _defineProperty(this, "isolatedDateFormat", void 0);
    _defineProperty(this, "isolatedTimeFormat", void 0);
    _defineProperty(this, "allowedDates", void 0);
    _defineProperty(this, "htmlDateTimeComposite", void 0);
    _defineProperty(this, "$dateField", void 0);
    _defineProperty(this, "$timeField", void 0);
    _defineProperty(this, "$dateFieldIcon", void 0);
    _defineProperty(this, "$timeFieldIcon", void 0);
    _defineProperty(this, "$dateClearIcon", void 0);
    _defineProperty(this, "$timeClearIcon", void 0);
    /** @internal */
    _defineProperty(this, "_$predictDateField", void 0);
    /** @internal */
    _defineProperty(this, "_$predictTimeField", void 0);
    /**
     * This is the storage for the time (as date) while the focus in the field (e.g. when pressing up/down). In date fields, the date picker is used for that purposes.
     */
    _defineProperty(this, "_tempTimeDate", void 0);
    _defineProperty(this, "_cellEditorPopup", void 0);
    this.allowedDates = [];
    this.popup = null;
    this.autoDate = null;
    this.dateDisplayText = null;
    this.dateHasText = false;
    this.dateFocused = false;
    this.dateFormatPattern = null;
    this.disabledCopyOverlay = true;
    this.hasDate = true;
    this.touchMode = false;
    this.embedded = false;
    this.hasTime = false;
    this.hasTimePopup = true;
    this.timeDisplayText = null;
    this.timeHasText = false;
    this.timeDisplayText = null;
    this.timePickerResolution = 30;
    this.timeFormatPattern = null;
    this.timeFocused = false;
    this.$dateField = null;
    this.$timeField = null;
    this.$dateFieldIcon = null;
    this.$timeFieldIcon = null;
    this.$dateClearIcon = null;
    this.$timeClearIcon = null;
    this._$predictDateField = null;
    this._$predictTimeField = null;
    this._tempTimeDate = null;
    this.invalidValueMessageKey = 'ui.InvalidDate';
    this._addCloneProperties(['hasDate', 'hasTime', 'dateFormatPattern', 'timeFormatPattern', 'allowedDates', 'autoDate']);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _init(model) {
    super._init(model);
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.initTouch(this, model);
    this.popup = model.popup;
    this._setAutoDate(this.autoDate);
    this._setDisplayText(this.displayText);
    this._setAllowedDates(this.allowedDates);
    this._setTimePickerResolution(this.timePickerResolution);
  }
  /**
   * Initializes the date format before calling set value.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    this._setDateFormatPattern(this.dateFormatPattern);
    this._setTimeFormatPattern(this.timeFormatPattern);
    super._initValue(value);
  }
  createDatePopup() {
    let popupType = this.touchMode ? _index__WEBPACK_IMPORTED_MODULE_0__.DatePickerTouchPopup : _index__WEBPACK_IMPORTED_MODULE_0__.DatePickerPopup;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(popupType, {
      parent: this,
      $anchor: this.$field,
      boundToAnchor: !this.touchMode,
      cssClass: this._errorStatusClass(),
      closeOnAnchorMouseDown: false,
      field: this,
      allowedDates: this.allowedDates,
      dateFormat: this.isolatedDateFormat
    });
  }
  createTimePopup() {
    let popupType = this.touchMode ? _index__WEBPACK_IMPORTED_MODULE_0__.TimePickerTouchPopup : _index__WEBPACK_IMPORTED_MODULE_0__.TimePickerPopup;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(popupType, {
      parent: this,
      $anchor: this.$timeField,
      boundToAnchor: !this.touchMode,
      cssClass: this._errorStatusClass(),
      closeOnAnchorMouseDown: false,
      field: this,
      timeResolution: this.timePickerResolution
    });
  }
  _render() {
    this.addContainer(this.$parent, 'date-field');
    this.addLabel();
    this.addField(this.$parent.makeDiv('date-time-composite'));
    this.addStatus();
    if (!this.embedded) {
      this.addMandatoryIndicator();
    }
    this.htmlDateTimeComposite = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$field, this.session);
    this.htmlDateTimeComposite.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.DateTimeCompositeLayout(this));
  }
  _renderProperties() {
    this._renderHasDate();
    this._renderHasTime();
    // Has to be the last call, otherwise _renderErrorStatus() would operate on the wrong state.
    super._renderProperties();
    this._renderDateHasText();
    this._renderTimeHasText();
  }
  _remove() {
    super._remove();
    this.$dateField = null;
    this.$timeField = null;
    this.$dateFieldIcon = null;
    this.$timeFieldIcon = null;
    this.$dateClearIcon = null;
    this.$timeClearIcon = null;
    this._$predictDateField = null;
    this._$predictTimeField = null;
    this.popup = null;
  }
  _renderMandatory() {
    super._renderMandatory();
    // date field uses individual fields, move mandatory attribute
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.required(this.$field, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.required(this.$dateField, this.mandatory || null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.required(this.$timeField, this.mandatory || null);
  }
  setHasDate(hasDate) {
    this.setProperty('hasDate', hasDate);
  }
  _setHasDate(hasDate) {
    this._setProperty('hasDate', hasDate);
    if (this.initialized) {
      // if property changes on the fly, update the display text
      this._updateDisplayTextProperty();
    }
  }
  _renderHasDate() {
    if (this.hasDate && !this.$dateField) {
      // Add $dateField
      this.$dateField = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeInputOrDiv(this, 'date').on('mousedown', this._onDateFieldMouseDown.bind(this)).appendTo(this.$field);
      this._linkWithLabel(this.$dateField);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$dateField, this.id + '-date-func-desc', this.session.text('ui.AriaDateFieldDescription', this.dateFormatPattern));
      if (this.$timeField) {
        // make sure date field comes before time field, otherwise tab won't work as expected
        this.$dateField.insertBefore(this.$timeField);
      }
      if (!this.touchMode) {
        this.$dateField.on('keydown', this._onDateFieldKeyDown.bind(this)).on('input', this._onDateFieldInput.bind(this)).on('blur', this._onDateFieldBlur.bind(this)).on('focus', this._onDateFieldFocus.bind(this));
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$dateField, this.session);
      this.$dateFieldIcon = _index__WEBPACK_IMPORTED_MODULE_0__.fields.appendIcon(this.$field, 'date').on('mousedown', this._onDateIconMouseDown.bind(this));
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$dateFieldIcon, true);
    } else if (!this.hasDate && this.$dateField) {
      // Remove $dateField
      this.$dateField.remove();
      this.$dateField = null;
      this.$dateFieldIcon.remove();
      this.$dateFieldIcon = null;
    }
    if (!this.rendering) {
      this._renderDisplayText();
      this._renderFieldStyle();
      this._renderEnabled();
      this.htmlDateTimeComposite.invalidateLayoutTree();
    }
    this._renderDateClearable();
    this.$container.toggleClass('has-date', this.hasDate);
  }
  setHasTime(hasTime) {
    this.setProperty('hasTime', hasTime);
  }
  _setHasTime(hasTime) {
    this._setProperty('hasTime', hasTime);
    if (this.initialized) {
      // if property changes on the fly, update the display text
      this._updateDisplayTextProperty();
    }
  }
  _renderHasTime() {
    if (this.hasTime && !this.$timeField) {
      // Add $timeField
      this.$timeField = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeInputOrDiv(this, 'time').on('mousedown', this._onTimeFieldMouseDown.bind(this)).appendTo(this.$field);
      this._linkWithLabel(this.$timeField);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$timeField, this.id + '-time-func-desc', this.session.text('ui.AriaTimeFieldDescription', this.timeFormatPattern));
      if (this.$dateField) {
        // make sure time field comes after date field, otherwise tab won't work as expected
        this.$timeField.insertAfter(this.$dateField);
      }
      if (!this.touchMode || !this.hasTimePopup) {
        this.$timeField.on('keydown', this._onTimeFieldKeyDown.bind(this)).on('input', this._onTimeFieldInput.bind(this)).on('blur', this._onTimeFieldBlur.bind(this)).on('focus', this._onTimeFieldFocus.bind(this));
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$timeField, this.session);
      this.$timeFieldIcon = _index__WEBPACK_IMPORTED_MODULE_0__.fields.appendIcon(this.$field, 'time').on('mousedown', this._onTimeIconMouseDown.bind(this));
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$timeFieldIcon, true);
    } else if (!this.hasTime && this.$timeField) {
      // Remove $timeField
      this.$timeField.remove();
      this.$timeField = null;
      this.$timeFieldIcon.remove();
      this.$timeFieldIcon = null;
    }
    if (!this.rendering) {
      this._renderDisplayText();
      this._renderFieldStyle();
      this._renderEnabled();
      this.htmlDateTimeComposite.invalidateLayoutTree();
    }
    this._renderTimeClearable();
    this.$container.toggleClass('has-time', this.hasTime);
  }
  setTimePickerResolution(timePickerResolution) {
    this.setProperty('timePickerResolution', timePickerResolution);
  }
  _setTimePickerResolution(timePickerResolution) {
    if (timePickerResolution < 1) {
      // default
      timePickerResolution = 10;
      this.hasTimePopup = false;
    } else {
      this.hasTimePopup = true;
    }
    this._setProperty('timePickerResolution', timePickerResolution);
  }
  _renderPlaceholder($field) {
    super._renderPlaceholder(this._fieldForPlaceholder());
  }
  _removePlaceholder($field) {
    super._removePlaceholder(this._fieldForPlaceholder());
  }
  _fieldForPlaceholder() {
    if (this.hasDate) {
      return this.$dateField;
    }
    if (this.hasTime) {
      return this.$timeField;
    }
    return null;
  }
  setDateFormatPattern(dateFormatPattern) {
    this.setProperty('dateFormatPattern', dateFormatPattern);
  }
  _setDateFormatPattern(dateFormatPattern) {
    if (!dateFormatPattern) {
      dateFormatPattern = this.session.locale.dateFormatPatternDefault;
    }
    this._setProperty('dateFormatPattern', dateFormatPattern);
    this.isolatedDateFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this.session.locale, this.dateFormatPattern);
    if (this.initialized) {
      // if format changes on the fly, just update the display text
      this._updateDisplayText();
    }
  }
  setTimeFormatPattern(timeFormatPattern) {
    this.setProperty('timeFormatPattern', timeFormatPattern);
  }
  _setTimeFormatPattern(timeFormatPattern) {
    if (!timeFormatPattern) {
      timeFormatPattern = this.session.locale.timeFormatPatternDefault;
    }
    this._setProperty('timeFormatPattern', timeFormatPattern);
    this.isolatedTimeFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this.session.locale, this.timeFormatPattern);
    if (this.initialized) {
      // if format changes on the fly, just update the display text
      this._updateDisplayText();
    }
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$container.setEnabled(this.enabledComputed);
    if (this.$dateField) {
      this.$dateField.setEnabled(this.enabledComputed);
    }
    if (this.$timeField) {
      this.$timeField.setEnabled(this.enabledComputed);
    }
  }
  _renderDisplayText() {
    if (this.hasDate) {
      this._renderDateDisplayText();
    }
    if (this.hasTime) {
      this._renderTimeDisplayText();
    }
    this._removePredictionFields();
  }
  _readDisplayText() {
    let dateDisplayText, timeDisplayText;
    if (this.hasDate) {
      dateDisplayText = this._readDateDisplayText();
    }
    if (this.hasTime) {
      timeDisplayText = this._readTimeDisplayText();
    }
    return this._computeDisplayText(dateDisplayText, timeDisplayText);
  }
  _renderDateDisplayText() {
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$dateField, this.dateDisplayText);
    this._updateDateHasText();
  }
  _readDateDisplayText() {
    return this._$predictDateField ? _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this._$predictDateField) : _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$dateField);
  }
  _renderTimeDisplayText() {
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$timeField, this.timeDisplayText);
    this._updateTimeHasText();
  }
  _readTimeDisplayText() {
    return this._$predictTimeField ? _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this._$predictTimeField) : _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$timeField);
  }
  setDisplayText(displayText) {
    // Overridden to avoid the equals check -> make sure renderDisplayText is executed whenever setDisplayText is called
    // Reason: key up/down and picker day click modify the display text, but input doesn't
    // -> reverting to a date using day click or up down after the input changed would not work anymore
    // changing 'onXyInput' to always update the display text would fix that, but would break acceptInput
    this._setDisplayText(displayText);
    if (this.rendered) {
      this._renderDisplayText();
    }
  }
  _setDisplayText(displayText) {
    this._setProperty('displayText', displayText);
    let parts = this._splitDisplayText(displayText);
    if (this.hasDate) {
      // preserve dateDisplayText if hasDate is set to false (only override if it is true)
      this.dateDisplayText = parts.dateText;
    }
    if (this.hasTime) {
      // preserve timeDisplayText if hasTime is set to false (only override if it is true)
      this.timeDisplayText = parts.timeText;
    }
  }
  _ensureValue(value) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(value);
  }
  _validateValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return value;
    }
    if (!(value instanceof Date)) {
      throw this.session.text(this.invalidValueMessageKey);
    }
    if (!this.isDateAllowed(value)) {
      throw this.session.text('DateIsNotAllowed');
    }
    if (!this.hasDate && !this.value) {
      // truncate to 01.01.1970 if no date was entered before. Otherwise preserve date part (important for toggling hasDate on the fly)
      value = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(null, value);
    }
    return value;
  }
  isDateAllowed(date) {
    if (!date || this.allowedDates.length === 0 || this.embedded) {
      // in embedded mode, main date field must take care of validation, otherwise error status won't be shown
      return true;
    }
    let dateAsTimestamp = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(date).getTime();
    return this.allowedDates.some(allowedDate => allowedDate.getTime() === dateAsTimestamp);
  }
  _valueEquals(valueA, valueB) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.equals(valueA, valueB);
  }
  setAutoDate(autoDate) {
    this.setProperty('autoDate', autoDate);
  }
  _setAutoDate(autoDate) {
    autoDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(autoDate);
    this._setProperty('autoDate', autoDate);
  }
  setAllowedDates(allowedDates) {
    this.setProperty('allowedDates', allowedDates);
  }
  _setAllowedDates(allowedDates) {
    let truncDates = [];
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(allowedDates).forEach(date => {
      if (date) {
        truncDates.push(_index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(_index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(date)));
      }
    });
    truncDates = truncDates.sort(_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare);
    this._setProperty('allowedDates', truncDates);
  }
  /** @internal */
  _renderErrorStatus() {
    super._renderErrorStatus();
    let hasStatus = !!this.errorStatus,
      statusClass = this._errorStatusClass();
    if (this.$dateField) {
      this._updateErrorStatusClassesOnElement(this.$dateField, statusClass, hasStatus);
      // Because the error color of field icons depends on the error status of sibling <input> elements.
      // The prediction fields are clones of the input fields, so the 'has-error' class has to be
      // removed from them as well to make the icon "valid".
      this._updateErrorStatusClassesOnElement(this._$predictDateField, statusClass, hasStatus);
    }
    // Do the same for the time field
    if (this.$timeField) {
      this._updateErrorStatusClassesOnElement(this.$timeField, statusClass, hasStatus);
      this._updateErrorStatusClassesOnElement(this._$predictTimeField, statusClass, hasStatus);
    }
    if (this.popup) {
      this._updateErrorStatusClassesOnElement(this.popup.$container, statusClass, hasStatus);
    }
  }
  _errorStatusClass() {
    return this.errorStatus && !this._isSuppressStatusField() ? 'has-' + this.errorStatus.cssClass() : '';
  }
  _renderFont() {
    this.$dateField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$dateField);
    this.$timeField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyFont(this, this.$timeField);
  }
  _renderForegroundColor() {
    this.$dateField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$dateField);
    this.$timeField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyForegroundColor(this, this.$timeField);
  }
  _renderBackgroundColor() {
    this.$dateField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$dateField);
    this.$timeField && _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyBackgroundColor(this, this.$timeField);
  }
  activate() {
    if (!this.enabledComputed || !this.rendered) {
      return;
    }
    if (this.$dateField) {
      this.$dateField.focus();
      this._onDateFieldMouseDown();
    } else if (this.$timeField) {
      this.$timeField.focus();
      this._onTimeFieldMouseDown();
    }
  }
  getFocusableElement() {
    if (this.$dateField) {
      return this.$dateField;
    }
    if (this.$timeField) {
      return this.$timeField;
    }
    return null;
  }
  _onDateFieldMouseDown() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.fields.handleOnClick(this)) {
      this.openDatePopupAndSelect(this.value);
    }
  }
  _onTimeFieldMouseDown() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.fields.handleOnClick(this)) {
      this.openTimePopupAndSelect(this.value);
    }
  }
  setDateFocused(dateFocused) {
    this.setProperty('dateFocused', dateFocused);
  }
  _renderDateFocused() {
    this.$container.toggleClass('date-focused', this.dateFocused);
  }
  _updateTimeHasText() {
    this.setTimeHasText(_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this._readTimeDisplayText()));
  }
  setTimeHasText(timeHasText) {
    this.setProperty('timeHasText', timeHasText);
  }
  _renderTimeHasText() {
    if (this.$timeField) {
      this.$timeField.toggleClass('has-text', this.timeHasText);
    }
    this.$container.toggleClass('time-has-text', this.timeHasText);
  }
  _updateDateHasText() {
    this.setDateHasText(_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this._readDateDisplayText()));
  }
  setDateHasText(dateHasText) {
    this.setProperty('dateHasText', dateHasText);
  }
  _renderDateHasText() {
    if (this.$dateField) {
      this.$dateField.toggleClass('has-text', this.dateHasText);
    }
    this.$container.toggleClass('date-has-text', this.dateHasText);
  }
  clear() {
    if (!(this.hasDate && this.hasTime)) {
      super.clear();
      return;
    }
    this._clear();
    // If field shows date and time, don't accept input while one field has the focus
    // Reason: x icon is shown in one field, pressing that icon should clear the content of that field.
    // Accept input would set the value to '', thus clearing both fields which may be unexpected.
    if (!this.dateFocused && !this.timeFocused) {
      this.acceptInput();
    }
    this._triggerClear();
  }
  _clear() {
    this._removePredictionFields();
    if (this.hasDate && !this.timeFocused) {
      _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$dateField, '');
      this._setDateValid(true);
      this._updateDateHasText();
    }
    if (this.hasTime && !this.dateFocused) {
      _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$timeField, '');
      this._setTimeValid(true);
      this._updateTimeHasText();
    }
  }
  _onDateClearIconMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.$dateField.focus();
    this.clear();
    if (this.value) {
      this.selectDate(this.value, false);
    } else {
      this.preselectDate(this._referenceDate(), false);
    }
    event.preventDefault();
  }
  _onDateIconMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.$dateField.focus();
    if (!this.embedded) {
      this.openDatePopupAndSelect(this.value);
    }
  }
  setTimeFocused(timeFocused) {
    this.setProperty('timeFocused', timeFocused);
  }
  _renderTimeFocused() {
    this.$container.toggleClass('time-focused', this.timeFocused);
  }
  _renderClearable() {
    this._renderDateClearable();
    this._renderTimeClearable();
    this._updateClearableStyles();
  }
  _renderDateClearable() {
    if (this.hasDate && this.isClearable()) {
      if (!this.$dateClearIcon) {
        // date clear icon
        this.$dateClearIcon = this.$field.appendSpan('icon date-clear unfocusable text-field-icon action').on('mousedown', this._onDateClearIconMouseDown.bind(this));
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$dateClearIcon, 'button');
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$dateClearIcon, this.session.text('ui.ClearField'), true);
      }
    } else {
      if (this.$dateClearIcon) {
        // Remove clear icon
        this.$dateClearIcon.remove();
        this.$dateClearIcon = null;
      }
    }
  }
  _renderTimeClearable() {
    if (this.hasTime && this.isClearable()) {
      if (!this.$timeClearIcon) {
        // time clear icon
        this.$timeClearIcon = this.$field.appendSpan('icon time-clear unfocusable text-field-icon action').on('mousedown', this._onTimeClearIconMouseDown.bind(this));
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$timeClearIcon, 'button');
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$timeClearIcon, this.session.text('ui.ClearField'), true);
      }
    } else {
      if (this.$timeClearIcon) {
        // Remove clear icon
        this.$timeClearIcon.remove();
        this.$timeClearIcon = null;
      }
    }
  }
  _onTimeClearIconMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.$timeField.focus();
    this.clear();
    if (this.value) {
      this.selectTime(this.value);
    } else {
      this.preselectTime(this._referenceDate());
    }
    event.preventDefault();
  }
  _onTimeIconMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    this.$timeField.focus();
    if (!this.embedded) {
      this.openTimePopupAndSelect(this.value);
    }
  }
  _onDateFieldBlur(event) {
    this.setFocused(false);
    this.setDateFocused(false);
    if (this.embedded) {
      // Don't execute, otherwise date would be accepted even though touch popup is still open.
      // This prevents following behavior: user clears date by pressing x and then selects another date. Now a blur event is triggered which would call acceptDate and eventually remove the time
      // -> Don't accept as long as touch dialog is open
      return;
    }
    // Close picker and update model
    if (this.popup instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DatePickerPopup) {
      // in embedded mode we must update the date prediction but not close the popup (don't accidentally close time picker popup)
      this.closePopup();
    }
    this.setDateFocused(false);
    this.acceptDate();
    this._removePredictionFields();
  }
  _onDateFieldFocus(event) {
    this.setFocused(true);
    this.setDateFocused(true);
  }
  _onTimeFieldBlur(event) {
    this._tempTimeDate = null;
    this.setFocused(false);
    this.setTimeFocused(false);
    if (this.embedded) {
      // Don't execute, otherwise time would be accepted even though touch popup is still open.
      // This prevents following behavior: user clears time by pressing x and then selects another time. Now a blur event is triggered which would call acceptTime and eventually remove the date
      // -> Don't accept as long as touch dialog is open
      return;
    }
    // Close picker and update model
    if (this.popup instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TimePickerPopup) {
      // in embedded mode we must update the date prediction but not close the popup
      this.closePopup();
    }
    this._tempTimeDate = null;
    this.setTimeFocused(false);
    this.acceptTime();
    this._removePredictionFields();
  }
  _onTimeFieldFocus() {
    this.setFocused(true);
    this.setTimeFocused(true);
  }
  /**
   * Handle "navigation" keys, i.e. keys that don't emit visible characters. Character input is handled
   * in _onDateFieldInput(), which is fired after 'keydown'.
   */
  _onDateFieldKeyDown(event) {
    let delta = 0,
      diffYears = 0,
      diffMonths = 0,
      diffDays = 0,
      cursorPos = this.$dateField[0].selectionStart,
      displayText = _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$dateField),
      prediction = this._$predictDateField && _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this._$predictDateField),
      modifierCount = (event.ctrlKey ? 1 : 0) + (event.shiftKey ? 1 : 0) + (event.altKey ? 1 : 0) + (event.metaKey ? 1 : 0),
      pickerStartDate = this.value || this._referenceDate(),
      shiftDate = true,
      which = event.which;
    // Don't propagate tab to cell editor -> tab should focus time field
    if (this.hasTime && this.mode === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.Mode.CELLEDITOR && which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB && modifierCount === 0) {
      event.stopPropagation();
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.END || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT) {
      // Default handling
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER) {
      if (this.popup || this._$predictDateField) {
        // Close the picker and accept the current prediction (if available)
        this.acceptDate();
        this.closePopup();
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      if (this.popup) {
        // Close the picker, but don't do anything else
        this.closePopup();
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT && cursorPos === displayText.length) {
      // Move cursor one right and apply next char of the prediction
      if (prediction) {
        this._setDateDisplayText(prediction.substring(0, displayText.length + 1));
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN) {
      if (displayText && !this._isDateValid()) {
        // If there is an error, try to parse the date. If it may be parsed, the error was likely a validation error.
        // In that case use the parsed date as starting point and not the for the user invisible value
        let parsedValue = this.isolatedDateFormat.parse(displayText, pickerStartDate);
        if (parsedValue) {
          pickerStartDate = parsedValue;
          this._setDateValid(true);
        }
      }
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN) {
      if (!displayText || !this._isDateValid()) {
        // If input is empty or invalid, set picker to reference date
        pickerStartDate = this._referenceDate();
        if (this.hasTime) {
          // keep time part
          pickerStartDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(pickerStartDate, this.value || this._referenceDate());
        }
        this.openDatePopupAndSelect(pickerStartDate);
        this._updateDisplayText(pickerStartDate);
        this._setDateValid(true);
        shiftDate = false; // don't shift if field has no value yet and popup was not open
      } else if (!this.popup) {
        // Otherwise, ensure picker is open
        this.openDatePopupAndSelect(pickerStartDate);
      }
      if (shiftDate) {
        diffMonths = which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP ? -1 : 1;
        this.shiftSelectedDate(0, diffMonths, 0);
        this._updateDisplayText(this.getDatePicker().selectedDate);
      }
      jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN) {
      delta = which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP ? -1 : 1;
      // event.ctrlKey || event.metaKey  --> some keystrokes with ctrl modifier are captured and suppressed by osx, use command key instead
      if ((event.ctrlKey || event.metaKey) && modifierCount === 1) {
        // only ctrl
        diffYears = delta;
      } else if (event.shiftKey && modifierCount === 1) {
        // only shift
        diffMonths = delta;
      } else if (modifierCount === 0) {
        // no modifier
        diffDays = delta;
      } else {
        // Unsupported modifier or too many modifiers
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
        return;
      }
      if (!displayText || !this._isDateValid()) {
        // If input is empty or invalid, set picker to reference date
        pickerStartDate = this._referenceDate();
        if (this.hasTime) {
          // keep time part
          pickerStartDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(pickerStartDate, this.value || this._referenceDate());
        }
        this.openDatePopupAndSelect(pickerStartDate);
        this._updateDisplayText(pickerStartDate);
        this._setDateValid(true);
        shiftDate = false; // don't shift if field has no value yet and popup was not open
      } else if (!this.popup) {
        // Otherwise, ensure picker is open
        this.openDatePopupAndSelect(pickerStartDate);
      }
      if (shiftDate) {
        this.shiftSelectedDate(diffYears, diffMonths, diffDays);
        this._updateDisplayText(this.getDatePicker().selectedDate);
      }
      jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
    }
  }
  /**
   * Handle changed input. This method is fired when the field's content has been altered by a user
   * action (not by JS) such as pressing a character key, deleting a character using DELETE or
   * BACKSPACE, cutting or pasting text with ctrl-x / ctrl-v or mouse drag-and-drop.
   * Keys that don't alter the content (e.g. modifier keys, arrow keys, home, end etc.) are handled
   * in _onDateFieldKeyDown().
   */
  _onDateFieldInput(event) {
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$dateField);
    // If the focus has changed to another field in the meantime, don't predict anything and
    // don't show the picker. Just validate the input.
    if (this.$dateField[0] !== this.$dateField.activeElement(true)) {
      return;
    }
    // Create $predictDateField if necessary
    if (!this._$predictDateField) {
      this._$predictDateField = this._createPredictionField(this.$dateField);
    }
    // Predict date
    this._removePredictErrorStatus();
    let datePrediction = this._predictDate(displayText); // this also updates the errorStatus
    if (datePrediction) {
      _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this._$predictDateField, datePrediction.text);
      this.openDatePopupAndSelect(datePrediction.date);
    } else {
      // No valid prediction!
      this._removePredictionFields();
    }
    this._updateDateHasText();
    // Hide the prediction field if input field is scrolled to the left. Otherwise, the
    // two fields would not be aligned correctly, which looks bad. This can only happen
    // when the fields are rather small, so the prediction would be of limited use anyway.
    // Unfortunately, most browsers don't fire 'scroll' events for input fields. Also,
    // when the 'input' even is fired, the scrollLeft() position sometimes has not been
    // updated yet, that's why we must use setTimeout() with a short delay.
    setTimeout(() => {
      if (this._$predictDateField) {
        this._$predictDateField.setVisible(this.$dateField.scrollLeft() === 0);
      }
    }, 50);
  }
  acceptInput(whileTyping) {
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._readDisplayText(), '');
    let inputChanged = this._checkDisplayTextChanged(displayText);
    if (inputChanged) {
      this.parseAndSetValue(displayText);
    } else {
      let oldValue = this.value;
      this.parseAndSetValue(displayText);
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.dates.equals(this.value, oldValue)) {
        inputChanged = true;
      }
    }
    if (inputChanged) {
      this._triggerAcceptInput(whileTyping);
    }
  }
  /**
   * Clears the time field if date field is empty before accepting the input.<br/>
   * Don't delete invalid input from the time field.
   */
  acceptDate() {
    let invalid = this.containsStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus);
    if (this.hasTime && !invalid && _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.$dateField.val())) {
      this.$timeField.val('');
    }
    this.acceptInput();
  }
  /**
   * Clears the date field if time field is empty before accepting the input.<br/>
   * Don't delete invalid input from the time field.
   */
  acceptTime() {
    let invalid = this.containsStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus);
    if (this.hasDate && !invalid && _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.$timeField.val())) {
      this.$dateField.val('');
    }
    this.acceptInput();
  }
  acceptDateTime(acceptDate, acceptTime) {
    if (acceptDate) {
      this.acceptDate();
    } else if (acceptTime) {
      this.acceptTime();
    }
  }
  /**
   * Handle "navigation" keys, i.e. keys that don't emit visible characters. Character input is handled
   * in _onTimeFieldInput(), which is fired after 'keydown'.
   */
  _onTimeFieldKeyDown(event) {
    let delta = 0,
      diffHours = 0,
      diffMinutes = 0,
      diffSeconds = 0,
      cursorPos = this.$timeField[0].selectionStart,
      displayText = this.$timeField.val(),
      prediction = this._$predictTimeField && this._$predictTimeField.val(),
      modifierCount = (event.ctrlKey ? 1 : 0) + (event.shiftKey ? 1 : 0) + (event.altKey ? 1 : 0) + (event.metaKey ? 1 : 0),
      pickerStartTime = this.value || this._referenceDate(),
      shiftTime = true,
      which = event.which;
    // Don't propagate shift-tab to cell editor -> shift tab should focus date field
    if (this.hasDate && this.mode === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.Mode.CELLEDITOR && which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB && event.shiftKey && modifierCount === 1) {
      event.stopPropagation();
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.END || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT) {
      // Default handling
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER) {
      // TimeField is shown in touch popup, so we need to make sure time gets accepted and popup closed, even if the regular time field itself has no popup
      if (this.popup || this._$predictDateField) {
        // Accept the current prediction (if available)
        this._tempTimeDate = null;
        this.acceptTime();
        this.closePopup();
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      if (this.popup) {
        // Close the picker, but don't do anything else
        this.closePopup();
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT && cursorPos === displayText.length) {
      // Move cursor one right and apply next char of the prediction
      if (prediction) {
        this._setTimeDisplayText(prediction.substring(0, displayText.length + 1));
      }
      return;
    }
    if (which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP || which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN) {
      delta = which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP ? -1 : 1;
      if (event.ctrlKey && modifierCount === 1) {
        // only ctrl
        diffSeconds = delta;
      } else if (event.shiftKey && modifierCount === 1) {
        // only shift
        diffHours = delta;
      } else if (modifierCount === 0) {
        // no modifier
        diffMinutes = delta;
      } else {
        // Unsupported modifier or too many modifiers
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
        return;
      }
      if (this.hasTimePopup) {
        if (!displayText || !this._isTimeValid()) {
          // If input is empty or invalid, set picker to reference date
          pickerStartTime = this._referenceDate();
          this.openTimePopupAndSelect(pickerStartTime);
          this._updateDisplayText(pickerStartTime);
          this._setTimeValid(true);
          shiftTime = false; // don't shift if field has no value yet and popup was not open
        } else if (!this.popup) {
          // Otherwise, ensure picker is open
          this.openTimePopupAndSelect(pickerStartTime);
        }
        if (shiftTime) {
          this.shiftSelectedTime(diffHours, diffMinutes, diffSeconds);
          this._updateDisplayText(this.getTimePicker().selectedTime);
        }
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      } else {
        // without picker
        if (!this._tempTimeDate) {
          let timePrediction = this._predictTime(displayText); // this also updates the errorStatus
          if (timePrediction && timePrediction.date) {
            this._tempTimeDate = timePrediction.date;
          } else {
            this._tempTimeDate = this._referenceDate();
            shiftTime = false;
          }
        }
        if (shiftTime) {
          this._tempTimeDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(this._tempTimeDate, diffHours, diffMinutes, diffSeconds);
        }
        if (this.hasDate) {
          // Combine _tempTimeDate with existing date part
          this._tempTimeDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(this.value || this._referenceDate(), this._tempTimeDate);
        }
        this._updateDisplayText(this._tempTimeDate);
        this._setTimeValid(true);
        jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
      }
    }
  }
  /**
   * Handle changed input. This method is fired when the field's content has been altered by a user
   * action (not by JS) such as pressing a character key, deleting a character using DELETE or
   * BACKSPACE, cutting or pasting text with ctrl-x / ctrl-v or mouse drag-and-drop.
   * Keys that don't alter the content (e.g. modifier keys, arrow keys, home, end etc.) are handled
   * in _onTimeFieldKeyDown().
   */
  _onTimeFieldInput(event) {
    let displayText = this.$timeField.val();
    // If the focus has changed to another field in the meantime, don't predict anything and
    // don't show the picker. Just validate the input.
    if (this.$timeField[0] !== this.$timeField.activeElement(true)) {
      return;
    }
    // Create $predictTimeField if necessary
    if (!this._$predictTimeField) {
      this._$predictTimeField = this._createPredictionField(this.$timeField);
    }
    // Predict time
    let timePrediction = this._predictTime(displayText); // this also updates the errorStatus
    if (timePrediction) {
      this._$predictTimeField.val(timePrediction.text);
      this.openTimePopupAndSelect(timePrediction.date);
    } else {
      // No valid prediction!
      this._tempTimeDate = null;
      this._removePredictionFields();
    }
    this._updateTimeHasText();
    // See comment for similar code in _onDateFieldInput()
    setTimeout(() => {
      if (this._$predictTimeField) {
        this._$predictTimeField.setVisible(this.$timeField.scrollLeft() === 0);
      }
    }, 50);
  }
  _onDatePickerDateSelect(event) {
    this._setNewDateTimeValue(this._newTimestampAsDate(event.date, this.value));
  }
  _onTimePickerTimeSelect(event) {
    this._setNewDateTimeValue(this._newTimestampAsDate(this.value, event.time));
  }
  _setNewDateTimeValue(newValue) {
    this._setDateValid(true);
    this._setTimeValid(true);
    this.setValue(newValue);
    this._triggerAcceptInput(false);
    this.closePopup();
  }
  _createPredictionField($inputField) {
    this.setSuppressStatus(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.SuppressStatus.ALL);
    let $predictionField = $inputField.clone().addClass('predict').attr('tabindex', '-2').insertBefore($inputField);
    if ($inputField.hasClass('has-error')) {
      $predictionField.addClass('has-error');
    }
    return $predictionField;
  }
  _removePredictionFields() {
    this.setSuppressStatus(null);
    if (this._$predictDateField) {
      this._$predictDateField.remove();
      this._$predictDateField = null;
    }
    if (this._$predictTimeField) {
      this._$predictTimeField.remove();
      this._$predictTimeField = null;
    }
  }
  _setDateDisplayText(displayText) {
    this.dateDisplayText = displayText;
    this._updateDisplayTextProperty();
    if (this.rendered) {
      this._renderDateDisplayText();
    }
  }
  _setTimeDisplayText(displayText) {
    this.timeDisplayText = displayText;
    this._updateDisplayTextProperty();
    if (this.rendered) {
      this._renderTimeDisplayText();
    }
  }
  _computeDisplayText(dateDisplayText, timeDisplayText) {
    let dateText = dateDisplayText || '',
      timeText = timeDisplayText || '';
    // do not use strings.join which ignores empty components
    let displayText = (this.hasDate ? dateText : '') + (this.hasDate && this.hasTime ? '\n' : '') + (this.hasTime ? timeText : '');
    // empty display text should always be just an empty string
    if (displayText === '\n') {
      displayText = '';
    }
    return displayText;
  }
  _splitDisplayText(displayText) {
    let dateText = '',
      timeText = '';
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(displayText)) {
      let parts = displayText.split('\n');
      dateText = this.hasDate ? parts[0] : '';
      timeText = this.hasTime ? this.hasDate ? parts[1] : parts[0] : '';
    }
    return {
      dateText: dateText,
      timeText: timeText
    };
  }
  _updateDisplayTextProperty() {
    this._setProperty('displayText', this._computeDisplayText(this.dateDisplayText, this.timeDisplayText));
  }
  aboutToBlurByMouseDown(target) {
    let eventOnDateField = this.$dateField ? this.$dateField.isOrHas(target) || this.$dateFieldIcon.isOrHas(target) || this.$dateClearIcon && this.$dateClearIcon.isOrHas(target) : false,
      eventOnTimeField = this.$timeField ? this.$timeField.isOrHas(target) || this.$timeFieldIcon.isOrHas(target) || this.$timeClearIcon && this.$timeClearIcon.isOrHas(target) : false,
      eventOnPopup = this.popup && this.popup.$container.isOrHas(target),
      eventOnStatus = this.fieldStatus && this.fieldStatus.$container.isOrHas(target),
      datePicker = this.getDatePicker(),
      timePicker = this.getTimePicker();
    if (!eventOnDateField && !eventOnTimeField && !eventOnPopup && !eventOnStatus) {
      // event outside this field.
      let dateFieldActive = _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(this.$dateField);
      let timeFieldActive = _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(this.$timeField);
      // Accept only the currently focused part (the other one cannot have a pending change)
      this.acceptDateTime(dateFieldActive, timeFieldActive);
      return;
    }
    // when date-field is embedded, time-prediction must be accepted before
    // the date-picker triggers the 'dateSelect' event.
    if (this.embedded) {
      let eventOnDatePicker = datePicker && datePicker.$container.isOrHas(target);
      let eventOnTimePicker = timePicker && timePicker.$container.isOrHas(target);
      if (eventOnDatePicker && eventOnTimePicker) {
        this.acceptTime();
      }
    }
  }
  /**
   * Returns null if both arguments are not set. Otherwise, this.value or the current date
   * is used as basis and the given arguments are applied to that date. The result is returned.
   */
  _newTimestampAsDate(date, time) {
    let result = null;
    if (date || time) {
      result = this.value || this._referenceDate();
      if (date) {
        result = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(date, result);
      }
      if (time) {
        result = _index__WEBPACK_IMPORTED_MODULE_0__.dates.combineDateTime(result, time);
      }
    }
    return result;
  }
  /**
   * Returns the reference date for this date field, which is used in various places (i.e. opening the date picker, analyzing user inputs).
   *
   * The reference date is either (in that order):
   * - the model's "auto timestamp" (as date), or
   * - the current date/time
   */
  _referenceDate() {
    let referenceDate = this.autoDate || _index__WEBPACK_IMPORTED_MODULE_0__.dates.ceil(_index__WEBPACK_IMPORTED_MODULE_0__.dates.newDate(), this.timePickerResolution);
    if (this.autoDate) {
      referenceDate = this.autoDate;
    } else if (this.hasTime) {
      referenceDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ceil(_index__WEBPACK_IMPORTED_MODULE_0__.dates.newDate(), this.timePickerResolution);
    } else {
      referenceDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(_index__WEBPACK_IMPORTED_MODULE_0__.dates.newDate());
    }
    if (this.allowedDates) {
      referenceDate = this._findAllowedReferenceDate(referenceDate);
    }
    return referenceDate;
  }
  /**
   * Find nearest allowed date which is equals or greater than the current referenceDate.
   */
  _findAllowedReferenceDate(referenceDate) {
    // 1st: try to find a date which is equals or greater than the referenceDate (today)
    for (let i = 0; i < this.allowedDates.length; i++) {
      let allowedDate = this.allowedDates[i];
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(allowedDate, referenceDate) >= 0) {
        return allowedDate;
      }
    }
    // 2nd: try to find an allowed date in the past
    for (let i = this.allowedDates.length - 1; i >= 0; i--) {
      let allowedDate = this.allowedDates[i];
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.compare(allowedDate, referenceDate) <= 0) {
        return allowedDate;
      }
    }
    return referenceDate;
  }
  openDatePopup() {
    if (this.popup) {
      // already open
      return;
    }
    this.popup = this.createDatePopup();
    this.popup.open();
    this.$dateField.addClass('focused');
    this.popup.one('destroy', event => {
      // Removing the class must happen before _onPopupDestroy() is called, otherwise the date field no longer exists,
      // because in touch mode _onPopupDestroy() destroys the date field.
      this.$dateField.removeClass('focused');
      this._onPopupDestroy(event);
      this.popup = null;
    });
    this.getDatePicker().on('dateSelect', this._onDatePickerDateSelect.bind(this));
  }
  closePopup() {
    if (this.popup) {
      this.popup.close();
    }
  }
  toggleDatePopup() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(DateField#toggleDatePopup) popupOpen=', !!this.popup);
    if (this.popup) {
      this.closePopup();
    } else {
      this.openDatePopupAndSelect(this.value);
    }
  }
  openTimePopup() {
    if (!this.hasTimePopup || this.popup) {
      // already open
      return;
    }
    this.popup = this.createTimePopup();
    this.popup.open();
    this.$timeField.addClass('focused');
    this.popup.one('destroy', event => {
      // Removing the class must happen before _onPopupDestroy() is called, otherwise the date field no longer exists,
      // because in touch mode _onPopupDestroy() destroys the date field.
      this.$timeField.removeClass('focused');
      this._onPopupDestroy(event);
      this.popup = null;
    });
    this.getTimePicker().on('timeSelect', this._onTimePickerTimeSelect.bind(this));
  }
  toggleTimePopup() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(DateField#toggleTimePopup) popupOpen=', !!this.popup);
    if (this.popup) {
      this.closePopup();
    } else {
      this.openTimePopupAndSelect(this.value);
    }
  }
  _parseValue(displayText) {
    let parts = this._splitDisplayText(displayText);
    let dateText = parts.dateText;
    let datePrediction = {};
    let timeText = parts.timeText;
    let timePrediction = {};
    let success = true;
    this._removePredictErrorStatus();
    if (this.hasDate) {
      datePrediction = this._predictDate(dateText); // this also updates the errorStatus
      if (!datePrediction) {
        success = false;
      }
      this._setDateDisplayText(dateText);
    }
    if (this.hasTime) {
      timePrediction = this._predictTime(timeText); // this also updates the errorStatus
      if (!timePrediction) {
        success = false;
      }
      this._setTimeDisplayText(timeText);
    }
    // Error status was already set by _predict functions, throw this typed Status so DateField knows it must
    // not set the error status again when the parse error is catched
    if (!success) {
      throw new _index__WEBPACK_IMPORTED_MODULE_0__.DatePredictionFailedStatus();
    }
    // parse success -> return new value
    if (datePrediction.date || timePrediction.date) {
      return this._newTimestampAsDate(datePrediction.date, timePrediction.date);
    }
    return null;
  }
  /**
   * Don't add error if it is a DatePredictionFailedStatus because the predict function has already added a parsing error.
   */
  _addParsingFailedErrorStatus(displayText, error) {
    if (error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DatePredictionFailedStatus) {
      return;
    }
    super._addParsingFailedErrorStatus(displayText, error);
  }
  /**
   * @returns null if input is invalid, otherwise a DateFieldPredictionResult
   */
  _predictDate(inputText) {
    inputText = inputText || '';
    // "Date calculations"
    let m = inputText.match(/^([+-])(\d*)$/);
    if (m) {
      let now = _index__WEBPACK_IMPORTED_MODULE_0__.dates.newDate();
      let daysToAdd = Number(m[1] + (m[2] || '0'));
      now.setDate(now.getDate() + daysToAdd);
      if (isNaN(now.valueOf()) || now.getDate() < 0) {
        // Some older browsers don't set NaN but return invalid values
        this._setDateValid(false);
        return null;
      }
      this._setDateValid(true);
      return {
        date: now,
        text: inputText
      };
    }
    let analyzeInfo = this._analyzeInputAsDate(inputText, this.value || this._referenceDate());
    if (analyzeInfo.error) {
      this._setDateValid(false);
      return null;
    }
    // No predicted date? -> return empty string (may happen if inputText is empty)
    if (!analyzeInfo.predictedDate) {
      this._setDateValid(true);
      return {
        date: null,
        text: ''
      };
    }
    let predictedDate = analyzeInfo.predictedDate;
    let predictionFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this.isolatedDateFormat.locale, analyzeInfo.parsedPattern);
    let predictedDateFormatted = predictionFormat.format(predictedDate, {
      analyzeInfo
    });
    // If predicted date format starts with validatedText, ensure that the capitalization matches.
    // Example: input = 'frid', predicted = 'Friday, 1.10.2014' --> return 'friday, 1.10.2014')
    m = predictedDateFormatted.match(new RegExp('^' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(inputText) + '(.*)$', 'i'));
    if (m) {
      predictedDateFormatted = inputText + m[1];
    }
    // Don't show the formatted prediction if it does not match the user input (would not look good)
    if (!predictedDateFormatted.startsWith(inputText)) {
      predictedDateFormatted = inputText;
    }
    this._setDateValid(true);
    return {
      date: predictedDate,
      text: predictedDateFormatted
    };
  }
  /**
   * @returns null if input is invalid, otherwise a DateFieldPredictionResult
   */
  _predictTime(inputText) {
    inputText = inputText || '';
    let analyzeInfo = this._analyzeInputAsTime(inputText, this.value || this._referenceDate());
    if (analyzeInfo.error) {
      this._setTimeValid(false);
      return null;
    }
    // No predicted date? -> return empty string (may happen if inputText is empty)
    if (!analyzeInfo.predictedDate) {
      this._setTimeValid(true);
      return {
        date: null,
        text: ''
      };
    }
    let predictedDate = analyzeInfo.predictedDate;
    let predictionFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this.isolatedTimeFormat.locale, analyzeInfo.parsedPattern);
    let predictedTimeFormatted = predictionFormat.format(predictedDate, {
      analyzeInfo
    });
    // If predicted date format starts with validatedText, ensure that the capitalization matches.
    // Example: input = 'frid', predicted = 'Friday, 1.10.2014' --> return 'friday, 1.10.2014')
    let m = predictedTimeFormatted.match(new RegExp('^' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(inputText) + '(.*)$', 'i'));
    if (m) {
      predictedTimeFormatted = inputText + m[1];
    }
    // Don't show the formatted prediction if it does not match the user input (would not look good)
    if (!predictedTimeFormatted.startsWith(inputText)) {
      predictedTimeFormatted = inputText;
    }
    this._setTimeValid(true);
    return {
      date: predictedDate,
      text: predictedTimeFormatted
    };
  }
  _analyzeInputAsDate(inputText, startDate) {
    return this.isolatedDateFormat.analyze(inputText, startDate);
  }
  _analyzeInputAsTime(inputText, startDate) {
    return this.isolatedTimeFormat.analyze(inputText, startDate);
  }
  /**
   * This method updates the parts (date, time) of the error status.
   */
  _setErrorStatusPart(property, valid) {
    // check if date/time error exists
    let status = null;
    let storedStatus = null;
    if (this.errorStatus) {
      storedStatus = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.errorStatus.asFlatList(), DateField.PARSE_ERROR_PREDICATE);
    }
    if (storedStatus) {
      status = storedStatus;
    } else {
      status = new _index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus({
        message: this.session.text('ui.InvalidDate'),
        severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR,
        code: DateField.ErrorCode.PARSE_ERROR
      });
    }
    if (valid) {
      delete status[property];
    } else {
      status[property] = true;
    }
    if (!status.hasOwnProperty('invalidDate') && !status.hasOwnProperty('invalidTime')) {
      status = null;
    }
    if (status && !storedStatus) {
      this.addErrorStatus(status);
    } else if (!status && storedStatus) {
      this._removePredictErrorStatus();
    } // else: just update existing error
  }
  _removePredictErrorStatus() {
    this.removeErrorStatusByPredicate(DateField.PARSE_ERROR_PREDICATE);
  }
  _createInvalidValueStatus(statusType, value, error) {
    let errorStatus = super._createInvalidValueStatus(statusType, value, error);
    // Set date and time to invalid, otherwise isDateValid and isTimeValid return false even though there is a validation error
    errorStatus['invalidDate'] = true;
    errorStatus['invalidTime'] = true;
    errorStatus.code = DateField.ErrorCode.PARSE_ERROR;
    return errorStatus;
  }
  _setDateValid(valid) {
    this._setErrorStatusPart('invalidDate', valid);
  }
  _setTimeValid(valid) {
    this._setErrorStatusPart('invalidTime', valid);
  }
  _isErrorStatusPartValid(property) {
    if (!this.errorStatus) {
      return true;
    }
    // return false if one of the status has the invalid* property
    return !this.errorStatus.asFlatList().some(status => !!status[property]);
  }
  _isDateValid() {
    return this._isErrorStatusPartValid('invalidDate');
  }
  _isTimeValid() {
    return this._isErrorStatusPartValid('invalidTime');
  }
  /**
   * Method invoked if being rendered within a cell-editor (mode= {@link FormField.Mode.CELLEDITOR}), and once the editor finished its rendering.
   */
  onCellEditorRendered(options) {
    if (options.openFieldPopup) {
      if (this.hasDate && !this.hasTime) {
        this.openDatePopupAndSelect(this.value);
      } else if (!this.hasDate && this.hasTime) {
        this.openTimePopupAndSelect(this.value);
      } else if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch()) {
        // If date AND time are active, don't open popup on touch devices because the user has to choose first what he wants to edit
        this.openDatePopupAndSelect(this.value);
      }
    }
    if (this.touchMode) {
      this._cellEditorPopup = options.cellEditorPopup;
    }
  }
  _onPopupDestroy(event) {
    if (!this.touchMode || !this._cellEditorPopup) {
      return;
    }
    if (this.hasDate && this.hasTime) {
      // If date and time is shown, user might want to change both, let him close the cell editor when he is finished
      return;
    }
    // Close cell editor when touch popup closes
    this._cellEditorPopup.completeEdit();
    this._cellEditorPopup = null;
  }
  prepareForCellEdit(opts) {
    opts = opts || {};
    super.prepareForCellEdit(opts);
    this.$field.removeClass('cell-editor-field first last');
    if (this.$dateField) {
      this.addCellEditorFieldCssClasses(this.$dateField, opts);
    }
    if (this.$timeField) {
      if (!this.$dateField) {
        opts.cssClass = '';
      }
      this.addCellEditorFieldCssClasses(this.$timeField, opts);
    }
  }
  /**
   * @returns DatePicker instance from popup, because the property name is different for DatePickerPopup and DatePickerTouchPopup.
   */
  getDatePicker() {
    if (this.popup && this.popup.getDatePicker) {
      return this.popup.getDatePicker();
    }
  }
  /**
   * Opens picker and selects date
   *
   * @param date
   *          optional, Date to pass to the date picker. If no date is specified, the reference date
   *          is preselected (not selected!).
   */
  openDatePopupAndSelect(date) {
    this.openDatePopup();
    if (!date) {
      this.preselectDate(this._referenceDate(), false);
    } else {
      this.selectDate(date, false);
    }
  }
  preselectDate(date, animated) {
    let datePicker = this.getDatePicker();
    if (datePicker) {
      datePicker.preselectDate(date, animated);
    }
  }
  selectDate(date, animated) {
    let datePicker = this.getDatePicker();
    if (datePicker) {
      datePicker.selectDate(date, animated);
    }
  }
  /**
   * @returns TimePicker instance from popup, because the property name is different for TimePickerPopup and TimePickerTouchPopup.
   */
  getTimePicker() {
    if (this.popup && this.popup.getTimePicker) {
      return this.popup.getTimePicker();
    }
  }
  /**
   * Opens picker and selects date
   *
   * @param date
   *          optional, Date to pass to the date picker. If no date is specified, the reference date
   *          is preselected (not selected!).
   */
  openTimePopupAndSelect(time) {
    // resolution < 1 means no picker required
    if (!this.hasTimePopup) {
      return;
    }
    this.openTimePopup();
    if (!time) {
      this.preselectTime(this._referenceDate());
    } else {
      this.selectTime(time);
    }
  }
  preselectTime(time) {
    let timePicker = this.getTimePicker();
    if (timePicker) {
      timePicker.preselectTime(time);
    }
  }
  selectTime(time) {
    let timePicker = this.getTimePicker();
    if (timePicker) {
      timePicker.selectTime(time);
    }
  }
  shiftSelectedDate(years, months, days) {
    this.openDatePopup();
    this.getDatePicker().shiftSelectedDate(years, months, days);
  }
  shiftSelectedTime(hourUnits, minuteUnits, secondUnits) {
    this.openTimePopup();
    this.getTimePicker().shiftSelectedTime(hourUnits, minuteUnits, secondUnits);
  }
  _formatValue(value) {
    let dateText = '',
      timeText = '';
    if (this.hasDate) {
      if (value) {
        dateText = this.isolatedDateFormat.format(value);
      }
      this.dateDisplayText = dateText;
    }
    if (this.hasTime) {
      if (value) {
        timeText = this.isolatedTimeFormat.format(value);
      }
      this.timeDisplayText = timeText;
    }
    return this._computeDisplayText(this.dateDisplayText, this.timeDisplayText);
  }
  _renderFieldStyle() {
    super._renderFieldStyle();
    this._renderFieldStyleInternal(this.$dateField);
    this._renderFieldStyleInternal(this.$timeField);
  }
  _renderDisabledStyle() {
    super._renderDisabledStyle();
    this._renderDisabledStyleInternal(this.$dateField);
    this._renderDisabledStyleInternal(this.$timeField);
  }
  /** @internal */
  _triggerAcceptInput(whileTyping) {
    let event = {
      displayText: this.displayText,
      errorStatus: this.errorStatus,
      value: this.value,
      whileTyping: !!whileTyping
    };
    this.trigger('acceptInput', event);
  }
}
_DateField = DateField;
_defineProperty(DateField, "ErrorCode", {
  PARSE_ERROR: -1
});
/**
 * Predicate function to find a PARSE_ERROR.
 */
_defineProperty(DateField, "PARSE_ERROR_PREDICATE", status => status.code === _DateField.ErrorCode.PARSE_ERROR);

/***/ }),

/***/ "./src/form/fields/datefield/DateFieldAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/datefield/DateFieldAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateFieldAdapter: () => (/* binding */ DateFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DateFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  constructor() {
    super();
    /**
     * Make sure hasDate and hasTime are always set before displayText, otherwise toggling hasDate and hasTime dynamically
     * won't work because renderDisplayText would try to write the time into the date field
     */
    this._addOrderedProperties(['hasTime', 'hasDate']);
  }
  _onWidgetAcceptInput(event) {
    let parsingFailedError = null;
    let errorStatus = this.widget.errorStatus;
    // Only send Parsing errors to the server
    if (errorStatus && errorStatus.hasChildren()) {
      parsingFailedError = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(errorStatus.asFlatList(), childStatus => {
        return childStatus instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus;
      });
    }
    let data = {
      displayText: this.widget.displayText,
      errorStatus: parsingFailedError
    };
    // In case of an error, the value is still the old, valid value -> don't send it
    if (!parsingFailedError) {
      data.value = _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDate(this.widget.value);
    }
    this._send('acceptInput', data, {
      showBusyIndicator: !event.whileTyping,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type;
      }
    });
  }
  static isDateAllowedRemote(date) {
    if (!this.modelAdapter) {
      return this.isDateAllowedOrig(date);
    }
    // Server will take care of it
    return true;
  }
  static modifyPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.DateField, _index__WEBPACK_IMPORTED_MODULE_0__.DateField.prototype.isDateAllowed, DateFieldAdapter.isDateAllowedRemote, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', DateFieldAdapter.modifyPrototype);

/***/ }),

/***/ "./src/form/fields/datefield/DateFieldEventMap.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/datefield/DateFieldEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/datefield/DateFieldModel.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/datefield/DateFieldModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/datefield/DatePredictionFailedStatus.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/datefield/DatePredictionFailedStatus.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DatePredictionFailedStatus: () => (/* binding */ DatePredictionFailedStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This status is used as a marker class to distinct between regular errors and errors thrown by the predict* functions of the DateField.
 */
class DatePredictionFailedStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {}

/***/ }),

/***/ "./src/form/fields/datefield/DateTimeCompositeLayout.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/datefield/DateTimeCompositeLayout.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateTimeCompositeLayout: () => (/* binding */ DateTimeCompositeLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DateTimeCompositeLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(dateField) {
    super();
    _defineProperty(this, "MIN_DATE_FIELD_WIDTH", void 0);
    _defineProperty(this, "PREF_DATE_FIELD_WIDTH", void 0);
    _defineProperty(this, "MIN_TIME_FIELD_WIDTH", void 0);
    _defineProperty(this, "PREF_TIME_FIELD_WIDTH", void 0);
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "hgap", void 0);
    _defineProperty(this, "_dateField", void 0);
    this._dateField = dateField;
    // Minimum field with to normal state, for smaller widths the "compact" style is applied.
    this.MIN_DATE_FIELD_WIDTH = 90;
    this.PREF_DATE_FIELD_WIDTH = 110;
    this.MIN_TIME_FIELD_WIDTH = 60;
    this.PREF_TIME_FIELD_WIDTH = 90;
    this._initDefaults();
    this.htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this.htmlPropertyChangeHandler);
    this._dateField.one('remove', () => _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this.htmlPropertyChangeHandler));
  }
  _initDefaults() {
    this.hgap = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().smallColumnGap;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this._dateField.invalidateLayoutTree();
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      $dateField = this._dateField.$dateField,
      $timeField = this._dateField.$timeField,
      $dateFieldIcon = this._dateField.$dateFieldIcon,
      $timeFieldIcon = this._dateField.$timeFieldIcon,
      $dateClearIcon = this._dateField.$dateClearIcon,
      $timeClearIcon = this._dateField.$timeClearIcon,
      $predictDateField = this._dateField._$predictDateField,
      $predictTimeField = this._dateField._$predictTimeField,
      htmlDateField = $dateField ? _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($dateField) : null,
      htmlTimeField = $timeField ? _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($timeField) : null,
      hasDate = $dateField ? !$dateField.isDisplayNone() : false,
      hasTime = $timeField ? !$timeField.isDisplayNone() : false;
    let availableSize = htmlContainer.availableSize({
      exact: true
    }).subtract(htmlContainer.insets());
    let dateFieldSize, timeFieldSize;
    // --- Date and time ---
    if (hasDate && hasTime) {
      // Field size
      let dateFieldMargins = htmlDateField.margins();
      let timeFieldMargins = htmlTimeField.margins();
      let compositeMargins = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(Math.max(dateFieldMargins.top, timeFieldMargins.top), Math.max(dateFieldMargins.right, timeFieldMargins.right), Math.max(dateFieldMargins.bottom, timeFieldMargins.bottom), Math.max(dateFieldMargins.left, timeFieldMargins.left));
      let compositeSize = availableSize.subtract(compositeMargins);
      let hgap = this._hgap();
      let totalWidth = compositeSize.width - hgap;
      // Date field 60%, time field 40%
      let dateFieldWidth = totalWidth * 0.6;
      let timeFieldWidth = totalWidth - dateFieldWidth;
      dateFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(dateFieldWidth, compositeSize.height);
      timeFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(timeFieldWidth, compositeSize.height);
      htmlDateField.setSize(dateFieldSize);
      htmlTimeField.setSize(timeFieldSize);
      $timeField.cssRight(0);
      // Icons
      $dateFieldIcon.cssTop($dateField.cssBorderTopWidth()).cssRight(timeFieldWidth + hgap).cssHeight(dateFieldSize.height - $dateField.cssBorderWidthY());
      if ($dateClearIcon) {
        $dateClearIcon.cssTop($dateField.cssBorderTopWidth()).cssRight(timeFieldWidth + hgap + $dateField.cssBorderRightWidth()).cssHeight(dateFieldSize.height - $dateField.cssBorderWidthY());
      }
      $timeFieldIcon.cssTop($timeField.cssBorderTopWidth()).cssRight(0).cssHeight(timeFieldSize.height - $timeField.cssBorderWidthY());
      if ($timeClearIcon) {
        $timeClearIcon.cssTop($timeField.cssBorderTopWidth()).cssRight($timeField.cssBorderRightWidth()).cssHeight(timeFieldSize.height - $timeField.cssBorderWidthY());
      }
      // Compact style
      $dateField.toggleClass('compact', dateFieldSize.width < this.MIN_DATE_FIELD_WIDTH);
      $timeField.toggleClass('compact', timeFieldSize.width < this.MIN_TIME_FIELD_WIDTH);
      this._dateField.$container.toggleClass('compact-date', dateFieldSize.width < this.MIN_DATE_FIELD_WIDTH);
      this._dateField.$container.toggleClass('compact-time', timeFieldSize.width < this.MIN_TIME_FIELD_WIDTH);
      // Prediction
      if ($predictDateField) {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($predictDateField, dateFieldSize);
      }
      if ($predictTimeField) {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($predictTimeField, timeFieldSize);
        $predictTimeField.cssRight(0);
      }
    } else if (hasDate) {
      // --- Date only ---
      // Field size
      dateFieldSize = availableSize.subtract(htmlDateField.margins());
      htmlDateField.setSize(dateFieldSize);
      // Icons
      $dateFieldIcon.cssTop($dateField.cssBorderTopWidth()).cssRight(0).cssHeight(dateFieldSize.height - $dateField.cssBorderWidthY());
      if ($dateClearIcon) {
        $dateClearIcon.cssTop($dateField.cssBorderTopWidth()).cssRight($dateField.cssBorderRightWidth()).cssHeight(dateFieldSize.height - $dateField.cssBorderWidthY());
      }
      // Compact style
      $dateField.toggleClass('compact', dateFieldSize.width < this.MIN_DATE_FIELD_WIDTH);
      this._dateField.$container.toggleClass('compact-date', dateFieldSize.width < this.MIN_DATE_FIELD_WIDTH);
      // Prediction
      if ($predictDateField) {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($predictDateField, dateFieldSize);
      }
    } else if (hasTime) {
      // --- Time only ---
      // Field size
      timeFieldSize = availableSize.subtract(htmlTimeField.margins());
      htmlTimeField.setSize(timeFieldSize);
      // Icons
      $timeFieldIcon.cssTop($timeField.cssBorderTopWidth()).cssRight(0).cssHeight(timeFieldSize.height - $timeField.cssBorderWidthY());
      if ($timeClearIcon) {
        $timeClearIcon.cssTop($timeField.cssBorderTopWidth()).cssRight($timeField.cssBorderRightWidth()).cssHeight(timeFieldSize.height - $timeField.cssBorderWidthY());
      }
      // Compact style
      $timeField.toggleClass('compact', timeFieldSize.width < this.MIN_TIME_FIELD_WIDTH);
      this._dateField.$container.toggleClass('compact-time', timeFieldSize.width < this.MIN_TIME_FIELD_WIDTH);
      // Prediction
      if ($predictTimeField) {
        _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($predictTimeField, timeFieldSize);
      }
    }
    let popup = this._dateField.popup;
    if (popup && popup.rendered) {
      // Make sure the popup is correctly positioned (especially necessary for cell editor)
      popup.position();
    }
  }
  _hgap() {
    return this.hgap;
  }
  preferredLayoutSize($container, options) {
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      $dateField = this._dateField.$dateField,
      $timeField = this._dateField.$timeField,
      hasDate = $dateField ? !$dateField.isDisplayNone() : false,
      hasTime = $timeField ? !$timeField.isDisplayNone() : false;
    // --- Date and time ---
    if (hasDate && hasTime) {
      prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this._dateField.$dateField);
      prefSize.width = this.PREF_DATE_FIELD_WIDTH + this._hgap() + this.PREF_TIME_FIELD_WIDTH;
    } else if (hasDate) {
      // --- Date only ---
      prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this._dateField.$dateField);
      prefSize.width = this.PREF_DATE_FIELD_WIDTH;
    } else if (hasTime) {
      // --- Time only ---
      prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this._dateField.$timeField);
      prefSize.width = this.PREF_TIME_FIELD_WIDTH;
    }
    return prefSize;
  }
}

/***/ }),

/***/ "./src/form/fields/fields.ts":
/*!***********************************!*\
  !*** ./src/form/fields/fields.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fields: () => (/* binding */ fields)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

function valOrText($field, text) {
  let isDiv = $field.is('div');
  if (arguments.length === 2) {
    if (isDiv) {
      $field.text(text);
    } else {
      $field.val(text);
    }
  } else {
    return isDiv ? $field.text() : $field.val();
  }
}
const fields = {
  /**
   * @param $parent used to determine which HTML document is used to create the new HTML element
   * @returns an INPUT element as used in Scout forms.
   */
  makeTextField($parent, cssClass) {
    return $parent.makeElement('<input>', cssClass).attr('type', 'text').attr('autocomplete', 'NoAutocomplete') /* off and false are currently ignored in Chrome */.disableSpellcheck();
  },
  appendIcon($field, cssClass) {
    /*
     * Note: the field usually does $field.focus() when the icon is clicked.
     * Unfocusable is required because when the icon is clicked the browser is in the middle of setting
     * a new focus target, so we cannot simply change the focus target, because at the end the wrong target would be
     * focused and the popup would be closed immediately. With 'unfocusable' the focus manager will prevent the default focus
     */
    let $icon = $field.appendSpan('icon unfocusable text-field-icon');
    if (cssClass) {
      $icon.addClass(cssClass);
    }
    return $icon;
  },
  initTouch(field, model) {
    field.embedded = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.embedded, false);
    // when 'touchMode' is not set explicitly, check the device
    field.touchMode = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.touchMode, _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  },
  valOrText,
  /**
   * Creates a DIV element for touch-devices and an INPUT element for all other devices,
   * depending on the touch flag of the given field.
   */
  makeInputOrDiv(field, cssClass) {
    if (field.touchMode) {
      return fields.makeInputDiv(field, cssClass);
    }
    return fields.makeTextField(field.$container, cssClass);
  },
  /**
   * Creates a DIV element that looks like an INPUT element.
   */
  makeInputDiv(field, cssClass) {
    return field.$container.makeDiv(_index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', 'input-field', cssClass));
  },
  /**
   * The INPUT element does not process the click event when the field is disabled.
   * However, the DIV element used in touch-mode does process the event anyway, that's why this check is required.
   */
  handleOnClick(field) {
    return field.enabledComputed && !field.embedded && !field.popup;
  },
  /**
   * Calls activate() on the first focusable field of the given fields. Does nothing if the widget is disabled or not rendered.
   */
  activateFirstField(widget, fieldArr) {
    let firstField = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.findFirstFocusableWidget(fieldArr, widget);
    if (firstField) {
      firstField.activate();
    }
  },
  /**
   * @param field a ValueField which works like a Proposal- or SmartField.
   * @returns Whether or not the target is on the field (including popup and tooltip)
   */
  eventOutsideProposalField(field, target) {
    let eventOnField = safeIsOrHas(field.$field, target) || safeIsOrHas(field.$icon, target) || safeIsOrHas(field.$clearIcon, target);
    let eventOnPopup = safeWidgetIsOrHas(field.popup, target);
    let eventOnTooltip = safeWidgetIsOrHas(field.tooltip(), target);
    return !eventOnField && !eventOnPopup && !eventOnTooltip;
    function safeIsOrHas($elem, target) {
      return $elem && $elem.isOrHas(target);
    }
    function safeWidgetIsOrHas(widget, target) {
      return widget && widget.rendered && widget.$container.isOrHas(target);
    }
  },
  /**
   * Selects the tab containing the given {@link FormField} for all parent tabBoxes.
   * This ensures that the given field could be seen (if visible itself).
   *
   * @param field The field whose parent tabs should be selected.
   */
  selectAllParentTabsOf(field) {
    if (!field || !(field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FormField)) {
      return;
    }
    field.visitParentFields(fields.selectIfIsTab);
  },
  /**
   * Selects the given tabItem if it is a {@link TabItem}.
   *
   * @param tabItem The tab to be selected.
   */
  selectIfIsTab(tabItem) {
    if (!tabItem || !(tabItem instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TabItem)) {
      return;
    }
    tabItem.select();
  },
  /**
   * Toggles {@link FormField.statusPosition} based on the given predicate in order to enlarge or reset the box header line while scrolling.
   * The header line is enlarged to match the width of the scroll shadow.
   */
  adjustStatusPositionForScrollShadow(box, predicate) {
    if (box.htmlComp) {
      // Suppress layout invalidation to prevent dialogs from resetting the height.
      // The box itself must not change its size while scrolling anyway, so there is no need to propagate the invalidation.
      box.htmlComp.suppressInvalidate = true;
    }
    if (predicate()) {
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.preserveAndSetProperty(() => box.setStatusPosition(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP), () => box.statusPosition, box, '_statusPositionOrig');
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.resetProperty(preservedValue => box.setStatusPosition(preservedValue), box, '_statusPositionOrig');
    }
    if (box.htmlComp) {
      box.htmlComp.suppressInvalidate = false;
    }
  },
  /**
   * Focuses the given input and calls the insertText command to insert the text at the current cursor position.
   *
   * Using the exec command allows the user to undo the operation (e.g. using ctrl-z).
   */
  focusAndInsertText($input, text) {
    $input[0].focus();
    $input.document(true).execCommand('insertText', false, text);
  }
};

/***/ }),

/***/ "./src/form/fields/filechooserbutton/FileChooserButton.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/filechooserbutton/FileChooserButton.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserButton: () => (/* binding */ FileChooserButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserButton extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "button", void 0);
    _defineProperty(this, "fileInput", void 0);
    _defineProperty(this, "acceptTypes", void 0);
    _defineProperty(this, "maximumUploadSize", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "fileExtensions", void 0);
    this.button = null;
    this.fileInput = null;
    this.acceptTypes = null;
    this.maximumUploadSize = _index__WEBPACK_IMPORTED_MODULE_0__.FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE;
  }
  _init(model) {
    super._init(model);
    this.button = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Button, {
      parent: this,
      label: this._buttonLabel(),
      iconId: this.iconId,
      labelHtmlEnabled: this.labelHtmlEnabled
    });
    this.button.on('click', this._onButtonClick.bind(this));
    this.fileInput.on('change', this._onFileChange.bind(this));
    this.on('propertyChange', event => {
      if (event.propertyName === 'enabledComputed') {
        // Propagate "enabledComputed" to inner widgets
        this.button.setEnabled(event.newValue);
        this.fileInput.setEnabled(event.newValue);
      }
    });
  }
  /**
   * Initializes the file input before calling set value.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    this.fileInput = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileInput, {
      parent: this,
      acceptTypes: this.acceptTypes,
      text: this.displayText,
      enabled: this.enabledComputed,
      maximumUploadSize: this.maximumUploadSize,
      visible: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsFile()
    });
    super._initValue(value);
  }
  _buttonLabel() {
    return this.label;
  }
  _render() {
    this.addContainer(this.$parent, 'file-chooser-button has-icon');
    this.addLabel();
    let $field = this.$parent.makeDiv();
    let fieldHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install($field, this.session);
    this.button.render($field);
    fieldHtmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout(this.button.htmlComp));
    this.fileInput.render($field);
    this.addField($field);
    $field.setTabbable(false);
    this.addStatus();
  }
  setDisplayText(text) {
    super.setDisplayText(text);
    this.fileInput.setText(text);
    if (!text) {
      this.fileInput.clear();
    }
  }
  _readDisplayText() {
    return this.fileInput.text;
  }
  _renderLabel() {
    this._renderEmptyLabel();
  }
  _onButtonClick(event) {
    this.fileInput.browse();
  }
  setLabel(label) {
    super.setLabel(label);
    this.button.setLabel(this._buttonLabel());
  }
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
    this.button.setIconId(iconId);
  }
  setAcceptTypes(acceptTypes) {
    this.setProperty('acceptTypes', acceptTypes);
    this.fileInput.setAcceptTypes(acceptTypes);
  }
  setFileExtensions(fileExtensions) {
    this.setProperty('fileExtensions', fileExtensions);
    let acceptTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(fileExtensions);
    acceptTypes = acceptTypes.map(acceptType => acceptType.indexOf('.') === 0 ? acceptType : '.' + acceptType);
    this.setAcceptTypes(_index__WEBPACK_IMPORTED_MODULE_0__.strings.join(',', ...acceptTypes));
    this.fileInput.acceptTypes = this.acceptTypes;
  }
  setMaximumUploadSize(maximumUploadSize) {
    this.setProperty('maximumUploadSize', maximumUploadSize);
    this.fileInput.setMaximumUploadSize(maximumUploadSize);
  }
  _onFileChange(event) {
    this.setValue(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(event.files));
  }
  _validateValue(value) {
    this.fileInput.validateMaximumUploadSize(value);
    return value;
  }
  _formatValue(value) {
    return !value ? '' : value.name;
  }
  getFocusableElement() {
    return this.button.getFocusableElement();
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserbutton/FileChooserButtonAdapter.ts":
/*!***********************************************************************!*\
  !*** ./src/form/fields/filechooserbutton/FileChooserButtonAdapter.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserButtonAdapter: () => (/* binding */ FileChooserButtonAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserButtonAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _onWidgetPropertyChange(event) {
    super._onWidgetPropertyChange(event);
    if (event.propertyName === 'value') {
      this._onValueChange(event);
    }
  }
  _onValueChange(event) {
    let success = this.widget.fileInput.upload();
    if (!success) {
      this.widget.fileInput.clear();
    }
  }
  _syncDisplayText(displayText) {
    this.widget.setDisplayText(displayText);
    // When displayText comes from the server we must not call parseAndSetValue here.
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserbutton/FileChooserButtonEventMap.ts":
/*!************************************************************************!*\
  !*** ./src/form/fields/filechooserbutton/FileChooserButtonEventMap.ts ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/filechooserbutton/FileChooserButtonModel.ts":
/*!*********************************************************************!*\
  !*** ./src/form/fields/filechooserbutton/FileChooserButtonModel.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserField.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserField.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserField: () => (/* binding */ FileChooserField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "fileInput", void 0);
    _defineProperty(this, "acceptTypes", void 0);
    _defineProperty(this, "maximumUploadSize", void 0);
    this.fileInput = null;
    this.acceptTypes = null;
    this.maximumUploadSize = _index__WEBPACK_IMPORTED_MODULE_0__.FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE;
  }
  _init(model) {
    super._init(model);
    this.fileInput.on('change', this._onFileChange.bind(this));
    this.on('propertyChange', event => {
      if (event.propertyName === 'enabledComputed') {
        // Propagate "enabledComputed" to inner widget
        this.fileInput.setEnabled(event.newValue);
      }
    });
  }
  /**
   * Initializes the file input before calling set value.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    this.fileInput = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileInput, {
      parent: this,
      acceptTypes: this.acceptTypes,
      text: this.displayText,
      enabled: this.enabledComputed,
      maximumUploadSize: this.maximumUploadSize
    });
    super._initValue(value);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.FileChooserFieldBrowseKeyStroke(this));
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.FileChooserFieldDeleteKeyStroke(this));
  }
  _render() {
    this.addContainer(this.$parent, 'file-chooser-field has-icon');
    this.addLabel();
    this.addMandatoryIndicator();
    this._renderFileInput();
    this.addIcon();
    this.addStatus();
    this._addAriaFieldDescription();
  }
  _renderFileInput() {
    this.fileInput.render();
    this.addField(this.fileInput.$container);
  }
  setDisplayText(text) {
    super.setDisplayText(text);
    this.fileInput.setText(text);
    if (!text) {
      this.fileInput.clear();
    }
  }
  _readDisplayText() {
    return this.fileInput.text;
  }
  setAcceptTypes(acceptTypes) {
    this.setProperty('acceptTypes', acceptTypes);
    this.fileInput.setAcceptTypes(acceptTypes);
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$field.setTabbable(this.enabledComputed);
  }
  _renderPlaceholder() {
    let $field = this.fileInput.$text;
    if ($field) {
      $field.placeholder(this.label);
    }
  }
  _removePlaceholder() {
    let $field = this.fileInput.$text;
    if ($field) {
      $field.placeholder('');
    }
  }
  setMaximumUploadSize(maximumUploadSize) {
    this.setProperty('maximumUploadSize', maximumUploadSize);
    this.fileInput.setMaximumUploadSize(maximumUploadSize);
  }
  _clear() {
    this.fileInput.clear();
  }
  _onIconMouseDown(event) {
    super._onIconMouseDown(event);
    this.activate();
  }
  _onFileChange(event) {
    let file = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(event.files);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(file)) {
      this.acceptInput(false);
    }
    this.setValue(file);
  }
  activate() {
    if (!this.enabledComputed || !this.rendered) {
      return;
    }
    this.$field.focus();
    this.fileInput.browse();
  }
  _validateValue(value) {
    this.fileInput.validateMaximumUploadSize(value);
    return value;
  }
  _formatValue(value) {
    return !value ? '' : value.name;
  }
  _parseValue(displayText) {
    if (!displayText) {
      return null;
    }
    let files = this.fileInput.files;
    return files && files.length ? files[0] : null;
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.fileInput.$fileInput, this.id + '-func-desc', this.session.text('ui.AriaFileChooserFieldDescription'));
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserFieldAdapter.ts":
/*!*********************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserFieldAdapter.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserFieldAdapter: () => (/* binding */ FileChooserFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  constructor() {
    super();
    /**
     * Handle events in this order value, displayText. This allows to set a null value and set a display-text
     * anyway. Otherwise, the field would be empty. Note: this order is not a perfect solution for every case,
     * but it solves the issue reported in ticket #290908.
     */
    this._addOrderedProperties(['value', 'displayText']);
  }
  _onWidgetPropertyChange(event) {
    super._onWidgetPropertyChange(event);
    if (event.propertyName === 'value') {
      this._onValueChange(event);
    }
  }
  _onValueChange(event) {
    let success = this.widget.fileInput.upload();
    if (!success) {
      this.widget.fileInput.clear();
    }
  }
  _syncDisplayText(displayText) {
    this.widget.setDisplayText(displayText);
    // When displayText comes from the server we must not call parseAndSetValue here.
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserFieldBrowseKeyStroke.ts":
/*!*****************************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserFieldBrowseKeyStroke.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserFieldBrowseKeyStroke: () => (/* binding */ FileChooserFieldBrowseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserFieldBrowseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.stopPropagation = true;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.LEFT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.$fieldContainer;
  }
  handle(event) {
    this.field.fileInput.browse();
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserFieldDeleteKeyStroke.ts":
/*!*****************************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserFieldDeleteKeyStroke.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FileChooserFieldDeleteKeyStroke: () => (/* binding */ FileChooserFieldDeleteKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FileChooserFieldDeleteKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE];
    this.stopPropagation = true;
    this.renderingHints.offset = 25;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.$fieldContainer;
  }
  handle(event) {
    this.field.clear();
  }
}

/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserFieldEventMap.ts":
/*!**********************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserFieldEventMap.ts ***!
  \**********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/filechooserfield/FileChooserFieldModel.ts":
/*!*******************************************************************!*\
  !*** ./src/form/fields/filechooserfield/FileChooserFieldModel.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/groupbox/GroupBox.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/groupbox/GroupBox.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBox: () => (/* binding */ GroupBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class GroupBox extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField {
  constructor() {
    super();
    _defineProperty(this, "fields", void 0);
    _defineProperty(this, "menuBarVisible", void 0);
    _defineProperty(this, "menuBarPosition", void 0);
    _defineProperty(this, "menuBarEllipsisPosition", void 0);
    _defineProperty(this, "notification", void 0);
    _defineProperty(this, "bodyLayoutConfig", void 0);
    _defineProperty(this, "borderDecoration", void 0);
    _defineProperty(this, "borderVisible", void 0);
    _defineProperty(this, "mainBox", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "subLabel", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "expandable", void 0);
    _defineProperty(this, "expanded", void 0);
    _defineProperty(this, "gridColumnCount", void 0);
    _defineProperty(this, "controls", void 0);
    _defineProperty(this, "systemButtons", void 0);
    _defineProperty(this, "customButtons", void 0);
    _defineProperty(this, "processButtons", void 0);
    _defineProperty(this, "processMenus", void 0);
    _defineProperty(this, "staticMenus", void 0);
    _defineProperty(this, "responsive", void 0);
    _defineProperty(this, "responsiveHandler", void 0);
    _defineProperty(this, "htmlBody", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$borderBottom", void 0);
    _defineProperty(this, "$subLabel", void 0);
    _defineProperty(this, "_statusPositionOrig", void 0);
    _defineProperty(this, "_collapsedWeightY", void 0);
    this._addWidgetProperties(['fields', 'notification', 'staticMenus']);
    this._addCloneProperties(['menuBarVisible', 'bodyLayoutConfig', 'borderDecoration', 'borderVisible', 'expandable', 'expanded', 'gridColumnCount', 'scrollable', 'subLabel']);
    this.fields = [];
    this.menuBarVisible = true;
    this.menuBarPosition = GroupBox.MenuBarPosition.AUTO;
    this.menuBarEllipsisPosition = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.EllipsisPosition.RIGHT;
    this.notification = null;
    this.bodyLayoutConfig = null;
    this.borderDecoration = GroupBox.BorderDecoration.AUTO;
    this.borderVisible = true;
    this.mainBox = false;
    this.scrollable = null; // set to null to enable conditional default  -> it will be set to true if it is a MainBox unless it was explicitly set to false
    this.expandable = false;
    this.expanded = true;
    this.logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.VerticalSmartGrid);
    this.gridColumnCount = 2;
    this.gridDataHints.useUiHeight = true;
    this.gridDataHints.w = _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FULL_WIDTH;
    this.controls = [];
    this.systemButtons = [];
    this.customButtons = [];
    this.processButtons = [];
    this.processMenus = [];
    this.staticMenus = [];
    this.responsive = null;
    this.$header = null;
    this.$body = null;
    this.$title = null;
    this.$subLabel = null;
    this._statusPositionOrig = null;
  }
  _init(model) {
    super._init(model);
    this.resolveConsts([{
      property: 'menuBarPosition',
      constType: GroupBox.MenuBarPosition
    }]);
    this.resolveTextKeys(['subLabel']);
    this._setBodyLayoutConfig(this.bodyLayoutConfig);
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder(),
      ellipsisPosition: this.menuBarEllipsisPosition
    });
    this.menuBar.on('propertyChange:visible', () => this._updateMenuBarStyle());
    this._setFields(this.fields);
    this._setMainBox(this.mainBox);
    this._updateMenuBar();
    _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().registerHandler(this, _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxResponsiveHandler, {
      widget: this
    }));
    this._setResponsive(this.responsive);
  }
  _destroy() {
    _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().unregisterHandler(this);
    super._destroy();
  }
  getFields() {
    return this.fields;
  }
  insertField(field, index) {
    let newFields = this.fields.slice();
    index = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(index, this.fields.length);
    newFields.splice(index, 0, field);
    this.setFields(newFields);
  }
  insertFieldBefore(field, sibling) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('sibling', sibling);
    let index = this.fields.indexOf(sibling);
    this.insertField(field, index);
  }
  insertFieldAfter(field, sibling) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('sibling', sibling);
    let index = this.fields.indexOf(sibling) + 1;
    this.insertField(field, index);
  }
  deleteField(field) {
    let index = this.fields.indexOf(field);
    if (index < 0) {
      return;
    }
    let newFields = this.fields.slice();
    newFields.splice(index, 1);
    this.setFields(newFields);
  }
  /** @see GroupBoxModel.fields */
  setFields(fields) {
    this.setProperty('fields', fields);
  }
  _setFields(fields) {
    this._setProperty('fields', fields);
    this._prepareFields();
  }
  _renderFields(fields) {
    this._renderExpanded();
    this.invalidateLogicalGrid(true);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.invokeAcceptInputOnActiveValueField = true;
    this.keyStrokeContext.$bindTarget = this._keyStrokeBindTarget.bind(this);
  }
  _setKeyStrokes(keyStrokes) {
    keyStrokes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(keyStrokes);
    let groupBoxRenderingHints = {
      render: () => true,
      offset: 0,
      hAlign: _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT,
      $drawingArea: ($drawingArea, event) => {
        if (this.$header && this.$header.isVisible()) {
          return this.$header;
        }
        return this.$body;
      }
    };
    keyStrokes.forEach(keyStroke => {
      keyStroke.actionKeyStroke.renderingHints = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, keyStroke.actionKeyStroke.renderingHints, groupBoxRenderingHints);
    });
    super._setKeyStrokes(keyStrokes);
  }
  /**
   * Returns a $container used as a bind target for the keystroke context of the group-box.
   * By default, this function returns the container of the form, or when group-box is has no
   * form as a parent the container of the group-box.
   */
  _keyStrokeBindTarget() {
    let form = this.getForm();
    if (form) {
      // keystrokes on a group-box have form scope
      return form.$container;
    }
    return this.$container;
  }
  _render() {
    this.addContainer(this.$parent, this.mainBox ? 'root-group-box' : 'group-box');
    this.$header = this.$container.appendDiv('group-box-header');
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$header, this.session); // Complete layout chain for elements inside header (e.g. allow top status to invalidate layout when visibility changes)
    this.$title = this.$header.appendDiv('title');
    this.$borderBottom = this.$header.appendDiv('bottom-border');
    this.addLabel();
    this.addSubLabel();
    this.addStatus();
    this.$body = this.$container.appendDiv('group-box-body');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$body, 'group');
    this.htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    this.htmlBody.setLayout(this._createBodyLayout());
  }
  _remove() {
    this._removeSubLabel();
    super._remove();
  }
  _renderProperties() {
    this._renderScrollable(); // Need to be before renderExpanded in order to have the scrollbars when the fields are rendered. The status tooltips require a scrollable parent to move when scrolling.
    this._renderExpanded(); // Need to be before renderVisible is executed, otherwise controls might be rendered if group box is invisible which breaks some widgets (e.g. Tree and Table)
    super._renderProperties();
    this._renderBodyLayoutConfig();
    this._renderNotification();
    this._renderBorderVisible();
    this._renderExpandable();
    this._renderMenuBarPosition();
    this._renderMenuBarEllipsisPosition();
    this._renderMenuBarVisible();
    this._renderSubLabel();
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxLayout(this);
  }
  _createBodyLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayout(this, this.bodyLayoutConfig);
  }
  setBodyLayoutConfig(bodyLayoutConfig) {
    this.setProperty('bodyLayoutConfig', bodyLayoutConfig);
  }
  _setBodyLayoutConfig(bodyLayoutConfig) {
    this._setProperty('bodyLayoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.ensure(bodyLayoutConfig || {}));
    _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.initHtmlEnvChangeHandler(this, () => this.bodyLayoutConfig, layoutConfig => this.setBodyLayoutConfig(layoutConfig));
  }
  _renderBodyLayoutConfig() {
    let layout = this.htmlBody.layout;
    let oldMinWidth = layout.minWidth;
    this.bodyLayoutConfig.applyToLayout(layout);
    if (oldMinWidth !== this.bodyLayoutConfig.minWidth) {
      this._renderScrollable();
    }
    if (this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  /**
   * Redraws the group box body by removing and re-rendering every control.
   * This may be necessary if a field does not support a dynamic property change and therefore needs to be redrawn completely to reflect the change.
   */
  rerenderControls() {
    this._removeControls();
    this._renderControls();
    this.htmlBody.invalidateLayoutTree();
  }
  _removeControls() {
    this.controls.forEach(control => control.remove());
  }
  _renderControls() {
    this.controls.forEach(control => {
      if (!control.rendered) {
        control.render(this.$body);
        // set each children layout data to logical grid data
        control.setLayoutData(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridData(control));
      }
    });
  }
  addSubLabel() {
    if (this.$subLabel) {
      return;
    }
    this.$subLabel = this.$title.appendDiv('sub-label');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$subLabel, {
      parent: this
    });
  }
  _removeSubLabel() {
    if (!this.$subLabel) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$subLabel);
    this.$subLabel.remove();
    this.$subLabel = null;
  }
  /** @see GroupBoxModel.subLabel */
  setSubLabel(subLabel) {
    this.setProperty('subLabel', subLabel);
  }
  _renderSubLabel() {
    this.$subLabel.setVisible(_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.subLabel));
    this.$subLabel.textOrNbsp(this.subLabel);
    this.$container.toggleClass('has-sub-label', this.$subLabel.isVisible());
    this.invalidateLayoutTree();
  }
  /** @see GroupBoxModel.scrollable */
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    this._uninstallScrollbars();
    // horizontal (x-axis) scrollbar is only installed when minWidth is > 0
    if (this.scrollable) {
      this._installScrollbars({
        axis: this.bodyLayoutConfig.minWidth > 0 ? 'both' : 'y'
      });
    } else if (this.bodyLayoutConfig.minWidth > 0) {
      this._installScrollbars({
        axis: 'x'
      });
    }
  }
  get$Scrollable() {
    return this.$body;
  }
  _onScroll(event) {
    super._onScroll(event);
    this._updateScrollShadow();
  }
  _updateScrollShadow() {
    if (this.mainBox || !this.rendered) {
      // No need to do anything if it's the mainBox because header is invisible and the menu bar already takes the full width
      return;
    }
    let hasScrollShadowTop = this.hasScrollShadow('top');
    let hasScrollShadowBottom = this.hasScrollShadow('bottom');
    let oldHasScrollShadowTop = this.$container.hasClass('has-scroll-shadow-top');
    let oldHasScrollShadowBottom = this.$container.hasClass('has-scroll-shadow-bottom');
    let hasMenubarTop = this.$container.hasClass('menubar-position-top');
    let hasMenubarBottom = this.$container.hasClass('menubar-position-bottom');
    let headerVisible = this.$header.isVisible();
    this.$container.toggleClass('has-scroll-shadow-top', hasScrollShadowTop);
    this.$container.toggleClass('has-scroll-shadow-bottom', hasScrollShadowBottom);
    if ((headerVisible || hasMenubarTop) && oldHasScrollShadowTop !== hasScrollShadowTop || hasMenubarBottom && oldHasScrollShadowBottom !== hasScrollShadowBottom) {
      this.invalidateLayoutTree(false);
    }
    // Enlarge header line if there is a shadow, but don't do it if there is a menubar on top
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.adjustStatusPositionForScrollShadow(this, () => hasScrollShadowTop && headerVisible && !hasMenubarTop);
  }
  setMainBox(mainBox) {
    this.setProperty('mainBox', mainBox);
  }
  _setMainBox(mainBox) {
    this._setProperty('mainBox', mainBox);
    if (this.mainBox) {
      this.menuBar.setCssClass('main-menubar');
      if (this.scrollable === null) {
        this.setScrollable(true);
      }
      if (this.responsive === null) {
        this.setResponsive(true);
      }
    }
  }
  addLabel() {
    if (this.$label) {
      return;
    }
    this.$label = this.$title.appendDiv('label');
    if (this._computeTitleVisible()) {
      // add it as a heading if its not the invisible main box
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithHeader(this.$container, this.$label);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$label, {
      parent: this
    });
  }
  _renderLabel() {
    this.$label.textOrNbsp(this.label);
    if (this._computeTitleVisible()) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$body, this.$label); // label linked with body so group navigation announces the group when entering it
    }
    if (this.rendered) {
      this._renderLabelVisible();
    }
  }
  addStatus() {
    super.addStatus();
    this._updateStatusPosition();
  }
  _renderStatusPosition() {
    this._updateStatusPosition();
  }
  _updateStatusPosition() {
    if (!this.fieldStatus) {
      return;
    }
    if (this.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP) {
      // move into header
      this.$status.appendTo(this.$header);
    } else {
      this.$status.appendTo(this.$container);
    }
    this.invalidateLayoutTree();
  }
  /** @see GroupBoxModel.notification */
  setNotification(notification) {
    this.setProperty('notification', notification);
  }
  _renderNotification() {
    if (!this.notification) {
      this.invalidateLayoutTree();
      return;
    }
    this.notification.render();
    this.notification.$container.insertBefore(this.$body);
    this.invalidateLayoutTree();
  }
  /** @internal */
  _prepareFields() {
    this.processButtons.forEach(this._unregisterButtonKeyStrokes.bind(this));
    this.controls = [];
    this.systemButtons = [];
    this.customButtons = [];
    this.processButtons = [];
    this.processMenus = [];
    for (let i = 0; i < this.fields.length; i++) {
      let field = this.fields[i];
      if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Button) {
        if (field.processButton) {
          this.processButtons.push(field);
          if (field.systemType !== _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.NONE) {
            this.systemButtons.push(field);
          } else {
            this.customButtons.push(field);
          }
        } else {
          this.controls.push(field);
          this._registerButtonKeyStrokes(field);
        }
      } else if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TabBox) {
        this.controls.push(field);
        for (let k = 0; k < field.tabItems.length; k++) {
          if (field.tabItems[k].selectionKeystroke) {
            this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.TabItemKeyStroke(field.tabItems[k].selectionKeystroke, field.tabItems[k]));
          }
        }
      } else {
        this.controls.push(field);
      }
    }
    // Create menu for each process button
    this.processMenus = this.processButtons.map(button => {
      let model = _index__WEBPACK_IMPORTED_MODULE_0__.ButtonAdapterMenu.adaptButtonProperties(button, {
        parent: this,
        menubar: this.menuBar,
        button: button,
        // initially defaultMenu should only be set if defaultButton is set to true, false should not be mapped as the default defaultMenu = null setting
        // would be overridden if this default null setting is overridden MenuBar.prototype.updateDefaultMenu would not consider these entries anymore
        defaultMenu: button.defaultButton ? true : null
      });
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ButtonAdapterMenu, model);
    });
    this.registerKeyStrokes(this.processMenus);
  }
  _unregisterButtonKeyStrokes(button) {
    if (button.keyStrokes) {
      button.keyStrokes.forEach(keyStroke => this.keyStrokeContext.unregisterKeyStroke(keyStroke));
    }
  }
  _registerButtonKeyStrokes(button) {
    if (button.keyStrokes) {
      button.keyStrokes.forEach(keyStroke => this.keyStrokeContext.registerKeyStroke(keyStroke));
    }
  }
  /** @see GroupBoxModel.borderVisible */
  setBorderVisible(borderVisible) {
    this.setProperty('borderVisible', borderVisible);
  }
  _renderBorderVisible() {
    let borderVisible = this.borderVisible;
    if (this.borderDecoration === GroupBox.BorderDecoration.AUTO) {
      borderVisible = this._computeBorderVisible(borderVisible);
    }
    this.$body.toggleClass('y-padding-invisible', !borderVisible);
    this.invalidateLayoutTree();
  }
  /** @see GroupBoxModel.borderDecoration */
  setBorderDecoration(borderDecoration) {
    this.setProperty('borderDecoration', borderDecoration);
  }
  // Don't include in renderProperties, it is not necessary to execute it initially because renderBorderVisible is executed already
  _renderBorderDecoration() {
    this._renderBorderVisible();
  }
  getContextMenuItems() {
    let onlyVisible = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (this.menuBarVisible) {
      return [];
    }
    return super.getContextMenuItems(onlyVisible);
  }
  /** @see GroupBoxModel.menuBarVisible */
  setMenuBarVisible(visible) {
    this.setProperty('menuBarVisible', visible);
  }
  _setMenuBarVisible(visible) {
    this._setProperty('menuBarVisible', visible);
    this._updateMenuBar();
  }
  _renderMenuBarVisible() {
    if (this.menuBarVisible) {
      this._renderMenuBar();
    } else {
      this.menuBar.remove();
    }
    this._updateMenus();
    this.invalidateLayoutTree();
  }
  _renderMenuBar() {
    this.menuBar.render();
    if (this.menuBarPosition === GroupBox.MenuBarPosition.TITLE) {
      // move right of title
      let $control = this.$header.children('.group-box-control');
      if ($control.length > 0) {
        this.menuBar.$container.insertAfter($control);
      } else {
        this.menuBar.$container.insertAfter(this.$title);
      }
    } else if (this.menuBar.position === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP) {
      // move below header
      this.menuBar.$container.insertAfter(this.$header);
    }
  }
  /** @see GroupBoxModel.menuBarPosition */
  setMenuBarPosition(menuBarPosition) {
    this.setProperty('menuBarPosition', menuBarPosition);
  }
  _renderMenuBarPosition() {
    let position = this.menuBarPosition;
    if (position === GroupBox.MenuBarPosition.AUTO) {
      position = GroupBox.MenuBarPosition.TOP;
      if (this.mainBox) {
        let form = this.getForm();
        if (form && form.isDialog()) {
          position = GroupBox.MenuBarPosition.BOTTOM;
        }
      }
    }
    if (position === GroupBox.MenuBarPosition.BOTTOM) {
      this.menuBar.setPosition(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM);
    } else {
      // top + title
      this.menuBar.setPosition(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
    }
    this._renderMenuBarStyle();
    if (this.rendered) {
      this.menuBar.remove();
      this._renderMenuBarVisible();
    }
  }
  /** @see GroupBoxModel.menuBarEllipsisPosition */
  setMenuBarEllipsisPosition(menuBarEllipsisPosition) {
    this.setProperty('menuBarEllipsisPosition', menuBarEllipsisPosition);
    this.menuBar.setEllipsisPosition(menuBarEllipsisPosition);
  }
  _renderMenuBarEllipsisPosition() {
    this.menuBar.reorderMenus();
    if (this.rendered) {
      this.menuBar.remove();
      this._renderMenuBarVisible();
    }
  }
  _updateMenuBarStyle() {
    if (this.rendered) {
      this._renderMenuBarStyle();
    }
  }
  _renderMenuBarStyle() {
    let visible = this.menuBar.visible;
    let hasTitleMenuBar = this.menuBarPosition === GroupBox.MenuBarPosition.TITLE;
    this.$header.toggleClass('has-menubar', visible && hasTitleMenuBar);
    this.$container.toggleClass('menubar-position-top', visible && !hasTitleMenuBar && this.menuBar.position === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
    this.$container.toggleClass('menubar-position-bottom', visible && !hasTitleMenuBar && this.menuBar.position === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM);
  }
  _computeBorderVisible(borderVisible) {
    if (this.mainBox) {
      borderVisible = false;
    } else if (this.parent instanceof GroupBox && this.parent.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && this.parent.parent.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.WrappedFormField && this.parent.parent.parent.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox && this.parent.getFields().length === 1) {
      // Special case for wizard: wrapped form in split box with a single group box
      borderVisible = false;
    }
    return borderVisible;
  }
  /** @see GroupBoxModel.expandable */
  setExpandable(expandable) {
    this.setProperty('expandable', expandable);
  }
  _renderExpandable() {
    let expandable = this.expandable;
    let $control = this.$header.children('.group-box-control');
    if (expandable) {
      if ($control.length === 0) {
        // Create control if necessary
        this.$container.makeDiv('group-box-control').on('click', this._onControlClick.bind(this)).insertAfter(this.$title);
      }
      this.$header.addClass('expandable').on('click.group-box-control', this._onControlClick.bind(this));
    } else {
      $control.remove();
      this.$header.removeClass('expandable').off('.group-box-control');
    }
    this.invalidateLayoutTree();
  }
  /** @see GroupBoxModel.expanded */
  setExpanded(expanded) {
    this.setProperty('expanded', expanded);
  }
  _renderExpanded() {
    this.$container.toggleClass('collapsed', !this.expanded);
    // Group boxes have set "useUiHeight=true" by default. When a group box is collapsed, it should not
    // stretch vertically (no "weight Y"). However, because "weightY" is -1 by default, a calculated value
    // is assigned (LogicalGridData._inheritWeightY()) that is based on the group boxes height. In collapsed
    // state, this height would be wrong. Therefore, we manually assign "weightY=0" to collapsed group boxes
    // to prevent them from being stretched.
    if (this.expanded) {
      // If group box was previously collapsed, restore original "weightY" gridData value
      if (this._collapsedWeightY !== undefined) {
        this.gridData.weightY = this._collapsedWeightY;
        delete this._collapsedWeightY;
      }
      // Update inner layout (e.g. menubar)
      this.invalidateLayout();
      this._renderControls();
    } else {
      // If group box has a weight different from 0, we set it to zero and back up the old value
      if (this.gridData.weightY !== 0) {
        this._collapsedWeightY = this.gridData.weightY;
        this.gridData.weightY = 0;
      }
    }
    this.invalidateLayoutTree();
  }
  /** @see GroupBoxModel.gridColumnCount */
  setGridColumnCount(gridColumnCount) {
    this.setProperty('gridColumnCount', gridColumnCount);
    this.invalidateLogicalGrid();
  }
  invalidateLogicalGrid(invalidateLayout) {
    super.invalidateLogicalGrid(false);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateLayout, true) && this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  _setLogicalGrid(logicalGrid) {
    super._setLogicalGrid(logicalGrid);
    if (this.logicalGrid) {
      this.logicalGrid.setGridConfig(new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxGridConfig());
    }
  }
  _renderLabelVisible() {
    this.$header.setVisible(this._computeTitleVisible());
    this._updateFieldStatus();
    if (this.menuBarPosition === GroupBox.MenuBarPosition.TITLE) {
      this.invalidateLayoutTree();
    }
  }
  _computeTitleVisible(labelVisible) {
    labelVisible = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(labelVisible, this.labelVisible);
    return !!(labelVisible && this.label && !this.mainBox);
  }
  /**
   * Only show the group box status if title is visible.
   */
  _computeStatusVisible() {
    return super._computeStatusVisible() && this._computeTitleVisible();
  }
  _setMenus(menus) {
    super._setMenus(menus);
    if (this.menuBar) {
      // updateMenuBar is required because menuBar is not created yet when synMenus is called initially
      this._updateMenuBar();
    }
  }
  /** @internal */
  _updateMenuBar() {
    if (!this.menuBarVisible) {
      // Do not update menuBar while it is invisible, the menus may now be managed by another widget.
      // -> this makes sure the parent is not accidentally set to the group box, the other widget should remain responsible
      this.menuBar.setMenuItems([]);
      return;
    }
    let menus = this.staticMenus.concat(this.processMenus).concat(this.menus);
    this.menuBar.setMenuItems(menus);
  }
  _removeMenus() {
    // menubar takes care of removal
  }
  setStaticMenus(staticMenus) {
    this.setProperty('staticMenus', staticMenus);
    this._updateMenuBar();
  }
  _onControlClick(event) {
    if (!this.expandable) {
      return;
    }
    const target = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(event.target);
    if (this.menuBarPosition === GroupBox.MenuBarPosition.TITLE && this.menuBar.has(target)) {
      // If the position of the menubar is set to title and a menu has been clicked, then the event must not be handled
      return;
    }
    this.setExpanded(!this.expanded);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event); // otherwise, the event would be triggered twice sometimes (by group-box-control and group-box-title)
  }
  /** @see GroupBoxModel.responsive */
  setResponsive(responsive) {
    this.setProperty('responsive', responsive);
  }
  _setResponsive(responsive) {
    this._setProperty('responsive', responsive);
    if (!this.initialized) {
      return;
    }
    if (this.responsive) {
      _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().reset(this, true);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().reset(this, true);
      if (this.responsive === null) {
        let parent = this.findParent(parent => parent instanceof GroupBox && parent.responsive);
        _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().reset(parent, true);
      }
    }
    this.invalidateLayoutTree();
  }
  clone(model, options) {
    let clone = super.clone(model);
    this._deepCloneProperties(clone, ['fields'], options);
    clone._prepareFields();
    return clone;
  }
}
_defineProperty(GroupBox, "BorderDecoration", {
  /**
   * Makes {@link borderVisible} to be computed automatically which means top and bottom paddings are invisible if it is a {@link mainBox}.
   * @see _computeBorderVisible
   */
  AUTO: 'auto',
  /**
   * The top and bottom paddings are always visible, even if it is a {@link mainBox}.
   */
  EMPTY: 'empty',
  /**
   * Currently has no effect.
   */
  LINE: 'line'
});
_defineProperty(GroupBox, "MenuBarPosition", {
  AUTO: 'auto',
  TOP: 'top',
  BOTTOM: 'bottom',
  TITLE: 'title'
});

/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBoxAdapter: () => (/* binding */ GroupBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['expanded']);
  }
  _initModel(m, parent) {
    let model = super._initModel(m, parent);
    // Set logical grid to null -> Calculation happens on server side
    model.logicalGrid = null;
    return model;
  }
  /**
   * Replace method on responsive handler.
   * @internal
   */
  _postCreateWidget() {
    super._postCreateWidget();
    if (this.widget.responsiveHandler) {
      this.widget.responsiveHandler.setAllowedStates([_index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.NORMAL, _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.ResponsiveState.CONDENSED]);
      this.widget.responsiveHandler.getGridData = this._getGridData;
      this.widget.responsiveHandler.setGridData = this._setGridData;
    }
  }
  _getGridData(field) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(field.gridData);
  }
  _setGridData(field, gridData) {
    field._setGridData(gridData);
  }
}

/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxEventMap.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxGridConfig.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxGridConfig.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBoxGridConfig: () => (/* binding */ GroupBoxGridConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupBoxGridConfig extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig {
  getGridWidgets() {
    return this.widget.controls;
  }
  getGridColumnCount() {
    let gridColumns = -1,
      widget = this.widget;
    do {
      gridColumns = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(widget.gridColumnCount, gridColumns);
    } while (gridColumns < 0 && widget.getParentGroupBox && (widget = widget.getParentGroupBox()));
    return gridColumns < 0 ? 2 : gridColumns;
  }
}

/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxLayout.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxLayout.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBoxLayout: () => (/* binding */ GroupBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class GroupBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(groupBox) {
    super();
    _defineProperty(this, "groupBox", void 0);
    _defineProperty(this, "_htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "_fieldStatusWidth", void 0);
    this.groupBox = groupBox;
    this._initDefaults();
    this._htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this._htmlPropertyChangeHandler);
    this.groupBox.one('remove', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this._htmlPropertyChangeHandler);
    });
  }
  _initDefaults() {
    this._fieldStatusWidth = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldStatusWidth;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this.groupBox.invalidateLayoutTree();
  }
  layout($container) {
    let menuBarSize,
      menuBarHeight = 0,
      statusWidth = 0,
      statusPosition = this.groupBox.statusPosition,
      htmlContainer = this.groupBox.htmlComp,
      htmlGbBody = this._htmlGbBody(),
      htmlMenuBar = this._htmlMenuBar(),
      $header = this.groupBox.$header,
      $title = this.groupBox.$title,
      containerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    // apply responsive transformations if necessary.
    if (this.groupBox.responsive) {
      _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().handleResponsive(this.groupBox, containerSize.width);
    }
    statusWidth = this._statusWidth();
    // Menu-bar
    if (htmlMenuBar) {
      if (this.groupBox.menuBarPosition === _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox.MenuBarPosition.TITLE) {
        // position: TITLE
        menuBarSize = this._updateHeaderMenuBar(htmlMenuBar, $header, $title, statusWidth);
      } else {
        // position: TOP and BOTTOM
        menuBarSize = this._updateMenuBar(htmlMenuBar, containerSize, statusWidth);
        menuBarHeight = menuBarSize.height;
        setWidthForStatus($title);
      }
      htmlMenuBar.setSize(menuBarSize);
    } else {
      setWidthForStatus($title);
    }
    if (statusPosition !== _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP) {
      setWidthForStatus($header, statusWidth);
    } else {
      setWidthForStatus($header);
    }
    let notificationHeight = 0;
    if (this.groupBox.notification) {
      let notificationMargin = this.groupBox.notification.htmlComp.margins();
      let notificationPrefSize = this.groupBox.notification.htmlComp.prefSize({
        widthHint: containerSize.width - statusWidth
      });
      this.groupBox.notification.htmlComp.setSize(notificationPrefSize);
      notificationHeight = notificationPrefSize.height + notificationMargin.vertical();
    }
    let gbBodySize = containerSize.subtract(htmlGbBody.margins());
    gbBodySize.height -= this._headerHeight();
    gbBodySize.height -= notificationHeight;
    gbBodySize.height -= menuBarHeight;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(GroupBoxLayout#layout) gbBodySize=' + gbBodySize);
    htmlGbBody.setSize(gbBodySize);
    if (htmlGbBody.scrollable || this.groupBox.bodyLayoutConfig.minWidth > 0) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(htmlGbBody.$comp);
    }
    // Make $element wider, so status is on the left
    function setWidthForStatus($element, statusWidth) {
      if (statusWidth) {
        let marginX = $element.cssMarginX() + statusWidth;
        $element.cssWidth('calc(100% - ' + marginX + 'px)');
      } else {
        $element.cssWidth('');
      }
    }
  }
  _updateMenuBar(htmlMenuBar, containerSize, statusWidth) {
    let $groupBox = this.groupBox.$container;
    let $menuBar = htmlMenuBar.$comp;
    if (!this.groupBox.mainBox && $groupBox.hasClass('menubar-position-top') && $groupBox.hasClass('has-scroll-shadow-top') || $groupBox.hasClass('menubar-position-bottom') && $groupBox.hasClass('has-scroll-shadow-bottom')) {
      // Replace margin resp. status space with a padding so that menubar line is drawn as width as the shadow
      // The left margin (mandatory indicator space) could actually be removed by css,
      // but doing it here does not require any css adjustments for customized group boxes.
      let margin = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($menuBar);
      if (margin.left > 0) {
        $menuBar.cssPaddingLeft(margin.left);
        $menuBar.cssMarginLeft(0);
      }
      if (statusWidth > 0) {
        $menuBar.cssPaddingRight(statusWidth);
        statusWidth = 0;
      }
    } else {
      $menuBar.cssPaddingLeft('');
      $menuBar.cssMarginLeft('');
      $menuBar.cssPaddingRight('');
    }
    return this._menuBarSize(htmlMenuBar, containerSize, statusWidth);
  }
  _menuBarSize(htmlMenuBar, containerSize, statusWidth) {
    let menuBarSize = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize);
    if (!this.groupBox.mainBox) {
      // adjust size of menubar as well if it is in a regular group box
      menuBarSize.width -= statusWidth;
    }
    return menuBarSize;
  }
  _updateHeaderMenuBar(htmlMenuBar, $header, $title, statusWidth) {
    // Use Math.floor/ceil and +1 to avoid rounding issues with text-ellipsis and title label
    let menuBarSize = htmlMenuBar.prefSize({
      exact: true
    });
    let headerSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($header).subtract(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($header));
    let headerWidth = headerSize.width - statusWidth;
    let $control = $header.children('.group-box-control');
    if ($control.length > 0) {
      headerWidth -= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($control, true).width;
    }
    let titleWidth = Math.ceil(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($title, true).width) + 1;
    let menuBarWidth = menuBarSize.width;
    if (titleWidth + menuBarWidth < headerWidth) {
      // title and menu-bar both fit into the title
      // let menu-bar use all the available width
      menuBarWidth = Math.floor(headerWidth - titleWidth);
      menuBarSize.width = menuBarWidth;
      $title.cssWidth('');
    } else {
      // title and menu-bar don't fit into the title
      // scale down until both fit into the title, try to keep the same width-ratio (r)
      let scaleFactor = (titleWidth + menuBarWidth) / headerWidth;
      let rLabel = titleWidth / headerWidth / scaleFactor;
      let rMenuBar = menuBarWidth / headerWidth / scaleFactor;
      if (rLabel < rMenuBar) {
        rLabel = Math.max(0.33, rLabel);
        rMenuBar = 1.0 - rLabel;
      } else {
        rMenuBar = Math.max(0.33, rMenuBar);
        rLabel = 1.0 - rMenuBar;
      }
      titleWidth = rLabel * headerWidth;
      menuBarWidth = rMenuBar * headerWidth;
      menuBarSize.width = Math.floor(menuBarWidth);
      $title.cssWidth(Math.floor(titleWidth));
    }
    return menuBarSize;
  }
  _$status() {
    return this.groupBox.$status;
  }
  _layoutStatus() {
    let htmlContainer = this.groupBox.htmlComp,
      containerPadding = htmlContainer.insets({
        includeBorder: false
      }),
      top = containerPadding.top,
      right = containerPadding.right,
      $header = this.groupBox.$header,
      headerInnerHeight = $header.innerHeight(),
      $status = this._$status(),
      statusMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status),
      statusPosition = this.groupBox.statusPosition;
    $status.cssWidth(this._fieldStatusWidth);
    if (statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.DEFAULT) {
      top += $header.cssMarginTop();
    }
    $status.cssTop(top).cssRight(right).cssHeight(headerInnerHeight - statusMargins.vertical());
  }
  preferredLayoutSize($container, options) {
    options = options || {};
    let htmlContainer = this.groupBox.htmlComp,
      htmlGbBody = this._htmlGbBody(),
      prefSize,
      widthInPixel = 0,
      heightInPixel = 0,
      gridData = this.groupBox.gridData,
      undoResponsive = false;
    if (this.groupBox.responsive && options.widthHint) {
      undoResponsive = _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().handleResponsive(this.groupBox, options.widthHint);
    }
    if (gridData) {
      widthInPixel = gridData.widthInPixel;
      heightInPixel = gridData.heightInPixel;
    }
    if (widthInPixel && heightInPixel) {
      // If width and height are set there is no need to calculate anything -> just return it as preferred size
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(widthInPixel, heightInPixel).add(htmlContainer.insets());
      return prefSize;
    }
    // Use explicit width as hint if set
    if (!options.widthHint && widthInPixel) {
      options.widthHint = widthInPixel;
    }
    // HeightHint not supported
    options.heightHint = null;
    if (this.groupBox.expanded) {
      prefSize = htmlGbBody.prefSize(options).add(htmlGbBody.margins());
      let htmlMenuBar = this._htmlMenuBar();
      if (htmlMenuBar && this.groupBox.menuBarPosition !== _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox.MenuBarPosition.TITLE) {
        prefSize.height += htmlMenuBar.prefSize(options).height;
      }
      if (this.groupBox.notification) {
        let notificationPrefSize = this.groupBox.notification.htmlComp.prefSize({
          widthHint: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.widthHint, prefSize.width) - this._statusWidth(),
          includeMargin: true
        });
        prefSize.height += notificationPrefSize.height;
      }
    } else {
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    prefSize = prefSize.add(htmlContainer.insets());
    prefSize.height += this._headerHeight();
    // predefined height or width in pixel override other values
    if (widthInPixel) {
      prefSize.width = widthInPixel;
    }
    if (heightInPixel) {
      prefSize.height = heightInPixel;
    }
    if (undoResponsive) {
      _index__WEBPACK_IMPORTED_MODULE_0__.ResponsiveManager.get().reset(this.groupBox);
    }
    return prefSize;
  }
  _headerHeight() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this.groupBox.$header, true).height;
  }
  _statusWidth() {
    let statusWidth = 0;
    let $status = this._$status();
    if ($status && $status.isVisible()) {
      this._layoutStatus();
      statusWidth = $status.outerWidth(true);
    }
    return statusWidth;
  }
  /**
   * Return menu-bar when it exists and it is visible.
   */
  _htmlMenuBar() {
    if (this.groupBox.menuBar && this.groupBox.menuBarVisible) {
      let htmlMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(this.groupBox.menuBar.$container);
      if (htmlMenuBar && htmlMenuBar.isVisible()) {
        return htmlMenuBar;
      }
    }
    return null;
  }
  _htmlGbBody() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.groupBox.$body);
  }
}

/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxMenuItemsOrder.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxMenuItemsOrder.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupBoxMenuItemsOrder: () => (/* binding */ GroupBoxMenuItemsOrder)
/* harmony export */ });
class GroupBoxMenuItemsOrder {
  /**
   * Sorts the given menus item by horizontal alignment and divides the items in two groups for each alignment.
   * The result looks as follows:
   *
   * <em>
   * [horizontalAlignment=-1|0]    [horizontalAlignment=1]
   * [  buttons  ]  [  menus  ]    [ menus ]   [ buttons ]
   * </em>
   *
   * The buttons are always on the outer side of the group-box, the menus are on the inner side.
   */
  order(items) {
    let leftButtons = [],
      leftMenus = [],
      rightButtons = [],
      rightMenus = [];
    items.forEach(item => {
      if (item.isButton()) {
        let horizontalAlignment = item.horizontalAlignment;
        if (horizontalAlignment === 1) {
          rightButtons.push(item);
        } else {
          // also 0
          leftButtons.push(item);
        }
      } else {
        if (item.horizontalAlignment === 1) {
          rightMenus.push(item);
        } else {
          // also 0
          leftMenus.push(item);
        }
      }
    });
    return {
      left: leftButtons.concat(leftMenus),
      right: rightMenus.concat(rightButtons),
      all: leftButtons.concat(leftMenus).concat(rightMenus).concat(rightButtons)
    };
  }
}

/***/ }),

/***/ "./src/form/fields/groupbox/GroupBoxModel.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/groupbox/GroupBoxModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/htmlfield/HtmlField.ts":
/*!************************************************!*\
  !*** ./src/form/fields/htmlfield/HtmlField.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlField: () => (/* binding */ HtmlField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class HtmlField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "scrollBarEnabled", void 0);
    _defineProperty(this, "selectable", void 0);
    _defineProperty(this, "scrollToAnchor", void 0);
    this.scrollBarEnabled = false;
    this.scrollToAnchor = null;
    this.preventInitialFocus = true;
    this.selectable = true;
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.AppLinkKeyStroke(this, this._onAppLinkAction));
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.SelectAllTextInFieldKeyStroke(this));
  }
  _render() {
    this.addContainer(this.$parent, 'html-field');
    this.addLabel();
    this.addField(this.$parent.makeDiv());
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderScrollBarEnabled();
    this._renderScrollToAnchor();
    this._renderSelectable();
    this._renderEmpty();
  }
  _renderDisplayText() {
    if (!this.displayText) {
      this.$field.empty();
      return;
    }
    this.$field.html(this.displayText);
    // Add action to app-links
    this.$field.find('.app-link').on('click', this._onAppLinkAction.bind(this));
    // Don't change focus when a link is clicked by mouse
    this.$field.find('a, .app-link').attr('tabindex', '0').unfocusable();
    // Add listener to images to update the layout when the images are loaded
    this.$field.find('img').on('load', this._onImageLoad.bind(this)).on('error', this._onImageError.bind(this));
    // Because this method replaces the content, the scroll bars might have to be added or removed
    if (this.rendered) {
      // (only necessary if already rendered, otherwise it is done by renderProperties)
      this._uninstallScrollbars();
      this._renderScrollBarEnabled();
    }
    this.invalidateLayoutTree();
  }
  _renderFocused() {
    // NOP, don't add "focused" class. It doesn't look good when the label is highlighted but no cursor is visible.
  }
  _renderEmpty() {
    this.$field.toggleClass('empty', this.empty);
  }
  setScrollBarEnabled(scrollBarEnabled) {
    this.setProperty('scrollBarEnabled', scrollBarEnabled);
  }
  _renderScrollBarEnabled() {
    if (this.scrollBarEnabled) {
      this._installScrollbars();
    } else {
      this._uninstallScrollbars();
    }
  }
  _renderScrollToAnchor() {
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this._renderScrollToAnchor.bind(this));
      return;
    }
    if (this.scrollBarEnabled && this.scrollToAnchor) {
      let anchorElem = this.$field.find('#'.concat(this.scrollToAnchor));
      if (anchorElem && anchorElem.length > 0) {
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.$field, anchorElem);
      }
    }
  }
  setSelectable(selectable) {
    this.setProperty('selectable', selectable);
  }
  _renderSelectable() {
    this.$container.toggleClass('selectable', !!this.selectable);
    // Allow this field to receive the focus when selecting text with the mouse. Otherwise, form
    // keystrokes would no longer work because the focus would automatically be set to the desktop
    // for lack of alternatives. The value -1 ensures the field is skipped when tabbing through
    // all form fields.
    this.$field.toggleAttr('tabindex', !!this.selectable, '-1');
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  _onImageLoad(event) {
    this.invalidateLayoutTree();
  }
  _onImageError(event) {
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/form/fields/htmlfield/HtmlFieldAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/htmlfield/HtmlFieldAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlFieldAdapter: () => (/* binding */ HtmlFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HtmlFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _initProperties(model) {
    super._initProperties(model);
    if (model.scrollToEnd !== undefined) {
      // ignore pseudo property initially (to prevent the function StringField#scrollToEnd() to be replaced)
      delete model.scrollToEnd;
    }
  }
  _syncScrollToEnd() {
    this.widget.scrollToBottom();
  }
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/htmlfield/HtmlFieldEventMap.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/htmlfield/HtmlFieldEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/htmlfield/HtmlFieldModel.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/htmlfield/HtmlFieldModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/imagefield/ImageField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/imagefield/ImageField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ImageField: () => (/* binding */ ImageField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ImageField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "autoFit", void 0);
    _defineProperty(this, "imageUrl", void 0);
    _defineProperty(this, "scrollBarEnabled", void 0);
    _defineProperty(this, "uploadEnabled", void 0);
    _defineProperty(this, "acceptTypes", void 0);
    _defineProperty(this, "maximumUploadSize", void 0);
    _defineProperty(this, "icon", void 0);
    _defineProperty(this, "fileInput", void 0);
    _defineProperty(this, "_clickHandler", void 0);
    this.defaultMenuTypes = [...this.defaultMenuTypes, ImageField.MenuType.ImageUrl, ImageField.MenuType.Null];
    this.autoFit = false;
    this.imageUrl = null;
    this.scrollBarEnabled = false;
    this.uploadEnabled = false;
    this.acceptTypes = null;
    this.maximumUploadSize = _index__WEBPACK_IMPORTED_MODULE_0__.FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE;
    this._clickHandler = null;
  }
  _init(model) {
    super._init(model);
    this.resolveIconIds(['imageUrl']);
    this.icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
      parent: this,
      iconDesc: this.imageUrl,
      autoFit: this.autoFit,
      prepend: true
    });
    this.icon.on('load', this._onImageLoad.bind(this));
    this.icon.on('error', this._onImageError.bind(this));
  }
  _render() {
    this.addContainer(this.$parent, 'image-field', new _index__WEBPACK_IMPORTED_MODULE_0__.ImageFieldLayout(this));
    this.addFieldContainer(this.$parent.makeDiv());
    // Complete the layout hierarchy between the image field and the image
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$fieldContainer, this.session);
    htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
    this.icon.render(this.$fieldContainer);
    this.addLabel();
    this.addField(this.icon.$container);
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderScrollBarEnabled();
    this._renderImageUrl();
    this._renderUploadEnabled();
  }
  _remove() {
    super._remove();
    this._clickHandler = null;
    if (this.fileInput) {
      this.fileInput.destroy();
      this.fileInput = null;
    }
  }
  _getDragAndDropHandlerOptions() {
    let options = super._getDragAndDropHandlerOptions();
    options.container = () => this.$fieldContainer;
    return options;
  }
  setImageUrl(imageUrl) {
    this.setProperty('imageUrl', imageUrl);
  }
  _setImageUrl(imageUrl) {
    this._setProperty('imageUrl', imageUrl);
    this.icon.setIconDesc(imageUrl);
    this._updateMenus();
  }
  _renderImageUrl() {
    let hasImageUrl = !!this.imageUrl;
    this.$fieldContainer.toggleClass('has-image', hasImageUrl);
    this.$container.toggleClass('has-image', hasImageUrl);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$fieldContainer);
  }
  setAutoFit(autoFit) {
    this.setProperty('autoFit', autoFit);
  }
  _setAutoFit(autoFit) {
    this._setProperty('autoFit', autoFit);
    this.icon.setAutoFit(autoFit);
  }
  _renderAutoFit() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$fieldContainer);
  }
  setScrollBarEnabled(scrollBarEnabled) {
    this.setProperty('scrollBarEnabled', scrollBarEnabled);
  }
  _renderScrollBarEnabled() {
    // Note: Inner alignment has to be updated _before_ installing the scrollbar, because the inner
    // alignment uses absolute positioning, which confuses the scrollbar calculations.
    this._updateInnerAlignment();
    if (this.scrollBarEnabled) {
      this._installScrollbars();
    } else {
      this._uninstallScrollbars();
    }
  }
  get$Scrollable() {
    return this.$fieldContainer;
  }
  _renderGridData() {
    super._renderGridData();
    this._updateInnerAlignment();
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this._updateInnerAlignment();
  }
  _updateInnerAlignment() {
    // Enable inner alignment only when scrollbars are disabled
    this.updateInnerAlignment({
      useHorizontalAlignment: !this.scrollBarEnabled,
      useVerticalAlignment: !this.scrollBarEnabled
    });
  }
  _renderEnabled() {
    super._renderEnabled();
    this._updateUploadEnabled();
  }
  setUploadEnabled(uploadEnabled) {
    this.setProperty('uploadEnabled', uploadEnabled);
  }
  _renderUploadEnabled() {
    this._updateUploadEnabled();
  }
  _updateUploadEnabled() {
    let enabled = this.enabledComputed && this.uploadEnabled;
    this.$fieldContainer.toggleClass('clickable', enabled);
    if (enabled) {
      if (!this._clickHandler) {
        this._clickHandler = this._onClickUpload.bind(this);
        this.$fieldContainer.on('click', this._clickHandler);
      }
      if (!this.fileInput) {
        this.fileInput = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FileInput, {
          parent: this,
          acceptTypes: this.acceptTypes,
          text: this.displayText,
          enabled: this.enabledComputed,
          maximumUploadSize: this.maximumUploadSize,
          visible: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsFile()
        });
        this.fileInput.render(this.$fieldContainer);
        this.fileInput.on('change', this._onFileChange.bind(this));
      }
    } else {
      this.$fieldContainer.off('click', this._clickHandler);
      this._clickHandler = null;
      if (this.fileInput) {
        this.fileInput.destroy();
        this.fileInput = null;
      }
    }
  }
  _getCurrentMenuTypes() {
    if (this.imageUrl) {
      return [...super._getCurrentMenuTypes(), ImageField.MenuType.ImageUrl];
    }
    return [...super._getCurrentMenuTypes(), ImageField.MenuType.Null];
  }
  /**
   * The browse() function triggers an artificial click event on the INPUT element,
   * this would trigger our own click handler again. We prevent recursion by
   * checking the click target.
   */
  _onClickUpload(event) {
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).isOrHas(this.$field)) {
      this.fileInput.browse();
    }
  }
  _onFileChange(event) {
    this.trigger('fileUpload', {
      file: _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(event.files)
    });
  }
  _onImageLoad(event) {
    this._onIconUpdated();
  }
  _onImageError(event) {
    this._onIconUpdated();
  }
  /**
   * This function is called whenever the icon has updated its $container. Since the $field
   * variable from ImageField.js references the $container of the icon directly, we must update
   * that variable now.
   * <p>
   * Override this method if a sub-class of ImageField.js needs to update its DOM too.
   */
  _onIconUpdated() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$fieldContainer);
    this.$field = this.icon.$container;
  }
}
_defineProperty(ImageField, "MenuType", {
  Null: 'ImageField.Null',
  ImageUrl: 'ImageField.ImageUrl'
});

/***/ }),

/***/ "./src/form/fields/imagefield/ImageFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/imagefield/ImageFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ImageFieldAdapter: () => (/* binding */ ImageFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ImageFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  _onWidgetEvent(event) {
    if (event.type === 'fileUpload') {
      this._onFileUpload(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onFileUpload(event) {
    let success = this.widget.fileInput.upload();
    if (!success) {
      this.widget.fileInput.clear();
    }
  }
}

/***/ }),

/***/ "./src/form/fields/imagefield/ImageFieldEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/imagefield/ImageFieldEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/imagefield/ImageFieldLayout.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/imagefield/ImageFieldLayout.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ImageFieldLayout: () => (/* binding */ ImageFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ImageFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(imageField) {
    super(imageField);
  }
  layout($container) {
    super.layout($container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.formField.$fieldContainer);
  }
}

/***/ }),

/***/ "./src/form/fields/imagefield/ImageFieldModel.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/imagefield/ImageFieldModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/integerfield/IntegerField.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/integerfield/IntegerField.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IntegerField: () => (/* binding */ IntegerField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class IntegerField extends _index__WEBPACK_IMPORTED_MODULE_0__.NumberField {
  constructor() {
    super();
    this.minValue = IntegerField.MIN_VALUE;
    this.maxValue = IntegerField.MAX_VALUE;
    this.fractionDigits = 0;
  }
  _getDefaultFormat(locale) {
    return '#,##0';
  }
  _setFractionDigits(fractionDigits) {
    super._setFractionDigits(0);
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$field, this.id + '-func-desc', this.session.text('ui.AriaIntegerFieldDescription'));
  }
}
_defineProperty(IntegerField, "MIN_VALUE", Number.MIN_SAFE_INTEGER);
_defineProperty(IntegerField, "MAX_VALUE", Number.MAX_SAFE_INTEGER);

/***/ }),

/***/ "./src/form/fields/labelfield/LabelField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/labelfield/LabelField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LabelField: () => (/* binding */ LabelField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LabelField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "selectable", void 0);
    _defineProperty(this, "wrapText", void 0);
    this.htmlEnabled = false;
    this.selectable = true;
    this.wrapText = false;
    this.preventInitialFocus = true;
  }
  /**
   * Resolves the text key if value contains one.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    value = _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText(value, this.session.locale.languageTag);
    super._initValue(value);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.SelectAllTextInFieldKeyStroke(this));
  }
  _render() {
    this.addContainer(this.$parent, 'label-field');
    this.addLabel();
    this.addField(this.$parent.makeDiv());
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderWrapText();
    this._renderSelectable();
  }
  _renderFocused() {
    // NOP, don't add "focused" class. It doesn't look good when the label is highlighted but no cursor is visible.
  }
  /**
   * Since a LabelField cannot be changed by a user, acceptInput does nothing.
   * Otherwise, LabelFields could 'become' touched, because value and displayText
   * of the LabelField don't match.
   */
  acceptInput(whileTyping) {
    // NOP
  }
  setHtmlEnabled(htmlEnabled) {
    this.setProperty('htmlEnabled', htmlEnabled);
  }
  _renderHtmlEnabled() {
    // Render the display text again when html enabled changes dynamically
    this._renderDisplayText();
  }
  _renderDisplayText() {
    let displayText = this.displayText || '';
    if (this.htmlEnabled) {
      this.$field.html(displayText);
      // Add action to app-links
      this.$field.find('.app-link').on('click', this._onAppLinkAction.bind(this));
    } else {
      this.$field.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(displayText));
    }
    this.invalidateLayoutTree();
  }
  setWrapText(wrapText) {
    this.setProperty('wrapText', wrapText);
  }
  _renderWrapText() {
    this.$field.toggleClass('white-space-nowrap', !this.wrapText);
    this.invalidateLayoutTree();
  }
  setSelectable(selectable) {
    this.setProperty('selectable', selectable);
  }
  _renderSelectable() {
    this.$container.toggleClass('selectable', !!this.selectable);
    // Allow this field to receive the focus when selecting text with the mouse. Otherwise, form
    // keystrokes would no longer work because the focus would automatically be set to the desktop
    // for lack of alternatives. The value -1 ensures the field is skipped when tabbing through
    // all form fields.
    this.$field.toggleAttr('tabindex', !!this.selectable, '-1');
  }
  _renderGridData() {
    super._renderGridData();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  _onAppLinkAction(event) {
    let $target = $(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  addField($field) {
    super.addField($field);
    this.$field.off('blur').off('focus');
  }
}

/***/ }),

/***/ "./src/form/fields/labelfield/LabelFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/labelfield/LabelFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LabelFieldAdapter: () => (/* binding */ LabelFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LabelFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/labelfield/LabelFieldEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/labelfield/LabelFieldEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/labelfield/LabelFieldModel.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/labelfield/LabelFieldModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/listbox/ListBox.ts":
/*!********************************************!*\
  !*** ./src/form/fields/listbox/ListBox.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ListBox: () => (/* binding */ ListBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ListBox extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupBox {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    this.table = null;
    this._addWidgetProperties(['table', 'filterBox']);
  }
  _init(model) {
    super._init(model);
    this.table.on('rowsChecked', this._onTableRowsChecked.bind(this));
    this.table.setScrollTop(this.scrollTop);
  }
  _initStructure(value) {
    if (!this.table) {
      this.table = this._createDefaultListBoxTable();
    }
    this.table.accessibilityRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.ListBoxTableAccessibilityRenderer();
    // align checkableColumn in table with checkboxes of tree fields
    if (this.table.checkableColumn) {
      // may be null if a non-default list-box-table with checkable=false is used
      this.table.checkableColumn.minWidth = 28;
      this.table.checkableColumn.width = this.table.checkableColumn.minWidth; // do not use setWidth here
    }
  }
  _render() {
    super._render();
    this.$container.addClass('list-box');
  }
  _createFieldContainerLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.ListBoxLayout(this, this.table, this.filterBox);
  }
  _renderStructure() {
    this.table.render(this.$fieldContainer);
    this.addField(this.table.$container);
  }
  _onTableRowsChecked(event) {
    this._syncTableToValue();
  }
  _syncTableToValue() {
    if (!this.lookupCall || this._valueSyncing) {
      return;
    }
    this._valueSyncing = true;
    let valueArray = [];
    this.table.rows.forEach(row => {
      if (row.checked) {
        valueArray.push(row.lookupRow.key);
      }
    });
    this.setValue(valueArray);
    this._valueSyncing = false;
  }
  _valueChanged() {
    super._valueChanged();
    this._syncValueToTable(this.value);
  }
  _syncValueToTable(newValue) {
    if (!this.lookupCall || this._valueSyncing || !this.initialized) {
      return;
    }
    this._valueSyncing = true;
    let opts = {
      checkOnlyEnabled: false
    };
    try {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(newValue)) {
        this.table.uncheckRows(this.table.rows, opts);
      } else {
        // if lookup was not executed yet: do it now.
        let lookupScheduled = this._ensureLookupCallExecuted();
        if (lookupScheduled) {
          return; // was the first lookup: table has no rows yet. cancel sync. Will be executed again after lookup execution.
        }
        let rowsToCheck = [];
        this.table.uncheckRows(this.table.rows, opts);
        this.table.rows.forEach(row => {
          if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAny(newValue, row.lookupRow.key)) {
            rowsToCheck.push(row);
          }
        }, this);
        this.table.checkRows(rowsToCheck, opts);
      }
      this._updateDisplayText();
    } finally {
      this._valueSyncing = false;
    }
  }
  _lookupByAllDone(result) {
    super._lookupByAllDone(result);
    this._populateTable(result);
  }
  _populateTable(result) {
    let tableRows = [],
      lookupRows = result.lookupRows;
    lookupRows.forEach(lookupRow => {
      tableRows.push(this._createTableRow(lookupRow));
    });
    this.table.deleteAllRows();
    this.table.insertRows(tableRows);
    this._syncValueToTable(this.value);
  }
  /**
   * Returns a lookup row for each value currently checked.
   */
  getCheckedLookupRows() {
    if (this.value === null || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.value) || this.table.rows.length === 0) {
      return [];
    }
    return this.table.rows.filter(row => row.checked).map(row => row.lookupRow);
  }
  _createTableRow(lookupRow) {
    let cell = _index__WEBPACK_IMPORTED_MODULE_0__.lookupField.createTableCell(lookupRow);
    let row = {
      cells: [cell],
      lookupRow: lookupRow
    };
    if (lookupRow.enabled === false) {
      row.enabled = false;
    }
    if (lookupRow.cssClass) {
      row.cssClass = lookupRow.cssClass;
    }
    if (lookupRow.active === false) {
      row.active = false;
      row.cssClass = (row.cssClass ? row.cssClass + ' ' : '') + 'inactive';
    }
    return row;
  }
  _prepareWidgetProperty(propertyName, models) {
    if (propertyName === 'table' && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isPojo(models)) {
      // Enhance given model with list box specific defaults
      models = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this._createDefaultListBoxTableModel(), models);
    }
    return super._prepareWidgetProperty(propertyName, models);
  }
  _createDefaultListBoxTable() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Table, {
      parent: this,
      ...this._createDefaultListBoxTableModel()
    });
  }
  _createDefaultListBoxTableModel() {
    return {
      autoResizeColumns: true,
      checkable: true,
      checkableStyle: _index__WEBPACK_IMPORTED_MODULE_0__.Table.CheckableStyle.CHECKBOX_TABLE_ROW,
      headerVisible: false,
      footerVisible: false,
      columns: [{
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Column
      }]
    };
  }
  getDelegateScrollable() {
    return this.table;
  }
}

/***/ }),

/***/ "./src/form/fields/listbox/ListBoxAdapter.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/listbox/ListBoxAdapter.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ListBoxAdapter: () => (/* binding */ ListBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ListBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/listbox/ListBoxLayout.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/listbox/ListBoxLayout.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ListBoxLayout: () => (/* binding */ ListBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ListBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupBoxLayout {
  constructor(listBox, table, filterBox) {
    super(listBox, table, filterBox);
  }
}

/***/ }),

/***/ "./src/form/fields/listbox/ListBoxModel.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/listbox/ListBoxModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/lookupfield/LookupFieldAdapter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/lookupfield/LookupFieldAdapter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupFieldAdapter: () => (/* binding */ LookupFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Use this base class for field-adapters that work with lookup-calls like SmartField and TagField.
 */
class LookupFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  /**
   * @param queryData optional data (text, key, rec)
   */
  sendLookup(queryBy, queryData) {
    let propertyName = queryBy.toLowerCase(),
      requestType = 'lookupBy' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName),
      requestData = {
        showBusyIndicator: false
      };
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(queryData)) {
      requestData[propertyName] = queryData;
    }
    this._send(requestType, requestData);
  }
}

/***/ }),

/***/ "./src/form/fields/lookupfield/lookupField.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/lookupfield/lookupField.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   lookupField: () => (/* binding */ lookupField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const lookupField = {
  /**
   * Creates a table-row for the given lookup-row.
   */
  createTableRow(lookupRow, multipleColumns) {
    multipleColumns = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(multipleColumns, false);
    let cells = [],
      row = {
        cells: cells,
        lookupRow: lookupRow
      };
    if (lookupRow.enabled === false) {
      row.enabled = false;
    }
    if (lookupRow.cssClass) {
      row.cssClass = lookupRow.cssClass;
    }
    if (lookupRow.active === false) {
      row.cssClass = (row.cssClass ? row.cssClass + ' ' : '') + 'inactive';
    }
    if (!multipleColumns) {
      cells.push(lookupField.createTableCell(lookupRow, null, null));
    }
    return row;
  },
  /**
   * Creates a table cell for a descriptor. If no descriptor is provided, the default lookupRow cell is created.
   */
  createTableCell(lookupRow, desc, tableRowData) {
    let cell = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell);
    // default column descriptor (first column) has propertyName null
    if (!(desc && desc.propertyName)) {
      cell.setText(lookupRow.text);
      if (lookupRow.iconId) {
        cell.setIconId(lookupRow.iconId);
      }
      if (lookupRow.tooltipText) {
        cell.setTooltipText(lookupRow.tooltipText);
      }
      if (lookupRow.backgroundColor) {
        cell.setBackgroundColor(lookupRow.backgroundColor);
      }
      if (lookupRow.foregroundColor) {
        cell.setForegroundColor(lookupRow.foregroundColor);
      }
      if (lookupRow.font) {
        cell.setFont(lookupRow.font);
      }
    } else {
      cell.setValue(tableRowData[desc.propertyName]);
    }
    return cell;
  }
};

/***/ }),

/***/ "./src/form/fields/modeselectorfield/ModeSelectorField.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/modeselectorfield/ModeSelectorField.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelectorField: () => (/* binding */ ModeSelectorField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ModeSelectorField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    // modes will be moved to the ModeSelector after the adapters are created (only required in scout classic)
    // see ModeSelectorFieldAdapter.js
    _defineProperty(this, "modeSelector", void 0);
    _defineProperty(this, "modes", void 0);
    _defineProperty(this, "_selectedModeChangeHandler", void 0);
    this._addWidgetProperties(['modeSelector', 'modes']);
    this._selectedModeChangeHandler = this._onSelectedModeChange.bind(this);
  }
  _render() {
    this.addContainer(this.$parent, 'mode-selector-field');
    this.addLabel();
    this.addStatus();
    if (this.modeSelector) {
      this._renderModeSelector();
      this.modeSelector.on('propertyChange:selectedMode', this._selectedModeChangeHandler);
    }
  }
  // Will also be called by model adapter on property change event
  _renderModeSelector() {
    this.modeSelector.render();
    this.addField(this.modeSelector.$container);
  }
  _removeModeSelector() {
    this.modeSelector.remove();
    this._removeField();
  }
  _onSelectedModeChange(event) {
    if (event.newValue) {
      this.setValue(event.newValue.ref);
    } else if (this.modeSelector.selectedMode && this.modeSelector.selectedMode.id) {
      this.setValue(this.modeSelector.selectedMode.id);
    } else {
      this.setValue(null);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/modeselectorfield/ModeSelectorFieldAdapter.ts":
/*!***********************************************************************!*\
  !*** ./src/form/fields/modeselectorfield/ModeSelectorFieldAdapter.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelectorFieldAdapter: () => (/* binding */ ModeSelectorFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ModeSelectorFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _createWidget(model) {
    this._addModeSelector(model);
    return super._createWidget(model);
  }
  _addModeSelector(model) {
    model.modeSelector = {
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.ModeSelector
    };
  }
  /** @internal */
  _postCreateWidget() {
    this.widget.modeSelector.setModes(this.widget.modes);
    delete this.widget.modes;
  }
}

/***/ }),

/***/ "./src/form/fields/modeselectorfield/ModeSelectorFieldModel.ts":
/*!*********************************************************************!*\
  !*** ./src/form/fields/modeselectorfield/ModeSelectorFieldModel.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/numberfield/Calculator.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/numberfield/Calculator.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Calculator: () => (/* binding */ Calculator)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/*
 * A simple calculator similar to eval but safe in use.
 * Supports the following format:
 * group character ( )
 * digits 0-9
 * operators + - * /
 * decimal separator .
 * no grouping character
 * no whitespace
 */
class Calculator {
  constructor() {
    _defineProperty(this, "_tokens", void 0);
    this._tokens = [];
  }
  isFormula(input) {
    return input.match(/^[\d()+\-*/.]+$/);
  }
  evalFormula(input) {
    this._tokens = input.split(/([\d.]+|\(|\)|[+\-*/])/).filter(e => {
      return e.length !== 0;
    });
    return this._expr();
  }
  _next() {
    if (this._tokens.length === 0) {
      return undefined;
    }
    return this._tokens[0];
  }
  _consumeNext() {
    let cur = this._tokens[0];
    this._tokens = this._tokens.slice(1, this._tokens.length);
    return cur;
  }
  _expr() {
    return this._sum();
  }
  // a+b+...
  _sum() {
    let v = this._prod();
    while (this._next() === '+' || this._next() === '-') {
      switch (this._consumeNext()) {
        // NOSONAR
        case '+':
          v = v + this._prod();
          break;
        case '-':
          v = v - this._prod();
          break;
      }
    }
    return v;
  }
  // a*b*...
  _prod() {
    let v = this._unary();
    while (this._next() === '*' || this._next() === '/') {
      switch (this._consumeNext()) {
        // NOSONAR
        case '*':
          v = v * this._unary();
          break;
        case '/':
          v = v / this._unary();
          break;
      }
    }
    return v;
  }
  // [+-]123, [+-](a)
  _unary() {
    let qualifier = 1;
    if (this._next() === '+') {
      this._consumeNext();
    } else if (this._next() === '-') {
      this._consumeNext();
      qualifier = -1;
    }
    let v;
    if ((v = this._group()) !== undefined) {
      return qualifier * v;
    }
    // must be num
    v = this._consumeNext();
    return qualifier * v;
  }
  // (a)
  _group() {
    if (this._next() === '(') {
      this._consumeNext();
      let v = this._expr();
      if (this._next() !== ')') {
        throw 'missing closing bracket';
      }
      this._consumeNext();
      return v;
    }
    return undefined;
  }
}

/***/ }),

/***/ "./src/form/fields/numberfield/NumberField.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/numberfield/NumberField.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberField: () => (/* binding */ NumberField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NumberField extends _index__WEBPACK_IMPORTED_MODULE_0__.BasicField {
  constructor() {
    super();
    _defineProperty(this, "calc", void 0);
    _defineProperty(this, "minValue", void 0);
    _defineProperty(this, "maxValue", void 0);
    _defineProperty(this, "decimalFormat", void 0);
    _defineProperty(this, "fractionDigits", void 0);
    this.calc = new _index__WEBPACK_IMPORTED_MODULE_0__.Calculator();
    this.minValue = null;
    this.maxValue = null;
    this.decimalFormat = null;
    this.fractionDigits = null;
    this.invalidValueMessageKey = 'InvalidNumberMessageX';
    this.gridDataHints.horizontalAlignment = 1; // number fields are right aligned by default.
  }
  _init(model) {
    super._init(model);
    this._setMinValue(this.minValue);
    this._setMaxValue(this.maxValue);
  }
  /**
   * Initializes the decimal format and the fraction digits before calling set value.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    this._setDecimalFormat(this.decimalFormat);
    this._setFractionDigits(this.fractionDigits);
    super._initValue(value);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _render() {
    this.addContainer(this.$parent, 'number-field');
    this.addLabel();
    this.addMandatoryIndicator();
    let $field = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeTextField(this.$parent);
    this.addField($field);
    this.addStatus();
    this._addAriaFieldDescription();
  }
  _renderGridData() {
    super._renderGridData();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  _getDefaultFormat(locale) {
    return locale.decimalFormatPatternDefault;
  }
  setDecimalFormat(decimalFormat) {
    this.setProperty('decimalFormat', decimalFormat);
  }
  _setDecimalFormat(decimalFormat) {
    if (!decimalFormat) {
      decimalFormat = this._getDefaultFormat(this.session.locale);
    }
    decimalFormat = _index__WEBPACK_IMPORTED_MODULE_0__.DecimalFormat.ensure(this.session.locale, decimalFormat);
    this._setProperty('decimalFormat', decimalFormat);
    if (this.initialized) {
      this.setValue(this.value);
    }
  }
  setFractionDigits(fractionDigits) {
    this.setProperty('fractionDigits', fractionDigits);
  }
  _setFractionDigits(fractionDigits) {
    this._setProperty('fractionDigits', fractionDigits);
    if (this.initialized) {
      this.setValue(this.value);
    }
  }
  _parseValue(displayText) {
    if (!displayText) {
      return null;
    }
    return this.decimalFormat.parse(displayText, this._evaluateNumber.bind(this));
  }
  _evaluateNumber(normalizedNumberString) {
    // Convert to JS number format (remove groupingChar, replace decimalSeparatorChar with '.')
    // Only needed for calculator
    // if only math symbols are in the input string...
    if (this.calc.isFormula(normalizedNumberString)) {
      // ...evaluate and return. If the display text changed, ValueField.js will make sure, the new display text is sent to the model.
      let calculated = this.calc.evalFormula(normalizedNumberString);
      if (isNaN(calculated)) {
        // catch input that is not a valid expression (although it looks like one, e.g. "1.2.3")
        throw new Error(normalizedNumberString + ' is not a valid expression');
      }
      return calculated;
    }
    return Number(normalizedNumberString);
  }
  _ensureValue(value) {
    let typedValue = _index__WEBPACK_IMPORTED_MODULE_0__.numbers.ensure(value);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(typedValue)) {
      return typedValue;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(typedValue)) {
      // might be NaN if the string is no valid number
      throw this.session.text(this.invalidValueMessageKey, value);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(this.fractionDigits)) {
      typedValue = _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(typedValue, this.decimalFormat.roundingMode, this.fractionDigits);
    }
    return typedValue;
  }
  _validateValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return value;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.minValue) && value < this.minValue) {
      this._onNumberTooSmall();
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.maxValue) && value > this.maxValue) {
      this._onNumberTooLarge();
    }
    return value;
  }
  _onNumberTooLarge() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.minValue)) {
      throw this.session.text('NumberTooLargeMessageX', this._formatValue(this.maxValue));
    }
    throw this.session.text('NumberTooLargeMessageXY', this._formatValue(this.minValue), this._formatValue(this.maxValue));
  }
  _onNumberTooSmall() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.maxValue)) {
      throw this.session.text('NumberTooSmallMessageX', this._formatValue(this.minValue));
    }
    throw this.session.text('NumberTooSmallMessageXY', this._formatValue(this.minValue), this._formatValue(this.maxValue));
  }
  _formatValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return '';
    }
    if (typeof value !== 'number') {
      // if setValue() would be called with something other than a number don't try to format it
      return value + '';
    }
    return this.decimalFormat.format(value, true);
  }
  /**
   * Set the minimum value. Value <code>null</code> means no limitation.
   * <p>
   * If the new minimum value is bigger than the current maxValue, the current maximum value is changed to the new minimum value.
   */
  setMinValue(minValue) {
    if (this.minValue === minValue) {
      return;
    }
    this._setMinValue(minValue);
    this.validate();
  }
  _setMinValue(minValue) {
    this._setProperty('minValue', minValue);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.maxValue) && !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.minValue) && minValue > this.maxValue) {
      this._setMaxValue(minValue);
    }
  }
  /**
   * Set the maximum value. Value <code>null</code> means no limitation.
   * <p>
   * If the new maximum value is smaller than the current minValue, the current minimum value is changed to the new maximum value.
   */
  setMaxValue(maxValue) {
    if (this.maxValue === maxValue) {
      return;
    }
    this._setMaxValue(maxValue);
    this.validate();
  }
  _setMaxValue(maxValue) {
    this._setProperty('maxValue', maxValue);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.maxValue) && !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.minValue) && maxValue < this.minValue) {
      this._setMinValue(maxValue);
    }
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$field, this.id + '-func-desc', this.session.text('ui.AriaNumberFieldDescription'));
  }
}

/***/ }),

/***/ "./src/form/fields/numberfield/NumberFieldAdapter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/numberfield/NumberFieldAdapter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberFieldAdapter: () => (/* binding */ NumberFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NumberFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.BasicFieldAdapter {
  _onWidgetParseError(event) {
    // The parsing might fail on JS side, but it might succeed on server side -> Don't show an error status, instead let the server decide
    event.preventDefault();
  }
  _onWidgetEvent(event) {
    if (event.type === 'parseError') {
      this._onWidgetParseError(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  static modifyPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.NumberField, _index__WEBPACK_IMPORTED_MODULE_0__.NumberField.prototype.clearErrorStatus, function () {
      if (this.modelAdapter) {
        // Don't do anything -> let server handle it
      } else {
        return this.clearErrorStatusOrig();
      }
    }, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', NumberFieldAdapter.modifyPrototype);

/***/ }),

/***/ "./src/form/fields/numberfield/NumberFieldEventMap.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/numberfield/NumberFieldEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/numberfield/NumberFieldModel.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/numberfield/NumberFieldModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/placeholder/PlaceholderField.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/placeholder/PlaceholderField.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlaceholderField: () => (/* binding */ PlaceholderField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlaceholderField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  _render() {
    this.addContainer(this.$parent, 'placeholder-field');
    this.addLabel();
  }
  _renderLabel() {
    // Field needs a label to ensure correct layout when labelPosition = TOP.
    // The label is always rendered empty, because place holder fields should not have any visible parts.
    this._renderEmptyLabel();
  }
}

/***/ }),

/***/ "./src/form/fields/placeholder/PlaceholderFieldAdapter.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/placeholder/PlaceholderFieldAdapter.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlaceholderFieldAdapter: () => (/* binding */ PlaceholderFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlaceholderFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/plannerfield/PlannerField.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/plannerfield/PlannerField.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerField: () => (/* binding */ PlannerField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlannerField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "planner", void 0);
    this._addWidgetProperties(['planner']);
    this.gridDataHints.weightY = 1.0;
  }
  _render() {
    this.addContainer(this.$parent, 'planner-field');
    this.addLabel();
    this.addStatus();
    if (this.planner) {
      this._renderPlanner();
    }
  }
  /**
   * Will also be called by model adapter on property change event
   */
  _renderPlanner() {
    this.planner.render();
    this.addField(this.planner.$container);
  }
  _removePlanner() {
    this.planner.remove();
    this._removeField();
  }
}

/***/ }),

/***/ "./src/form/fields/plannerfield/PlannerFieldAdapter.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/plannerfield/PlannerFieldAdapter.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerFieldAdapter: () => (/* binding */ PlannerFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlannerFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/plannerfield/PlannerFieldModel.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/plannerfield/PlannerFieldModel.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButton.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButton.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButton: () => (/* binding */ RadioButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButton extends _index__WEBPACK_IMPORTED_MODULE_0__.Button {
  constructor() {
    super();
    _defineProperty(this, "focusWhenSelected", void 0);
    _defineProperty(this, "wrapText", void 0);
    _defineProperty(this, "radioValue", void 0);
    _defineProperty(this, "$radioButton", void 0);
    _defineProperty(this, "lookupRow", void 0);
    this.gridDataHints.fillHorizontal = true;
    this.focusWhenSelected = true;
    this.wrapText = false;
    this.buttonKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonKeyStroke(this, null);
    this.radioValue = null;
  }
  _initDefaultKeyStrokes() {
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonKeyStroke(this, 'ENTER'), new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonKeyStroke(this, 'SPACE')]);
  }
  _render() {
    this.addContainer(this.$parent, 'radio-button', new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonLayout(this));
    this.addFieldContainer(this.$parent.makeDiv());
    this.$radioButton = this.$fieldContainer.appendDiv('radio-button-circle').data('radiobutton', this);
    // $buttonLabel is used by Button.js as well -> Button.js handles label
    this.$buttonLabel = this.$fieldContainer.appendDiv('label');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$radioButton, 'radio');
    this.addField(this.$radioButton);
    this.$fieldContainer.on('mousedown', this._onMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$buttonLabel, {
      parent: this
    });
    this.addStatus();
    this.session.keyStrokeManager.installKeyStrokeContext(this.formKeyStrokeContext);
  }
  _remove() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$buttonLabel);
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.formKeyStrokeContext);
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderWrapText();
    this._renderSelected();
  }
  setWrapText(wrapText) {
    this.setProperty('wrapText', wrapText);
  }
  _renderWrapText() {
    this.$buttonLabel.toggleClass('white-space-nowrap', !this.wrapText);
    this.invalidateLayoutTree();
  }
  /**
   * Convenience for {@link #setSelected(true)}
   */
  select() {
    this.setSelected(true);
  }
  _renderSelected() {
    this.$fieldContainer.toggleClass('checked', this.selected);
    this.$field.toggleClass('checked', this.selected);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$radioButton, this.selected);
  }
  setTabbable(tabbable) {
    if (this.rendered) {
      this.$field.setTabbable(tabbable && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
    }
  }
  isTabbable() {
    return this.rendered && this.$field.isTabbable();
  }
  _renderIconId() {
    super._renderIconId();
    let $icon = this.get$Icon();
    if ($icon.length > 0) {
      $icon.insertAfter(this.$radioButton);
    }
  }
  _renderSubmenuIcon() {
    // Do not render sub menu icon
  }
  doAction() {
    if (!this.enabledComputed || !this.visible) {
      return false;
    }
    // Since RadioButton extends Button, doAction should do something useful because it may be called (and actually is by ButtonKeyStroke)
    this.select();
    return true;
  }
  _onMouseDown(event) {
    if (!this.enabledComputed) {
      return;
    }
    let onIcon = this.get$Icon().is(event.target),
      onButton = this.$radioButton.is(event.target),
      onLabel = this.$buttonLabel.isOrHas(event.target); // isOrHas is required for HTML enabled labels with nested elements
    if (!onButton && !onLabel && !onIcon) {
      return;
    }
    this.select();
    if (this.focusWhenSelected && (onLabel || onIcon)) {
      this.focusAndPreventDefault(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonAdapter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonAdapter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonAdapter: () => (/* binding */ RadioButtonAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButtonAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ButtonAdapter {}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonEventMap.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroup.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroup.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonGroup: () => (/* binding */ RadioButtonGroup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RadioButtonGroup extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "layoutConfig", void 0);
    _defineProperty(this, "fields", void 0);
    _defineProperty(this, "radioButtons", void 0);
    _defineProperty(this, "gridColumnCount", void 0);
    _defineProperty(this, "selectedButton", void 0);
    _defineProperty(this, "lookupStatus", void 0);
    _defineProperty(this, "lookupCall", void 0);
    _defineProperty(this, "htmlBody", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "_lookupExecuted", void 0);
    _defineProperty(this, "_selectButtonLocked", void 0);
    _defineProperty(this, "_lookupInProgress", void 0);
    _defineProperty(this, "_currentLookupCall", void 0);
    _defineProperty(this, "_buttonPropertyChangeHandler", void 0);
    this.logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGrid);
    this.layoutConfig = null;
    this.fields = [];
    this.radioButtons = [];
    this.gridColumnCount = RadioButtonGroup.DEFAULT_GRID_COLUMN_COUNT;
    this.selectedButton = null;
    this.$body = null;
    this.lookupStatus = null;
    this.lookupCall = null;
    this._lookupExecuted = false;
    this._selectButtonLocked = false;
    this._lookupInProgress = false;
    this._currentLookupCall = null;
    this._addWidgetProperties(['fields']);
    this._addCloneProperties(['lookupCall', 'layoutConfig', 'gridColumnCount']);
    this._buttonPropertyChangeHandler = this._onButtonPropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setLayoutConfig(this.layoutConfig);
    this._setGridColumnCount(this.gridColumnCount);
  }
  _initValue(value) {
    if (this.lookupCall) {
      this._setLookupCall(this.lookupCall);
    }
    // must be called before value is set
    this._setFields(this.fields);
    super._initValue(value);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonGroupLeftOrUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonGroupRightOrDownKeyStroke(this)]);
  }
  _initButtons() {
    this.radioButtons = this.fields.filter(formField => formField instanceof _index__WEBPACK_IMPORTED_MODULE_0__.RadioButton);
    this.radioButtons.forEach(this._initButton.bind(this));
  }
  _initButton(button) {
    if (button.events.count('propertyChange', this._buttonPropertyChangeHandler) === 0) {
      button.on('propertyChange', this._buttonPropertyChangeHandler);
    }
    if (button.selected) {
      this.setValue(button.radioValue);
      this.selectButton(button);
      if (button.focused) {
        this.setFocused(true);
      }
    }
  }
  _render() {
    this.addContainer(this.$parent, 'radiobutton-group');
    this.addLabel();
    this.addMandatoryIndicator();
    this.$body = this.$container.appendDiv('radiobutton-group-body');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$body, 'radiogroup');
    this.htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    this.htmlBody.setLayout(this._createBodyLayout());
    // fields are rendered in _renderFields
    this.addField(this.$body);
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderFields();
    this._renderLayoutConfig();
  }
  _createBodyLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayout(this, this.layoutConfig);
  }
  _setLogicalGrid(logicalGrid) {
    super._setLogicalGrid(logicalGrid);
    if (this.logicalGrid) {
      this.logicalGrid.setGridConfig(new _index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonGroupGridConfig());
    }
  }
  invalidateLogicalGrid(invalidateLayout) {
    super.invalidateLogicalGrid(false);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateLayout, true) && this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  setLayoutConfig(layoutConfig) {
    this.setProperty('layoutConfig', layoutConfig);
  }
  _setLayoutConfig(layoutConfig) {
    this._setProperty('layoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.ensure(layoutConfig || {}).withSmallHgapDefaults());
    _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.initHtmlEnvChangeHandler(this, () => this.layoutConfig, layoutConfig => this.setLayoutConfig(layoutConfig));
  }
  _renderLayoutConfig() {
    this.layoutConfig.applyToLayout(this.htmlBody.layout);
    if (this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  isClearable() {
    return false;
  }
  getFields() {
    return this.fields;
  }
  getFocusableElement() {
    // The first button may not be focusable because it is not selected and therefore has no tab index -> find the first focusable button
    return this.session.focusManager.findFirstFocusableElement(this.$container);
  }
  setFields(fields) {
    this.setProperty('fields', fields);
  }
  _setFields(fields) {
    this._setProperty('fields', fields);
    this._initButtons();
  }
  _renderFields() {
    this._ensureLookupCallExecuted();
    this.fields.forEach(function (formField) {
      formField.render(this.$body);
      // set each children layout data to logical grid data
      formField.setLayoutData(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridData(formField));
      this._linkWithLabel(formField.$field);
    }, this);
    this._provideTabIndex(); // depends on rendered fields
    this.invalidateLogicalGrid();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._provideTabIndex();
  }
  /**
   * Set the selected (or first if none is selected) to tabbable
   */
  _provideTabIndex() {
    let tabSet;
    this.radioButtons.forEach(function (radioButton) {
      if (radioButton.enabledComputed && this.enabledComputed && !tabSet) {
        radioButton.setTabbable(true);
        tabSet = radioButton;
      } else if (tabSet && this.enabledComputed && radioButton.enabledComputed && radioButton.selected) {
        tabSet.setTabbable(false);
        radioButton.setTabbable(true);
        tabSet = radioButton;
      } else {
        radioButton.setTabbable(false);
      }
    }, this);
  }
  setGridColumnCount(gridColumnCount) {
    this.setProperty('gridColumnCount', gridColumnCount);
  }
  _setGridColumnCount(gridColumnCount) {
    if (gridColumnCount < 0) {
      gridColumnCount = this._calcDefaultGridColumnCount();
    }
    if (gridColumnCount === this.gridColumnCount) {
      return false;
    }
    this._setProperty('gridColumnCount', gridColumnCount);
    this.invalidateLogicalGrid();
    return true;
  }
  _calcDefaultGridColumnCount() {
    let height = 1,
      hints = this.gridDataHints;
    if (hints && hints.h > 1) {
      height = hints.h;
    }
    return Math.ceil(this.fields.length / height);
  }
  getButtonForRadioValue(radioValue) {
    if (radioValue === null) {
      return null;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.radioButtons, button => {
      return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(button.radioValue, radioValue);
    });
  }
  /**
   * Search and then select the button with the corresponding radioValue
   */
  _validateValue(value) {
    super._validateValue(value);
    if (!this.initialized && this.lookupCall) {
      // lookup call may not be started during field initialization. otherwise lookup prepare listeners cannot be attached.
      // do not validate now (as there are no buttons yet, because the lookup call has not yet been executed).
      // validation will be done later again when the lookup call is executed.
      return value;
    }
    let lookupScheduled = this._ensureLookupCallExecuted();
    if (lookupScheduled) {
      // the first lookup was scheduled now: buttons are not yet available, not possible to select one. will be done later as soon as the lookup call is finished.
      return value;
    }
    // only show error if value is not null or undefined
    let buttonToSelect = this.getButtonForRadioValue(value);
    if (!buttonToSelect && value !== null && value !== undefined && !this._lookupInProgress) {
      throw this.session.text('InvalidValueMessageX', value);
    }
    return value;
  }
  _valueChanged() {
    super._valueChanged();
    // Don't select button during initialization if value is null to not override selected state of a button
    if (this.value !== null || this.initialized) {
      this.selectButton(this.getButtonForRadioValue(this.value));
    }
  }
  selectFirstButton() {
    this.selectButtonByIndex(0);
  }
  selectLastButton() {
    this.selectButtonByIndex(this.radioButtons.length - 1);
  }
  selectButtonByIndex(index) {
    if (this.radioButtons.length && index >= 0 && index < this.radioButtons.length) {
      this.selectButton(this.radioButtons[index]);
    }
  }
  selectButton(radioButton) {
    if (this.selectedButton === radioButton) {
      // Already selected
      return;
    }
    if (this._selectButtonLocked) {
      // Don't execute when triggered by this function to make sure the states are updated before firing the selectButton event
      return;
    }
    this._selectButtonLocked = true;
    // Deselect previously selected button
    if (this.selectedButton) {
      // Do not unset tabbable here, because at least one button has to be tabbable even if the button is deselected
      this.selectedButton.setSelected(false);
    }
    // Select new button
    if (radioButton) {
      let tabbableButton = this.getTabbableButton();
      let needsFocus = false;
      if (tabbableButton) {
        // Only one button in the group should have a tab index -> remove it from the current tabbable button after the new button is tabbable.
        // If that button is focused the newly selected button needs to gain the focus otherwise the focus would fall back to the body.
        needsFocus = tabbableButton.isFocused();
      }
      radioButton.setSelected(true);
      radioButton.setTabbable(true);
      if (needsFocus) {
        radioButton.focus();
      }
      if (tabbableButton && tabbableButton !== radioButton) {
        tabbableButton.setTabbable(false);
      }
    }
    this._selectButtonLocked = false;
    this.setProperty('selectedButton', radioButton);
  }
  getTabbableButton() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.radioButtons, button => {
      return button.visible && button.isTabbable();
    });
  }
  insertButton(radioButton) {
    let newFields = this.fields.slice();
    newFields.push(radioButton);
    this.setFields(newFields);
  }
  _onButtonPropertyChange(event) {
    if (event.propertyName === 'selected') {
      let selected = event.newValue;
      if (selected) {
        this.setValue(event.source.radioValue);
        this.selectButton(event.source);
      } else if (event.source === this.selectedButton) {
        this.selectButton(null);
      }
    } else if (event.propertyName === 'focused') {
      this.setFocused(event.newValue);
    }
  }
  setLookupCall(lookupCall) {
    this.setProperty('lookupCall', lookupCall);
  }
  _setLookupCall(lookupCall) {
    this._setProperty('lookupCall', _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(lookupCall, this.session));
    this._lookupExecuted = false;
    if (this.rendered) {
      this._ensureLookupCallExecuted();
    }
  }
  /**
   * @returns true if a lookup call execution has been scheduled now. false otherwise.
   */
  _ensureLookupCallExecuted() {
    if (!this.lookupCall) {
      return false;
    }
    if (this._lookupExecuted) {
      return false;
    }
    this._lookupByAll();
    return true;
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this,
      $container: () => this.$body
    });
  }
  _lookupByAll() {
    if (!this.lookupCall) {
      return;
    }
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this._executeLookup(this.lookupCall.cloneForAll(), true).done(result => {
      this._lookupByAllDone(result);
      deferred.resolve(result);
    });
    return deferred.promise();
  }
  /**
   * A wrapper function around lookup calls used to set the _lookupInProgress flag, and display the state in the UI.
   */
  _executeLookup(lookupCall, abortExisting) {
    if (abortExisting && this._currentLookupCall) {
      this._currentLookupCall.abort();
    }
    this._lookupInProgress = true;
    this.setLoading(true);
    this._currentLookupCall = lookupCall;
    this.trigger('prepareLookupCall', {
      lookupCall: lookupCall
    });
    return lookupCall.execute().always(() => {
      this._lookupInProgress = false;
      this._lookupExecuted = true;
      this._currentLookupCall = null;
      this.setLoading(false);
      this._clearLookupStatus();
    });
  }
  _lookupByAllDone(result) {
    try {
      if (result.exception) {
        // Oops! Something went wrong while the lookup has been processed.
        this.setLookupStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.warning({
          message: result.exception
        }));
        return;
      }
      this._populateRadioButtonGroup(result);
    } finally {
      this.trigger('lookupCallDone', {
        result: result
      });
    }
  }
  _populateRadioButtonGroup(result) {
    let lookupRows = result.lookupRows;
    let newFields = this.fields.slice();
    lookupRows.forEach(lookupRow => {
      newFields.push(this._createLookupRowRadioButton(lookupRow));
    });
    this.setFields(newFields);
    // because the lookup call is asynchronous, reset the value so that it is revalidated.
    this.setValue(this.value);
    // also select the button (the line above does not change the value, therefore _valueChanged is not called)
    this.selectButton(this.getButtonForRadioValue(this.value));
  }
  _clearLookupStatus() {
    this.setLookupStatus(null);
  }
  setLookupStatus(lookupStatus) {
    this.setProperty('lookupStatus', lookupStatus);
    if (this.rendered) {
      this._renderErrorStatus();
    }
  }
  _errorStatus() {
    return this.lookupStatus || this.errorStatus;
  }
  _createLookupRowRadioButton(lookupRow) {
    let button = {
      parent: this,
      label: lookupRow.text,
      radioValue: lookupRow.key
    };
    if (lookupRow.iconId) {
      button.iconId = lookupRow.iconId;
    }
    if (lookupRow.tooltipText) {
      button.tooltipText = lookupRow.tooltipText;
    }
    if (lookupRow.backgroundColor) {
      button.backgroundColor = lookupRow.backgroundColor;
    }
    if (lookupRow.foregroundColor) {
      button.foregroundColor = lookupRow.foregroundColor;
    }
    if (lookupRow.font) {
      button.font = lookupRow.font;
    }
    if (lookupRow.enabled === false) {
      button.enabled = false;
    }
    if (lookupRow.active === false) {
      button.visible = false;
    }
    if (lookupRow.cssClass) {
      button.cssClass = lookupRow.cssClass;
    }
    let radioButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RadioButton, button);
    radioButton.lookupRow = lookupRow;
    return radioButton;
  }
  clone(model, options) {
    let clone = super.clone(model, options);
    this._deepCloneProperties(clone, 'fields', options);
    clone._initButtons();
    return clone;
  }
}
_defineProperty(RadioButtonGroup, "DEFAULT_GRID_COLUMN_COUNT", -1);
_defineProperty(RadioButtonGroup, "ErrorCode", {
  NO_DATA: 1
});

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupAdapter.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupAdapter.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonGroupAdapter: () => (/* binding */ RadioButtonGroupAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButtonGroupAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {
  _initModel(m, parent) {
    let model = super._initModel(m, parent);
    // Set logical grid to null -> Calculation happens on server side
    model.logicalGrid = null;
    return model;
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupEventMap.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupEventMap.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupGridConfig.ts":
/*!*******************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupGridConfig.ts ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonGroupGridConfig: () => (/* binding */ RadioButtonGroupGridConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButtonGroupGridConfig extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig {
  getGridWidgets() {
    return this.widget.fields;
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupLeftOrUpKeyStroke.ts":
/*!**************************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupLeftOrUpKeyStroke.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonGroupLeftOrUpKeyStroke: () => (/* binding */ RadioButtonGroupLeftOrUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RadioButtonGroupLeftOrUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(radioButtonGroup) {
    super();
    this.field = radioButtonGroup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.render = false;
  }
  handle(event) {
    let fieldBefore,
      focusedButton = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('radiobutton');
    // continuously shift the target radio button through the selectable radio buttons to the right,
    // until the next radio button is the radio button that received the keystroke.
    // Then select that target radio button.
    this.field.radioButtons.some(radioButton => {
      if (fieldBefore && radioButton === focusedButton) {
        fieldBefore.select();
        fieldBefore.focus();
        return true;
      }
      if (radioButton.enabledComputed && radioButton.visible) {
        fieldBefore = radioButton;
      }
      return false;
    }, this);
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupModel.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonGroupRightOrDownKeyStroke.ts":
/*!*****************************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonGroupRightOrDownKeyStroke.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonGroupRightOrDownKeyStroke: () => (/* binding */ RadioButtonGroupRightOrDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RadioButtonGroupRightOrDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(radioButtonGroup) {
    super();
    this.field = radioButtonGroup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.render = false;
  }
  // Find the radio button that received the keystroke, then find the next selectable radio button and select it
  handle(event) {
    let fieldBefore,
      focusedButton = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('radiobutton');
    this.field.radioButtons.some(radioButton => {
      if (fieldBefore && radioButton.enabledComputed && radioButton.visible) {
        radioButton.select();
        radioButton.focus();
        return true;
      }
      // do not check for enabled here, we also want the keystroke to work if the focused radio button was disabled dynamically
      if (radioButton === focusedButton) {
        fieldBefore = radioButton;
      }
      return false;
    }, this);
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonKeyStroke: () => (/* binding */ RadioButtonKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButtonKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ButtonKeyStroke {
  constructor(button, keyStroke) {
    super(button, keyStroke);
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.LEFT;
  }
  /**
   * To not prevent a parent key stroke context from execution of the event, the key stroke event is only accepted if the radio button is not selected.
   */
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && !this.field.selected;
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonLayout.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonLayout.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioButtonLayout: () => (/* binding */ RadioButtonLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class RadioButtonLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.ButtonLayout {
  constructor(radioButton) {
    super(radioButton);
    _defineProperty(this, "radioButton", void 0);
    this.radioButton = radioButton;
  }
  layout($container) {
    super.layout($container);
    let $icon = this.radioButton.get$Icon(),
      $circle = this.radioButton.$radioButton,
      $label = this.radioButton.$buttonLabel,
      $fieldContainer = this.radioButton.$fieldContainer;
    let labelMaxWidth = $fieldContainer.width() - ($circle.outerWidth(true) + ($icon.length ? $icon.outerWidth(true) : 0));
    $label.css('max-width', labelMaxWidth);
  }
}

/***/ }),

/***/ "./src/form/fields/radiobutton/RadioButtonModel.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/radiobutton/RadioButtonModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/sequencebox/SequenceBox.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/sequencebox/SequenceBox.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SequenceBox: () => (/* binding */ SequenceBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SequenceBox extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField {
  constructor() {
    super();
    _defineProperty(this, "layoutConfig", void 0);
    _defineProperty(this, "fields", void 0);
    _defineProperty(this, "htmlBody", void 0);
    _defineProperty(this, "boxErrorStatus", void 0);
    _defineProperty(this, "boxTooltipText", void 0);
    _defineProperty(this, "boxMenus", void 0);
    _defineProperty(this, "boxMenusVisible", void 0);
    _defineProperty(this, "_lastVisibleField", void 0);
    _defineProperty(this, "_isOverwritingStatusFromField", void 0);
    _defineProperty(this, "_isErrorStatusOverwritten", void 0);
    _defineProperty(this, "_isTooltipTextOverwritten", void 0);
    _defineProperty(this, "_isMenusOverwritten", void 0);
    _defineProperty(this, "_fieldPropertyChangeHandler", void 0);
    _defineProperty(this, "_lastVisibleFieldSuppressStatusHandler", void 0);
    this._addWidgetProperties('fields');
    this._addCloneProperties(['layoutConfig']);
    this.logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGrid);
    this.layoutConfig = null;
    this.fields = [];
    this._fieldPropertyChangeHandler = this._onFieldPropertyChange.bind(this);
    this._lastVisibleFieldSuppressStatusHandler = this._onLastVisibleFieldSuppressStatusChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setLayoutConfig(this.layoutConfig);
    this._initDateFields();
    this.setErrorStatus(this.errorStatus);
    this.setTooltipText(this.tooltipText);
    this.setMenus(this.menus);
    this.setMenusVisible(this.menusVisible);
  }
  /**
   * Initialize all DateFields in this SequenceBox with a meaningful autoDate, except fields which already have an autoDate provided by the model.
   */
  _initDateFields() {
    let dateFields = this._getDateFields();
    let newAutoDate = null;
    for (let i = 0; i < dateFields.length; i++) {
      let currField = dateFields[i];
      if (currField.autoDate) {
        // is the autoDate already set by the field's model remember to not change this value.
        currField.hasModelAutoDateSet = true;
      }
      if (!currField.hasModelAutoDateSet) {
        currField.setAutoDate(newAutoDate);
      }
      newAutoDate = this._getAutoDateProposal(currField);
    }
  }
  _render() {
    this.addContainer(this.$parent, 'sequence-box');
    this.addLabel();
    this.addField(this.$parent.makeDiv());
    this.addStatus();
    this._handleStatus();
    this.htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$field, this.session);
    this.htmlBody.setLayout(this._createBodyLayout());
    for (let i = 0; i < this.fields.length; i++) {
      let field = this.fields[i];
      field.labelUseUiWidth = true;
      field.on('propertyChange', this._fieldPropertyChangeHandler);
      field.render(this.$field);
      this._modifyLabel(field);
      // set each children layout data to logical grid data
      field.setLayoutData(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridData(field));
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderLayoutConfig();
  }
  _createBodyLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayout(this, this.layoutConfig);
  }
  _remove() {
    this.fields.forEach(f => f.off('propertyChange', this._fieldPropertyChangeHandler));
    if (this._lastVisibleField) {
      this._lastVisibleField.off('propertyChange:suppressStatus', this._lastVisibleFieldSuppressStatusHandler);
    }
    super._remove();
  }
  invalidateLogicalGrid(invalidateLayout) {
    super.invalidateLogicalGrid(false);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateLayout, true) && this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  _setLogicalGrid(logicalGrid) {
    super._setLogicalGrid(logicalGrid);
    if (this.logicalGrid) {
      this.logicalGrid.setGridConfig(new _index__WEBPACK_IMPORTED_MODULE_0__.SequenceBoxGridConfig());
    }
  }
  setLayoutConfig(layoutConfig) {
    this.setProperty('layoutConfig', layoutConfig);
  }
  _setLayoutConfig(layoutConfig) {
    this._setProperty('layoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.ensure(layoutConfig || {}).withSmallHgapDefaults());
    _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.initHtmlEnvChangeHandler(this, () => this.layoutConfig, layoutConfig => this.setLayoutConfig(layoutConfig));
  }
  _renderLayoutConfig() {
    this.layoutConfig.applyToLayout(this.htmlBody.layout);
    if (this.rendered) {
      this.htmlBody.invalidateLayoutTree();
    }
  }
  _onFieldPropertyChange(event) {
    let visibilityChanged = event.propertyName === 'visible';
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.propertyName, ['errorStatus', 'tooltipText', 'visible', 'menus', 'menusVisible'])) {
      this._handleStatus(visibilityChanged);
    } else if (event.propertyName === 'value') {
      this._onFieldValueChange(event);
    } else if (event.propertyName === 'focused') {
      this._updateFocusedFromField(event.source);
    }
  }
  /**
   * Moves the status relevant properties from the last visible field to the SequenceBox. This makes sure that the fields inside the SequenceBox have the same size.
   */
  _handleStatus(visibilityChanged) {
    if (visibilityChanged && this._lastVisibleField) {
      // if there is a new last visible field, make sure the status is shown on the previously last one
      this._lastVisibleField.off('propertyChange:suppressStatus', this._lastVisibleFieldSuppressStatusHandler);
      this._lastVisibleField.setSuppressStatus(null);
      if (this._lastVisibleField.rendered) {
        this._lastVisibleField._renderErrorStatus();
        this._lastVisibleField._renderTooltipText();
        this._lastVisibleField._renderMenus();
      }
    }
    this._lastVisibleField = this._getLastVisibleField();
    if (!this._lastVisibleField) {
      return;
    }
    // Update the SequenceBox with the status relevant flags
    this._isOverwritingStatusFromField = true;
    if (this._lastVisibleField.errorStatus) {
      this.setErrorStatus(this._lastVisibleField.errorStatus);
      this._isErrorStatusOverwritten = true;
    } else {
      this.setErrorStatus(this.boxErrorStatus);
      this._isErrorStatusOverwritten = false;
    }
    if (this._lastVisibleField.hasStatusTooltip()) {
      this.setTooltipText(this._lastVisibleField.tooltipText);
      this._isTooltipTextOverwritten = true;
    } else {
      this.setTooltipText(this.boxTooltipText);
      this._isTooltipTextOverwritten = false;
    }
    let menuItems = this._lastVisibleField.getContextMenuItems(false);
    if (menuItems && menuItems.length > 0) {
      // Change owner to make sure menu won't be destroyed when setMenus is called
      this._updateBoxMenuOwner(this.fieldStatus);
      this.setMenus(menuItems);
      this.setMenusVisible(this._lastVisibleField.menusVisible);
      this._isMenusOverwritten = true;
    } else {
      this._updateBoxMenuOwner(this);
      this.setMenus(this.boxMenus);
      this.setMenusVisible(this.boxMenusVisible);
      this._isMenusOverwritten = false;
    }
    this._isOverwritingStatusFromField = false;
    // Make sure the last field won't display a status (but shows status CSS class)
    this._lastVisibleField.setSuppressStatus(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.SuppressStatus.ICON);
    this._lastVisibleField.on('propertyChange:suppressStatus', this._lastVisibleFieldSuppressStatusHandler);
    if (visibilityChanged) {
      // If the last field got invisible, make sure the new last field does not display a status anymore (now done by the seq box)
      if (this._lastVisibleField.rendered) {
        this._lastVisibleField._renderErrorStatus();
        this._lastVisibleField._renderTooltipText();
        this._lastVisibleField._renderMenus();
      }
    }
  }
  /**
   * Marks the sequence box as "focused" when the given inner field is focused but does not have a visible label.
   * This allows the focus to be indicated on the sequence box label instead.
   */
  _updateFocusedFromField(field) {
    if (field.visible && field.focused) {
      this.setFocused(this._computeSequenceBoxFocused(field));
    } else {
      this.setFocused(false);
    }
  }
  /**
   * Called when the given inner field gained the focus. Computes whether the sequence box should be marked as "focused" as well.
   * Normally, we want to do this when the inner field does not have a visible label.
   */
  _computeSequenceBoxFocused(focusedField) {
    // Special marker classes to override the default behavior
    if (this.hasCssClass('consider-inner-focus')) {
      return true;
    }
    if (this.hasCssClass('never-consider-inner-focus')) {
      return false;
    }
    // Traverse the list of visible inner fields until we reach the focused field. If we did not encounter a field with a visible
    // label until that point, mark the sequence box as focused.
    for (let field of this.fields.filter(f => f.visible)) {
      if (hasLabel(field)) {
        return false;
      }
      if (field === focusedField) {
        return true;
      }
    }
    return false;
    function hasLabel(field) {
      // Special marker classes to override the default behavior
      if (field.hasCssClass('consider-for-outer-focus')) {
        return false;
      }
      if (field.hasCssClass('never-consider-for-outer-focus') || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Button || field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField) {
        return true;
      }
      if (!field.labelVisible || field.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD) {
        return false;
      }
      // Consider a label with only a single punctuation character as empty
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(field.label) && !/^\s*[!-#%-\*,-\/:;\?@\[-\]_\{\}\xA1\xA7\xAB\xB6\xB7\xBB\xBF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061D-\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u09FD\u0A76\u0AF0\u0C77\u0C84\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B4E\u1B4F\u1B5A-\u1B60\u1B7D-\u1B7F\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2308-\u230B\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E4F\u2E52-\u2E5D\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA8FC\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65\u{10100}-\u{10102}\u{1039F}\u{103D0}\u{1056F}\u{10857}\u{1091F}\u{1093F}\u{10A50}-\u{10A58}\u{10A7F}\u{10AF0}-\u{10AF6}\u{10B39}-\u{10B3F}\u{10B99}-\u{10B9C}\u{10D6E}\u{10EAD}\u{10F55}-\u{10F59}\u{10F86}-\u{10F89}\u{11047}-\u{1104D}\u{110BB}\u{110BC}\u{110BE}-\u{110C1}\u{11140}-\u{11143}\u{11174}\u{11175}\u{111C5}-\u{111C8}\u{111CD}\u{111DB}\u{111DD}-\u{111DF}\u{11238}-\u{1123D}\u{112A9}\u{113D4}\u{113D5}\u{113D7}\u{113D8}\u{1144B}-\u{1144F}\u{1145A}\u{1145B}\u{1145D}\u{114C6}\u{115C1}-\u{115D7}\u{11641}-\u{11643}\u{11660}-\u{1166C}\u{116B9}\u{1173C}-\u{1173E}\u{1183B}\u{11944}-\u{11946}\u{119E2}\u{11A3F}-\u{11A46}\u{11A9A}-\u{11A9C}\u{11A9E}-\u{11AA2}\u{11B00}-\u{11B09}\u{11BE1}\u{11C41}-\u{11C45}\u{11C70}\u{11C71}\u{11EF7}\u{11EF8}\u{11F43}-\u{11F4F}\u{11FFF}\u{12470}-\u{12474}\u{12FF1}\u{12FF2}\u{16A6E}\u{16A6F}\u{16AF5}\u{16B37}-\u{16B3B}\u{16B44}\u{16D6D}-\u{16D6F}\u{16E97}-\u{16E9A}\u{16FE2}\u{1BC9F}\u{1DA87}-\u{1DA8B}\u{1E5FF}\u{1E95E}\u{1E95F}]?\s*$/u.test(field.label);
    }
  }
  _onLastVisibleFieldSuppressStatusChange(e) {
    // do not change suppressStatus
    e.preventDefault();
  }
  setErrorStatus(errorStatus) {
    if (this._isOverwritingStatusFromField && !this._isErrorStatusOverwritten) {
      // was not overwritten, will be overwritten now -> backup old value
      this.boxErrorStatus = this.errorStatus;
    } else if (!this._isOverwritingStatusFromField) {
      // directly changed on seq box -> update backed-up value
      this.boxErrorStatus = errorStatus;
    }
    if (this._isOverwritingStatusFromField || !this._isErrorStatusOverwritten) {
      // prevent setting value if directly changed on seq box and is already overwritten
      super.setErrorStatus(errorStatus);
    }
  }
  setTooltipText(tooltipText) {
    if (this._isOverwritingStatusFromField && !this._isTooltipTextOverwritten) {
      // was not overwritten, will be overwritten now -> backup old value
      this.boxTooltipText = this.tooltipText;
    } else if (!this._isOverwritingStatusFromField) {
      // directly changed on seq box -> update backed-up value
      this.boxTooltipText = tooltipText;
    }
    if (this._isOverwritingStatusFromField || !this._isTooltipTextOverwritten) {
      // prevent setting value if directly changed on seq box and is already overwritten
      super.setTooltipText(tooltipText);
    }
  }
  setMenus(menusOrModels) {
    // ensure menus are real and not just model objects
    let menus = this._createChildren(menusOrModels);
    if (this._isOverwritingStatusFromField && !this._isMenusOverwritten) {
      // was not overwritten, will be overwritten now -> backup old value
      this.boxMenus = this.menus;
    } else if (!this._isOverwritingStatusFromField) {
      // directly changed on seq box -> update backed-up value
      this.boxMenus = menus;
    }
    if (this._isOverwritingStatusFromField || !this._isMenusOverwritten) {
      // prevent setting value if directly changed on seq box and is already overwritten
      super.setMenus(menus);
    }
  }
  _updateBoxMenuOwner(newOwner) {
    this.boxMenus.forEach(menu => menu.setOwner(newOwner));
  }
  setMenusVisible(menusVisible) {
    if (this._isOverwritingStatusFromField && !this._isMenusOverwritten) {
      // was not overwritten, will be overwritten now -> backup old value
      this.boxMenusVisible = this.menusVisible;
    } else if (!this._isOverwritingStatusFromField) {
      // directly changed on seq box -> update backed-up value
      this.boxMenusVisible = menusVisible;
    }
    if (this._isOverwritingStatusFromField || !this._isMenusOverwritten) {
      // prevent setting value if directly changed on seq box and is already overwritten
      super.setMenusVisible(menusVisible);
    }
  }
  _getLastVisibleField() {
    let visibleFields = this.fields.filter(field => field.visible);
    if (visibleFields.length === 0) {
      return;
    }
    return visibleFields[visibleFields.length - 1];
  }
  _onFieldValueChange(event) {
    if (event.source instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DateField) {
      this._onDateFieldValueChange(event);
    }
  }
  _onDateFieldValueChange(event) {
    // For a better user experience preselect a meaningful date on all following DateFields in the sequence box.
    let field = event.source;
    let dateFields = this._getDateFields();
    let newAutoDate = this._getAutoDateProposal(field);
    for (let i = dateFields.indexOf(field) + 1; i < dateFields.length; i++) {
      let currField = dateFields[i];
      if (!currField.hasModelAutoDateSet) {
        currField.setAutoDate(newAutoDate);
      }
      if (currField.value) {
        // only update fields in between the current field and the next field with a value set. Otherwise, already set autoDates would be overwritten.
        break;
      }
    }
  }
  _getDateFields() {
    return this.fields.filter(field => field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DateField);
  }
  _getAutoDateProposal(field) {
    let newAutoDate = null;
    // if it's only a time field, add one hour, otherwise add one day
    if (field && field.value) {
      if (!field.hasDate && field.hasTime) {
        newAutoDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(field.value, 1, 0, 0);
      } else {
        newAutoDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(field.value, 0, 0, 1);
      }
    }
    return newAutoDate;
  }
  // The new sequence-box sets the label to invisible on the model.
  _modifyLabel(field) {
    if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField) {
      field.labelVisible = false;
    }
    if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DateField) {
      // The DateField has two inputs ($dateField and $timeField), field.$field refers to the composite which is irrelevant here
      // In order to support aria-labelledby for date fields also, the individual inputs have to be linked with the label rather than the composite
      if (field.$dateField) {
        this._linkWithLabel(field.$dateField);
      }
      if (field.$timeField) {
        this._linkWithLabel(field.$timeField);
      }
    } else if (field.$field) {
      // If $field is set depends on the concrete field e.g. a group box does not have a $field
      this._linkWithLabel(field.$field);
    }
  }
  setFields(fields) {
    if (this.rendered) {
      throw new Error('Setting fields is not supported if sequence box is already rendered.');
    }
    this.setProperty('fields', fields);
  }
  getFields() {
    return this.fields;
  }
  clone(model, options) {
    let clone = super.clone(model, options);
    this._deepCloneProperties(clone, 'fields', options);
    return clone;
  }
}

/***/ }),

/***/ "./src/form/fields/sequencebox/SequenceBoxAdapter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/sequencebox/SequenceBoxAdapter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SequenceBoxAdapter: () => (/* binding */ SequenceBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SequenceBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeFieldAdapter {
  _initModel(m, parent) {
    let model = super._initModel(m, parent);
    // Set logical grid to null -> Calculation happens on server side
    model.logicalGrid = null;
    return model;
  }
}

/***/ }),

/***/ "./src/form/fields/sequencebox/SequenceBoxEventMap.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/sequencebox/SequenceBoxEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/sequencebox/SequenceBoxGridConfig.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/sequencebox/SequenceBoxGridConfig.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SequenceBoxGridConfig: () => (/* binding */ SequenceBoxGridConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SequenceBoxGridConfig extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig {
  getGridColumnCount() {
    return this.widget.fields.length;
  }
  getGridWidgets() {
    return this.widget.fields;
  }
}

/***/ }),

/***/ "./src/form/fields/sequencebox/SequenceBoxModel.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/sequencebox/SequenceBoxModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/sliderfield/SliderField.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/sliderfield/SliderField.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderField: () => (/* binding */ SliderField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SliderField extends _index__WEBPACK_IMPORTED_MODULE_0__.NumberField {
  constructor() {
    super();
    _defineProperty(this, "step", void 0);
    _defineProperty(this, "valueEditable", void 0);
    _defineProperty(this, "sliderTabbable", void 0);
    _defineProperty(this, "slider", void 0);
    _defineProperty(this, "$valueLabel", void 0);
    _defineProperty(this, "fieldHtmlComp", void 0);
    _defineProperty(this, "_syncingValue", false);
    this.fieldHtmlComp = null;
    this.$valueLabel = null;
    this.fieldStyle = _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.CLASSIC;
    this.clearable = _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.NEVER;
    this.gridDataHints.horizontalAlignment = -1;
    this.updateDisplayTextOnModify = true;
    this.minValue = 0;
    this.maxValue = 100;
    this.step = 1;
    this.valueEditable = true;
    this.sliderTabbable = true;
  }
  _init(model) {
    super._init(model);
    this.slider = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Slider, {
      parent: this,
      minValue: this.minValue,
      maxValue: this.maxValue,
      value: this.value,
      step: this.step,
      tabbable: this.sliderTabbable,
      valueEditable: this.valueEditable
    });
    this.slider.on('propertyChange', this._onSliderPropertyChange.bind(this));
    this.on('propertyChange:displayText', event => this._syncDisplayTextToSlider(event.newValue));
  }
  _render() {
    this.addContainer(this.$parent, 'slider-field', new _index__WEBPACK_IMPORTED_MODULE_0__.SliderFieldLayout(this));
    this.addLabel();
    this.addMandatoryIndicator();
    let $fieldContainer = this.$container.appendDiv();
    this.fieldHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install($fieldContainer, this.session);
    this.slider.render($fieldContainer);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.slider.$container, this.$label);
    let $field = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeTextField($fieldContainer, 'field');
    $fieldContainer.append($field);
    this.$valueLabel = $fieldContainer.appendDiv('slider-value');
    this._updateValueLabel();
    this.addFieldContainer($fieldContainer);
    this.addField($field);
    this.addStatus();
  }
  _remove() {
    super._remove();
    this.$valueLabel = null;
    this.fieldHtmlComp = null;
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValueEditable();
  }
  _renderClearable() {
    // nop (slider value should never be clearable)
  }
  setStep(step) {
    this.setProperty('step', step);
  }
  _setStep(step) {
    this._setProperty('step', step);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(step)) {
      this.slider.setStep(step);
    }
  }
  setValueEditable(valueEditable) {
    this.setProperty('valueEditable', valueEditable);
  }
  _renderValueEditable() {
    this.$fieldContainer.toggleClass('value-editable', !!this.valueEditable);
    this.$field.setVisible(this.valueEditable);
    this.$valueLabel.setVisible(!this.valueEditable);
    this.fieldHtmlComp.invalidateLayoutTree(false);
  }
  setSliderTabbable(sliderTabbable) {
    this.setProperty('sliderTabbable', sliderTabbable);
  }
  _setSliderTabbable(sliderTabbable) {
    this._setProperty('sliderTabbable', sliderTabbable);
    this.slider.setTabbable(sliderTabbable);
  }
  _setMinValue(minValue) {
    super._setMinValue(minValue);
    // This null check is required. this.slider is created after super._init is called. Since minValue is a property from NumberField it will be set in super.init which would lead to a NPE.
    if (this.slider) {
      this.slider.setMinValue(minValue);
    }
  }
  _setMaxValue(maxValue) {
    super._setMaxValue(maxValue);
    // This null check is required. this.slider is created after super._init is called. Since maxValue is a property from NumberField it will be set in super.init which would lead to a NPE.
    if (this.slider) {
      this.slider.setMaxValue(maxValue);
    }
  }
  _validateValue(value) {
    return super._validateValue(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, this.minValue));
  }
  _onSliderPropertyChange(event) {
    if (event.propertyName === 'value' && !this._syncingValue) {
      this.setValue(event.newValue);
    } else if (event.propertyName === 'focused') {
      var _this$slider$$contain;
      // When the slider is tabbable, it will receive the focus when the user clicks it. This is needed for the keystrokes.
      // However, we only want to set the 'focused' property of the slider field accordingly (to change the color of the label)
      // when the focus happens during keyboard navigation.
      if (!event.newValue || (_this$slider$$contain = this.slider.$container) !== null && _this$slider$$contain !== void 0 && _this$slider$$contain.hasClass('keyboard-navigation')) {
        this.setFocused(event.newValue);
      }
    }
  }
  _syncDisplayTextToSlider(displayText) {
    try {
      this._syncingValue = true;
      this.slider.setValue(this.parseValue(displayText));
      this._updateValueLabel();
    } catch (error) {
      // nop
    } finally {
      this._syncingValue = false;
    }
  }
  _updateValueLabel() {
    var _this$$valueLabel;
    (_this$$valueLabel = this.$valueLabel) === null || _this$$valueLabel === void 0 || _this$$valueLabel.text(this.displayText);
  }
}

/***/ }),

/***/ "./src/form/fields/sliderfield/SliderFieldEventMap.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/sliderfield/SliderFieldEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/sliderfield/SliderFieldLayout.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/sliderfield/SliderFieldLayout.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderFieldLayout: () => (/* binding */ SliderFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SliderFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(sliderField) {
    super(sliderField);
    _defineProperty(this, "sliderField", void 0);
    this.sliderField = sliderField;
  }
  layout($container) {
    super.layout($container);
    let $fieldContainer = this.sliderField.$fieldContainer;
    $fieldContainer.removeClass('compact');
    if ($fieldContainer[0].clientWidth < $fieldContainer[0].scrollWidth) {
      if (this.sliderField.valueEditable) {
        // Because enabling the compact mode hides the slider, we have to set the focus
        // to somewhere else (otherwise, it would be set to the <body> by the browser)
        let $activeElement = $fieldContainer.activeElement();
        if ($activeElement.is(this.sliderField.slider.$container)) {
          this.sliderField.session.focusManager.focusNextTabbable($activeElement);
        }
      }
      $fieldContainer.addClass('compact');
    }
  }
}

/***/ }),

/***/ "./src/form/fields/sliderfield/SliderFieldModel.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/sliderfield/SliderFieldModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/ProposalChooser.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalChooser.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProposalChooser: () => (/* binding */ ProposalChooser)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ProposalChooser extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "smartField", void 0);
    _defineProperty(this, "activeFilterGroup", void 0);
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "statusVisible", void 0);
    _defineProperty(this, "touch", void 0);
    _defineProperty(this, "content", void 0);
    _defineProperty(this, "$status", void 0);
    _defineProperty(this, "_updateStatusTimeout", void 0);
    this.activeFilterGroup = null;
    this.status = null;
    this.statusVisible = true;
    this.touch = false;
    this.$status = null;
    this._updateStatusTimeout = null;
  }
  _init(model) {
    super._init(model);
    // If smartField is not explicitly provided by model, use smartField instance
    // from parent (which is usually the SmartFieldPopup)
    if (!model.smartField) {
      this.smartField = this.parent.smartField;
    }
    this.content = this._createContent();
  }
  /**
   * @param row TableRow or TreeNode (both have the same properties)
   */
  triggerLookupRowSelected(row) {
    row = row || this.selectedRow();
    if (!row || !row.enabled) {
      return;
    }
    this.trigger('lookupRowSelected', {
      lookupRow: row.lookupRow
    });
  }
  _render() {
    this.$container = this.$parent.appendDiv('proposal-chooser').toggleClass('touch', this.touch);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ProposalChooserLayout(this, this._createLayoutResetter()));
    this._renderContent();
    // status
    this.$status = this.$container.appendDiv('status').setVisible(false);
    // active filter
    if (this.smartField.activeFilterEnabled) {
      this.activeFilterGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RadioButtonGroup, {
        parent: this,
        labelVisible: false,
        statusVisible: false,
        gridColumnCount: _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.ACTIVE_FILTER_VALUES.length
      });
      // add radio buttons
      _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.ACTIVE_FILTER_VALUES.forEach(function (value, index) {
        this._insertActiveFilterButton(value, index);
      }, this);
      this.activeFilterGroup.render();
      this.activeFilterGroup.$container.addClass('active-filter');
      this.activeFilterGroup.removeMandatoryIndicator();
    }
  }
  _renderContent() {
    this.content.render();
    // Make sure container never gets the focus, but looks focused
    this.content.$container.setTabbable(false);
    this.content.$container.addClass('focused');
  }
  _renderProperties() {
    super._renderProperties();
    this._updateStatus();
  }
  /**
   * Delegates an event (e.g. keyup, keydown) to the content.$container of this instance,
   * calling the JQuery trigger method.
   */
  delegateEvent(event) {
    event.originalEvent.smartFieldEvent = true;
    this.content.$container.trigger(event);
  }
  delegateKeyEvent(event) {
    this.content.$container.trigger(event);
  }
  _renderStatus() {
    this._updateStatus();
  }
  _renderStatusVisible() {
    this._updateStatus();
  }
  _computeStatusVisible() {
    return !!(this.statusVisible && this.status);
  }
  _updateStatus() {
    // Note: the UI has a special way to deal with the status. When the UI is rendered
    // we do NOT render an OK status, even when it is set on the model. The status
    // "Search proposals..." is set to severity OK. That status is only displayed, when
    // it is still there after 250 ms. Usually a smart-field lookup is fast, so the user
    // never sees the status message. However: it would be better if the status on the
    // (Java-)model would implement the behavior described above, but
    // this would require a timer thread, so it is easier to implement that in the UI.
    // Status with other severities than OK are displayed immediately.
    clearTimeout(this._updateStatusTimeout);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(this.status, 'severity') === _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.OK) {
      // compute statusVisible 250 ms later (status can change in the meantime)
      this._updateStatusTimeout = setTimeout(this._updateStatusImpl.bind(this), 250);
    } else {
      this._updateStatusImpl();
    }
  }
  _updateStatusImpl() {
    if (!this.rendered && !this.rendering) {
      return;
    }
    let oldVisible = this.$status.isVisible(),
      oldMessage = this.$status.text(),
      visible = this._computeStatusVisible();
    if (oldVisible === visible && oldMessage === _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(this.status, 'message')) {
      return;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ProposalChooser#_updateStatusImpl) $status.visible=' + visible);
    this.$status.setVisible(visible);
    if (this.status) {
      var _this$smartField$$scr;
      this._setStatusMessage(this.status.message);
      (_this$smartField$$scr = this.smartField.$screenReaderStatus) === null || _this$smartField$$scr === void 0 || _this$smartField$$scr.appendSpan().addClass('text').addClass('sr-proposal-chooser-status').text(this.status.message);
    } else {
      var _this$smartField$$scr2;
      this.$status.text('');
      (_this$smartField$$scr2 = this.smartField.$screenReaderStatus) === null || _this$smartField$$scr2 === void 0 || _this$smartField$$scr2.children('.sr-proposal-chooser-status').remove();
    }
    this.htmlComp.invalidateLayoutTree();
  }
  /**
   * Replaces an ellipsis (...) at the end of the message-text with a CSS animation.
   */
  _setStatusMessage(message) {
    _index__WEBPACK_IMPORTED_MODULE_0__.Status.animateStatusMessage(this.$status, message);
  }
  _insertActiveFilterButton(value, index) {
    let radio = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RadioButton, {
      parent: this.activeFilterGroup,
      label: this._activeFilterLabel(index),
      radioValue: _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.ACTIVE_FILTER_VALUES[index],
      selected: this.smartField.activeFilter === value,
      focusWhenSelected: false,
      gridDataHints: {
        useUiWidth: true
      }
    });
    radio.on('propertyChange', event => {
      if (event.propertyName === 'selected' && event.newValue === true) {
        this.trigger('activeFilterSelected', {
          activeFilter: event.source.radioValue
        });
      }
    });
    this.activeFilterGroup.insertButton(radio);
  }
  setVirtual(virtual) {
    if (this.content instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Table) {
      this.content.setVirtual(virtual);
    }
  }
  setStatus(status) {
    this.setProperty('status', status);
  }
  setBusy(busy) {
    this.content.setProperty('loading', busy);
    this.content.setProperty('enabled', !busy);
  }
  _activeFilterLabel(index) {
    return this.smartField.activeFilterLabels[index];
  }
  /**
   * Override this function to implement update scrollbar behavior.
   */
  updateScrollbars() {
    this.content.updateScrollbars();
  }
  _isProposal() {
    return this.smartField instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ProposalField;
  }
  _selectProposal(result, proposals) {
    if (this._isProposal()) {
      return; // no pre-selection when field is a proposal field
    }
    if (result.byAll) {
      this.trySelectCurrentValue();
    } else if (proposals.length === 1) {
      this.selectFirstLookupRow();
    }
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/ProposalChooserEventMap.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalChooserEventMap.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/ProposalChooserLayout.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalChooserLayout.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProposalChooserLayout: () => (/* binding */ ProposalChooserLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ProposalChooserLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(proposalChooser, layoutResetter) {
    super();
    _defineProperty(this, "_proposalChooser", void 0);
    _defineProperty(this, "_layoutResetter", void 0);
    this._proposalChooser = proposalChooser;
    this._layoutResetter = layoutResetter;
  }
  layout($container) {
    let filterPrefSize,
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container.children(this._layoutResetter.cssSelector)),
      size = htmlContainer.size().subtract(htmlContainer.insets()),
      $status = this._proposalChooser.$status,
      hasStatus = $status && $status.isVisible(),
      filter = this._proposalChooser.activeFilterGroup;
    if (hasStatus) {
      size.height -= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($status).height;
    }
    if (filter) {
      filterPrefSize = filter.htmlComp.prefSize();
      size.height -= filterPrefSize.height;
    }
    htmlComp.setSize(size);
    if (filter) {
      filter.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(size.width, filterPrefSize.height));
    }
  }
  /**
   * This preferred size implementation modifies the DIV where the table/tree is rendered
   * in a way the DIV does not limit the size of the table/tree. Thus we can read the preferred
   * size of the table/tree. After that the original width and height is restored.
   */
  preferredLayoutSize($container, options) {
    let oldDisplay,
      prefSize,
      modelSize,
      statusSize,
      filterPrefSize,
      pcWidth,
      pcHeight,
      htmlComp = this._proposalChooser.htmlComp,
      $status = this._proposalChooser.$status,
      filter = this._proposalChooser.activeFilterGroup,
      $parent = $container.parent();
    modelSize = this._proposalChooser.content.htmlComp.prefSize(options);
    prefSize = modelSize;
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.storeScrollPositions($container, this._proposalChooser.session);
    // pref size of table and tree don't return accurate values for width -> measure width
    pcWidth = $container.css('width');
    pcHeight = $container.css('height');
    $container.detach();
    this._layoutResetter.modifyDom();
    $container.css('display', 'inline-block').css('width', 'auto').css('height', 'auto');
    $parent.append($container);
    modelSize.width = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($container, {
      restoreScrollPositions: false
    }).width;
    $container.detach();
    this._layoutResetter.restoreDom();
    $container.css('display', 'block').css('width', pcWidth).css('height', pcHeight);
    $parent.append($container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.restoreScrollPositions($container, this._proposalChooser.session);
    if ($status && $status.isVisible()) {
      oldDisplay = $status.css('display');
      $status.css('display', 'inline-block');
      statusSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($status, {
        includeMargin: true,
        useCssSize: true
      });
      $status.css('display', oldDisplay);
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(prefSize.width, statusSize.width), prefSize.height + statusSize.height);
    }
    if (filter) {
      filterPrefSize = filter.htmlComp.prefSize();
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(prefSize.width, filterPrefSize.width), prefSize.height + filterPrefSize.height);
    }
    $container.toggleClass('empty', modelSize.height === 0);
    return prefSize.add(htmlComp.insets());
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/ProposalChooserModel.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalChooserModel.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/ProposalField.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalField.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProposalField: () => (/* binding */ ProposalField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ProposalField extends _index__WEBPACK_IMPORTED_MODULE_0__.SmartField {
  constructor() {
    super();
    _defineProperty(this, "trimText", void 0);
    /**
     * If this flag is set to true the proposal field performs a lookup by text when
     * accept proposal is called. The behavior is similar to what the smart-field does
     * in that case, but without the need to have a valid single match as the result
     * from the lookup.
     */
    _defineProperty(this, "lookupOnAcceptByText", void 0);
    this.maxLength = 4000;
    this.trimText = true;
    this.lookupOnAcceptByText = false;
  }
  _getValueFromLookupRow(lookupRow) {
    return lookupRow.text;
  }
  _getLastSearchText() {
    return this.value;
  }
  cssClassName() {
    return 'proposal-field';
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$field, this.id + '-func-desc', this.session.text('ui.AriaProposalFieldDescription'));
  }
  _handleEnterKey(event) {
    // The state of 'this.popup' is different on various browsers. On some browsers (IE11) we don't
    // do CSS animations. This means IE11 sets the popup to null immediately whereas other browsers
    // use a timeout. Anyway: in case the popup is open at the time the user presses enter, we must
    // stop propagation (e.g. to avoid calls of other registered enter key-shortcuts, like the default
    // button on a form). See Widget.js for details about removing with or without CSS animations.
    let hasPopup = !!this.popup;
    this.acceptInput();
    if (this.popup) {
      this.closePopup();
    }
    if (hasPopup) {
      event.stopPropagation();
    }
  }
  _lookupByTextOrAllDone(result) {
    if (super._handleException(result)) {
      return;
    }
    if (result.lookupRows.length === 0) {
      this.setLoading(false);
      this._handleEmptyResult();
      return;
    }
    super._lookupByTextOrAllDone(result);
  }
  _formatValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return '';
    }
    if (this.lookupRow) {
      return this._formatLookupRow(this.lookupRow);
    }
    return value;
  }
  _validateValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return value;
    }
    let validValue = _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value);
    if (this.trimText) {
      validValue = validValue.trim();
    }
    if (validValue === '') {
      validValue = null;
    }
    return validValue;
  }
  _ensureValue(value) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value);
  }
  /**
   * When 'clear' has been clicked (searchText is empty), we want to call customTextAccepted,
   * so the new value is sent to the server #221199.
   */
  _acceptByText(sync, searchText) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ProposalField#_acceptByText) searchText=', searchText);
    let async = !sync;
    // In case sync=true we cannot wait for the results of the lookup-call,
    // that's why we simply accept the text that's already in the field
    if (async && this.lookupOnAcceptByText && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(searchText)) {
      super._acceptByTextAsync(searchText);
    } else {
      this._customTextAccepted(searchText);
    }
  }
  /**
   * Only used in case lookupOnAcceptByText is true. It's basically the same code
   * as in the smart-field but without the error handling.
   */
  _acceptByTextDone(result) {
    this._userWasTyping = false;
    this._extendResult(result);
    // when there's exactly one result, we accept that lookup row
    if (result.uniqueMatch) {
      let lookupRow = result.uniqueMatch;
      if (this._isLookupRowActive(lookupRow)) {
        this.setLookupRow(lookupRow);
        this._inputAccepted();
        return;
      }
    }
    this._customTextAccepted(result.text);
  }
  _checkResetLookupRow(value) {
    return this.lookupRow && this.lookupRow.text !== value;
  }
  _checkSearchTextChanged(searchText) {
    return this._checkDisplayTextChanged(searchText);
  }
  _customTextAccepted(searchText) {
    this._setLookupRow(null); // only reset property lookup
    this._setValue(searchText);
    this._inputAccepted(true, false);
  }
  getValueForSelection() {
    return this._showSelection() ? this.lookupRow.key : null;
  }
  /**
   * In ProposalField value and display-text is the same. When a custom text has been entered,
   * the value is set and the lookup-row is null.
   */
  _copyValuesFromField(otherField) {
    if (this.lookupRow !== otherField.lookupRow) {
      this._setLookupRow(otherField.lookupRow); // only set property lookup
    }
    this.setErrorStatus(otherField.errorStatus);
    this.setDisplayText(otherField.displayText);
    this.setValue(otherField.value);
  }
  _acceptInput(sync, searchText, searchTextEmpty, searchTextChanged, selectedLookupRow) {
    if (this.touchMode) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ProposalField#_acceptInput) Always send acceptInput for touch field');
      this._inputAccepted(true, !!selectedLookupRow);
      return;
    }
    // 1. Do nothing when search text did not change and is equals to the text of the current lookup row
    if (!searchTextChanged && !selectedLookupRow && this.lookupRow && this.lookupRow.text === searchText) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ProposalField#_acceptInput) unchanged: text is equals. Close popup');
      this._inputAccepted(false);
      return;
    }
    // 2. proposal chooser is open -> use the selected row as value
    if (selectedLookupRow) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(ProposalField#_acceptInput) lookup-row selected. Set lookup-row, close popup lookupRow=', selectedLookupRow.toString());
      this.clearErrorStatus();
      this.setLookupRow(selectedLookupRow);
      this._inputAccepted();
      return;
    }
    // 3. proposal chooser is not open -> try to accept the current display text
    // this causes a lookup which may fail and open a new proposal chooser (property
    // change for 'result').
    if (searchTextChanged) {
      this.clearErrorStatus();
      this._acceptByText(sync, searchText);
    } else if (!this._hasUiError()) {
      this._inputAccepted(false);
    } else {
      // even though there's nothing to do, someone could wait for our promise to be resolved
      this._acceptInputDeferred.resolve();
    }
    return this._acceptInputDeferred.promise();
  }
  setTrimText(trimText) {
    this.setProperty('trimText', trimText);
  }
  _computeEmpty() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.value);
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/ProposalFieldAdapter.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalFieldAdapter.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProposalFieldAdapter: () => (/* binding */ ProposalFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ProposalFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['lookupRows']);
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/ProposalFieldEventMap.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalFieldEventMap.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/smartfield/ProposalFieldModel.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalFieldModel.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/form/fields/smartfield/ProposalTreeNode.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalTreeNode.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ProposalTreeNode: () => (/* binding */ ProposalTreeNode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ProposalTreeNode extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode {
  constructor() {
    super(...arguments);
    _defineProperty(this, "lookupRow", void 0);
    _defineProperty(this, "parentId", void 0);
    _defineProperty(this, "proposalChooser", void 0);
  }
  _renderText() {
    if (this.htmlEnabled) {
      this.$text.html(this.text);
    } else {
      this.$text.textOrNbsp(this.text);
    }
  }
  _getStyles() {
    return this.lookupRow;
  }
  /** @internal */
  _decorate() {
    // This node is not yet rendered, nothing to do
    if (!this.$node) {
      return;
    }
    super._decorate();
    this.$node.toggleClass('inactive', !this.lookupRow.active);
  }
  isBrowseLoadIncremental() {
    return this.proposalChooser.isBrowseLoadIncremental();
  }
  loadChildren() {
    if (this.isBrowseLoadIncremental()) {
      let parentKey = this.lookupRow.key;
      return this.proposalChooser.smartField.lookupByRec(parentKey);
    }
    // child nodes are already loaded -> same as parent.loadChildren
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  hasChildNodes() {
    if (this.isBrowseLoadIncremental() && !this.childrenLoaded) {
      return true; // because we don't know yet
    }
    return super.hasChildNodes();
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/ProposalTreeNodeModel.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/smartfield/ProposalTreeNodeModel.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/smartfield/SmartField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartField: () => (/* binding */ SmartField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
var _SmartField;
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SmartField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "lookupCall", void 0);
    _defineProperty(this, "codeType", void 0);
    _defineProperty(this, "lookupRow", void 0);
    _defineProperty(this, "browseHierarchy", void 0);
    _defineProperty(this, "browseMaxRowCount", void 0);
    _defineProperty(this, "browseAutoExpandAll", void 0);
    _defineProperty(this, "browseLoadIncremental", void 0);
    _defineProperty(this, "searchRequired", void 0);
    _defineProperty(this, "activeFilterEnabled", void 0);
    _defineProperty(this, "activeFilter", void 0);
    _defineProperty(this, "activeFilterLabels", void 0);
    _defineProperty(this, "columnDescriptors", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "touchMode", void 0);
    _defineProperty(this, "embedded", void 0);
    _defineProperty(this, "lookupStatus", void 0);
    /** used to detect if the proposal chooser contains the results of the latest lookup, or an out-dated result. */
    _defineProperty(this, "lookupSeqNo", void 0);
    /** only when the result is up-to-date, we can use the selected lookup row */
    _defineProperty(this, "initActiveFilter", void 0);
    _defineProperty(this, "maxLength", void 0);
    _defineProperty(this, "maxLengthHandler", void 0);
    /**
     * should only be accessed on the original widget since the adapter accesses it
     * @internal
     */
    _defineProperty(this, "_currentLookupCall", void 0);
    _defineProperty(this, "_pendingLookup", void 0);
    _defineProperty(this, "_pendingOpenPopup", void 0);
    _defineProperty(this, "_tabPrevented", void 0);
    /** used to detect whether the last thing the user did was typing (a proposal) or something else, like selecting a proposal row */
    _defineProperty(this, "_userWasTyping", void 0);
    /** used to prevent multiple execution of blur/acceptInput */
    _defineProperty(this, "_acceptInputEnabled", void 0);
    _defineProperty(this, "_acceptInputDeferred", void 0);
    /** used to store the error state 'not unique' which must not be showed while typing, but when the field loses focus */
    _defineProperty(this, "_notUnique", void 0);
    _defineProperty(this, "_lastSearchText", void 0);
    _defineProperty(this, "_cellEditorPopup", void 0);
    _defineProperty(this, "_lockLookupRow", void 0);
    _defineProperty(this, "$screenReaderStatus", void 0);
    this.popup = null;
    this.lookupCall = null;
    this.codeType = null;
    this._pendingLookup = null;
    this._pendingOpenPopup = false;
    this._tabPrevented = null;
    this.lookupRow = null;
    this.browseHierarchy = false;
    this.browseMaxRowCount = SmartField.DEFAULT_BROWSE_MAX_COUNT;
    this.browseAutoExpandAll = true;
    this.browseLoadIncremental = false;
    this.searchRequired = false;
    this.activeFilterEnabled = false;
    this.activeFilter = null;
    this.activeFilterLabels = [];
    this.columnDescriptors = null;
    this.displayStyle = SmartField.DisplayStyle.DEFAULT;
    this.touchMode = false;
    this.embedded = false;
    this._userWasTyping = false;
    this._acceptInputEnabled = true;
    this._acceptInputDeferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this._notUnique = false;
    this._lastSearchText = null;
    this.lookupStatus = null;
    this._currentLookupCall = null;
    this.lookupSeqNo = 0;
    this.initActiveFilter = null;
    this.disabledCopyOverlay = true;
    this.maxLength = 500;
    this.maxLengthHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MaxLengthHandler, {
      target: this
    });
    this._addCloneProperties(['lookupRow', 'codeType', 'lookupCall', 'activeFilter', 'activeFilterEnabled', 'activeFilterLabels', 'browseHierarchy', 'browseMaxRowCount', 'browseAutoExpandAll', 'browseLoadIncremental', 'searchRequired', 'columnDescriptors', 'displayStyle']);
    this.$screenReaderStatus = null;
  }
  _init(model) {
    super._init(model);
    if (this.activeFilterLabels.length === 0) {
      this.activeFilterLabels = [this.session.text('ui.All'), this.session.text('ui.Inactive'), this.session.text('ui.Active')];
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.initTouch(this, model);
    this.on('lookupCallDone', event => this._renderScreenReaderStatus(event.result));
  }
  /**
   * Initializes lookup call and code type before calling set value.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    this._setLookupCall(this.lookupCall);
    this._setCodeType(this.codeType);
    this._setLookupRow(this.lookupRow);
    super._initValue(value);
  }
  _markAsSaved() {
    super._markAsSaved();
    this.setInitActiveFilter(this.activeFilter);
  }
  resetValue() {
    super.resetValue();
    this.setActiveFilter(this.initActiveFilter);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldCancelKeyStroke(this));
  }
  _render() {
    this.addContainer(this.$parent, 'has-icon ' + this.cssClassName(), new _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldLayout(this));
    this.addLabel();
    let fieldFunc = this.isDropdown() ? _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeInputDiv : _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeInputOrDiv;
    let $field = fieldFunc.call(_index__WEBPACK_IMPORTED_MODULE_0__.fields, this).on('mousedown', this._onFieldMouseDown.bind(this));
    if (!this.touchMode) {
      $field.keyup(this._onFieldKeyUp.bind(this)).keydown(this._onFieldKeyDown.bind(this)).on('input', this._onFieldInput.bind(this));
    }
    this.addField($field);
    this.maxLengthHandler.install($field);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($field, 'combobox');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded($field, false);
    this._addScreenReaderStatus();
    if (!this.embedded) {
      this.addMandatoryIndicator();
    }
    this.addIcon();
    this.addStatus();
    this._addAriaFieldDescription();
  }
  _addScreenReaderStatus() {
    // status container that renders information about the look up
    this.$screenReaderStatus = this.$container.appendDiv();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$screenReaderStatus, 'status');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly(this.$screenReaderStatus);
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$field, this.id + '-func-desc', this.session.text('ui.AriaSmartFieldDescription'));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMaxLength();
  }
  _renderGridData() {
    super._renderGridData();
    this.updateInnerAlignment({
      useHorizontalAlignment: !this.browseHierarchy
    });
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this.updateInnerAlignment({
      useHorizontalAlignment: !this.browseHierarchy
    });
  }
  _renderScreenReaderStatus(result) {
    if (result && this.$screenReaderStatus) {
      this._clearScreenReaderStatus();
      if (result.numLookupRows) {
        this.$screenReaderStatus.appendSpan().addClass('sr-lookup-row-count').text(this.session.text('ui.NumProposals', result.numLookupRows));
      } else {
        this.$screenReaderStatus.appendSpan().addClass('sr-lookup-row-count').text(this.session.text('ui.NoProposals'));
      }
    }
  }
  /**
   * Screen reader status should always be cleared if chooser is not visible, so everytime the chooser becomes visible, the status is announced to the
   * user
   */
  _clearScreenReaderStatus() {
    if (this.$screenReaderStatus) {
      this.$screenReaderStatus.children('.sr-lookup-row-count').remove();
    }
  }
  cssClassName() {
    let prefix = this.displayStyle;
    if (this.displayStyle === SmartField.DisplayStyle.DEFAULT) {
      prefix = 'smart';
    }
    return prefix + '-field';
  }
  _readSearchText() {
    let fieldText = this._readDisplayText(),
      displayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.displayText, ''),
      textLines = displayText.split('\n');
    if (textLines.length === 1 || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(fieldText)) {
      return fieldText;
    }
    textLines.shift(); // remove first line
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(textLines, fieldText, 0);
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n', textLines);
  }
  _readDisplayText() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$field);
  }
  _renderDisplayText() {
    let displayText = this._prepareDisplayText();
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$field, displayText);
    super._renderDisplayText();
  }
  _prepareDisplayText() {
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.displayText, ''),
      textLines = displayText.split('\n');
    if (textLines.length) {
      displayText = textLines[0];
    }
    return displayText;
  }
  /**
   * Accepts the selected lookup row and sets its id as value.
   * This function is called on blur, by a keystroke or programmatically at any time.
   *
   * @param sync optional boolean value (default: false), when set to true acceptInput is not allowed to start an asynchronous lookup for text search
   */
  acceptInput(sync) {
    if (!this._acceptInputEnabled) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(SmartField#acceptInput) Skipped acceptInput because _acceptInputEnabled=false');
      return this._acceptInputDeferred.promise();
    }
    // Use a timeout to prevent multiple execution within the same user action
    this._acceptInputEnabled = false;
    setTimeout(() => {
      this._acceptInputEnabled = true;
    });
    let searchText = this._readSearchText(),
      searchTextEmpty = _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(searchText),
      searchTextChanged = this._checkSearchTextChanged(searchText),
      selectedLookupRow = this._getSelectedLookupRow(searchTextChanged);
    this._setProperty('displayText', searchText);
    this._acceptInputDeferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this._flushLookupStatus();
    this._clearPendingLookup();
    return this._acceptInput(sync, searchText, searchTextEmpty, searchTextChanged, selectedLookupRow);
  }
  /**
   * This function is used to determine if the currently selected lookup row can be
   * used when acceptInput is called. Basically we don't want to use the row in case
   * the result is out-dated.
   */
  _getSelectedLookupRow(searchTextChanged) {
    // don't use selected lookup row if...
    if (!this.isPopupOpen() ||
    // 1. popup has been closed
    searchTextChanged && this._userWasTyping) {
      // 2. search text has changed and user was typing
      return null;
    }
    // 3. if the result row is from an out-dated result
    return this.lookupSeqNo === this.popup.lookupResult.seqNo ? this.popup.getSelectedLookupRow() : null;
  }
  _checkSearchTextChanged(searchText) {
    if (this.isDropdown() || !this._userWasTyping) {
      return false; // search text cannot change in drop-down fields
    }
    // check if search text has changed since the last search, when it has changed
    // we cannot use the currently selected lookup row, because these proposals are
    // out-dated.
    return !this._searchTextEquals(searchText, this._lastSearchText);
  }
  _searchTextEquals(searchText, lastSearchText) {
    let a = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nullIfEmpty(this._firstTextLine(searchText));
    let b = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nullIfEmpty(lastSearchText);
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.equalsIgnoreCase(a, b);
  }
  _clearPendingLookup() {
    if (this._pendingLookup) {
      clearTimeout(this._pendingLookup);
      this._pendingLookup = null;
    }
  }
  /**
   * This function is intended to be overridden. Proposal field has another behavior than the smart field.
   *
   * @param sync optional boolean value (default: false), when set to true acceptInput is not allowed to start an asynchronous lookup for text search
   */
  _acceptInput(sync, searchText, searchTextEmpty, searchTextChanged, selectedLookupRow) {
    if (this.touchMode) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptInput) Always send acceptInput for touch field');
      this._inputAccepted();
      return;
    }
    let unchanged = false;
    if (this.removing) {
      // Rare case: _acceptInput may be called when the field is being removed. In that case
      // we do nothing and leave the lookupRow unchanged.
      unchanged = true;
    } else if (!selectedLookupRow && this.lookupRow) {
      // Do nothing when search text is equals to the text of the current lookup row
      let lookupRowText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(this.lookupRow.text);
      unchanged = lookupRowText === searchText;
    }
    if (unchanged) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptInput) unchanged: widget is removing or searchText is equals. Close popup');
      this._clearLookupStatus();
      this._inputAccepted(false);
      return;
    }
    // Don't show the not-unique error when the search-text becomes empty while typing (see ticket #229775)
    if (this._notUnique && !searchTextEmpty) {
      this._setNotUniqueError(searchText);
    }
    // Do nothing when we don't have a current lookup row and search text is empty
    // trigger event when search text has changed. This is required for the case where
    // a field is cleared, and the remote model must be updated (value=null)
    if (!selectedLookupRow && !this.lookupRow && searchTextEmpty) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptInput) unchanged: text is empty. Close popup');
      this._clearLookupStatus();
      if (this.errorStatus && this.errorStatus.code === SmartField.ErrorCode.NO_RESULTS) {
        // clear the error status from previous search which did not find any results. This error status is no longer valid as we accept the null content here.
        this.clearErrorStatus();
      }
      this._inputAccepted(searchTextChanged || this._userWasTyping);
      return;
    }
    // 1.) when search text is empty and no lookup-row is selected, simply set the value to null
    // Note: here we assume that a current lookup row is set.
    if (!selectedLookupRow && searchTextEmpty) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptInput) empty. Set lookup-row to null, close popup');
      this._clearLookupStatus();
      this.setLookupRow(null);
      this._inputAccepted();
      return;
    }
    // 2.) proposal chooser is open -> use the selected row as value
    if (selectedLookupRow) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptInput) lookup-row selected. Set lookup-row, close popup lookupRow=', selectedLookupRow.toString());
      this._clearLookupStatus();
      this.setLookupRow(selectedLookupRow);
      this._inputAccepted();
      return;
    }
    // 3.) proposal chooser is not open -> try to accept the current display text
    // this causes a lookup which may fail and open a new proposal chooser (property
    // change for 'result').
    if (searchTextChanged || this._userWasTyping) {
      this._acceptByText(sync, this._firstTextLine(searchText));
    } else if (!this._hasUiError()) {
      this._inputAccepted(false);
    } else if (this._hasNotUniqueError() && this.popup) {
      // popup has been opened (again) with errorStatus NOT_UNIQUE, and search text is still the same
      this.popup.selectFirstLookupRow();
    } else {
      // even though there's nothing to do, someone could wait for our promise to be resolved
      this._acceptInputDeferred.resolve();
    }
    return this._acceptInputDeferred.promise();
  }
  /**
   * Required for multiline smart-field. Only use first line of search text for accept by text.
   * Note: for the regular lookup by text, we use the readDisplayText() function which always
   * returns a single line. But in acceptInput we need the full search text (=display text + additional
   * lines) in order to check whether or not the display text has changed, compared to the current
   * lookup row. That's why we must extract the first line here.
   */
  _firstTextLine(text) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text)) {
      return text;
    }
    return text.split('\n')[0];
  }
  /**
   * This function is intended to be overridden. Proposal field has another behavior than the smart field.
   *
   * @param sync when set to true it's not allowed to start an asynchronous lookup to search by text, the
   *     current search text is discarded. The flag is set to true in case we click on another field, where
   *     we must make sure the order of (browser) events is not changed by the lookup that would return _after_
   *     the events for the clicked field are handled.
   */
  _acceptByText(sync, searchText) {
    sync = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(sync, false);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_acceptByText) sync=' + sync + ' searchText=', searchText);
    if (sync) {
      this._acceptByTextSync(searchText);
    } else {
      this._acceptByTextAsync(searchText);
    }
  }
  _acceptByTextSync(searchText) {
    this._lastSearchText = null;
    this._inputAccepted();
    if (!this._hasUiError()) {
      this.resetDisplayText();
    }
  }
  _acceptByTextAsync(searchText) {
    this._lastSearchText = searchText;
    this._executeLookup(this.lookupCall.cloneForText(searchText), true).done(this._acceptByTextDone.bind(this)).done(this._triggerLookupCallDone.bind(this));
    this._triggerAcceptByText(searchText);
  }
  _inputAccepted(triggerEvent, acceptByLookupRow) {
    triggerEvent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(triggerEvent, true);
    acceptByLookupRow = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(acceptByLookupRow, true);
    // don't close when shown in touch popup (also called when clear() is executed)
    if (!this.embedded) {
      this.closePopup();
    }
    this._userWasTyping = false;
    if (triggerEvent) {
      this._triggerAcceptInput(acceptByLookupRow);
    }
    this._focusNextTabbable();
    this._acceptInputDeferred.resolve();
  }
  _focusNextTabbable() {
    if (this._tabPrevented) {
      this.session.focusManager.focusNextTabbable(this.$container.activeElement(), !this._tabPrevented.shiftKey);
      this._tabPrevented = null;
    }
  }
  _acceptByTextDone(result) {
    this._userWasTyping = false;
    this._extendResult(result);
    this._notUnique = result.numLookupRows > 1;
    // when there's exactly one result, we accept that lookup row
    if (result.uniqueMatch) {
      let lookupRow = result.uniqueMatch;
      if (this._isLookupRowActive(lookupRow)) {
        this.setLookupRow(lookupRow);
        this._inputAccepted();
      } else {
        this.setErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
          message: this.session.text('SmartFieldInactiveRow', result.text)
        }));
      }
      return;
    }
    this._acceptInputFail(result);
  }
  /**
   * Extends the properties 'uniqueMatch' and 'numLookupRows' on the given result object.
   * The implementation is different depending on the browseHierarchy property.
   */
  _extendResult(result) {
    result.seqNo = this.lookupSeqNo;
    result.uniqueMatch = null;
    // Set query type on result, e.g. 'byAll'
    let propertyName = 'by' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(result.queryBy.toLowerCase());
    result[propertyName] = true;
    if (this.browseHierarchy) {
      // tree (hierarchical)
      let proposalChooser = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TreeProposalChooser, {
        parent: this,
        smartField: this
      });
      proposalChooser.setLookupResult(result);
      let leafs = proposalChooser.findLeafs();
      result.numLookupRows = leafs.length;
      if (result.numLookupRows === 1) {
        result.uniqueMatch = leafs[0].lookupRow;
      }
    } else {
      // table
      result.numLookupRows = result.lookupRows.length;
      if (result.numLookupRows === 1) {
        result.uniqueMatch = result.lookupRows[0];
      }
    }
  }
  _acceptInputFail(result) {
    let searchText = result.text;
    // in any other case something went wrong
    if (!result.numLookupRows) {
      if (!this.embedded) {
        this.closePopup();
      }
      this.setValue(null);
      this.setDisplayText(searchText);
      this.setErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
        message: this.session.text('SmartFieldCannotComplete', searchText),
        code: SmartField.ErrorCode.NO_RESULTS
      }));
    }
    if (result.numLookupRows > 1) {
      this.setValue(null);
      this.setDisplayText(searchText);
      this._setNotUniqueError(searchText);
      if (this.isPopupOpen()) {
        this.popup.setLookupResult(result);
      } else {
        this._lookupByTextOrAllDone(result);
      }
      // check again if popup is open yet (might have been opened by _lookupByTextOrAllDone)
      if (this.isPopupOpen()) {
        this.popup.selectFirstLookupRow();
      }
    }
    this._acceptInputDeferred.resolve();
    this._triggerAcceptInputFail();
  }
  lookupByRec(rec) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#lookupByRec) rec=', rec);
    this._lastSearchText = null;
    return this._executeLookup(this.lookupCall.cloneForRec(rec)).then(result => {
      // Since this function is only used for hierarchical trees we
      // can simply set the appendResult flag always to true here
      result.appendResult = true;
      result.rec = rec;
      if (this.isPopupOpen()) {
        this.popup.setLookupResult(result);
      }
      return result;
    }).then(this._triggerLookupCallDone.bind(this));
  }
  /**
   * Validates the given lookup row is enabled and matches the current activeFilter settings.
   */
  _isLookupRowActive(lookupRow) {
    if (!lookupRow.enabled) {
      return false;
    }
    if (!this.activeFilterEnabled) {
      return true;
    }
    if (this.activeFilter === 'TRUE') {
      return lookupRow.active;
    }
    if (this.activeFilter === 'FALSE') {
      return !lookupRow.active;
    }
    return true;
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$field.setTabbable(this.enabledComputed);
  }
  setMaxLength(maxLength) {
    this.setProperty('maxLength', maxLength);
  }
  _renderMaxLength() {
    this.maxLengthHandler.render();
  }
  /** @see SmartFieldModel.lookupCall */
  setLookupCall(lookupCall) {
    this.setProperty('lookupCall', lookupCall);
  }
  _setLookupCall(lookupCall) {
    this._setProperty('lookupCall', _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(lookupCall, this.session));
    this._syncBrowseMaxRowCountWithLookupCall();
  }
  /** @see SmartFieldModel.codeType */
  setCodeType(codeType) {
    this.setProperty('codeType', codeType);
  }
  _setCodeType(codeType) {
    this._setProperty('codeType', codeType);
    if (!codeType) {
      return;
    }
    let lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CodeLookupCall, {
      session: this.session,
      codeType: codeType
    });
    this.setLookupCall(lookupCall);
  }
  _formatValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return '';
    }
    // we already have a lookup row - Note: in Scout Classic (remote case)
    // we always end here and don't need to perform a getByKey lookup.
    if (this.lookupRow) {
      return this._formatLookupRow(this.lookupRow);
    }
    // we must do a lookup first to get the display text
    // Note: this has a side effect as it sets the property lookupRow on the smart field
    this._lastSearchText = null;
    return this._executeLookup(this.lookupCall.cloneForKey(value), true).then(result => {
      let formattedValue = this._lookupByKeyDone(result);
      return {
        formattedValue,
        result
      };
    }).then(_ref => {
      let {
        formattedValue,
        result
      } = _ref;
      this._triggerLookupCallDone(result);
      return formattedValue;
    }).catch(error => {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('FormatValue failed for SmartField with id ' + this.id, error);
      if (!this._updateDisplayTextPending) {
        // If a new value was set in the meantime, the previous lookup call was aborted -> don't mark the field as invalid because only the new lookup matters
        throw error;
      }
      if (error && error.abort || error instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AjaxError && error.textStatus === 'abort') {
        // If a new value was set in the meantime but the display text of the new value not resolved yet, ignore the abort event of the first lookup to not show invalid key message while the second lookup is still in progress.
        // Depending on the implementation of the lookup call, abort could either reject with an object containing abort, or the AjaxCall is rejected directly.
        return '';
      }
      return this._invalidKeyLookup(value);
    });
  }
  _lookupByKeyDone(result) {
    this._notUnique = false;
    let lookupRow = _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.firstLookupRow(result);
    if (lookupRow) {
      this.setLookupRow(lookupRow);
      return this._formatLookupRow(lookupRow);
    }
    return this._invalidKeyLookup(result.key);
  }
  _invalidKeyLookup(key) {
    // lookup call didn't return a result. Maybe the data belonging to the key has been deleted.
    let invalidValueMessage = this.session.text('ui.InvalidValue');
    this.setLookupRow(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, {
      key: key,
      text: invalidValueMessage
    }));
    this.setErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ValidationFailedStatus, {
      message: this.session.text('ui.ResolvingValueFailed'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING
    }));
    return invalidValueMessage;
  }
  /**
   * This function is called when we need to format a display text from a given lookup
   * row. By default the property 'text' is used for that purpose. Override this function
   * if you need to format different properties from the lookupRow.
   */
  _formatLookupRow(lookupRow) {
    return lookupRow ? lookupRow.text : '';
  }
  /**
   * @param browse whether or not the lookup call should execute getAll() or getByText() with the current display text.
   *     if browse is undefined, browse is set to true automatically if search text is empty
   */
  openPopup(browse) {
    // In case searchRequired is set to true, we always start a new search with the text from the field as query
    let searchText = this._readDisplayText(),
      searchAlways = this.searchRequired ? true : null;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('SmartField#openPopup browse=' + browse + ' searchText=' + searchText + ' popup=' + this.popup + ' pendingOpenPopup=' + this._pendingOpenPopup);
    // Reset scheduled focus next tabbable when user clicks on the smartfield while a lookup is resolved.
    this._tabPrevented = null;
    this._pendingOpenPopup = true;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(searchText)) {
      // if search text is empty - always do 'browse', no matter what the error code is
      browse = true;
    } else if (this.errorStatus) {
      // In case the search yields a not-unique error, we always want to start a lookup
      // with the current display text in every other case we better do browse again
      if (this._hasNotUniqueError()) {
        searchAlways = true;
        browse = false;
      } else if (!this.searchRequired) {
        browse = true;
      }
    }
    return this._lookupByTextOrAll(browse, searchText, searchAlways);
  }
  _hasUiError(codes) {
    let status = this._errorStatus();
    if (!status) {
      return false;
    }
    if (codes) {
      codes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(codes);
    } else {
      codes = [SmartField.ErrorCode.NO_RESULTS, SmartField.ErrorCode.NOT_UNIQUE];
    }
    // collect codes from the status hierarchy
    let statusList = _index__WEBPACK_IMPORTED_MODULE_0__.Status.asFlatList(status);
    let foundCodes = statusList.reduce((list, status) => {
      if (status.code && list.indexOf(status.code) === -1) {
        list.push(status.code);
      }
      return list;
    }, []);
    // if one of the requested codes exist in the list of found codes
    return codes.some(code => {
      return foundCodes.indexOf(code) > -1;
    });
  }
  /**
   * @param browse [boolean] optional, whether to perform a lookupByAll (=browse) or a lookupByText.
   *        By default the param is set to <code>true</code> if the search-text is not empty
   * @param searchText [String] optional, when not set the search-text from the smart-field is used
   * @param searchAlways [boolean] optional, only used when browse=false. When set to true the search
   *        is always performed, event when the search-text has not changed. By default the param is
   *        set to <code>false</code>.
   */
  _lookupByTextOrAll(browse, searchText, searchAlways) {
    // default values
    searchText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(searchText, this._readDisplayText());
    browse = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(browse, _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(searchText));
    searchAlways = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(searchAlways, false);
    // never do a text-lookup if field has dropdown style
    if (this.isDropdown()) {
      browse = true;
    }
    // this avoids unnecessary lookup-calls when a keyboard event has triggered
    // the lookupByTextOrAll function but the search-text has not changed #226643.
    if (!browse && !searchAlways) {
      let lastSearchText = null;
      if (this._lastSearchText) {
        lastSearchText = this._lastSearchText;
      } else {
        lastSearchText = this._getLastSearchText();
      }
      if (this._searchTextEquals(searchText, lastSearchText)) {
        this._pendingOpenPopup = false;
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_lookupByTextOrAll) searchText is equals -> skip lookup');
        return;
      }
    }
    this._clearPendingLookup();
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    let doneHandler = function (result) {
      this._lookupByTextOrAllDone(result);
      deferred.resolve(result);
    }.bind(this);
    // execute lookup byAll immediately
    if (browse) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_lookupByTextOrAll) lookup byAll (searchText empty)');
      this._lastSearchText = null;
      if (this.searchRequired) {
        doneHandler({
          queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT,
          lookupRows: []
        });
        this.setLookupStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.warning({
          message: this.session.text('TooManyRows'),
          code: SmartField.ErrorCode.SEARCH_REQUIRED
        }));
      } else {
        this._executeLookup(this.lookupCall.cloneForAll(), true).done(doneHandler).done(this._triggerLookupCallDone.bind(this));
      }
    } else {
      // execute lookup byText with a debounce/delay
      this._pendingLookup = setTimeout(() => {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_lookupByTextOrAll) lookup byText searchText=' + searchText);
        this._lastSearchText = searchText;
        this._executeLookup(this.lookupCall.cloneForText(searchText), true).done(doneHandler).done(this._triggerLookupCallDone.bind(this));
      }, SmartField.DEBOUNCE_DELAY);
    }
    return deferred.promise();
  }
  /**
   * Returns the text used to store the 'last search-text'. The implementation differs between SmartField and ProposalField.
   */
  _getLastSearchText() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(this.lookupRow, 'text');
  }
  _lookupByTextOrAllDone(result) {
    this._extendResult(result);
    this._notUnique = !result.byAll && result.numLookupRows > 1;
    if (this._handleException(result)) {
      return;
    }
    // In cases where the user has tabbed to the next field, while results for the previous
    // smart-field are still loading: don't show the proposal popup. In the case of a cell-editor
    // it's also possible that the smart-field is not rendered anymore when the lookup is done
    if (!this.rendered || !this.isFocused() && !this.isTouchable()) {
      this.closePopup();
      return;
    }
    let empty = !result.numLookupRows;
    // 'No data' case
    if (empty && result.byAll) {
      // When active filter is enabled we must always show the popup, because the user
      // must be able to switch the filter properties. Otherwise, a user could set the filter
      // to 'inactive', and receives an empty result for that query, the popup is closed
      // and the user can not switch the filter back to 'active' again because the filter
      // control is not visible.
      if (this.activeFilterEnabled) {
        this._ensurePopup(result);
      } else {
        this.closePopup();
      }
      this.setLookupStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.warning({
        message: this.session.text('SmartFieldNoDataFound'),
        code: SmartField.ErrorCode.NO_DATA
      }));
      return;
    }
    if (empty) {
      this._handleEmptyResult();
      this.setLookupStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.warning({
        message: this.session.text('SmartFieldCannotComplete', result.text),
        code: SmartField.ErrorCode.NO_RESULTS
      }));
      return;
    }
    let popupStatus = null;
    if (result.numLookupRows > this.browseMaxRowCount) {
      // Info: we limit the lookup rows here, but this is more a last line of defense
      // limit should be always performed on the server, so we don't have to transfer
      // unnecessary lookup rows over the slow network. Make sure your Scout lookup call
      // or REST service impl. respects the max. row count property.
      result.lookupRows = result.lookupRows.slice(0, this.browseMaxRowCount);
      popupStatus = _index__WEBPACK_IMPORTED_MODULE_0__.Status.info({
        message: this.session.text('SmartFieldMoreThanXRows', this.browseMaxRowCount)
      });
    }
    // Render popup, if not yet rendered and set results
    this._ensurePopup(result, popupStatus);
  }
  _ensurePopup(result, status) {
    if (this.popup) {
      this.popup.setLookupResult(result);
      this.popup.setStatus(status);
    } else {
      this._renderPopup(result, status);
    }
  }
  _handleException(result) {
    // Oops! Something went wrong while the lookup has been processed.
    if (result.exception) {
      this.setErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
        message: result.exception
      }));
      this.closePopup();
      return true;
    }
    return false;
  }
  _handleEmptyResult() {
    if (this.touchMode || this.activeFilterEnabled) {
      // In mobile mode we always open the popup, event if we don't have a result
      // Otherwise it would be impossible to enter text in a proposal field with
      // an empty proposal list. The same goes for activeFilterEnabled state -
      // a filter can lead to an empty result (for instance when there are no
      // inactive proposals), and it's hard to switch to another filter value
      // when the popup does not show up at all.
      let emptyResult = {
        lookupRows: []
      };
      this._ensurePopup(emptyResult);
    } else if (this.embedded) {
      this.popup.clearLookupRows();
    } else {
      this.closePopup();
    }
  }
  _renderPopup(result, status) {
    // On touch devices the field does not get the focus.
    // But it should look focused when the popup is open.
    this.$field.addClass('focused');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$field, true);
    this.$container.addClass('popup-open');
    let useTouch = this.touchMode && !this.isDropdown();
    let popupType = useTouch ? 'SmartFieldTouchPopup' : 'SmartFieldPopup';
    this._pendingOpenPopup = false;
    this.popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(popupType, {
      parent: this,
      $anchor: this.$field,
      boundToAnchor: !useTouch,
      closeOnAnchorMouseDown: false,
      field: this,
      lookupResult: result,
      status: status
    });
    this.popup.open();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithControls(this.$field, this.popup.$container);
    this.popup.$container.css('--inactive-lookup-row-suffix-text', `'${this.session.text('InactiveState')}'`);
    /* This variable is required to route events to the right field:
     * - in normal mode popup events should be processed by the normal smart-field
     * - in touch mode, the field flagged with the 'touch' property should process no
     *   events at all, instead the field flagged with the 'embedded' property should
     *   process these events.
     *
     * (*1) because the lookup is processed by the field flagged with 'touch' we must
     *      set the activeFilter on that field too, because the java-model on the server
     *      is stateful. The java field always passes the activeFilter property to the
     *      lookup call.
     */
    let fieldForPopup = useTouch ? this.popup._field : this;
    this.popup.on('lookupRowSelected', fieldForPopup._onLookupRowSelected.bind(fieldForPopup));
    this.popup.on('activeFilterSelected', this._onActiveFilterSelected.bind(this)); // intentionally use this instead of fieldForPopup *1
    this.popup.one('remove', () => {
      this.popup = null;
      if (this.rendered) {
        this.$container.removeClass('popup-open');
        this.$field.removeClass('focused');
        this._resetPopupAriaProperties();
        this._renderErrorStatus();
      }
    });
  }
  closePopup() {
    this._pendingOpenPopup = false;
    if (this.popup) {
      this.popup.close();
    }
  }
  /**
   * Resets the aria properties that were changed by the pop up to indicate that the pop up is not open
   */
  _resetPopupAriaProperties() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$field, false);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeActiveDescendant(this.$field);
    this._clearScreenReaderStatus();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeControls(this.$field);
  }
  /**
   * Calls acceptInput if mouse down happens outside the field or popup
   */
  aboutToBlurByMouseDown(target) {
    if (this.touchMode) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.fields.eventOutsideProposalField(this, target)) {
      this.acceptInput(true);
    }
  }
  _onFieldMouseDown(event) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_onFieldMouseDown)');
    this.activate(true);
  }
  activate(onField) {
    if (!this.enabledComputed || !this.rendered) {
      return;
    }
    if (!this.isDropdown() && !_index__WEBPACK_IMPORTED_MODULE_0__.fields.handleOnClick(this)) {
      if (this.popup && this.popup.removalPending) {
        // If smart field is activated while it is closing (during remove animation), wait for the animation to finish and activate it afterwards
        this.popup.one('remove', () => {
          if (this.rendered) {
            this.activate(onField);
          }
        });
      }
      return;
    }
    // Don't focus on desktop devices when click is on field #217192
    // Also required for touch case where field is a DIV and not an INPUT field
    if (!onField || _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch()) {
      this.$field.focus();
    }
    this.togglePopup();
  }
  _onIconMouseDown(event) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_onIconMouseDown)');
    if (!this.enabledComputed) {
      return;
    }
    event.preventDefault();
    this.$field.focus();
    if (!this.embedded) {
      if (this.isDropdown()) {
        this.togglePopup();
      } else if (!this.popup) {
        this.openPopup(!this.searchRequired);
      }
    }
  }
  _onClearIconMouseDown(event) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_onClearIconMouseDown)');
    if (!this.enabledComputed) {
      return;
    }
    event.preventDefault();
    this.$field.focus();
    this.clear();
  }
  _clear() {
    // don't tab next field when user clicks on clear icon (acceptInput is called later)
    this._tabPrevented = null;
    // the state of these two flags is important. See #_checkSearchTextChanged
    this._lastSearchText = this._readDisplayText();
    this._userWasTyping = true;
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.valOrText(this.$field, '');
    if (this.touchMode) {
      // There is actually no "x" the user can press in touch mode, but if the developer calls clear() manually, it should work too.
      // Because accept input works differently in touch mode we need to explicitly set the value to null
      this.setValue(null);
    }
    if (this.isPopupOpen()) {
      // When cleared, browse by all again, need to do it in setTimeout because sending acceptInput and lookupAll at the same time does not seem to work
      setTimeout(this._lookupByTextOrAll.bind(this, true));
    }
    this._updateHasText();
  }
  togglePopup() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(SmartField#togglePopup) popupOpen=', this.isPopupOpen());
    if (this.isPopupOpen()) {
      this.closePopup();
    } else {
      this.openPopup(!this.searchRequired);
    }
  }
  _onFieldBlur(event) {
    this.setFocused(false);
    this.setLoading(false);
    if (this.isTouchable()) {
      return;
    }
    this.acceptInput(false);
    this.closePopup();
  }
  /**
   * @returns true if the field is either 'embedded' or in 'touchMode'.
   */
  isTouchable() {
    return this.embedded || this.touchMode;
  }
  _onFieldKeyUp(event) {
    // Escape
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      return;
    }
    // Pop-ups shouldn't open when one of the following keys is pressed
    let w = event.which;
    let isPaste = (event.ctrlKey || event.metaKey) && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.V || event.shiftKey && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.INSERT;
    let isCut = (event.ctrlKey || event.metaKey) && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.X || event.shiftKey && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE;
    let isCutOrPaste = (isPaste || isCut) && !this.isDropdown();
    if (!isCutOrPaste && (event.ctrlKey || event.altKey || event.metaKey || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.END || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_LEFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_RIGHT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SELECT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUM_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CAPS_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SCROLL_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAUSE || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PRINT_SCREEN || this._isNavigationKey(event) || this._isFunctionKey(event))) {
      return;
    }
    // The typed character is not available until the keyUp event happens
    // That's why we must deal with that event here (and not in keyDown)
    // We don't use _displayText() here because we always want the text the
    // user has typed.
    this._handleInput();
  }
  _handleInput() {
    if (this._pendingOpenPopup || this.isPopupOpen()) {
      if (!this.isDropdown()) {
        this._lookupByTextOrAll();
      }
    } else if (!this._pendingOpenPopup) {
      this.openPopup();
    }
  }
  isPopupOpen() {
    return !!(this.popup && !this.popup.removalPending);
  }
  _onFieldKeyDown(event) {
    this._updateUserWasTyping(event);
    // We must prevent default focus handling
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB) {
      if (this.mode === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.Mode.DEFAULT) {
        event.preventDefault(); // prevent browser default TAB behavior
        event.stopPropagation(); // prevent FocusContext#._onKeyDown
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SmartField#_onFieldKeyDown) set _tabPrevented');
        this._tabPrevented = {
          shiftKey: event.shiftKey
        };
      }
      this.acceptInput();
      return;
    }
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER) {
      this._handleEnterKey(event);
      return;
    }
    // For dropdowns, not only navigation keys trigger the popup (see code below).
    // However, there are still some exceptions that should be ignored:
    let w = event.which;
    if (this.isDropdown() && (event.ctrlKey || event.altKey || event.metaKey || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_LEFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_RIGHT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SELECT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUM_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CAPS_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SCROLL_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAUSE || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PRINT_SCREEN || this._isFunctionKey(event))) {
      return;
    }
    // If field has dropdown style, we open the popup immediately
    // because we must not wait until text has been typed
    if (this._isNavigationKey(event) || this.isDropdown()) {
      if (this.isPopupOpen()) {
        this.popup.delegateKeyEvent(event);
      } else if (!this._pendingOpenPopup) {
        this.openPopup(!this.searchRequired);
      }
      event.stopPropagation(); // key has been handled (popup open). do not allow propagation to other listeners because this could remove tooltips
      event.preventDefault(); // prevent scrolling of container
    }
  }
  _onFieldInput() {
    this._updateHasText();
    // Handling for undo/redo events which can affect this field, even tough the focus is on another field
    // we must have the focus, because otherwise acceptInput would be skipped, which could cause the smart-field
    // to have an invalid displayText which does not reflect the current value. #246765
    if (!this._userWasTyping) {
      if (!this.isFocused()) {
        this.focus();
      }
      this._handleInput();
    }
  }
  _updateUserWasTyping(event) {
    let w = event.which;
    let isPaste = (event.ctrlKey || event.metaKey) && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.V || event.shiftKey && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.INSERT;
    let isCut = (event.ctrlKey || event.metaKey) && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.X || event.shiftKey && w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE;
    let isCutOrPaste = (isPaste || isCut) && !this.isDropdown();
    if (!isCutOrPaste && (event.ctrlKey || event.altKey || event.metaKey || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.END || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_LEFT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_RIGHT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SELECT || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUM_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.CAPS_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.SCROLL_LOCK || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAUSE || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.PRINT_SCREEN || this._isFunctionKey(event))) {
      // neutral, don't change flag
      return;
    }
    this._userWasTyping = !(this._isNavigationKey(event) || w === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER);
  }
  _isNavigationKey(event) {
    let navigationKeys = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN, _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    if (this.isDropdown()) {
      navigationKeys.push(_index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME);
      navigationKeys.push(_index__WEBPACK_IMPORTED_MODULE_0__.keys.END);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, navigationKeys);
  }
  _handleEnterKey(event) {
    if (this.isPopupOpen()) {
      this.popup.selectLookupRow();
      event.stopPropagation();
    }
  }
  _isFunctionKey(event) {
    return event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys.F1 && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys.F12;
  }
  _onLookupRowSelected(event) {
    // When a row has been selected in the proposal chooser, cancel all
    // pending and running lookup-calls. This avoids situations where the
    // lookup-call returns with results after the user has pressed the
    // enter key in order to select a result (see ticket #229775).
    this._clearPendingLookup();
    let currentLookupCall = this.original()._currentLookupCall;
    if (currentLookupCall) {
      currentLookupCall.abort();
      this.original()._currentLookupCall = null;
      this.setLoading(false);
    }
    this.setLookupRow(event.lookupRow);
    this._inputAccepted();
    this.closePopup();
  }
  /**
   * When the user changes the active-filter we must always perform a new search. When the user has typed a searchText
   * we must perform a lookupByText. When the searchText is empty or different from the text of the selected lookup-row
   * we are in browse mode where we use the default given by the 'searchRequired' property. See: #237229.
   */
  _onActiveFilterSelected(event) {
    this.setActiveFilter(event.activeFilter);
    let browse = !this.searchRequired;
    let searchText = this._readSearchText();
    if (this.lookupRow) {
      if (this.lookupRow.text !== searchText) {
        browse = false;
      }
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(searchText)) {
      browse = false;
    }
    this._lookupByTextOrAll(browse, searchText, true);
  }
  /**
   * @param browseMaxRowCount - a positive number, _not_ null or undefined!
   */
  setBrowseMaxRowCount(browseMaxRowCount) {
    this.setProperty('browseMaxRowCount', browseMaxRowCount);
    this._syncBrowseMaxRowCountWithLookupCall();
  }
  _syncBrowseMaxRowCountWithLookupCall() {
    if (this.lookupCall) {
      // sync max rows with lookup call => request one more row to detect if there would be more rows than browseMaxRowCount.
      this.lookupCall.setMaxRowCount(this.browseMaxRowCount + 1);
    }
  }
  setBrowseAutoExpandAll(browseAutoExpandAll) {
    this.setProperty('browseAutoExpandAll', browseAutoExpandAll);
  }
  setBrowseLoadIncremental(browseLoadIncremental) {
    this.setProperty('browseLoadIncremental', browseLoadIncremental);
    if (this.lookupCall) {
      // change template here. Will be used on the next clone
      this.lookupCall.setLoadIncremental(browseLoadIncremental);
    }
  }
  setActiveFilter(activeFilter) {
    this.setProperty('activeFilter', this.activeFilterEnabled ? activeFilter : null);
  }
  setActiveFilterEnabled(activeFilterEnabled) {
    this.setProperty('activeFilterEnabled', activeFilterEnabled);
  }
  setInitActiveFilter(initActiveFilter) {
    this.setProperty('initActiveFilter', initActiveFilter);
  }
  setSearchRequired(searchRequired) {
    this.setProperty('searchRequired', searchRequired);
  }
  /**
   * A wrapper function around lookup calls used to display the state in the UI.
   */
  _executeLookup(lookupCall, abortExisting) {
    this.lookupSeqNo++;
    this.setLoading(true);
    let currentLookupCall = this.original()._currentLookupCall;
    if (abortExisting && currentLookupCall) {
      currentLookupCall.abort();
    }
    this.original()._currentLookupCall = lookupCall;
    this.trigger('prepareLookupCall', {
      lookupCall: lookupCall
    });
    return lookupCall.execute().always(() => {
      this.original()._currentLookupCall = null;
      this.setLoading(false);
      this._clearLookupStatus();
      this._clearNoResultsErrorStatus();
    });
  }
  /**
   * Reset error status NO_RESULTS when a lookup is performed, otherwise it would interfere with the
   * temporary lookupStatus and we'd see an out-dated error-status message while the user is typing.
   */
  _clearNoResultsErrorStatus() {
    if (this.isTouchable()) {
      return;
    }
    if (this._userWasTyping && this.errorStatus && this.errorStatus.code === SmartField.ErrorCode.NO_RESULTS) {
      this.setErrorStatus(null);
    }
  }
  /**
   * Returns true if the smart-field lookup returns a lot of rows. In that case
   * the proposal chooser must create a table with virtual scrolling, which means
   * only the rows visible in the UI are rendered in the DOM. By default we render
   * all rows, since this avoids problems with layout-invalidation with rows
   * that have a bitmap-image (PNG) which is loaded asynchronously.
   */
  virtual() {
    return this.browseMaxRowCount > SmartField.DEFAULT_BROWSE_MAX_COUNT;
  }
  isDropdown() {
    return this.displayStyle === SmartField.DisplayStyle.DROPDOWN;
  }
  _setLookupRow(lookupRow) {
    var _this$lookupRow;
    // remove css classes from old lookup-row
    if ((_this$lookupRow = this.lookupRow) !== null && _this$lookupRow !== void 0 && _this$lookupRow.cssClass) {
      this.removeCssClass(this.lookupRow.cssClass);
    }
    this._setProperty('lookupRow', lookupRow);
    // add css classes from new lookup-row
    if (lookupRow !== null && lookupRow !== void 0 && lookupRow.cssClass) {
      this.addCssClass(lookupRow.cssClass);
    }
  }
  setLookupRow(lookupRow) {
    if (this.lookupRow === lookupRow) {
      return;
    }
    this._notUnique = false;
    this.clearErrorStatus();
    this._setLookupRow(lookupRow);
    // this flag is required so lookup row is not changed again, when _setValue is called
    this._lockLookupRow = true;
    if (lookupRow) {
      this.setValue(this._getValueFromLookupRow(lookupRow));
    } else {
      this.setValue(null);
    }
    this._lockLookupRow = false;
    // In case we have a value X set, start to type search text, and then choose the lookup
    // row from the proposal with exactly the same value X, setValue() does nothing because
    // the value has not changed (even though the display text has) thus _formatValue is
    // never called. That's why we always reset the display text to make sure the display
    // text is correct.
    this.resetDisplayText();
  }
  /**
   * Rebuilds the cached {@link lookupRow} and updates the display text. The {@link lookupCall} is used to
   * retrieve a fresh lookup row for the current {@link value}. This can be useful if the underlying data
   * has been changed since first resolving the lookup row. This method does _not_ trigger a property change
   * event for the `value` property.
   */
  updateLookupRow() {
    this._setLookupRow(null); // reset cached lookup row
    this.setValue(this.value); // rebuild lookup row and update display text
  }
  setDisplayText(displayText) {
    super.setDisplayText(displayText);
    this._userWasTyping = false;
  }
  resetDisplayText() {
    let returned = this.formatValue(this.value);
    if (returned && jquery__WEBPACK_IMPORTED_MODULE_1___default().isFunction(returned.promise)) {
      // Promise is returned -> set display text later
      returned.done(this._setAndRenderDisplayText.bind(this)).fail(() => {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Could not resolve display text for value: ' + this.value);
      });
    } else {
      this._setAndRenderDisplayText(returned);
    }
  }
  /**
   * This method is very similar to setDisplayText(), but does _not_ check for equality with
   * the current value. The property is always set and (if the field is rendered) the given
   * display text is always rendered. This is important when resetting the display text,
   * because the visible text in the input field may differ from the "displayText" property
   * value. If setDisplayText() was used, the visible text would not always be reset.
   */
  _setAndRenderDisplayText(displayText) {
    this._setProperty('displayText', displayText);
    if (this.rendered) {
      this._renderDisplayText();
    }
  }
  _getValueFromLookupRow(lookupRow) {
    return lookupRow.key;
  }
  _setValue(value) {
    var _this$original$_curre;
    // set the cached lookup row to null. Keep in mind that the lookup row is set async in a timeout
    // most of the time. Thus, we must remove the reference to the old lookup row as early as possible
    if (!this._lockLookupRow) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
        // when value is set to null, we must also reset the cached lookup row
        this._setLookupRow(null);
      } else {
        // when a value is set, we only keep the cached lookup row when the key of the lookup row is equals to the value
        if (this._checkResetLookupRow(value)) {
          this._setLookupRow(null);
        }
      }
    }
    (_this$original$_curre = this.original()._currentLookupCall) === null || _this$original$_curre === void 0 || _this$original$_curre.abort();
    this.original()._currentLookupCall = null;
    super._setValue(value);
    this._notUnique = false;
  }
  /**
   * Sub-classes like the proposal field may override this function to implement a different behavior.
   */
  _checkResetLookupRow(value) {
    return this.lookupRow && this.lookupRow.key !== value;
  }
  /**
   * This function may be overridden to return another value than this.value.
   * For instance the proposal field doesn't use the value but the key from the
   * lookup row for comparison.
   *
   * @returns the value used to find the selected element in a proposal chooser.
   */
  getValueForSelection() {
    return this._showSelection() ? this.value : null;
  }
  _showSelection() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.value) || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.lookupRow)) {
      return false;
    }
    let text;
    if (this.rendered) {
      // check if text matches (deal with multi-line)
      text = this._readDisplayText();
      let additionalLines = this.additionalLines();
      if (additionalLines) {
        text = [text].concat(additionalLines).join('\n');
      }
    } else {
      text = this.displayText;
    }
    return text === this.lookupRow.text;
  }
  /**
   * override to ensure dropdown fields and touch mode smart fields does not have a clear icon.
   */
  isClearable() {
    return super.isClearable() && !this.isDropdown() && !this.touchMode;
  }
  _triggerLookupCallDone(result) {
    this.trigger('lookupCallDone', {
      result: result
    });
    return result;
  }
  _triggerAcceptInputFail() {
    this._triggerAcceptInput(false, true);
  }
  /** @internal */
  _triggerAcceptInput(acceptByLookupRow, failure) {
    this.trigger('acceptInput', {
      displayText: this.displayText,
      errorStatus: this.errorStatus,
      value: this.value,
      lookupRow: this.lookupRow,
      acceptByLookupRow: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(acceptByLookupRow, true),
      failure: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(failure, false)
    });
  }
  _triggerAcceptByText(searchText) {
    this.trigger('acceptByText', {
      searchText: searchText,
      errorStatus: this.errorStatus
    });
  }
  /**
   * Function invoked if being rendered within a cell-editor (mode='scout.FormField.Mode.CELLEDITOR'), and once the editor finished its rendering.
   */
  onCellEditorRendered(options) {
    if (options.openFieldPopup) {
      this._cellEditorPopup = options.cellEditorPopup;
      this.openPopup(!this.searchRequired);
    }
  }
  additionalLines() {
    let text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.displayText, ''),
      textLines = text.split('\n');
    if (textLines.length > 1) {
      textLines.shift();
      return textLines;
    }
    return null;
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.SimpleLoadingSupport({
      widget: this,
      loadingIndicatorDelay: 400 // ms
    });
  }
  _isInitialShowStatus() {
    if (this.touchMode && (this._pendingOpenPopup || this.isPopupOpen())) {
      // Do not display a tooltip if the touch popup is open, the tooltip will be displayed there
      return false;
    }
    return super._isInitialShowStatus();
  }
  /**
   * In touch mode, we must close the cell editor popup explicitly, because the touch-popup and its glasspane
   * prevents the cell editor popup from receiving mouse down events.
   */
  acceptInputFromField(otherField) {
    this._copyValuesFromField(otherField);
    if (this._cellEditorPopup) {
      // this will call acceptInput on the touch smart-field (== this)
      this._cellEditorPopup.completeEdit();
      this._cellEditorPopup = null;
    } else {
      this.acceptInput();
    }
  }
  /**
   * This function is overridden by ProposalField because it has a different behavior than the smart-field.
   */
  _copyValuesFromField(otherField) {
    if (this.lookupRow !== otherField.lookupRow) {
      this.setLookupRow(otherField.lookupRow);
    }
    this.setErrorStatus(otherField.errorStatus);
    this.setDisplayText(otherField.displayText);
  }
  _setNotUniqueError(searchText) {
    this.setErrorStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
      message: this.session.text('SmartFieldNotUnique', searchText),
      code: SmartField.ErrorCode.NOT_UNIQUE
    }));
  }
  _hasNotUniqueError() {
    return this._notUnique || this._hasUiError(SmartField.ErrorCode.NOT_UNIQUE);
  }
  _errorStatus() {
    return this.lookupStatus || this.errorStatus;
  }
  setLookupStatus(lookupStatus) {
    let changed = this.setProperty('lookupStatus', lookupStatus);
    if (changed && this.rendered) {
      this._renderErrorStatus();
    }
  }
  clearErrorStatus() {
    this.setErrorStatus(null);
    this._clearLookupStatus();
  }
  _clearLookupStatus() {
    this.setLookupStatus(null);
  }
  /**
   * Checks if there is a lookup status that needs to be set as error status
   * before we leave the smart-field. The lookup status is set to null, because
   * it is a temporary state that is only important while the user executes a lookup.
   */
  _flushLookupStatus() {
    if (!this.lookupStatus) {
      return;
    }
    if (this.lookupStatus.code === SmartField.ErrorCode.NO_RESULTS || this.lookupStatus.code === SmartField.ErrorCode.NOT_UNIQUE) {
      let errorStatus = this.lookupStatus.clone();
      errorStatus.severity = _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR;
      this.setErrorStatus(errorStatus);
    }
    this._clearLookupStatus();
  }
  requestInput() {
    if (this.enabledComputed && this.rendered) {
      this.focus();
      this.openPopup(!this.searchRequired);
    }
  }
}
_SmartField = SmartField;
_defineProperty(SmartField, "DisplayStyle", {
  DEFAULT: 'default',
  DROPDOWN: 'dropdown'
});
_defineProperty(SmartField, "ErrorCode", {
  NOT_UNIQUE: 1,
  NO_RESULTS: 2,
  NO_DATA: 3,
  SEARCH_REQUIRED: 4
});
_defineProperty(SmartField, "DEBOUNCE_DELAY", 200);
_defineProperty(SmartField, "DEFAULT_BROWSE_MAX_COUNT", 100);
_defineProperty(SmartField, "ActiveFilter", {
  UNDEFINED: 'UNDEFINED',
  FALSE: 'FALSE',
  TRUE: 'TRUE'
});
/**
 * @see "IContentAssistField#getActiveFilterLabels()" - should have the same order.
 */
_defineProperty(SmartField, "ACTIVE_FILTER_VALUES", [_SmartField.ActiveFilter.UNDEFINED, _SmartField.ActiveFilter.FALSE, _SmartField.ActiveFilter.TRUE]);

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldAdapter: () => (/* binding */ SmartFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SmartFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['activeFilter']);
    /**
     * Property lookup-row must be handled before value, since the smart-field has either a lookup-row
     * or a value but never both (when we only have a value, the smart-field must perform a lookup by key
     * in order to resolve the display name for that value).
     *
     * Intentionally don't re-use properties from super-classes.
     */
    this._orderedProperties = ['lookupRow', 'value', 'errorStatus', 'displayText'];
  }
  /** @internal */
  _postCreateWidget() {
    super._postCreateWidget();
    this.widget.lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupCall, this);
  }
  _syncResult(result) {
    let executedLookupCall = this.widget._currentLookupCall;
    if (!executedLookupCall && this.widget.touchMode && this.widget.popup && this.widget.popup._field) {
      // in case lookupCall is executed from within the popup (touch):
      executedLookupCall = this.widget.popup._field._currentLookupCall;
    }
    if (executedLookupCall) {
      executedLookupCall.resolveLookup(result);
    }
  }
  // When displayText comes from the server we must not call parseAndSetValue here.
  _syncDisplayText(displayText) {
    this.widget.setDisplayText(displayText);
  }
  _onWidgetEvent(event) {
    if (event.type === 'acceptByText') {
      this._onWidgetAcceptByText(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onWidgetAcceptByText(event) {
    this._sendProperty('errorStatus', event.errorStatus);
  }
  _onWidgetAcceptInput(event) {
    let eventData = {
      displayText: event.displayText,
      errorStatus: event.errorStatus
    };
    if (event.errorStatus) {
      // 'clear' case
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(event.displayText)) {
        eventData.value = null;
      }
    } else {
      eventData.value = event.value;
      if (event.acceptByLookupRow) {
        eventData.lookupRow = event.lookupRow;
      }
    }
    this._send('acceptInput', eventData, {
      showBusyIndicator: !event.whileTyping,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type && this.whileTyping === previous.whileTyping;
      }
    });
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldCancelKeyStroke.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldCancelKeyStroke.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldCancelKeyStroke: () => (/* binding */ SmartFieldCancelKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Closes the popup without accepting the proposal
 */
class SmartFieldCancelKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC];
    this.stopPropagation = true;
    this.preventInvokeAcceptInputOnActiveValueField = true;
    this.renderingHints.$drawingArea = function ($drawingArea, event) {
      return this.field.$fieldContainer;
    }.bind(this);
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.field.popup) {
      return false;
    }
    return true;
  }
  handle(event) {
    this.field.closePopup();
    this.field.resetDisplayText();
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldLayout.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldLayout.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldLayout: () => (/* binding */ SmartFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * SmartFieldLayout works like FormLayout but additionally layouts its proposal-chooser popup.
 */
class SmartFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(smartField) {
    super(smartField);
    _defineProperty(this, "_smartField", void 0);
    this._smartField = smartField;
  }
  layout($container) {
    super.layout($container);
    // when embedded smart-field layout must not validate the popup
    // since this would lead to an endless recursion because the smart-field
    // is a child of the popup.
    if (this._smartField.embedded) {
      return;
    }
    let popup = this._smartField.popup;
    if (popup && popup.rendered) {
      // Make sure the popup is correctly layouted and positioned
      popup.position();
      popup.validateLayout();
    }
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldModel.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldMultiline.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldMultiline.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldMultiline: () => (/* binding */ SmartFieldMultiline)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SmartFieldMultiline extends _index__WEBPACK_IMPORTED_MODULE_0__.SmartField {
  constructor() {
    super();
    _defineProperty(this, "_$multilineLines", void 0);
    this._$multilineLines = null;
  }
  _render() {
    let $input, htmlComp;
    this.addContainer(this.$parent, 'smart-field has-icon', new _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldLayout(this));
    this.addLabel();
    this.addFieldContainer(this.$parent.makeDiv('multiline'));
    htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$fieldContainer, this.session);
    htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldMultilineLayout(this));
    $input = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeInputOrDiv(this, 'multiline-input').on('mousedown', this._onFieldMouseDown.bind(this)).appendTo(this.$fieldContainer);
    if (!this.touchMode) {
      $input.keyup(this._onFieldKeyUp.bind(this)).keydown(this._onFieldKeyDown.bind(this)).on('input', this._onFieldInput.bind(this));
    }
    this.addField($input);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($input, 'combobox');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded($input, false);
    this._addScreenReaderStatus();
    this._$multilineLines = this.$fieldContainer.appendDiv('multiline-lines').on('click', this._onMultilineLinesClick.bind(this));
    if (!this.embedded) {
      this.addMandatoryIndicator();
    }
    this.addIcon();
    this.addStatus();
    this._addAriaFieldDescription();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._$multilineLines.setEnabled(this.enabledComputed);
  }
  /**
   * Sets the focus to the input field when user clicks on text lines, but only if nothing is selected.
   * Otherwise, it would be impossible for the user to select the text. That's why we cannot use the
   * mousedown event here too.
   */
  _onMultilineLinesClick(event) {
    if (this.enabledComputed) {
      let selection = this.$field.window(true).getSelection();
      if (!selection.toString()) {
        this.$field.focus();
      }
    }
  }
  _renderDisplayText() {
    super._renderDisplayText();
    let additionalLines = this.additionalLines();
    if (additionalLines) {
      this._$multilineLines.html(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.formatEncoded(additionalLines, '<br/>'));
    } else {
      this._$multilineLines.empty();
    }
  }
  _getInputBounds() {
    let fieldBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$fieldContainer),
      textFieldBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$field);
    fieldBounds.height = textFieldBounds.height;
    return fieldBounds;
  }
  _renderFocused() {
    super._renderFocused();
    this._$multilineLines.toggleClass('focused', this.focused);
  }
  _updateErrorStatusClasses(statusClass, hasStatus) {
    super._updateErrorStatusClasses(statusClass, hasStatus);
    this._updateErrorStatusClassesOnElement(this._$multilineLines, statusClass, hasStatus);
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldMultilineAdapter.ts":
/*!******************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldMultilineAdapter.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldMultilineAdapter: () => (/* binding */ SmartFieldMultilineAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SmartFieldMultilineAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldMultilineLayout.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldMultilineLayout.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldMultilineLayout: () => (/* binding */ SmartFieldMultilineLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This layout only layouts the INPUT and DIV part of the multi-line smart-field, not the entire form-field.
 */
class SmartFieldMultilineLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(smartField) {
    super();
    _defineProperty(this, "smartField", void 0);
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "rowHeight", void 0);
    this.smartField = smartField;
    this._initDefaults();
    this.htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this.htmlPropertyChangeHandler);
    this.smartField.one('remove', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this.htmlPropertyChangeHandler);
    });
  }
  _initDefaults() {
    this.rowHeight = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formRowHeight;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this.smartField.invalidateLayoutTree();
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      $input = $container.children('.multiline-input'),
      $lines = $container.children('.multiline-lines'),
      innerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    $input.cssHeight(this.rowHeight);
    $lines.cssHeight(innerSize.height - this.rowHeight);
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldPopup.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldPopup.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldPopup: () => (/* binding */ SmartFieldPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SmartFieldPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "field", void 0);
    _defineProperty(this, "lookupResult", void 0);
    _defineProperty(this, "smartField", void 0);
    _defineProperty(this, "proposalChooser", void 0);
    this.animateRemoval = SmartFieldPopup.hasPopupAnimation();
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
  }
  _init(options) {
    options.withFocusContext = false;
    super._init(options);
    this.smartField = this.parent;
    this.proposalChooser = this._createProposalChooser();
    this.proposalChooser.on('lookupRowSelected', this._triggerEvent.bind(this));
    this.proposalChooser.on('activeFilterSelected', this._triggerEvent.bind(this));
    this.smartField.on('remove', this._onRemoveSmartField.bind(this));
    this.setLookupResult(options.lookupResult);
    this.setStatus(options.status);
  }
  _createProposalChooser() {
    let objectType = this.smartField.browseHierarchy ? 'TreeProposalChooser' : 'TableProposalChooser';
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(objectType, {
      parent: this
    });
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldPopupLayout(this);
  }
  _render() {
    let cssClass = this.smartField.cssClassName() + '-popup';
    super._render();
    this.$container.addClass(cssClass).on('mousedown', this._onContainerMouseDown.bind(this));
    this.$container.toggleClass('alternative', this.smartField.fieldStyle === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.ALTERNATIVE);
    this.findDesktop().adjustOverlayOrder(this);
    this.proposalChooser.render();
  }
  setLookupResult(result) {
    this._setProperty('lookupResult', result);
    this.proposalChooser.setLookupResult(result);
  }
  /**
   * @returns the selected lookup row from the proposal chooser. If the row is disabled this function returns null.
   */
  getSelectedLookupRow() {
    let lookupRow = this.proposalChooser.getSelectedLookupRow();
    if (lookupRow && lookupRow.enabled) {
      return lookupRow;
    }
    return null;
  }
  setStatus(status) {
    this.proposalChooser.setStatus(status);
  }
  selectFirstLookupRow() {
    this.proposalChooser.selectFirstLookupRow();
  }
  selectLookupRow() {
    this.proposalChooser.triggerLookupRowSelected();
  }
  /**
   * Delegates the key event to the proposal chooser.
   */
  delegateKeyEvent(event) {
    event.originalEvent.smartFieldEvent = true;
    this.proposalChooser.delegateKeyEvent(event);
  }
  _triggerEvent(event) {
    this.trigger(event.type, event);
  }
  /**
   * This event handler is called before the mousedown handler on the _document_ is triggered
   * This allows us to prevent the default, which is important for the CellEditorPopup which
   * should stay open when the SmartField popup is closed. It also prevents the focus blur
   * event on the SmartField input-field.
   */
  _onContainerMouseDown(event) {
    // when user clicks on proposal popup with table or tree (prevent default,
    // so input-field does not lose the focus, popup will be closed by the
    // proposal chooser impl).
    return false;
  }
  // when smart-field is removed, also remove popup. Don't animate removal in that case
  _onRemoveSmartField(event) {
    this.animateRemoval = false;
    this.remove();
  }
  _isMouseDownOnAnchor(event) {
    let target = event.target;
    return this.field.$field.isOrHas(target) || this.field.$icon.isOrHas(target) || this.field.$clearIcon && this.field.$clearIcon.isOrHas(target);
  }
  /** @internal */
  _onAnimationEnd() {
    this.proposalChooser.updateScrollbars();
  }
  // --- static helpers --- //
  static hasPopupAnimation() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation();
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldPopupEventMap.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldPopupEventMap.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldPopupLayout.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldPopupLayout.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldPopupLayout: () => (/* binding */ SmartFieldPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * The popup layout is different from other layouts, since it can determine its own size
 * when the autoSize flag is set to true. Otherwise it uses the given size, like a regular
 * layout. The autoSize feature is used, when a child of the SmartFieldPopupLayout invalidates the
 * tree up to the popup. Since the popup is a validate root it must re-layout itself.
 * However: the size of the popup depends on the field it belongs to.
 *
 * The proposal-chooser DIV is not always present.
 */
class SmartFieldPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    _defineProperty(this, "animating", void 0);
    this.animating = false;
    this.doubleCalcPrefSize = false;
  }
  layout($container) {
    let size,
      popupSize,
      htmlProposalChooser = this._htmlProposalChooser();
    // skip layout while CSS animation is running (prefSize would not work while animation is running)
    if (this.animating) {
      this.popup.htmlComp.$comp.oneAnimationEnd(() => {
        this.popup.revalidateLayout();
      });
      return;
    }
    super.layout($container);
    popupSize = this.popup.htmlComp.size();
    size = popupSize.subtract(this.popup.htmlComp.insets());
    htmlProposalChooser.setSize(size);
    if (this.popup.htmlComp.layouted) {
      // Reposition because opening direction may have to be switched if popup gets bigger
      // Don't do it the first time (will be done by popup.open), only if the popup is already
      // open and gets layouted again
      this.popup.position();
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.SmartFieldPopup.hasPopupAnimation()) {
      // This code here is a bit complicated because:
      // 1. we must position the scrollTo position before we start the animation
      //    because it looks ugly, when we jump to the scroll position after the
      //    animation has ended
      // 2. we must first layout the popup with the table/tree correctly because
      //    revealSelection doesn't work when popup has not the right size or is
      //    not visible. That's why we must set the visibility to hidden.
      // 3. we wait for the layout validator until the popup layout is validated
      //    which means the scroll position is set correctly. Then we make the
      //    popup visible again and start the animation (which shrinks the popup
      //    to 1px height initially.
      this.animating = true;
      this.popup.htmlComp.$comp.css('visibility', 'hidden');
      this.popup.session.layoutValidator.schedulePostValidateFunction(() => {
        this.popup.htmlComp.$comp.css('visibility', '');
        this.popup.htmlComp.$comp.addClassForAnimation('animate-open');
        this.popup.htmlComp.$comp.oneAnimationEnd(() => {
          this.animating = false;
          this.popup._onAnimationEnd();
        });
      });
    }
  }
  preferredLayoutSize($container, options) {
    let prefSize,
      htmlProposalChooser = this._htmlProposalChooser(),
      fieldBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.popup.smartField.$field);
    if (htmlProposalChooser) {
      prefSize = htmlProposalChooser.prefSize(options);
      prefSize = prefSize.add(this.popup.htmlComp.insets());
    } else {
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(_index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formColumnWidth, _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formRowHeight * 2);
    }
    prefSize.width = Math.max(fieldBounds.width, prefSize.width);
    prefSize.height = Math.max(15, Math.min(350, prefSize.height)); // at least some pixels height in case there is no data, no status, no active filter
    if (prefSize.width > this._maxWindowSize()) {
      prefSize.width = this._maxWindowSize();
    }
    return prefSize;
  }
  _htmlProposalChooser() {
    let proposalChooser = this.popup.proposalChooser;
    if (!proposalChooser) {
      return null;
    }
    return proposalChooser.htmlComp;
  }
  _maxWindowSize() {
    return this.popup.$container.window().width() - 2 * this.popup.windowPaddingX;
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldPopupModel.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldPopupModel.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldTouchPopup.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldTouchPopup.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartFieldTouchPopup: () => (/* binding */ SmartFieldTouchPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Info: this class must have the same interface as SmartFieldPopup. That's why there's some
 * copy/pasted code here, because we don't have multi inheritance.
 */
class SmartFieldTouchPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.TouchPopup {
  constructor() {
    super();
    _defineProperty(this, "field", void 0);
    _defineProperty(this, "lookupResult", void 0);
    _defineProperty(this, "smartField", void 0);
    _defineProperty(this, "_initialFieldState", void 0);
    this._initialFieldState = null;
  }
  _init(options) {
    options.withFocusContext = false;
    options.smartField = options.parent; // alias for parent (required by proposal chooser)
    super._init(options);
    this._initialFieldState = this._getFieldState();
    this.setLookupResult(options.lookupResult);
    this.setStatus(options.status);
    this.one('close', this._beforeClosePopup.bind(this));
    this.smartField.on('propertyChange', this._onPropertyChange.bind(this));
    this.addCssClass('smart-field-touch-popup');
  }
  _initDelegatedEvents() {
    return ['prepareLookupCall', 'lookupCallDone'];
  }
  _initWidget(options) {
    this._widget = this._createProposalChooser();
    this._widget.on('lookupRowSelected', this._triggerEvent.bind(this));
    this._widget.on('activeFilterSelected', this._triggerEvent.bind(this));
  }
  _getFieldState() {
    const {
      value,
      displayText,
      errorStatus,
      lookupRow
    } = this._field;
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, {
      value,
      displayText,
      errorStatus,
      lookupRow
    });
  }
  _createProposalChooser() {
    let objectType = this.parent.browseHierarchy ? 'TreeProposalChooser' : 'TableProposalChooser';
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(objectType, {
      parent: this,
      touch: true,
      smartField: this._field
    });
  }
  _fieldOverrides() {
    let obj = super._fieldOverrides();
    // Make sure proposal chooser does not get cloned, because it would not work (e.g. because selectedRows may not be cloned)
    // It would also generate a loop because field would try to render the chooser and the popup
    // -> The original smart field has to control the chooser
    obj.proposalChooser = null;
    return obj;
  }
  _onMouseDownOutside() {
    this._acceptInput(); // see: #_beforeClosePopup()
  }
  /**
   * Delegates the key event to the proposal chooser.
   */
  delegateKeyEvent(event) {
    event.originalEvent.smartFieldEvent = true;
    this._widget.delegateKeyEvent(event);
  }
  getSelectedLookupRow() {
    return this._widget.getSelectedLookupRow();
  }
  _triggerEvent(event) {
    this.trigger(event.type, event);
  }
  setLookupResult(result) {
    this._widget.setLookupResult(result);
  }
  setStatus(status) {
    this._widget.setStatus(status);
  }
  clearLookupRows() {
    this._widget.clearLookupRows();
  }
  selectFirstLookupRow() {
    this._widget.selectFirstLookupRow();
  }
  selectLookupRow() {
    this._widget.triggerLookupRowSelected();
  }
  _onPropertyChange(event) {
    if ('lookupStatus' === event.propertyName) {
      this._field.setLookupStatus(event.newValue);
    }
  }
  _beforeClosePopup(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equalsRecursive(this._initialFieldState, this._getFieldState())) {
      return;
    }
    this.smartField.acceptInputFromField(this._field);
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldTouchPopupEventMap.ts":
/*!********************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldTouchPopupEventMap.ts ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/SmartFieldTouchPopupModel.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/smartfield/SmartFieldTouchPopupModel.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/smartfield/TableLayoutResetter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/smartfield/TableLayoutResetter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableLayoutResetter: () => (/* binding */ TableLayoutResetter)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This class is used to reset and restore styles in the DOM, so we can measure the preferred size of the table.
 */
class TableLayoutResetter {
  constructor(table) {
    _defineProperty(this, "cssSelector", void 0);
    _defineProperty(this, "_table", void 0);
    _defineProperty(this, "_fillerWidth", void 0);
    this._table = table;
    this._fillerWidth = null;
    this.cssSelector = '.table';
  }
  /**
   * Modifies the table in a way that the preferred width may be read.
   * Removes explicit widths on rows, cells, fillers and sets display to inline-block.
   */
  modifyDom() {
    this._table.$container.css('display', 'inline-block').css('width', 'auto').css('height', 'auto');
    this._table.$data.css('display', 'inline-block');
    this._modifyFiller(this._table.$fillBefore);
    this._modifyFiller(this._table.$fillAfter);
    this._modifyTableData(this._cssBackup);
  }
  restoreDom() {
    this._table.$container.css('display', 'block').css('width', '100%').css('height', '100%');
    this._table.$data.css('display', 'block');
    this._restoreFiller(this._table.$fillBefore);
    this._restoreFiller(this._table.$fillAfter);
    this._modifyTableData(this._cssRestore);
  }
  /**
   * Clears the given CSS property and stores the old value as data with prefix 'backup'
   * which is used to restore the CSS property later.
   */
  _cssBackup($element, property) {
    let oldValue = $element.css(property);
    $element.css(property, '').data('backup' + property, oldValue);
  }
  _cssRestore($element, property) {
    let dataProperty = 'backup' + property,
      oldValue = $element.data(dataProperty);
    $element.css(property, oldValue).removeData(dataProperty);
  }
  /**
   * Go through all rows and cells and call the given modifyFunc (backup/restore) on each element.
   */
  _modifyTableData(modifyFunc) {
    let that = this;
    this._table.$rows().each(function () {
      let $row = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      modifyFunc($row, 'width');
      that._table.$cellsForRow($row).each(function () {
        let $cell = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
        modifyFunc($cell, 'min-width');
        modifyFunc($cell, 'max-width');
      });
    });
  }
  _modifyFiller($filler) {
    if ($filler) {
      this._fillerWidth = $filler.css('width');
      $filler.css('width', '');
    }
  }
  _restoreFiller($filler) {
    if ($filler) {
      $filler.css('width', this._fillerWidth);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/TableProposalChooser.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/smartfield/TableProposalChooser.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableProposalChooser: () => (/* binding */ TableProposalChooser)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableProposalChooser extends _index__WEBPACK_IMPORTED_MODULE_0__.ProposalChooser {
  _createContent() {
    let headerVisible = false,
      columns = [],
      descriptors = this.smartField.columnDescriptors;
    if (descriptors) {
      descriptors.forEach(function (descriptor, index) {
        headerVisible = headerVisible || !!descriptor.text;
        columns.push(this._createColumnForDescriptor(descriptor));
      }, this);
    } else {
      columns.push(this._createColumn());
    }
    let table = this._createTable(columns, headerVisible);
    // this also renders smartfields with actual tables as list boxes, this seems to be fine
    table.accessibilityRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.ListBoxTableAccessibilityRenderer();
    table.on('rowClick', this._onRowClick.bind(this));
    table.on('rowsSelected', this._onRowsSelected.bind(this));
    return table;
  }
  _createLayoutResetter() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableLayoutResetter, this.content);
  }
  _createColumn() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Column, {
      session: this.session,
      width: _index__WEBPACK_IMPORTED_MODULE_0__.Column.NARROW_MIN_WIDTH,
      horizontalAlignment: this.smartField.gridData.horizontalAlignment
    });
  }
  _createColumnForDescriptor(descriptor) {
    let width = _index__WEBPACK_IMPORTED_MODULE_0__.Column.NARROW_MIN_WIDTH;
    if (descriptor.width && descriptor.width > 0) {
      // 0 = default
      width = descriptor.width;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.objectType, _index__WEBPACK_IMPORTED_MODULE_0__.Column), {
      session: this.session,
      text: descriptor.text,
      cssClass: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.cssClass, null),
      width: width,
      // needs to be passed here to make sure initialWidth is also set, if set using setWidth() autoResizeColumn won't work because initialWidth would still be NARROW_MIN_WIDTH
      autoOptimizeWidth: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.autoOptimizeWidth, false),
      fixedWidth: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.fixedWidth, false),
      fixedPosition: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.fixedPosition, false),
      horizontalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.horizontalAlignment, this.smartField.gridData.horizontalAlignment),
      visible: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.visible, true),
      htmlEnabled: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.htmlEnabled, false),
      headerIconId: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(descriptor.headerIconId, null)
    });
  }
  _createTable(columns, headerVisible) {
    const table = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Table, {
      parent: this,
      headerVisible: headerVisible,
      autoResizeColumns: true,
      multiSelect: false,
      multilineText: true,
      scrollToSelection: true,
      columns: columns,
      headerMenusEnabled: false,
      textFilterEnabled: false
    });
    table.selectionHandler.mouseMoveSelectionEnabled = false;
    return table;
  }
  _onRowClick(event) {
    let row = event.row;
    if (!row || !row.enabled) {
      return;
    }
    this.setBusy(true);
    this.triggerLookupRowSelected(row);
  }
  _postRender() {
    super._postRender();
    let row = this.content.selectedRow();
    this._renderSelectedRow(row);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.smartField.$field, 'grid');
  }
  _onRowsSelected(event) {
    let row = this.content.selectedRow();
    this._renderSelectedRow(row);
  }
  _renderSelectedRow(row) {
    if (row && row.$row) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.smartField.$field, row.$row);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeActiveDescendant(this.smartField.$field);
    }
  }
  selectedRow() {
    return this.content.selectedRow();
  }
  setLookupResult(result) {
    let tableRows = [],
      lookupRows = result.lookupRows,
      multipleColumns = !!this.smartField.columnDescriptors;
    this.content.deleteAllRows();
    lookupRows.forEach(lookupRow => {
      tableRows.push(this._createTableRow(lookupRow, multipleColumns));
    });
    this.content.insertRows(tableRows);
    this._selectProposal(result, tableRows);
  }
  trySelectCurrentValue() {
    let currentValue = this.smartField.getValueForSelection();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(currentValue)) {
      return;
    }
    let tableRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.content.rows, row => {
      return row.lookupRow.key === currentValue;
    });
    if (tableRow) {
      this.content.selectRow(tableRow);
    }
  }
  selectFirstLookupRow() {
    if (this.content.rows.length) {
      this.content.selectRow(this.content.rows[0]);
    }
  }
  clearSelection() {
    this.content.deselectAll();
  }
  clearLookupRows() {
    this.content.deleteAllRows();
  }
  /**
   * Creates a table-row for the given lookup-row.
   *
   * @returns table-row model
   */
  _createTableRow(lookupRow, multipleColumns) {
    let row = _index__WEBPACK_IMPORTED_MODULE_0__.lookupField.createTableRow(lookupRow, multipleColumns);
    if (multipleColumns) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(row.cells, this._transformTableRowData(lookupRow, lookupRow.additionalTableRowData));
    }
    return row;
  }
  _renderContent() {
    this.content.setVirtual(this.smartField.virtual());
    super._renderContent();
    this.content.$data.addClass('top-border-on-first-row');
  }
  getSelectedLookupRow() {
    let selectedRow = this.content.selectedRow();
    if (!selectedRow) {
      return null;
    }
    return selectedRow.lookupRow;
  }
  /**
   * Takes the TableRowData bean and the infos provided by the column descriptors to create an
   * array of additional values in the correct order, as defined by the descriptors.
   */
  _transformTableRowData(lookupRow, tableRowData) {
    let descriptors = this.smartField.columnDescriptors;
    let cells = [];
    descriptors.forEach(desc => {
      cells.push(_index__WEBPACK_IMPORTED_MODULE_0__.lookupField.createTableCell(lookupRow, desc, tableRowData));
    });
    return cells;
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/TreeLayoutResetter.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/smartfield/TreeLayoutResetter.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeLayoutResetter: () => (/* binding */ TreeLayoutResetter)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * This class is used to reset and restore styles in the DOM, so we can measure the preferred size of the tree.
 */
class TreeLayoutResetter {
  constructor(tree) {
    _defineProperty(this, "cssSelector", void 0);
    _defineProperty(this, "_tree", void 0);
    this._tree = tree;
    this.cssSelector = '.tree';
  }
  modifyDom() {
    this._ensureFirstLast();
    this._tree.$container.css('display', 'inline-block').css('width', 'auto').css('height', 'auto');
    this._tree.$data.css('display', 'inline-block');
  }
  restoreDom() {
    this._tree.$container.css('display', 'block').css('width', '100%').css('height', '100%');
    this._tree.$data.css('display', 'block');
  }
  _ensureFirstLast() {
    let $nodes = this._tree.$data.children('.tree-node').removeClass('first last');
    $nodes.first().addClass('first');
    $nodes.last().addClass('last');
  }
}

/***/ }),

/***/ "./src/form/fields/smartfield/TreeProposalChooser.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/smartfield/TreeProposalChooser.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeProposalChooser: () => (/* binding */ TreeProposalChooser)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeProposalChooser extends _index__WEBPACK_IMPORTED_MODULE_0__.ProposalChooser {
  _createContent() {
    let tree = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tree, {
      parent: this,
      requestFocusOnNodeControlMouseDown: false,
      scrollToSelection: true,
      textFilterEnabled: false
    });
    tree.on('nodeClick', this._onNodeClick.bind(this));
    tree.on('nodesSelected', this._onNodeSelected.bind(this));
    return tree;
  }
  _postRender() {
    super._postRender();
    let node = this.content.selectedNode();
    this._renderSelectedNode(node);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.smartField.$field, 'tree');
  }
  _onNodeSelected(event) {
    let node = this.content.selectedNode();
    this._renderSelectedNode(node);
  }
  _renderSelectedNode(node) {
    if (node && node.$node) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.smartField.$field, node.$node);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeActiveDescendant(this.smartField.$field);
    }
  }
  _createLayoutResetter() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TreeLayoutResetter, this.content);
  }
  _onNodeClick(event) {
    this.triggerLookupRowSelected(event.node);
  }
  selectedRow() {
    return this.content.selectedNode();
  }
  isBrowseLoadIncremental() {
    return this.smartField.browseLoadIncremental;
  }
  getSelectedLookupRow() {
    let selectedNode = this.content.selectedNode();
    if (!selectedNode) {
      return null;
    }
    return selectedNode.lookupRow;
  }
  selectFirstLookupRow() {
    if (this.content.nodes.length) {
      this.content.selectNode(this.content.nodes[0]);
    }
  }
  clearSelection() {
    this.content.deselectAll();
  }
  setLookupResult(result) {
    let treeNodes,
      treeNodesFlat,
      lookupRows = result.lookupRows,
      appendResult = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(result.appendResult, false);
    if (appendResult) {
      treeNodesFlat = this._lookupRowsToFlatList(lookupRows);
      treeNodes = this._flatListToSubTree(treeNodesFlat);
      if (treeNodes.length) {
        let parentNode = null;
        treeNodes.forEach(treeNode => {
          parentNode = this.content.nodesMap[treeNode.parentId];
          this._appendChildNode(parentNode, treeNode);
        });
        if (parentNode) {
          this.content.insertNodes(treeNodes, parentNode);
        }
      } else {
        // remove control icon, when no child nodes are available
        let node = this.content.nodesMap[this._createNodeId(result.rec)];
        node.leaf = true;
        node.childrenLoaded = true;
        this.content.updateNode(node);
      }
    } else {
      this.content.deleteAllChildNodes();
      treeNodesFlat = this._lookupRowsToFlatList(lookupRows);
      treeNodes = this._flatListToSubTree(treeNodesFlat);
      if (result.byText) {
        this._expandAllParentNodes(treeNodesFlat);
      }
      this.content.insertNodes(treeNodes);
    }
    this._selectProposal(result, treeNodesFlat);
  }
  _expandAllParentNodes(treeNodesFlat) {
    // when tree node is a leaf or children are not loaded yet
    let leafs = treeNodesFlat.reduce((aggr, treeNode) => {
      if (treeNode.leaf || !treeNode.childrenLoaded && treeNode.childNodes.length === 0) {
        aggr.push(treeNode);
      }
      return aggr;
    }, []);
    leafs.forEach(expandPath.bind(this));
    function expandPath(treeNode) {
      if (!treeNode.parentNode || treeNode.parentNode.expanded) {
        return;
      }
      treeNode = treeNode.parentNode;
      while (treeNode) {
        this.content.setNodeExpanded(treeNode, true);
        treeNode = treeNode.parentNode;
      }
    }
  }
  trySelectCurrentValue() {
    let currentValue = this.smartField.getValueForSelection();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(currentValue)) {
      return;
    }
    let allTreeNodes = _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this.content.nodesMap);
    let treeNode = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(allTreeNodes, node => {
      return node.lookupRow.key === currentValue;
    });
    if (treeNode) {
      this.content.selectNode(treeNode);
    }
  }
  _createTreeNode(lookupRow) {
    let initialLeaf = true,
      expandAll = this.smartField.browseAutoExpandAll,
      loadIncremental = this.isBrowseLoadIncremental();
    if (loadIncremental) {
      // when smartfield / lookup is configured as 'load incremental' it cannot expand all tree nodes
      // because then we'd load the whole tree anyway, which is not the idea of load incremental
      expandAll = false;
      // when smartfield / lookup is configured as 'load incremental' we don't know if a node has children
      // or not until we've made a lookup for that node. Thus, all nodes are initially leaf=false, so the UI
      // shows the expand icon.
      initialLeaf = false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ProposalTreeNode, {
      parent: this.content,
      proposalChooser: this,
      enabled: lookupRow.enabled,
      htmlEnabled: false,
      iconId: lookupRow.iconId,
      id: this._createNodeId(lookupRow.key),
      parentId: this._createNodeId(lookupRow.parentKey),
      expanded: expandAll,
      initialExpanded: expandAll,
      text: lookupRow.text,
      lookupRow: lookupRow,
      leaf: initialLeaf,
      tooltipText: lookupRow.tooltipText
    });
  }
  _createNodeId(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return value;
    }
    if (typeof value === 'string') {
      return value;
    }
    return JSON.stringify(value);
  }
  /**
   * This function is required in the 'accept input' case to find out
   * if we have exactly one lookup row that matches. With a tree this is a bit difficult
   * because the lookup call does not only return the lookup rows with a match, but also
   * their parent nodes up to the root node (which don't match).
   *
   * Note: because we only match nodes that have the property leaf set to true, it's not
   * possible to accept a node with accept input that is not a leaf.
   *
   * @returns the leafs in the current tree content.
   */
  findLeafs() {
    let leafs = [];
    _index__WEBPACK_IMPORTED_MODULE_0__.Tree.visitNodes((node, parentNode) => {
      if (node.leaf || !node.childNodes.length) {
        leafs.push(node);
      }
    }, this.content.nodes);
    return leafs;
  }
  /**
   * This function creates a list of flat tree nodes from a list of lookup rows.
   * Nodes with duplicate ids are filtered, only the first node with the same id is kept.
   */
  _lookupRowsToFlatList(lookupRows) {
    let nodeIds = new Set();
    return lookupRows.map(this._createTreeNode.bind(this)).filter(node => {
      return nodeIds.has(node.id) ? false : nodeIds.add(node.id);
    });
  }
  /**
   * This function creates a subtree from a list of flat tree nodes. It sets the parent/child references
   * between the nodes and returns the top-level nodes of the subtree. This subtree is not yet attached
   * to the real tree (= this.content).
   */
  _flatListToSubTree(treeNodesFlat) {
    // 1. put all nodes with the same parent in a map (key=parentId, value=[nodes])
    let nodesMap = {};
    treeNodesFlat.forEach(treeNode => {
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(treeNode.id)) {
        nodesMap[treeNode.id] = treeNode;
      }
    });
    let rootNodes = [];
    // 2. based on this map, set the childNodes references on the treeNodes
    treeNodesFlat.forEach(treeNode => {
      let parentNode = nodesMap[treeNode.parentId];
      if (parentNode === treeNode) {
        throw new Error('Cannot link a node to itself. Id: ' + treeNode.parentId);
      }
      if (parentNode) {
        this._appendChildNode(parentNode, treeNode);
      } else {
        treeNode.parentNode = null;
        rootNodes.push(treeNode);
      }
    });
    return rootNodes;
  }
  /**
   * This functions appends a tree node to a parent node and sets the required flags on the parent node.
   */
  _appendChildNode(parentNode, treeNode) {
    if (!parentNode.childNodes) {
      parentNode.childNodes = [];
    }
    treeNode.parentNode = parentNode;
    parentNode.childNodes.push(treeNode);
    parentNode.leaf = false;
    parentNode.childrenLoaded = true;
  }
  clearLookupRows() {
    this.content.deleteAllNodes();
  }
}

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBox.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/splitbox/SplitBox.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBox: () => (/* binding */ SplitBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
var _SplitBox;
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SplitBox extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField {
  constructor() {
    super();
    _defineProperty(this, "firstField", void 0);
    _defineProperty(this, "secondField", void 0);
    _defineProperty(this, "collapsibleField", void 0);
    _defineProperty(this, "fieldCollapsed", void 0);
    _defineProperty(this, "toggleCollapseKeyStroke", void 0);
    _defineProperty(this, "firstCollapseKeyStroke", void 0);
    _defineProperty(this, "secondCollapseKeyStroke", void 0);
    _defineProperty(this, "splitHorizontal", void 0);
    _defineProperty(this, "splitterEnabled", void 0);
    _defineProperty(this, "splitterPosition", void 0);
    _defineProperty(this, "minSplitterPosition", void 0);
    _defineProperty(this, "splitterPositionType", void 0);
    _defineProperty(this, "fieldMinimized", void 0);
    _defineProperty(this, "minimizeEnabled", void 0);
    _defineProperty(this, "htmlSplitArea", void 0);
    _defineProperty(this, "collapseHandle", void 0);
    _defineProperty(this, "_oldSplitterPositionType", void 0);
    _defineProperty(this, "_$splitArea", void 0);
    _defineProperty(this, "_$splitter", void 0);
    _defineProperty(this, "_$window", void 0);
    _defineProperty(this, "_$body", void 0);
    this._addWidgetProperties(['firstField', 'secondField', 'collapsibleField']);
    this._addPreserveOnPropertyChangeProperties(['collapsibleField']);
    this.firstField = null;
    this.secondField = null;
    this.collapsibleField = null;
    this.fieldCollapsed = false;
    this.toggleCollapseKeyStroke = null;
    this.firstCollapseKeyStroke = null;
    this.secondCollapseKeyStroke = null;
    this.splitHorizontal = true;
    this.splitterEnabled = true;
    this.splitterPosition = 0.5;
    this.minSplitterPosition = 0;
    this.splitterPositionType = SplitBox.SplitterPositionType.RELATIVE_FIRST;
    this.fieldMinimized = false;
    this.minimizeEnabled = true;
    this._$splitArea = null;
    this._$splitter = null;
  }
  _init(model) {
    super._init(model);
    this._setToggleCollapseKeyStroke(model.toggleCollapseKeyStroke);
    this._setFirstCollapseKeyStroke(model.firstCollapseKeyStroke);
    this._setSecondCollapseKeyStroke(model.secondCollapseKeyStroke);
    this._updateCollapseHandle();
    this._initResponsive();
  }
  /**
   * Set the group boxes of the split box to responsive if not set otherwise.
   */
  _initResponsive() {
    this.getFields().forEach(field => {
      if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox && field.responsive === null) {
        field.setResponsive(true);
      }
    });
  }
  _render() {
    this.addContainer(this.$parent, 'split-box');
    // This widget does not support label, mandatoryIndicator and status
    // Create split area
    this._$splitArea = this.$parent.makeDiv('split-area');
    this.addField(this._$splitArea);
    this.htmlSplitArea = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this._$splitArea, this.session);
    this.htmlSplitArea.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SplitBoxLayout(this));
    this._$window = this.$parent.window();
    this._$body = this.$parent.body();
    // Add fields and splitter
    if (this.firstField) {
      this.firstField.render(this._$splitArea);
      this.firstField.$container.addClass('first-field').addClass(this.splitHorizontal ? 'x-axis' : 'y-axis');
      this.firstField.on('propertyChange', onInnerFieldPropertyChange.bind(this));
      if (this.secondField) {
        this.secondField.render(this._$splitArea);
        this.secondField.$container.addClass('second-field').addClass(this.splitHorizontal ? 'x-axis' : 'y-axis');
        this.secondField.on('propertyChange', onInnerFieldPropertyChange.bind(this));
        this._$splitter = this._$splitArea.appendDiv('splitter').addClass(this.splitHorizontal ? 'x-axis' : 'y-axis').on('mousedown', resizeSplitter.bind(this));
      }
    }
    this._updateFieldVisibilityClasses();
    // --- Helper functions ---
    function resizeSplitter(event) {
      if (event.which !== 1) {
        return; // only handle left mouse button
      }
      let mousePosition, splitAreaPosition, splitAreaSize, splitterSize, splitterPosition, $tempSplitter;
      if (this.splitterEnabled) {
        // Update mouse position (see resizeMove() for details)
        mousePosition = {
          x: event.pageX,
          y: event.pageY
        };
        // Add listeners (we add them to the window to make sure we get the mouseup event even when the cursor it outside the window)
        this._$window.on('mousemove.splitbox', resizeMove.bind(this)).on('mouseup.splitbox', resizeEnd.bind(this));
        // Ensure the correct cursor is always shown while moving
        this._$body.addClass(this.splitHorizontal ? 'col-resize' : 'row-resize');
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').addClass('dragging-in-progress');
        // Get initial area and splitter bounds
        splitAreaPosition = this._$splitArea.offset();
        splitAreaSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this._$splitArea, true);
        splitterPosition = this._$splitter.offset();
        splitterSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this._$splitter, true);
        // Create temporary splitter
        $tempSplitter = this._$splitArea.appendDiv('temp-splitter').addClass(this.splitHorizontal ? 'x-axis' : 'y-axis');
        if (this.splitHorizontal) {
          // "|"
          $tempSplitter.cssLeft(splitterPosition.left - splitAreaPosition.left);
        } else {
          // "--"
          $tempSplitter.cssTop(splitterPosition.top - splitAreaPosition.top);
        }
        this._$splitter.addClass('dragging');
      }
      let newSplitterPosition = this.splitterPosition;
      let SNAP_SIZE = 10;
      function resizeMove(event) {
        if (event.pageX === mousePosition.x && event.pageY === mousePosition.y) {
          // Chrome bug: https://code.google.com/p/chromium/issues/detail?id=161464
          // When holding the mouse, but not moving it, a 'mousemove' event is fired every second nevertheless.
          return;
        }
        mousePosition = {
          x: event.pageX,
          y: event.pageY
        };
        if (this.splitHorizontal) {
          // "|"
          // Calculate target splitter position (in area)
          let targetSplitterPositionLeft = event.pageX - splitAreaPosition.left;
          // De-normalize minimum splitter position to allowed splitter range in pixel [minSplitterPositionLeft, maxSplitterPositionLeft]
          let minSplitterPositionLeft;
          let maxSplitterPositionLeft;
          // Splitter width plus margin on right side, if temporary splitter position is x, the splitter div position is x-splitterOffset
          let splitterOffset = Math.floor((splitterSize.width + _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldMandatoryIndicatorWidth) / 2);
          if (this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_FIRST) {
            minSplitterPositionLeft = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.minSplitterPosition, 0);
            // allow to move the splitter to right side, leaving minimal space for splitter div without right margin (=total splitter size minus offset)
            maxSplitterPositionLeft = splitAreaSize.width - splitterSize.width + splitterOffset;
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST) {
            minSplitterPositionLeft = (splitAreaSize.width - splitterSize.width) * _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.minSplitterPosition, 0);
            // allow to move the splitter to right side, leaving minimal space for splitter div without right margin (=total splitter size minus offset)
            maxSplitterPositionLeft = splitAreaSize.width - splitterSize.width + splitterOffset;
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_SECOND) {
            minSplitterPositionLeft = 0;
            // allow to move the splitter to right side, leaving minimal space for splitter div without right margin, reserving space for minimum splitter size
            maxSplitterPositionLeft = splitAreaSize.width - splitterSize.width + splitterOffset - _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.minSplitterPosition, 0);
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_SECOND) {
            minSplitterPositionLeft = 0;
            // allow to move the splitter to right side, leaving minimal space for splitter div without right margin, reserving space for minimum splitter size
            maxSplitterPositionLeft = splitAreaSize.width - splitterSize.width + splitterOffset - Math.floor(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.minSplitterPosition, 0) * (splitAreaSize.width - splitterSize.width));
          }
          // Snap to begin and end
          let tempSplitterOffsetX = splitterOffset;
          if (targetSplitterPositionLeft < minSplitterPositionLeft + splitterOffset + SNAP_SIZE) {
            // snap left if minimum position is reached (+ snap range)
            targetSplitterPositionLeft = minSplitterPositionLeft; // set splitter directly to left minimal bound
            tempSplitterOffsetX = 0; // setting splitter to left minimal bound, does not require an additional offset
          } else if (targetSplitterPositionLeft > maxSplitterPositionLeft - SNAP_SIZE) {
            targetSplitterPositionLeft = maxSplitterPositionLeft;
          }
          // Update temporary splitter
          $tempSplitter.cssLeft(targetSplitterPositionLeft - tempSplitterOffsetX);
          // Normalize target position (available splitter area is (splitAreaSize.width - splitterSize.width))
          newSplitterPosition = targetSplitterPositionLeft - tempSplitterOffsetX;
          if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST) {
            newSplitterPosition = newSplitterPosition / (splitAreaSize.width - splitterSize.width);
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_SECOND) {
            newSplitterPosition = 1 - newSplitterPosition / (splitAreaSize.width - splitterSize.width);
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_SECOND) {
            newSplitterPosition = splitAreaSize.width - splitterSize.width - newSplitterPosition;
          }
        } else {
          // "--"
          // Calculate target splitter position (in area)
          let targetSplitterPositionTop = event.pageY - splitAreaPosition.top;
          // Snap to begin and end
          let tempSplitterOffsetY = Math.floor(splitterSize.height / 2);
          if (targetSplitterPositionTop < SNAP_SIZE) {
            targetSplitterPositionTop = 0;
            tempSplitterOffsetY = 0;
          } else if (splitAreaSize.height - targetSplitterPositionTop < SNAP_SIZE) {
            targetSplitterPositionTop = splitAreaSize.height;
            tempSplitterOffsetY = splitterSize.height;
          }
          // Update temporary splitter
          $tempSplitter.cssTop(targetSplitterPositionTop - tempSplitterOffsetY);
          // Normalize target position
          newSplitterPosition = targetSplitterPositionTop - tempSplitterOffsetY;
          if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST) {
            newSplitterPosition = newSplitterPosition / (splitAreaSize.height - splitterSize.height);
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_SECOND) {
            newSplitterPosition = 1 - newSplitterPosition / (splitAreaSize.height - splitterSize.height);
          } else if (this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_SECOND) {
            newSplitterPosition = splitAreaSize.height - newSplitterPosition - splitterSize.height;
          }
        }
      }
      function resizeEnd(event) {
        if (event.which !== 1) {
          return; // only handle left mouse button
        }
        // Remove listeners and reset cursor
        this._$window.off('mousemove.splitbox').off('mouseup.splitbox');
        if ($tempSplitter) {
          // instead of check for this.splitterEnabled, if splitter is currently moving it must be finished correctly
          this._$body.removeClass(this.splitHorizontal ? 'col-resize' : 'row-resize');
          jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').removeClass('dragging-in-progress');
          // Remove temporary splitter
          $tempSplitter.remove();
          this._$splitter.removeClass('dragging');
          // Update split box
          this.newSplitterPosition(newSplitterPosition, true);
        }
      }
      return false;
    }
    function onInnerFieldPropertyChange(event) {
      if (event.propertyName === 'visible') {
        this._updateFieldVisibilityClasses();
        // Mark layout as invalid
        this.htmlSplitArea.invalidateLayoutTree(false);
      }
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSplitterPosition();
    this._renderSplitterEnabled();
    this._renderCollapsibleField(); // renders collapsibleField _and_ fieldCollapsed
    this._renderCollapseHandle(); // renders collapseHandle _and_ toggleCollapseKeyStroke _and_ firstCollapseKeyStroke _and_ secondCollapseKeyStroke
    this._renderFieldMinimized();
  }
  _remove() {
    this._$splitArea = null;
    this._$splitter = null;
    super._remove();
  }
  _setSplitterPosition(splitterPosition) {
    this._setProperty('splitterPosition', splitterPosition);
    // If splitter position is explicitly set by an event, no recalculation is necessary
    this._oldSplitterPositionType = null;
  }
  _renderSplitterPosition() {
    this.newSplitterPosition(this.splitterPosition, false); // do not update (override) field minimized if new position is set by model
  }
  _setSplitterPositionType(splitterPositionType) {
    if (this.rendered && !this._oldSplitterPositionType) {
      this._oldSplitterPositionType = this.splitterPositionType;
      // We need to recalculate the splitter position. Because this requires the proper
      // size of the split box, this can only be done in _renderSplitterPositionType().
    }
    this._setProperty('splitterPositionType', splitterPositionType);
  }
  _renderSplitterPositionType() {
    if (this._oldSplitterPositionType) {
      // splitterPositionType changed while the split box was rendered --> convert splitterPosition
      // to the target type such that the current position in screen does not change.
      let splitAreaSize = this.htmlSplitArea.size(),
        splitterPosition = this.splitterPosition,
        splitterSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this._$splitter, true),
        minSplitterPosition = this.minSplitterPosition,
        totalSize = 0;
      if (this.splitHorizontal) {
        // "|"
        totalSize = splitAreaSize.width - splitterSize.width;
      } else {
        // "--"
        totalSize = splitAreaSize.height - splitterSize.height;
      }
      // Convert value depending on the old and new type system
      let oldIsRelative = this._isSplitterPositionTypeRelative(this._oldSplitterPositionType);
      let newIsRelative = this._isSplitterPositionTypeRelative(this.splitterPositionType);
      let oldIsAbsolute = !oldIsRelative;
      let newIsAbsolute = !newIsRelative;
      if (oldIsRelative && newIsAbsolute) {
        // From relative to absolute
        if (this._oldSplitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST && this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_SECOND || this._oldSplitterPositionType === SplitBox.SplitterPositionType.RELATIVE_SECOND && this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_FIRST) {
          splitterPosition = totalSize - totalSize * splitterPosition; // changed from first to second field or from second to first field, invert splitter position
        } else {
          splitterPosition = totalSize * splitterPosition;
        }
        // convert minimum splitter position
        if (minSplitterPosition) {
          minSplitterPosition = totalSize * minSplitterPosition;
        }
      } else if (oldIsAbsolute && newIsRelative) {
        // From absolute to relative
        if (this._oldSplitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_FIRST && this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_SECOND || this._oldSplitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_SECOND && this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST) {
          splitterPosition = (totalSize - splitterPosition) / totalSize; // changed from first to second field or from second to first field, invert splitter position
        } else {
          splitterPosition = splitterPosition / totalSize;
        }
        // convert minimum splitter position
        if (minSplitterPosition) {
          minSplitterPosition = minSplitterPosition / totalSize;
        }
      } else if (oldIsAbsolute && newIsAbsolute) {
        splitterPosition = totalSize - splitterPosition;
        // do not convert minimum splitter position, unit did not change
      } else {
        // oldIsRelative && newIsRelative
        splitterPosition = 1 - splitterPosition;
        // do not convert minimum splitter position, unit did not change
      }
      // set new minimum splitter position
      this.setMinSplitterPosition(minSplitterPosition);
      // Set as new splitter position
      this._oldSplitterPositionType = null;
      this.newSplitterPosition(splitterPosition, true);
    }
  }
  _isSplitterPositionTypeRelative(positionType) {
    return positionType === SplitBox.SplitterPositionType.RELATIVE_FIRST || positionType === SplitBox.SplitterPositionType.RELATIVE_SECOND;
  }
  _renderSplitterEnabled() {
    if (this._$splitter) {
      this._$splitter.setEnabled(this.splitterEnabled);
    }
  }
  setFieldCollapsed(collapsed) {
    this.setProperty('fieldCollapsed', collapsed);
    this._updateCollapseHandleButtons();
  }
  _renderFieldCollapsed() {
    this._renderCollapsibleField();
  }
  setCollapsibleField(field) {
    this.setProperty('collapsibleField', field);
    this._updateCollapseHandle();
  }
  _updateCollapseHandle() {
    // always unregister key stroke first (although it may have been added by _setToggleCollapseKeyStroke before)
    if (this.toggleCollapseKeyStroke) {
      this.unregisterKeyStrokes(this.toggleCollapseKeyStroke);
    }
    if (this.firstCollapseKeyStroke) {
      this.unregisterKeyStrokes(this.firstCollapseKeyStroke);
    }
    if (this.secondCollapseKeyStroke) {
      this.unregisterKeyStrokes(this.secondCollapseKeyStroke);
    }
    if (this.collapsibleField) {
      let horizontalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.CollapseHandle.HorizontalAlignment.LEFT;
      if (this.collapsibleField !== this.firstField) {
        horizontalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.CollapseHandle.HorizontalAlignment.RIGHT;
      }
      if (!this.collapseHandle) {
        // create new collapse handle
        this.collapseHandle = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CollapseHandle, {
          parent: this,
          horizontalAlignment: horizontalAlignment
        });
        this.collapseHandle.on('action', this.collapseHandleButtonPressed.bind(this));
        if (this.toggleCollapseKeyStroke) {
          this.registerKeyStrokes(this.toggleCollapseKeyStroke);
        }
        if (this.firstCollapseKeyStroke) {
          this.registerKeyStrokes(this.firstCollapseKeyStroke);
        }
        if (this.secondCollapseKeyStroke) {
          this.registerKeyStrokes(this.secondCollapseKeyStroke);
        }
        if (this.rendered) {
          this._renderCollapseHandle();
        }
      } else {
        // update existing collapse handle
        this.collapseHandle.setHorizontalAlignment(horizontalAlignment);
      }
      this._updateCollapseHandleButtons();
    } else {
      if (this.collapseHandle) {
        this.collapseHandle.destroy();
        this.collapseHandle = null;
      }
    }
  }
  _updateCollapseHandleButtons() {
    if (!this.collapseHandle) {
      return;
    }
    let leftVisible,
      rightVisible,
      collapsed = this.fieldCollapsed,
      minimized = this.fieldMinimized,
      minimizable = this._isMinimizable(),
      positionTypeFirstField = this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST || this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_FIRST,
      positionNotAccordingCollapsibleField = positionTypeFirstField && this.collapsibleField === this.secondField || !positionTypeFirstField && this.collapsibleField === this.firstField;
    if (positionTypeFirstField) {
      if (positionNotAccordingCollapsibleField) {
        leftVisible = !minimized && minimizable || collapsed; // left = decrease collapsible field size. Decrease field in this order [minimized <- default <- collapsed]
        rightVisible = !collapsed; // right = increase collapsible field size. Increase field in this order [minimized -> default -> collapsed]
      } else {
        leftVisible = !collapsed; // left = increase collapsible field size. Increase field in this order [default <- minimized <- collapsed]
        rightVisible = collapsed || minimized && minimizable; // right = decrease collapsible field size. Decrease field in this order [default -> minimized -> collapsed]
      }
    } else {
      if (positionNotAccordingCollapsibleField) {
        leftVisible = !collapsed; // left = decrease collapsible field size. Decrease field in this order [collapsed <- default <- minimized]
        rightVisible = !minimized && minimizable || collapsed; // right = increase collapsible field size. Increase field in this order [collapsed -> default -> minimized]
      } else {
        leftVisible = collapsed || minimized && minimizable; // left = decrease collapsible field size. Decrease field in this order [collapsed <- minimized <- default]
        rightVisible = !collapsed; // right = increase collapsible field size. Increase field in this order [collapsed -> minimized -> default]
      }
    }
    this.collapseHandle.setLeftVisible(leftVisible);
    this.collapseHandle.setRightVisible(rightVisible);
    // update allowed keystrokes
    if (this.firstCollapseKeyStroke) {
      if (leftVisible) {
        this.registerKeyStrokes(this.firstCollapseKeyStroke);
      } else {
        this.unregisterKeyStrokes(this.firstCollapseKeyStroke);
      }
    }
    if (this.secondCollapseKeyStroke) {
      if (rightVisible) {
        this.registerKeyStrokes(this.secondCollapseKeyStroke);
      } else {
        this.unregisterKeyStrokes(this.secondCollapseKeyStroke);
      }
    }
  }
  getEffectiveSplitterPosition() {
    if (this._isMinimizable() && this.fieldMinimized) {
      return this.minSplitterPosition;
    }
    return this.splitterPosition;
  }
  setMinSplitterPosition(minSplitterPosition) {
    this.setProperty('minSplitterPosition', minSplitterPosition);
    this._updateCollapseHandleButtons();
  }
  _renderMinSplitterPosition() {
    // minimum splitter position is considered automatically when layout is updated
    if (this.rendered) {
      // don't invalidate layout on initial rendering
      this.htmlSplitArea.invalidateLayoutTree(false);
    }
  }
  setFieldMinimized(minimized) {
    this.setProperty('fieldMinimized', minimized);
    this._updateCollapseHandleButtons();
  }
  _renderFieldMinimized() {
    this.$container.removeClass('first-field-minimized second-field-minimized');
    if (this.firstField) {
      this.firstField.$container.removeClass('minimized');
    }
    if (this.secondField) {
      this.secondField.$container.removeClass('minimized');
    }
    if (this.collapsibleField && this.fieldMinimized) {
      this.collapsibleField.$container.addClass('minimized');
      this.$container.toggleClass('first-field-minimized', this.firstField === this.collapsibleField);
      this.$container.toggleClass('second-field-minimized', this.secondField === this.collapsibleField);
    }
    // field minimized state is considered automatically when layout is updated
    if (this.rendered) {
      // don't invalidate layout on initial rendering
      this.htmlSplitArea.invalidateLayoutTree(false);
    }
  }
  setMinimizeEnabled(enabled) {
    this.setProperty('minimizeEnabled', enabled);
    if (this._isMinimizable() && this._isSplitterPositionInMinimalRange(this.splitterPosition)) {
      this.setFieldMinimized(true);
    }
    this._updateCollapseHandleButtons();
  }
  _renderMinimizeEnabled() {
    // minimize enabled is considered automatically when layout is updated
    if (this.rendered) {
      // don't invalidate layout on initial rendering
      this.htmlSplitArea.invalidateLayoutTree(false);
    }
  }
  _isMinimizable() {
    return !!this.minSplitterPosition && this.minimizeEnabled;
  }
  _renderCollapsibleField() {
    this.$container.removeClass('first-field-collapsed second-field-collapsed');
    if (this.firstField) {
      this.firstField.$container.removeClass('collapsed');
    }
    if (this.secondField) {
      this.secondField.$container.removeClass('collapsed');
    }
    if (this.collapsibleField && this.fieldCollapsed) {
      this.collapsibleField.$container.addClass('collapsed');
      this.$container.toggleClass('first-field-collapsed', this.firstField === this.collapsibleField);
      this.$container.toggleClass('second-field-collapsed', this.secondField === this.collapsibleField);
    }
    if (this.rendered) {
      // don't invalidate layout on initial rendering
      this.htmlSplitArea.invalidateLayoutTree(false);
    }
  }
  _setToggleCollapseKeyStroke(keyStroke) {
    if (keyStroke) {
      if (this.toggleCollapseKeyStroke instanceof _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke) {
        this.unregisterKeyStrokes(this.toggleCollapseKeyStroke);
      }
      this.toggleCollapseKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.SplitBoxCollapseKeyStroke(this, keyStroke);
      if (this.collapseHandle) {
        this.registerKeyStrokes(this.toggleCollapseKeyStroke);
      }
    }
  }
  _setFirstCollapseKeyStroke(keyStroke) {
    if (keyStroke) {
      if (this.firstCollapseKeyStroke instanceof _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke) {
        this.unregisterKeyStrokes(this.firstCollapseKeyStroke);
      }
      this.firstCollapseKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.SplitBoxFirstCollapseKeyStroke(this, keyStroke);
      if (this.collapseHandle) {
        this.registerKeyStrokes(this.firstCollapseKeyStroke);
      }
    }
  }
  _setSecondCollapseKeyStroke(keyStroke) {
    if (keyStroke) {
      if (this.secondCollapseKeyStroke instanceof _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke) {
        this.unregisterKeyStrokes(this.secondCollapseKeyStroke);
      }
      this.secondCollapseKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.SplitBoxSecondCollapseKeyStroke(this, keyStroke);
      if (this.collapseHandle) {
        this.registerKeyStrokes(this.secondCollapseKeyStroke);
      }
    }
  }
  _renderCollapseHandle() {
    if (this.collapseHandle) {
      this.collapseHandle.render();
    }
  }
  newSplitterPosition(newSplitterPosition, updateFieldMinimizedState) {
    if (this._isSplitterPositionTypeRelative(this.splitterPositionType)) {
      // Ensure range 0..1
      newSplitterPosition = Math.max(0, Math.min(1, newSplitterPosition));
    } else {
      // Ensure not negative
      newSplitterPosition = Math.max(0, newSplitterPosition);
    }
    // Ensure splitter within allowed range, toggle field minimized state if new splitter position is within minimal range
    if (this._isMinimizable() && this._isSplitterPositionInMinimalRange(newSplitterPosition)) {
      this.setFieldMinimized(true);
      return;
    }
    // Set new value (send to server if changed
    let positionChanged = this.splitterPosition !== newSplitterPosition;
    this.splitterPosition = newSplitterPosition;
    if (positionChanged) {
      this.trigger('positionChange', {
        position: newSplitterPosition
      });
      if (updateFieldMinimizedState) {
        this._updateFieldMinimized();
      }
    }
    this._updateCollapseHandleButtons();
    // Mark layout as invalid
    this.htmlSplitArea.invalidateLayoutTree(false);
  }
  _updateFieldMinimized() {
    if (this._isMinimizable()) {
      this.setFieldMinimized(this._isSplitterPositionInMinimalRange(this.splitterPosition));
    } else {
      this.setFieldMinimized(false);
    }
  }
  _isSplitterPositionInMinimalRange(newSplitterPosition) {
    if (!this._isMinimizable()) {
      return false;
    }
    return newSplitterPosition <= this.minSplitterPosition;
  }
  toggleFieldCollapsed() {
    this.setFieldCollapsed(!this.fieldCollapsed);
  }
  collapseHandleButtonPressed(event /* CollapseHandleActionEvent */) {
    let collapsed = this.fieldCollapsed,
      minimized = this.fieldMinimized,
      minimizable = this._isMinimizable(),
      positionTypeFirstField = this.splitterPositionType === SplitBox.SplitterPositionType.RELATIVE_FIRST || this.splitterPositionType === SplitBox.SplitterPositionType.ABSOLUTE_FIRST,
      increaseField = !!event.left && !positionTypeFirstField || !!event.right && positionTypeFirstField;
    if (positionTypeFirstField && this.collapsibleField === this.secondField || !positionTypeFirstField && this.collapsibleField === this.firstField) {
      // Splitter is not positioned according (absolute or relative) to collapsible field
      // - Mode toggles to increase collapsible field size: field collapsed --> field default --> field minimized
      // - Mode toggles to decrease collapsible field size: field collapsed <-- field default <-- field minimized
      if (increaseField) {
        if (collapsed) {
          // not possible, button is not visible (field is collapsed and cannot further increase its size)
        } else if (minimized && minimizable) {
          this.setFieldMinimized(false);
        } else {
          this.setFieldCollapsed(true);
        }
      } else {
        if (collapsed) {
          this.setFieldCollapsed(false);
        } else if (minimized) {
          // not possible, button is not visible (field is minimized and cannot further decrease its size)
        } else if (minimizable) {
          this.setFieldMinimized(true);
        }
      }
    } else {
      // Splitter is positioned according (absolute or relative) to collapsible field
      // - Mode toggles to increase collapsible field size: field collapsed --> field minimized --> field default
      // - Mode toggles to decrease collapsible field size: field collapsed <-- field minimized <-- field default
      if (increaseField) {
        if (collapsed) {
          this.setFieldCollapsed(false);
        } else if (minimized) {
          this.setFieldMinimized(false);
        } else {
          // not possible, button is not visible (field has default size and cannot further increase its size)
        }
      } else {
        if (collapsed) {
          // not possible, button is not visible (field is collapsed and cannot further decrease its size)
        } else if (minimized || !minimizable) {
          this.setFieldCollapsed(true);
        } else {
          this.setFieldMinimized(true);
        }
      }
    }
  }
  getFields() {
    let fields = [];
    if (this.firstField) {
      fields.push(this.firstField);
    }
    if (this.secondField) {
      fields.push(this.secondField);
    }
    return fields;
  }
  _updateFieldVisibilityClasses() {
    if (!this.rendered && !this.rendering) {
      return;
    }
    let hasFirstField = this.firstField && this.firstField.visible;
    let hasSecondField = this.secondField && this.secondField.visible;
    let hasTwoFields = hasFirstField && hasSecondField;
    let hasOneField = !hasTwoFields && (hasFirstField || hasSecondField);
    // Mark container if only one field is visible (i.e. there is no splitter)
    this.$container.toggleClass('single-field', hasOneField);
  }
}
_SplitBox = SplitBox;
_defineProperty(SplitBox, "SplitterPositionType", {
  RELATIVE_FIRST: 'relativeFirst',
  RELATIVE_SECOND: 'relativeSecond',
  ABSOLUTE_FIRST: 'absoluteFirst',
  ABSOLUTE_SECOND: 'absoluteSecond'
});
/** @deprecated use SplitBox.SplitterPositionType instead */
_defineProperty(SplitBox, "SPLITTER_POSITION_TYPE_RELATIVE_FIRST", _SplitBox.SplitterPositionType.RELATIVE_FIRST);
/** @deprecated use SplitBox.SplitterPositionType instead */
_defineProperty(SplitBox, "SPLITTER_POSITION_TYPE_RELATIVE_SECOND", _SplitBox.SplitterPositionType.RELATIVE_SECOND);
/** @deprecated use SplitBox.SplitterPositionType instead */
_defineProperty(SplitBox, "SPLITTER_POSITION_TYPE_ABSOLUTE_FIRST", _SplitBox.SplitterPositionType.ABSOLUTE_FIRST);
/** @deprecated use SplitBox.SplitterPositionType instead */
_defineProperty(SplitBox, "SPLITTER_POSITION_TYPE_ABSOLUTE_SECOND", _SplitBox.SplitterPositionType.ABSOLUTE_SECOND);

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBoxAdapter: () => (/* binding */ SplitBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SplitBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['collapsibleField', 'fieldCollapsed', 'minSplitterPosition', 'fieldMinimized']);
  }
  _onWidgetPositionChange(event) {
    this._send('setSplitterPosition', {
      splitterPosition: event.position
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'positionChange') {
      this._onWidgetPositionChange(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxCollapseKeyStroke.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxCollapseKeyStroke.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBoxCollapseKeyStroke: () => (/* binding */ SplitBoxCollapseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SplitBoxCollapseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(splitBox, keyStroke) {
    super();
    this.field = splitBox;
    this.parseAndSetKeyStroke(keyStroke);
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.toggleFieldCollapsed();
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    let $collapseHandle = this.field.collapseHandle.$container;
    $keyBox.addClass('split-box-collapse-key-box');
    let handleOffset = $collapseHandle.offsetTo(this.field.$container);
    $keyBox.cssLeft(handleOffset.left - $keyBox.outerWidth()).cssTop(handleOffset.top);
  }
}

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxEventMap.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxFirstCollapseKeyStroke.ts":
/*!********************************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxFirstCollapseKeyStroke.ts ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBoxFirstCollapseKeyStroke: () => (/* binding */ SplitBoxFirstCollapseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SplitBoxFirstCollapseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(splitBox, keyStroke) {
    super();
    this.field = splitBox;
    this.parseAndSetKeyStroke(keyStroke);
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.collapseHandleButtonPressed({
      left: true
    });
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    let $collapseHandle = this.field.collapseHandle.$container;
    $keyBox.addClass('split-box-collapse-key-box left');
    let handleOffset = $collapseHandle.offsetTo(this.field.$container);
    $keyBox.cssLeft(handleOffset.left - $keyBox.outerWidth()).cssTop(handleOffset.top);
  }
}

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxLayout.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxLayout.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBoxLayout: () => (/* binding */ SplitBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SplitBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(splitBox) {
    super();
    _defineProperty(this, "splitBox", void 0);
    this.splitBox = splitBox;
  }
  layout($container) {
    // Extract components
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      // = split-area
      $splitter = $container.children('.splitter'),
      $fields = $container.children('.form-field'),
      htmlFirstField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($fields.eq(0)),
      htmlSecondField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($fields.eq(1)),
      // Calculate available size for split area
      splitXAxis = this.splitBox.splitHorizontal;
    $splitter.removeClass('hidden');
    let firstFieldBounds,
      availableSize = htmlContainer.availableSize().subtract(htmlContainer.insets()),
      hasFirstField = htmlFirstField && htmlFirstField.isVisible(),
      hasSecondField = htmlSecondField && htmlSecondField.isVisible(),
      hasTwoFields = hasFirstField && hasSecondField,
      hasOneField = !hasTwoFields && (hasFirstField || hasSecondField),
      splitterPosition = this.splitBox.getEffectiveSplitterPosition();
    // remove splitter size from available with, only when both fields are visible
    // otherwise the splitter is invisible and requires no space.
    let availableSizeForFields = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(availableSize);
    if (hasTwoFields) {
      if (splitXAxis) {
        // "|"
        availableSizeForFields.width -= htmlFirstField.margins().right;
      } else {
        // "--"
        availableSizeForFields.height -= htmlFirstField.margins().bottom;
      }
    }
    // Default case: two fields
    if (hasTwoFields) {
      // Distribute available size to the two fields according to the splitter position ratio
      let firstFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(availableSizeForFields);
      let secondFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(availableSizeForFields);
      this.computeInnerFieldsDimensions(splitXAxis, firstFieldSize, secondFieldSize, splitterPosition);
      // Calculate and set bounds (splitter and second field have to be moved)
      firstFieldBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, 0, firstFieldSize.width, firstFieldSize.height);
      let secondFieldBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, 0, secondFieldSize.width, secondFieldSize.height);
      if (splitXAxis) {
        // "|"
        $splitter.cssLeft(firstFieldBounds.width);
        secondFieldBounds.x = firstFieldBounds.width + htmlFirstField.margins().right;
      } else {
        // "--"
        $splitter.cssTop(firstFieldBounds.height);
        secondFieldBounds.y = firstFieldBounds.height + htmlFirstField.margins().bottom;
      }
      htmlFirstField.setBounds(firstFieldBounds);
      htmlSecondField.setBounds(secondFieldBounds);
    } else {
      // Special case: only one field (or none at all)
      if (hasOneField) {
        let singleField = hasFirstField ? htmlFirstField : htmlSecondField,
          singleFieldSize = availableSize.subtract(singleField.margins());
        singleField.setBounds(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, 0, singleFieldSize.width, singleFieldSize.height));
      }
      $splitter.addClass('hidden');
    }
    // Calculate collapse button position
    let collapseHandle = this.splitBox.collapseHandle;
    if (collapseHandle) {
      let $collapseHandle = collapseHandle.$container;
      // Show collapse handle, if split box has two fields which are visible (one field may be collapsed)
      let collapseHandleVisible = this.splitBox.firstField && this.splitBox.firstField.visible && this.splitBox.secondField && this.splitBox.secondField.visible;
      $collapseHandle.setVisible(collapseHandleVisible);
      let x = null;
      if (hasTwoFields) {
        // - if 1st field is collapsible -> align button on the right side of the field (there is not enough space on the left side)
        // - if 2nd field is collapsible -> button is always aligned on the right side using CSS
        if (this.splitBox.collapsibleField === this.splitBox.firstField) {
          let collapseHandleSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($collapseHandle);
          x = firstFieldBounds.width - collapseHandleSize.width;
        }
      }
      $collapseHandle.cssLeft(x);
    }
  }
  preferredLayoutSize($container, options) {
    // Extract components
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      // = split-area
      $fields = $container.children('.form-field'),
      htmlFirstField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($fields.eq(0)),
      htmlSecondField = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($fields.eq(1));
    let splitXAxis = this.splitBox.splitHorizontal;
    let splitterPosition = this.splitBox.getEffectiveSplitterPosition();
    // compute width hints
    let firstFieldOptions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    let secondFieldOptions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    if (options.widthHint) {
      let firstFieldSizeHint = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(options.widthHint, 0);
      let secondFieldSizeHint = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(options.widthHint, 0);
      this.computeInnerFieldsDimensions(splitXAxis, firstFieldSizeHint, secondFieldSizeHint, splitterPosition);
      firstFieldOptions.widthHint = firstFieldSizeHint.width;
      secondFieldOptions.widthHint = secondFieldSizeHint.width;
    }
    // Get preferred size of fields
    let firstFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    if (htmlFirstField) {
      firstFieldSize = htmlFirstField.prefSize(firstFieldOptions).add(htmlFirstField.margins());
    }
    let secondFieldSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    if (htmlSecondField) {
      secondFieldSize = htmlSecondField.prefSize(secondFieldOptions).add(htmlSecondField.margins());
    }
    // Calculate prefSize
    let prefSize;
    if (splitXAxis) {
      // "|"
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(firstFieldSize.width + secondFieldSize.width, Math.max(firstFieldSize.height, secondFieldSize.height));
    } else {
      // "--"
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(firstFieldSize.width, secondFieldSize.width), firstFieldSize.height + secondFieldSize.height);
    }
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
  /**
   * Distributes the available size according to the split axis and the splitter position
   *
   * @param splitXAxis truthy if the splitter splits vertical |, falsy if the splitter splits horizontal --
   * @param firstFieldSize initialize with the total available space. Will be adjusted to the available size of the first field.
   * @param secondFieldSize initialize with the total available space. Will be adjusted to the available size of the second field.
   * @param splitterPosition effective splitter position
   */
  computeInnerFieldsDimensions(splitXAxis, firstFieldSize, secondFieldSize, splitterPosition) {
    if (splitXAxis) {
      // "|"
      if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.RELATIVE_FIRST) {
        // Relative first
        firstFieldSize.width = Math.floor(firstFieldSize.width * splitterPosition);
        secondFieldSize.width -= firstFieldSize.width;
      } else if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.RELATIVE_SECOND) {
        // Relative second
        secondFieldSize.width = Math.floor(secondFieldSize.width * splitterPosition);
        firstFieldSize.width -= secondFieldSize.width;
      } else {
        // Absolute
        splitterPosition = Math.min(splitterPosition, firstFieldSize.width);
        if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.ABSOLUTE_SECOND) {
          firstFieldSize.width = firstFieldSize.width - splitterPosition;
          secondFieldSize.width = splitterPosition;
        } else {
          firstFieldSize.width = splitterPosition;
          secondFieldSize.width = secondFieldSize.width - splitterPosition;
        }
      }
    } else {
      // "--"
      if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.RELATIVE_FIRST) {
        // Relative first
        firstFieldSize.height = Math.floor(firstFieldSize.height * splitterPosition);
        secondFieldSize.height -= firstFieldSize.height;
      } else if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.RELATIVE_SECOND) {
        // Relative second
        secondFieldSize.height = Math.floor(secondFieldSize.height * splitterPosition);
        firstFieldSize.height -= secondFieldSize.height;
      } else {
        // Absolute
        splitterPosition = Math.min(splitterPosition, firstFieldSize.height);
        if (this.splitBox.splitterPositionType === _index__WEBPACK_IMPORTED_MODULE_0__.SplitBox.SplitterPositionType.ABSOLUTE_SECOND) {
          firstFieldSize.height = firstFieldSize.height - splitterPosition;
          secondFieldSize.height = splitterPosition;
        } else {
          firstFieldSize.height = splitterPosition;
          secondFieldSize.height = secondFieldSize.height - splitterPosition;
        }
      }
    }
  }
}

/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxModel.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/splitbox/SplitBoxSecondCollapseKeyStroke.ts":
/*!*********************************************************************!*\
  !*** ./src/form/fields/splitbox/SplitBoxSecondCollapseKeyStroke.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SplitBoxSecondCollapseKeyStroke: () => (/* binding */ SplitBoxSecondCollapseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SplitBoxSecondCollapseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(splitBox, keyStroke) {
    super();
    this.field = splitBox;
    this.parseAndSetKeyStroke(keyStroke);
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.collapseHandleButtonPressed({
      right: true
    });
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    let $collapseHandle = this.field.collapseHandle.$container;
    $keyBox.addClass('split-box-collapse-key-box right');
    let handleOffset = $collapseHandle.offsetTo(this.field.$container);
    $keyBox.cssLeft(handleOffset.left + $collapseHandle.width() - $keyBox.outerWidth()).cssTop(handleOffset.top - $keyBox.outerHeight());
  }
}

/***/ }),

/***/ "./src/form/fields/stringfield/StringField.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/stringfield/StringField.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StringField: () => (/* binding */ StringField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StringField extends _index__WEBPACK_IMPORTED_MODULE_0__.BasicField {
  constructor() {
    super();
    _defineProperty(this, "format", void 0);
    _defineProperty(this, "hasAction", void 0);
    _defineProperty(this, "inputMasked", void 0);
    _defineProperty(this, "inputObfuscated", void 0);
    _defineProperty(this, "maxLength", void 0);
    _defineProperty(this, "maxLengthHandler", void 0);
    _defineProperty(this, "multilineText", void 0);
    _defineProperty(this, "selectionStart", void 0);
    _defineProperty(this, "selectionEnd", void 0);
    _defineProperty(this, "selectionTrackingEnabled", void 0);
    _defineProperty(this, "spellCheckEnabled", void 0);
    _defineProperty(this, "trimText", void 0);
    _defineProperty(this, "wrapText", void 0);
    _defineProperty(this, "mouseClicked", void 0);
    _defineProperty(this, "_selectionChangingActionHandler", void 0);
    this.format = null;
    this.hasAction = false;
    this.inputMasked = false;
    this.inputObfuscated = false;
    this.maxLength = 4000;
    this.maxLengthHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MaxLengthHandler, {
      target: this
    });
    this.multilineText = false;
    this.selectionStart = -1;
    this.selectionEnd = -1;
    this.selectionTrackingEnabled = false;
    this.spellCheckEnabled = false;
    this.trimText = true;
    this.wrapText = false;
    this._selectionChangingActionHandler = this._onSelectionChangingAction.bind(this);
  }
  /**
   * Resolves the text key if value contains one.
   * This cannot be done in _init because the value field would call _setValue first
   */
  _initValue(value) {
    value = _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText(value, this.session.locale.languageTag);
    super._initValue(value);
  }
  _readDisplayText() {
    return this.$field ? this.$field.val() : '';
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.StringFieldEnterKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.StringFieldCtrlEnterKeyStroke(this)]);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _init(model) {
    super._init(model);
    this._setMultilineText(this.multilineText);
  }
  _render() {
    this.addContainer(this.$parent, 'string-field', new _index__WEBPACK_IMPORTED_MODULE_0__.StringFieldLayout(this));
    this.addLabel();
    this.addMandatoryIndicator();
    let $field;
    if (this.multilineText) {
      $field = this._makeMultilineField();
      this.$container.addClass('multiline');
    } else {
      $field = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeTextField(this.$parent);
    }
    $field.on('select', this._selectionChangingActionHandler).on('mousedown', this._selectionChangingActionHandler).on('keydown', this._selectionChangingActionHandler).on('input', this._selectionChangingActionHandler);
    this.addField($field);
    this.maxLengthHandler.install($field);
    this.addStatus();
  }
  _makeMultilineField() {
    let $field = this.$parent.makeElement('<textarea>').on('wheel', this._onMouseWheel.bind(this)).addDeviceClass();
    this._addRestoreSelectionFocusHandler($field);
    return $field;
  }
  /**
   * Adds a focus handler that renders the selection if the field was focused using keyboard (TAB).
   * Actually, this is only for Safari because Chrome and Firefox restore the selection by default but Safari doesn't.
   */
  _addRestoreSelectionFocusHandler($field) {
    $field.on('focus', event => {
      if (!this.$field.hasClass('keyboard-navigation')) {
        return;
      }
      setTimeout(() => {
        if (!this.rendered || this.session.focusManager.isElementCovertByGlassPane(this.$field)) {
          return;
        }
        this._renderSelectionStart();
        this._renderSelectionEnd();
      });
    });
  }
  _onFieldBlur(event) {
    super._onFieldBlur(event);
    if (this.inputObfuscated) {
      // Restore obfuscated display text.
      this.$field.val(this.displayText);
    }
  }
  _onMouseWheel(event) {
    let originalEvent = event.originalEvent;
    let delta = originalEvent.deltaY;
    let scrollTop = this.$field[0].scrollTop;
    if (delta < 0 && scrollTop === 0) {
      // StringField is scrolled to the very top -> parent may scroll
      return;
    }
    let maxScrollTop = this.$field[0].scrollHeight - this.$field[0].clientHeight;
    if (delta > 0 && scrollTop >= maxScrollTop - 1) {
      // -1 because it can sometimes happen that scrollTop is maxScrollTop -1 or +1, just because clientHeight and scrollHeight are rounded values
      // StringField is scrolled to the very bottom -> parent may scroll
      this.$field[0].scrollTop = maxScrollTop; // Ensure it is really at the bottom (not -1px above)
      return;
    }
    // Don't allow others to scroll (e.g. Scrollbar) while scrolling in the text area
    originalEvent.stopPropagation();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderInputMasked();
    this._renderWrapText();
    this._renderFormat();
    this._renderSpellCheckEnabled();
    this._renderHasAction();
    this._renderMaxLength();
    this._renderSelectionStart();
    this._renderSelectionEnd();
    this._renderDropType();
  }
  /**
   * Adds a click handler instead of a mouse down handler because it executes an action.
   */
  addIcon($parent) {
    this.$icon = _index__WEBPACK_IMPORTED_MODULE_0__.fields.appendIcon(this.$container).on('click', this._onIconClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$icon, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$icon, '', true);
  }
  /**
   * override to ensure dropdown fields and touch mode smart fields does not have a clear icon.
   */
  isClearable() {
    return super.isClearable() && !this.multilineText;
  }
  selectAll() {
    this.setSelectionStart(0);
    this.setSelectionEnd(this.displayText.length);
  }
  setCursorAtEnd() {
    this.setSelectionStart(this.displayText.length);
    this.setSelectionEnd(this.displayText.length);
  }
  setSelectionStart(selectionStart) {
    this.setProperty('selectionStart', selectionStart);
  }
  _renderSelectionStart() {
    if (this.selectionStart >= 0) {
      this.$field[0].selectionStart = this.selectionStart;
    }
  }
  setSelectionEnd(selectionEnd) {
    this.setProperty('selectionEnd', selectionEnd);
  }
  _renderSelectionEnd() {
    if (this.selectionEnd >= 0) {
      this.$field[0].selectionEnd = this.selectionEnd;
    }
  }
  setSelectionTrackingEnabled(selectionTrackingEnabled) {
    this.setProperty('selectionTrackingEnabled', selectionTrackingEnabled);
  }
  setInputMasked(inputMasked) {
    this.setProperty('inputMasked', inputMasked);
  }
  _renderInputMasked() {
    if (this.multilineText) {
      return;
    }
    this.$field.attr('type', this.inputMasked ? 'password' : 'text');
  }
  _renderInputObfuscated() {
    if (this.inputObfuscated && this.focused) {
      // If a new display text is set (e.g. because value in model changed) and field is focused,
      // do not display new display text but clear content (as in _onFieldFocus).
      // Depending on order of property render, either this or _renderDisplayText is called first
      // (inputObfuscated flag might be still in the old state in _renderDisplayText).
      this.$field.val('');
    }
  }
  setHasAction(hasAction) {
    this.setProperty('hasAction', hasAction);
  }
  _renderHasAction() {
    if (this.hasAction) {
      if (!this.$icon) {
        this.addIcon();
        this.$icon.addClass('action');
      }
      this.$container.addClass('has-icon');
    } else {
      this._removeIcon();
      this.$container.removeClass('has-icon');
    }
    this.revalidateLayout();
  }
  _renderEnabled() {
    super._renderEnabled();
    this.revalidateLayout();
  }
  setFormatUpper(formatUpper) {
    if (formatUpper) {
      this.setFormat(StringField.Format.UPPER);
    } else {
      this.setFormat(null);
    }
  }
  setFormatLower(formatLower) {
    if (formatLower) {
      this.setFormat(StringField.Format.LOWER);
    } else {
      this.setFormat(null);
    }
  }
  setFormat(format) {
    this.setProperty('format', format);
  }
  _renderFormat() {
    if (this.format === StringField.Format.LOWER) {
      this.$field.css('text-transform', 'lowercase');
    } else if (this.format === StringField.Format.UPPER) {
      this.$field.css('text-transform', 'uppercase');
    } else {
      this.$field.css('text-transform', '');
    }
  }
  setSpellCheckEnabled(spellCheckEnabled) {
    this.setProperty('spellCheckEnabled', spellCheckEnabled);
  }
  _renderSpellCheckEnabled() {
    if (this.spellCheckEnabled) {
      this.$field.attr('spellcheck', 'true');
    } else {
      this.$field.attr('spellcheck', 'false');
    }
  }
  _renderDisplayText() {
    if (this.multilineText && this.$disabledCopyOverlay) {
      // Changing the value might change the visibility of the scrollbars -> overlay size needs to be adjusted
      this.invalidateLayoutTree(false);
    }
    if (this.inputObfuscated && this.focused) {
      // If a new display text is set (e.g. because value in model changed) and field is focused,
      // do not display new display text but clear content (as in _onFieldFocus).
      // Depending on order of property render, either this or _renderInputObfuscated is called first
      // (inputObfuscated flag might be still in the old state in this method).
      this.$field.val('');
      return;
    }
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(this.displayText);
    let oldDisplayText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(this.$field.val());
    let oldSelection = this._getSelection();
    super._renderDisplayText();
    // Try to keep the current selection for cases where the old and new display
    // text only differ because of the automatic trimming.
    if (this.trimText && oldDisplayText !== displayText) {
      let matches = oldDisplayText.match(StringField.TRIM_REGEXP);
      if (matches && matches[2] === displayText) {
        this._setSelection({
          start: Math.max(oldSelection.start - matches[1].length, 0),
          end: Math.min(oldSelection.end - matches[1].length, displayText.length)
        });
      }
    }
  }
  /**
   * Inserts the text at the current cursor position. If text is selected, it will be replaced.
   *
   * @param text the text to be inserted.
   */
  insertText(text) {
    if (!this.rendered) {
      this._postRenderActions.push(this.insertText.bind(this, text));
      return;
    }
    this._insertText(text);
  }
  _insertText(textToInsert) {
    if (!textToInsert) {
      return;
    }
    if (this.inputObfuscated) {
      // Ensure obfuscated text will be replaced completely and not modified
      this.selectAll();
    }
    // Prevent insert if new length would exceed maxLength to prevent unintended deletion of characters at the end of the string
    let selection = this._getSelection();
    let text = this._applyTextToSelection(this.$field.val(), textToInsert, selection);
    if (text.length > this.maxLength) {
      this._showNotification('ui.CannotInsertTextTooLong');
      return;
    }
    let previousFocus = this.$field.activeElement(true);
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.focusAndInsertText(this.$field, textToInsert);
    // Function should only insert text and not change focus -> restore focus
    previousFocus.focus();
    // Move cursor after inserted text
    this._setSelection(selection.start + textToInsert.length);
    // Make sure display text gets sent (necessary if field does not have the focus)
    if (this.updateDisplayTextOnModify) {
      // If flag is true, we need to send two events (First while typing=true, second = false)
      this.acceptInput(true);
    }
    this.acceptInput();
  }
  _applyTextToSelection(text, textToInsert, selection) {
    return text.slice(0, selection.start) + textToInsert + text.slice(selection.end);
  }
  setWrapText(wrapText) {
    this.setProperty('wrapText', wrapText);
  }
  _renderWrapText() {
    this.$field.attr('wrap', this.wrapText ? 'soft' : 'off');
  }
  setTrimText(trimText) {
    this.setProperty('trimText', trimText);
  }
  _renderTrimText() {
    // nop, property used in _validateDisplayText()
  }
  setMultilineText(multilineText) {
    this.setProperty('multilineText', multilineText);
  }
  _setMultilineText(multilineText) {
    this._setProperty('multilineText', multilineText);
    this.keyStrokeContext.setMultiline(this.multilineText);
  }
  _renderGridData() {
    super._renderGridData();
    this.updateInnerAlignment({
      useHorizontalAlignment: !this.multilineText
    });
  }
  _renderGridDataHints() {
    super._renderGridDataHints();
    this.updateInnerAlignment({
      useHorizontalAlignment: true
    });
  }
  setMaxLength(maxLength) {
    this.setProperty('maxLength', maxLength);
  }
  _renderMaxLength() {
    this.maxLengthHandler.render();
  }
  /** @internal */
  _onIconClick() {
    this.acceptInput();
    this.$field.focus();
    this.trigger('action');
  }
  _onSelectionChangingAction(event) {
    if (event.type === 'mousedown') {
      this.$field.window().one('mouseup.stringfield', () => {
        // For some reason, when clicking side an existing selection (which clears the selection), the old
        // selection is still visible. To get around this case, we use setTimeout to handle the new selection
        // after it really has been changed.
        setTimeout(this._updateSelection.bind(this));
      });
    } else if (event.type === 'keydown') {
      // Use set timeout to let the cursor move to the target position
      setTimeout(this._updateSelection.bind(this));
    } else {
      this._updateSelection();
    }
  }
  _getSelection() {
    let input = this.$field[0];
    let start = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(input.selectionStart, null);
    let end = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(input.selectionEnd, null);
    if (start === null || end === null) {
      start = 0;
      end = 0;
    }
    return {
      start: start,
      end: end
    };
  }
  _setSelection(selectionStartOrSelection, selectionEnd) {
    if (typeof selectionStartOrSelection === 'number') {
      selectionEnd = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(selectionEnd, selectionStartOrSelection);
    } else if (typeof selectionStartOrSelection === 'object') {
      selectionEnd = selectionStartOrSelection.end;
      selectionStartOrSelection = selectionStartOrSelection.start;
    }
    let input = this.$field[0];
    input.selectionStart = selectionStartOrSelection;
    input.selectionEnd = selectionEnd;
    this._updateSelection();
  }
  _updateSelection() {
    if (!this.rendered) {
      return;
    }
    let oldSelectionStart = this.selectionStart;
    let oldSelectionEnd = this.selectionEnd;
    let input = this.$field[0];
    let triggerUpdate = this.selectionTrackingEnabled;
    if (!this.multilineText && !this.selectionTrackingEnabled) {
      // If selection tracking is disabled, do not store the values on the widget for single line fields to make it consistent with other fields.
      // -> if a field is rendered anew, the selection is not restored.
      // However, multiline fields store the values because the browser also treats them in a different way (TAB will restore selection instead of selecting the whole field).
      this.selectionStart = -1;
      this.selectionEnd = -1;
      triggerUpdate = true;
    } else {
      this.selectionStart = input.selectionStart;
      this.selectionEnd = input.selectionEnd;
    }
    if (triggerUpdate) {
      let selectionChanged = this.selectionStart !== oldSelectionStart || this.selectionEnd !== oldSelectionEnd;
      if (selectionChanged) {
        this.triggerSelectionChange();
      }
    }
  }
  triggerSelectionChange() {
    this.trigger('selectionChange', {
      selectionStart: this.selectionStart,
      selectionEnd: this.selectionEnd
    });
  }
  _validateValue(value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return value;
    }
    value = _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(value);
    if (this.trimText) {
      value = value.trim();
    }
    return super._validateValue(value);
  }
  _clear() {
    super._clear();
    // Disable obfuscation when user clicks on clear icon.
    this.inputObfuscated = false;
  }
  _computeEmpty() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.value);
  }
  acceptInput(whileTyping) {
    let displayText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._readDisplayText(), '');
    if (this.inputObfuscated && displayText !== '') {
      // Disable obfuscation if user has typed text (on focus, field will be cleared if obfuscated, so any typed text is new text).
      this.inputObfuscated = false;
    }
    super.acceptInput(whileTyping);
  }
  _onFieldFocus(event) {
    super._onFieldFocus(event);
    if (this.inputObfuscated) {
      this.$field.val('');
      // Without properly setting selection start and end, cursor is not visible in IE and Firefox.
      setTimeout(() => {
        if (!this.rendered) {
          return;
        }
        let $field = this.$field[0];
        $field.selectionStart = 0;
        $field.selectionEnd = 0;
      });
    }
  }
  _showNotification(textKey) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification, {
      parent: this,
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING,
      message: this.session.text(textKey)
    }).show();
  }
  _checkDisplayTextChanged(displayText, whileTyping) {
    let displayTextChanged = super._checkDisplayTextChanged(displayText, whileTyping);
    // Display text hasn't changed if input is obfuscated and current display text is empty (because field will be cleared if user focuses obfuscated text field).
    if (displayTextChanged && this.inputObfuscated && displayText === '') {
      return false;
    }
    return displayTextChanged;
  }
}
_defineProperty(StringField, "Format", {
  LOWER: 'a' /* IStringField.FORMAT_LOWER */,
  UPPER: 'A' /* IStringField.FORMAT_UPPER */
});
_defineProperty(StringField, "TRIM_REGEXP", new RegExp('^(\\s*)(.*?)(\\s*)$'));

/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldAdapter.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldAdapter.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StringFieldAdapter: () => (/* binding */ StringFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StringFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.BasicFieldAdapter {
  _initProperties(model) {
    super._initProperties(model);
    if (model.insertText !== undefined) {
      // ignore pseudo property initially (to prevent the function StringField#insertText() to be replaced)
      delete model.insertText;
    }
  }
  _syncInsertText(insertText) {
    this.widget.insertText(insertText);
  }
  _onWidgetSelectionChange(event) {
    // send delayed to avoid a lot of requests while selecting
    // coalesce: only send the latest selection changed event for a field
    this._send('selectionChange', {
      selectionStart: event.selectionStart,
      selectionEnd: event.selectionEnd
    }, {
      showBusyIndicator: false,
      delay: 500,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type;
      }
    });
  }
  _onWidgetAction(event) {
    this._send('action');
  }
  _onWidgetEvent(event) {
    if (event.type === 'selectionChange') {
      this._onWidgetSelectionChange(event);
    } else if (event.type === 'action') {
      this._onWidgetAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldCtrlEnterKeyStroke.ts":
/*!**********************************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldCtrlEnterKeyStroke.ts ***!
  \**********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StringFieldCtrlEnterKeyStroke: () => (/* binding */ StringFieldCtrlEnterKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StringFieldCtrlEnterKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(stringField) {
    super();
    this.field = stringField;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.ctrl = true;
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && this.field.hasAction;
  }
  handle(event) {
    this.field._onIconClick();
  }
}

/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldEnterKeyStroke.ts":
/*!******************************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldEnterKeyStroke.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StringFieldEnterKeyStroke: () => (/* binding */ StringFieldEnterKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StringFieldEnterKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(stringField) {
    super();
    this.field = stringField;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.renderingHints.render = false;
    this.preventDefault = false;
  }
  _applyPropagationFlags(event) {
    super._applyPropagationFlags(event);
    let activeElement = this.field.$container.activeElement(true);
    this.preventInvokeAcceptInputOnActiveValueField = !event.isPropagationStopped() && activeElement.tagName.toLowerCase() === 'textarea';
    if (this.preventInvokeAcceptInputOnActiveValueField) {
      event.stopPropagation();
    }
  }
  handle(event) {
    // NOP
  }
}

/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldEventMap.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldLayout.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldLayout.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StringFieldLayout: () => (/* binding */ StringFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class StringFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(stringField) {
    super(stringField);
  }
  _layoutClearIcon(formField, fieldBounds, right, top) {
    if (formField.$icon && formField.$icon.isVisible()) {
      right += _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(formField.$icon, true).width;
    }
    super._layoutClearIcon(formField, fieldBounds, right, top);
  }
}

/***/ }),

/***/ "./src/form/fields/stringfield/StringFieldModel.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/stringfield/StringFieldModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/Tab.ts":
/*!***************************************!*\
  !*** ./src/form/fields/tabbox/Tab.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tab: () => (/* binding */ Tab)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Tab extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "subLabel", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "overflown", void 0);
    _defineProperty(this, "marked", void 0);
    _defineProperty(this, "errorStatus", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "fieldStatus", void 0);
    _defineProperty(this, "tabItem", void 0);
    _defineProperty(this, "tabbable", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$label", void 0);
    _defineProperty(this, "$subLabel", void 0);
    _defineProperty(this, "_preventTabSelection", void 0);
    _defineProperty(this, "_tabPropertyChangeHandler", void 0);
    _defineProperty(this, "_statusMouseDownHandler", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    this.label = null;
    this.subLabel = null;
    this.selected = false;
    this.overflown = false;
    this.marked = false;
    this.errorStatus = null;
    this.tooltipText = null;
    this.fieldStatus = null;
    this.tabItem = null;
    this.tabbable = false;
    this.$label = null;
    this.$subLabel = null;
    this.$title = null;
    this._preventTabSelection = false;
    this._tabPropertyChangeHandler = this._onTabPropertyChange.bind(this);
    this._statusMouseDownHandler = this._onStatusMouseDown.bind(this);
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
  }
  _init(options) {
    super._init(options);
    this.setVisible(this.tabItem.visible);
    this.setLabel(this.tabItem.label);
    this.setSubLabel(this.tabItem.subLabel);
    this.setCssClass(this.tabItem.cssClass);
    this.setMarked(this.tabItem.marked);
    this.setErrorStatus(this.tabItem.errorStatus);
    this.setTooltipText(this.tabItem.tooltipText);
    this.fieldStatus = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FieldStatus, {
      parent: this,
      visible: false
    });
    this.fieldStatus.on('statusMouseDown', this._statusMouseDownHandler);
    this.tabItem.on('propertyChange', this._tabPropertyChangeHandler);
  }
  _destroy() {
    super._destroy();
    this.tabItem.off('propertyChange', this._tabPropertyChangeHandler);
    this.fieldStatus.off('statusMouseDown', this._statusMouseDownHandler);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tab-item');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'tab');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$title = this.$container.appendDiv('title');
    this.$label = this.$title.appendDiv('label');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$label, {
      parent: this
    });
    this.$subLabel = this.$title.appendDiv('sub-label');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$subLabel, {
      parent: this
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$subLabel);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$label);
    this.fieldStatus.render();
    this.fieldStatus.$container.cssWidth(_index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldStatusWidth);
    this.$container.on('mousedown', this._onTabMouseDown.bind(this));
    this.session.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
  }
  _remove() {
    this.session.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    super._remove();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderVisible();
    this._renderLabel();
    this._renderSubLabel();
    this._renderTabbable();
    this._renderSelected();
    this._renderMarked();
    this._renderOverflown();
    this._renderTooltipText();
    this._renderErrorStatus();
  }
  _renderVisible() {
    super._renderVisible();
    this._updateStatus();
  }
  setLabel(label) {
    this.setProperty('label', label);
  }
  _renderLabel() {
    this.$label.textOrNbsp(this.label);
    this.$label.attr('data-text', this.label);
    this.invalidateLayoutTree();
  }
  setSubLabel(subLabel) {
    this.setProperty('subLabel', subLabel);
  }
  _renderSubLabel() {
    this.$subLabel.textOrNbsp(this.subLabel);
    this.invalidateLayoutTree();
  }
  setTooltipText(tooltipText) {
    this.setProperty('tooltipText', tooltipText);
  }
  _renderTooltipText() {
    this.$container.toggleClass('has-tooltip', _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText));
    this._updateStatus();
  }
  setErrorStatus(errorStatus) {
    this.setProperty('errorStatus', errorStatus);
  }
  _renderErrorStatus() {
    let hasStatus = !!this.errorStatus,
      statusClass = hasStatus ? 'has-' + this.errorStatus.cssClass() : '';
    this._updateErrorStatusClasses(statusClass);
    this._updateStatus();
  }
  _updateErrorStatusClasses(statusClass) {
    this.$container.removeClass(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.SEVERITY_CSS_CLASSES);
    if (statusClass) {
      this.$container.addClass(statusClass);
    }
  }
  _updateStatus() {
    let visible = this._computeVisible(),
      status = null,
      autoRemove = true,
      initialShow = false;
    this.fieldStatus.setVisible(visible);
    if (!visible) {
      return;
    }
    if (this.errorStatus) {
      status = this.errorStatus;
      autoRemove = !status.isError();
      initialShow = true;
    } else {
      status = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Status, {
        message: this.tooltipText,
        severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO
      });
    }
    this.fieldStatus.update(status, null, autoRemove, initialShow);
  }
  _computeVisible() {
    return this.visible && !this.overflown && (!!this.errorStatus || _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText));
  }
  setTabbable(tabbable) {
    this.setProperty('tabbable', tabbable);
  }
  _renderTabbable() {
    this.$container.setTabbable(this.tabbable && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  }
  select() {
    this.setSelected(true);
  }
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    this.$container.select(this.selected);
    this.$container.setTabbable(this.selected && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.selected(this.$container, this.selected || null);
  }
  setMarked(marked) {
    this.setProperty('marked', marked);
  }
  _renderMarked() {
    this.$container.toggleClass('marked', this.marked);
  }
  setOverflown(overflown) {
    this.setProperty('overflown', overflown);
  }
  _renderOverflown() {
    this.$container.toggleClass('overflown', this.overflown);
    this._updateStatus();
  }
  _onDesktopPropertyChange(event) {
    // switching from or to the dense mode requires clearing of the tab's htmlComponent prefSize cache.
    if (event.propertyName === 'dense') {
      this.invalidateLayout();
    }
  }
  _onTabMouseDown(event) {
    if (this._preventTabSelection) {
      this._preventTabSelection = false;
      return;
    }
    // ensure to focus the selected tab before selecting the new tab.
    // The selection of a tab will remove the content of the previous selected tab.
    // Problem: If the previous is the focus owner the focus will be transferred to body what ends in a scroll top.
    this.setTabbable(true);
    this.$container.focus();
    this.select();
    // When the tab is clicked the user wants to execute the action and not see the tooltip
    if (this.$label) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$label);
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.close(this.$label);
    }
    if (this.$subLabel) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$subLabel);
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.close(this.$subLabel);
    }
  }
  _onStatusMouseDown(event) {
    // Prevent switching tabs when status gets clicked
    // Don't use event.preventDefault, otherwise other mouse listener (like tooltip mouse down) will not be executed as well
    this._preventTabSelection = true;
    // Prevent focusing the tab
    event.preventDefault();
  }
  _onTabPropertyChange(event) {
    if (event.propertyName === 'visible') {
      this.setVisible(event.newValue);
    } else if (event.propertyName === 'label') {
      this.setLabel(this.tabItem.label);
    } else if (event.propertyName === 'subLabel') {
      this.setSubLabel(this.tabItem.subLabel);
    } else if (event.propertyName === 'cssClass') {
      this.setCssClass(this.tabItem.cssClass);
    } else if (event.propertyName === 'marked') {
      this.setMarked(this.tabItem.marked);
    } else if (event.propertyName === 'errorStatus') {
      this.setErrorStatus(event.newValue);
    } else if (event.propertyName === 'tooltipText') {
      this.setTooltipText(event.newValue);
    }
    // Note: If you add a property here, also add it to _init()
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabArea.ts":
/*!*******************************************!*\
  !*** ./src/form/fields/tabbox/TabArea.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabArea: () => (/* binding */ TabArea)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabArea extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "tabBox", void 0);
    _defineProperty(this, "tabs", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "hasSubLabel", void 0);
    _defineProperty(this, "selectedTab", void 0);
    _defineProperty(this, "ellipsis", void 0);
    _defineProperty(this, "$selectionMarker", void 0);
    _defineProperty(this, "_tabItemPropertyChangeHandler", void 0);
    _defineProperty(this, "_tabPropertyChangeHandler", void 0);
    this.tabBox = null;
    this.tabs = [];
    this.displayStyle = TabArea.DisplayStyle.DEFAULT;
    this.hasSubLabel = false;
    this.selectedTab = null;
    this._tabItemPropertyChangeHandler = this._onTabItemPropertyChange.bind(this);
    this._tabPropertyChangeHandler = this._onTabPropertyChange.bind(this);
    this.ellipsis = null;
    this.$selectionMarker = null;
  }
  _init(options) {
    super._init(options);
    this.tabBox = options.tabBox;
    this.ellipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.EllipsisMenu, {
      parent: this,
      cssClass: 'overflow-tab-item unfocusable',
      iconId: null,
      inheritAccessibility: false,
      text: '0' // Initialize with the normal value to prevent unnecessary layout invalidation by the TabAreaLayout if ellipsis menus is not visible
    });
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TabAreaLeftKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TabAreaRightKeyStroke(this)]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tab-area');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TabAreaLayout(this));
    this.ellipsis.render(this.$container);
    this.$selectionMarker = this.$container.appendDiv('selection-marker');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTabs();
    this._renderSelectedTab();
    this._renderHasSubLabel();
    this._renderDisplayStyle();
  }
  _remove() {
    super._remove();
    this._removeTabs();
  }
  setSelectedTabItem(tabItem) {
    this.setSelectedTab(this.getTabForItem(tabItem));
  }
  getTabForItem(tabItem) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.tabs, tab => tab.tabItem === tabItem);
  }
  setSelectedTab(tab) {
    this.setProperty('selectedTab', tab);
  }
  _setSelectedTab(tab) {
    if (this.selectedTab) {
      this.selectedTab.setSelected(false);
    }
    if (tab) {
      tab.setSelected(true);
    }
    this._setProperty('selectedTab', tab);
    this._setTabbableItem(tab);
  }
  _renderSelectedTab() {
    // force a re-layout in case the selected tab is overflown. The layout will ensure the selected tab is visible.
    if (this.selectedTab && this.selectedTab.overflown) {
      this.invalidateLayoutTree();
    }
  }
  isTabItemFocused(tabItem) {
    return this.getTabForItem(tabItem).isFocused();
  }
  focusTabItem(tabItem) {
    return this.focusTab(this.getTabForItem(tabItem));
  }
  focusTab(tab) {
    return tab.focus();
  }
  setTabItems(tabItems) {
    this.setProperty('tabs', tabItems);
    this._updateHasSubLabel();
    this.invalidateLayoutTree();
  }
  _setTabs(tabItems) {
    let tabsToRemove = this.tabs.slice(),
      tabs = tabItems.map(tabItem => {
        let tab = this.getTabForItem(tabItem);
        if (!tab) {
          tab = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tab, {
            parent: this,
            tabItem: tabItem
          });
          tabItem.on('propertyChange', this._tabItemPropertyChangeHandler);
          tab.on('propertyChange', this._tabPropertyChangeHandler);
        } else {
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(tabsToRemove, tab);
        }
        return tab;
      });
    // un-register model listeners
    tabsToRemove.forEach(tab => {
      tab.tabItem.off('propertyChange', this._tabItemPropertyChangeHandler);
    });
    this._removeTabs(tabsToRemove);
    this._setProperty('tabs', tabs);
  }
  _renderTabs() {
    this.tabs.slice().reverse().forEach((tab, index, items) => {
      if (!tab.rendered) {
        tab.render();
      }
      tab.$container.on('blur', this._onTabItemBlur.bind(this)).on('focus', this._onTabItemFocus.bind(this));
      tab.$container.prependTo(this.$container);
      tab.$container.on('blur', this._onTabItemBlur.bind(this)).on('focus', this._onTabItemFocus.bind(this));
    });
  }
  _removeTabs(tabs) {
    tabs = tabs || this.tabs;
    tabs.forEach(tab => {
      tab.remove();
    });
  }
  setDisplayStyle(displayStyle) {
    this.setProperty('displayStyle', displayStyle);
  }
  _renderDisplayStyle() {
    this.$container.toggleClass('spread-even', this.displayStyle === TabArea.DisplayStyle.SPREAD_EVEN);
    this.invalidateLayoutTree();
  }
  _onTabItemFocus() {
    this.setFocused(true);
  }
  _onTabItemBlur() {
    this.setFocused(false);
  }
  _updateHasSubLabel() {
    let items = this.visibleTabs();
    this._setHasSubLabel(items.some(item => {
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(item.subLabel);
    }));
  }
  visibleTabs() {
    return this.tabs.filter(tab => tab.visible);
  }
  _setHasSubLabel(hasSubLabel) {
    if (this.hasSubLabel === hasSubLabel) {
      return;
    }
    this._setProperty('hasSubLabel', hasSubLabel);
    if (this.rendered) {
      this._renderHasSubLabel();
    }
  }
  _renderHasSubLabel() {
    this.$container.toggleClass('has-sub-label', this.hasSubLabel);
    // Invalidate other tabs as well because the class has an impact on their size, too
    this.visibleTabs().forEach(tab => tab.invalidateLayout());
    this.invalidateLayoutTree();
  }
  selectNextTab(focusTab) {
    this._moveSelectionHorizontal(true, focusTab);
  }
  selectPreviousTab(focusTab) {
    this._moveSelectionHorizontal(false, focusTab);
  }
  _moveSelectionHorizontal(directionRight, focusTab) {
    let tabItems = this.tabs.slice(),
      $focusedElement = this.$container.activeElement(),
      selectNext = false;
    if (!directionRight) {
      tabItems.reverse();
      selectNext = $focusedElement[0] === this.ellipsis.$container[0];
    }
    tabItems.forEach(function (item, index) {
      if (selectNext && item.visible && !item.overflown) {
        this.setSelectedTab(item);
        this._setTabbableItem(item);
        if (focusTab) {
          item.focus();
        }
        selectNext = false;
        return;
      }
      if ($focusedElement[0] === item.$container[0]) {
        selectNext = true;
      }
    }, this);
    if (directionRight && selectNext && this.ellipsis.isTabTarget()) {
      this._setTabbableItem(this.ellipsis);
      if (focusTab) {
        this.ellipsis.focus();
      }
    }
  }
  _setTabbableItem(tab) {
    let tabs = this.tabs;
    if (tab) {
      // clear old tabbable
      this.ellipsis.setTabbable(false);
      tabs.forEach(item => {
        item.setTabbable(false);
      });
      tab.setTabbable(true);
    }
  }
  _onTabPropertyChange(event) {
    if (event.propertyName === 'selected') {
      this.setSelectedTab(event.source);
    }
  }
  _onTabItemPropertyChange(event) {
    if (event.propertyName === 'visible') {
      this._updateHasSubLabel();
      this.invalidateLayoutTree();
    }
    if (event.propertyName === 'subLabel') {
      this._updateHasSubLabel();
    }
  }
}
_defineProperty(TabArea, "DisplayStyle", {
  DEFAULT: 'default',
  SPREAD_EVEN: 'spreadEven'
});

/***/ }),

/***/ "./src/form/fields/tabbox/TabAreaEventMap.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/tabbox/TabAreaEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/TabAreaLayout.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/tabbox/TabAreaLayout.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EllipsisTabMenu: () => (/* binding */ EllipsisTabMenu),
/* harmony export */   TabAreaLayout: () => (/* binding */ TabAreaLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TabAreaLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabArea) {
    super();
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "overflowTabs", void 0);
    _defineProperty(this, "visibleTabs", void 0);
    _defineProperty(this, "_tabAreaPropertyChangeHandler", void 0);
    this.tabArea = tabArea;
    this.overflowTabs = [];
    this.visibleTabs = [];
    this._tabAreaPropertyChangeHandler = this._onTabAreaPropertyChange.bind(this);
    this.tabArea.on('propertyChange', this._tabAreaPropertyChangeHandler);
    this.tabArea.one('remove', () => {
      this.tabArea.off('propertyChange', this._tabAreaPropertyChangeHandler);
    });
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      containerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    // compute visible and overflown tabs
    this.preferredLayoutSize($container, {
      widthHint: containerSize.width
    });
    this._layoutSelectionMarker();
  }
  _layoutSelectionMarker() {
    let $selectionMarker = this.tabArea.$selectionMarker,
      selectedTab = this.tabArea.selectedTab,
      selectedItemBounds;
    if (selectedTab) {
      $selectionMarker.setVisible(true);
      selectedItemBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(selectedTab.$container);
      $selectionMarker.cssLeft(selectedItemBounds.x);
      $selectionMarker.cssWidth(selectedItemBounds.width);
    } else {
      $selectionMarker.setVisible(false);
    }
  }
  _updateEllipsis() {
    let ellipsis = this.tabArea.ellipsis;
    ellipsis.setHidden(this.overflowTabs.length < 1);
    ellipsis.setText(this.overflowTabs.length + '');
    this.visibleTabs.forEach(tab => tab.setOverflown(false));
    this.overflowTabs.forEach(tab => tab.setOverflown(true));
    ellipsis.childActions.forEach(menu => menu.destroy());
    ellipsis.setChildActions(this.overflowTabs.map(tab => {
      let menu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(EllipsisTabMenu, {
        parent: ellipsis,
        tab: tab,
        // The tab reference is not used by Scout itself but may be used by others to find the menu belonging to a tab
        text: tab.label,
        visible: tab.visible
      });
      menu.on('action', event => {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(TabAreaLayout#_onClickEllipsis) tab=' + tab);
        // first close popup to ensure the focus is handled in the correct focus context.
        ellipsis.popup.close();
        tab.select();
        tab.focus();
      });
      return menu;
    }));
  }
  preferredLayoutSize($container, options) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0),
      prefWidth = Number.MAX_VALUE;
    this.visibleTabs = this.tabArea.visibleTabs();
    let overflowableIndexes = this.visibleTabs.map((tab, index) => {
      if (tab.selected) {
        return -1;
      }
      return index;
    }).filter(index => index >= 0);
    this.overflowTabs = [];
    // consider avoid falsy 0 in tab-boxes a 0 withHint will be used to calculate the minimum width
    if (options.widthHint === 0 || options.widthHint) {
      prefWidth = options.widthHint - htmlComp.insets().horizontal();
    }
    // shortcut for minimum size.
    if (prefWidth <= 0) {
      return this._minSize(this.visibleTabs).add(htmlComp.insets());
    }
    this._setFirstLastMarker(this.visibleTabs);
    this._updateEllipsis();
    prefSize = this._prefSize(this.visibleTabs);
    while (prefSize.width > prefWidth && overflowableIndexes.length > 0) {
      let overflowIndex = overflowableIndexes.splice(-1)[0];
      this.overflowTabs.splice(0, 0, this.visibleTabs[overflowIndex]);
      this.visibleTabs.splice(overflowIndex, 1);
      this._setFirstLastMarker(this.visibleTabs);
      this._updateEllipsis(); // update ellipsis here already so that the prefSize on the next line is correct
      prefSize = this._prefSize(this.visibleTabs);
    }
    // Use the total available space if spreading tabs evenly.
    if (this.tabArea.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.TabArea.DisplayStyle.SPREAD_EVEN) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($container, options);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.exactPrefSize(prefSize.add(htmlComp.insets()), options);
  }
  _minSize(tabs) {
    let visibleTabs = [];
    this.overflowTabs = tabs.filter(tab => {
      if (tab.selected) {
        visibleTabs.push(tab);
        return false;
      }
      return true;
    });
    this.visibleTabs = visibleTabs;
    this._setFirstLastMarker(visibleTabs);
    return this._prefSize(visibleTabs);
  }
  _prefSize(tabs, considerEllipsis) {
    let prefSize = tabs.map(tab => this._tabSize(tab)).reduce((prefSize, itemSize) => {
      prefSize.height = Math.max(prefSize.height, itemSize.height);
      prefSize.width += itemSize.width;
      return prefSize;
    }, new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0));
    considerEllipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerEllipsis, this.overflowTabs.length > 0);
    if (considerEllipsis) {
      let ellipsisSize = this._tabSize(this.tabArea.ellipsis);
      prefSize.height = Math.max(prefSize.height, ellipsisSize.height);
      prefSize.width += ellipsisSize.width;
    }
    return prefSize;
  }
  _setFirstLastMarker(tabs, considerEllipsis) {
    considerEllipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerEllipsis, this.overflowTabs.length > 0);
    // reset
    this.tabArea.tabs.forEach(tab => {
      tab.htmlComp.$comp.removeClass('first last');
    });
    this.tabArea.ellipsis.$container.removeClass('first last');
    // set first and last
    if (tabs.length > 0) {
      tabs[0].$container.addClass('first');
      if (considerEllipsis) {
        this.tabArea.ellipsis.$container.addClass('last');
      } else {
        tabs[tabs.length - 1].$container.addClass('last');
      }
    }
  }
  _tabSize(item) {
    let htmlComp = item.htmlComp,
      prefSize,
      classList = htmlComp.$comp.attr('class');
    // temporarily revert display style to default. otherwise the pref size of the tab item will be the size of the container.
    if (this.tabArea.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.TabArea.DisplayStyle.SPREAD_EVEN) {
      this.tabArea.$container.removeClass('spread-even');
    }
    htmlComp.$comp.removeClass('overflown');
    htmlComp.$comp.removeClass('hidden');
    prefSize = htmlComp.prefSize({
      exact: true
    }).add(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(htmlComp.$comp));
    if (item instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Tab && item.fieldStatus && item.fieldStatus.htmlComp) {
      let statusOverflownAndHidden = item.overflown && !item.fieldStatus.visible;
      if (statusOverflownAndHidden) {
        // overflown tabs have no fieldStatus: explicitly set to visible so that the real consumed space can be computed
        item.fieldStatus.setVisible(true);
      }
      let statusWidth = item.fieldStatus.htmlComp.prefSize({
        includeMargin: true
      }).width;
      if (statusOverflownAndHidden) {
        // restore
        item.fieldStatus.setVisible(false);
      }
      prefSize.width += statusWidth;
    }
    htmlComp.$comp.attrOrRemove('class', classList);
    if (this.tabArea.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.TabArea.DisplayStyle.SPREAD_EVEN) {
      this.tabArea.$container.addClass('spread-even');
    }
    return prefSize;
  }
  _onTabAreaPropertyChange(event) {
    if (event.propertyName === 'selectedTab') {
      this._layoutSelectionMarker();
    }
  }
}
class EllipsisTabMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super(...arguments);
    _defineProperty(this, "tab", void 0);
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabAreaLeftKeyStroke.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/tabbox/TabAreaLeftKeyStroke.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabAreaLeftKeyStroke: () => (/* binding */ TabAreaLeftKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabAreaLeftKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tabArea) {
    super();
    this.field = tabArea;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT];
    this.renderingHints.render = false;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.selectPreviousTab(true);
    this.field.selectedTab.$container.addClass('keyboard-navigation');
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabAreaModel.ts":
/*!************************************************!*\
  !*** ./src/form/fields/tabbox/TabAreaModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/TabAreaRightKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/tabbox/TabAreaRightKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabAreaRightKeyStroke: () => (/* binding */ TabAreaRightKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabAreaRightKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tabArea) {
    super();
    this.field = tabArea;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.renderingHints.render = false;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.selectNextTab(true);
    this.field.selectedTab.$container.addClass('keyboard-navigation');
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabBox.ts":
/*!******************************************!*\
  !*** ./src/form/fields/tabbox/TabBox.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabBox: () => (/* binding */ TabBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Tab-area = where the 1-n tabs are placed (may have multiple runs = lines).
 * Tab-content = where the content of a single tab is displayed.
 */
class TabBox extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField {
  constructor() {
    super();
    _defineProperty(this, "selectedTab", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "tabItems", void 0);
    _defineProperty(this, "tabAreaStyle", void 0);
    /** @internal */
    _defineProperty(this, "_$tabContent", void 0);
    _defineProperty(this, "_statusPositionOrig", void 0);
    _defineProperty(this, "_tabBoxHeaderPropertyChangeHandler", void 0);
    this.gridDataHints.useUiHeight = true;
    this.gridDataHints.w = _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FULL_WIDTH;
    this.header = null;
    this.selectedTab = null;
    this.tabItems = [];
    this.tabAreaStyle = _index__WEBPACK_IMPORTED_MODULE_0__.TabArea.DisplayStyle.DEFAULT;
    this._$tabContent = null;
    this._statusPositionOrig = null;
    this._addWidgetProperties(['tabItems', 'selectedTab']);
    this._addPreserveOnPropertyChangeProperties(['selectedTab']);
    this._tabBoxHeaderPropertyChangeHandler = this._onTabBoxHeaderPropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this.header = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TabBoxHeader, {
      parent: this,
      tabBox: this
    });
    this._initProperties(model);
    this.header.on('propertyChange', this._tabBoxHeaderPropertyChangeHandler);
  }
  _initProperties(model) {
    this._setTabItems(this.tabItems);
    this._setSelectedTab(this.selectedTab);
    this._setTabAreaStyle(this.tabAreaStyle);
  }
  _destroy() {
    super._destroy();
    this.header.off('propertyChange', this._tabBoxHeaderPropertyChangeHandler);
  }
  _render() {
    this.addContainer(this.$parent, 'tab-box', new _index__WEBPACK_IMPORTED_MODULE_0__.TabBoxLayout(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'tablist');
    this.header.render(this.$container);
    this.addStatus();
    this._$tabContent = this.$container.appendDiv('tab-content');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this._$tabContent, 'tabpanel');
    let htmlCompContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this._$tabContent, this.session);
    htmlCompContent.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSelectedTab();
  }
  _remove() {
    super._remove();
    this._removeSelectedTab();
  }
  getContextMenuItems() {
    let onlyVisible = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    // handled by the menubar
    return [];
  }
  _removeMenus() {
    // menubar takes care of removal
  }
  deleteTabItem(tabItem) {
    let index = this.tabItems.indexOf(tabItem);
    let newTabItems = this.tabItems.slice();
    if (index >= 0) {
      newTabItems.splice(index, 1);
      this.setTabItems(newTabItems);
    }
  }
  /**
   * Inserts a new tab item.
   * @param index The position where the new tab should be inserted. By default, it will be appended at the end of the existing tab items.
   */
  insertTabItem(tabItem, index) {
    if (!tabItem) {
      return;
    }
    index = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(index, this.tabItems.length);
    let tabItems = this.tabItems.slice();
    tabItems.splice(index, 0, tabItem);
    this.setTabItems(tabItems);
  }
  setTabItems(tabItems) {
    this.setProperty('tabItems', tabItems);
  }
  _setTabItems(tabItems) {
    tabItems = tabItems || [];
    let tabsToRemove = this.tabItems || [];
    tabsToRemove.filter(tabItem => tabItems.indexOf(tabItem) < 0).forEach(tabItem => {
      tabItem.remove();
    });
    this._setProperty('tabItems', tabItems);
    this.header.setTabItems(this.tabItems);
    // if no tab is selected select first
    if (this.tabItems.indexOf(this.selectedTab) < 0) {
      this.setSelectedTab(this.tabItems[0]);
    }
  }
  _renderTabItems(tabItems) {
    // void only selected tab is rendered
  }
  _removeTabItems(tabItems) {
    // void only selected tab is rendered
  }
  _removeTabContent() {
    this.tabItems.forEach(tabItem => {
      tabItem.remove();
    });
  }
  /**
   * @param tabItem if a string is provided, the tab will be resolved automatically
   */
  setSelectedTab(tabItem) {
    this.setProperty('selectedTab', tabItem);
  }
  _setSelectedTab(tabItem) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(TabBox#_selectTab) tab=' + tabItem);
    if (this.selectedTab && this.selectedTab.rendered) {
      this.selectedTab.remove();
    }
    this._setProperty('selectedTab', tabItem);
    this.header.setSelectedTabItem(this.selectedTab);
  }
  _renderSelectedTab() {
    if (this.selectedTab) {
      this.selectedTab.render(this._$tabContent);
      this.selectedTab.get$Scrollable().data('scroll-shadow-customizer', this._updateScrollShadow.bind(this));
    }
    if (this.rendered) {
      this._updateScrollShadow();
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this._$tabContent).invalidateLayoutTree();
    }
  }
  _removeSelectedTab() {
    if (this.selectedTab) {
      this.selectedTab.get$Scrollable().removeData('scroll-shadow-customizer');
      this.selectedTab.remove();
    }
  }
  _updateScrollShadow() {
    if (!this.rendered) {
      return;
    }
    let hasScrollShadowTop = this.selectedTab && this.selectedTab.hasScrollShadow('top');
    let oldHasScrollShadowTop = this.$container.hasClass('has-scroll-shadow-top');
    this.$container.toggleClass('has-scroll-shadow-top', hasScrollShadowTop);
    if (oldHasScrollShadowTop !== hasScrollShadowTop) {
      this.invalidateLayoutTree(false);
    }
    // Enlarge header line if there is a shadow, but only if there is a header (controlled by labelVisible)
    _index__WEBPACK_IMPORTED_MODULE_0__.fields.adjustStatusPositionForScrollShadow(this, () => hasScrollShadowTop && this.labelVisible);
  }
  setTabAreaStyle(tabAreaStyle) {
    this.setProperty('tabAreaStyle', tabAreaStyle);
  }
  _setTabAreaStyle(tabAreaStyle) {
    this.tabAreaStyle = tabAreaStyle;
    if (this.header && this.header.tabArea) {
      this.header.tabArea.setDisplayStyle(tabAreaStyle);
    }
  }
  _renderStatusPosition() {
    super._renderStatusPosition();
    if (!this.fieldStatus) {
      return;
    }
    if (this.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP) {
      // move into header
      this.$status.appendTo(this.header.$container);
    } else {
      this.$status.appendTo(this.$container);
    }
    this.invalidateLayoutTree();
  }
  _updateFieldStatus() {
    super._updateFieldStatus();
    if (this.selectedTab && this.selectedTab.notification) {
      // Also invalidate tab item if a notification is shown because notification size depends on status visibility
      this.selectedTab.invalidateLayoutTree();
    }
  }
  _renderLabelVisible() {
    super._renderLabelVisible();
    this._updateScrollShadow();
  }
  getFields() {
    return this.tabItems;
  }
  getTabItem(tabId) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.tabItems, tabItem => tabItem.id === tabId);
  }
  /**
   * Focuses the selected tab.
   * @returns true if the tab could be focused, false if not.
   */
  focus() {
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.focus.bind(this));
      return false;
    }
    if (this.selectedTab) {
      return this.selectedTab.focus();
    }
  }
  /**
   * @returns the focusable element of the selected tab.
   */
  getFocusableElement() {
    if (this.selectedTab) {
      return this.selectedTab.getFocusableElement();
    }
    return null;
  }
  isTabItemFocused(tabItem) {
    return this.header.isTabItemFocused(tabItem);
  }
  focusTabItem(tabItem) {
    return this.header.focusTabItem(tabItem);
  }
  getTabForItem(tabItem) {
    return this.header.getTabForItem(tabItem);
  }
  _onTabBoxHeaderPropertyChange(event) {
    if (event.propertyName === 'selectedTabItem') {
      this.setSelectedTab(event.newValue);
    }
  }
}
_defineProperty(TabBox, "MenuType", {
  /**
   * In most cases, it is not necessary to set this menu type for a tab box menu because it does not affect the
   * visibility of the menu unless the menu is used for widgets other than the tab box. In this case, the menu type can
   * be used to ensure that the menu is only visible on tab boxes.
   */
  Header: 'TabBox.Header'
});

/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxAdapter.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxAdapter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabBoxAdapter: () => (/* binding */ TabBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.CompositeFieldAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['selectedTab']);
    this._addOrderedProperties(['tabItems', 'selectedTab']);
  }
  exportAdapterData(adapterData) {
    adapterData = super.exportAdapterData(adapterData);
    delete adapterData.selectedTab;
    return adapterData;
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxEventMap.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxHeader.ts":
/*!************************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxHeader.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabBoxHeader: () => (/* binding */ TabBoxHeader)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabBoxHeader extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "tabBox", void 0);
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "$borderBottom", void 0);
    _defineProperty(this, "_tabBoxPropertyChangeHandler", void 0);
    _defineProperty(this, "_tabAreaPropertyChangeHandler", void 0);
    this.tabBox = null;
    this.tabArea = null;
    this.menuBar = null;
    this.$borderBottom = null;
    this._tabBoxPropertyChangeHandler = this._onTabBoxPropertyChange.bind(this);
    this._tabAreaPropertyChangeHandler = this._onTabAreaPropertyChange.bind(this);
  }
  _init(options) {
    super._init(options);
    this.tabArea = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TabArea, {
      parent: this,
      tabBox: this.tabBox
    });
    this.tabArea.on('propertyChange', this._tabAreaPropertyChangeHandler);
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder()
    });
    this.tabBox.on('propertyChange', this._tabBoxPropertyChangeHandler);
    this.menuBar.setMenuItems(this.tabBox.menus);
    this.setVisible(this.tabBox.labelVisible);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tab-box-header');
    this.$borderBottom = this.$container.appendDiv('bottom-border');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TabBoxHeaderLayout(this));
    this.tabArea.render(this.$container);
    this.menuBar.render(this.$container);
    this.$container.append(this.menuBar.$container);
  }
  _destroy() {
    this.tabBox.off('propertyChange', this._tabBoxPropertyChangeHandler);
    this.tabArea.off('propertyChange', this._tabAreaPropertyChangeHandler);
    super._destroy();
  }
  setTabItems(tabItems) {
    this.tabArea.setTabItems(tabItems);
  }
  _setSelectedTab(tab) {
    if (tab) {
      this.setSelectedTabItem(tab.tabItem);
    } else {
      this.setSelectedTabItem(null);
    }
  }
  setSelectedTabItem(tabItem) {
    this.setProperty('selectedTabItem', tabItem);
  }
  _setSelectedTabItem(tabItem) {
    this._setProperty('selectedTabItem', tabItem);
    this.tabArea.setSelectedTabItem(tabItem);
  }
  isTabItemFocused(tabItem) {
    return this.tabArea.isTabItemFocused(tabItem);
  }
  focusTabItem(tabItem) {
    return this.tabArea.focusTabItem(tabItem);
  }
  getTabForItem(tabItem) {
    return this.tabArea.getTabForItem(tabItem);
  }
  _onTabBoxPropertyChange(event) {
    if (event.propertyName === 'menus') {
      this.menuBar.setMenuItems(this.tabBox.menus);
    } else if (event.propertyName === 'labelVisible') {
      this.setVisible(this.tabBox.labelVisible);
    }
  }
  _onTabAreaPropertyChange(event) {
    if (event.propertyName === 'selectedTab') {
      this._setSelectedTab(event.newValue);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxHeaderLayout.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxHeaderLayout.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabBoxHeaderLayout: () => (/* binding */ TabBoxHeaderLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabBoxHeaderLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabBoxHeader) {
    super();
    _defineProperty(this, "tabBoxHeader", void 0);
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "fieldStatusWidth", void 0);
    this.tabBoxHeader = tabBoxHeader;
    this.fieldStatusWidth = null;
    this._initDefaults();
    this.htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this.htmlPropertyChangeHandler);
    this.tabBoxHeader.one('remove', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this.htmlPropertyChangeHandler);
    });
  }
  _initDefaults() {
    this.fieldStatusWidth = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldStatusWidth;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this.tabBoxHeader.invalidateLayoutTree();
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      tabArea = this.tabBoxHeader.tabArea,
      tabAreaMargins = tabArea.htmlComp.margins(),
      tabAreaPrefSize,
      menuBar = this.tabBoxHeader.menuBar,
      menuBarMargins = menuBar.htmlComp.margins(),
      menuBarMinimumSize,
      $status = this.tabBoxHeader.tabBox.$status,
      statusSizeLarge = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      insets = htmlContainer.insets(),
      containerSize = htmlContainer.availableSize({
        exact: true
      }).subtract(htmlContainer.insets());
    menuBarMinimumSize = menuBar.htmlComp.prefSize({
      widthHint: 0
    });
    if (this.tabBoxHeader.tabBox.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP && $status && $status.isVisible()) {
      statusSizeLarge.height = $status.outerHeight(true);
      statusSizeLarge.width = this.fieldStatusWidth + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status).horizontal();
    }
    tabAreaPrefSize = tabArea.htmlComp.prefSize({
      widthHint: containerSize.width - menuBarMinimumSize.width - menuBarMargins.horizontal() - statusSizeLarge.width,
      exact: false
    });
    // layout tabArea
    tabArea.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(tabAreaPrefSize.width, containerSize.height - tabAreaMargins.vertical()));
    menuBar.htmlComp.layout.collapsed = tabArea.htmlComp.layout.overflowTabs.length > 0;
    // layout menuBar
    menuBar.htmlComp.setBounds(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(insets.left + tabAreaPrefSize.width + tabAreaMargins.horizontal(), insets.top, containerSize.width - tabAreaPrefSize.width - tabAreaMargins.horizontal() - menuBarMargins.horizontal() - statusSizeLarge.width, containerSize.height - menuBarMargins.vertical()));
    // layout status
    if (this.tabBoxHeader.tabBox.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP && $status && $status.isVisible()) {
      $status.cssWidth(this.fieldStatusWidth).cssRight(insets.right).cssHeight(containerSize.height - _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status).vertical());
    }
  }
  preferredLayoutSize($container, options) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      insets = htmlContainer.insets(),
      wHint = (options.widthHint || htmlContainer.availableSize().width) - htmlContainer.insets().horizontal(),
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      $status = this.tabBoxHeader.tabBox.$status,
      statusSizeLarge = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      tabArea = this.tabBoxHeader.tabArea,
      tabAreaMargins = tabArea.htmlComp.margins(),
      menuBar = this.tabBoxHeader.menuBar,
      menuBarMargins = menuBar.htmlComp.margins();
    let menuBarMinSize = menuBar.htmlComp.prefSize({
      widthHint: 0
    });
    if (this.tabBoxHeader.tabBox.statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.TOP && $status && $status.isVisible()) {
      statusSizeLarge.height = $status.outerHeight(true);
      statusSizeLarge.width = this.fieldStatusWidth + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status).horizontal();
      prefSize.width += statusSizeLarge.width;
      prefSize.height = Math.max(prefSize.height, statusSizeLarge.height);
    }
    let tabAreaPrefSize = tabArea.htmlComp.prefSize({
      widthHint: wHint - menuBarMinSize.width - menuBarMargins.horizontal() - tabAreaMargins.horizontal() - statusSizeLarge.width
    });
    prefSize.width += tabAreaPrefSize.width + tabAreaMargins.horizontal();
    prefSize.height = Math.max(prefSize.height, tabAreaPrefSize.height + tabAreaMargins.vertical());
    let menuBarPrefSize = menuBar.htmlComp.prefSize({
      widthHint: wHint - tabAreaPrefSize.width - tabAreaMargins.horizontal() - menuBarMargins.horizontal() - statusSizeLarge.width
    });
    prefSize.width += menuBarPrefSize.width + menuBarMargins.horizontal();
    prefSize.height = Math.max(prefSize.height, menuBarPrefSize.height + menuBarMargins.vertical());
    return prefSize.add(insets);
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxLayout.ts":
/*!************************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxLayout.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabBoxLayout: () => (/* binding */ TabBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabBox) {
    super();
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "_tabBox", void 0);
    _defineProperty(this, "_statusWidth", void 0);
    this._tabBox = tabBox;
    this._statusWidth = null;
    this._initDefaults();
    this.htmlPropertyChangeHandler = this._onHtmlEnvironmentPropertyChange.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', this.htmlPropertyChangeHandler);
    this._tabBox.one('remove', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', this.htmlPropertyChangeHandler);
    });
  }
  _initDefaults() {
    this._statusWidth = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().fieldStatusWidth;
  }
  _onHtmlEnvironmentPropertyChange() {
    this._initDefaults();
    this._tabBox.invalidateLayoutTree();
  }
  layout($container) {
    let containerSize,
      tabContentSize,
      headerMargins,
      innerHeaderSize,
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      htmlTabContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this._tabBox._$tabContent),
      htmlHeader = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this._tabBox.header.$container),
      headerWidthHint = 0,
      headerSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      $status = this._tabBox.$status,
      statusPosition = this._tabBox.statusPosition;
    containerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    if (htmlHeader.isVisible()) {
      headerMargins = htmlHeader.margins();
      headerWidthHint = containerSize.subtract(headerMargins).width;
      if ($status && $status.isVisible()) {
        this._layoutStatus();
        if (statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.DEFAULT) {
          headerWidthHint -= this._statusWidth + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status).horizontal();
        }
      }
      innerHeaderSize = htmlHeader.prefSize({
        widthHint: headerWidthHint
      });
      if ($status && $status.isVisible()) {
        this._layoutStatus(innerHeaderSize.height);
      }
      innerHeaderSize.width = headerWidthHint;
      htmlHeader.setSize(innerHeaderSize);
      headerSize = innerHeaderSize.add(headerMargins);
    }
    tabContentSize = containerSize.subtract(htmlTabContent.margins());
    tabContentSize.height -= headerSize.height;
    htmlTabContent.setSize(tabContentSize);
  }
  _layoutStatus() {
    let height = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
    let htmlContainer = this._tabBox.htmlComp,
      containerPadding = htmlContainer.insets({
        includeBorder: false
      }),
      top = containerPadding.top,
      right = containerPadding.right,
      $header = this._tabBox.header.$container,
      $status = this._tabBox.$status,
      statusMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($status),
      statusTop = top,
      statusPosition = this._tabBox.statusPosition,
      statusHeight = height - statusMargins.vertical();
    if (statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.DEFAULT) {
      statusTop += $header.cssMarginTop();
    } else {
      statusHeight -= $status.cssBorderWidthY(); // status has a transparent border to align icon with text
    }
    $status.cssWidth(this._statusWidth).cssTop(statusTop).cssRight(right).cssHeight(statusHeight);
  }
  /**
   * Preferred size of the tab-box aligns every tab-item in a single line, so that each item is visible.
   */
  preferredLayoutSize($container, options) {
    options = options || {};
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      htmlTabContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this._tabBox._$tabContent),
      htmlHeader = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this._tabBox.header.$container),
      headerSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      tabContentSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      $status = this._tabBox.$status,
      statusPosition = this._tabBox.statusPosition,
      headerWidthHint = htmlContainer.availableSize().subtract(htmlContainer.insets()).width;
    // HeightHint not supported
    options.heightHint = null;
    if (htmlHeader.isVisible()) {
      if ($status && $status.isVisible()) {
        if (statusPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.StatusPosition.DEFAULT) {
          headerWidthHint -= $status.outerWidth(true);
        }
      }
      headerSize = htmlHeader.prefSize({
        widthHint: headerWidthHint
      }).add(htmlHeader.margins());
    }
    tabContentSize = htmlTabContent.prefSize(options).add(htmlContainer.insets()).add(htmlTabContent.margins());
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(headerSize.width, tabContentSize.width), tabContentSize.height + headerSize.height);
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabBoxModel.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/tabbox/TabBoxModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/TabEventMap.ts":
/*!***********************************************!*\
  !*** ./src/form/fields/tabbox/TabEventMap.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tabbox/TabItem.ts":
/*!*******************************************!*\
  !*** ./src/form/fields/tabbox/TabItem.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabItem: () => (/* binding */ TabItem)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabItem extends _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox {
  constructor() {
    super();
    _defineProperty(this, "selectionKeystroke", void 0);
    _defineProperty(this, "marked", void 0);
    this.selectionKeystroke = null;
    this.marked = false;
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TabItemLayout(this);
  }
  /**
   * Handled by {@link Tab}
   */
  _computeTitleVisible(labelVisible) {
    return false;
  }
  /**
   * Handled by {@link Tab}
   */
  addStatus() {
    // void
  }
  /**
   * Handled by {@link Tab}
   */
  _computeStatusVisible() {
    return false;
  }
  setMarked(marked) {
    this.setProperty('marked', marked);
  }
  getContextMenuItems() {
    let onlyVisible = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    return [];
  }
  /**
   * Selects and focuses the corresponding {@link Tab}.
   * @returns true if the tab could be focused, false if not
   */
  focus() {
    this.select();
    // ensure the focus is on the tab
    return this.parent.focusTabItem(this);
  }
  isFocused() {
    return this.parent.isTabItemFocused(this);
  }
  select() {
    if (this.parent.selectedTab !== this) {
      this.parent.setSelectedTab(this);
    }
  }
  getTab() {
    return this.parent.getTabForItem(this);
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabItemAdapter.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/tabbox/TabItemAdapter.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabItemAdapter: () => (/* binding */ TabItemAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabItemAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxAdapter {}

/***/ }),

/***/ "./src/form/fields/tabbox/TabItemKeyStroke.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/tabbox/TabItemKeyStroke.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabItemKeyStroke: () => (/* binding */ TabItemKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabItemKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(keyStroke, field) {
    super();
    this.field = field;
    this.parseAndSetKeyStroke(keyStroke);
    this.renderingHints.offset = 16;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.renderingHints.render = () => {
      let tab = this.field.getTab();
      return tab && tab.rendered;
    };
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.getTab().$container;
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.select();
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabItemLayout.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/tabbox/TabItemLayout.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabItemLayout: () => (/* binding */ TabItemLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TabItemLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxLayout {
  constructor(tabItem) {
    super(tabItem);
  }
  _$status() {
    // Use status area from tab box for alignment purposes (e.g. to align notification with title border)
    return this.groupBox.parent.$status;
  }
  _layoutStatus() {
    // Nothing to layout here because the status of the tab item is displayed in the tab (see TabItem.addStatus, Tab._updateStatus)
  }
  _menuBarSize(htmlMenuBar, containerSize, statusWidth) {
    let menuBarSize = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize);
    let tabBox = this.groupBox.parent;
    menuBarSize.width = tabBox.header.$container.outerWidth();
    return menuBarSize;
  }
  _headerHeight() {
    return 0;
  }
}

/***/ }),

/***/ "./src/form/fields/tabbox/TabModel.ts":
/*!********************************************!*\
  !*** ./src/form/fields/tabbox/TabModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tablefield/TableField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/tablefield/TableField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableField: () => (/* binding */ TableField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "eventDelegator", void 0);
    _defineProperty(this, "_tableChangedHandler", void 0);
    _defineProperty(this, "_deletedRows", void 0);
    _defineProperty(this, "_insertedRows", void 0);
    _defineProperty(this, "_updatedRows", void 0);
    _defineProperty(this, "_checkedRows", void 0);
    this.gridDataHints.weightY = 1.0;
    this.gridDataHints.h = 3;
    this.eventDelegator = null;
    this._tableChangedHandler = this._onTableChanged.bind(this);
    this._deletedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._insertedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._updatedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._checkedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this.table = null;
    this._addWidgetProperties(['table']);
  }
  _init(model) {
    super._init(model);
    this._setTable(this.table);
  }
  _createValidationResultProvider() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableFieldValidationResultProvider, {
      field: this
    });
  }
  _render() {
    this.addContainer(this.$parent, 'table-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    this._renderTable();
  }
  setTable(table) {
    this.setProperty('table', table);
  }
  _setTable(table) {
    if (this.table) {
      this.table.off(TableField.TABLE_CHANGE_EVENTS, this._tableChangedHandler);
      if (this.eventDelegator) {
        this.eventDelegator.destroy();
        this.eventDelegator = null;
      }
    }
    this._setProperty('table', table);
    if (table) {
      table.on(TableField.TABLE_CHANGE_EVENTS, this._tableChangedHandler);
      this.eventDelegator = _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(this, table, {
        delegateProperties: ['enabled', 'disabledStyle', 'loading']
      });
      table.setDisabledStyle(this.disabledStyle);
      table.setLoading(this.loading);
      table.setScrollTop(this.scrollTop);
    }
  }
  _renderTable() {
    if (!this.table) {
      return;
    }
    this.table.render();
    this.addField(this.table.$container);
    this.$field.addDeviceClass();
    this.invalidateLayoutTree();
  }
  _removeTable() {
    if (!this.table) {
      return;
    }
    this.table.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
  computeSaveNeeded() {
    return Object.keys(this._deletedRows).length > 0 || Object.keys(this._insertedRows).length > 0 || Object.keys(this._updatedRows).length > 0 || Object.keys(this._checkedRows).length > 0;
  }
  _computeEmpty() {
    return !this.table || this.table.rows.length === 0;
  }
  _onTableChanged(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.type, 'rowsDeleted', 'allRowsDeleted')) {
      this._updateDeletedRows(event.rows);
    } else if (event.type === 'rowsInserted') {
      this._updateInsertedRows(event.rows);
    } else if (event.type === 'rowsUpdated') {
      this._updateUpdatedRows(event.rows);
    } else if (event.type === 'rowsChecked') {
      this._updateCheckedRows(event.rows);
    }
  }
  _updateDeletedRows(rows) {
    rows.forEach(row => {
      if (row.id in this._insertedRows) {
        // If a row is contained in _insertedRows an inserted row has been deleted again.
        // In that case we can remove that row from the maps and don't have to add it to deletedRows as well.
        delete this._insertedRows[row.id];
        delete this._updatedRows[row.id];
        delete this._checkedRows[row.id];
        return;
      }
      this._deletedRows[row.id] = row;
    });
    this.updateSaveNeeded();
    this._updateEmpty();
  }
  _updateInsertedRows(rows) {
    rows.forEach(row => {
      this._insertedRows[row.id] = row;
    });
    this.updateSaveNeeded();
    this._updateEmpty();
  }
  _updateUpdatedRows(rows) {
    rows.forEach(row => {
      if (row.status === _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.NON_CHANGED) {
        return;
      }
      this._updatedRows[row.id] = row;
    });
    this.updateSaveNeeded();
  }
  /**
   * If a row already exists in the _checkedRows array, remove it (row was checked/unchecked again, which
   * means it is no longer changed). Add it to the array otherwise.
   */
  _updateCheckedRows(rows) {
    rows.forEach(row => {
      if (row.id in this._checkedRows) {
        delete this._checkedRows[row.id];
      } else {
        this._checkedRows[row.id] = row;
      }
    });
    this.updateSaveNeeded();
  }
  _markAsSaved() {
    var _this$table;
    super._markAsSaved();
    this._deletedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._insertedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._updatedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._checkedRows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    (_this$table = this.table) === null || _this$table === void 0 || _this$table.markRowsAsNonChanged();
  }
  getDelegateScrollable() {
    return this.table;
  }
}
_defineProperty(TableField, "TABLE_CHANGE_EVENTS", 'rowsInserted rowsDeleted allRowsDeleted rowsUpdated rowsChecked');

/***/ }),

/***/ "./src/form/fields/tablefield/TableFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/tablefield/TableFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableFieldAdapter: () => (/* binding */ TableFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/tablefield/TableFieldEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/tablefield/TableFieldEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tablefield/TableFieldModel.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/tablefield/TableFieldModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tablefield/TableFieldValidationResultProvider.ts":
/*!**************************************************************************!*\
  !*** ./src/form/fields/tablefield/TableFieldValidationResultProvider.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableFieldValidationResultProvider: () => (/* binding */ TableFieldValidationResultProvider)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../.. */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableFieldValidationResultProvider extends ___WEBPACK_IMPORTED_MODULE_0__.FormFieldValidationResultProvider {
  provide(errorStatus) {
    let desc = super.provide(errorStatus);
    if (desc && !desc.valid) {
      return desc;
    }
    let cellValidationResult = this._getCellResult(desc);
    let label = this.field.label || '';
    if (label && cellValidationResult.label) {
      label += ': ';
    }
    label += cellValidationResult.label;
    if (cellValidationResult.errorStatus) {
      errorStatus = cellValidationResult.errorStatus;
    }
    let reveal = cellValidationResult.reveal || (() => {
      // nop
    });
    let validByMandatory = (!this.field.mandatory || !this.field.empty) && cellValidationResult.validByMandatory;
    let validByErrorStatus = !errorStatus || errorStatus.isValid();
    return {
      valid: validByErrorStatus && validByMandatory,
      validByMandatory,
      errorStatus,
      field: this.field,
      label: label,
      reveal: reveal
    };
  }
  _getCellResult(desc) {
    var _this$field$table, _this$field$table2;
    let rows = ___WEBPACK_IMPORTED_MODULE_0__.arrays.ensure((_this$field$table = this.field.table) === null || _this$field$table === void 0 ? void 0 : _this$field$table.rows);
    let columns = ___WEBPACK_IMPORTED_MODULE_0__.arrays.ensure((_this$field$table2 = this.field.table) === null || _this$field$table2 === void 0 ? void 0 : _this$field$table2.columns);
    let invalidCellLabels = new Set();
    let invalidCellMessages = new Set();
    let errorStatus;
    let validByMandatory = true;
    let reveal;
    for (let row of rows) {
      for (let column of columns) {
        var _cellResult$errorStat, _cellResult$errorStat2;
        let cellResult = column.isContentValid(row);
        if (cellResult.valid) {
          continue;
        }
        if (!reveal) {
          // Focus first invalid cell
          reveal = () => {
            desc.reveal();
            this.field.table.focusCell(column, row);
          };
        }
        let label = this._getCellLabel(column, row);
        if (label) {
          invalidCellLabels.add(label);
        }
        if ((_cellResult$errorStat = cellResult.errorStatus) !== null && _cellResult$errorStat !== void 0 && _cellResult$errorStat.message) {
          invalidCellMessages.add(cellResult.errorStatus.message);
        }
        // Use error status with the highest severity
        if (!errorStatus) {
          errorStatus = cellResult.errorStatus;
        } else if (((_cellResult$errorStat2 = cellResult.errorStatus) === null || _cellResult$errorStat2 === void 0 ? void 0 : _cellResult$errorStat2.severity) > errorStatus.severity) {
          errorStatus = cellResult.errorStatus;
        }
        validByMandatory = validByMandatory && cellResult.validByMandatory;
      }
    }
    let label = ___WEBPACK_IMPORTED_MODULE_0__.arrays.format(Array.from(invalidCellLabels.values()), ', ');
    if (errorStatus && (invalidCellMessages.size > 1 || !validByMandatory)) {
      // If there are indistinct error messages, clear the message to only show the column names.
      // Also clear it if a mandatory cell is empty and another one invalid because the message only belongs to the invalid cell.
      errorStatus = ___WEBPACK_IMPORTED_MODULE_0__.scout.create(___WEBPACK_IMPORTED_MODULE_0__.Status, $.extend({}, errorStatus, {
        message: ''
      }));
    }
    return {
      label,
      errorStatus,
      validByMandatory,
      reveal
    };
  }
  _getCellLabel(column, row) {
    return column.text;
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagChooserPopup.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/tagfield/TagChooserPopup.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagChooserPopup: () => (/* binding */ TagChooserPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagChooserPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "field", void 0);
    this.table = null;
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
  }
  _init(model) {
    super._init(model);
    let column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Column, {
      session: this.session,
      text: 'Tag',
      autoOptimizeWidth: false
    });
    this.table = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Table, {
      parent: this,
      headerVisible: false,
      autoResizeColumns: true,
      multiSelect: false,
      scrollToSelection: true,
      columns: [column],
      headerMenusEnabled: false,
      textFilterEnabled: false
    });
    this.table.on('rowClick', this._onRowClick.bind(this));
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TagChooserPopupLayout(this);
  }
  _render() {
    super._render();
    this.$container.addClass('tag-chooser-popup').on('mousedown', this._onContainerMouseDown.bind(this));
    this.findDesktop().adjustOverlayOrder(this);
    this._renderTable();
  }
  _renderTable() {
    this.table.setVirtual(false);
    this.table.render();
    // Make sure table never gets the focus, but looks focused
    this.table.$container.setTabbable(false).addClass('focused');
  }
  setLookupResult(result) {
    let lookupRows = result.lookupRows;
    this.table.deleteAllRows();
    let tableRows = lookupRows.map(lookupRow => _index__WEBPACK_IMPORTED_MODULE_0__.lookupField.createTableRow(lookupRow));
    this.table.insertRows(tableRows);
  }
  _onRowClick(event) {
    this.triggerLookupRowSelected();
  }
  /**
   * This event handler is called before the mousedown handler on the _document_ is triggered
   * This allows us to prevent the default, which is important for the CellEditorPopup which
   * should stay open when the SmartField popup is closed. It also prevents the focus blur
   * event on the SmartField input-field.
   */
  _onContainerMouseDown(event) {
    // when user clicks on proposal popup with table or tree (prevent default, so input-field does not lose the focus, popup will be closed by the proposal chooser impl.)
    return false;
  }
  _isMouseDownOnAnchor(event) {
    return this.field.$field.isOrHas(event.target);
  }
  delegateKeyEvent(event) {
    event.originalEvent.smartFieldEvent = true;
    this.table.$container.trigger(event);
  }
  triggerLookupRowSelected(row) {
    row = row || this.selectedRow();
    if (!row || !row.enabled) {
      return;
    }
    this.trigger('lookupRowSelected', {
      lookupRow: row.lookupRow
    });
  }
  selectedRow() {
    return this.table.selectedRow();
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagChooserPopupEventMap.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/tagfield/TagChooserPopupEventMap.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tagfield/TagChooserPopupLayout.ts":
/*!***********************************************************!*\
  !*** ./src/form/fields/tagfield/TagChooserPopupLayout.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagChooserPopupLayout: () => (/* binding */ TagChooserPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagChooserPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  layout($container) {
    super.layout($container);
    // layout table
    let htmlComp = this.popup.htmlComp;
    let size = htmlComp.size().subtract(htmlComp.insets());
    this.popup.table.htmlComp.setSize(size);
    this.popup.position();
  }
  preferredLayoutSize($container, options) {
    let tableHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableLayoutResetter, this.popup.table);
    tableHandler.modifyDom();
    let prefSize = super.preferredLayoutSize($container);
    tableHandler.restoreDom();
    return prefSize;
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagChooserPopupModel.ts":
/*!**********************************************************!*\
  !*** ./src/form/fields/tagfield/TagChooserPopupModel.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tagfield/TagField.ts":
/*!**********************************************!*\
  !*** ./src/form/fields/tagfield/TagField.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagField: () => (/* binding */ TagField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagField extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super();
    _defineProperty(this, "lookupCall", void 0);
    _defineProperty(this, "maxLength", void 0);
    _defineProperty(this, "fieldHtmlComp", void 0);
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "tagBar", void 0);
    _defineProperty(this, "maxLengthHandler", void 0);
    /** @internal */
    _defineProperty(this, "_currentLookupCall", void 0);
    this.$field = null;
    this.fieldHtmlComp = null;
    this.popup = null;
    this.lookupCall = null;
    this._currentLookupCall = null;
    this.tagBar = null;
    this.maxLength = 500;
    this.maxLengthHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MaxLengthHandler, {
      target: this
    });
  }
  _init(model) {
    super._init(model);
    this.tagBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TagBar, {
      parent: this,
      tags: this.value,
      clickable: model.clickable
    });
    this.tagBar.on('tagRemove', this._onTagRemove.bind(this));
    this.on('propertyChange', this._onValueChange.bind(this));
    this._setLookupCall(this.lookupCall);
  }
  _onTagRemove(event) {
    this.removeTag(event.tag);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldEnterKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldNavigationKeyStroke(this._createFieldAdapter()), new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldDeleteKeyStroke(this._createFieldAdapter()), new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldOpenPopupKeyStroke(this)]);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
  }
  _render() {
    this.addContainer(this.$parent, 'tag-field', new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldLayout(this));
    this.addLabel();
    this.addMandatoryIndicator();
    let $fieldContainer = this.$container.appendDiv();
    this.fieldHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install($fieldContainer, this.session);
    this.fieldHtmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldContainerLayout(this));
    this.tagBar.render($fieldContainer);
    let $field = $fieldContainer.appendElement('<input>', 'field').attr('type', 'text') // So that css rules from main.less are applied
    .on('keydown', this._onInputKeydown.bind(this)).on('keyup', this._onInputKeyup.bind(this)).on('input', this._onFieldInput.bind(this));
    this.addFieldContainer($fieldContainer);
    this.addField($field);
    this.maxLengthHandler.install($field);
    this.addStatus();
    this._addAriaFieldDescription();
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$field, this.id + '-func-desc', this.session.text('ui.AriaTagFieldDescription'));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValue();
    this._renderMaxLength();
  }
  _renderValue() {
    this.tagBar.updateTags();
  }
  _setValue(value) {
    super._setValue(value);
    if (this.tagBar) {
      // required for _init case
      this.tagBar.setTags(this.value /* do not use the function parameter here. instead use the member variable because the value might have changed in a validator. */);
    }
  }
  _setLookupCall(lookupCall) {
    this._setProperty('lookupCall', _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(lookupCall, this.session));
  }
  formatValue(value) {
    // Info: value and displayText are not related in the TagField
    return '';
  }
  _validateValue(value) {
    let tags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(value);
    let result = [];
    tags.forEach(tag => {
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(tag)) {
        tag = tag.toLowerCase();
        if (result.indexOf(tag) < 0) {
          result.push(tag);
        }
      }
    });
    return result;
  }
  _parseValue(displayText) {
    let tags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.value);
    tags = tags.slice();
    tags.push(displayText);
    return tags;
  }
  _renderDisplayText() {
    this.$field.val(this.displayText); // needs to be before super call (otherwise updateHasText fails)
    super._renderDisplayText();
    this._updateInputVisible();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._updateInputVisible();
  }
  _renderFieldStyle() {
    super._renderFieldStyle();
    if (this.rendered) {
      this.fieldHtmlComp.invalidateLayoutTree();
    }
  }
  setMaxLength(maxLength) {
    this.setProperty('maxLength', maxLength);
  }
  _renderMaxLength() {
    this.maxLengthHandler.render();
  }
  _updateInputVisible() {
    let visible,
      oldVisible = !this.$field.isVisible();
    if (this.enabledComputed) {
      visible = true;
    } else {
      visible = _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.displayText);
    }
    this.$field.setVisible(visible);
    // update tag-elements (must remove X when disabled)
    if (visible !== oldVisible) {
      this._renderValue();
    }
  }
  _readDisplayText() {
    return this.$field.val();
  }
  _clear() {
    this.$field.val('');
  }
  acceptInput(whileTyping) {
    if (this.popup) {
      if (this.popup.selectedRow()) {
        this.popup.triggerLookupRowSelected();
      } else {
        this.closePopup();
      }
      return;
    }
    super.acceptInput(false);
  }
  _triggerAcceptInput(whileTyping) {
    this.trigger('acceptInput', {
      displayText: this.displayText,
      whileTyping: whileTyping,
      value: this.value
    });
  }
  aboutToBlurByMouseDown(target) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.fields.eventOutsideProposalField(this, target)) {
      this.acceptInput(true);
    }
  }
  _onFieldBlur(event) {
    // We cannot call super until chooser popup has been closed (see #acceptInput)
    this.closePopup();
    super._onFieldBlur(event);
    if (this.rendered && !this.removing) {
      this.tagBar.blur();
    }
  }
  _onFieldFocus(event) {
    super._onFieldFocus(event);
    if (this.rendered && !this.removing) {
      this.tagBar.focus();
    }
  }
  _onFieldInput() {
    this._updateHasText();
  }
  addTag(text) {
    let value = this._parseValue(text);
    this.setValue(value);
    this._triggerAcceptInput();
  }
  removeTag(tag) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(tag)) {
      return;
    }
    tag = tag.toLowerCase();
    let tags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.value);
    if (tags.indexOf(tag) === -1) {
      return;
    }
    tags = tags.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(tags, tag);
    this.setValue(tags);
    this._triggerAcceptInput();
    // focus was previously on the removed tag, restore focus on the field.
    this.focus();
  }
  _onInputKeydown(event) {
    if (this._isNavigationKey(event) && this.popup) {
      this.popup.delegateKeyEvent(event);
    } else if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      this.closePopup();
    }
  }
  _isNavigationKey(event) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN, _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN]);
  }
  _onInputKeyup(event) {
    // Prevent chooser popup from being opened again, after it has been closed by pressing ESC
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      return;
    }
    if (!this._isNavigationKey(event)) {
      this._lookupByText(this.$field.val());
    }
  }
  _lookupByText(text) {
    if (!this.lookupCall) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text) || text.length < 2) {
      this.closePopup();
      return;
    }
    this._currentLookupCall = this.lookupCall.cloneForText(text);
    this.trigger('prepareLookupCall', {
      lookupCall: this._currentLookupCall
    });
    this._currentLookupCall.execute().always(() => {
      this._currentLookupCall = null;
    }).done(this._onLookupDone.bind(this));
  }
  _onLookupDone(result) {
    try {
      if (!this.rendered || !this.isFocused() || result.lookupRows.length === 0) {
        this.closePopup();
        return;
      }
      this.openPopup();
      this.popup.setLookupResult(result);
    } finally {
      this.trigger('lookupCallDone', {
        result: result
      });
    }
  }
  openPopup() {
    if (this.popup) {
      return;
    }
    this.popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TagChooserPopup, {
      parent: this,
      $anchor: this.$field,
      boundToAnchor: true,
      closeOnAnchorMouseDown: false,
      field: this
    });
    this.popup.on('lookupRowSelected', this._onLookupRowSelected.bind(this));
    this.popup.one('close', this._onPopupClose.bind(this));
    this.popup.open();
  }
  closePopup() {
    if (this.popup && !this.popup.destroying) {
      this.popup.close();
    }
  }
  _onLookupRowSelected(event) {
    this._clear();
    this._updateHasText();
    this.addTag(event.lookupRow.key);
    this.closePopup();
  }
  _onPopupClose(event) {
    this.popup = null;
  }
  isInputFocused() {
    let ae = this.$fieldContainer.activeElement();
    return this.$field.is(ae);
  }
  _onValueChange(event) {
    if ('value' === event.propertyName) {
      this._renderLabel();
    }
  }
  _renderPlaceholder($field) {
    // only render placeholder when tag field is empty (has no tags)
    let hasTags = !!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.value).length;
    $field = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($field, this.$field);
    if ($field) {
      $field.placeholder(hasTags ? '' : this.label);
    }
  }
  _createFieldAdapter() {
    return TagField.createFieldAdapter(this);
  }
  static createFieldAdapter(field) {
    return {
      $container: () => field.$fieldContainer,
      enabled: () => _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(field._readDisplayText()),
      focus: () => field.$field.focus(),
      removeTag: tag => field.removeTag(tag)
    };
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldAdapter: () => (/* binding */ TagFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupFieldAdapter {
  _initProperties(model) {
    super._initProperties(model);
    if (model.insertText !== undefined) {
      // ignore pseudo property initially (to prevent the function StringField#insertText() to be replaced)
      delete model.insertText;
    }
  }
  /** @internal */
  _postCreateWidget() {
    super._postCreateWidget();
    let lookupCallType = _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupCall;
    this.widget.lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(lookupCallType, this);
  }
  _syncResult(result) {
    let currentLookupCall = this.widget._currentLookupCall;
    if (currentLookupCall) {
      currentLookupCall.resolveLookup(result);
    }
  }
  _onWidgetAcceptInput(event) {
    this._send('acceptInput', {
      displayText: event.displayText,
      value: event.value
    });
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldContainerLayout.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldContainerLayout.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldContainerLayout: () => (/* binding */ TagFieldContainerLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagFieldContainerLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tagField) {
    super();
    _defineProperty(this, "tagField", void 0);
    this.tagField = tagField;
  }
  /**
   * When there is not a lot of space in a single line field, the input field should at least
   * have 33% of the available width, which means 66% is used to display tags.
   */

  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let hasTags = this.tagField.value && this.tagField.value.length > 0;
    let $input = this.tagField.$field;
    let htmlTagBar = this.tagField.tagBar.htmlComp;
    this.tagField.tagBar.setVisible(hasTags);
    if (hasTags) {
      $input.removeClass('fullwidth');
      let availableSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
      let maxTagBarWidth = availableSize.width;
      // when input field is not visible, tags may use the whole width, otherwise only a part of it
      if ($input.isVisible()) {
        maxTagBarWidth = availableSize.width * (1 - TagFieldContainerLayout.MIN_INPUT_TAG_RATIO);
      }
      let prefTagBarSize = htmlTagBar.prefSize(true);
      let tagBarWidth = Math.min(maxTagBarWidth, prefTagBarSize.width);
      htmlTagBar.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(tagBarWidth, prefTagBarSize.height).subtract(htmlTagBar.margins()));
      let inputWidth = availableSize.width - tagBarWidth;
      $input.cssWidth(inputWidth);
    } else {
      // remove style to delete previously set layout attributes
      $input.addClass('fullwidth').removeAttr('style');
    }
  }
}
_defineProperty(TagFieldContainerLayout, "MIN_INPUT_TAG_RATIO", 0.33);

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldDeleteKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldDeleteKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldDeleteKeyStroke: () => (/* binding */ TagFieldDeleteKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * @param fieldAdapter acts as an interface so we can use the same key-stroke for TagField and TagBarOverflowPopup.
 *
 */
class TagFieldDeleteKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(fieldAdapter) {
    super();
    _defineProperty(this, "fieldAdapter", void 0);
    this.fieldAdapter = fieldAdapter;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE];
    this.renderingHints.render = false;
    this.preventDefault = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    return this._$focusedTag().length > 0;
  }
  handle(event) {
    let $tag = this._$focusedTag();
    let tag = _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.getTagData($tag);
    this.fieldAdapter.removeTag(tag);
  }
  _$focusedTag() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.findFocusedTagElement(this.fieldAdapter.$container());
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldEnterKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldEnterKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldEnterKeyStroke: () => (/* binding */ TagFieldEnterKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagFieldEnterKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tagField) {
    super();
    this.field = tagField;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.renderingHints.render = false;
    this.preventDefault = false;
    this.stopPropagation = true;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    // set the stopPropagation flag dynamically. While the user is typing we only want the field
    // to apply the current displayText as tag, when the user presses ENTER. But when the displayText
    // is empty, the ENTER key should propagate up to the form.
    this.stopPropagation = _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.field._readDisplayText());
    return this.field.isInputFocused();
  }
  handle(event) {
    this.field.acceptInput();
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldEventMap.ts":
/*!******************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldLayout.ts":
/*!****************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldLayout.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldLayout: () => (/* binding */ TagFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(field) {
    super(field);
  }
  _$elementForIconLayout() {
    // The field container has the border and not the input ($field) element
    return this.formField.$fieldContainer;
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldModel.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldNavigationKeyStroke.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldNavigationKeyStroke.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldNavigationKeyStroke: () => (/* binding */ TagFieldNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * @param fieldAdapter acts as an interface so we can use the same key-stroke for TagField and TagBarOverflowPopup.
 *
 */
class TagFieldNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(fieldAdapter) {
    super();
    _defineProperty(this, "fieldAdapter", void 0);
    this.fieldAdapter = fieldAdapter;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.preventDefault = false;
    this.preventInvokeAcceptInputOnActiveValueField = true;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    return this.fieldAdapter.enabled();
  }
  handle(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT) {
      this._focusTagElement(-1);
    } else if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT) {
      this._focusTagElement(1);
    }
  }
  _focusTagElement(direction) {
    let UNDEFINED = -1;
    let INPUT = -2;
    // find overflow-icon and all tag-elements
    let $focusTargets = _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.findFocusableTagElements(this.fieldAdapter.$container());
    let numTargets = $focusTargets.length;
    if (numTargets === 0) {
      return;
    }
    // check which element has the focus
    let focusIndex = UNDEFINED;
    $focusTargets.each(function (index) {
      let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      if ($element.hasClass('focused')) {
        focusIndex = index;
      }
    });
    if (focusIndex === UNDEFINED) {
      // no tag-elements focused currently
      if (direction === -1) {
        focusIndex = numTargets - 1;
      }
    } else {
      let nextFocusIndex = focusIndex + direction;
      if (nextFocusIndex >= numTargets) {
        focusIndex = INPUT;
      } else if (nextFocusIndex < 0) {
        focusIndex = UNDEFINED;
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.unfocusTagElement($focusTargets.eq(focusIndex));
        focusIndex = nextFocusIndex;
      }
    }
    if (focusIndex === UNDEFINED) {
      // leave focus untouched
    } else if (focusIndex === INPUT) {
      this.fieldAdapter.focus();
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.focusTagElement($focusTargets.eq(focusIndex));
    }
  }
}

/***/ }),

/***/ "./src/form/fields/tagfield/TagFieldOpenPopupKeyStroke.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/tagfield/TagFieldOpenPopupKeyStroke.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagFieldOpenPopupKeyStroke: () => (/* binding */ TagFieldOpenPopupKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagFieldOpenPopupKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tagField) {
    super();
    this.field = tagField;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.renderingHints.render = false;
    this.preventDefault = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    return this.field.tagBar && this.field.tagBar.isOverflowIconFocused();
  }
  handle(event) {
    this.field.tagBar.openOverflowPopup();
  }
}

/***/ }),

/***/ "./src/form/fields/tilefield/TileField.ts":
/*!************************************************!*\
  !*** ./src/form/fields/tilefield/TileField.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileField: () => (/* binding */ TileField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "tileGrid", void 0);
    _defineProperty(this, "eventDelegator", void 0);
    this.eventDelegator = null;
    this._addWidgetProperties(['tileGrid']);
  }
  _init(model) {
    super._init(model);
    this._setTileGrid(this.tileGrid);
  }
  _createLoadingSupport() {
    // Loading is delegated to tileGrid
    return null;
  }
  _render() {
    this.addContainer(this.$parent, 'tile-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    if (this.tileGrid) {
      this._renderTileGrid();
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderDropType();
  }
  setTileGrid(tileGrid) {
    this.setProperty('tileGrid', tileGrid);
  }
  _setTileGrid(tileGrid) {
    if (this.tileGrid) {
      if (this.eventDelegator) {
        this.eventDelegator.destroy();
        this.eventDelegator = null;
      }
    }
    this._setProperty('tileGrid', tileGrid);
    if (tileGrid) {
      this.eventDelegator = _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(this, tileGrid, {
        delegateProperties: ['loading']
      });
      tileGrid.setLoading(this.loading);
      tileGrid.setScrollTop(this.scrollTop);
    }
  }
  _renderTileGrid() {
    if (!this.tileGrid) {
      return;
    }
    this.tileGrid.render();
    this.addField(this.tileGrid.$container);
    this.invalidateLayoutTree();
  }
  _removeTileGrid() {
    if (!this.tileGrid) {
      return;
    }
    this.tileGrid.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
  getDelegateScrollable() {
    return this.tileGrid;
  }
}

/***/ }),

/***/ "./src/form/fields/tilefield/TileFieldAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/tilefield/TileFieldAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileFieldAdapter: () => (/* binding */ TileFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/tilefield/TileFieldEventMap.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/tilefield/TileFieldEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/tilefield/TileFieldModel.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/tilefield/TileFieldModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/treebox/TreeBox.ts":
/*!********************************************!*\
  !*** ./src/form/fields/treebox/TreeBox.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeBox: () => (/* binding */ TreeBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TreeBox extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupBox {
  constructor() {
    super();
    _defineProperty(this, "tree", void 0);
    _defineProperty(this, "_populating", void 0);
    this.tree = null;
    this._populating = false;
    this._addWidgetProperties(['tree', 'filterBox']);
  }
  _init(model) {
    super._init(model);
    this.tree.on('nodesChecked', this._onTreeNodesChecked.bind(this));
    this.tree.setScrollTop(this.scrollTop);
  }
  _initStructure(value) {
    if (!this.tree) {
      this.tree = this._createDefaultTreeBoxTree();
    }
  }
  _render() {
    super._render();
    this.$container.addClass('tree-box');
  }
  _createFieldContainerLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TreeBoxLayout(this, this.tree, this.filterBox);
  }
  _renderStructure() {
    this.tree.render(this.$fieldContainer);
    this.addField(this.tree.$container);
  }
  _onTreeNodesChecked(event) {
    if (this._populating) {
      return;
    }
    this._syncTreeToValue();
  }
  _syncTreeToValue() {
    if (!this.lookupCall || this._valueSyncing) {
      return;
    }
    this._valueSyncing = true;
    let valueArray = _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this.tree.nodesMap).filter(node => node.checked).map(node => node.lookupRow.key);
    this.setValue(valueArray);
    this._valueSyncing = false;
  }
  _valueChanged() {
    super._valueChanged();
    this._syncValueToTree(this.value);
  }
  _syncValueToTree(newValue) {
    if (!this.lookupCall || this._valueSyncing || !this.initialized) {
      return;
    }
    this._valueSyncing = true;
    let opts = {
      checkOnlyEnabled: false
    };
    try {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(newValue)) {
        this.uncheckAll(opts);
      } else {
        // if lookup was not executed yet: do it now.
        let lookupScheduled = this._ensureLookupCallExecuted();
        if (lookupScheduled) {
          return; // was the first lookup: tree has no nodes yet. cancel sync. Will be executed again after lookup execution.
        }
        this.uncheckAll(opts);
        _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this.tree.nodesMap).forEach(node => {
          if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.contains(newValue, node.lookupRow.key)) {
            this.tree.checkNode(node, true, opts);
          }
        }, this);
      }
      this._updateDisplayText();
    } finally {
      this._valueSyncing = false;
    }
    if (this.tree.autoCheckChildren) {
      // The value can change because of parent nodes checking their children
      this._syncTreeToValue();
    }
  }
  uncheckAll(options) {
    for (let nodeId in this.tree.nodesMap) {
      if (this.tree.nodesMap.hasOwnProperty(nodeId)) {
        this.tree.uncheckNode(this.tree.nodesMap[nodeId], options);
      }
    }
  }
  _lookupByAllDone(result) {
    super._lookupByAllDone(result);
    this._populateTree(result);
  }
  _populateTree(result) {
    let topLevelNodes = [];
    this._populating = true;
    this._populateTreeRecursive(null, topLevelNodes, result.lookupRows);
    this.tree.deleteAllNodes();
    this.tree.insertNodes(topLevelNodes);
    this._populating = false;
    this._syncValueToTree(this.value);
  }
  _populateTreeRecursive(parentKey, nodesArray, lookupRows) {
    let node;
    lookupRows.forEach(function (lookupRow) {
      if (lookupRow.parentKey === parentKey) {
        node = this._createNode(lookupRow);
        this._populateTreeRecursive(node.lookupRow.key, node.childNodes, lookupRows);
        node.leaf = !node.childNodes.length;
        nodesArray.push(node);
      }
    }, this);
  }
  /**
   * Returns a lookup row for each node currently checked.
   */
  getCheckedLookupRows() {
    if (this.value === null || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.value) || this.tree.nodes.length === 0) {
      return [];
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this.tree.nodesMap).filter(node => node.checked).map(node => node.lookupRow);
  }
  _createNode(lookupRow) {
    let node = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TreeNode, {
      parent: this.tree,
      text: lookupRow.text,
      lookupRow: lookupRow
    });
    if (lookupRow.iconId) {
      node.iconId = lookupRow.iconId;
    }
    if (lookupRow.tooltipText) {
      node.tooltipText = lookupRow.tooltipText;
    }
    if (lookupRow.backgroundColor) {
      node.backgroundColor = lookupRow.backgroundColor;
    }
    if (lookupRow.foregroundColor) {
      node.foregroundColor = lookupRow.foregroundColor;
    }
    if (lookupRow.font) {
      node.font = lookupRow.font;
    }
    if (lookupRow.enabled === false) {
      node.enabled = false;
    }
    if (lookupRow.cssClass) {
      node.cssClass = lookupRow.cssClass;
    }
    if (lookupRow.active === false) {
      node.active = false;
      node.cssClass = (node.cssClass ? node.cssClass + ' ' : '') + 'inactive';
    }
    return node;
  }
  _prepareWidgetProperty(propertyName, models) {
    if (propertyName === 'tree' && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isPojo(models)) {
      // Enhance given model with tree box specific defaults
      models = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this._createDefaultTreeBoxTreeModel(), models);
    }
    return super._prepareWidgetProperty(propertyName, models);
  }
  _createDefaultTreeBoxTree() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tree, {
      parent: this,
      ...this._createDefaultTreeBoxTreeModel()
    });
  }
  _createDefaultTreeBoxTreeModel() {
    return {
      checkable: true
    };
  }
  getDelegateScrollable() {
    return this.tree;
  }
}

/***/ }),

/***/ "./src/form/fields/treebox/TreeBoxAdapter.ts":
/*!***************************************************!*\
  !*** ./src/form/fields/treebox/TreeBoxAdapter.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeBoxAdapter: () => (/* binding */ TreeBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/treebox/TreeBoxLayout.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/treebox/TreeBoxLayout.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeBoxLayout: () => (/* binding */ TreeBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupBoxLayout {
  constructor(treeBox, tree, filterBox) {
    super(treeBox, tree, filterBox);
  }
}

/***/ }),

/***/ "./src/form/fields/treebox/TreeBoxModel.ts":
/*!*************************************************!*\
  !*** ./src/form/fields/treebox/TreeBoxModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/treefield/TreeField.ts":
/*!************************************************!*\
  !*** ./src/form/fields/treefield/TreeField.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeField: () => (/* binding */ TreeField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "tree", void 0);
    this.gridDataHints.weightY = 1.0;
    this.gridDataHints.h = 3;
    this._addWidgetProperties(['tree']);
  }
  _render() {
    this.addContainer(this.$parent, 'tree-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    if (this.tree) {
      this._renderTree();
    }
  }
  setTree(tree) {
    this.setProperty('tree', tree);
  }
  _setTree(tree) {
    this._setProperty('tree', tree);
    if (tree) {
      tree.setScrollTop(this.scrollTop);
    }
  }
  _renderTree() {
    if (!this.tree) {
      return;
    }
    this.tree.render();
    this.addField(this.tree.$container);
    this.$field.addDeviceClass();
    this.invalidateLayoutTree();
  }
  _removeTree() {
    if (!this.tree) {
      return;
    }
    this.tree.remove();
    this._removeField();
    this.invalidateLayoutTree();
  }
  getDelegateScrollable() {
    return this.tree;
  }
}

/***/ }),

/***/ "./src/form/fields/treefield/TreeFieldAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/treefield/TreeFieldAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeFieldAdapter: () => (/* binding */ TreeFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/treefield/TreeFieldEventMap.ts":
/*!********************************************************!*\
  !*** ./src/form/fields/treefield/TreeFieldEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/treefield/TreeFieldModel.ts":
/*!*****************************************************!*\
  !*** ./src/form/fields/treefield/TreeFieldModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/wizard/WizardProgressField.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/wizard/WizardProgressField.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WizardProgressField: () => (/* binding */ WizardProgressField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class WizardProgressField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "activeStepIndex", void 0);
    _defineProperty(this, "steps", void 0);
    /** Used to determine direction of transition ("going backward" or "going forward") */
    _defineProperty(this, "previousActiveStepIndex", void 0);
    /**
     * Helper map to find a step by step index. The step index does not necessarily correspond to the
     * array index, because invisible model steps can produce "holes" in the sequence of indices.
     */
    _defineProperty(this, "stepsMap", void 0);
    _defineProperty(this, "keepActiveStepAtLeftBorder", void 0);
    _defineProperty(this, "animateScrolling", void 0);
    _defineProperty(this, "$wizardStepsBody", void 0);
    _defineProperty(this, "$screenReaderStatus", void 0);
    this.activeStepIndex = -1;
    this.steps = [];
    this.previousActiveStepIndex = -1;
    this.stepsMap = {};
    this.$wizardStepsBody = null;
    this.keepActiveStepAtLeftBorder = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE;
    this.animateScrolling = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE;
    this.$screenReaderStatus = null;
  }
  _init(model) {
    super._init(model);
    this._updateStepsMap();
  }
  _render() {
    this.addContainer(this.$parent, 'wizard-progress-field', new _index__WEBPACK_IMPORTED_MODULE_0__.WizardProgressFieldLayout(this));
    this.addField(this.$parent.makeDiv('wizard-steps'));
    this.addStatus();
    this.addLabel();
    // Add compact class on mobile. It is not based on width because height will be smaller too which is not desired on desktop or tablet
    // (field would not be correctly aligned with other components anymore)
    this.$field.toggleClass('compact', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE);
    let layout = this.htmlComp.layout;
    layout.compactFieldWidth = -1; // disable compact toggling
    this.$wizardStepsBody = this.$field.appendDiv('wizard-steps-body');
    this._addScreenReaderStatus();
    this._installScrollbars({
      axis: 'x',
      scrollShadow: 'none'
    });
    // If this field is the first field in a form's main box, mark the form as "wizard-container-form"
    if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox && this.parent.controls[0] === this && this.parent.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form) {
      let form = this.parent.parent;
      form.$container.addClass('wizard-container-form');
    }
  }
  _addScreenReaderStatus() {
    this.$screenReaderStatus = this.$field.appendDiv('screen-reader-steps-description');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$screenReaderStatus, 'status');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly(this.$screenReaderStatus);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSteps();
    this._renderActiveStepIndex();
  }
  _setSteps(steps) {
    this._setProperty('steps', steps);
    this._updateStepsMap();
  }
  _renderSteps() {
    this.$wizardStepsBody.children('.wizard-step').each(function () {
      // Tooltips are only uninstalled if user clicked outside container. However, the steps
      // may be updated by clicking inside the container. Therefore, manually make sure all
      // tooltips are uninstalled before destroying the DOM elements.
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this));
    });
    this.$wizardStepsBody.empty();
    this.steps.forEach((step, index) => {
      // Step
      let $step = this.$wizardStepsBody.appendDiv('wizard-step').addClass(step.cssClass).data('wizard-step', step);
      step.$step = $step;
      this._updateStepClasses(step);
      // Inspector info
      if (this.session.inspector) {
        _index__WEBPACK_IMPORTED_MODULE_0__.inspector.applyInfo(step, $step);
        $step.attr('data-step-index', step.index);
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(step.tooltipText)) {
        _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install($step, {
          parent: this,
          text: step.tooltipText,
          tooltipPosition: 'bottom'
        });
      }
      // Icon
      let $icon = $step.appendDiv('icon');
      if (step.iconId) {
        $icon.icon(step.iconId);
      } else if (step.finished) {
        $icon.icon(_index__WEBPACK_IMPORTED_MODULE_0__.icons.CHECKED_BOLD);
      } else {
        $icon.text(index + 1);
      }
      // Text
      let $text = $step.appendDiv('text');
      $text.appendDiv('title').textOrNbsp(step.title).attr('data-text', step.title);
      if (step.subTitle) {
        $text.appendDiv('sub-title').textOrNbsp(step.subTitle);
      }
      // Separator
      if (index < this.steps.length - 1) {
        this.$wizardStepsBody.appendDiv('wizard-step-separator');
      }
    });
    this.invalidateLayoutTree(false);
  }
  _renderScreenReaderStatus($statusContainer) {
    $statusContainer.empty();
    let activeStepIndex = this.steps.indexOf(this.stepsMap[this.activeStepIndex]);
    this.steps.forEach((step, index) => {
      let $stepDescription = $statusContainer.appendDiv('sr-step-description');
      let stepIndex = this.steps.indexOf(step);
      let stepType = '';
      if (stepIndex === activeStepIndex) {
        stepType += this.session.text('ui.Current');
      } else if (stepIndex > activeStepIndex) {
        stepType += this.session.text('ui.Subsequent');
      } else {
        stepType += this.session.text('ui.Previous');
      }
      $stepDescription.appendDiv('text').text(_index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this.session.text('ui.Step'), String(index + 1), stepType));
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(step.title)) {
        $stepDescription.appendDiv('text').text(step.title);
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(step.subTitle)) {
        $stepDescription.appendDiv('text').text(step.subTitle);
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(step.tooltipText)) {
        $stepDescription.appendDiv('text').text(step.tooltipText);
      }
    });
  }
  _setActiveStepIndex(activeStepIndex) {
    this.previousActiveStepIndex = this.activeStepIndex;
    // Ensure this.activeStepIndex always has a value. If the server has no active step set (may
    // happen during transition between steps), we use -1 as dummy value
    this._setProperty('activeStepIndex', _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(activeStepIndex, -1));
  }
  _renderActiveStepIndex() {
    this.steps.forEach(this._updateStepClasses.bind(this));
    this._renderScreenReaderStatus(this.$screenReaderStatus);
    this.invalidateLayoutTree(false);
  }
  _updateStepClasses(step) {
    let $step = step.$step;
    $step.removeClass('selected first last action-enabled disabled');
    $step.off('click.selected');
    // Important: those indices correspond to the UI's data structures (this.steps) and are not necessarily
    // consistent with the server indices (because the server does not send invisible steps).
    let stepIndex = this.steps.indexOf(step);
    let activeStepIndex = this.steps.indexOf(this.stepsMap[this.activeStepIndex]);
    if (this.enabledComputed && step.enabled && step.actionEnabled && stepIndex !== this.activeStepIndex) {
      $step.addClass('action-enabled');
      $step.on('click.selected', this._onStepClick.bind(this));
    } else if (!this.enabledComputed || !step.enabled) {
      $step.addClass('disabled');
    }
    $step.toggleClass('finished', step.finished);
    if (stepIndex >= 0 && activeStepIndex >= 0) {
      // Active
      if (stepIndex === activeStepIndex) {
        $step.addClass('selected');
      }
      // First / last
      if (stepIndex === 0) {
        $step.addClass('first');
      }
      if (stepIndex === this.steps.length - 1) {
        $step.addClass('last');
      }
    }
    // update background color for this.$wizardStepsBody, use same as for last step (otherwise there might be white space after last step)
    if (stepIndex === this.steps.length - 1) {
      this.$wizardStepsBody.css('background-color', $step.css('background-color'));
    }
  }
  _stepIndex($step) {
    if ($step) {
      let step = $step.data('wizard-step');
      if (step) {
        return step.index;
      }
    }
    return -1;
  }
  _updateStepsMap() {
    this.stepsMap = {};
    this.steps.forEach(step => {
      this.stepsMap[step.index] = step;
    });
  }
  _resolveStep(stepIndex) {
    // Because "step index" does not necessarily correspond to the array indices
    // (invisible model steps produce "holes"), we have to loop over the array.
    for (let i = 0; i < this.steps.length; i++) {
      let step = this.steps[i];
      if (step.index === stepIndex) {
        return step;
      }
    }
    return null;
  }
  _onStepClick(event) {
    let $step = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget); // currentTarget instead of target to support event bubbling from inner divs
    let targetStepIndex = this._stepIndex($step);
    if (targetStepIndex >= 0 && targetStepIndex !== this.activeStepIndex) {
      this.trigger('stepAction', {
        stepIndex: targetStepIndex
      });
    }
  }
  scrollToActiveStep() {
    let currentStep = this.stepsMap[this.activeStepIndex];
    if (!currentStep) {
      return;
    }
    let $currentStep = currentStep.$step;
    let currentStepLeft = $currentStep.position().left;
    let animate = this.animateScrolling && this.htmlComp.layouted;
    if (this.keepActiveStepAtLeftBorder) {
      let $firstStep = this.steps[0].$step;
      let scrollLeft = currentStepLeft - $firstStep.cssPaddingLeft() + $currentStep.cssPaddingLeft();
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollLeft(this.$field, scrollLeft, {
        animate: animate
      });
    } else {
      let scrollLeft = this.$field.scrollLeft();
      let currentStepWidth = $currentStep.width();
      let fieldWidth = this.$field.width();
      // If going forward, try to scroll the steps such that the center of active step is not after 75% of the available space.
      // If going backward, try to scroll the steps such that the center of the active step is not before 25% of the available space.
      let goingBack = this.previousActiveStepIndex > this.activeStepIndex;
      let p1 = scrollLeft + Math.floor(fieldWidth * (goingBack ? 0.25 : 0.75));
      let p2 = currentStepLeft + Math.floor(currentStepWidth / 2);
      if (goingBack && p2 < p1 || !goingBack && p2 > p1) {
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollLeft(this.$field, scrollLeft + (p2 - p1), {
          animate: animate
        });
      }
    }
  }
}

/***/ }),

/***/ "./src/form/fields/wizard/WizardProgressFieldAdapter.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/wizard/WizardProgressFieldAdapter.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WizardProgressFieldAdapter: () => (/* binding */ WizardProgressFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WizardProgressFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {
  _onWidgetStepAction(event) {
    this._send('doStepAction', {
      stepIndex: event.stepIndex
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'stepAction') {
      this._onWidgetStepAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/form/fields/wizard/WizardProgressFieldEventMap.ts":
/*!***************************************************************!*\
  !*** ./src/form/fields/wizard/WizardProgressFieldEventMap.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/wizard/WizardProgressFieldLayout.ts":
/*!*************************************************************!*\
  !*** ./src/form/fields/wizard/WizardProgressFieldLayout.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WizardProgressFieldLayout: () => (/* binding */ WizardProgressFieldLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WizardProgressFieldLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout {
  constructor(formField) {
    super(formField);
  }
  layout($container) {
    super.layout($container);
    // Remember old scroll position, because setting the body width might change it
    let oldScrollLeft = this.formField.$field.scrollLeft();
    // Explicitly set width of body to scrollWidth because container is scrollable. Otherwise,
    // the body would have the wrong size because it has "overflow: hidden" set.
    let $body = this.formField.$wizardStepsBody;
    $body.width('auto'); // reset previously set width to ensure 'scrollWidth' returns the preferred size
    let bodyWidth = $body[0].scrollWidth;
    $body.width(bodyWidth);
    // Ensure scrolling position did not change because of the width change (prevents flickering effect)
    this.formField.$field.scrollLeft(oldScrollLeft);
    // But also ensure the current step is visible
    this.formField.scrollToActiveStep();
  }
}

/***/ }),

/***/ "./src/form/fields/wizard/WizardProgressFieldModel.ts":
/*!************************************************************!*\
  !*** ./src/form/fields/wizard/WizardProgressFieldModel.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/wrappedform/WrappedFormField.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/wrappedform/WrappedFormField.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WrappedFormField: () => (/* binding */ WrappedFormField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WrappedFormField extends _index__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "innerForm", void 0);
    _defineProperty(this, "initialFocusEnabled", void 0);
    _defineProperty(this, "_formDestroyHandler", void 0);
    this._addWidgetProperties(['innerForm']);
    this.innerForm = null;
    this.initialFocusEnabled = false;
    this._formDestroyHandler = this._onInnerFormDestroy.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setInnerForm(this.innerForm);
  }
  _render() {
    this.addContainer(this.$parent, 'wrapped-form-field');
    this.addLabel();
    this.addStatus();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderInnerForm();
  }
  setInnerForm(innerForm) {
    this.setProperty('innerForm', innerForm);
  }
  _setInnerForm(innerForm) {
    if (this.innerForm) {
      this.innerForm.off('destroy', this._formDestroyHandler);
    }
    if (innerForm) {
      innerForm.on('destroy', this._formDestroyHandler);
      this._adaptForm(innerForm);
    }
    this._setProperty('innerForm', innerForm);
  }
  _adaptForm(form) {
    var _form$rootGroupBox;
    form.setShowOnOpen(false);
    form.setDisplayHint(_index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW);
    form.setModal(false);
    form.setClosable(false); // Disable close key stroke
    (_form$rootGroupBox = form.rootGroupBox) === null || _form$rootGroupBox === void 0 || _form$rootGroupBox.setMenuBarPosition(_index__WEBPACK_IMPORTED_MODULE_0__.GroupBox.MenuBarPosition.BOTTOM);
    form.renderInitialFocusEnabled = this.initialFocusEnabled;
  }
  _renderInnerForm() {
    if (!this.innerForm) {
      return;
    }
    this.innerForm.render();
    this.addField(this.innerForm.$container);
    this.innerForm.invalidateLayoutTree();
    // required because active element is lost when 'addField' is called.
    if (this.innerForm.renderInitialFocusEnabled) {
      this.innerForm.renderInitialFocus();
    }
  }
  _removeInnerForm() {
    if (this.innerForm) {
      this.innerForm.remove();
    }
    this._removeField();
  }
  _onInnerFormDestroy(event) {
    this._removeInnerForm();
    this._setInnerForm(null);
  }
  setInitialFocusEnabled(initialFocusEnabled) {
    this.setProperty('initialFocusEnabled', initialFocusEnabled);
    if (this.innerForm) {
      this.innerForm.renderInitialFocusEnabled = this.initialFocusEnabled;
    }
  }
}

/***/ }),

/***/ "./src/form/fields/wrappedform/WrappedFormFieldAdapter.ts":
/*!****************************************************************!*\
  !*** ./src/form/fields/wrappedform/WrappedFormFieldAdapter.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WrappedFormFieldAdapter: () => (/* binding */ WrappedFormFieldAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WrappedFormFieldAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/wrappedform/WrappedFormFieldEventMap.ts":
/*!*****************************************************************!*\
  !*** ./src/form/fields/wrappedform/WrappedFormFieldEventMap.ts ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/fields/wrappedform/WrappedFormFieldModel.ts":
/*!**************************************************************!*\
  !*** ./src/form/fields/wrappedform/WrappedFormFieldModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/js/JsFormAdapter.ts":
/*!**************************************!*\
  !*** ./src/form/js/JsFormAdapter.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JsFormAdapter: () => (/* binding */ JsFormAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class JsFormAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.FormAdapter {
  _initModel(m, parent) {
    let model = super._initModel(m, parent);
    if (!model.jsFormObjectType || !model.jsFormObjectType.length) {
      throw new Error('jsFormObjectType not set');
    }
    let jsFormModel = {
      parent: model.parent,
      owner: model.owner,
      objectType: model.jsFormObjectType,
      displayParent: model.displayParent,
      displayHint: model.displayHint,
      data: model.inputData
    };
    if (model.jsFormModel) {
      jsFormModel = $.extend(true, {}, model.jsFormModel, jsFormModel);
    }
    return jsFormModel;
  }
  _createWidget(model) {
    let widget;
    if (model.exclusiveKey) {
      widget = this.session.desktop.createFormExclusive(() => super._createWidget(model), model.exclusiveKey);
      if (!widget.exclusiveAdapterKey) {
        // Link the form with this adapter. The form may be an existing form created by JS code or created now by Java.
        widget.exclusiveAdapterKey = this.id;
      } else if (widget.exclusiveAdapterKey !== this.id) {
        // If the found form belongs to this adapter, it can be opened exclusively.
        // Otherwise, it needs to be opened separately because the server may send events for that form (formHide etc.).
        // To prevent that, the server needs to ensure exclusiveness as well.
        widget = super._createWidget(model);
      }
    } else {
      widget = super._createWidget(model);
    }
    if (!widget.showOnOpen) {
      widget.open();
    } else {
      widget.blockRendering = true;
      widget.open();
      widget.whenPostLoad().then(() => {
        widget.blockRendering = false;
        if (widget.destroyed || !widget.showOnOpen) {
          return;
        }
        widget.show();
      });
    }
    return widget;
  }
  _onWidgetEvent(event) {
    if (event.type === 'save') {
      this._onWidgetSave(event);
    } else if (event.type === 'search') {
      this._onWidgetSearch(event);
    } else if (event.type === 'reset') {
      this._onWidgetReset(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onWidgetSave(event) {
    this._sendOutputData('save', this.widget.data);
  }
  _onWidgetSearch(event) {
    this._sendOutputData('search', this.widget.exportData());
  }
  _onWidgetReset(event) {
    this._sendOutputData('reset', this.widget.exportData());
  }
  _sendOutputData(type, data) {
    this._send(type, {
      outputData: data
    });
  }
  _onWidgetAbort(event) {
    // completely handled by the js lifecycle -> no need to notify the UI server
  }
}

/***/ }),

/***/ "./src/form/js/JsFormModel.ts":
/*!************************************!*\
  !*** ./src/form/js/JsFormModel.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/lifecycle/CancelMenu.ts":
/*!******************************************!*\
  !*** ./src/form/lifecycle/CancelMenu.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CancelMenu: () => (/* binding */ CancelMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CancelMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycleMenu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.keyStroke = 'esc';
    this.systemType = _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.CANCEL;
    this.inheritAccessibility = false;
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('CancelButton'));
  }
  _doAction() {
    let form = this.getForm();
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (!event.defaultPrevented) {
      form.cancel();
    }
  }
}

/***/ }),

/***/ "./src/form/lifecycle/CloseMenu.ts":
/*!*****************************************!*\
  !*** ./src/form/lifecycle/CloseMenu.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CloseMenu: () => (/* binding */ CloseMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CloseMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycleMenu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.keyStroke = 'esc';
    this.systemType = _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.CLOSE;
    this.inheritAccessibility = false;
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('CloseButton'));
  }
  _doAction() {
    let form = this.getForm();
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (!event.defaultPrevented) {
      form.close();
    }
  }
}

/***/ }),

/***/ "./src/form/lifecycle/FormLifecycle.ts":
/*!*********************************************!*\
  !*** ./src/form/lifecycle/FormLifecycle.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormLifecycle: () => (/* binding */ FormLifecycle)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormLifecycle extends _index__WEBPACK_IMPORTED_MODULE_0__.Lifecycle {
  constructor() {
    super();
    this.emptyMandatoryElementsTextKey = 'FormEmptyMandatoryFieldsMessage';
    this.invalidElementsErrorTextKey = 'FormInvalidFieldsMessage';
    this.invalidElementsWarningTextKey = 'FormInvalidFieldsWarningMessage';
    this.saveChangesQuestionTextKey = 'FormSaveChangesQuestion';
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('widget', model.widget, _index__WEBPACK_IMPORTED_MODULE_0__.Form);
    super.init(model);
  }
  _reset() {
    this.widget.visitFields(field => {
      if (field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ValueField) {
        field.resetValue();
      }
      if (field.lifecycleBoundary) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE;
      }
    });
  }
  invalidElements() {
    const missingElements = [],
      invalidElements = [];
    this.widget.visitFields(field => {
      let result = field.getValidationResult();
      if (!result.valid) {
        // error status has priority over mandatory
        if (result.errorStatus && result.errorStatus.isError()) {
          // ERROR
          invalidElements.push(result);
        } else if (!result.validByMandatory) {
          // empty mandatory
          missingElements.push(result);
        } else if (result.errorStatus && !result.errorStatus.isValid()) {
          // WARNING
          invalidElements.push(result);
        }
      }
      if (field.lifecycleBoundary) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE;
      }
      return result.visitResult;
    });
    return {
      missingElements,
      invalidElements
    };
  }
  _invalidElementText(element) {
    const label = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(element.label),
      message = element.errorStatus && _index__WEBPACK_IMPORTED_MODULE_0__.strings.box('\'', _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(element.errorStatus.message), '\'');
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(': ', label, message);
  }
  _missingElementText(element) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(element.label);
  }
  _validateWidget() {
    return this.widget._lifecycleValidate();
  }
  _handleInvalid(status) {
    return this.widget._handleInvalid(status);
  }
  _revealInvalidElement(invalidElement) {
    this.widget.revealInvalidField(invalidElement);
  }
  markAsSaved() {
    this.widget.markAsSaved();
  }
  saveNeeded() {
    return this.widget.saveNeeded;
  }
}

/***/ }),

/***/ "./src/form/lifecycle/FormLifecycleMenu.ts":
/*!*************************************************!*\
  !*** ./src/form/lifecycle/FormLifecycleMenu.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormLifecycleMenu: () => (/* binding */ FormLifecycleMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormLifecycleMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "systemType", void 0);
    this.systemType = null;
  }
}

/***/ }),

/***/ "./src/form/lifecycle/FormLifecycleMenuModel.ts":
/*!******************************************************!*\
  !*** ./src/form/lifecycle/FormLifecycleMenuModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/lifecycle/FormLifecycleModel.ts":
/*!**************************************************!*\
  !*** ./src/form/lifecycle/FormLifecycleModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/form/lifecycle/OkMenu.ts":
/*!**************************************!*\
  !*** ./src/form/lifecycle/OkMenu.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   OkMenu: () => (/* binding */ OkMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class OkMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycleMenu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.keyStroke = 'enter';
    this.systemType = _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.OK;
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('OkButton'));
  }
  _doAction() {
    let form = this.getForm();
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (!event.defaultPrevented) {
      form.ok();
    }
  }
}

/***/ }),

/***/ "./src/form/lifecycle/ResetMenu.ts":
/*!*****************************************!*\
  !*** ./src/form/lifecycle/ResetMenu.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResetMenu: () => (/* binding */ ResetMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ResetMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycleMenu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.systemType = _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.RESET;
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('ResetButton'));
  }
  _doAction() {
    let form = this.getForm();
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (!event.defaultPrevented) {
      form.reset();
    }
  }
}

/***/ }),

/***/ "./src/form/lifecycle/SaveMenu.ts":
/*!****************************************!*\
  !*** ./src/form/lifecycle/SaveMenu.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SaveMenu: () => (/* binding */ SaveMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SaveMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormLifecycleMenu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.keyStroke = 'enter';
    this.systemType = _index__WEBPACK_IMPORTED_MODULE_0__.Button.SystemType.SAVE;
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('SaveButton'));
  }
  _doAction() {
    let form = this.getForm();
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (!event.defaultPrevented) {
      form.save();
    }
  }
}

/***/ }),

/***/ "./src/form/lifecycle/SearchMenu.ts":
/*!******************************************!*\
  !*** ./src/form/lifecycle/SearchMenu.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SearchMenu: () => (/* binding */ SearchMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SearchMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    this.keyStroke = 'enter';
    this.preventDoubleClick = true;
  }
  _init(model) {
    super._init(model);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text('SearchButton'));
  }
  _doAction() {
    const event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event();
    this.trigger('action', event);
    if (event.defaultPrevented) {
      return;
    }
    const form = this.getForm();
    form.validate().then(status => {
      if (status.isValid()) {
        form.trigger('search');
      }
    });
  }
}

/***/ }),

/***/ "./src/glasspane/DeferredGlassPaneTarget.ts":
/*!**************************************************!*\
  !*** ./src/glasspane/DeferredGlassPaneTarget.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DeferredGlassPaneTarget: () => (/* binding */ DeferredGlassPaneTarget)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Is used to render glasspane after the glasspane targets are set. This case occurs when a child is rendered before a parent is rendered-> on reload page.
 */
class DeferredGlassPaneTarget {
  constructor() {
    _defineProperty(this, "glassPaneRenderer", void 0);
    _defineProperty(this, "$glassPaneTargets", void 0);
    this.$glassPaneTargets = null;
    this.glassPaneRenderer = null;
  }
  ready($glassPaneTargets) {
    this.$glassPaneTargets = $glassPaneTargets;
    this.renderWhenReady();
  }
  rendererReady(glassPaneRenderer) {
    this.glassPaneRenderer = glassPaneRenderer;
    this.renderWhenReady();
  }
  removeGlassPaneRenderer(glassPaneRenderer) {
    if (this.glassPaneRenderer === glassPaneRenderer) {
      this.glassPaneRenderer = null;
    }
  }
  renderWhenReady() {
    if (this.glassPaneRenderer && this.$glassPaneTargets && this.$glassPaneTargets.length > 0) {
      this.$glassPaneTargets.forEach(glassPaneTarget => this.glassPaneRenderer.renderGlassPane(glassPaneTarget));
    }
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  /**
   * @param widget a not rendered Widget
   * @param findGlassPaneTargets function which returns the targets
   */
  static createFor(widget, findGlassPaneTargets) {
    if (widget.rendered) {
      throw new Error('Don\'t call this function if widget is already rendered.');
    }
    let deferred = new DeferredGlassPaneTarget();
    let renderedHandler = event => {
      let elements = findGlassPaneTargets();
      deferred.ready(elements);
    };
    widget.one('render', renderedHandler);
    widget.one('destroy', () => {
      widget.off('render', renderedHandler);
    });
    return [deferred];
  }
}

/***/ }),

/***/ "./src/glasspane/GlassPane.ts":
/*!************************************!*\
  !*** ./src/glasspane/GlassPane.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GlassPane: () => (/* binding */ GlassPane)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class GlassPane extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  _render() {
    this.$container = this.$parent.appendDiv('glasspane').on('mousedown', this._onMouseDown.bind(this));
    this.$parent.addClass('glasspane-parent');
    let cssPosition = this.$parent.css('position');
    if (cssPosition === 'static') {
      this.$parent.css('position', 'relative');
    }
    // Register 'glassPaneTarget' in focus manager.
    this.session.focusManager.registerGlassPaneTarget(this.$parent);
  }
  _remove() {
    this.$parent.removeClass('glasspane-parent');
    this.session.focusManager.unregisterGlassPaneTarget(this.$parent);
    super._remove();
  }
  _onMouseDown(event) {
    // Won't be executed if pointer events is set to none. But acts as safety net if pointer events are not supported or even removed by the user
    jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
  }
}

/***/ }),

/***/ "./src/glasspane/GlassPaneRenderer.ts":
/*!********************************************!*\
  !*** ./src/glasspane/GlassPaneRenderer.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GlassPaneRenderer: () => (/* binding */ GlassPaneRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Renders glassPanes over the 'glassPaneTargets' of a widget.
 */
class GlassPaneRenderer {
  /**
   * @param widget Required
   * @param enabled Optional. Default is true
   */
  constructor(widget, enabled) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "_widget", void 0);
    _defineProperty(this, "_enabled", void 0);
    _defineProperty(this, "_$glassPanes", void 0);
    _defineProperty(this, "_deferredGlassPanes", void 0);
    _defineProperty(this, "_resolvedDisplayParent", void 0);
    _defineProperty(this, "_registeredDisplayParent", void 0);
    _defineProperty(this, "_displayParentRenderHandler", void 0);
    _defineProperty(this, "_glassPaneRemoveHandler", void 0);
    _defineProperty(this, "_glassPaneRendererRegistered", void 0);
    this._widget = widget;
    this.session = widget.session;
    this._enabled = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(enabled, true);
    this._$glassPanes = [];
    this._deferredGlassPanes = [];
    this._resolvedDisplayParent = null;
    this._registeredDisplayParent = null;
    this._displayParentRenderHandler = this._onDisplayParentRender.bind(this);
    this._glassPaneRemoveHandler = this._onGlassPaneRemove.bind(this);
    this._glassPaneRendererRegistered = false;
  }
  renderGlassPanes() {
    this.findGlassPaneTargets().forEach(glassPaneTarget => this.renderGlassPane(glassPaneTarget));
    if (!this._glassPaneRendererRegistered) {
      this.session.focusManager.registerGlassPaneRenderer(this);
      this._glassPaneRendererRegistered = true;
    }
  }
  renderGlassPane(target) {
    if (target instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DeferredGlassPaneTarget) {
      target.rendererReady(this);
      this._deferredGlassPanes.push(target);
      return;
    }
    let $glassPaneTarget = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure(target);
    if (this._widget.$container && this._widget.$container[0] === $glassPaneTarget[0]) {
      // Don't render a glass pane on the widget itself (necessary if glass pane is added after the widget is rendered)
      return;
    }
    // If glassPaneTarget already has a glasspane added by this renderer, don't add another one
    // May happen if a part of the display parent is removed and rendered again while covered by a glass pane
    // E.g. display parent is set to outline and navigation is made invisible but bench is still there.
    // When navigation is made visible again, renderGlassPanes is called but only the glass panes of the navigation need to be added and not the ones of the bench (because they are already there)
    let alreadyRendered = this._$glassPanes.some($pane => $pane.parent()[0] === $glassPaneTarget[0]);
    if (alreadyRendered) {
      return;
    }
    // Render glasspanes onto glasspane targets.
    let $glassPane = $glassPaneTarget.appendDiv('glasspane').on('mousedown', this._onMouseDown.bind(this));
    this._adjustGlassPaneSize($glassPane, $glassPaneTarget);
    // Glasspanes in popup-windows must be visible, otherwise the user cannot recognize that the popup
    // is blocked, since the widget that blocks (e.g a message-box) may be opened in the main-window.
    let window = $glassPane.window(true);
    if (window && window[_index__WEBPACK_IMPORTED_MODULE_0__.PopupWindow.PROP_POPUP_WINDOW]) {
      $glassPane.addClass('dark');
    }
    this._$glassPanes.push($glassPane);
    // Register 'glassPaneTarget' in focus manager.
    this.session.focusManager.registerGlassPaneTarget($glassPaneTarget);
    // Ensure glass pane is removed properly on remove, especially necessary when display parent is removed while glass pane renderer is still active (navigation collapse case)
    $glassPane.one('remove', this._glassPaneRemoveHandler);
    this._registerDisplayParent();
  }
  _adjustGlassPaneSize($glassPane, $glassPaneTarget) {
    // The glasspane must cover the border and overlapping children
    let top = -$glassPaneTarget.cssBorderTopWidth(),
      bottom = -$glassPaneTarget.cssBorderBottomWidth(),
      left = -$glassPaneTarget.cssBorderLeftWidth(),
      right = -$glassPaneTarget.cssBorderRightWidth();
    $glassPaneTarget.children().each((idx, elem) => {
      let element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      top = Math.min(top, (element.cssTop() || 0) + (element.cssMarginTop() || 0));
      bottom = Math.min(bottom, (element.cssBottom() || 0) + (element.cssMarginBottom() || 0));
      left = Math.min(left, (element.cssLeft() || 0) + (element.cssMarginLeft() || 0));
      right = Math.min(right, (element.cssRight() || 0) + (element.cssMarginRight() || 0));
    });
    $glassPane.cssTop(top).cssBottom(bottom).cssLeft(left).cssRight(right);
  }
  removeGlassPanes() {
    // Remove glass-panes
    this._$glassPanes.slice().forEach($glassPane => this._removeGlassPane($glassPane));
    // Unregister all deferredGlassPaneTargets
    this._deferredGlassPanes.forEach(glassPaneTarget => glassPaneTarget.removeGlassPaneRenderer(this));
    this._deferredGlassPanes = [];
    this._unregisterDisplayParent();
    this.session.focusManager.unregisterGlassPaneRenderer(this);
    this._glassPaneRendererRegistered = false;
  }
  _removeGlassPane($glassPane) {
    let $glassPaneTarget = $glassPane.parent();
    $glassPane.off('remove', this._glassPaneRemoveHandler);
    $glassPane.remove();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.$remove(this._$glassPanes, $glassPane);
    $glassPaneTarget.removeClass('glasspane-parent');
    this.session.focusManager.unregisterGlassPaneTarget($glassPaneTarget);
  }
  eachGlassPane(func) {
    this._$glassPanes.forEach($glassPane => func($glassPane));
  }
  findGlassPaneTargets() {
    if (!this._enabled) {
      return []; // No glasspanes to be rendered, e.g. for none-modal dialogs.
    }
    let displayParent = this._resolveDisplayParent();
    if (!displayParent || !displayParent.glassPaneTargets) {
      return []; // Parent is not a valid display parent.
    }
    return displayParent.glassPaneTargets(this._widget);
  }
  _resolveDisplayParent() {
    // Note: This has to be done after rendering, because otherwise session.desktop could be undefined!
    if (!this._resolvedDisplayParent) {
      this._resolvedDisplayParent = this._widget.displayParent || this.session.desktop;
    }
    return this._resolvedDisplayParent;
  }
  _registerDisplayParent() {
    // if this._resolvedDisplayParent is not yet resolved, do it now
    if (!this._resolvedDisplayParent) {
      this._resolveDisplayParent();
    }
    // if this._resolvedDisplayParent is resolved, but not yet registered
    if (this._resolvedDisplayParent) {
      if (!this._registeredDisplayParent) {
        // register this._resolvedDisplayParent and remember it as this._registeredDisplayParent
        this.session.focusManager.registerGlassPaneDisplayParent(this._resolvedDisplayParent);
        this._registeredDisplayParent = this._resolvedDisplayParent;
        this._registeredDisplayParent.on('render', this._displayParentRenderHandler);
      }
    }
  }
  _unregisterDisplayParent() {
    // if this._registeredDisplayParent is defined, unregister it
    if (this._registeredDisplayParent) {
      this.session.focusManager.unregisterGlassPaneDisplayParent(this._registeredDisplayParent);
      this._registeredDisplayParent.off('render', this._displayParentRenderHandler);
      this._registeredDisplayParent = null;
    }
  }
  _onMouseDown(event) {
    let $animationTarget = null;
    // notify the display parent to handle the mouse down on the glass pane.
    let displayParent = this._resolveDisplayParent();
    if (displayParent.onGlassPaneMouseDown) {
      displayParent.onGlassPaneMouseDown(this._widget, jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target));
    }
    if (this._widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && this._widget.isView()) {
      // If the blocking widget is a view, the $container cannot be animated (this only works for dialogs). Instead,
      // highlight the view tab (or the overflow item, if the view tab is not visible).
      let viewTab = this.session.desktop.bench.getViewTab(this._widget);
      // View tab may not exist if view has neither a title nor a subtitle
      if (viewTab) {
        $animationTarget = viewTab.$container;
        if (!$animationTarget.isVisible()) {
          $animationTarget = $animationTarget.siblings('.overflow-tab-item');
        }
      }
    } else if (this._widget.$container) {
      $animationTarget = this._widget.$container;
    }
    if ($animationTarget) {
      // If the animation target itself is covered by a glasspane, the event is passed on
      let $glassPane = this._widget.$container.children('.glasspane');
      if ($glassPane.length) {
        $glassPane.trigger('mousedown');
      } else {
        $animationTarget.addClassForAnimation('animate-modality-highlight', {
          // remove animate-open as well, user may click the glasspane before the widget itself was able to remove the animate-open class
          classesToRemove: 'animate-modality-highlight animate-open'
        });
      }
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
  }
  _onDisplayParentRender(event) {
    this.renderGlassPanes();
  }
  _onGlassPaneRemove(event) {
    let $glassPane = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    this._removeGlassPane($glassPane);
  }
}

/***/ }),

/***/ "./src/group/Group.ts":
/*!****************************!*\
  !*** ./src/group/Group.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Group: () => (/* binding */ Group)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Group extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "bodyAnimating", void 0);
    _defineProperty(this, "collapsed", void 0);
    _defineProperty(this, "collapsible", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "titleHtmlEnabled", void 0);
    _defineProperty(this, "titleSuffix", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "headerFocusable", void 0);
    _defineProperty(this, "headerVisible", void 0);
    _defineProperty(this, "body", void 0);
    _defineProperty(this, "collapseStyle", void 0);
    _defineProperty(this, "htmlHeader", void 0);
    _defineProperty(this, "htmlFooter", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "icon", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$footer", void 0);
    _defineProperty(this, "$collapseIcon", void 0);
    _defineProperty(this, "$collapseBorderLeft", void 0);
    _defineProperty(this, "$collapseBorderRight", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$titleSuffix", void 0);
    this.bodyAnimating = false;
    this.collapsed = false;
    this.collapsible = true;
    this.title = null;
    this.titleHtmlEnabled = false;
    this.titleSuffix = null;
    this.header = null;
    this.headerFocusable = false;
    this.headerVisible = true;
    this.body = null;
    this.$container = null;
    this.$header = null;
    this.$footer = null;
    this.$collapseIcon = null;
    this.$collapseBorderLeft = null;
    this.$collapseBorderRight = null;
    this.collapseStyle = Group.CollapseStyle.LEFT;
    this.htmlComp = null;
    this.htmlHeader = null;
    this.htmlFooter = null;
    this.iconId = null;
    this.icon = null;
    this._addWidgetProperties(['header', 'body']);
  }
  _init(model) {
    super._init(model);
    this.resolveTextKeys(['title', 'titleSuffix']);
    this.resolveIconIds(['iconId']);
    this._setBody(this.body);
    this._setHeader(this.header);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    // Keystroke should only work when header is focused
    this.keyStrokeContext.$bindTarget = () => this.$header;
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.GroupToggleCollapseKeyStroke(this)]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('group');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.GroupLayout(this));
    this._renderHeader();
    this.$collapseIcon = this.$header.appendDiv('group-collapse-icon');
    this.$footer = this.$container.appendDiv('group-footer');
    this.$collapseBorderLeft = this.$footer.appendDiv('group-collapse-border');
    this.$collapseBorderRight = this.$footer.appendDiv('group-collapse-border');
    this.htmlFooter = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$footer, this.session);
    this.$footer.on('mousedown', this._onFooterMouseDown.bind(this));
    this._addAriaFieldDescription();
  }
  _addAriaFieldDescription() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.addHiddenDescriptionAndLinkToElement(this.$header, this.id + '-func-desc', this.session.text('ui.AriaGroupDescription'));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderIconId();
    this._renderTitle();
    this._renderTitleSuffix();
    this._renderHeaderVisible();
    this._renderHeaderFocusable();
    this._renderCollapsed();
    this._renderCollapseStyle();
    this._renderCollapsible();
  }
  _remove() {
    this.$header = null;
    this.$title = null;
    this.$titleSuffix = null;
    this.$footer = null;
    this.$collapseIcon = null;
    this.$collapseBorderLeft = null;
    this.$collapseBorderRight = null;
    this._removeIconId();
    super._remove();
  }
  _renderEnabled() {
    super._renderEnabled();
    this.$header.setTabbable(this.enabledComputed);
  }
  /** @see GroupModel.iconId */
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  /**
   * Adds an image or font-based icon to the group header by adding either an IMG or SPAN element.
   */
  _renderIconId() {
    let iconId = this.iconId || '';
    // If the icon is an image (and not a font icon), the Icon class will invalidate the layout when the image has loaded
    if (!iconId) {
      this._removeIconId();
      this._updateIconStyle();
      return;
    }
    if (this.icon) {
      this.icon.setIconDesc(iconId);
      this._updateIconStyle();
      return;
    }
    this.icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
      parent: this,
      iconDesc: iconId,
      prepend: true
    });
    this.icon.one('destroy', () => {
      this.icon = null;
    });
    this.icon.render(this.$header);
    this._updateIconStyle();
  }
  _updateIconStyle() {
    let hasTitle = !!this.title;
    this.get$Icon().toggleClass('with-title', hasTitle);
    this.get$Icon().addClass('group-icon');
    this._renderCollapseStyle();
  }
  get$Icon() {
    if (this.icon) {
      return this.icon.$container;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default()();
  }
  _removeIconId() {
    if (this.icon) {
      this.icon.destroy();
    }
  }
  /** @see GroupModel.header */
  setHeader(header) {
    this.setProperty('header', header);
  }
  _setHeader(header) {
    this._setProperty('header', header);
  }
  /** @see GroupModel.headerFocusable */
  setHeaderFocusable(headerFocusable) {
    this.setProperty('headerFocusable', headerFocusable);
  }
  _renderHeaderFocusable() {
    this.$header.toggleClass('unfocusable', !this.headerFocusable);
  }
  setTitle(title) {
    this.setProperty('title', title);
  }
  _renderTitle() {
    if (this.$title) {
      if (this.titleHtmlEnabled) {
        this.$title.htmlOrNbsp(this.title);
      } else {
        this.$title.textOrNbsp(this.title);
      }
      this._updateIconStyle();
    }
  }
  setTitleSuffix(titleSuffix) {
    this.setProperty('titleSuffix', titleSuffix);
  }
  _renderTitleSuffix() {
    if (this.$titleSuffix) {
      this.$titleSuffix.text(this.titleSuffix || '');
    }
  }
  setHeaderVisible(headerVisible) {
    this.setProperty('headerVisible', headerVisible);
  }
  _renderHeaderVisible() {
    this.$header.setVisible(this.headerVisible);
    this._renderCollapsible();
    this.invalidateLayoutTree();
  }
  /** @see GroupModel.body */
  setBody(body) {
    this.setProperty('body', body);
  }
  _setBody(body) {
    if (!body) {
      // Create empty body if none was provided
      body = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(EmptyBody, {
        parent: this
      });
    }
    this._setProperty('body', body);
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this,
      $container: () => this.$header
    });
  }
  _renderHeader() {
    if (this.$header) {
      this.$header.remove();
      this._removeIconId();
    }
    if (this.header) {
      this.header.render();
      this.$header = this.header.$container.addClass('group-header').addClass('custom-header-widget').prependTo(this.$container);
      this.htmlHeader = this.header.htmlComp;
    } else {
      this.$header = this.$container.prependDiv('group-header').unfocusable().addClass('prevent-initial-focus');
      this.$title = this.$header.appendDiv('group-title');
      this.$titleSuffix = this.$header.appendDiv('group-title-suffix');
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$title, {
        parent: this
      });
      this.htmlHeader = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$header, this.session);
      if (!this.rendering) {
        this._renderIconId();
        this._renderTitle();
        this._renderTitleSuffix();
      }
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$header, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$header, this.$title);
    this.$header.on('mousedown', this._onHeaderMouseDown.bind(this));
    this.invalidateLayoutTree();
  }
  _renderBody() {
    this.body.render();
    this.body.$container.insertAfter(this.$header);
    this.body.$container.addClass('group-body');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.body.$container, this.$title);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithControls(this.$header, this.body.$container);
    this.body.invalidateLayoutTree();
  }
  getFocusableElement() {
    if (!this.rendered) {
      return null;
    }
    return this.$header;
  }
  toggleCollapse() {
    this.setCollapsed(!this.collapsed && this.collapsible);
  }
  setCollapsed(collapsed) {
    this.setProperty('collapsed', collapsed);
  }
  _renderCollapsed() {
    this.$container.toggleClass('collapsed', this.collapsed);
    this.$collapseIcon.toggleClass('collapsed', this.collapsed);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$header, !this.collapsed);
    if (!this.collapsed && !this.bodyAnimating) {
      this._renderBody();
    }
    if (this.rendered) {
      this.resizeBody();
    } else if (this.collapsed) {
      // Body will be removed after the animation, if there is no animation, remove it now
      this.body.remove();
    }
    this.invalidateLayoutTree();
  }
  setCollapsible(collapsible) {
    this.setProperty('collapsible', collapsible);
  }
  _renderCollapsible() {
    this.$container.toggleClass('collapsible', this.collapsible);
    this.$header.toggleClass('disabled', !this.collapsible);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.disabled(this.$header, !this.collapsible || null);
    // footer is visible if collapseStyle is 'bottom' and either header is visible or has a (collapsible) body
    this.$footer.setVisible(this.collapseStyle === Group.CollapseStyle.BOTTOM && (this.headerVisible || this.collapsible));
    this.$collapseIcon.setVisible(this.collapsible);
    this.invalidateLayoutTree();
  }
  setCollapseStyle(collapseStyle) {
    this.setProperty('collapseStyle', collapseStyle);
  }
  _renderCollapseStyle() {
    this.$header.toggleClass('collapse-right', this.collapseStyle === Group.CollapseStyle.RIGHT);
    this.$container.toggleClass('collapse-bottom', this.collapseStyle === Group.CollapseStyle.BOTTOM);
    if (this.collapseStyle === Group.CollapseStyle.RIGHT) {
      this.$collapseIcon.appendTo(this.$header);
    } else if (this.collapseStyle === Group.CollapseStyle.LEFT) {
      this.$collapseIcon.prependTo(this.$header);
    } else if (this.collapseStyle === Group.CollapseStyle.BOTTOM) {
      let sibling = this.body.$container ? this.body.$container : this.$header;
      this.$footer.insertAfter(sibling);
      this.$collapseIcon.insertAfter(this.$collapseBorderLeft);
    }
    this._renderCollapsible();
    this.invalidateLayoutTree();
  }
  _onHeaderMouseDown(event) {
    if (this.collapsible && (!this.header || this.collapseStyle !== Group.CollapseStyle.BOTTOM)) {
      this.setCollapsed(!this.collapsed && this.collapsible);
    }
  }
  _onFooterMouseDown(event) {
    if (this.collapsible) {
      this.setCollapsed(!this.collapsed && this.collapsible);
    }
  }
  /**
   * Resizes the body to its preferred size by animating the height.
   */
  resizeBody() {
    this.animateToggleCollapse().done(() => {
      if (this.bodyAnimating) {
        // Another animation has been started in the meantime -> ignore done event
        return;
      }
      if (this.collapsed) {
        this.body.remove();
      }
      this.invalidateLayoutTree();
    });
  }
  animateToggleCollapse() {
    let currentSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.cssSize(this.body.$container);
    let currentMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.body.$container);
    let currentPaddings = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.paddings(this.body.$container);
    let targetHeight, targetMargins, targetPaddings;
    if (this.collapsed) {
      // Collapsing
      // Set target values to 0 when collapsing
      targetHeight = 0;
      targetMargins = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
      targetPaddings = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    } else {
      // Expand to preferred size of the body
      targetHeight = this.body.htmlComp.prefSize({
        widthHint: currentSize.width
      }).height;
      // Make sure body is layouted correctly before starting the animation (with the target size)
      // Use setSize to explicitly call its layout (this might even be necessary during the animation, see GroupLayout.invalidate)
      this.body.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(this.body.$container.outerWidth(), targetHeight));
      if (this.bodyAnimating) {
        // The group may be expanded while being collapsed or vice versa.
        // In that case, use the current values of the inline style as starting values
        // Clear current insets to read target insets from CSS anew
        this.body.$container.cssMarginY('').cssPaddingY('');
        targetMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.body.$container);
        targetPaddings = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.paddings(this.body.$container);
      } else {
        // If toggling is not already in progress, start expanding from 0
        currentSize.height = 0;
        currentMargins = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
        currentPaddings = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
        targetMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.body.$container);
        targetPaddings = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.paddings(this.body.$container);
      }
    }
    this.bodyAnimating = true;
    if (this.collapsed) {
      this.$container.addClass('collapsing');
    }
    return this.body.$container.stop(true).cssHeight(currentSize.height).cssMarginTop(currentMargins.top).cssMarginBottom(currentMargins.bottom).cssPaddingTop(currentPaddings.top).cssPaddingBottom(currentPaddings.bottom).animate({
      height: targetHeight,
      marginTop: targetMargins.top,
      marginBottom: targetMargins.bottom,
      paddingTop: targetPaddings.top,
      paddingBottom: targetPaddings.bottom
    }, {
      duration: 350,
      progress: () => {
        this.trigger('bodyHeightChange');
        this.revalidateLayoutTree();
      },
      complete: () => {
        this.bodyAnimating = false;
        if (this.body.rendered) {
          // Remove inline styles when finished
          this.body.$container.cssMarginY('');
          this.body.$container.cssPaddingY('');
        }
        if (this.rendered) {
          this.$container.removeClass('collapsing');
        }
        this.trigger('bodyHeightChangeDone');
      }
    }).promise();
  }
}
_defineProperty(Group, "CollapseStyle", {
  LEFT: 'left',
  RIGHT: 'right',
  BOTTOM: 'bottom'
});
class EmptyBody extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  _render() {
    this.$container = this.$parent.appendDiv('group');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
}

/***/ }),

/***/ "./src/group/GroupAdapter.ts":
/*!***********************************!*\
  !*** ./src/group/GroupAdapter.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupAdapter: () => (/* binding */ GroupAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['collapsed']);
  }
}

/***/ }),

/***/ "./src/group/GroupEventMap.ts":
/*!************************************!*\
  !*** ./src/group/GroupEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/group/GroupLayout.ts":
/*!**********************************!*\
  !*** ./src/group/GroupLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupLayout: () => (/* binding */ GroupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(group) {
    super();
    _defineProperty(this, "group", void 0);
    this.group = group;
  }
  layout($container) {
    let htmlComp = this.group.htmlComp;
    let containerSize = htmlComp.availableSize().subtract(htmlComp.insets());
    let htmlHeader = this.group.htmlHeader;
    let headerSize = htmlHeader.prefSize({
      widthHint: containerSize.width
    });
    headerSize.width = containerSize.width;
    headerSize = headerSize.subtract(htmlHeader.margins());
    htmlHeader.setSize(headerSize);
    let htmlFooter = this.group.htmlFooter;
    if (htmlFooter.isVisible()) {
      let footerSize = htmlFooter.prefSize({
        includeMargin: false,
        useCssSize: true
      });
      footerSize.width = containerSize.width;
      htmlFooter.setSize(footerSize.subtract(htmlFooter.margins()));
    }
    // 1st condition: Set size only if group is expanded
    // 2nd condition: There is no need to update it during the expand animation (the body will be layouted correctly before the animation starts)
    // 3rd condition: When Group.setCollapsed(false) has been called an event is triggered that might cause invalidating layout on other all groups (inclusive currently expanding group).
    //                The body of the currently expanding group is not rendered at this time.
    // 4th condition: When body is invisible by property (bodyVisible)
    if (this.group.collapsed || this.group.bodyAnimating || !this.group.body.rendered || !this.group.body.visible) {
      return;
    }
    let htmlBody = this.group.body.htmlComp;
    let bodySize = containerSize.subtract(htmlBody.margins());
    bodySize.height -= headerSize.height;
    if (htmlFooter.isVisible()) {
      bodySize.height -= htmlFooter.prefSize(true).height;
    }
    htmlBody.setSize(bodySize);
  }
  invalidate(htmlSource) {
    let htmlBody = this.group.body.htmlComp;
    // If a child triggers a layout invalidation, the animation should be stopped and restarted because the body will likely have another height.
    // This will happen for sure if a child is an image which will be loaded during the animation.
    if (htmlBody && this.group.bodyAnimating && htmlSource && htmlSource.isDescendantOf(this.group.htmlComp)) {
      // Stop running animation
      this.group.body.$container.stop();
      // Resize to new height
      this.group.resizeBody();
    }
  }
  preferredLayoutSize($container, options) {
    options = options || {};
    let prefSize;
    let htmlComp = this.group.htmlComp;
    let htmlHeader = this.group.htmlHeader;
    let htmlBody = this.group.body.htmlComp;
    let htmlFooter = this.group.htmlFooter;
    // HeightHint not supported
    options.heightHint = null;
    if (this.group.bodyAnimating) {
      // Return the current size when the body is collapsing or expanding
      // so that the widgets on the bottom and on top move smoothly with the animation
      prefSize = htmlBody.size(true);
    } else if (this.group.collapsed || !this.group.body.rendered || !this.group.body.visible) {
      // Body may not be rendered even if collapsed is false if property has changed but _renderCollapse not called yet
      // (if revalidateLayoutTree is called during collapsed property event)
      prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    } else {
      prefSize = htmlBody.prefSize(options).add(htmlBody.margins());
    }
    prefSize = prefSize.add(htmlComp.insets({
      includeMargin: true
    }));
    prefSize.height += htmlHeader.prefSize(options).add(htmlHeader.margins()).height;
    if (htmlFooter.isVisible()) {
      prefSize.height += htmlFooter.prefSize({
        includeMargin: true,
        useCssSize: true
      }).height;
    }
    return prefSize;
  }
}

/***/ }),

/***/ "./src/group/GroupModel.ts":
/*!*********************************!*\
  !*** ./src/group/GroupModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/group/keystrokes/GroupToggleCollapseKeyStroke.ts":
/*!**************************************************************!*\
  !*** ./src/group/keystrokes/GroupToggleCollapseKeyStroke.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GroupToggleCollapseKeyStroke: () => (/* binding */ GroupToggleCollapseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class GroupToggleCollapseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(group) {
    super();
    this.field = group;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
  }
  handle(event) {
    this.field.toggleCollapse();
  }
}

/***/ }),

/***/ "./src/iframe/IFrame.ts":
/*!******************************!*\
  !*** ./src/iframe/IFrame.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IFrame: () => (/* binding */ IFrame)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class IFrame extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "location", void 0);
    _defineProperty(this, "sandboxEnabled", void 0);
    _defineProperty(this, "sandboxPermissions", void 0);
    _defineProperty(this, "scrollBarEnabled", void 0);
    _defineProperty(this, "trackLocation", void 0);
    /**
     * Iframe on iOS is always as big as its content. Workaround it by using a wrapper div with overflow: auto
     * Don't wrap it when running in the chrome emulator (in that case isIosPlatform returns false)
     */
    _defineProperty(this, "wrapIframe", void 0);
    _defineProperty(this, "$iframe", void 0);
    this.location = null;
    this.sandboxEnabled = true;
    this.sandboxPermissions = null;
    this.scrollBarEnabled = true;
    this.trackLocation = false;
    this.wrapIframe = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIosPlatform();
    this.$iframe = null;
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.IFrameKeyStrokeContext();
  }
  _render() {
    let cssClass = 'iframe ' + _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().cssClassForIphone();
    // Inserting an IFrame starts the processing of the micro task queue in Safari.
    // This must not happen during rendering because it could trigger render again for elements being rendered (some layouts render parts of the widget, e.g. widgets with virtual scrolling)
    this.session.layoutValidator.suppressValidate();
    if (this.wrapIframe) {
      this.$container = this.$parent.appendDiv('iframe-wrapper');
      this.$iframe = this.$container.appendElement('<iframe>', cssClass);
    } else {
      this.$iframe = this.$parent.appendElement('<iframe>', cssClass);
      this.$container = this.$iframe;
    }
    this.session.layoutValidator.unsuppressValidate();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$iframe.on('load', this._onLoad.bind(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderScrollBarEnabled();
    this._renderSandboxEnabled(); // includes _renderSandboxPermissions()
    this._renderLocation(); // Needs to be after _renderScrollBarEnabled and _renderSandboxEnabled, see comment in _renderScrollBarEnabled
  }
  setLocation(location) {
    this.setProperty('location', location);
  }
  _renderLocation() {
    // Convert empty locations to 'about:blank', because in Firefox (maybe others, too?),
    // empty locations simply remove the src attribute but don't remove the old content.
    let location = this.location || 'about:blank';
    this.$iframe.attr('src', location);
  }
  setTrackLocation(trackLocation) {
    this.setProperty('trackLocation', trackLocation);
  }
  _contentDocument() {
    if (this.$iframe && this.$iframe[0]) {
      return this.$iframe[0].contentDocument;
    }
    return null;
  }
  _onLoad(event) {
    if (!this.rendered) {
      // check needed, because this is an async callback
      return;
    }
    if (this.trackLocation) {
      this._updateLocation();
    }
    this._propagateKeyEvents();
  }
  _updateLocation() {
    let doc = this._contentDocument();
    if (!doc) {
      // Doc can be null if website cannot be loaded or if website is not from same origin
      return;
    }
    let location = doc.location.href;
    if (location === 'about:blank') {
      location = null;
    }
    this._setProperty('location', location);
  }
  /**
   * Make keystrokes work even if pressed in the iframe
   */
  _propagateKeyEvents() {
    let source = this._contentDocument();
    if (!source) {
      return;
    }
    let target = this.$iframe[0];
    if (!target) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.events.addPropagationListener(source, target, ['keydown', 'keyup', 'keypress']);
  }
  setScrollBarEnabled(scrollBarEnabled) {
    this.setProperty('scrollBarEnabled', scrollBarEnabled);
  }
  _renderScrollBarEnabled() {
    this.$container.toggleClass('no-scrolling', !this.scrollBarEnabled);
    // According to http://stackoverflow.com/a/18470016, setting 'overflow: hidden' via
    // CSS should be enough. However, if the inner page sets 'overflow' to another value,
    // scroll bars are shown again. Therefore, we add the legacy 'scrolling' attribute,
    // which is deprecated in HTML5, but seems to do the trick.
    this.$iframe.attr('scrolling', this.scrollBarEnabled ? 'yes' : 'no');
    // re-render location otherwise the attribute change would have no effect, see
    // https://html.spec.whatwg.org/multipage/embedded-content.html#attr-iframe-sandbox
    if (this.rendered) {
      this._renderLocation();
    }
  }
  setSandboxEnabled(sandboxEnabled) {
    this.setProperty('sandboxEnabled', sandboxEnabled);
  }
  _renderSandboxEnabled() {
    if (this.sandboxEnabled) {
      this._renderSandboxPermissions();
    } else {
      this.$iframe.removeAttr('sandbox');
      this.$iframe.removeAttr('security');
    }
    // re-render location otherwise the attribute change would have no effect, see
    // https://html.spec.whatwg.org/multipage/embedded-content.html#attr-iframe-sandbox
    if (this.rendered) {
      this._renderLocation();
    }
  }
  /**
   * @param sandboxPermissions Permission names separated by space.
   * @see IFrame.sandboxPermissions
   */
  setSandboxPermissions(sandboxPermissions) {
    this.setProperty('sandboxPermissions', sandboxPermissions);
  }
  _renderSandboxPermissions() {
    if (!this.sandboxEnabled) {
      return;
    }
    this.$iframe.attr('sandbox', _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.sandboxPermissions, ''));
    // re-render location otherwise the attribute change would have no effect, see
    // https://html.spec.whatwg.org/multipage/embedded-content.html#attr-iframe-sandbox
    if (this.rendered) {
      this._renderLocation();
    }
  }
  postMessage(message, targetOrigin, transfer) {
    if (!this.rendered) {
      return;
    }
    this.$iframe[0].contentWindow.postMessage(message, targetOrigin, transfer);
  }
}

/***/ }),

/***/ "./src/iframe/IFrameEventMap.ts":
/*!**************************************!*\
  !*** ./src/iframe/IFrameEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/iframe/IFrameKeyStrokeContext.ts":
/*!**********************************************!*\
  !*** ./src/iframe/IFrameKeyStrokeContext.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IFrameKeyStrokeContext: () => (/* binding */ IFrameKeyStrokeContext)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Makes sure that certain keys are not propagated to the iframe container because they are needed by the elements inside the iframe
 * and must not trigger a keystroke outside the iframe.
 */
class IFrameKeyStrokeContext extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext {
  _applyPropagationFlags(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB) {
      // Don't propagate TAB keystrokes otherwise it would break tabbing inside the document.
      event.stopPropagation();
      return;
    }
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this._resolveTarget(event));
    // Don't propagate enter and space if a button is focused inside the iframe
    let inputKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
    if (inputKeyStrokeContext.isButton($target)) {
      let modifierBitMask = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.toModifierBitMask(event);
      if (modifierBitMask === _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE])) {
        event.stopPropagation();
      }
      return;
    }
    // Don't propagate navigation keys if an input or textarea is focused inside the iframe
    if (inputKeyStrokeContext.isInput($target)) {
      let vrEvent = new _index__WEBPACK_IMPORTED_MODULE_0__.VirtualKeyStrokeEvent(event.which, event.ctrlKey, event.altKey, event.shiftKey, event.type, $target[0]);
      inputKeyStrokeContext.setMultiline($target.is('textarea'));
      inputKeyStrokeContext.toggleStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE], $target.is('textarea'));
      inputKeyStrokeContext.accept(vrEvent);
      if (vrEvent.isPropagationStopped()) {
        event.stopPropagation();
      }
    }
  }
  /**
   * @returns the actual target that triggered the event inside the iframe
   */
  _resolveTarget(event) {
    var _event$originalEvent;
    return (_event$originalEvent = event.originalEvent) === null || _event$originalEvent === void 0 || (_event$originalEvent = _event$originalEvent.sourceEvent) === null || _event$originalEvent === void 0 ? void 0 : _event$originalEvent.target;
  }
}

/***/ }),

/***/ "./src/iframe/IFrameModel.ts":
/*!***********************************!*\
  !*** ./src/iframe/IFrameModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/image/Icon.ts":
/*!***************************!*\
  !*** ./src/image/Icon.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Icon: () => (/* binding */ Icon)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Widget representing an icon. It may be a font icon or an image icon. Depending on the type, either a span or an img tag will be rendered.
 * <p>
 * See also {@link JQuery.icon} and {@link JQuery.appendIcon}. Main difference to these implementations is that the image loading will invalidate the layout by using {@link Image}.
 */
class Icon extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "autoFit", void 0);
    _defineProperty(this, "iconDesc", void 0);
    /**
     * Is set if the icon is rendered and an image, it is not set if it is a font icon
     */
    _defineProperty(this, "image", void 0);
    _defineProperty(this, "prepend", void 0);
    this.autoFit = false;
    this.iconDesc = null;
    this.image = null;
    this.prepend = false;
  }
  _init(model) {
    super._init(model);
    this._setIconDesc(this.iconDesc);
  }
  _render() {
    this._renderIconDesc(); // Must not be in _renderProperties because it creates $container -> properties like visible etc. need to be rendered afterwards
  }
  /**
   * Accepts either an iconId as string or an {@link IconDesc}.
   */
  setIconDesc(iconDesc) {
    this.setProperty('iconDesc', iconDesc);
  }
  _setIconDesc(iconDesc) {
    iconDesc = _index__WEBPACK_IMPORTED_MODULE_0__.IconDesc.ensure(iconDesc);
    this._setProperty('iconDesc', iconDesc);
  }
  _renderIconDesc() {
    this._removeFontIcon();
    this._removeImageIcon();
    if (!this.iconDesc || this.iconDesc.isFontIcon()) {
      this._renderFontIcon();
    } else {
      this._renderImageIcon();
    }
    if (!this.rendering) {
      this._renderProperties();
    }
    this.invalidateLayoutTree();
  }
  _renderFontIcon() {
    this.$container = this.$parent.appendIcon(this.iconDesc);
    if (this.prepend) {
      this.$container.prependTo(this.$parent);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _removeFontIcon() {
    if (this.$container) {
      this.$container.remove();
      this.$container = null;
    }
  }
  _renderImageIcon() {
    if (this.image) {
      return;
    }
    this.image = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Image, {
      parent: this,
      imageUrl: this.iconDesc.iconUrl,
      cssClass: 'icon image-icon',
      autoFit: this.autoFit,
      prepend: this.prepend
    });
    this.image.render(this.$parent);
    this.image.one('destroy', () => {
      this.image = null;
    });
    this.image.on('load error', event => {
      // propagate event
      this.trigger(event.type, event);
    });
    this.$container = this.image.$container;
    this.htmlComp = this.image.htmlComp;
  }
  _removeImageIcon() {
    if (this.image) {
      this.image.destroy();
      this.image = null;
    }
  }
  /**
   * Delegates to {@link Image.setAutoFit}, but only if Icon is an image. Beside updating the autoFit property, this method has no effect if the icon is a font-icon.
   */
  setAutoFit(autoFit) {
    this.setProperty('autoFit', autoFit);
    if (this.image) {
      this.image.setAutoFit(autoFit);
    }
  }
}

/***/ }),

/***/ "./src/image/IconDesc.ts":
/*!*******************************!*\
  !*** ./src/image/IconDesc.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IconDesc: () => (/* binding */ IconDesc)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class IconDesc {
  constructor() {
    _defineProperty(this, "iconType", void 0);
    _defineProperty(this, "font", void 0);
    _defineProperty(this, "iconCharacter", void 0);
    _defineProperty(this, "iconUrl", void 0);
    _defineProperty(this, "altText", void 0);
    this.iconType = null;
    this.font = null;
    this.iconCharacter = null;
    this.iconUrl = null;
    this.altText = '';
  }
  /**
   * Returns a CSS class based on the used font-name.
   */
  cssClass() {
    if (this.isFontIcon() && this.font !== IconDesc.DEFAULT_FONT) {
      return 'font-' + this.font;
    }
    return '';
  }
  /**
   * Returns a CSS class string to be used with JQuery.add/removeClass().
   */
  appendCssClass(cssClass) {
    let additionalCssClass = this.cssClass();
    if (additionalCssClass.length > 0) {
      return cssClass + ' ' + additionalCssClass;
    }
    return cssClass;
  }
  isFontIcon() {
    return this.iconType === IconDesc.IconType.FONT_ICON;
  }
  isBitmap() {
    return this.iconType === IconDesc.IconType.BITMAP;
  }
  /**
   * Ensures that the given icon is of type {@link IconDesc}. If a string is provided, it is assumed that the string is the iconId which may be parsed to create the {@link IconDesc}.
   */
  static ensure(icon) {
    if (!icon) {
      return icon;
    }
    if (icon instanceof IconDesc) {
      return icon;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(icon);
  }
}
_defineProperty(IconDesc, "IconType", {
  FONT_ICON: 0,
  BITMAP: 1
});
_defineProperty(IconDesc, "DEFAULT_FONT", 'scoutIcons');

/***/ }),

/***/ "./src/image/IconEventMap.ts":
/*!***********************************!*\
  !*** ./src/image/IconEventMap.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/image/IconModel.ts":
/*!********************************!*\
  !*** ./src/image/IconModel.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/image/Image.ts":
/*!****************************!*\
  !*** ./src/image/Image.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Image: () => (/* binding */ Image)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Image extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "autoFit", void 0);
    _defineProperty(this, "imageUrl", void 0);
    _defineProperty(this, "prepend", void 0);
    _defineProperty(this, "altText", void 0);
    this.autoFit = false;
    this.imageUrl = null;
    this.prepend = false;
    this.altText = '';
  }
  _render() {
    this.$container = this.$parent.makeElement('<img>', 'image').attr('alt', this.altText).addDeviceClass().on('load', this._onImageLoad.bind(this)).on('error', this._onImageError.bind(this));
    if (this.prepend) {
      this.$container.prependTo(this.$parent);
    } else {
      this.$container.appendTo(this.$parent);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ImageLayout(this));
    this.htmlComp.pixelBasedSizing = false;
  }
  _renderProperties() {
    super._renderProperties();
    this._renderImageUrl();
    this._renderAutoFit();
  }
  _remove() {
    super._remove();
    this.htmlComp = null;
  }
  setImageUrl(imageUrl) {
    this.setProperty('imageUrl', imageUrl);
  }
  setAltText(altText) {
    this.setProperty('altText', altText);
  }
  _renderImageUrl() {
    this.$container.attr('src', this.imageUrl);
    // Hide <img> when it has no content (event 'load' will not fire)
    if (!this.imageUrl) {
      this.$container.addClass('empty').removeClass('broken');
    }
  }
  setAutoFit(autoFit) {
    this.setProperty('autoFit', autoFit);
  }
  _renderAutoFit() {
    this.$container.toggleClass('autofit', this.autoFit);
  }
  _onImageLoad(event) {
    if (!this.rendered) {
      // check needed, because this is an async callback
      return;
    }
    this._ensureImageLayout();
    this.$container.removeClass('empty broken');
    this.invalidateLayoutTree();
    this.trigger('load');
  }
  /**
   * This function is used to work around a bug in Chrome. Chrome calculates a wrong aspect ratio
   * under certain conditions. For details: https://bugs.chromium.org/p/chromium/issues/detail?id=950881
   * The workaround sets a CSS attribute which forces Chrome to revalidate its internal layout.
   */
  _ensureImageLayout() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isChrome()) {
      return;
    }
    this.$container.addClass('chrome-fix');
    setTimeout(() => {
      if (this.rendered) {
        this.$container.removeClass('chrome-fix');
      }
    });
  }
  _onImageError(event) {
    if (!this.rendered) {
      // check needed, because this is an async callback
      return;
    }
    this.$container.addClass('empty broken');
    this.invalidateLayoutTree();
    this.trigger('error');
  }
}

/***/ }),

/***/ "./src/image/ImageEventMap.ts":
/*!************************************!*\
  !*** ./src/image/ImageEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/image/ImageLayout.ts":
/*!**********************************!*\
  !*** ./src/image/ImageLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ImageLayout: () => (/* binding */ ImageLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ImageLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(image) {
    super();
    _defineProperty(this, "image", void 0);
    this.image = image;
  }
  preferredLayoutSize($container, options) {
    let img = $container[0];
    if (img && img.complete && img.naturalWidth > 0 && img.naturalHeight > 0) {
      let prefHeight = img.naturalHeight;
      let prefWidth = img.naturalWidth;
      if (options.widthHint > 0 && options.widthHint < img.naturalWidth) {
        prefHeight = options.widthHint / img.naturalWidth * img.naturalHeight;
        prefWidth = options.widthHint;
      } else if (options.heightHint > 0 && options.heightHint < img.naturalHeight) {
        prefHeight = options.heightHint;
        prefWidth = options.heightHint / img.naturalHeight * img.naturalWidth;
      }
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(prefWidth, prefHeight);
    }
    return super.preferredLayoutSize($container, options);
  }
}

/***/ }),

/***/ "./src/image/ImageModel.ts":
/*!*********************************!*\
  !*** ./src/image/ImageModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbortKeyStroke: () => (/* reexport safe */ _keystroke_AbortKeyStroke__WEBPACK_IMPORTED_MODULE_219__.AbortKeyStroke),
/* harmony export */   AbstractCompactTreeControlKeyStroke: () => (/* reexport safe */ _tree_keystrokes_AbstractCompactTreeControlKeyStroke__WEBPACK_IMPORTED_MODULE_632__.AbstractCompactTreeControlKeyStroke),
/* harmony export */   AbstractGrid: () => (/* reexport safe */ _layout_logicalgrid_AbstractGrid__WEBPACK_IMPORTED_MODULE_183__.AbstractGrid),
/* harmony export */   AbstractLayout: () => (/* reexport safe */ _layout_AbstractLayout__WEBPACK_IMPORTED_MODULE_168__.AbstractLayout),
/* harmony export */   AbstractTableAccessibilityRenderer: () => (/* reexport safe */ _table_AbstractTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_600__.AbstractTableAccessibilityRenderer),
/* harmony export */   AbstractTableNavigationKeyStroke: () => (/* reexport safe */ _table_keystrokes_AbstractTableNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_565__.AbstractTableNavigationKeyStroke),
/* harmony export */   AbstractTreeNavigationKeyStroke: () => (/* reexport safe */ _tree_keystrokes_AbstractTreeNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_622__.AbstractTreeNavigationKeyStroke),
/* harmony export */   AccessControl: () => (/* reexport safe */ _security_AccessControl__WEBPACK_IMPORTED_MODULE_138__.AccessControl),
/* harmony export */   Accordion: () => (/* reexport safe */ _accordion_Accordion__WEBPACK_IMPORTED_MODULE_220__.Accordion),
/* harmony export */   AccordionAdapter: () => (/* reexport safe */ _accordion_AccordionAdapter__WEBPACK_IMPORTED_MODULE_223__.AccordionAdapter),
/* harmony export */   AccordionField: () => (/* reexport safe */ _form_fields_accordionfield_AccordionField__WEBPACK_IMPORTED_MODULE_691__.AccordionField),
/* harmony export */   AccordionFieldAdapter: () => (/* reexport safe */ _form_fields_accordionfield_AccordionFieldAdapter__WEBPACK_IMPORTED_MODULE_694__.AccordionFieldAdapter),
/* harmony export */   AccordionLayout: () => (/* reexport safe */ _accordion_AccordionLayout__WEBPACK_IMPORTED_MODULE_224__.AccordionLayout),
/* harmony export */   Action: () => (/* reexport safe */ _action_Action__WEBPACK_IMPORTED_MODULE_271__.Action),
/* harmony export */   ActionAdapter: () => (/* reexport safe */ _action_ActionAdapter__WEBPACK_IMPORTED_MODULE_274__.ActionAdapter),
/* harmony export */   ActionExecKeyStroke: () => (/* reexport safe */ _action_ActionExecKeyStroke__WEBPACK_IMPORTED_MODULE_275__.ActionExecKeyStroke),
/* harmony export */   ActionKeyStroke: () => (/* reexport safe */ _action_ActionKeyStroke__WEBPACK_IMPORTED_MODULE_276__.ActionKeyStroke),
/* harmony export */   AggregateTableControl: () => (/* reexport safe */ _table_controls_AggregateTableControl__WEBPACK_IMPORTED_MODULE_552__.AggregateTableControl),
/* harmony export */   AggregateTableControlAdapter: () => (/* reexport safe */ _table_controls_AggregateTableControlAdapter__WEBPACK_IMPORTED_MODULE_553__.AggregateTableControlAdapter),
/* harmony export */   AjaxCall: () => (/* reexport safe */ _ajax_AjaxCall__WEBPACK_IMPORTED_MODULE_101__.AjaxCall),
/* harmony export */   AjaxError: () => (/* reexport safe */ _ajax_AjaxError__WEBPACK_IMPORTED_MODULE_102__.AjaxError),
/* harmony export */   AlphanumericSortingStringColumn: () => (/* reexport safe */ _table_columns_AlphanumericSortingStringColumn__WEBPACK_IMPORTED_MODULE_523__.AlphanumericSortingStringColumn),
/* harmony export */   App: () => (/* reexport safe */ _App__WEBPACK_IMPORTED_MODULE_13__.App),
/* harmony export */   AppLinkKeyStroke: () => (/* reexport safe */ _form_fields_AppLinkKeyStroke__WEBPACK_IMPORTED_MODULE_648__.AppLinkKeyStroke),
/* harmony export */   AriaLabelledByInsertPosition: () => (/* reexport safe */ _aria__WEBPACK_IMPORTED_MODULE_1142__.AriaLabelledByInsertPosition),
/* harmony export */   AutoLeafPageWithNodes: () => (/* reexport safe */ _desktop_outline_pages_AutoLeafPageWithNodes__WEBPACK_IMPORTED_MODULE_1071__.AutoLeafPageWithNodes),
/* harmony export */   BackgroundJobPollingStatus: () => (/* reexport safe */ _session_BackgroundJobPollingStatus__WEBPACK_IMPORTED_MODULE_146__.BackgroundJobPollingStatus),
/* harmony export */   BackgroundJobPollingSupport: () => (/* reexport safe */ _session_BackgroundJobPollingSupport__WEBPACK_IMPORTED_MODULE_147__.BackgroundJobPollingSupport),
/* harmony export */   BasicField: () => (/* reexport safe */ _form_fields_BasicField__WEBPACK_IMPORTED_MODULE_668__.BasicField),
/* harmony export */   BasicFieldAdapter: () => (/* reexport safe */ _form_fields_BasicFieldAdapter__WEBPACK_IMPORTED_MODULE_671__.BasicFieldAdapter),
/* harmony export */   BeanColumn: () => (/* reexport safe */ _table_columns_BeanColumn__WEBPACK_IMPORTED_MODULE_524__.BeanColumn),
/* harmony export */   BeanField: () => (/* reexport safe */ _form_fields_beanfield_BeanField__WEBPACK_IMPORTED_MODULE_695__.BeanField),
/* harmony export */   BeanFieldAdapter: () => (/* reexport safe */ _form_fields_beanfield_BeanFieldAdapter__WEBPACK_IMPORTED_MODULE_698__.BeanFieldAdapter),
/* harmony export */   BeanTile: () => (/* reexport safe */ _tile_BeanTile__WEBPACK_IMPORTED_MODULE_945__.BeanTile),
/* harmony export */   BeanTileAdapter: () => (/* reexport safe */ _tile_BeanTileAdapter__WEBPACK_IMPORTED_MODULE_946__.BeanTileAdapter),
/* harmony export */   BenchColumn: () => (/* reexport safe */ _desktop_bench_BenchColumn__WEBPACK_IMPORTED_MODULE_1001__.BenchColumn),
/* harmony export */   BenchColumnLayoutData: () => (/* reexport safe */ _desktop_bench_layout_BenchColumnLayoutData__WEBPACK_IMPORTED_MODULE_1006__.BenchColumnLayoutData),
/* harmony export */   BenchRowLayoutData: () => (/* reexport safe */ _desktop_bench_layout_BenchRowLayoutData__WEBPACK_IMPORTED_MODULE_1004__.BenchRowLayoutData),
/* harmony export */   BooleanColumn: () => (/* reexport safe */ _table_columns_BooleanColumn__WEBPACK_IMPORTED_MODULE_525__.BooleanColumn),
/* harmony export */   Box: () => (/* reexport safe */ _box_Box__WEBPACK_IMPORTED_MODULE_277__.Box),
/* harmony export */   BoxButtons: () => (/* reexport safe */ _boxbuttons_BoxButtons__WEBPACK_IMPORTED_MODULE_225__.BoxButtons),
/* harmony export */   BreadcrumbBar: () => (/* reexport safe */ _breadcrumbbar_BreadcrumbBar__WEBPACK_IMPORTED_MODULE_1122__.BreadcrumbBar),
/* harmony export */   BreadcrumbBarAdapter: () => (/* reexport safe */ _breadcrumbbar_BreadcrumbBarAdapter__WEBPACK_IMPORTED_MODULE_1126__.BreadcrumbBarAdapter),
/* harmony export */   BreadcrumbBarField: () => (/* reexport safe */ _form_fields_breadcrumbbarfield_BreadcrumbBarField__WEBPACK_IMPORTED_MODULE_1127__.BreadcrumbBarField),
/* harmony export */   BreadcrumbBarFieldAdapter: () => (/* reexport safe */ _form_fields_breadcrumbbarfield_BreadcrumbBarFieldAdapter__WEBPACK_IMPORTED_MODULE_1130__.BreadcrumbBarFieldAdapter),
/* harmony export */   BreadcrumbBarLayout: () => (/* reexport safe */ _breadcrumbbar_BreadcrumbBarLayout__WEBPACK_IMPORTED_MODULE_1125__.BreadcrumbBarLayout),
/* harmony export */   BreadcrumbItem: () => (/* reexport safe */ _breadcrumbbar_BreadcrumbItem__WEBPACK_IMPORTED_MODULE_1119__.BreadcrumbItem),
/* harmony export */   BreadcrumbItemAdapter: () => (/* reexport safe */ _breadcrumbbar_BreadcrumbItemAdapter__WEBPACK_IMPORTED_MODULE_1121__.BreadcrumbItemAdapter),
/* harmony export */   BrowserField: () => (/* reexport safe */ _form_fields_browserfield_BrowserField__WEBPACK_IMPORTED_MODULE_699__.BrowserField),
/* harmony export */   BrowserFieldAdapter: () => (/* reexport safe */ _form_fields_browserfield_BrowserFieldAdapter__WEBPACK_IMPORTED_MODULE_702__.BrowserFieldAdapter),
/* harmony export */   BrowserFieldLayout: () => (/* reexport safe */ _form_fields_browserfield_BrowserFieldLayout__WEBPACK_IMPORTED_MODULE_703__.BrowserFieldLayout),
/* harmony export */   BusyIndicator: () => (/* reexport safe */ _session_BusyIndicator__WEBPACK_IMPORTED_MODULE_148__.BusyIndicator),
/* harmony export */   BusySupport: () => (/* reexport safe */ _session_BusySupport__WEBPACK_IMPORTED_MODULE_150__.BusySupport),
/* harmony export */   Button: () => (/* reexport safe */ _form_fields_button_Button__WEBPACK_IMPORTED_MODULE_704__.Button),
/* harmony export */   ButtonAdapter: () => (/* reexport safe */ _form_fields_button_ButtonAdapter__WEBPACK_IMPORTED_MODULE_708__.ButtonAdapter),
/* harmony export */   ButtonAdapterMenu: () => (/* reexport safe */ _menu_ButtonAdapterMenu__WEBPACK_IMPORTED_MODULE_354__.ButtonAdapterMenu),
/* harmony export */   ButtonKeyStroke: () => (/* reexport safe */ _form_fields_button_ButtonKeyStroke__WEBPACK_IMPORTED_MODULE_709__.ButtonKeyStroke),
/* harmony export */   ButtonLayout: () => (/* reexport safe */ _form_fields_button_ButtonLayout__WEBPACK_IMPORTED_MODULE_707__.ButtonLayout),
/* harmony export */   ButtonTile: () => (/* reexport safe */ _tile_fields_button_ButtonTile__WEBPACK_IMPORTED_MODULE_967__.ButtonTile),
/* harmony export */   CachedElement: () => (/* reexport safe */ _encoder_CachedElement__WEBPACK_IMPORTED_MODULE_86__.CachedElement),
/* harmony export */   Calculator: () => (/* reexport safe */ _form_fields_numberfield_Calculator__WEBPACK_IMPORTED_MODULE_774__.Calculator),
/* harmony export */   Calendar: () => (/* reexport safe */ _calendar_Calendar__WEBPACK_IMPORTED_MODULE_377__.Calendar),
/* harmony export */   CalendarAdapter: () => (/* reexport safe */ _calendar_CalendarAdapter__WEBPACK_IMPORTED_MODULE_380__.CalendarAdapter),
/* harmony export */   CalendarComponent: () => (/* reexport safe */ _calendar_CalendarComponent__WEBPACK_IMPORTED_MODULE_381__.CalendarComponent),
/* harmony export */   CalendarComponentAdapter: () => (/* reexport safe */ _calendar_CalendarComponentAdapter__WEBPACK_IMPORTED_MODULE_384__.CalendarComponentAdapter),
/* harmony export */   CalendarField: () => (/* reexport safe */ _form_fields_calendarfield_CalendarField__WEBPACK_IMPORTED_MODULE_710__.CalendarField),
/* harmony export */   CalendarFieldAdapter: () => (/* reexport safe */ _form_fields_calendarfield_CalendarFieldAdapter__WEBPACK_IMPORTED_MODULE_712__.CalendarFieldAdapter),
/* harmony export */   CalendarLayout: () => (/* reexport safe */ _calendar_CalendarLayout__WEBPACK_IMPORTED_MODULE_386__.CalendarLayout),
/* harmony export */   CalendarListComponent: () => (/* reexport safe */ _calendar_CalendarListComponent__WEBPACK_IMPORTED_MODULE_385__.CalendarListComponent),
/* harmony export */   CalendarModeMenu: () => (/* reexport safe */ _calendar_CalendarModeMenu__WEBPACK_IMPORTED_MODULE_387__.CalendarModeMenu),
/* harmony export */   CalendarModesMenu: () => (/* reexport safe */ _calendar_CalendarModesMenu__WEBPACK_IMPORTED_MODULE_389__.CalendarModesMenu),
/* harmony export */   CalendarResourceLookupCall: () => (/* reexport safe */ _calendar_CalendarResourceLookupCall__WEBPACK_IMPORTED_MODULE_643__.CalendarResourceLookupCall),
/* harmony export */   CalendarSidebar: () => (/* reexport safe */ _calendar_CalendarSidebar__WEBPACK_IMPORTED_MODULE_637__.CalendarSidebar),
/* harmony export */   CalendarSidebarLayout: () => (/* reexport safe */ _calendar_CalendarSidebarLayout__WEBPACK_IMPORTED_MODULE_638__.CalendarSidebarLayout),
/* harmony export */   CalendarSidebarSplitter: () => (/* reexport safe */ _calendar_CalendarSidebarSplitter__WEBPACK_IMPORTED_MODULE_640__.CalendarSidebarSplitter),
/* harmony export */   Call: () => (/* reexport safe */ _util_Call__WEBPACK_IMPORTED_MODULE_50__.Call),
/* harmony export */   CancelMenu: () => (/* reexport safe */ _form_lifecycle_CancelMenu__WEBPACK_IMPORTED_MODULE_448__.CancelMenu),
/* harmony export */   Carousel: () => (/* reexport safe */ _carousel_Carousel__WEBPACK_IMPORTED_MODULE_228__.Carousel),
/* harmony export */   CarouselField: () => (/* reexport safe */ _form_fields_carousel_CarouselField__WEBPACK_IMPORTED_MODULE_713__.CarouselField),
/* harmony export */   CarouselLayout: () => (/* reexport safe */ _carousel_CarouselLayout__WEBPACK_IMPORTED_MODULE_231__.CarouselLayout),
/* harmony export */   Cell: () => (/* reexport safe */ _cell_Cell__WEBPACK_IMPORTED_MODULE_232__.Cell),
/* harmony export */   CellEditorCancelEditKeyStroke: () => (/* reexport safe */ _table_editor_CellEditorCancelEditKeyStroke__WEBPACK_IMPORTED_MODULE_562__.CellEditorCancelEditKeyStroke),
/* harmony export */   CellEditorCompleteEditKeyStroke: () => (/* reexport safe */ _table_editor_CellEditorCompleteEditKeyStroke__WEBPACK_IMPORTED_MODULE_563__.CellEditorCompleteEditKeyStroke),
/* harmony export */   CellEditorPopup: () => (/* reexport safe */ _table_editor_CellEditorPopup__WEBPACK_IMPORTED_MODULE_559__.CellEditorPopup),
/* harmony export */   CellEditorPopupLayout: () => (/* reexport safe */ _table_editor_CellEditorPopupLayout__WEBPACK_IMPORTED_MODULE_561__.CellEditorPopupLayout),
/* harmony export */   CellEditorTabKeyStroke: () => (/* reexport safe */ _table_editor_CellEditorTabKeyStroke__WEBPACK_IMPORTED_MODULE_564__.CellEditorTabKeyStroke),
/* harmony export */   CheckBoxField: () => (/* reexport safe */ _form_fields_checkbox_CheckBoxField__WEBPACK_IMPORTED_MODULE_715__.CheckBoxField),
/* harmony export */   CheckBoxFieldAdapter: () => (/* reexport safe */ _form_fields_checkbox_CheckBoxFieldAdapter__WEBPACK_IMPORTED_MODULE_718__.CheckBoxFieldAdapter),
/* harmony export */   CheckBoxToggleKeyStroke: () => (/* reexport safe */ _form_fields_checkbox_CheckBoxToggleKeyStroke__WEBPACK_IMPORTED_MODULE_719__.CheckBoxToggleKeyStroke),
/* harmony export */   ClickActiveElementKeyStroke: () => (/* reexport safe */ _keystroke_ClickActiveElementKeyStroke__WEBPACK_IMPORTED_MODULE_216__.ClickActiveElementKeyStroke),
/* harmony export */   ClipboardField: () => (/* reexport safe */ _form_fields_clipboardfield_ClipboardField__WEBPACK_IMPORTED_MODULE_720__.ClipboardField),
/* harmony export */   ClipboardFieldAdapter: () => (/* reexport safe */ _form_fields_clipboardfield_ClipboardFieldAdapter__WEBPACK_IMPORTED_MODULE_722__.ClipboardFieldAdapter),
/* harmony export */   CloseKeyStroke: () => (/* reexport safe */ _keystroke_CloseKeyStroke__WEBPACK_IMPORTED_MODULE_218__.CloseKeyStroke),
/* harmony export */   CloseMenu: () => (/* reexport safe */ _form_lifecycle_CloseMenu__WEBPACK_IMPORTED_MODULE_449__.CloseMenu),
/* harmony export */   Code: () => (/* reexport safe */ _code_Code__WEBPACK_IMPORTED_MODULE_125__.Code),
/* harmony export */   CodeLookupCall: () => (/* reexport safe */ _code_CodeLookupCall__WEBPACK_IMPORTED_MODULE_131__.CodeLookupCall),
/* harmony export */   CodeType: () => (/* reexport safe */ _code_CodeType__WEBPACK_IMPORTED_MODULE_127__.CodeType),
/* harmony export */   CodeTypeCache: () => (/* reexport safe */ _code_CodeTypeCache__WEBPACK_IMPORTED_MODULE_129__.CodeTypeCache),
/* harmony export */   CollapseHandle: () => (/* reexport safe */ _collapsehandle_CollapseHandle__WEBPACK_IMPORTED_MODULE_234__.CollapseHandle),
/* harmony export */   ColorField: () => (/* reexport safe */ _form_fields_colorfield_ColorField__WEBPACK_IMPORTED_MODULE_723__.ColorField),
/* harmony export */   ColorFieldAdapter: () => (/* reexport safe */ _form_fields_colorfield_ColorFieldAdapter__WEBPACK_IMPORTED_MODULE_724__.ColorFieldAdapter),
/* harmony export */   Column: () => (/* reexport safe */ _table_columns_Column__WEBPACK_IMPORTED_MODULE_518__.Column),
/* harmony export */   ColumnLayout: () => (/* reexport safe */ _layout_ColumnLayout__WEBPACK_IMPORTED_MODULE_191__.ColumnLayout),
/* harmony export */   ColumnOptimalWidthMeasurer: () => (/* reexport safe */ _table_columns_ColumnOptimalWidthMeasurer__WEBPACK_IMPORTED_MODULE_522__.ColumnOptimalWidthMeasurer),
/* harmony export */   ColumnUserFilter: () => (/* reexport safe */ _table_userfilter_ColumnUserFilter__WEBPACK_IMPORTED_MODULE_586__.ColumnUserFilter),
/* harmony export */   ColumnsTable: () => (/* reexport safe */ _table_organizer_ShowInvisibleColumnsFormModel__WEBPACK_IMPORTED_MODULE_583__.ColumnsTable),
/* harmony export */   ComboMenu: () => (/* reexport safe */ _menu_ComboMenu__WEBPACK_IMPORTED_MODULE_342__.ComboMenu),
/* harmony export */   ComboMenuAdapter: () => (/* reexport safe */ _menu_ComboMenuAdapter__WEBPACK_IMPORTED_MODULE_343__.ComboMenuAdapter),
/* harmony export */   CompactBean: () => (/* reexport safe */ _table_columns_CompactBean__WEBPACK_IMPORTED_MODULE_527__.CompactBean),
/* harmony export */   CompactColumn: () => (/* reexport safe */ _table_columns_CompactColumn__WEBPACK_IMPORTED_MODULE_526__.CompactColumn),
/* harmony export */   CompactLine: () => (/* reexport safe */ _table_columns_CompactLine__WEBPACK_IMPORTED_MODULE_528__.CompactLine),
/* harmony export */   CompactLineBlock: () => (/* reexport safe */ _table_columns_CompactLineBlock__WEBPACK_IMPORTED_MODULE_529__.CompactLineBlock),
/* harmony export */   CompactTree: () => (/* reexport safe */ _tree_CompactTree__WEBPACK_IMPORTED_MODULE_630__.CompactTree),
/* harmony export */   CompactTreeDownKeyStroke: () => (/* reexport safe */ _tree_keystrokes_CompactTreeDownKeyStroke__WEBPACK_IMPORTED_MODULE_634__.CompactTreeDownKeyStroke),
/* harmony export */   CompactTreeLeftKeyStroke: () => (/* reexport safe */ _tree_keystrokes_CompactTreeLeftKeyStroke__WEBPACK_IMPORTED_MODULE_635__.CompactTreeLeftKeyStroke),
/* harmony export */   CompactTreeNode: () => (/* reexport safe */ _tree_CompactTreeNode__WEBPACK_IMPORTED_MODULE_631__.CompactTreeNode),
/* harmony export */   CompactTreeRightKeyStroke: () => (/* reexport safe */ _tree_keystrokes_CompactTreeRightKeyStroke__WEBPACK_IMPORTED_MODULE_636__.CompactTreeRightKeyStroke),
/* harmony export */   CompactTreeUpKeyStroke: () => (/* reexport safe */ _tree_keystrokes_CompactTreeUpKeyStroke__WEBPACK_IMPORTED_MODULE_633__.CompactTreeUpKeyStroke),
/* harmony export */   Composite: () => (/* reexport safe */ _widget_Composite__WEBPACK_IMPORTED_MODULE_40__.Composite),
/* harmony export */   CompositeField: () => (/* reexport safe */ _form_fields_CompositeField__WEBPACK_IMPORTED_MODULE_662__.CompositeField),
/* harmony export */   CompositeFieldAdapter: () => (/* reexport safe */ _form_fields_CompositeFieldAdapter__WEBPACK_IMPORTED_MODULE_663__.CompositeFieldAdapter),
/* harmony export */   CompositeTile: () => (/* reexport safe */ _tile_CompositeTile__WEBPACK_IMPORTED_MODULE_942__.CompositeTile),
/* harmony export */   ConfigPropertyCache: () => (/* reexport safe */ _config_ConfigPropertyCache__WEBPACK_IMPORTED_MODULE_133__.ConfigPropertyCache),
/* harmony export */   ContextMenuKeyStroke: () => (/* reexport safe */ _keystroke_ContextMenuKeyStroke__WEBPACK_IMPORTED_MODULE_215__.ContextMenuKeyStroke),
/* harmony export */   ContextMenuPopup: () => (/* reexport safe */ _menu_ContextMenuPopup__WEBPACK_IMPORTED_MODULE_344__.ContextMenuPopup),
/* harmony export */   ContextMenuPopupLayout: () => (/* reexport safe */ _menu_ContextMenuPopupLayout__WEBPACK_IMPORTED_MODULE_346__.ContextMenuPopupLayout),
/* harmony export */   CopyKeyStroke: () => (/* reexport safe */ _messagebox_CopyKeyStroke__WEBPACK_IMPORTED_MODULE_690__.CopyKeyStroke),
/* harmony export */   DateColumn: () => (/* reexport safe */ _table_columns_DateColumn__WEBPACK_IMPORTED_MODULE_530__.DateColumn),
/* harmony export */   DateColumnUserFilter: () => (/* reexport safe */ _table_userfilter_DateColumnUserFilter__WEBPACK_IMPORTED_MODULE_589__.DateColumnUserFilter),
/* harmony export */   DateField: () => (/* reexport safe */ _form_fields_datefield_DateField__WEBPACK_IMPORTED_MODULE_726__.DateField),
/* harmony export */   DateFieldAdapter: () => (/* reexport safe */ _form_fields_datefield_DateFieldAdapter__WEBPACK_IMPORTED_MODULE_729__.DateFieldAdapter),
/* harmony export */   DateFormat: () => (/* reexport safe */ _text_DateFormat__WEBPACK_IMPORTED_MODULE_259__.DateFormat),
/* harmony export */   DateFormatPatternDefinition: () => (/* reexport safe */ _text_DateFormatPatternDefinition__WEBPACK_IMPORTED_MODULE_258__.DateFormatPatternDefinition),
/* harmony export */   DateFormatPatternType: () => (/* reexport safe */ _text_DateFormatPatternType__WEBPACK_IMPORTED_MODULE_257__.DateFormatPatternType),
/* harmony export */   DatePicker: () => (/* reexport safe */ _datepicker_DatePicker__WEBPACK_IMPORTED_MODULE_302__.DatePicker),
/* harmony export */   DatePickerPopup: () => (/* reexport safe */ _datepicker_DatePickerPopup__WEBPACK_IMPORTED_MODULE_305__.DatePickerPopup),
/* harmony export */   DatePickerPopupLayout: () => (/* reexport safe */ _datepicker_DatePickerPopupLayout__WEBPACK_IMPORTED_MODULE_307__.DatePickerPopupLayout),
/* harmony export */   DatePickerTouchPopup: () => (/* reexport safe */ _datepicker_DatePickerTouchPopup__WEBPACK_IMPORTED_MODULE_308__.DatePickerTouchPopup),
/* harmony export */   DatePickerTouchPopupLayout: () => (/* reexport safe */ _datepicker_DatePickerTouchPopupLayout__WEBPACK_IMPORTED_MODULE_310__.DatePickerTouchPopupLayout),
/* harmony export */   DatePredictionFailedStatus: () => (/* reexport safe */ _form_fields_datefield_DatePredictionFailedStatus__WEBPACK_IMPORTED_MODULE_725__.DatePredictionFailedStatus),
/* harmony export */   DateRange: () => (/* reexport safe */ _calendar_DateRange__WEBPACK_IMPORTED_MODULE_392__.DateRange),
/* harmony export */   DateTimeCompositeLayout: () => (/* reexport safe */ _form_fields_datefield_DateTimeCompositeLayout__WEBPACK_IMPORTED_MODULE_730__.DateTimeCompositeLayout),
/* harmony export */   DecimalFormat: () => (/* reexport safe */ _text_DecimalFormat__WEBPACK_IMPORTED_MODULE_260__.DecimalFormat),
/* harmony export */   DefaultStatus: () => (/* reexport safe */ _status_DefaultStatus__WEBPACK_IMPORTED_MODULE_82__.DefaultStatus),
/* harmony export */   DefaultTableAccessibilityRenderer: () => (/* reexport safe */ _table_DefaultTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_601__.DefaultTableAccessibilityRenderer),
/* harmony export */   DeferredGlassPaneTarget: () => (/* reexport safe */ _glasspane_DeferredGlassPaneTarget__WEBPACK_IMPORTED_MODULE_242__.DeferredGlassPaneTarget),
/* harmony export */   Desktop: () => (/* reexport safe */ _desktop_Desktop__WEBPACK_IMPORTED_MODULE_978__.Desktop),
/* harmony export */   DesktopAdapter: () => (/* reexport safe */ _desktop_DesktopAdapter__WEBPACK_IMPORTED_MODULE_983__.DesktopAdapter),
/* harmony export */   DesktopBench: () => (/* reexport safe */ _desktop_bench_DesktopBench__WEBPACK_IMPORTED_MODULE_998__.DesktopBench),
/* harmony export */   DesktopFormController: () => (/* reexport safe */ _desktop_DesktopFormController__WEBPACK_IMPORTED_MODULE_1103__.DesktopFormController),
/* harmony export */   DesktopHeader: () => (/* reexport safe */ _desktop_header_DesktopHeader__WEBPACK_IMPORTED_MODULE_1009__.DesktopHeader),
/* harmony export */   DesktopHeaderLayout: () => (/* reexport safe */ _desktop_header_DesktopHeaderLayout__WEBPACK_IMPORTED_MODULE_1013__.DesktopHeaderLayout),
/* harmony export */   DesktopLayout: () => (/* reexport safe */ _desktop_DesktopLayout__WEBPACK_IMPORTED_MODULE_987__.DesktopLayout),
/* harmony export */   DesktopLogo: () => (/* reexport safe */ _desktop_DesktopLogo__WEBPACK_IMPORTED_MODULE_984__.DesktopLogo),
/* harmony export */   DesktopNavigation: () => (/* reexport safe */ _desktop_navigation_DesktopNavigation__WEBPACK_IMPORTED_MODULE_1025__.DesktopNavigation),
/* harmony export */   DesktopNavigationHandle: () => (/* reexport safe */ _desktop_navigation_DesktopNavigationHandle__WEBPACK_IMPORTED_MODULE_1028__.DesktopNavigationHandle),
/* harmony export */   DesktopNavigationLayout: () => (/* reexport safe */ _desktop_navigation_DesktopNavigationLayout__WEBPACK_IMPORTED_MODULE_1029__.DesktopNavigationLayout),
/* harmony export */   DesktopNotification: () => (/* reexport safe */ _desktop_notification_DesktopNotification__WEBPACK_IMPORTED_MODULE_1032__.DesktopNotification),
/* harmony export */   DesktopNotificationAdapter: () => (/* reexport safe */ _desktop_notification_DesktopNotificationAdapter__WEBPACK_IMPORTED_MODULE_1035__.DesktopNotificationAdapter),
/* harmony export */   DesktopResponsiveHandler: () => (/* reexport safe */ _form_DesktopResponsiveHandler__WEBPACK_IMPORTED_MODULE_459__.DesktopResponsiveHandler),
/* harmony export */   DesktopTab: () => (/* reexport safe */ _desktop_desktoptab_DesktopTab__WEBPACK_IMPORTED_MODULE_988__.DesktopTab),
/* harmony export */   DesktopTabArea: () => (/* reexport safe */ _desktop_desktoptab_DesktopTabArea__WEBPACK_IMPORTED_MODULE_989__.DesktopTabArea),
/* harmony export */   DesktopTabAreaLayout: () => (/* reexport safe */ _desktop_desktoptab_DesktopTabAreaLayout__WEBPACK_IMPORTED_MODULE_990__.DesktopTabAreaLayout),
/* harmony export */   DesktopTabBoxController: () => (/* reexport safe */ _desktop_DesktopTabBoxController__WEBPACK_IMPORTED_MODULE_991__.DesktopTabBoxController),
/* harmony export */   DesktopTabSelectKeyStroke: () => (/* reexport safe */ _desktop_bench_DesktopTabSelectKeyStroke__WEBPACK_IMPORTED_MODULE_992__.DesktopTabSelectKeyStroke),
/* harmony export */   DesktopToolBox: () => (/* reexport safe */ _desktop_toolbox_DesktopToolBox__WEBPACK_IMPORTED_MODULE_1042__.DesktopToolBox),
/* harmony export */   DetailTableTreeFilter: () => (/* reexport safe */ _desktop_outline_DetailTableTreeFilter__WEBPACK_IMPORTED_MODULE_1073__.DetailTableTreeFilter),
/* harmony export */   Device: () => (/* reexport safe */ _util_Device__WEBPACK_IMPORTED_MODULE_57__.Device),
/* harmony export */   DialogLayout: () => (/* reexport safe */ _form_DialogLayout__WEBPACK_IMPORTED_MODULE_454__.DialogLayout),
/* harmony export */   Dimension: () => (/* reexport safe */ _layout_Dimension__WEBPACK_IMPORTED_MODULE_161__.Dimension),
/* harmony export */   DisableBrowserF5ReloadKeyStroke: () => (/* reexport safe */ _desktop_DisableBrowserF5ReloadKeyStroke__WEBPACK_IMPORTED_MODULE_993__.DisableBrowserF5ReloadKeyStroke),
/* harmony export */   DisableBrowserTabSwitchingKeyStroke: () => (/* reexport safe */ _desktop_desktoptab_DisableBrowserTabSwitchingKeyStroke__WEBPACK_IMPORTED_MODULE_1008__.DisableBrowserTabSwitchingKeyStroke),
/* harmony export */   DisplayChildController: () => (/* reexport safe */ _desktop_DisplayChildController__WEBPACK_IMPORTED_MODULE_311__.DisplayChildController),
/* harmony export */   DoubleClickSupport: () => (/* reexport safe */ _util_DoubleClickSupport__WEBPACK_IMPORTED_MODULE_58__.DoubleClickSupport),
/* harmony export */   DragAndDropHandler: () => (/* reexport safe */ _util_DragAndDropHandler__WEBPACK_IMPORTED_MODULE_59__.DragAndDropHandler),
/* harmony export */   DropType: () => (/* reexport safe */ _util_dragAndDrop__WEBPACK_IMPORTED_MODULE_60__.DropType),
/* harmony export */   EllipsisMenu: () => (/* reexport safe */ _menu_EllipsisMenu__WEBPACK_IMPORTED_MODULE_335__.EllipsisMenu),
/* harmony export */   EllipsisTabMenu: () => (/* reexport safe */ _form_fields_tabbox_TabAreaLayout__WEBPACK_IMPORTED_MODULE_862__.EllipsisTabMenu),
/* harmony export */   EnlargeNavigationKeyStroke: () => (/* reexport safe */ _desktop_navigation_EnlargeNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1031__.EnlargeNavigationKeyStroke),
/* harmony export */   ErrorHandler: () => (/* reexport safe */ _ErrorHandler__WEBPACK_IMPORTED_MODULE_15__.ErrorHandler),
/* harmony export */   Event: () => (/* reexport safe */ _events_Event__WEBPACK_IMPORTED_MODULE_2__.Event),
/* harmony export */   EventDelegator: () => (/* reexport safe */ _events_EventDelegator__WEBPACK_IMPORTED_MODULE_7__.EventDelegator),
/* harmony export */   EventEmitter: () => (/* reexport safe */ _events_EventEmitter__WEBPACK_IMPORTED_MODULE_3__.EventEmitter),
/* harmony export */   EventSupport: () => (/* reexport safe */ _events_EventSupport__WEBPACK_IMPORTED_MODULE_6__.EventSupport),
/* harmony export */   Extension: () => (/* reexport safe */ _Extension__WEBPACK_IMPORTED_MODULE_17__.Extension),
/* harmony export */   FieldStatus: () => (/* reexport safe */ _form_fields_FieldStatus__WEBPACK_IMPORTED_MODULE_650__.FieldStatus),
/* harmony export */   FileChooser: () => (/* reexport safe */ _filechooser_FileChooser__WEBPACK_IMPORTED_MODULE_407__.FileChooser),
/* harmony export */   FileChooserAdapter: () => (/* reexport safe */ _filechooser_FileChooserAdapter__WEBPACK_IMPORTED_MODULE_410__.FileChooserAdapter),
/* harmony export */   FileChooserButton: () => (/* reexport safe */ _form_fields_filechooserbutton_FileChooserButton__WEBPACK_IMPORTED_MODULE_731__.FileChooserButton),
/* harmony export */   FileChooserButtonAdapter: () => (/* reexport safe */ _form_fields_filechooserbutton_FileChooserButtonAdapter__WEBPACK_IMPORTED_MODULE_734__.FileChooserButtonAdapter),
/* harmony export */   FileChooserController: () => (/* reexport safe */ _filechooser_FileChooserController__WEBPACK_IMPORTED_MODULE_411__.FileChooserController),
/* harmony export */   FileChooserField: () => (/* reexport safe */ _form_fields_filechooserfield_FileChooserField__WEBPACK_IMPORTED_MODULE_735__.FileChooserField),
/* harmony export */   FileChooserFieldAdapter: () => (/* reexport safe */ _form_fields_filechooserfield_FileChooserFieldAdapter__WEBPACK_IMPORTED_MODULE_738__.FileChooserFieldAdapter),
/* harmony export */   FileChooserFieldBrowseKeyStroke: () => (/* reexport safe */ _form_fields_filechooserfield_FileChooserFieldBrowseKeyStroke__WEBPACK_IMPORTED_MODULE_739__.FileChooserFieldBrowseKeyStroke),
/* harmony export */   FileChooserFieldDeleteKeyStroke: () => (/* reexport safe */ _form_fields_filechooserfield_FileChooserFieldDeleteKeyStroke__WEBPACK_IMPORTED_MODULE_740__.FileChooserFieldDeleteKeyStroke),
/* harmony export */   FileInput: () => (/* reexport safe */ _filechooser_FileInput__WEBPACK_IMPORTED_MODULE_412__.FileInput),
/* harmony export */   FilterFieldsGroupBox: () => (/* reexport safe */ _table_FilterFieldsGroupBox__WEBPACK_IMPORTED_MODULE_1105__.FilterFieldsGroupBox),
/* harmony export */   FilterSupport: () => (/* reexport safe */ _filter_FilterSupport__WEBPACK_IMPORTED_MODULE_31__.FilterSupport),
/* harmony export */   FlexboxLayout: () => (/* reexport safe */ _layout_flexbox_FlexboxLayout__WEBPACK_IMPORTED_MODULE_195__.FlexboxLayout),
/* harmony export */   FlexboxLayoutData: () => (/* reexport safe */ _layout_flexbox_FlexboxLayoutData__WEBPACK_IMPORTED_MODULE_196__.FlexboxLayoutData),
/* harmony export */   FocusAdjacentElementKeyStroke: () => (/* reexport safe */ _keystroke_FocusAdjacentElementKeyStroke__WEBPACK_IMPORTED_MODULE_217__.FocusAdjacentElementKeyStroke),
/* harmony export */   FocusContext: () => (/* reexport safe */ _focus_FocusContext__WEBPACK_IMPORTED_MODULE_238__.FocusContext),
/* harmony export */   FocusFilterFieldKeyStroke: () => (/* reexport safe */ _keystroke_FocusFilterFieldKeyStroke__WEBPACK_IMPORTED_MODULE_29__.FocusFilterFieldKeyStroke),
/* harmony export */   FocusManager: () => (/* reexport safe */ _focus_FocusManager__WEBPACK_IMPORTED_MODULE_237__.FocusManager),
/* harmony export */   FocusRule: () => (/* reexport safe */ _focus_FocusRule__WEBPACK_IMPORTED_MODULE_240__.FocusRule),
/* harmony export */   Form: () => (/* reexport safe */ _form_Form__WEBPACK_IMPORTED_MODULE_433__.Form),
/* harmony export */   FormAdapter: () => (/* reexport safe */ _form_FormAdapter__WEBPACK_IMPORTED_MODULE_434__.FormAdapter),
/* harmony export */   FormController: () => (/* reexport safe */ _form_FormController__WEBPACK_IMPORTED_MODULE_681__.FormController),
/* harmony export */   FormField: () => (/* reexport safe */ _form_fields_FormField__WEBPACK_IMPORTED_MODULE_653__.FormField),
/* harmony export */   FormFieldAdapter: () => (/* reexport safe */ _form_fields_FormFieldAdapter__WEBPACK_IMPORTED_MODULE_656__.FormFieldAdapter),
/* harmony export */   FormFieldLayout: () => (/* reexport safe */ _form_fields_FormFieldLayout__WEBPACK_IMPORTED_MODULE_657__.FormFieldLayout),
/* harmony export */   FormFieldMenu: () => (/* reexport safe */ _menu_form_field_FormFieldMenu__WEBPACK_IMPORTED_MODULE_356__.FormFieldMenu),
/* harmony export */   FormFieldMenuAdapter: () => (/* reexport safe */ _menu_form_field_FormFieldMenuAdapter__WEBPACK_IMPORTED_MODULE_359__.FormFieldMenuAdapter),
/* harmony export */   FormFieldTile: () => (/* reexport safe */ _tile_fields_FormFieldTile__WEBPACK_IMPORTED_MODULE_965__.FormFieldTile),
/* harmony export */   FormFieldTileAdapter: () => (/* reexport safe */ _tile_fields_FormFieldTileAdapter__WEBPACK_IMPORTED_MODULE_966__.FormFieldTileAdapter),
/* harmony export */   FormFieldValidationResultProvider: () => (/* reexport safe */ _form_fields_FormFieldValidationResultProvider__WEBPACK_IMPORTED_MODULE_658__.FormFieldValidationResultProvider),
/* harmony export */   FormGrid: () => (/* reexport safe */ _form_FormGrid__WEBPACK_IMPORTED_MODULE_436__.FormGrid),
/* harmony export */   FormLayout: () => (/* reexport safe */ _form_FormLayout__WEBPACK_IMPORTED_MODULE_437__.FormLayout),
/* harmony export */   FormLifecycle: () => (/* reexport safe */ _form_lifecycle_FormLifecycle__WEBPACK_IMPORTED_MODULE_444__.FormLifecycle),
/* harmony export */   FormLifecycleMenu: () => (/* reexport safe */ _form_lifecycle_FormLifecycleMenu__WEBPACK_IMPORTED_MODULE_445__.FormLifecycleMenu),
/* harmony export */   FormMenu: () => (/* reexport safe */ _form_FormMenu__WEBPACK_IMPORTED_MODULE_439__.FormMenu),
/* harmony export */   FormMenuActionKeyStroke: () => (/* reexport safe */ _form_FormMenuActionKeyStroke__WEBPACK_IMPORTED_MODULE_438__.FormMenuActionKeyStroke),
/* harmony export */   FormMenuAdapter: () => (/* reexport safe */ _form_FormMenuAdapter__WEBPACK_IMPORTED_MODULE_442__.FormMenuAdapter),
/* harmony export */   FormTableControl: () => (/* reexport safe */ _table_controls_FormTableControl__WEBPACK_IMPORTED_MODULE_554__.FormTableControl),
/* harmony export */   FormTableControlAdapter: () => (/* reexport safe */ _table_controls_FormTableControlAdapter__WEBPACK_IMPORTED_MODULE_557__.FormTableControlAdapter),
/* harmony export */   FormTableControlLayout: () => (/* reexport safe */ _table_controls_FormTableControlLayout__WEBPACK_IMPORTED_MODULE_558__.FormTableControlLayout),
/* harmony export */   GeoLocationUiHandler: () => (/* reexport safe */ _desktop_GeoLocationUiHandler__WEBPACK_IMPORTED_MODULE_1134__.GeoLocationUiHandler),
/* harmony export */   GlassPane: () => (/* reexport safe */ _glasspane_GlassPane__WEBPACK_IMPORTED_MODULE_241__.GlassPane),
/* harmony export */   GlassPaneRenderer: () => (/* reexport safe */ _glasspane_GlassPaneRenderer__WEBPACK_IMPORTED_MODULE_243__.GlassPaneRenderer),
/* harmony export */   GridData: () => (/* reexport safe */ _layout_logicalgrid_GridData__WEBPACK_IMPORTED_MODULE_173__.GridData),
/* harmony export */   Group: () => (/* reexport safe */ _group_Group__WEBPACK_IMPORTED_MODULE_312__.Group),
/* harmony export */   GroupAdapter: () => (/* reexport safe */ _group_GroupAdapter__WEBPACK_IMPORTED_MODULE_315__.GroupAdapter),
/* harmony export */   GroupBox: () => (/* reexport safe */ _form_fields_groupbox_GroupBox__WEBPACK_IMPORTED_MODULE_741__.GroupBox),
/* harmony export */   GroupBoxAdapter: () => (/* reexport safe */ _form_fields_groupbox_GroupBoxAdapter__WEBPACK_IMPORTED_MODULE_745__.GroupBoxAdapter),
/* harmony export */   GroupBoxGridConfig: () => (/* reexport safe */ _form_fields_groupbox_GroupBoxGridConfig__WEBPACK_IMPORTED_MODULE_744__.GroupBoxGridConfig),
/* harmony export */   GroupBoxLayout: () => (/* reexport safe */ _form_fields_groupbox_GroupBoxLayout__WEBPACK_IMPORTED_MODULE_746__.GroupBoxLayout),
/* harmony export */   GroupBoxMenuItemsOrder: () => (/* reexport safe */ _form_fields_groupbox_GroupBoxMenuItemsOrder__WEBPACK_IMPORTED_MODULE_747__.GroupBoxMenuItemsOrder),
/* harmony export */   GroupBoxResponsiveHandler: () => (/* reexport safe */ _form_GroupBoxResponsiveHandler__WEBPACK_IMPORTED_MODULE_458__.GroupBoxResponsiveHandler),
/* harmony export */   GroupLayout: () => (/* reexport safe */ _group_GroupLayout__WEBPACK_IMPORTED_MODULE_316__.GroupLayout),
/* harmony export */   GroupToggleCollapseKeyStroke: () => (/* reexport safe */ _group_keystrokes_GroupToggleCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_317__.GroupToggleCollapseKeyStroke),
/* harmony export */   HAlign: () => (/* reexport safe */ _util_HAlign__WEBPACK_IMPORTED_MODULE_94__.HAlign),
/* harmony export */   HeaderTabBoxController: () => (/* reexport safe */ _desktop_header_HeaderTabBoxController__WEBPACK_IMPORTED_MODULE_1012__.HeaderTabBoxController),
/* harmony export */   HierarchicalLookupResultBuilder: () => (/* reexport safe */ _lookup_HierarchicalLookupResultBuilder__WEBPACK_IMPORTED_MODULE_124__.HierarchicalLookupResultBuilder),
/* harmony export */   HierarchicalTableAccessibilityRenderer: () => (/* reexport safe */ _table_HierarchicalTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_602__.HierarchicalTableAccessibilityRenderer),
/* harmony export */   HorizontalGrid: () => (/* reexport safe */ _layout_logicalgrid_HorizontalGrid__WEBPACK_IMPORTED_MODULE_184__.HorizontalGrid),
/* harmony export */   HorizontalGridMatrix: () => (/* reexport safe */ _layout_logicalgrid_matrix_HorizontalGridMatrix__WEBPACK_IMPORTED_MODULE_189__.HorizontalGridMatrix),
/* harmony export */   HtmlComponent: () => (/* reexport safe */ _layout_HtmlComponent__WEBPACK_IMPORTED_MODULE_169__.HtmlComponent),
/* harmony export */   HtmlEncoder: () => (/* reexport safe */ _encoder_HtmlEncoder__WEBPACK_IMPORTED_MODULE_88__.HtmlEncoder),
/* harmony export */   HtmlEnvironment: () => (/* reexport safe */ _layout_HtmlEnvironment__WEBPACK_IMPORTED_MODULE_166__.HtmlEnvironment),
/* harmony export */   HtmlField: () => (/* reexport safe */ _form_fields_htmlfield_HtmlField__WEBPACK_IMPORTED_MODULE_748__.HtmlField),
/* harmony export */   HtmlFieldAdapter: () => (/* reexport safe */ _form_fields_htmlfield_HtmlFieldAdapter__WEBPACK_IMPORTED_MODULE_751__.HtmlFieldAdapter),
/* harmony export */   HtmlTile: () => (/* reexport safe */ _tile_HtmlTile__WEBPACK_IMPORTED_MODULE_943__.HtmlTile),
/* harmony export */   HtmlTileAdapter: () => (/* reexport safe */ _tile_HtmlTileAdapter__WEBPACK_IMPORTED_MODULE_944__.HtmlTileAdapter),
/* harmony export */   HybridActionContextElement: () => (/* reexport safe */ _desktop_hybrid_HybridActionContextElement__WEBPACK_IMPORTED_MODULE_1018__.HybridActionContextElement),
/* harmony export */   HybridActionContextElementConverter: () => (/* reexport safe */ _desktop_hybrid_converter_HybridActionContextElementConverter__WEBPACK_IMPORTED_MODULE_1021__.HybridActionContextElementConverter),
/* harmony export */   HybridActionContextElementConverters: () => (/* reexport safe */ _desktop_hybrid_converter_HybridActionContextElementConverters__WEBPACK_IMPORTED_MODULE_1020__.HybridActionContextElementConverters),
/* harmony export */   HybridActionContextElements: () => (/* reexport safe */ _desktop_hybrid_HybridActionContextElements__WEBPACK_IMPORTED_MODULE_1019__.HybridActionContextElements),
/* harmony export */   HybridManager: () => (/* reexport safe */ _desktop_hybrid_HybridManager__WEBPACK_IMPORTED_MODULE_1015__.HybridManager),
/* harmony export */   HybridManagerAdapter: () => (/* reexport safe */ _desktop_hybrid_HybridManagerAdapter__WEBPACK_IMPORTED_MODULE_1016__.HybridManagerAdapter),
/* harmony export */   IFrame: () => (/* reexport safe */ _iframe_IFrame__WEBPACK_IMPORTED_MODULE_244__.IFrame),
/* harmony export */   IFrameKeyStrokeContext: () => (/* reexport safe */ _iframe_IFrameKeyStrokeContext__WEBPACK_IMPORTED_MODULE_245__.IFrameKeyStrokeContext),
/* harmony export */   Icon: () => (/* reexport safe */ _image_Icon__WEBPACK_IMPORTED_MODULE_318__.Icon),
/* harmony export */   IconColumn: () => (/* reexport safe */ _table_columns_IconColumn__WEBPACK_IMPORTED_MODULE_533__.IconColumn),
/* harmony export */   IconDesc: () => (/* reexport safe */ _image_IconDesc__WEBPACK_IMPORTED_MODULE_321__.IconDesc),
/* harmony export */   Image: () => (/* reexport safe */ _image_Image__WEBPACK_IMPORTED_MODULE_322__.Image),
/* harmony export */   ImageField: () => (/* reexport safe */ _form_fields_imagefield_ImageField__WEBPACK_IMPORTED_MODULE_752__.ImageField),
/* harmony export */   ImageFieldAdapter: () => (/* reexport safe */ _form_fields_imagefield_ImageFieldAdapter__WEBPACK_IMPORTED_MODULE_755__.ImageFieldAdapter),
/* harmony export */   ImageFieldLayout: () => (/* reexport safe */ _form_fields_imagefield_ImageFieldLayout__WEBPACK_IMPORTED_MODULE_756__.ImageFieldLayout),
/* harmony export */   ImageLayout: () => (/* reexport safe */ _image_ImageLayout__WEBPACK_IMPORTED_MODULE_325__.ImageLayout),
/* harmony export */   InputFieldKeyStrokeContext: () => (/* reexport safe */ _keystroke_InputFieldKeyStrokeContext__WEBPACK_IMPORTED_MODULE_213__.InputFieldKeyStrokeContext),
/* harmony export */   Insets: () => (/* reexport safe */ _layout_Insets__WEBPACK_IMPORTED_MODULE_162__.Insets),
/* harmony export */   IntegerField: () => (/* reexport safe */ _form_fields_integerfield_IntegerField__WEBPACK_IMPORTED_MODULE_775__.IntegerField),
/* harmony export */   JsFormAdapter: () => (/* reexport safe */ _form_js_JsFormAdapter__WEBPACK_IMPORTED_MODULE_465__.JsFormAdapter),
/* harmony export */   Key: () => (/* reexport safe */ _keystroke_Key__WEBPACK_IMPORTED_MODULE_206__.Key),
/* harmony export */   KeyStroke: () => (/* reexport safe */ _keystroke_KeyStroke__WEBPACK_IMPORTED_MODULE_26__.KeyStroke),
/* harmony export */   KeyStrokeContext: () => (/* reexport safe */ _keystroke_KeyStrokeContext__WEBPACK_IMPORTED_MODULE_211__.KeyStrokeContext),
/* harmony export */   KeyStrokeManager: () => (/* reexport safe */ _keystroke_KeyStrokeManager__WEBPACK_IMPORTED_MODULE_209__.KeyStrokeManager),
/* harmony export */   KeyTableFilter: () => (/* reexport safe */ _table_KeyTableFilter__WEBPACK_IMPORTED_MODULE_598__.KeyTableFilter),
/* harmony export */   Label: () => (/* reexport safe */ _label_Label__WEBPACK_IMPORTED_MODULE_278__.Label),
/* harmony export */   LabelAdapter: () => (/* reexport safe */ _label_LabelAdapter__WEBPACK_IMPORTED_MODULE_279__.LabelAdapter),
/* harmony export */   LabelField: () => (/* reexport safe */ _form_fields_labelfield_LabelField__WEBPACK_IMPORTED_MODULE_757__.LabelField),
/* harmony export */   LabelFieldAdapter: () => (/* reexport safe */ _form_fields_labelfield_LabelFieldAdapter__WEBPACK_IMPORTED_MODULE_760__.LabelFieldAdapter),
/* harmony export */   LayoutConstants: () => (/* reexport safe */ _layout_LayoutConstants__WEBPACK_IMPORTED_MODULE_171__.LayoutConstants),
/* harmony export */   LayoutValidator: () => (/* reexport safe */ _layout_LayoutValidator__WEBPACK_IMPORTED_MODULE_172__.LayoutValidator),
/* harmony export */   LazyNodeFilter: () => (/* reexport safe */ _tree_LazyNodeFilter__WEBPACK_IMPORTED_MODULE_620__.LazyNodeFilter),
/* harmony export */   Lifecycle: () => (/* reexport safe */ _lifecycle_Lifecycle__WEBPACK_IMPORTED_MODULE_396__.Lifecycle),
/* harmony export */   LimitedResultTableStatus: () => (/* reexport safe */ _table_LimitedResultTableStatus__WEBPACK_IMPORTED_MODULE_510__.LimitedResultTableStatus),
/* harmony export */   ListBox: () => (/* reexport safe */ _form_fields_listbox_ListBox__WEBPACK_IMPORTED_MODULE_761__.ListBox),
/* harmony export */   ListBoxAdapter: () => (/* reexport safe */ _form_fields_listbox_ListBoxAdapter__WEBPACK_IMPORTED_MODULE_762__.ListBoxAdapter),
/* harmony export */   ListBoxLayout: () => (/* reexport safe */ _form_fields_listbox_ListBoxLayout__WEBPACK_IMPORTED_MODULE_763__.ListBoxLayout),
/* harmony export */   ListBoxTableAccessibilityRenderer: () => (/* reexport safe */ _table_ListBoxTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_603__.ListBoxTableAccessibilityRenderer),
/* harmony export */   LoadingSupport: () => (/* reexport safe */ _widget_LoadingSupport__WEBPACK_IMPORTED_MODULE_22__.LoadingSupport),
/* harmony export */   Locale: () => (/* reexport safe */ _session_Locale__WEBPACK_IMPORTED_MODULE_153__.Locale),
/* harmony export */   LogLevel: () => (/* reexport safe */ _logging_logging__WEBPACK_IMPORTED_MODULE_68__.LogLevel),
/* harmony export */   LogicalGrid: () => (/* reexport safe */ _layout_logicalgrid_LogicalGrid__WEBPACK_IMPORTED_MODULE_175__.LogicalGrid),
/* harmony export */   LogicalGridConfig: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridConfig__WEBPACK_IMPORTED_MODULE_176__.LogicalGridConfig),
/* harmony export */   LogicalGridData: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridData__WEBPACK_IMPORTED_MODULE_177__.LogicalGridData),
/* harmony export */   LogicalGridLayout: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridLayout__WEBPACK_IMPORTED_MODULE_178__.LogicalGridLayout),
/* harmony export */   LogicalGridLayoutConfig: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridLayoutConfig__WEBPACK_IMPORTED_MODULE_180__.LogicalGridLayoutConfig),
/* harmony export */   LogicalGridLayoutInfo: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridLayoutInfo__WEBPACK_IMPORTED_MODULE_181__.LogicalGridLayoutInfo),
/* harmony export */   LogicalGridLayoutSpy: () => (/* reexport safe */ _layout_logicalgrid_LogicalGridLayoutSpy__WEBPACK_IMPORTED_MODULE_179__.LogicalGridLayoutSpy),
/* harmony export */   LogicalGridMatrix: () => (/* reexport safe */ _layout_logicalgrid_matrix_LogicalGridMatrix__WEBPACK_IMPORTED_MODULE_186__.LogicalGridMatrix),
/* harmony export */   LogicalGridMatrixCell: () => (/* reexport safe */ _layout_logicalgrid_matrix_LogicalGridMatrixCell__WEBPACK_IMPORTED_MODULE_187__.LogicalGridMatrixCell),
/* harmony export */   LogicalGridMatrixCursor: () => (/* reexport safe */ _layout_logicalgrid_matrix_LogicalGridMatrixCursor__WEBPACK_IMPORTED_MODULE_188__.LogicalGridMatrixCursor),
/* harmony export */   LoginApp: () => (/* reexport safe */ _login_LoginApp__WEBPACK_IMPORTED_MODULE_1113__.LoginApp),
/* harmony export */   LoginBox: () => (/* reexport safe */ _login_LoginBox__WEBPACK_IMPORTED_MODULE_1115__.LoginBox),
/* harmony export */   LogoutApp: () => (/* reexport safe */ _login_LogoutApp__WEBPACK_IMPORTED_MODULE_1116__.LogoutApp),
/* harmony export */   LogoutBox: () => (/* reexport safe */ _login_LogoutBox__WEBPACK_IMPORTED_MODULE_1118__.LogoutBox),
/* harmony export */   LookupBox: () => (/* reexport safe */ _form_fields_LookupBox__WEBPACK_IMPORTED_MODULE_677__.LookupBox),
/* harmony export */   LookupBoxLayout: () => (/* reexport safe */ _form_fields_LookupBoxLayout__WEBPACK_IMPORTED_MODULE_680__.LookupBoxLayout),
/* harmony export */   LookupCall: () => (/* reexport safe */ _lookup_LookupCall__WEBPACK_IMPORTED_MODULE_111__.LookupCall),
/* harmony export */   LookupCallColumn: () => (/* reexport safe */ _table_columns_LookupCallColumn__WEBPACK_IMPORTED_MODULE_537__.LookupCallColumn),
/* harmony export */   LookupColumn: () => (/* reexport safe */ _table_columns_LookupColumn__WEBPACK_IMPORTED_MODULE_543__.LookupColumn),
/* harmony export */   LookupEditor: () => (/* reexport safe */ _table_columns_LookupEditor__WEBPACK_IMPORTED_MODULE_908__.LookupEditor),
/* harmony export */   LookupEditorTreeLayout: () => (/* reexport safe */ _table_columns_LookupEditorTreeLayout__WEBPACK_IMPORTED_MODULE_911__.LookupEditorTreeLayout),
/* harmony export */   LookupFieldAdapter: () => (/* reexport safe */ _form_fields_lookupfield_LookupFieldAdapter__WEBPACK_IMPORTED_MODULE_766__.LookupFieldAdapter),
/* harmony export */   LookupRow: () => (/* reexport safe */ _lookup_LookupRow__WEBPACK_IMPORTED_MODULE_115__.LookupRow),
/* harmony export */   MaxLengthHandler: () => (/* reexport safe */ _util_MaxLengthHandler__WEBPACK_IMPORTED_MODULE_66__.MaxLengthHandler),
/* harmony export */   Menu: () => (/* reexport safe */ _menu_Menu__WEBPACK_IMPORTED_MODULE_332__.Menu),
/* harmony export */   MenuAdapter: () => (/* reexport safe */ _menu_MenuAdapter__WEBPACK_IMPORTED_MODULE_338__.MenuAdapter),
/* harmony export */   MenuBar: () => (/* reexport safe */ _menu_menubar_MenuBar__WEBPACK_IMPORTED_MODULE_364__.MenuBar),
/* harmony export */   MenuBarBox: () => (/* reexport safe */ _menu_menubar_MenuBarBox__WEBPACK_IMPORTED_MODULE_372__.MenuBarBox),
/* harmony export */   MenuBarBoxLayout: () => (/* reexport safe */ _menu_menubar_MenuBarBoxLayout__WEBPACK_IMPORTED_MODULE_375__.MenuBarBoxLayout),
/* harmony export */   MenuBarLayout: () => (/* reexport safe */ _menu_menubar_MenuBarLayout__WEBPACK_IMPORTED_MODULE_367__.MenuBarLayout),
/* harmony export */   MenuBarLeftKeyStroke: () => (/* reexport safe */ _menu_menubar_MenuBarLeftKeyStroke__WEBPACK_IMPORTED_MODULE_368__.MenuBarLeftKeyStroke),
/* harmony export */   MenuBarPopup: () => (/* reexport safe */ _menu_menubar_MenuBarPopup__WEBPACK_IMPORTED_MODULE_370__.MenuBarPopup),
/* harmony export */   MenuBarRightKeyStroke: () => (/* reexport safe */ _menu_menubar_MenuBarRightKeyStroke__WEBPACK_IMPORTED_MODULE_369__.MenuBarRightKeyStroke),
/* harmony export */   MenuBox: () => (/* reexport safe */ _menu_menubox_MenuBox__WEBPACK_IMPORTED_MODULE_360__.MenuBox),
/* harmony export */   MenuBoxLayout: () => (/* reexport safe */ _menu_menubox_MenuBoxLayout__WEBPACK_IMPORTED_MODULE_363__.MenuBoxLayout),
/* harmony export */   MenuDestinations: () => (/* reexport safe */ _menu_MenuDestinations__WEBPACK_IMPORTED_MODULE_331__.MenuDestinations),
/* harmony export */   MenuExecByNumberKeyStroke: () => (/* reexport safe */ _menu_MenuExecByNumberKeyStroke__WEBPACK_IMPORTED_MODULE_349__.MenuExecByNumberKeyStroke),
/* harmony export */   MenuExecKeyStroke: () => (/* reexport safe */ _menu_MenuExecKeyStroke__WEBPACK_IMPORTED_MODULE_340__.MenuExecKeyStroke),
/* harmony export */   MenuItemsOrder: () => (/* reexport safe */ _menu_MenuItemsOrder__WEBPACK_IMPORTED_MODULE_341__.MenuItemsOrder),
/* harmony export */   MenuKeyStroke: () => (/* reexport safe */ _menu_MenuKeyStroke__WEBPACK_IMPORTED_MODULE_339__.MenuKeyStroke),
/* harmony export */   MenuNavigationDownKeyStroke: () => (/* reexport safe */ _menu_MenuNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_350__.MenuNavigationDownKeyStroke),
/* harmony export */   MenuNavigationExecKeyStroke: () => (/* reexport safe */ _menu_MenuNavigationExecKeyStroke__WEBPACK_IMPORTED_MODULE_348__.MenuNavigationExecKeyStroke),
/* harmony export */   MenuNavigationKeyStroke: () => (/* reexport safe */ _menu_MenuNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_347__.MenuNavigationKeyStroke),
/* harmony export */   MenuNavigationUpKeyStroke: () => (/* reexport safe */ _menu_MenuNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_351__.MenuNavigationUpKeyStroke),
/* harmony export */   MessageBox: () => (/* reexport safe */ _messagebox_MessageBox__WEBPACK_IMPORTED_MODULE_682__.MessageBox),
/* harmony export */   MessageBoxAdapter: () => (/* reexport safe */ _messagebox_MessageBoxAdapter__WEBPACK_IMPORTED_MODULE_685__.MessageBoxAdapter),
/* harmony export */   MessageBoxController: () => (/* reexport safe */ _messagebox_MessageBoxController__WEBPACK_IMPORTED_MODULE_686__.MessageBoxController),
/* harmony export */   MessageBoxLayout: () => (/* reexport safe */ _messagebox_MessageBoxLayout__WEBPACK_IMPORTED_MODULE_689__.MessageBoxLayout),
/* harmony export */   MessageBoxes: () => (/* reexport safe */ _messagebox_MessageBoxes__WEBPACK_IMPORTED_MODULE_687__.MessageBoxes),
/* harmony export */   MobilePopup: () => (/* reexport safe */ _popup_MobilePopup__WEBPACK_IMPORTED_MODULE_298__.MobilePopup),
/* harmony export */   MobilePopupAdapter: () => (/* reexport safe */ _popup_MobilePopupAdapter__WEBPACK_IMPORTED_MODULE_300__.MobilePopupAdapter),
/* harmony export */   MobilePopupLayout: () => (/* reexport safe */ _popup_MobilePopupLayout__WEBPACK_IMPORTED_MODULE_301__.MobilePopupLayout),
/* harmony export */   Mode: () => (/* reexport safe */ _modeselector_Mode__WEBPACK_IMPORTED_MODULE_424__.Mode),
/* harmony export */   ModeAdapter: () => (/* reexport safe */ _modeselector_ModeAdapter__WEBPACK_IMPORTED_MODULE_425__.ModeAdapter),
/* harmony export */   ModeSelector: () => (/* reexport safe */ _modeselector_ModeSelector__WEBPACK_IMPORTED_MODULE_427__.ModeSelector),
/* harmony export */   ModeSelectorField: () => (/* reexport safe */ _form_fields_modeselectorfield_ModeSelectorField__WEBPACK_IMPORTED_MODULE_767__.ModeSelectorField),
/* harmony export */   ModeSelectorFieldAdapter: () => (/* reexport safe */ _form_fields_modeselectorfield_ModeSelectorFieldAdapter__WEBPACK_IMPORTED_MODULE_769__.ModeSelectorFieldAdapter),
/* harmony export */   ModeSelectorLayout: () => (/* reexport safe */ _modeselector_ModeSelectorLayout__WEBPACK_IMPORTED_MODULE_429__.ModeSelectorLayout),
/* harmony export */   ModeSelectorLeftOrUpKeyStroke: () => (/* reexport safe */ _modeselector_ModeSelectorLeftOrUpKeyStroke__WEBPACK_IMPORTED_MODULE_431__.ModeSelectorLeftOrUpKeyStroke),
/* harmony export */   ModeSelectorRightOrDownKeyStroke: () => (/* reexport safe */ _modeselector_ModeSelectorRightOrDownKeyStroke__WEBPACK_IMPORTED_MODULE_432__.ModeSelectorRightOrDownKeyStroke),
/* harmony export */   ModelAdapter: () => (/* reexport safe */ _session_ModelAdapter__WEBPACK_IMPORTED_MODULE_33__.ModelAdapter),
/* harmony export */   MoveSupport: () => (/* reexport safe */ _util_MoveSupport__WEBPACK_IMPORTED_MODULE_61__.MoveSupport),
/* harmony export */   NavigateButton: () => (/* reexport safe */ _desktop_outline_navigation_NavigateButton__WEBPACK_IMPORTED_MODULE_1092__.NavigateButton),
/* harmony export */   NavigateDownButton: () => (/* reexport safe */ _desktop_outline_navigation_NavigateDownButton__WEBPACK_IMPORTED_MODULE_1094__.NavigateDownButton),
/* harmony export */   NavigateUpButton: () => (/* reexport safe */ _desktop_outline_navigation_NavigateUpButton__WEBPACK_IMPORTED_MODULE_1095__.NavigateUpButton),
/* harmony export */   Notification: () => (/* reexport safe */ _notification_Notification__WEBPACK_IMPORTED_MODULE_326__.Notification),
/* harmony export */   NotificationAdapter: () => (/* reexport safe */ _notification_NotificationAdapter__WEBPACK_IMPORTED_MODULE_329__.NotificationAdapter),
/* harmony export */   NotificationBadgeStatus: () => (/* reexport safe */ _status_NotificationBadgeStatus__WEBPACK_IMPORTED_MODULE_83__.NotificationBadgeStatus),
/* harmony export */   NullLayout: () => (/* reexport safe */ _layout_NullLayout__WEBPACK_IMPORTED_MODULE_192__.NullLayout),
/* harmony export */   NullLogger: () => (/* reexport safe */ _logging_NullLogger__WEBPACK_IMPORTED_MODULE_69__.NullLogger),
/* harmony export */   NullWidget: () => (/* reexport safe */ _widget_NullWidget__WEBPACK_IMPORTED_MODULE_43__.NullWidget),
/* harmony export */   NullWidgetAdapter: () => (/* reexport safe */ _widget_NullWidgetAdapter__WEBPACK_IMPORTED_MODULE_46__.NullWidgetAdapter),
/* harmony export */   NumberColumn: () => (/* reexport safe */ _table_columns_NumberColumn__WEBPACK_IMPORTED_MODULE_534__.NumberColumn),
/* harmony export */   NumberColumnUserFilter: () => (/* reexport safe */ _table_userfilter_NumberColumnUserFilter__WEBPACK_IMPORTED_MODULE_591__.NumberColumnUserFilter),
/* harmony export */   NumberField: () => (/* reexport safe */ _form_fields_numberfield_NumberField__WEBPACK_IMPORTED_MODULE_770__.NumberField),
/* harmony export */   NumberFieldAdapter: () => (/* reexport safe */ _form_fields_numberfield_NumberFieldAdapter__WEBPACK_IMPORTED_MODULE_771__.NumberFieldAdapter),
/* harmony export */   ObjectFactory: () => (/* reexport safe */ _ObjectFactory__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory),
/* harmony export */   OfflineDesktopNotification: () => (/* reexport safe */ _desktop_notification_OfflineDesktopNotification__WEBPACK_IMPORTED_MODULE_1036__.OfflineDesktopNotification),
/* harmony export */   OkMenu: () => (/* reexport safe */ _form_lifecycle_OkMenu__WEBPACK_IMPORTED_MODULE_450__.OkMenu),
/* harmony export */   OpenUriHandler: () => (/* reexport safe */ _desktop_OpenUriHandler__WEBPACK_IMPORTED_MODULE_996__.OpenUriHandler),
/* harmony export */   Outline: () => (/* reexport safe */ _desktop_outline_Outline__WEBPACK_IMPORTED_MODULE_1074__.Outline),
/* harmony export */   OutlineAdapter: () => (/* reexport safe */ _desktop_outline_OutlineAdapter__WEBPACK_IMPORTED_MODULE_1077__.OutlineAdapter),
/* harmony export */   OutlineKeyStrokeContext: () => (/* reexport safe */ _desktop_outline_keystrokes_OutlineKeyStrokeContext__WEBPACK_IMPORTED_MODULE_1096__.OutlineKeyStrokeContext),
/* harmony export */   OutlineLayout: () => (/* reexport safe */ _desktop_outline_OutlineLayout__WEBPACK_IMPORTED_MODULE_1079__.OutlineLayout),
/* harmony export */   OutlineMediator: () => (/* reexport safe */ _desktop_outline_OutlineMediator__WEBPACK_IMPORTED_MODULE_1078__.OutlineMediator),
/* harmony export */   OutlineNavigateToTopKeyStroke: () => (/* reexport safe */ _desktop_outline_keystrokes_OutlineNavigateToTopKeyStroke__WEBPACK_IMPORTED_MODULE_1097__.OutlineNavigateToTopKeyStroke),
/* harmony export */   OutlineOverview: () => (/* reexport safe */ _desktop_outline_overview_OutlineOverview__WEBPACK_IMPORTED_MODULE_1098__.OutlineOverview),
/* harmony export */   OutlineTileField: () => (/* reexport safe */ _desktop_outline_OutlineTileField__WEBPACK_IMPORTED_MODULE_1084__.OutlineTileField),
/* harmony export */   OutlineTileFieldAdapter: () => (/* reexport safe */ _desktop_outline_OutlineTileFieldAdapter__WEBPACK_IMPORTED_MODULE_1085__.OutlineTileFieldAdapter),
/* harmony export */   OutlineViewButton: () => (/* reexport safe */ _desktop_outline_OutlineViewButton__WEBPACK_IMPORTED_MODULE_1080__.OutlineViewButton),
/* harmony export */   OutlineViewButtonAdapter: () => (/* reexport safe */ _desktop_outline_OutlineViewButtonAdapter__WEBPACK_IMPORTED_MODULE_1083__.OutlineViewButtonAdapter),
/* harmony export */   Page: () => (/* reexport safe */ _desktop_outline_pages_Page__WEBPACK_IMPORTED_MODULE_1058__.Page),
/* harmony export */   PageLayout: () => (/* reexport safe */ _desktop_outline_PageLayout__WEBPACK_IMPORTED_MODULE_1086__.PageLayout),
/* harmony export */   PageTileButton: () => (/* reexport safe */ _desktop_outline_pages_PageTileButton__WEBPACK_IMPORTED_MODULE_1065__.PageTileButton),
/* harmony export */   PageTileGrid: () => (/* reexport safe */ _desktop_outline_pages_PageTileGrid__WEBPACK_IMPORTED_MODULE_1067__.PageTileGrid),
/* harmony export */   PageTileGridSelectKeyStroke: () => (/* reexport safe */ _desktop_outline_pages_PageTileGridSelectKeyStroke__WEBPACK_IMPORTED_MODULE_1070__.PageTileGridSelectKeyStroke),
/* harmony export */   PageWithNodes: () => (/* reexport safe */ _desktop_outline_pages_PageWithNodes__WEBPACK_IMPORTED_MODULE_1061__.PageWithNodes),
/* harmony export */   PageWithTable: () => (/* reexport safe */ _desktop_outline_pages_PageWithTable__WEBPACK_IMPORTED_MODULE_1062__.PageWithTable),
/* harmony export */   ParsingFailedStatus: () => (/* reexport safe */ _status_ParsingFailedStatus__WEBPACK_IMPORTED_MODULE_84__.ParsingFailedStatus),
/* harmony export */   Permission: () => (/* reexport safe */ _security_Permission__WEBPACK_IMPORTED_MODULE_139__.Permission),
/* harmony export */   PermissionCollection: () => (/* reexport safe */ _security_PermissionCollection__WEBPACK_IMPORTED_MODULE_140__.PermissionCollection),
/* harmony export */   PermissionCollectionType: () => (/* reexport safe */ _security_PermissionCollection__WEBPACK_IMPORTED_MODULE_140__.PermissionCollectionType),
/* harmony export */   PlaceholderField: () => (/* reexport safe */ _form_fields_placeholder_PlaceholderField__WEBPACK_IMPORTED_MODULE_776__.PlaceholderField),
/* harmony export */   PlaceholderFieldAdapter: () => (/* reexport safe */ _form_fields_placeholder_PlaceholderFieldAdapter__WEBPACK_IMPORTED_MODULE_777__.PlaceholderFieldAdapter),
/* harmony export */   PlaceholderTile: () => (/* reexport safe */ _tile_PlaceholderTile__WEBPACK_IMPORTED_MODULE_964__.PlaceholderTile),
/* harmony export */   PlainTextEncoder: () => (/* reexport safe */ _encoder_PlainTextEncoder__WEBPACK_IMPORTED_MODULE_87__.PlainTextEncoder),
/* harmony export */   Planner: () => (/* reexport safe */ _planner_Planner__WEBPACK_IMPORTED_MODULE_399__.Planner),
/* harmony export */   PlannerAdapter: () => (/* reexport safe */ _planner_PlannerAdapter__WEBPACK_IMPORTED_MODULE_402__.PlannerAdapter),
/* harmony export */   PlannerField: () => (/* reexport safe */ _form_fields_plannerfield_PlannerField__WEBPACK_IMPORTED_MODULE_778__.PlannerField),
/* harmony export */   PlannerFieldAdapter: () => (/* reexport safe */ _form_fields_plannerfield_PlannerFieldAdapter__WEBPACK_IMPORTED_MODULE_780__.PlannerFieldAdapter),
/* harmony export */   PlannerHeader: () => (/* reexport safe */ _planner_PlannerHeader__WEBPACK_IMPORTED_MODULE_403__.PlannerHeader),
/* harmony export */   PlannerLayout: () => (/* reexport safe */ _planner_PlannerLayout__WEBPACK_IMPORTED_MODULE_405__.PlannerLayout),
/* harmony export */   PlannerMenuItemsOrder: () => (/* reexport safe */ _planner_PlannerMenuItemsOrder__WEBPACK_IMPORTED_MODULE_406__.PlannerMenuItemsOrder),
/* harmony export */   Point: () => (/* reexport safe */ _layout_Point__WEBPACK_IMPORTED_MODULE_163__.Point),
/* harmony export */   Popup: () => (/* reexport safe */ _popup_Popup__WEBPACK_IMPORTED_MODULE_282__.Popup),
/* harmony export */   PopupAdapter: () => (/* reexport safe */ _popup_PopupAdapter__WEBPACK_IMPORTED_MODULE_285__.PopupAdapter),
/* harmony export */   PopupBlockerDesktopNotification: () => (/* reexport safe */ _desktop_popupblocker_PopupBlockerDesktopNotification__WEBPACK_IMPORTED_MODULE_1039__.PopupBlockerDesktopNotification),
/* harmony export */   PopupBlockerHandler: () => (/* reexport safe */ _desktop_popupblocker_PopupBlockerHandler__WEBPACK_IMPORTED_MODULE_1037__.PopupBlockerHandler),
/* harmony export */   PopupLayout: () => (/* reexport safe */ _popup_PopupLayout__WEBPACK_IMPORTED_MODULE_286__.PopupLayout),
/* harmony export */   PopupManager: () => (/* reexport safe */ _popup_PopupManager__WEBPACK_IMPORTED_MODULE_287__.PopupManager),
/* harmony export */   PopupManagerAdapter: () => (/* reexport safe */ _popup_PopupManagerAdapter__WEBPACK_IMPORTED_MODULE_289__.PopupManagerAdapter),
/* harmony export */   PopupWindow: () => (/* reexport safe */ _desktop_PopupWindow__WEBPACK_IMPORTED_MODULE_994__.PopupWindow),
/* harmony export */   PrepopulatedLookupCall: () => (/* reexport safe */ _lookup_PrepopulatedLookupCall__WEBPACK_IMPORTED_MODULE_123__.PrepopulatedLookupCall),
/* harmony export */   PromiseCreator: () => (/* reexport safe */ _util_PromiseCreator__WEBPACK_IMPORTED_MODULE_75__.PromiseCreator),
/* harmony export */   PropertyChangeEventFilter: () => (/* reexport safe */ _session_PropertyChangeEventFilter__WEBPACK_IMPORTED_MODULE_155__.PropertyChangeEventFilter),
/* harmony export */   PropertyEventEmitter: () => (/* reexport safe */ _events_PropertyEventEmitter__WEBPACK_IMPORTED_MODULE_4__.PropertyEventEmitter),
/* harmony export */   ProposalChooser: () => (/* reexport safe */ _form_fields_smartfield_ProposalChooser__WEBPACK_IMPORTED_MODULE_825__.ProposalChooser),
/* harmony export */   ProposalChooserLayout: () => (/* reexport safe */ _form_fields_smartfield_ProposalChooserLayout__WEBPACK_IMPORTED_MODULE_828__.ProposalChooserLayout),
/* harmony export */   ProposalField: () => (/* reexport safe */ _form_fields_smartfield_ProposalField__WEBPACK_IMPORTED_MODULE_819__.ProposalField),
/* harmony export */   ProposalFieldAdapter: () => (/* reexport safe */ _form_fields_smartfield_ProposalFieldAdapter__WEBPACK_IMPORTED_MODULE_822__.ProposalFieldAdapter),
/* harmony export */   ProposalTreeNode: () => (/* reexport safe */ _form_fields_smartfield_ProposalTreeNode__WEBPACK_IMPORTED_MODULE_823__.ProposalTreeNode),
/* harmony export */   QueryBy: () => (/* reexport safe */ _lookup_QueryBy__WEBPACK_IMPORTED_MODULE_120__.QueryBy),
/* harmony export */   RadioButton: () => (/* reexport safe */ _form_fields_radiobutton_RadioButton__WEBPACK_IMPORTED_MODULE_781__.RadioButton),
/* harmony export */   RadioButtonAdapter: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonAdapter__WEBPACK_IMPORTED_MODULE_785__.RadioButtonAdapter),
/* harmony export */   RadioButtonGroup: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonGroup__WEBPACK_IMPORTED_MODULE_786__.RadioButtonGroup),
/* harmony export */   RadioButtonGroupAdapter: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonGroupAdapter__WEBPACK_IMPORTED_MODULE_789__.RadioButtonGroupAdapter),
/* harmony export */   RadioButtonGroupGridConfig: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonGroupGridConfig__WEBPACK_IMPORTED_MODULE_790__.RadioButtonGroupGridConfig),
/* harmony export */   RadioButtonGroupLeftOrUpKeyStroke: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonGroupLeftOrUpKeyStroke__WEBPACK_IMPORTED_MODULE_791__.RadioButtonGroupLeftOrUpKeyStroke),
/* harmony export */   RadioButtonGroupRightOrDownKeyStroke: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonGroupRightOrDownKeyStroke__WEBPACK_IMPORTED_MODULE_792__.RadioButtonGroupRightOrDownKeyStroke),
/* harmony export */   RadioButtonKeyStroke: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonKeyStroke__WEBPACK_IMPORTED_MODULE_793__.RadioButtonKeyStroke),
/* harmony export */   RadioButtonLayout: () => (/* reexport safe */ _form_fields_radiobutton_RadioButtonLayout__WEBPACK_IMPORTED_MODULE_784__.RadioButtonLayout),
/* harmony export */   Range: () => (/* reexport safe */ _util_Range__WEBPACK_IMPORTED_MODULE_77__.Range),
/* harmony export */   RangeKeyStroke: () => (/* reexport safe */ _keystroke_RangeKeyStroke__WEBPACK_IMPORTED_MODULE_214__.RangeKeyStroke),
/* harmony export */   Reconnector: () => (/* reexport safe */ _session_Reconnector__WEBPACK_IMPORTED_MODULE_156__.Reconnector),
/* harmony export */   Rectangle: () => (/* reexport safe */ _layout_Rectangle__WEBPACK_IMPORTED_MODULE_164__.Rectangle),
/* harmony export */   RemoteApp: () => (/* reexport safe */ _RemoteApp__WEBPACK_IMPORTED_MODULE_16__.RemoteApp),
/* harmony export */   RemoteEvent: () => (/* reexport safe */ _session_RemoteEvent__WEBPACK_IMPORTED_MODULE_152__.RemoteEvent),
/* harmony export */   RemoteLookupCall: () => (/* reexport safe */ _lookup_RemoteLookupCall__WEBPACK_IMPORTED_MODULE_118__.RemoteLookupCall),
/* harmony export */   RemoteLookupRequest: () => (/* reexport safe */ _lookup_RemoteLookupRequest__WEBPACK_IMPORTED_MODULE_119__.RemoteLookupRequest),
/* harmony export */   RemoteTableOrganizer: () => (/* reexport safe */ _table_organizer_RemoteTableOrganizer__WEBPACK_IMPORTED_MODULE_581__.RemoteTableOrganizer),
/* harmony export */   RemoteTileFilter: () => (/* reexport safe */ _tile_RemoteTileFilter__WEBPACK_IMPORTED_MODULE_961__.RemoteTileFilter),
/* harmony export */   ResetMenu: () => (/* reexport safe */ _form_lifecycle_ResetMenu__WEBPACK_IMPORTED_MODULE_451__.ResetMenu),
/* harmony export */   Resizable: () => (/* reexport safe */ _resizable_Resizable__WEBPACK_IMPORTED_MODULE_78__.Resizable),
/* harmony export */   ResourcePanel: () => (/* reexport safe */ _calendar_ResourcePanel__WEBPACK_IMPORTED_MODULE_912__.ResourcePanel),
/* harmony export */   ResourcePanelTreeNode: () => (/* reexport safe */ _calendar_ResourcePanelTreeNode__WEBPACK_IMPORTED_MODULE_644__.ResourcePanelTreeNode),
/* harmony export */   ResponseQueue: () => (/* reexport safe */ _session_ResponseQueue__WEBPACK_IMPORTED_MODULE_157__.ResponseQueue),
/* harmony export */   ResponsiveHandler: () => (/* reexport safe */ _form_ResponsiveHandler__WEBPACK_IMPORTED_MODULE_456__.ResponsiveHandler),
/* harmony export */   ResponsiveManager: () => (/* reexport safe */ _form_ResponsiveManager__WEBPACK_IMPORTED_MODULE_455__.ResponsiveManager),
/* harmony export */   RestLookupCall: () => (/* reexport safe */ _lookup_RestLookupCall__WEBPACK_IMPORTED_MODULE_116__.RestLookupCall),
/* harmony export */   RoundingMode: () => (/* reexport safe */ _util_RoundingMode__WEBPACK_IMPORTED_MODULE_73__.RoundingMode),
/* harmony export */   Route: () => (/* reexport safe */ _router_Route__WEBPACK_IMPORTED_MODULE_415__.Route),
/* harmony export */   RouteChangeEvent: () => (/* reexport safe */ _router_router__WEBPACK_IMPORTED_MODULE_416__.RouteChangeEvent),
/* harmony export */   RowLayout: () => (/* reexport safe */ _layout_RowLayout__WEBPACK_IMPORTED_MODULE_193__.RowLayout),
/* harmony export */   SaveMenu: () => (/* reexport safe */ _form_lifecycle_SaveMenu__WEBPACK_IMPORTED_MODULE_452__.SaveMenu),
/* harmony export */   Scrollbar: () => (/* reexport safe */ _scrollbar_Scrollbar__WEBPACK_IMPORTED_MODULE_248__.Scrollbar),
/* harmony export */   SearchMenu: () => (/* reexport safe */ _form_lifecycle_SearchMenu__WEBPACK_IMPORTED_MODULE_453__.SearchMenu),
/* harmony export */   SearchOutline: () => (/* reexport safe */ _desktop_outline_SearchOutline__WEBPACK_IMPORTED_MODULE_1087__.SearchOutline),
/* harmony export */   SearchOutlineAdapter: () => (/* reexport safe */ _desktop_outline_SearchOutlineAdapter__WEBPACK_IMPORTED_MODULE_1090__.SearchOutlineAdapter),
/* harmony export */   SearchOutlineLayout: () => (/* reexport safe */ _desktop_outline_SearchOutlineLayout__WEBPACK_IMPORTED_MODULE_1091__.SearchOutlineLayout),
/* harmony export */   SelectAllTextInFieldKeyStroke: () => (/* reexport safe */ _form_fields_SelectAllTextInFieldKeyStroke__WEBPACK_IMPORTED_MODULE_649__.SelectAllTextInFieldKeyStroke),
/* harmony export */   SequenceBox: () => (/* reexport safe */ _form_fields_sequencebox_SequenceBox__WEBPACK_IMPORTED_MODULE_794__.SequenceBox),
/* harmony export */   SequenceBoxAdapter: () => (/* reexport safe */ _form_fields_sequencebox_SequenceBoxAdapter__WEBPACK_IMPORTED_MODULE_798__.SequenceBoxAdapter),
/* harmony export */   SequenceBoxGridConfig: () => (/* reexport safe */ _form_fields_sequencebox_SequenceBoxGridConfig__WEBPACK_IMPORTED_MODULE_797__.SequenceBoxGridConfig),
/* harmony export */   Session: () => (/* reexport safe */ _session_Session__WEBPACK_IMPORTED_MODULE_141__.Session),
/* harmony export */   SessionAdapter: () => (/* reexport safe */ _session_SessionAdapter__WEBPACK_IMPORTED_MODULE_144__.SessionAdapter),
/* harmony export */   ShowInvisibleColumnsForm: () => (/* reexport safe */ _table_organizer_ShowInvisibleColumnsForm__WEBPACK_IMPORTED_MODULE_582__.ShowInvisibleColumnsForm),
/* harmony export */   ShrinkNavigationKeyStroke: () => (/* reexport safe */ _desktop_navigation_ShrinkNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1030__.ShrinkNavigationKeyStroke),
/* harmony export */   SimpleLoadingSupport: () => (/* reexport safe */ _widget_SimpleLoadingSupport__WEBPACK_IMPORTED_MODULE_24__.SimpleLoadingSupport),
/* harmony export */   SimpleTab: () => (/* reexport safe */ _tabbox_SimpleTab__WEBPACK_IMPORTED_MODULE_971__.SimpleTab),
/* harmony export */   SimpleTabArea: () => (/* reexport safe */ _tabbox_SimpleTabArea__WEBPACK_IMPORTED_MODULE_974__.SimpleTabArea),
/* harmony export */   SimpleTabAreaLayout: () => (/* reexport safe */ _tabbox_SimpleTabAreaLayout__WEBPACK_IMPORTED_MODULE_977__.SimpleTabAreaLayout),
/* harmony export */   SimpleTabBox: () => (/* reexport safe */ _tabbox_SimpleTabBox__WEBPACK_IMPORTED_MODULE_200__.SimpleTabBox),
/* harmony export */   SimpleTabBoxController: () => (/* reexport safe */ _tabbox_SimpleTabBoxController__WEBPACK_IMPORTED_MODULE_198__.SimpleTabBoxController),
/* harmony export */   SimpleTabBoxLayout: () => (/* reexport safe */ _tabbox_SimpleTabBoxLayout__WEBPACK_IMPORTED_MODULE_203__.SimpleTabBoxLayout),
/* harmony export */   SimpleTabViewContentLayout: () => (/* reexport safe */ _tabbox_SimpleTabViewContentLayout__WEBPACK_IMPORTED_MODULE_204__.SimpleTabViewContentLayout),
/* harmony export */   SingleLayout: () => (/* reexport safe */ _layout_SingleLayout__WEBPACK_IMPORTED_MODULE_194__.SingleLayout),
/* harmony export */   Slider: () => (/* reexport safe */ _slider_Slider__WEBPACK_IMPORTED_MODULE_417__.Slider),
/* harmony export */   SliderAdapter: () => (/* reexport safe */ _slider_SliderAdapter__WEBPACK_IMPORTED_MODULE_420__.SliderAdapter),
/* harmony export */   SliderField: () => (/* reexport safe */ _form_fields_sliderfield_SliderField__WEBPACK_IMPORTED_MODULE_799__.SliderField),
/* harmony export */   SliderFieldLayout: () => (/* reexport safe */ _form_fields_sliderfield_SliderFieldLayout__WEBPACK_IMPORTED_MODULE_802__.SliderFieldLayout),
/* harmony export */   SliderLayout: () => (/* reexport safe */ _slider_SliderLayout__WEBPACK_IMPORTED_MODULE_421__.SliderLayout),
/* harmony export */   SliderNavigationKeyStroke: () => (/* reexport safe */ _slider_SliderNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_422__.SliderNavigationKeyStroke),
/* harmony export */   SliderShiftNavigationKeyStroke: () => (/* reexport safe */ _slider_SliderShiftNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_423__.SliderShiftNavigationKeyStroke),
/* harmony export */   SmartColumn: () => (/* reexport safe */ _table_columns_SmartColumn__WEBPACK_IMPORTED_MODULE_540__.SmartColumn),
/* harmony export */   SmartField: () => (/* reexport safe */ _form_fields_smartfield_SmartField__WEBPACK_IMPORTED_MODULE_803__.SmartField),
/* harmony export */   SmartFieldAdapter: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldAdapter__WEBPACK_IMPORTED_MODULE_806__.SmartFieldAdapter),
/* harmony export */   SmartFieldCancelKeyStroke: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldCancelKeyStroke__WEBPACK_IMPORTED_MODULE_808__.SmartFieldCancelKeyStroke),
/* harmony export */   SmartFieldLayout: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldLayout__WEBPACK_IMPORTED_MODULE_807__.SmartFieldLayout),
/* harmony export */   SmartFieldMultiline: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldMultiline__WEBPACK_IMPORTED_MODULE_816__.SmartFieldMultiline),
/* harmony export */   SmartFieldMultilineAdapter: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldMultilineAdapter__WEBPACK_IMPORTED_MODULE_817__.SmartFieldMultilineAdapter),
/* harmony export */   SmartFieldMultilineLayout: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldMultilineLayout__WEBPACK_IMPORTED_MODULE_818__.SmartFieldMultilineLayout),
/* harmony export */   SmartFieldPopup: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldPopup__WEBPACK_IMPORTED_MODULE_809__.SmartFieldPopup),
/* harmony export */   SmartFieldPopupLayout: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldPopupLayout__WEBPACK_IMPORTED_MODULE_815__.SmartFieldPopupLayout),
/* harmony export */   SmartFieldTouchPopup: () => (/* reexport safe */ _form_fields_smartfield_SmartFieldTouchPopup__WEBPACK_IMPORTED_MODULE_812__.SmartFieldTouchPopup),
/* harmony export */   SplitBox: () => (/* reexport safe */ _form_fields_splitbox_SplitBox__WEBPACK_IMPORTED_MODULE_833__.SplitBox),
/* harmony export */   SplitBoxAdapter: () => (/* reexport safe */ _form_fields_splitbox_SplitBoxAdapter__WEBPACK_IMPORTED_MODULE_836__.SplitBoxAdapter),
/* harmony export */   SplitBoxCollapseKeyStroke: () => (/* reexport safe */ _form_fields_splitbox_SplitBoxCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_837__.SplitBoxCollapseKeyStroke),
/* harmony export */   SplitBoxFirstCollapseKeyStroke: () => (/* reexport safe */ _form_fields_splitbox_SplitBoxFirstCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_838__.SplitBoxFirstCollapseKeyStroke),
/* harmony export */   SplitBoxLayout: () => (/* reexport safe */ _form_fields_splitbox_SplitBoxLayout__WEBPACK_IMPORTED_MODULE_840__.SplitBoxLayout),
/* harmony export */   SplitBoxSecondCollapseKeyStroke: () => (/* reexport safe */ _form_fields_splitbox_SplitBoxSecondCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_839__.SplitBoxSecondCollapseKeyStroke),
/* harmony export */   Splitter: () => (/* reexport safe */ _splitter_Splitter__WEBPACK_IMPORTED_MODULE_254__.Splitter),
/* harmony export */   StaticLookupCall: () => (/* reexport safe */ _lookup_StaticLookupCall__WEBPACK_IMPORTED_MODULE_121__.StaticLookupCall),
/* harmony export */   Status: () => (/* reexport safe */ _status_Status__WEBPACK_IMPORTED_MODULE_80__.Status),
/* harmony export */   StatusMenuMapping: () => (/* reexport safe */ _form_fields_StatusMenuMapping__WEBPACK_IMPORTED_MODULE_659__.StatusMenuMapping),
/* harmony export */   StatusMenuMappingAdapter: () => (/* reexport safe */ _form_fields_StatusMenuMappingAdapter__WEBPACK_IMPORTED_MODULE_661__.StatusMenuMappingAdapter),
/* harmony export */   StringField: () => (/* reexport safe */ _form_fields_stringfield_StringField__WEBPACK_IMPORTED_MODULE_841__.StringField),
/* harmony export */   StringFieldAdapter: () => (/* reexport safe */ _form_fields_stringfield_StringFieldAdapter__WEBPACK_IMPORTED_MODULE_845__.StringFieldAdapter),
/* harmony export */   StringFieldCtrlEnterKeyStroke: () => (/* reexport safe */ _form_fields_stringfield_StringFieldCtrlEnterKeyStroke__WEBPACK_IMPORTED_MODULE_847__.StringFieldCtrlEnterKeyStroke),
/* harmony export */   StringFieldEnterKeyStroke: () => (/* reexport safe */ _form_fields_stringfield_StringFieldEnterKeyStroke__WEBPACK_IMPORTED_MODULE_846__.StringFieldEnterKeyStroke),
/* harmony export */   StringFieldLayout: () => (/* reexport safe */ _form_fields_stringfield_StringFieldLayout__WEBPACK_IMPORTED_MODULE_844__.StringFieldLayout),
/* harmony export */   SubCloseKeyStroke: () => (/* reexport safe */ _menu_SubCloseKeyStroke__WEBPACK_IMPORTED_MODULE_352__.SubCloseKeyStroke),
/* harmony export */   Switch: () => (/* reexport safe */ _switch_Switch__WEBPACK_IMPORTED_MODULE_913__.Switch),
/* harmony export */   SwitchAdapter: () => (/* reexport safe */ _switch_SwitchAdapter__WEBPACK_IMPORTED_MODULE_914__.SwitchAdapter),
/* harmony export */   SwitchNavigationKeyStroke: () => (/* reexport safe */ _switch_SwitchNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_917__.SwitchNavigationKeyStroke),
/* harmony export */   SwitchToggleKeyStroke: () => (/* reexport safe */ _switch_SwitchToggleKeyStroke__WEBPACK_IMPORTED_MODULE_918__.SwitchToggleKeyStroke),
/* harmony export */   System: () => (/* reexport safe */ _system_System__WEBPACK_IMPORTED_MODULE_1135__.System),
/* harmony export */   Tab: () => (/* reexport safe */ _form_fields_tabbox_Tab__WEBPACK_IMPORTED_MODULE_856__.Tab),
/* harmony export */   TabArea: () => (/* reexport safe */ _form_fields_tabbox_TabArea__WEBPACK_IMPORTED_MODULE_859__.TabArea),
/* harmony export */   TabAreaLayout: () => (/* reexport safe */ _form_fields_tabbox_TabAreaLayout__WEBPACK_IMPORTED_MODULE_862__.TabAreaLayout),
/* harmony export */   TabAreaLeftKeyStroke: () => (/* reexport safe */ _form_fields_tabbox_TabAreaLeftKeyStroke__WEBPACK_IMPORTED_MODULE_851__.TabAreaLeftKeyStroke),
/* harmony export */   TabAreaRightKeyStroke: () => (/* reexport safe */ _form_fields_tabbox_TabAreaRightKeyStroke__WEBPACK_IMPORTED_MODULE_852__.TabAreaRightKeyStroke),
/* harmony export */   TabBox: () => (/* reexport safe */ _form_fields_tabbox_TabBox__WEBPACK_IMPORTED_MODULE_848__.TabBox),
/* harmony export */   TabBoxAdapter: () => (/* reexport safe */ _form_fields_tabbox_TabBoxAdapter__WEBPACK_IMPORTED_MODULE_853__.TabBoxAdapter),
/* harmony export */   TabBoxHeader: () => (/* reexport safe */ _form_fields_tabbox_TabBoxHeader__WEBPACK_IMPORTED_MODULE_855__.TabBoxHeader),
/* harmony export */   TabBoxHeaderLayout: () => (/* reexport safe */ _form_fields_tabbox_TabBoxHeaderLayout__WEBPACK_IMPORTED_MODULE_854__.TabBoxHeaderLayout),
/* harmony export */   TabBoxLayout: () => (/* reexport safe */ _form_fields_tabbox_TabBoxLayout__WEBPACK_IMPORTED_MODULE_863__.TabBoxLayout),
/* harmony export */   TabItem: () => (/* reexport safe */ _form_fields_tabbox_TabItem__WEBPACK_IMPORTED_MODULE_864__.TabItem),
/* harmony export */   TabItemAdapter: () => (/* reexport safe */ _form_fields_tabbox_TabItemAdapter__WEBPACK_IMPORTED_MODULE_865__.TabItemAdapter),
/* harmony export */   TabItemKeyStroke: () => (/* reexport safe */ _form_fields_tabbox_TabItemKeyStroke__WEBPACK_IMPORTED_MODULE_867__.TabItemKeyStroke),
/* harmony export */   TabItemLayout: () => (/* reexport safe */ _form_fields_tabbox_TabItemLayout__WEBPACK_IMPORTED_MODULE_866__.TabItemLayout),
/* harmony export */   Table: () => (/* reexport safe */ _table_Table__WEBPACK_IMPORTED_MODULE_467__.Table),
/* harmony export */   TableAdapter: () => (/* reexport safe */ _table_TableAdapter__WEBPACK_IMPORTED_MODULE_470__.TableAdapter),
/* harmony export */   TableColumnContextElementConverter: () => (/* reexport safe */ _desktop_hybrid_converter_TableColumnContextElementConverter__WEBPACK_IMPORTED_MODULE_1022__.TableColumnContextElementConverter),
/* harmony export */   TableCompactHandler: () => (/* reexport safe */ _table_TableCompactHandler__WEBPACK_IMPORTED_MODULE_471__.TableCompactHandler),
/* harmony export */   TableControl: () => (/* reexport safe */ _table_controls_TableControl__WEBPACK_IMPORTED_MODULE_547__.TableControl),
/* harmony export */   TableControlActionKeyStroke: () => (/* reexport safe */ _table_controls_TableControlActionKeyStroke__WEBPACK_IMPORTED_MODULE_546__.TableControlActionKeyStroke),
/* harmony export */   TableControlAdapter: () => (/* reexport safe */ _table_controls_TableControlAdapter__WEBPACK_IMPORTED_MODULE_549__.TableControlAdapter),
/* harmony export */   TableControlAdapterMenu: () => (/* reexport safe */ _table_controls_TableControlAdapterMenu__WEBPACK_IMPORTED_MODULE_550__.TableControlAdapterMenu),
/* harmony export */   TableControlCloseKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableControlCloseKeyStroke__WEBPACK_IMPORTED_MODULE_566__.TableControlCloseKeyStroke),
/* harmony export */   TableCopyKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableCopyKeyStroke__WEBPACK_IMPORTED_MODULE_567__.TableCopyKeyStroke),
/* harmony export */   TableField: () => (/* reexport safe */ _form_fields_tablefield_TableField__WEBPACK_IMPORTED_MODULE_868__.TableField),
/* harmony export */   TableFieldAdapter: () => (/* reexport safe */ _form_fields_tablefield_TableFieldAdapter__WEBPACK_IMPORTED_MODULE_869__.TableFieldAdapter),
/* harmony export */   TableFieldValidationResultProvider: () => (/* reexport safe */ _form_fields_tablefield_TableFieldValidationResultProvider__WEBPACK_IMPORTED_MODULE_872__.TableFieldValidationResultProvider),
/* harmony export */   TableFooter: () => (/* reexport safe */ _table_TableFooter__WEBPACK_IMPORTED_MODULE_477__.TableFooter),
/* harmony export */   TableFooterLayout: () => (/* reexport safe */ _table_TableFooterLayout__WEBPACK_IMPORTED_MODULE_479__.TableFooterLayout),
/* harmony export */   TableHeader: () => (/* reexport safe */ _table_TableHeader__WEBPACK_IMPORTED_MODULE_486__.TableHeader),
/* harmony export */   TableHeaderMenu: () => (/* reexport safe */ _table_TableHeaderMenu__WEBPACK_IMPORTED_MODULE_489__.TableHeaderMenu),
/* harmony export */   TableHeaderMenuButton: () => (/* reexport safe */ _table_TableHeaderMenuButton__WEBPACK_IMPORTED_MODULE_496__.TableHeaderMenuButton),
/* harmony export */   TableHeaderMenuGroup: () => (/* reexport safe */ _table_TableHeaderMenuGroup__WEBPACK_IMPORTED_MODULE_493__.TableHeaderMenuGroup),
/* harmony export */   TableHeaderMenuLayout: () => (/* reexport safe */ _table_TableHeaderMenuLayout__WEBPACK_IMPORTED_MODULE_492__.TableHeaderMenuLayout),
/* harmony export */   TableInfoFilterTooltip: () => (/* reexport safe */ _table_TableInfoFilterTooltip__WEBPACK_IMPORTED_MODULE_480__.TableInfoFilterTooltip),
/* harmony export */   TableInfoLoadTooltip: () => (/* reexport safe */ _table_TableInfoLoadTooltip__WEBPACK_IMPORTED_MODULE_482__.TableInfoLoadTooltip),
/* harmony export */   TableInfoSelectionTooltip: () => (/* reexport safe */ _table_TableInfoSelectionTooltip__WEBPACK_IMPORTED_MODULE_484__.TableInfoSelectionTooltip),
/* harmony export */   TableLayout: () => (/* reexport safe */ _table_TableLayout__WEBPACK_IMPORTED_MODULE_498__.TableLayout),
/* harmony export */   TableLayoutResetter: () => (/* reexport safe */ _form_fields_smartfield_TableLayoutResetter__WEBPACK_IMPORTED_MODULE_830__.TableLayoutResetter),
/* harmony export */   TableMatrix: () => (/* reexport safe */ _table_TableMatrix__WEBPACK_IMPORTED_MODULE_476__.TableMatrix),
/* harmony export */   TableMaxResultsHelper: () => (/* reexport safe */ _table_TableMaxResultsHelper__WEBPACK_IMPORTED_MODULE_474__.TableMaxResultsHelper),
/* harmony export */   TableNavigationCollapseKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_568__.TableNavigationCollapseKeyStroke),
/* harmony export */   TableNavigationDownKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_575__.TableNavigationDownKeyStroke),
/* harmony export */   TableNavigationEndKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationEndKeyStroke__WEBPACK_IMPORTED_MODULE_577__.TableNavigationEndKeyStroke),
/* harmony export */   TableNavigationExpandKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationExpandKeyStroke__WEBPACK_IMPORTED_MODULE_569__.TableNavigationExpandKeyStroke),
/* harmony export */   TableNavigationHomeKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationHomeKeyStroke__WEBPACK_IMPORTED_MODULE_576__.TableNavigationHomeKeyStroke),
/* harmony export */   TableNavigationPageDownKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationPageDownKeyStroke__WEBPACK_IMPORTED_MODULE_579__.TableNavigationPageDownKeyStroke),
/* harmony export */   TableNavigationPageUpKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationPageUpKeyStroke__WEBPACK_IMPORTED_MODULE_578__.TableNavigationPageUpKeyStroke),
/* harmony export */   TableNavigationUpKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_574__.TableNavigationUpKeyStroke),
/* harmony export */   TableOrganizer: () => (/* reexport safe */ _table_organizer_TableOrganizer__WEBPACK_IMPORTED_MODULE_580__.TableOrganizer),
/* harmony export */   TableProposalChooser: () => (/* reexport safe */ _form_fields_smartfield_TableProposalChooser__WEBPACK_IMPORTED_MODULE_829__.TableProposalChooser),
/* harmony export */   TableRefreshKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableRefreshKeyStroke__WEBPACK_IMPORTED_MODULE_572__.TableRefreshKeyStroke),
/* harmony export */   TableRow: () => (/* reexport safe */ _table_TableRow__WEBPACK_IMPORTED_MODULE_473__.TableRow),
/* harmony export */   TableRowContextElementConverter: () => (/* reexport safe */ _desktop_hybrid_converter_TableRowContextElementConverter__WEBPACK_IMPORTED_MODULE_1023__.TableRowContextElementConverter),
/* harmony export */   TableRowDetail: () => (/* reexport safe */ _table_TableRowDetail__WEBPACK_IMPORTED_MODULE_504__.TableRowDetail),
/* harmony export */   TableRowTileMapping: () => (/* reexport safe */ _table_TableRowTileMapping__WEBPACK_IMPORTED_MODULE_506__.TableRowTileMapping),
/* harmony export */   TableRowTileMappingAdapter: () => (/* reexport safe */ _table_TableRowTileMappingAdapter__WEBPACK_IMPORTED_MODULE_508__.TableRowTileMappingAdapter),
/* harmony export */   TableSelectAllKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableSelectAllKeyStroke__WEBPACK_IMPORTED_MODULE_570__.TableSelectAllKeyStroke),
/* harmony export */   TableSelectionHandler: () => (/* reexport safe */ _table_TableSelectionHandler__WEBPACK_IMPORTED_MODULE_499__.TableSelectionHandler),
/* harmony export */   TableStartCellEditKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableStartCellEditKeyStroke__WEBPACK_IMPORTED_MODULE_571__.TableStartCellEditKeyStroke),
/* harmony export */   TableTextUserFilter: () => (/* reexport safe */ _table_userfilter_TableTextUserFilter__WEBPACK_IMPORTED_MODULE_595__.TableTextUserFilter),
/* harmony export */   TableTileGridMediator: () => (/* reexport safe */ _table_TableTileGridMediator__WEBPACK_IMPORTED_MODULE_500__.TableTileGridMediator),
/* harmony export */   TableTileGridMediatorAdapter: () => (/* reexport safe */ _table_TableTileGridMediatorAdapter__WEBPACK_IMPORTED_MODULE_503__.TableTileGridMediatorAdapter),
/* harmony export */   TableToggleRowKeyStroke: () => (/* reexport safe */ _table_keystrokes_TableToggleRowKeyStroke__WEBPACK_IMPORTED_MODULE_573__.TableToggleRowKeyStroke),
/* harmony export */   TableTooltip: () => (/* reexport safe */ _table_TableTooltip__WEBPACK_IMPORTED_MODULE_509__.TableTooltip),
/* harmony export */   TableUpdateBuffer: () => (/* reexport safe */ _table_TableUpdateBuffer__WEBPACK_IMPORTED_MODULE_512__.TableUpdateBuffer),
/* harmony export */   TableUserFilter: () => (/* reexport safe */ _table_userfilter_TableUserFilter__WEBPACK_IMPORTED_MODULE_585__.TableUserFilter),
/* harmony export */   TagBar: () => (/* reexport safe */ _tagbar_TagBar__WEBPACK_IMPORTED_MODULE_919__.TagBar),
/* harmony export */   TagBarLayout: () => (/* reexport safe */ _tagbar_TagBarLayout__WEBPACK_IMPORTED_MODULE_922__.TagBarLayout),
/* harmony export */   TagBarOverflowPopup: () => (/* reexport safe */ _tagbar_TagBarOverflowPopup__WEBPACK_IMPORTED_MODULE_923__.TagBarOverflowPopup),
/* harmony export */   TagBarOverflowPopupLayout: () => (/* reexport safe */ _tagbar_TagBarOverflowPopupLayout__WEBPACK_IMPORTED_MODULE_924__.TagBarOverflowPopupLayout),
/* harmony export */   TagChooserPopup: () => (/* reexport safe */ _form_fields_tagfield_TagChooserPopup__WEBPACK_IMPORTED_MODULE_873__.TagChooserPopup),
/* harmony export */   TagChooserPopupLayout: () => (/* reexport safe */ _form_fields_tagfield_TagChooserPopupLayout__WEBPACK_IMPORTED_MODULE_876__.TagChooserPopupLayout),
/* harmony export */   TagField: () => (/* reexport safe */ _form_fields_tagfield_TagField__WEBPACK_IMPORTED_MODULE_877__.TagField),
/* harmony export */   TagFieldAdapter: () => (/* reexport safe */ _form_fields_tagfield_TagFieldAdapter__WEBPACK_IMPORTED_MODULE_880__.TagFieldAdapter),
/* harmony export */   TagFieldContainerLayout: () => (/* reexport safe */ _form_fields_tagfield_TagFieldContainerLayout__WEBPACK_IMPORTED_MODULE_886__.TagFieldContainerLayout),
/* harmony export */   TagFieldDeleteKeyStroke: () => (/* reexport safe */ _form_fields_tagfield_TagFieldDeleteKeyStroke__WEBPACK_IMPORTED_MODULE_882__.TagFieldDeleteKeyStroke),
/* harmony export */   TagFieldEnterKeyStroke: () => (/* reexport safe */ _form_fields_tagfield_TagFieldEnterKeyStroke__WEBPACK_IMPORTED_MODULE_881__.TagFieldEnterKeyStroke),
/* harmony export */   TagFieldLayout: () => (/* reexport safe */ _form_fields_tagfield_TagFieldLayout__WEBPACK_IMPORTED_MODULE_885__.TagFieldLayout),
/* harmony export */   TagFieldNavigationKeyStroke: () => (/* reexport safe */ _form_fields_tagfield_TagFieldNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_883__.TagFieldNavigationKeyStroke),
/* harmony export */   TagFieldOpenPopupKeyStroke: () => (/* reexport safe */ _form_fields_tagfield_TagFieldOpenPopupKeyStroke__WEBPACK_IMPORTED_MODULE_884__.TagFieldOpenPopupKeyStroke),
/* harmony export */   TextColumnUserFilter: () => (/* reexport safe */ _table_userfilter_TextColumnUserFilter__WEBPACK_IMPORTED_MODULE_593__.TextColumnUserFilter),
/* harmony export */   TextMap: () => (/* reexport safe */ _text_TextMap__WEBPACK_IMPORTED_MODULE_261__.TextMap),
/* harmony export */   TextTableFilter: () => (/* reexport safe */ _table_TextTableFilter__WEBPACK_IMPORTED_MODULE_599__.TextTableFilter),
/* harmony export */   Tile: () => (/* reexport safe */ _tile_Tile__WEBPACK_IMPORTED_MODULE_925__.Tile),
/* harmony export */   TileAccordion: () => (/* reexport safe */ _tile_accordion_TileAccordion__WEBPACK_IMPORTED_MODULE_947__.TileAccordion),
/* harmony export */   TileAccordionAdapter: () => (/* reexport safe */ _tile_accordion_TileAccordionAdapter__WEBPACK_IMPORTED_MODULE_950__.TileAccordionAdapter),
/* harmony export */   TileAccordionLayout: () => (/* reexport safe */ _tile_accordion_TileAccordionLayout__WEBPACK_IMPORTED_MODULE_951__.TileAccordionLayout),
/* harmony export */   TileAccordionSelectionHandler: () => (/* reexport safe */ _tile_accordion_TileAccordionSelectionHandler__WEBPACK_IMPORTED_MODULE_952__.TileAccordionSelectionHandler),
/* harmony export */   TileAdapter: () => (/* reexport safe */ _tile_TileAdapter__WEBPACK_IMPORTED_MODULE_929__.TileAdapter),
/* harmony export */   TileButton: () => (/* reexport safe */ _tile_fields_button_TileButton__WEBPACK_IMPORTED_MODULE_968__.TileButton),
/* harmony export */   TileField: () => (/* reexport safe */ _form_fields_tilefield_TileField__WEBPACK_IMPORTED_MODULE_887__.TileField),
/* harmony export */   TileFieldAdapter: () => (/* reexport safe */ _form_fields_tilefield_TileFieldAdapter__WEBPACK_IMPORTED_MODULE_888__.TileFieldAdapter),
/* harmony export */   TileGrid: () => (/* reexport safe */ _tile_TileGrid__WEBPACK_IMPORTED_MODULE_930__.TileGrid),
/* harmony export */   TileGridAdapter: () => (/* reexport safe */ _tile_TileGridAdapter__WEBPACK_IMPORTED_MODULE_932__.TileGridAdapter),
/* harmony export */   TileGridGridConfig: () => (/* reexport safe */ _tile_TileGridGridConfig__WEBPACK_IMPORTED_MODULE_934__.TileGridGridConfig),
/* harmony export */   TileGridLayout: () => (/* reexport safe */ _tile_TileGridLayout__WEBPACK_IMPORTED_MODULE_935__.TileGridLayout),
/* harmony export */   TileGridLayoutConfig: () => (/* reexport safe */ _tile_TileGridLayoutConfig__WEBPACK_IMPORTED_MODULE_936__.TileGridLayoutConfig),
/* harmony export */   TileGridMoveSupport: () => (/* reexport safe */ _tile_TileGridMoveSupport__WEBPACK_IMPORTED_MODULE_938__.TileGridMoveSupport),
/* harmony export */   TileGridSelectAllKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectAllKeyStroke__WEBPACK_IMPORTED_MODULE_954__.TileGridSelectAllKeyStroke),
/* harmony export */   TileGridSelectDownKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectDownKeyStroke__WEBPACK_IMPORTED_MODULE_957__.TileGridSelectDownKeyStroke),
/* harmony export */   TileGridSelectFirstKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectFirstKeyStroke__WEBPACK_IMPORTED_MODULE_959__.TileGridSelectFirstKeyStroke),
/* harmony export */   TileGridSelectKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectKeyStroke__WEBPACK_IMPORTED_MODULE_953__.TileGridSelectKeyStroke),
/* harmony export */   TileGridSelectLastKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectLastKeyStroke__WEBPACK_IMPORTED_MODULE_960__.TileGridSelectLastKeyStroke),
/* harmony export */   TileGridSelectLeftKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectLeftKeyStroke__WEBPACK_IMPORTED_MODULE_955__.TileGridSelectLeftKeyStroke),
/* harmony export */   TileGridSelectRightKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectRightKeyStroke__WEBPACK_IMPORTED_MODULE_956__.TileGridSelectRightKeyStroke),
/* harmony export */   TileGridSelectUpKeyStroke: () => (/* reexport safe */ _tile_keystrokes_TileGridSelectUpKeyStroke__WEBPACK_IMPORTED_MODULE_958__.TileGridSelectUpKeyStroke),
/* harmony export */   TileGridSelectionHandler: () => (/* reexport safe */ _tile_TileGridSelectionHandler__WEBPACK_IMPORTED_MODULE_937__.TileGridSelectionHandler),
/* harmony export */   TileHtmlField: () => (/* reexport safe */ _tile_fields_htmlfield_TileHtmlField__WEBPACK_IMPORTED_MODULE_969__.TileHtmlField),
/* harmony export */   TileMoveHandler: () => (/* reexport safe */ _tile_TileMoveHandler__WEBPACK_IMPORTED_MODULE_927__.TileMoveHandler),
/* harmony export */   TileOutlineOverview: () => (/* reexport safe */ _desktop_outline_overview_TileOutlineOverview__WEBPACK_IMPORTED_MODULE_1100__.TileOutlineOverview),
/* harmony export */   TileOverviewForm: () => (/* reexport safe */ _form_TileOverviewForm__WEBPACK_IMPORTED_MODULE_461__.TileOverviewForm),
/* harmony export */   TileOverviewFormAdapter: () => (/* reexport safe */ _form_TileOverviewFormAdapter__WEBPACK_IMPORTED_MODULE_464__.TileOverviewFormAdapter),
/* harmony export */   TileResizeHandler: () => (/* reexport safe */ _tile_TileResizeHandler__WEBPACK_IMPORTED_MODULE_940__.TileResizeHandler),
/* harmony export */   TileTableField: () => (/* reexport safe */ _tile_fields_tablefield_TileTableField__WEBPACK_IMPORTED_MODULE_970__.TileTableField),
/* harmony export */   TileTableHeaderBox: () => (/* reexport safe */ _table_TileTableHeaderBox__WEBPACK_IMPORTED_MODULE_1111__.TileTableHeaderBox),
/* harmony export */   TileTableHeaderGroupByLookupCall: () => (/* reexport safe */ _table_TileTableHeaderGroupByLookupCall__WEBPACK_IMPORTED_MODULE_513__.TileTableHeaderGroupByLookupCall),
/* harmony export */   TileTableHeaderSortByLookupCall: () => (/* reexport safe */ _table_TileTableHeaderSortByLookupCall__WEBPACK_IMPORTED_MODULE_515__.TileTableHeaderSortByLookupCall),
/* harmony export */   TileTableHierarchyFilter: () => (/* reexport safe */ _table_TileTableHierarchyFilter__WEBPACK_IMPORTED_MODULE_597__.TileTableHierarchyFilter),
/* harmony export */   TileTextFilter: () => (/* reexport safe */ _tile_TileTextFilter__WEBPACK_IMPORTED_MODULE_941__.TileTextFilter),
/* harmony export */   TimePicker: () => (/* reexport safe */ _timepicker_TimePicker__WEBPACK_IMPORTED_MODULE_604__.TimePicker),
/* harmony export */   TimePickerPopup: () => (/* reexport safe */ _timepicker_TimePickerPopup__WEBPACK_IMPORTED_MODULE_607__.TimePickerPopup),
/* harmony export */   TimePickerPopupLayout: () => (/* reexport safe */ _timepicker_TimePickerPopupLayout__WEBPACK_IMPORTED_MODULE_609__.TimePickerPopupLayout),
/* harmony export */   TimePickerTouchPopup: () => (/* reexport safe */ _timepicker_TimePickerTouchPopup__WEBPACK_IMPORTED_MODULE_610__.TimePickerTouchPopup),
/* harmony export */   Tooltip: () => (/* reexport safe */ _tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_263__.Tooltip),
/* harmony export */   TooltipSupport: () => (/* reexport safe */ _tooltip_TooltipSupport__WEBPACK_IMPORTED_MODULE_266__.TooltipSupport),
/* harmony export */   TouchPopup: () => (/* reexport safe */ _popup_TouchPopup__WEBPACK_IMPORTED_MODULE_290__.TouchPopup),
/* harmony export */   TouchPopupLayout: () => (/* reexport safe */ _popup_TouchPopupLayout__WEBPACK_IMPORTED_MODULE_292__.TouchPopupLayout),
/* harmony export */   Tree: () => (/* reexport safe */ _tree_Tree__WEBPACK_IMPORTED_MODULE_612__.Tree),
/* harmony export */   TreeAdapter: () => (/* reexport safe */ _tree_TreeAdapter__WEBPACK_IMPORTED_MODULE_615__.TreeAdapter),
/* harmony export */   TreeBox: () => (/* reexport safe */ _form_fields_treebox_TreeBox__WEBPACK_IMPORTED_MODULE_891__.TreeBox),
/* harmony export */   TreeBoxAdapter: () => (/* reexport safe */ _form_fields_treebox_TreeBoxAdapter__WEBPACK_IMPORTED_MODULE_892__.TreeBoxAdapter),
/* harmony export */   TreeBoxLayout: () => (/* reexport safe */ _form_fields_treebox_TreeBoxLayout__WEBPACK_IMPORTED_MODULE_893__.TreeBoxLayout),
/* harmony export */   TreeBreadcrumbFilter: () => (/* reexport safe */ _tree_TreeBreadcrumbFilter__WEBPACK_IMPORTED_MODULE_621__.TreeBreadcrumbFilter),
/* harmony export */   TreeCheckNodesResult: () => (/* reexport safe */ _tree_TreeCheckNodesResult__WEBPACK_IMPORTED_MODULE_618__.TreeCheckNodesResult),
/* harmony export */   TreeCollapseAllKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeCollapseAllKeyStroke__WEBPACK_IMPORTED_MODULE_627__.TreeCollapseAllKeyStroke),
/* harmony export */   TreeCollapseOrDrillUpKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeCollapseOrDrillUpKeyStroke__WEBPACK_IMPORTED_MODULE_628__.TreeCollapseOrDrillUpKeyStroke),
/* harmony export */   TreeExpandOrDrillDownKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeExpandOrDrillDownKeyStroke__WEBPACK_IMPORTED_MODULE_629__.TreeExpandOrDrillDownKeyStroke),
/* harmony export */   TreeField: () => (/* reexport safe */ _form_fields_treefield_TreeField__WEBPACK_IMPORTED_MODULE_895__.TreeField),
/* harmony export */   TreeFieldAdapter: () => (/* reexport safe */ _form_fields_treefield_TreeFieldAdapter__WEBPACK_IMPORTED_MODULE_896__.TreeFieldAdapter),
/* harmony export */   TreeLayout: () => (/* reexport safe */ _tree_TreeLayout__WEBPACK_IMPORTED_MODULE_619__.TreeLayout),
/* harmony export */   TreeLayoutResetter: () => (/* reexport safe */ _form_fields_smartfield_TreeLayoutResetter__WEBPACK_IMPORTED_MODULE_832__.TreeLayoutResetter),
/* harmony export */   TreeNavigationDownKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_625__.TreeNavigationDownKeyStroke),
/* harmony export */   TreeNavigationEndKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeNavigationEndKeyStroke__WEBPACK_IMPORTED_MODULE_626__.TreeNavigationEndKeyStroke),
/* harmony export */   TreeNavigationUpKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_624__.TreeNavigationUpKeyStroke),
/* harmony export */   TreeNode: () => (/* reexport safe */ _tree_TreeNode__WEBPACK_IMPORTED_MODULE_616__.TreeNode),
/* harmony export */   TreeNodeContextElementConverter: () => (/* reexport safe */ _desktop_hybrid_converter_TreeNodeContextElementConverter__WEBPACK_IMPORTED_MODULE_1024__.TreeNodeContextElementConverter),
/* harmony export */   TreeProposalChooser: () => (/* reexport safe */ _form_fields_smartfield_TreeProposalChooser__WEBPACK_IMPORTED_MODULE_831__.TreeProposalChooser),
/* harmony export */   TreeSet: () => (/* reexport safe */ _util_TreeSet__WEBPACK_IMPORTED_MODULE_91__.TreeSet),
/* harmony export */   TreeSpaceKeyStroke: () => (/* reexport safe */ _tree_keystrokes_TreeSpaceKeyStroke__WEBPACK_IMPORTED_MODULE_623__.TreeSpaceKeyStroke),
/* harmony export */   TreeVisitResult: () => (/* reexport safe */ _widget_TreeVisitResult__WEBPACK_IMPORTED_MODULE_25__.TreeVisitResult),
/* harmony export */   TypeDescriptor: () => (/* reexport safe */ _TypeDescriptor__WEBPACK_IMPORTED_MODULE_18__.TypeDescriptor),
/* harmony export */   URL: () => (/* reexport safe */ _util_URL__WEBPACK_IMPORTED_MODULE_92__.URL),
/* harmony export */   UiCallbacks: () => (/* reexport safe */ _desktop_hybrid_uicallback_UiCallbacks__WEBPACK_IMPORTED_MODULE_1131__.UiCallbacks),
/* harmony export */   UiCallbacksAdapter: () => (/* reexport safe */ _desktop_hybrid_uicallback_UiCallbacksAdapter__WEBPACK_IMPORTED_MODULE_1132__.UiCallbacksAdapter),
/* harmony export */   UiNotificationPoller: () => (/* reexport safe */ _uinotification_UiNotificationPoller__WEBPACK_IMPORTED_MODULE_109__.UiNotificationPoller),
/* harmony export */   UiNotificationSystem: () => (/* reexport safe */ _uinotification_UiNotificationSystem__WEBPACK_IMPORTED_MODULE_108__.UiNotificationSystem),
/* harmony export */   UiNotifications: () => (/* reexport safe */ _uinotification_uiNotifications__WEBPACK_IMPORTED_MODULE_104__.UiNotifications),
/* harmony export */   UnsavedFormChangesForm: () => (/* reexport safe */ _desktop_unsavedchanges_UnsavedFormChangesForm__WEBPACK_IMPORTED_MODULE_1107__.UnsavedFormChangesForm),
/* harmony export */   UnsavedFormsLookupCall: () => (/* reexport safe */ _desktop_unsavedchanges_UnsavedFormsLookupCall__WEBPACK_IMPORTED_MODULE_1109__.UnsavedFormsLookupCall),
/* harmony export */   UserAgent: () => (/* reexport safe */ _session_UserAgent__WEBPACK_IMPORTED_MODULE_158__.UserAgent),
/* harmony export */   UuidPool: () => (/* reexport safe */ _uuidpool_UuidPool__WEBPACK_IMPORTED_MODULE_1137__.UuidPool),
/* harmony export */   UuidPoolAdapter: () => (/* reexport safe */ _uuidpool_UuidPoolAdapter__WEBPACK_IMPORTED_MODULE_1138__.UuidPoolAdapter),
/* harmony export */   ValidationFailedStatus: () => (/* reexport safe */ _status_ValidationFailedStatus__WEBPACK_IMPORTED_MODULE_85__.ValidationFailedStatus),
/* harmony export */   ValueField: () => (/* reexport safe */ _form_fields_ValueField__WEBPACK_IMPORTED_MODULE_664__.ValueField),
/* harmony export */   ValueFieldAdapter: () => (/* reexport safe */ _form_fields_ValueFieldAdapter__WEBPACK_IMPORTED_MODULE_667__.ValueFieldAdapter),
/* harmony export */   VerticalGridMatrix: () => (/* reexport safe */ _layout_logicalgrid_matrix_VerticalGridMatrix__WEBPACK_IMPORTED_MODULE_190__.VerticalGridMatrix),
/* harmony export */   VerticalSmartGrid: () => (/* reexport safe */ _layout_logicalgrid_VerticalSmartGrid__WEBPACK_IMPORTED_MODULE_185__.VerticalSmartGrid),
/* harmony export */   ViewButton: () => (/* reexport safe */ _desktop_viewbutton_ViewButton__WEBPACK_IMPORTED_MODULE_1044__.ViewButton),
/* harmony export */   ViewButtonActionKeyStroke: () => (/* reexport safe */ _desktop_viewbutton_ViewButtonActionKeyStroke__WEBPACK_IMPORTED_MODULE_1043__.ViewButtonActionKeyStroke),
/* harmony export */   ViewButtonAdapter: () => (/* reexport safe */ _desktop_viewbutton_ViewButtonAdapter__WEBPACK_IMPORTED_MODULE_1047__.ViewButtonAdapter),
/* harmony export */   ViewButtonBox: () => (/* reexport safe */ _desktop_viewbutton_ViewButtonBox__WEBPACK_IMPORTED_MODULE_1048__.ViewButtonBox),
/* harmony export */   ViewMenuOpenKeyStroke: () => (/* reexport safe */ _desktop_viewbutton_ViewMenuOpenKeyStroke__WEBPACK_IMPORTED_MODULE_1051__.ViewMenuOpenKeyStroke),
/* harmony export */   ViewMenuPopup: () => (/* reexport safe */ _desktop_viewbutton_ViewMenuPopup__WEBPACK_IMPORTED_MODULE_1052__.ViewMenuPopup),
/* harmony export */   ViewMenuPopupEnterKeyStroke: () => (/* reexport safe */ _desktop_viewbutton_ViewMenuPopupEnterKeyStroke__WEBPACK_IMPORTED_MODULE_1054__.ViewMenuPopupEnterKeyStroke),
/* harmony export */   ViewMenuTab: () => (/* reexport safe */ _desktop_viewbutton_ViewMenuTab__WEBPACK_IMPORTED_MODULE_1055__.ViewMenuTab),
/* harmony export */   ViewportScroller: () => (/* reexport safe */ _util_ViewportScroller__WEBPACK_IMPORTED_MODULE_98__.ViewportScroller),
/* harmony export */   VirtualKeyStrokeEvent: () => (/* reexport safe */ _keystroke_VirtualKeyStrokeEvent__WEBPACK_IMPORTED_MODULE_208__.VirtualKeyStrokeEvent),
/* harmony export */   VirtualScrolling: () => (/* reexport safe */ _scrollbar_VirtualScrolling__WEBPACK_IMPORTED_MODULE_252__.VirtualScrolling),
/* harmony export */   Widget: () => (/* reexport safe */ _widget_Widget__WEBPACK_IMPORTED_MODULE_36__.Widget),
/* harmony export */   WidgetEventTypeFilter: () => (/* reexport safe */ _session_WidgetEventTypeFilter__WEBPACK_IMPORTED_MODULE_160__.WidgetEventTypeFilter),
/* harmony export */   WidgetField: () => (/* reexport safe */ _form_fields_WidgetField__WEBPACK_IMPORTED_MODULE_672__.WidgetField),
/* harmony export */   WidgetFieldAdapter: () => (/* reexport safe */ _form_fields_WidgetFieldAdapter__WEBPACK_IMPORTED_MODULE_675__.WidgetFieldAdapter),
/* harmony export */   WidgetFieldLayout: () => (/* reexport safe */ _form_fields_WidgetFieldLayout__WEBPACK_IMPORTED_MODULE_676__.WidgetFieldLayout),
/* harmony export */   WidgetPopup: () => (/* reexport safe */ _popup_WidgetPopup__WEBPACK_IMPORTED_MODULE_293__.WidgetPopup),
/* harmony export */   WidgetPopupAdapter: () => (/* reexport safe */ _popup_WidgetPopupAdapter__WEBPACK_IMPORTED_MODULE_296__.WidgetPopupAdapter),
/* harmony export */   WidgetPopupLayout: () => (/* reexport safe */ _popup_WidgetPopupLayout__WEBPACK_IMPORTED_MODULE_297__.WidgetPopupLayout),
/* harmony export */   WidgetSupport: () => (/* reexport safe */ _widget_WidgetSupport__WEBPACK_IMPORTED_MODULE_20__.WidgetSupport),
/* harmony export */   WidgetTile: () => (/* reexport safe */ _tile_WidgetTile__WEBPACK_IMPORTED_MODULE_962__.WidgetTile),
/* harmony export */   WidgetTileAdapter: () => (/* reexport safe */ _tile_WidgetTileAdapter__WEBPACK_IMPORTED_MODULE_963__.WidgetTileAdapter),
/* harmony export */   WidgetTooltip: () => (/* reexport safe */ _tooltip_WidgetTooltip__WEBPACK_IMPORTED_MODULE_268__.WidgetTooltip),
/* harmony export */   WizardProgressField: () => (/* reexport safe */ _form_fields_wizard_WizardProgressField__WEBPACK_IMPORTED_MODULE_899__.WizardProgressField),
/* harmony export */   WizardProgressFieldAdapter: () => (/* reexport safe */ _form_fields_wizard_WizardProgressFieldAdapter__WEBPACK_IMPORTED_MODULE_902__.WizardProgressFieldAdapter),
/* harmony export */   WizardProgressFieldLayout: () => (/* reexport safe */ _form_fields_wizard_WizardProgressFieldLayout__WEBPACK_IMPORTED_MODULE_903__.WizardProgressFieldLayout),
/* harmony export */   WrappedFormField: () => (/* reexport safe */ _form_fields_wrappedform_WrappedFormField__WEBPACK_IMPORTED_MODULE_904__.WrappedFormField),
/* harmony export */   WrappedFormFieldAdapter: () => (/* reexport safe */ _form_fields_wrappedform_WrappedFormFieldAdapter__WEBPACK_IMPORTED_MODULE_907__.WrappedFormFieldAdapter),
/* harmony export */   YearPanel: () => (/* reexport safe */ _calendar_YearPanel__WEBPACK_IMPORTED_MODULE_393__.YearPanel),
/* harmony export */   access: () => (/* reexport safe */ _security_access__WEBPACK_IMPORTED_MODULE_137__.access),
/* harmony export */   aggregation: () => (/* reexport safe */ _util_aggregation__WEBPACK_IMPORTED_MODULE_95__.aggregation),
/* harmony export */   ajax: () => (/* reexport safe */ _ajax_ajax__WEBPACK_IMPORTED_MODULE_100__.ajax),
/* harmony export */   aria: () => (/* reexport safe */ _aria__WEBPACK_IMPORTED_MODULE_1142__.aria),
/* harmony export */   arrays: () => (/* reexport safe */ _util_arrays__WEBPACK_IMPORTED_MODULE_47__.arrays),
/* harmony export */   clipboard: () => (/* reexport safe */ _util_clipboard__WEBPACK_IMPORTED_MODULE_51__.clipboard),
/* harmony export */   codes: () => (/* reexport safe */ _code_CodeTypeCache__WEBPACK_IMPORTED_MODULE_129__.codes),
/* harmony export */   colorSchemes: () => (/* reexport safe */ _util_colorSchemes__WEBPACK_IMPORTED_MODULE_52__.colorSchemes),
/* harmony export */   comparators: () => (/* reexport safe */ _table_columns_comparators__WEBPACK_IMPORTED_MODULE_517__.comparators),
/* harmony export */   config: () => (/* reexport safe */ _config_ConfigPropertyCache__WEBPACK_IMPORTED_MODULE_133__.config),
/* harmony export */   cookies: () => (/* reexport safe */ _util_cookies__WEBPACK_IMPORTED_MODULE_97__.cookies),
/* harmony export */   dataObjects: () => (/* reexport safe */ _dataobject_dataObjects__WEBPACK_IMPORTED_MODULE_135__.dataObjects),
/* harmony export */   dates: () => (/* reexport safe */ _util_dates__WEBPACK_IMPORTED_MODULE_53__.dates),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   defaultValues: () => (/* reexport safe */ _util_defaultValues__WEBPACK_IMPORTED_MODULE_54__.defaultValues),
/* harmony export */   dragAndDrop: () => (/* reexport safe */ _util_dragAndDrop__WEBPACK_IMPORTED_MODULE_60__.dragAndDrop),
/* harmony export */   events: () => (/* reexport safe */ _util_events__WEBPACK_IMPORTED_MODULE_55__.events),
/* harmony export */   fields: () => (/* reexport safe */ _form_fields_fields__WEBPACK_IMPORTED_MODULE_647__.fields),
/* harmony export */   files: () => (/* reexport safe */ _util_files__WEBPACK_IMPORTED_MODULE_56__.files),
/* harmony export */   filters: () => (/* reexport safe */ _util_filters__WEBPACK_IMPORTED_MODULE_93__.filters),
/* harmony export */   focusUtils: () => (/* reexport safe */ _focus_focusUtils__WEBPACK_IMPORTED_MODULE_239__.focusUtils),
/* harmony export */   fonts: () => (/* reexport safe */ _util_fonts__WEBPACK_IMPORTED_MODULE_62__.fonts),
/* harmony export */   graphics: () => (/* reexport safe */ _layout_graphics__WEBPACK_IMPORTED_MODULE_165__.graphics),
/* harmony export */   icons: () => (/* reexport safe */ _util_icons__WEBPACK_IMPORTED_MODULE_63__.icons),
/* harmony export */   inspector: () => (/* reexport safe */ _util_inspector__WEBPACK_IMPORTED_MODULE_64__.inspector),
/* harmony export */   isPropertyChangeEvent: () => (/* reexport safe */ _events_PropertyChangeEvent__WEBPACK_IMPORTED_MODULE_11__.isPropertyChangeEvent),
/* harmony export */   keyStrokeModifier: () => (/* reexport safe */ _keystroke_keyStrokeModifier__WEBPACK_IMPORTED_MODULE_207__.keyStrokeModifier),
/* harmony export */   keys: () => (/* reexport safe */ _keystroke_keys__WEBPACK_IMPORTED_MODULE_205__.keys),
/* harmony export */   locales: () => (/* reexport safe */ _util_locales__WEBPACK_IMPORTED_MODULE_65__.locales),
/* harmony export */   logging: () => (/* reexport safe */ _logging_logging__WEBPACK_IMPORTED_MODULE_68__.logging),
/* harmony export */   lookupField: () => (/* reexport safe */ _form_fields_lookupfield_lookupField__WEBPACK_IMPORTED_MODULE_765__.lookupField),
/* harmony export */   menuNavigationKeyStrokes: () => (/* reexport safe */ _menu_menuNavigationKeyStrokes__WEBPACK_IMPORTED_MODULE_353__.menuNavigationKeyStrokes),
/* harmony export */   menus: () => (/* reexport safe */ _menu_menus__WEBPACK_IMPORTED_MODULE_330__.menus),
/* harmony export */   mimeTypes: () => (/* reexport safe */ _util_mimeTypes__WEBPACK_IMPORTED_MODULE_70__.mimeTypes),
/* harmony export */   models: () => (/* reexport safe */ _util_models__WEBPACK_IMPORTED_MODULE_71__.models),
/* harmony export */   numbers: () => (/* reexport safe */ _util_numbers__WEBPACK_IMPORTED_MODULE_72__.numbers),
/* harmony export */   objects: () => (/* reexport safe */ _util_objects__WEBPACK_IMPORTED_MODULE_74__.objects),
/* harmony export */   promises: () => (/* reexport safe */ _util_promises__WEBPACK_IMPORTED_MODULE_76__.promises),
/* harmony export */   router: () => (/* reexport safe */ _router_router__WEBPACK_IMPORTED_MODULE_416__.router),
/* harmony export */   scout: () => (/* reexport safe */ _scout__WEBPACK_IMPORTED_MODULE_1__.scout),
/* harmony export */   scrollbars: () => (/* reexport safe */ _scrollbar_scrollbars__WEBPACK_IMPORTED_MODULE_251__.scrollbars),
/* harmony export */   strings: () => (/* reexport safe */ _util_strings__WEBPACK_IMPORTED_MODULE_89__.strings),
/* harmony export */   styles: () => (/* reexport safe */ _util_styles__WEBPACK_IMPORTED_MODULE_90__.styles),
/* harmony export */   systems: () => (/* reexport safe */ _system_systems__WEBPACK_IMPORTED_MODULE_1136__.systems),
/* harmony export */   texts: () => (/* reexport safe */ _text_texts__WEBPACK_IMPORTED_MODULE_262__.texts),
/* harmony export */   tileUtil: () => (/* reexport safe */ _tile_tileUtil__WEBPACK_IMPORTED_MODULE_939__.tileUtil),
/* harmony export */   tooltips: () => (/* reexport safe */ _tooltip_tooltips__WEBPACK_IMPORTED_MODULE_267__.tooltips),
/* harmony export */   uiNotifications: () => (/* reexport safe */ _uinotification_uiNotifications__WEBPACK_IMPORTED_MODULE_104__.uiNotifications),
/* harmony export */   webstorage: () => (/* reexport safe */ _util_webstorage__WEBPACK_IMPORTED_MODULE_96__.webstorage),
/* harmony export */   widgets: () => (/* reexport safe */ _widget_widgets__WEBPACK_IMPORTED_MODULE_39__.widgets)
/* harmony export */ });
/* harmony import */ var _ObjectFactory__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./ObjectFactory */ "./src/ObjectFactory.ts");
/* harmony import */ var _scout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./scout */ "./src/scout.ts");
/* harmony import */ var _events_Event__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./events/Event */ "./src/events/Event.ts");
/* harmony import */ var _events_EventEmitter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./events/EventEmitter */ "./src/events/EventEmitter.ts");
/* harmony import */ var _events_PropertyEventEmitter__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./events/PropertyEventEmitter */ "./src/events/PropertyEventEmitter.ts");
/* harmony import */ var _events_PropertyEventMap__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./events/PropertyEventMap */ "./src/events/PropertyEventMap.ts");
/* harmony import */ var _events_EventSupport__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./events/EventSupport */ "./src/events/EventSupport.ts");
/* harmony import */ var _events_EventDelegator__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./events/EventDelegator */ "./src/events/EventDelegator.ts");
/* harmony import */ var _events_EventDelegatorOptions__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./events/EventDelegatorOptions */ "./src/events/EventDelegatorOptions.ts");
/* harmony import */ var _events_EventListener__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./events/EventListener */ "./src/events/EventListener.ts");
/* harmony import */ var _events_EventMap__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./events/EventMap */ "./src/events/EventMap.ts");
/* harmony import */ var _events_PropertyChangeEvent__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./events/PropertyChangeEvent */ "./src/events/PropertyChangeEvent.ts");
/* harmony import */ var _events_AppLinkActionEvent__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./events/AppLinkActionEvent */ "./src/events/AppLinkActionEvent.ts");
/* harmony import */ var _App__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./App */ "./src/App.ts");
/* harmony import */ var _AppEventMap__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./AppEventMap */ "./src/AppEventMap.ts");
/* harmony import */ var _ErrorHandler__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./ErrorHandler */ "./src/ErrorHandler.ts");
/* harmony import */ var _RemoteApp__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./RemoteApp */ "./src/RemoteApp.ts");
/* harmony import */ var _Extension__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./Extension */ "./src/Extension.ts");
/* harmony import */ var _TypeDescriptor__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./TypeDescriptor */ "./src/TypeDescriptor.ts");
/* harmony import */ var _objectFactories__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./objectFactories */ "./src/objectFactories.ts");
/* harmony import */ var _widget_WidgetSupport__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./widget/WidgetSupport */ "./src/widget/WidgetSupport.ts");
/* harmony import */ var _widget_WidgetSupportOptions__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./widget/WidgetSupportOptions */ "./src/widget/WidgetSupportOptions.ts");
/* harmony import */ var _widget_LoadingSupport__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./widget/LoadingSupport */ "./src/widget/LoadingSupport.ts");
/* harmony import */ var _widget_LoadingSupportOptions__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./widget/LoadingSupportOptions */ "./src/widget/LoadingSupportOptions.ts");
/* harmony import */ var _widget_SimpleLoadingSupport__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./widget/SimpleLoadingSupport */ "./src/widget/SimpleLoadingSupport.ts");
/* harmony import */ var _widget_TreeVisitResult__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./widget/TreeVisitResult */ "./src/widget/TreeVisitResult.ts");
/* harmony import */ var _keystroke_KeyStroke__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./keystroke/KeyStroke */ "./src/keystroke/KeyStroke.ts");
/* harmony import */ var _keystroke_KeyStrokeModel__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./keystroke/KeyStrokeModel */ "./src/keystroke/KeyStrokeModel.ts");
/* harmony import */ var _keystroke_ScoutKeyboardEvent__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./keystroke/ScoutKeyboardEvent */ "./src/keystroke/ScoutKeyboardEvent.ts");
/* harmony import */ var _keystroke_FocusFilterFieldKeyStroke__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./keystroke/FocusFilterFieldKeyStroke */ "./src/keystroke/FocusFilterFieldKeyStroke.ts");
/* harmony import */ var _filter_Filter__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./filter/Filter */ "./src/filter/Filter.ts");
/* harmony import */ var _filter_FilterSupport__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./filter/FilterSupport */ "./src/filter/FilterSupport.ts");
/* harmony import */ var _filter_FilterSupportOptions__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./filter/FilterSupportOptions */ "./src/filter/FilterSupportOptions.ts");
/* harmony import */ var _session_ModelAdapter__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./session/ModelAdapter */ "./src/session/ModelAdapter.ts");
/* harmony import */ var _session_ModelAdapterModel__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./session/ModelAdapterModel */ "./src/session/ModelAdapterModel.ts");
/* harmony import */ var _session_ModelAdapterEventMap__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./session/ModelAdapterEventMap */ "./src/session/ModelAdapterEventMap.ts");
/* harmony import */ var _widget_Widget__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./widget/Widget */ "./src/widget/Widget.ts");
/* harmony import */ var _widget_WidgetModel__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./widget/WidgetModel */ "./src/widget/WidgetModel.ts");
/* harmony import */ var _widget_WidgetEventMap__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./widget/WidgetEventMap */ "./src/widget/WidgetEventMap.ts");
/* harmony import */ var _widget_widgets__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./widget/widgets */ "./src/widget/widgets.ts");
/* harmony import */ var _widget_Composite__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./widget/Composite */ "./src/widget/Composite.ts");
/* harmony import */ var _widget_CompositeModel__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./widget/CompositeModel */ "./src/widget/CompositeModel.ts");
/* harmony import */ var _widget_CompositeEventMap__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./widget/CompositeEventMap */ "./src/widget/CompositeEventMap.ts");
/* harmony import */ var _widget_NullWidget__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./widget/NullWidget */ "./src/widget/NullWidget.ts");
/* harmony import */ var _widget_NullWidgetModel__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./widget/NullWidgetModel */ "./src/widget/NullWidgetModel.ts");
/* harmony import */ var _widget_NullWidgetEventMap__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./widget/NullWidgetEventMap */ "./src/widget/NullWidgetEventMap.ts");
/* harmony import */ var _widget_NullWidgetAdapter__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./widget/NullWidgetAdapter */ "./src/widget/NullWidgetAdapter.ts");
/* harmony import */ var _util_arrays__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./util/arrays */ "./src/util/arrays.ts");
/* harmony import */ var _util_BinaryResource__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./util/BinaryResource */ "./src/util/BinaryResource.ts");
/* harmony import */ var _util_CallModel__WEBPACK_IMPORTED_MODULE_49__ = __webpack_require__(/*! ./util/CallModel */ "./src/util/CallModel.ts");
/* harmony import */ var _util_Call__WEBPACK_IMPORTED_MODULE_50__ = __webpack_require__(/*! ./util/Call */ "./src/util/Call.ts");
/* harmony import */ var _util_clipboard__WEBPACK_IMPORTED_MODULE_51__ = __webpack_require__(/*! ./util/clipboard */ "./src/util/clipboard.ts");
/* harmony import */ var _util_colorSchemes__WEBPACK_IMPORTED_MODULE_52__ = __webpack_require__(/*! ./util/colorSchemes */ "./src/util/colorSchemes.ts");
/* harmony import */ var _util_dates__WEBPACK_IMPORTED_MODULE_53__ = __webpack_require__(/*! ./util/dates */ "./src/util/dates.ts");
/* harmony import */ var _util_defaultValues__WEBPACK_IMPORTED_MODULE_54__ = __webpack_require__(/*! ./util/defaultValues */ "./src/util/defaultValues.ts");
/* harmony import */ var _util_events__WEBPACK_IMPORTED_MODULE_55__ = __webpack_require__(/*! ./util/events */ "./src/util/events.ts");
/* harmony import */ var _util_files__WEBPACK_IMPORTED_MODULE_56__ = __webpack_require__(/*! ./util/files */ "./src/util/files.ts");
/* harmony import */ var _util_Device__WEBPACK_IMPORTED_MODULE_57__ = __webpack_require__(/*! ./util/Device */ "./src/util/Device.ts");
/* harmony import */ var _util_DoubleClickSupport__WEBPACK_IMPORTED_MODULE_58__ = __webpack_require__(/*! ./util/DoubleClickSupport */ "./src/util/DoubleClickSupport.ts");
/* harmony import */ var _util_DragAndDropHandler__WEBPACK_IMPORTED_MODULE_59__ = __webpack_require__(/*! ./util/DragAndDropHandler */ "./src/util/DragAndDropHandler.ts");
/* harmony import */ var _util_dragAndDrop__WEBPACK_IMPORTED_MODULE_60__ = __webpack_require__(/*! ./util/dragAndDrop */ "./src/util/dragAndDrop.ts");
/* harmony import */ var _util_MoveSupport__WEBPACK_IMPORTED_MODULE_61__ = __webpack_require__(/*! ./util/MoveSupport */ "./src/util/MoveSupport.ts");
/* harmony import */ var _util_fonts__WEBPACK_IMPORTED_MODULE_62__ = __webpack_require__(/*! ./util/fonts */ "./src/util/fonts.ts");
/* harmony import */ var _util_icons__WEBPACK_IMPORTED_MODULE_63__ = __webpack_require__(/*! ./util/icons */ "./src/util/icons.ts");
/* harmony import */ var _util_inspector__WEBPACK_IMPORTED_MODULE_64__ = __webpack_require__(/*! ./util/inspector */ "./src/util/inspector.ts");
/* harmony import */ var _util_locales__WEBPACK_IMPORTED_MODULE_65__ = __webpack_require__(/*! ./util/locales */ "./src/util/locales.ts");
/* harmony import */ var _util_MaxLengthHandler__WEBPACK_IMPORTED_MODULE_66__ = __webpack_require__(/*! ./util/MaxLengthHandler */ "./src/util/MaxLengthHandler.ts");
/* harmony import */ var _util_MaxLengthHandlerModel__WEBPACK_IMPORTED_MODULE_67__ = __webpack_require__(/*! ./util/MaxLengthHandlerModel */ "./src/util/MaxLengthHandlerModel.ts");
/* harmony import */ var _logging_logging__WEBPACK_IMPORTED_MODULE_68__ = __webpack_require__(/*! ./logging/logging */ "./src/logging/logging.ts");
/* harmony import */ var _logging_NullLogger__WEBPACK_IMPORTED_MODULE_69__ = __webpack_require__(/*! ./logging/NullLogger */ "./src/logging/NullLogger.ts");
/* harmony import */ var _util_mimeTypes__WEBPACK_IMPORTED_MODULE_70__ = __webpack_require__(/*! ./util/mimeTypes */ "./src/util/mimeTypes.ts");
/* harmony import */ var _util_models__WEBPACK_IMPORTED_MODULE_71__ = __webpack_require__(/*! ./util/models */ "./src/util/models.ts");
/* harmony import */ var _util_numbers__WEBPACK_IMPORTED_MODULE_72__ = __webpack_require__(/*! ./util/numbers */ "./src/util/numbers.ts");
/* harmony import */ var _util_RoundingMode__WEBPACK_IMPORTED_MODULE_73__ = __webpack_require__(/*! ./util/RoundingMode */ "./src/util/RoundingMode.ts");
/* harmony import */ var _util_objects__WEBPACK_IMPORTED_MODULE_74__ = __webpack_require__(/*! ./util/objects */ "./src/util/objects.ts");
/* harmony import */ var _util_PromiseCreator__WEBPACK_IMPORTED_MODULE_75__ = __webpack_require__(/*! ./util/PromiseCreator */ "./src/util/PromiseCreator.ts");
/* harmony import */ var _util_promises__WEBPACK_IMPORTED_MODULE_76__ = __webpack_require__(/*! ./util/promises */ "./src/util/promises.ts");
/* harmony import */ var _util_Range__WEBPACK_IMPORTED_MODULE_77__ = __webpack_require__(/*! ./util/Range */ "./src/util/Range.ts");
/* harmony import */ var _resizable_Resizable__WEBPACK_IMPORTED_MODULE_78__ = __webpack_require__(/*! ./resizable/Resizable */ "./src/resizable/Resizable.ts");
/* harmony import */ var _resizable_ResizableModel__WEBPACK_IMPORTED_MODULE_79__ = __webpack_require__(/*! ./resizable/ResizableModel */ "./src/resizable/ResizableModel.ts");
/* harmony import */ var _status_Status__WEBPACK_IMPORTED_MODULE_80__ = __webpack_require__(/*! ./status/Status */ "./src/status/Status.ts");
/* harmony import */ var _status_StatusModel__WEBPACK_IMPORTED_MODULE_81__ = __webpack_require__(/*! ./status/StatusModel */ "./src/status/StatusModel.ts");
/* harmony import */ var _status_DefaultStatus__WEBPACK_IMPORTED_MODULE_82__ = __webpack_require__(/*! ./status/DefaultStatus */ "./src/status/DefaultStatus.ts");
/* harmony import */ var _status_NotificationBadgeStatus__WEBPACK_IMPORTED_MODULE_83__ = __webpack_require__(/*! ./status/NotificationBadgeStatus */ "./src/status/NotificationBadgeStatus.ts");
/* harmony import */ var _status_ParsingFailedStatus__WEBPACK_IMPORTED_MODULE_84__ = __webpack_require__(/*! ./status/ParsingFailedStatus */ "./src/status/ParsingFailedStatus.ts");
/* harmony import */ var _status_ValidationFailedStatus__WEBPACK_IMPORTED_MODULE_85__ = __webpack_require__(/*! ./status/ValidationFailedStatus */ "./src/status/ValidationFailedStatus.ts");
/* harmony import */ var _encoder_CachedElement__WEBPACK_IMPORTED_MODULE_86__ = __webpack_require__(/*! ./encoder/CachedElement */ "./src/encoder/CachedElement.ts");
/* harmony import */ var _encoder_PlainTextEncoder__WEBPACK_IMPORTED_MODULE_87__ = __webpack_require__(/*! ./encoder/PlainTextEncoder */ "./src/encoder/PlainTextEncoder.ts");
/* harmony import */ var _encoder_HtmlEncoder__WEBPACK_IMPORTED_MODULE_88__ = __webpack_require__(/*! ./encoder/HtmlEncoder */ "./src/encoder/HtmlEncoder.ts");
/* harmony import */ var _util_strings__WEBPACK_IMPORTED_MODULE_89__ = __webpack_require__(/*! ./util/strings */ "./src/util/strings.ts");
/* harmony import */ var _util_styles__WEBPACK_IMPORTED_MODULE_90__ = __webpack_require__(/*! ./util/styles */ "./src/util/styles.ts");
/* harmony import */ var _util_TreeSet__WEBPACK_IMPORTED_MODULE_91__ = __webpack_require__(/*! ./util/TreeSet */ "./src/util/TreeSet.ts");
/* harmony import */ var _util_URL__WEBPACK_IMPORTED_MODULE_92__ = __webpack_require__(/*! ./util/URL */ "./src/util/URL.ts");
/* harmony import */ var _util_filters__WEBPACK_IMPORTED_MODULE_93__ = __webpack_require__(/*! ./util/filters */ "./src/util/filters.ts");
/* harmony import */ var _util_HAlign__WEBPACK_IMPORTED_MODULE_94__ = __webpack_require__(/*! ./util/HAlign */ "./src/util/HAlign.ts");
/* harmony import */ var _util_aggregation__WEBPACK_IMPORTED_MODULE_95__ = __webpack_require__(/*! ./util/aggregation */ "./src/util/aggregation.ts");
/* harmony import */ var _util_webstorage__WEBPACK_IMPORTED_MODULE_96__ = __webpack_require__(/*! ./util/webstorage */ "./src/util/webstorage.ts");
/* harmony import */ var _util_cookies__WEBPACK_IMPORTED_MODULE_97__ = __webpack_require__(/*! ./util/cookies */ "./src/util/cookies.ts");
/* harmony import */ var _util_ViewportScroller__WEBPACK_IMPORTED_MODULE_98__ = __webpack_require__(/*! ./util/ViewportScroller */ "./src/util/ViewportScroller.ts");
/* harmony import */ var _util_ViewportScrollerModel__WEBPACK_IMPORTED_MODULE_99__ = __webpack_require__(/*! ./util/ViewportScrollerModel */ "./src/util/ViewportScrollerModel.ts");
/* harmony import */ var _ajax_ajax__WEBPACK_IMPORTED_MODULE_100__ = __webpack_require__(/*! ./ajax/ajax */ "./src/ajax/ajax.ts");
/* harmony import */ var _ajax_AjaxCall__WEBPACK_IMPORTED_MODULE_101__ = __webpack_require__(/*! ./ajax/AjaxCall */ "./src/ajax/AjaxCall.ts");
/* harmony import */ var _ajax_AjaxError__WEBPACK_IMPORTED_MODULE_102__ = __webpack_require__(/*! ./ajax/AjaxError */ "./src/ajax/AjaxError.ts");
/* harmony import */ var _uinotification_TopicDo__WEBPACK_IMPORTED_MODULE_103__ = __webpack_require__(/*! ./uinotification/TopicDo */ "./src/uinotification/TopicDo.ts");
/* harmony import */ var _uinotification_uiNotifications__WEBPACK_IMPORTED_MODULE_104__ = __webpack_require__(/*! ./uinotification/uiNotifications */ "./src/uinotification/uiNotifications.ts");
/* harmony import */ var _uinotification_UiNotificationDo__WEBPACK_IMPORTED_MODULE_105__ = __webpack_require__(/*! ./uinotification/UiNotificationDo */ "./src/uinotification/UiNotificationDo.ts");
/* harmony import */ var _uinotification_UiNotificationResponse__WEBPACK_IMPORTED_MODULE_106__ = __webpack_require__(/*! ./uinotification/UiNotificationResponse */ "./src/uinotification/UiNotificationResponse.ts");
/* harmony import */ var _uinotification_UiNotificationEvent__WEBPACK_IMPORTED_MODULE_107__ = __webpack_require__(/*! ./uinotification/UiNotificationEvent */ "./src/uinotification/UiNotificationEvent.ts");
/* harmony import */ var _uinotification_UiNotificationSystem__WEBPACK_IMPORTED_MODULE_108__ = __webpack_require__(/*! ./uinotification/UiNotificationSystem */ "./src/uinotification/UiNotificationSystem.ts");
/* harmony import */ var _uinotification_UiNotificationPoller__WEBPACK_IMPORTED_MODULE_109__ = __webpack_require__(/*! ./uinotification/UiNotificationPoller */ "./src/uinotification/UiNotificationPoller.ts");
/* harmony import */ var _uinotification_UiNotificationPollerEventMap__WEBPACK_IMPORTED_MODULE_110__ = __webpack_require__(/*! ./uinotification/UiNotificationPollerEventMap */ "./src/uinotification/UiNotificationPollerEventMap.ts");
/* harmony import */ var _lookup_LookupCall__WEBPACK_IMPORTED_MODULE_111__ = __webpack_require__(/*! ./lookup/LookupCall */ "./src/lookup/LookupCall.ts");
/* harmony import */ var _lookup_LookupCallModel__WEBPACK_IMPORTED_MODULE_112__ = __webpack_require__(/*! ./lookup/LookupCallModel */ "./src/lookup/LookupCallModel.ts");
/* harmony import */ var _lookup_LookupResult__WEBPACK_IMPORTED_MODULE_113__ = __webpack_require__(/*! ./lookup/LookupResult */ "./src/lookup/LookupResult.ts");
/* harmony import */ var _lookup_LookupRowModel__WEBPACK_IMPORTED_MODULE_114__ = __webpack_require__(/*! ./lookup/LookupRowModel */ "./src/lookup/LookupRowModel.ts");
/* harmony import */ var _lookup_LookupRow__WEBPACK_IMPORTED_MODULE_115__ = __webpack_require__(/*! ./lookup/LookupRow */ "./src/lookup/LookupRow.ts");
/* harmony import */ var _lookup_RestLookupCall__WEBPACK_IMPORTED_MODULE_116__ = __webpack_require__(/*! ./lookup/RestLookupCall */ "./src/lookup/RestLookupCall.ts");
/* harmony import */ var _lookup_RestLookupCallModel__WEBPACK_IMPORTED_MODULE_117__ = __webpack_require__(/*! ./lookup/RestLookupCallModel */ "./src/lookup/RestLookupCallModel.ts");
/* harmony import */ var _lookup_RemoteLookupCall__WEBPACK_IMPORTED_MODULE_118__ = __webpack_require__(/*! ./lookup/RemoteLookupCall */ "./src/lookup/RemoteLookupCall.ts");
/* harmony import */ var _lookup_RemoteLookupRequest__WEBPACK_IMPORTED_MODULE_119__ = __webpack_require__(/*! ./lookup/RemoteLookupRequest */ "./src/lookup/RemoteLookupRequest.ts");
/* harmony import */ var _lookup_QueryBy__WEBPACK_IMPORTED_MODULE_120__ = __webpack_require__(/*! ./lookup/QueryBy */ "./src/lookup/QueryBy.ts");
/* harmony import */ var _lookup_StaticLookupCall__WEBPACK_IMPORTED_MODULE_121__ = __webpack_require__(/*! ./lookup/StaticLookupCall */ "./src/lookup/StaticLookupCall.ts");
/* harmony import */ var _lookup_StaticLookupCallModel__WEBPACK_IMPORTED_MODULE_122__ = __webpack_require__(/*! ./lookup/StaticLookupCallModel */ "./src/lookup/StaticLookupCallModel.ts");
/* harmony import */ var _lookup_PrepopulatedLookupCall__WEBPACK_IMPORTED_MODULE_123__ = __webpack_require__(/*! ./lookup/PrepopulatedLookupCall */ "./src/lookup/PrepopulatedLookupCall.ts");
/* harmony import */ var _lookup_HierarchicalLookupResultBuilder__WEBPACK_IMPORTED_MODULE_124__ = __webpack_require__(/*! ./lookup/HierarchicalLookupResultBuilder */ "./src/lookup/HierarchicalLookupResultBuilder.ts");
/* harmony import */ var _code_Code__WEBPACK_IMPORTED_MODULE_125__ = __webpack_require__(/*! ./code/Code */ "./src/code/Code.ts");
/* harmony import */ var _code_CodeModel__WEBPACK_IMPORTED_MODULE_126__ = __webpack_require__(/*! ./code/CodeModel */ "./src/code/CodeModel.ts");
/* harmony import */ var _code_CodeType__WEBPACK_IMPORTED_MODULE_127__ = __webpack_require__(/*! ./code/CodeType */ "./src/code/CodeType.ts");
/* harmony import */ var _code_CodeTypeModel__WEBPACK_IMPORTED_MODULE_128__ = __webpack_require__(/*! ./code/CodeTypeModel */ "./src/code/CodeTypeModel.ts");
/* harmony import */ var _code_CodeTypeCache__WEBPACK_IMPORTED_MODULE_129__ = __webpack_require__(/*! ./code/CodeTypeCache */ "./src/code/CodeTypeCache.ts");
/* harmony import */ var _code_CodeTypeCacheEventMap__WEBPACK_IMPORTED_MODULE_130__ = __webpack_require__(/*! ./code/CodeTypeCacheEventMap */ "./src/code/CodeTypeCacheEventMap.ts");
/* harmony import */ var _code_CodeLookupCall__WEBPACK_IMPORTED_MODULE_131__ = __webpack_require__(/*! ./code/CodeLookupCall */ "./src/code/CodeLookupCall.ts");
/* harmony import */ var _config_ConfigProperties__WEBPACK_IMPORTED_MODULE_132__ = __webpack_require__(/*! ./config/ConfigProperties */ "./src/config/ConfigProperties.ts");
/* harmony import */ var _config_ConfigPropertyCache__WEBPACK_IMPORTED_MODULE_133__ = __webpack_require__(/*! ./config/ConfigPropertyCache */ "./src/config/ConfigPropertyCache.ts");
/* harmony import */ var _dataobject_DoEntity__WEBPACK_IMPORTED_MODULE_134__ = __webpack_require__(/*! ./dataobject/DoEntity */ "./src/dataobject/DoEntity.ts");
/* harmony import */ var _dataobject_dataObjects__WEBPACK_IMPORTED_MODULE_135__ = __webpack_require__(/*! ./dataobject/dataObjects */ "./src/dataobject/dataObjects.ts");
/* harmony import */ var _dataobject_ValueDo__WEBPACK_IMPORTED_MODULE_136__ = __webpack_require__(/*! ./dataobject/ValueDo */ "./src/dataobject/ValueDo.ts");
/* harmony import */ var _security_access__WEBPACK_IMPORTED_MODULE_137__ = __webpack_require__(/*! ./security/access */ "./src/security/access.ts");
/* harmony import */ var _security_AccessControl__WEBPACK_IMPORTED_MODULE_138__ = __webpack_require__(/*! ./security/AccessControl */ "./src/security/AccessControl.ts");
/* harmony import */ var _security_Permission__WEBPACK_IMPORTED_MODULE_139__ = __webpack_require__(/*! ./security/Permission */ "./src/security/Permission.ts");
/* harmony import */ var _security_PermissionCollection__WEBPACK_IMPORTED_MODULE_140__ = __webpack_require__(/*! ./security/PermissionCollection */ "./src/security/PermissionCollection.ts");
/* harmony import */ var _session_Session__WEBPACK_IMPORTED_MODULE_141__ = __webpack_require__(/*! ./session/Session */ "./src/session/Session.ts");
/* harmony import */ var _session_SessionModel__WEBPACK_IMPORTED_MODULE_142__ = __webpack_require__(/*! ./session/SessionModel */ "./src/session/SessionModel.ts");
/* harmony import */ var _session_SessionEventMap__WEBPACK_IMPORTED_MODULE_143__ = __webpack_require__(/*! ./session/SessionEventMap */ "./src/session/SessionEventMap.ts");
/* harmony import */ var _session_SessionAdapter__WEBPACK_IMPORTED_MODULE_144__ = __webpack_require__(/*! ./session/SessionAdapter */ "./src/session/SessionAdapter.ts");
/* harmony import */ var _session_SharedVariables__WEBPACK_IMPORTED_MODULE_145__ = __webpack_require__(/*! ./session/SharedVariables */ "./src/session/SharedVariables.ts");
/* harmony import */ var _session_BackgroundJobPollingStatus__WEBPACK_IMPORTED_MODULE_146__ = __webpack_require__(/*! ./session/BackgroundJobPollingStatus */ "./src/session/BackgroundJobPollingStatus.ts");
/* harmony import */ var _session_BackgroundJobPollingSupport__WEBPACK_IMPORTED_MODULE_147__ = __webpack_require__(/*! ./session/BackgroundJobPollingSupport */ "./src/session/BackgroundJobPollingSupport.ts");
/* harmony import */ var _session_BusyIndicator__WEBPACK_IMPORTED_MODULE_148__ = __webpack_require__(/*! ./session/BusyIndicator */ "./src/session/BusyIndicator.ts");
/* harmony import */ var _session_BusyIndicatorEventMap__WEBPACK_IMPORTED_MODULE_149__ = __webpack_require__(/*! ./session/BusyIndicatorEventMap */ "./src/session/BusyIndicatorEventMap.ts");
/* harmony import */ var _session_BusySupport__WEBPACK_IMPORTED_MODULE_150__ = __webpack_require__(/*! ./session/BusySupport */ "./src/session/BusySupport.ts");
/* harmony import */ var _session_BusySupportModel__WEBPACK_IMPORTED_MODULE_151__ = __webpack_require__(/*! ./session/BusySupportModel */ "./src/session/BusySupportModel.ts");
/* harmony import */ var _session_RemoteEvent__WEBPACK_IMPORTED_MODULE_152__ = __webpack_require__(/*! ./session/RemoteEvent */ "./src/session/RemoteEvent.ts");
/* harmony import */ var _session_Locale__WEBPACK_IMPORTED_MODULE_153__ = __webpack_require__(/*! ./session/Locale */ "./src/session/Locale.ts");
/* harmony import */ var _session_LocaleModel__WEBPACK_IMPORTED_MODULE_154__ = __webpack_require__(/*! ./session/LocaleModel */ "./src/session/LocaleModel.ts");
/* harmony import */ var _session_PropertyChangeEventFilter__WEBPACK_IMPORTED_MODULE_155__ = __webpack_require__(/*! ./session/PropertyChangeEventFilter */ "./src/session/PropertyChangeEventFilter.ts");
/* harmony import */ var _session_Reconnector__WEBPACK_IMPORTED_MODULE_156__ = __webpack_require__(/*! ./session/Reconnector */ "./src/session/Reconnector.ts");
/* harmony import */ var _session_ResponseQueue__WEBPACK_IMPORTED_MODULE_157__ = __webpack_require__(/*! ./session/ResponseQueue */ "./src/session/ResponseQueue.ts");
/* harmony import */ var _session_UserAgent__WEBPACK_IMPORTED_MODULE_158__ = __webpack_require__(/*! ./session/UserAgent */ "./src/session/UserAgent.ts");
/* harmony import */ var _session_UserAgentModel__WEBPACK_IMPORTED_MODULE_159__ = __webpack_require__(/*! ./session/UserAgentModel */ "./src/session/UserAgentModel.ts");
/* harmony import */ var _session_WidgetEventTypeFilter__WEBPACK_IMPORTED_MODULE_160__ = __webpack_require__(/*! ./session/WidgetEventTypeFilter */ "./src/session/WidgetEventTypeFilter.ts");
/* harmony import */ var _layout_Dimension__WEBPACK_IMPORTED_MODULE_161__ = __webpack_require__(/*! ./layout/Dimension */ "./src/layout/Dimension.ts");
/* harmony import */ var _layout_Insets__WEBPACK_IMPORTED_MODULE_162__ = __webpack_require__(/*! ./layout/Insets */ "./src/layout/Insets.ts");
/* harmony import */ var _layout_Point__WEBPACK_IMPORTED_MODULE_163__ = __webpack_require__(/*! ./layout/Point */ "./src/layout/Point.ts");
/* harmony import */ var _layout_Rectangle__WEBPACK_IMPORTED_MODULE_164__ = __webpack_require__(/*! ./layout/Rectangle */ "./src/layout/Rectangle.ts");
/* harmony import */ var _layout_graphics__WEBPACK_IMPORTED_MODULE_165__ = __webpack_require__(/*! ./layout/graphics */ "./src/layout/graphics.ts");
/* harmony import */ var _layout_HtmlEnvironment__WEBPACK_IMPORTED_MODULE_166__ = __webpack_require__(/*! ./layout/HtmlEnvironment */ "./src/layout/HtmlEnvironment.ts");
/* harmony import */ var _layout_HtmlEnvironmentEventMap__WEBPACK_IMPORTED_MODULE_167__ = __webpack_require__(/*! ./layout/HtmlEnvironmentEventMap */ "./src/layout/HtmlEnvironmentEventMap.ts");
/* harmony import */ var _layout_AbstractLayout__WEBPACK_IMPORTED_MODULE_168__ = __webpack_require__(/*! ./layout/AbstractLayout */ "./src/layout/AbstractLayout.ts");
/* harmony import */ var _layout_HtmlComponent__WEBPACK_IMPORTED_MODULE_169__ = __webpack_require__(/*! ./layout/HtmlComponent */ "./src/layout/HtmlComponent.ts");
/* harmony import */ var _layout_LayoutData__WEBPACK_IMPORTED_MODULE_170__ = __webpack_require__(/*! ./layout/LayoutData */ "./src/layout/LayoutData.ts");
/* harmony import */ var _layout_LayoutConstants__WEBPACK_IMPORTED_MODULE_171__ = __webpack_require__(/*! ./layout/LayoutConstants */ "./src/layout/LayoutConstants.ts");
/* harmony import */ var _layout_LayoutValidator__WEBPACK_IMPORTED_MODULE_172__ = __webpack_require__(/*! ./layout/LayoutValidator */ "./src/layout/LayoutValidator.ts");
/* harmony import */ var _layout_logicalgrid_GridData__WEBPACK_IMPORTED_MODULE_173__ = __webpack_require__(/*! ./layout/logicalgrid/GridData */ "./src/layout/logicalgrid/GridData.ts");
/* harmony import */ var _layout_logicalgrid_GridDataModel__WEBPACK_IMPORTED_MODULE_174__ = __webpack_require__(/*! ./layout/logicalgrid/GridDataModel */ "./src/layout/logicalgrid/GridDataModel.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGrid__WEBPACK_IMPORTED_MODULE_175__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGrid */ "./src/layout/logicalgrid/LogicalGrid.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridConfig__WEBPACK_IMPORTED_MODULE_176__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridConfig */ "./src/layout/logicalgrid/LogicalGridConfig.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridData__WEBPACK_IMPORTED_MODULE_177__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridData */ "./src/layout/logicalgrid/LogicalGridData.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridLayout__WEBPACK_IMPORTED_MODULE_178__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridLayout */ "./src/layout/logicalgrid/LogicalGridLayout.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridLayoutSpy__WEBPACK_IMPORTED_MODULE_179__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridLayoutSpy */ "./src/layout/logicalgrid/LogicalGridLayoutSpy.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridLayoutConfig__WEBPACK_IMPORTED_MODULE_180__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridLayoutConfig */ "./src/layout/logicalgrid/LogicalGridLayoutConfig.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridLayoutInfo__WEBPACK_IMPORTED_MODULE_181__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridLayoutInfo */ "./src/layout/logicalgrid/LogicalGridLayoutInfo.ts");
/* harmony import */ var _layout_logicalgrid_LogicalGridLayoutInfoModel__WEBPACK_IMPORTED_MODULE_182__ = __webpack_require__(/*! ./layout/logicalgrid/LogicalGridLayoutInfoModel */ "./src/layout/logicalgrid/LogicalGridLayoutInfoModel.ts");
/* harmony import */ var _layout_logicalgrid_AbstractGrid__WEBPACK_IMPORTED_MODULE_183__ = __webpack_require__(/*! ./layout/logicalgrid/AbstractGrid */ "./src/layout/logicalgrid/AbstractGrid.ts");
/* harmony import */ var _layout_logicalgrid_HorizontalGrid__WEBPACK_IMPORTED_MODULE_184__ = __webpack_require__(/*! ./layout/logicalgrid/HorizontalGrid */ "./src/layout/logicalgrid/HorizontalGrid.ts");
/* harmony import */ var _layout_logicalgrid_VerticalSmartGrid__WEBPACK_IMPORTED_MODULE_185__ = __webpack_require__(/*! ./layout/logicalgrid/VerticalSmartGrid */ "./src/layout/logicalgrid/VerticalSmartGrid.ts");
/* harmony import */ var _layout_logicalgrid_matrix_LogicalGridMatrix__WEBPACK_IMPORTED_MODULE_186__ = __webpack_require__(/*! ./layout/logicalgrid/matrix/LogicalGridMatrix */ "./src/layout/logicalgrid/matrix/LogicalGridMatrix.ts");
/* harmony import */ var _layout_logicalgrid_matrix_LogicalGridMatrixCell__WEBPACK_IMPORTED_MODULE_187__ = __webpack_require__(/*! ./layout/logicalgrid/matrix/LogicalGridMatrixCell */ "./src/layout/logicalgrid/matrix/LogicalGridMatrixCell.ts");
/* harmony import */ var _layout_logicalgrid_matrix_LogicalGridMatrixCursor__WEBPACK_IMPORTED_MODULE_188__ = __webpack_require__(/*! ./layout/logicalgrid/matrix/LogicalGridMatrixCursor */ "./src/layout/logicalgrid/matrix/LogicalGridMatrixCursor.ts");
/* harmony import */ var _layout_logicalgrid_matrix_HorizontalGridMatrix__WEBPACK_IMPORTED_MODULE_189__ = __webpack_require__(/*! ./layout/logicalgrid/matrix/HorizontalGridMatrix */ "./src/layout/logicalgrid/matrix/HorizontalGridMatrix.ts");
/* harmony import */ var _layout_logicalgrid_matrix_VerticalGridMatrix__WEBPACK_IMPORTED_MODULE_190__ = __webpack_require__(/*! ./layout/logicalgrid/matrix/VerticalGridMatrix */ "./src/layout/logicalgrid/matrix/VerticalGridMatrix.ts");
/* harmony import */ var _layout_ColumnLayout__WEBPACK_IMPORTED_MODULE_191__ = __webpack_require__(/*! ./layout/ColumnLayout */ "./src/layout/ColumnLayout.ts");
/* harmony import */ var _layout_NullLayout__WEBPACK_IMPORTED_MODULE_192__ = __webpack_require__(/*! ./layout/NullLayout */ "./src/layout/NullLayout.ts");
/* harmony import */ var _layout_RowLayout__WEBPACK_IMPORTED_MODULE_193__ = __webpack_require__(/*! ./layout/RowLayout */ "./src/layout/RowLayout.ts");
/* harmony import */ var _layout_SingleLayout__WEBPACK_IMPORTED_MODULE_194__ = __webpack_require__(/*! ./layout/SingleLayout */ "./src/layout/SingleLayout.ts");
/* harmony import */ var _layout_flexbox_FlexboxLayout__WEBPACK_IMPORTED_MODULE_195__ = __webpack_require__(/*! ./layout/flexbox/FlexboxLayout */ "./src/layout/flexbox/FlexboxLayout.ts");
/* harmony import */ var _layout_flexbox_FlexboxLayoutData__WEBPACK_IMPORTED_MODULE_196__ = __webpack_require__(/*! ./layout/flexbox/FlexboxLayoutData */ "./src/layout/flexbox/FlexboxLayoutData.ts");
/* harmony import */ var _layout_flexbox_FlexboxLayoutDataModel__WEBPACK_IMPORTED_MODULE_197__ = __webpack_require__(/*! ./layout/flexbox/FlexboxLayoutDataModel */ "./src/layout/flexbox/FlexboxLayoutDataModel.ts");
/* harmony import */ var _tabbox_SimpleTabBoxController__WEBPACK_IMPORTED_MODULE_198__ = __webpack_require__(/*! ./tabbox/SimpleTabBoxController */ "./src/tabbox/SimpleTabBoxController.ts");
/* harmony import */ var _tabbox_SimpleTabBoxControllerModel__WEBPACK_IMPORTED_MODULE_199__ = __webpack_require__(/*! ./tabbox/SimpleTabBoxControllerModel */ "./src/tabbox/SimpleTabBoxControllerModel.ts");
/* harmony import */ var _tabbox_SimpleTabBox__WEBPACK_IMPORTED_MODULE_200__ = __webpack_require__(/*! ./tabbox/SimpleTabBox */ "./src/tabbox/SimpleTabBox.ts");
/* harmony import */ var _tabbox_SimpleTabBoxModel__WEBPACK_IMPORTED_MODULE_201__ = __webpack_require__(/*! ./tabbox/SimpleTabBoxModel */ "./src/tabbox/SimpleTabBoxModel.ts");
/* harmony import */ var _tabbox_SimpleTabBoxEventMap__WEBPACK_IMPORTED_MODULE_202__ = __webpack_require__(/*! ./tabbox/SimpleTabBoxEventMap */ "./src/tabbox/SimpleTabBoxEventMap.ts");
/* harmony import */ var _tabbox_SimpleTabBoxLayout__WEBPACK_IMPORTED_MODULE_203__ = __webpack_require__(/*! ./tabbox/SimpleTabBoxLayout */ "./src/tabbox/SimpleTabBoxLayout.ts");
/* harmony import */ var _tabbox_SimpleTabViewContentLayout__WEBPACK_IMPORTED_MODULE_204__ = __webpack_require__(/*! ./tabbox/SimpleTabViewContentLayout */ "./src/tabbox/SimpleTabViewContentLayout.ts");
/* harmony import */ var _keystroke_keys__WEBPACK_IMPORTED_MODULE_205__ = __webpack_require__(/*! ./keystroke/keys */ "./src/keystroke/keys.ts");
/* harmony import */ var _keystroke_Key__WEBPACK_IMPORTED_MODULE_206__ = __webpack_require__(/*! ./keystroke/Key */ "./src/keystroke/Key.ts");
/* harmony import */ var _keystroke_keyStrokeModifier__WEBPACK_IMPORTED_MODULE_207__ = __webpack_require__(/*! ./keystroke/keyStrokeModifier */ "./src/keystroke/keyStrokeModifier.ts");
/* harmony import */ var _keystroke_VirtualKeyStrokeEvent__WEBPACK_IMPORTED_MODULE_208__ = __webpack_require__(/*! ./keystroke/VirtualKeyStrokeEvent */ "./src/keystroke/VirtualKeyStrokeEvent.ts");
/* harmony import */ var _keystroke_KeyStrokeManager__WEBPACK_IMPORTED_MODULE_209__ = __webpack_require__(/*! ./keystroke/KeyStrokeManager */ "./src/keystroke/KeyStrokeManager.ts");
/* harmony import */ var _keystroke_KeyStrokeManagerEventMap__WEBPACK_IMPORTED_MODULE_210__ = __webpack_require__(/*! ./keystroke/KeyStrokeManagerEventMap */ "./src/keystroke/KeyStrokeManagerEventMap.ts");
/* harmony import */ var _keystroke_KeyStrokeContext__WEBPACK_IMPORTED_MODULE_211__ = __webpack_require__(/*! ./keystroke/KeyStrokeContext */ "./src/keystroke/KeyStrokeContext.ts");
/* harmony import */ var _keystroke_KeyStrokeContextOptions__WEBPACK_IMPORTED_MODULE_212__ = __webpack_require__(/*! ./keystroke/KeyStrokeContextOptions */ "./src/keystroke/KeyStrokeContextOptions.ts");
/* harmony import */ var _keystroke_InputFieldKeyStrokeContext__WEBPACK_IMPORTED_MODULE_213__ = __webpack_require__(/*! ./keystroke/InputFieldKeyStrokeContext */ "./src/keystroke/InputFieldKeyStrokeContext.ts");
/* harmony import */ var _keystroke_RangeKeyStroke__WEBPACK_IMPORTED_MODULE_214__ = __webpack_require__(/*! ./keystroke/RangeKeyStroke */ "./src/keystroke/RangeKeyStroke.ts");
/* harmony import */ var _keystroke_ContextMenuKeyStroke__WEBPACK_IMPORTED_MODULE_215__ = __webpack_require__(/*! ./keystroke/ContextMenuKeyStroke */ "./src/keystroke/ContextMenuKeyStroke.ts");
/* harmony import */ var _keystroke_ClickActiveElementKeyStroke__WEBPACK_IMPORTED_MODULE_216__ = __webpack_require__(/*! ./keystroke/ClickActiveElementKeyStroke */ "./src/keystroke/ClickActiveElementKeyStroke.ts");
/* harmony import */ var _keystroke_FocusAdjacentElementKeyStroke__WEBPACK_IMPORTED_MODULE_217__ = __webpack_require__(/*! ./keystroke/FocusAdjacentElementKeyStroke */ "./src/keystroke/FocusAdjacentElementKeyStroke.ts");
/* harmony import */ var _keystroke_CloseKeyStroke__WEBPACK_IMPORTED_MODULE_218__ = __webpack_require__(/*! ./keystroke/CloseKeyStroke */ "./src/keystroke/CloseKeyStroke.ts");
/* harmony import */ var _keystroke_AbortKeyStroke__WEBPACK_IMPORTED_MODULE_219__ = __webpack_require__(/*! ./keystroke/AbortKeyStroke */ "./src/keystroke/AbortKeyStroke.ts");
/* harmony import */ var _accordion_Accordion__WEBPACK_IMPORTED_MODULE_220__ = __webpack_require__(/*! ./accordion/Accordion */ "./src/accordion/Accordion.ts");
/* harmony import */ var _accordion_AccordionModel__WEBPACK_IMPORTED_MODULE_221__ = __webpack_require__(/*! ./accordion/AccordionModel */ "./src/accordion/AccordionModel.ts");
/* harmony import */ var _accordion_AccordionEventMap__WEBPACK_IMPORTED_MODULE_222__ = __webpack_require__(/*! ./accordion/AccordionEventMap */ "./src/accordion/AccordionEventMap.ts");
/* harmony import */ var _accordion_AccordionAdapter__WEBPACK_IMPORTED_MODULE_223__ = __webpack_require__(/*! ./accordion/AccordionAdapter */ "./src/accordion/AccordionAdapter.ts");
/* harmony import */ var _accordion_AccordionLayout__WEBPACK_IMPORTED_MODULE_224__ = __webpack_require__(/*! ./accordion/AccordionLayout */ "./src/accordion/AccordionLayout.ts");
/* harmony import */ var _boxbuttons_BoxButtons__WEBPACK_IMPORTED_MODULE_225__ = __webpack_require__(/*! ./boxbuttons/BoxButtons */ "./src/boxbuttons/BoxButtons.ts");
/* harmony import */ var _boxbuttons_BoxButtonsModel__WEBPACK_IMPORTED_MODULE_226__ = __webpack_require__(/*! ./boxbuttons/BoxButtonsModel */ "./src/boxbuttons/BoxButtonsModel.ts");
/* harmony import */ var _boxbuttons_BoxButtonsEventMap__WEBPACK_IMPORTED_MODULE_227__ = __webpack_require__(/*! ./boxbuttons/BoxButtonsEventMap */ "./src/boxbuttons/BoxButtonsEventMap.ts");
/* harmony import */ var _carousel_Carousel__WEBPACK_IMPORTED_MODULE_228__ = __webpack_require__(/*! ./carousel/Carousel */ "./src/carousel/Carousel.ts");
/* harmony import */ var _carousel_CarouselModel__WEBPACK_IMPORTED_MODULE_229__ = __webpack_require__(/*! ./carousel/CarouselModel */ "./src/carousel/CarouselModel.ts");
/* harmony import */ var _carousel_CarouselEventMap__WEBPACK_IMPORTED_MODULE_230__ = __webpack_require__(/*! ./carousel/CarouselEventMap */ "./src/carousel/CarouselEventMap.ts");
/* harmony import */ var _carousel_CarouselLayout__WEBPACK_IMPORTED_MODULE_231__ = __webpack_require__(/*! ./carousel/CarouselLayout */ "./src/carousel/CarouselLayout.ts");
/* harmony import */ var _cell_Cell__WEBPACK_IMPORTED_MODULE_232__ = __webpack_require__(/*! ./cell/Cell */ "./src/cell/Cell.ts");
/* harmony import */ var _cell_CellModel__WEBPACK_IMPORTED_MODULE_233__ = __webpack_require__(/*! ./cell/CellModel */ "./src/cell/CellModel.ts");
/* harmony import */ var _collapsehandle_CollapseHandle__WEBPACK_IMPORTED_MODULE_234__ = __webpack_require__(/*! ./collapsehandle/CollapseHandle */ "./src/collapsehandle/CollapseHandle.ts");
/* harmony import */ var _collapsehandle_CollapseHandleModel__WEBPACK_IMPORTED_MODULE_235__ = __webpack_require__(/*! ./collapsehandle/CollapseHandleModel */ "./src/collapsehandle/CollapseHandleModel.ts");
/* harmony import */ var _collapsehandle_CollapseHandleEventMap__WEBPACK_IMPORTED_MODULE_236__ = __webpack_require__(/*! ./collapsehandle/CollapseHandleEventMap */ "./src/collapsehandle/CollapseHandleEventMap.ts");
/* harmony import */ var _focus_FocusManager__WEBPACK_IMPORTED_MODULE_237__ = __webpack_require__(/*! ./focus/FocusManager */ "./src/focus/FocusManager.ts");
/* harmony import */ var _focus_FocusContext__WEBPACK_IMPORTED_MODULE_238__ = __webpack_require__(/*! ./focus/FocusContext */ "./src/focus/FocusContext.ts");
/* harmony import */ var _focus_focusUtils__WEBPACK_IMPORTED_MODULE_239__ = __webpack_require__(/*! ./focus/focusUtils */ "./src/focus/focusUtils.ts");
/* harmony import */ var _focus_FocusRule__WEBPACK_IMPORTED_MODULE_240__ = __webpack_require__(/*! ./focus/FocusRule */ "./src/focus/FocusRule.ts");
/* harmony import */ var _glasspane_GlassPane__WEBPACK_IMPORTED_MODULE_241__ = __webpack_require__(/*! ./glasspane/GlassPane */ "./src/glasspane/GlassPane.ts");
/* harmony import */ var _glasspane_DeferredGlassPaneTarget__WEBPACK_IMPORTED_MODULE_242__ = __webpack_require__(/*! ./glasspane/DeferredGlassPaneTarget */ "./src/glasspane/DeferredGlassPaneTarget.ts");
/* harmony import */ var _glasspane_GlassPaneRenderer__WEBPACK_IMPORTED_MODULE_243__ = __webpack_require__(/*! ./glasspane/GlassPaneRenderer */ "./src/glasspane/GlassPaneRenderer.ts");
/* harmony import */ var _iframe_IFrame__WEBPACK_IMPORTED_MODULE_244__ = __webpack_require__(/*! ./iframe/IFrame */ "./src/iframe/IFrame.ts");
/* harmony import */ var _iframe_IFrameKeyStrokeContext__WEBPACK_IMPORTED_MODULE_245__ = __webpack_require__(/*! ./iframe/IFrameKeyStrokeContext */ "./src/iframe/IFrameKeyStrokeContext.ts");
/* harmony import */ var _iframe_IFrameModel__WEBPACK_IMPORTED_MODULE_246__ = __webpack_require__(/*! ./iframe/IFrameModel */ "./src/iframe/IFrameModel.ts");
/* harmony import */ var _iframe_IFrameEventMap__WEBPACK_IMPORTED_MODULE_247__ = __webpack_require__(/*! ./iframe/IFrameEventMap */ "./src/iframe/IFrameEventMap.ts");
/* harmony import */ var _scrollbar_Scrollbar__WEBPACK_IMPORTED_MODULE_248__ = __webpack_require__(/*! ./scrollbar/Scrollbar */ "./src/scrollbar/Scrollbar.ts");
/* harmony import */ var _scrollbar_ScrollbarModel__WEBPACK_IMPORTED_MODULE_249__ = __webpack_require__(/*! ./scrollbar/ScrollbarModel */ "./src/scrollbar/ScrollbarModel.ts");
/* harmony import */ var _scrollbar_ScrollbarEventMap__WEBPACK_IMPORTED_MODULE_250__ = __webpack_require__(/*! ./scrollbar/ScrollbarEventMap */ "./src/scrollbar/ScrollbarEventMap.ts");
/* harmony import */ var _scrollbar_scrollbars__WEBPACK_IMPORTED_MODULE_251__ = __webpack_require__(/*! ./scrollbar/scrollbars */ "./src/scrollbar/scrollbars.ts");
/* harmony import */ var _scrollbar_VirtualScrolling__WEBPACK_IMPORTED_MODULE_252__ = __webpack_require__(/*! ./scrollbar/VirtualScrolling */ "./src/scrollbar/VirtualScrolling.ts");
/* harmony import */ var _scrollbar_VirtualScrollingModel__WEBPACK_IMPORTED_MODULE_253__ = __webpack_require__(/*! ./scrollbar/VirtualScrollingModel */ "./src/scrollbar/VirtualScrollingModel.ts");
/* harmony import */ var _splitter_Splitter__WEBPACK_IMPORTED_MODULE_254__ = __webpack_require__(/*! ./splitter/Splitter */ "./src/splitter/Splitter.ts");
/* harmony import */ var _splitter_SplitterModel__WEBPACK_IMPORTED_MODULE_255__ = __webpack_require__(/*! ./splitter/SplitterModel */ "./src/splitter/SplitterModel.ts");
/* harmony import */ var _splitter_SplitterEventMap__WEBPACK_IMPORTED_MODULE_256__ = __webpack_require__(/*! ./splitter/SplitterEventMap */ "./src/splitter/SplitterEventMap.ts");
/* harmony import */ var _text_DateFormatPatternType__WEBPACK_IMPORTED_MODULE_257__ = __webpack_require__(/*! ./text/DateFormatPatternType */ "./src/text/DateFormatPatternType.ts");
/* harmony import */ var _text_DateFormatPatternDefinition__WEBPACK_IMPORTED_MODULE_258__ = __webpack_require__(/*! ./text/DateFormatPatternDefinition */ "./src/text/DateFormatPatternDefinition.ts");
/* harmony import */ var _text_DateFormat__WEBPACK_IMPORTED_MODULE_259__ = __webpack_require__(/*! ./text/DateFormat */ "./src/text/DateFormat.ts");
/* harmony import */ var _text_DecimalFormat__WEBPACK_IMPORTED_MODULE_260__ = __webpack_require__(/*! ./text/DecimalFormat */ "./src/text/DecimalFormat.ts");
/* harmony import */ var _text_TextMap__WEBPACK_IMPORTED_MODULE_261__ = __webpack_require__(/*! ./text/TextMap */ "./src/text/TextMap.ts");
/* harmony import */ var _text_texts__WEBPACK_IMPORTED_MODULE_262__ = __webpack_require__(/*! ./text/texts */ "./src/text/texts.ts");
/* harmony import */ var _tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_263__ = __webpack_require__(/*! ./tooltip/Tooltip */ "./src/tooltip/Tooltip.ts");
/* harmony import */ var _tooltip_TooltipModel__WEBPACK_IMPORTED_MODULE_264__ = __webpack_require__(/*! ./tooltip/TooltipModel */ "./src/tooltip/TooltipModel.ts");
/* harmony import */ var _tooltip_TooltipEventMap__WEBPACK_IMPORTED_MODULE_265__ = __webpack_require__(/*! ./tooltip/TooltipEventMap */ "./src/tooltip/TooltipEventMap.ts");
/* harmony import */ var _tooltip_TooltipSupport__WEBPACK_IMPORTED_MODULE_266__ = __webpack_require__(/*! ./tooltip/TooltipSupport */ "./src/tooltip/TooltipSupport.ts");
/* harmony import */ var _tooltip_tooltips__WEBPACK_IMPORTED_MODULE_267__ = __webpack_require__(/*! ./tooltip/tooltips */ "./src/tooltip/tooltips.ts");
/* harmony import */ var _tooltip_WidgetTooltip__WEBPACK_IMPORTED_MODULE_268__ = __webpack_require__(/*! ./tooltip/WidgetTooltip */ "./src/tooltip/WidgetTooltip.ts");
/* harmony import */ var _tooltip_WidgetTooltipModel__WEBPACK_IMPORTED_MODULE_269__ = __webpack_require__(/*! ./tooltip/WidgetTooltipModel */ "./src/tooltip/WidgetTooltipModel.ts");
/* harmony import */ var _tooltip_WidgetTooltipEventMap__WEBPACK_IMPORTED_MODULE_270__ = __webpack_require__(/*! ./tooltip/WidgetTooltipEventMap */ "./src/tooltip/WidgetTooltipEventMap.ts");
/* harmony import */ var _action_Action__WEBPACK_IMPORTED_MODULE_271__ = __webpack_require__(/*! ./action/Action */ "./src/action/Action.ts");
/* harmony import */ var _action_ActionEventMap__WEBPACK_IMPORTED_MODULE_272__ = __webpack_require__(/*! ./action/ActionEventMap */ "./src/action/ActionEventMap.ts");
/* harmony import */ var _action_ActionModel__WEBPACK_IMPORTED_MODULE_273__ = __webpack_require__(/*! ./action/ActionModel */ "./src/action/ActionModel.ts");
/* harmony import */ var _action_ActionAdapter__WEBPACK_IMPORTED_MODULE_274__ = __webpack_require__(/*! ./action/ActionAdapter */ "./src/action/ActionAdapter.ts");
/* harmony import */ var _action_ActionExecKeyStroke__WEBPACK_IMPORTED_MODULE_275__ = __webpack_require__(/*! ./action/ActionExecKeyStroke */ "./src/action/ActionExecKeyStroke.ts");
/* harmony import */ var _action_ActionKeyStroke__WEBPACK_IMPORTED_MODULE_276__ = __webpack_require__(/*! ./action/ActionKeyStroke */ "./src/action/ActionKeyStroke.ts");
/* harmony import */ var _box_Box__WEBPACK_IMPORTED_MODULE_277__ = __webpack_require__(/*! ./box/Box */ "./src/box/Box.ts");
/* harmony import */ var _label_Label__WEBPACK_IMPORTED_MODULE_278__ = __webpack_require__(/*! ./label/Label */ "./src/label/Label.ts");
/* harmony import */ var _label_LabelAdapter__WEBPACK_IMPORTED_MODULE_279__ = __webpack_require__(/*! ./label/LabelAdapter */ "./src/label/LabelAdapter.ts");
/* harmony import */ var _label_LabelEventMap__WEBPACK_IMPORTED_MODULE_280__ = __webpack_require__(/*! ./label/LabelEventMap */ "./src/label/LabelEventMap.ts");
/* harmony import */ var _label_LabelModel__WEBPACK_IMPORTED_MODULE_281__ = __webpack_require__(/*! ./label/LabelModel */ "./src/label/LabelModel.ts");
/* harmony import */ var _popup_Popup__WEBPACK_IMPORTED_MODULE_282__ = __webpack_require__(/*! ./popup/Popup */ "./src/popup/Popup.ts");
/* harmony import */ var _popup_PopupModel__WEBPACK_IMPORTED_MODULE_283__ = __webpack_require__(/*! ./popup/PopupModel */ "./src/popup/PopupModel.ts");
/* harmony import */ var _popup_PopupEventMap__WEBPACK_IMPORTED_MODULE_284__ = __webpack_require__(/*! ./popup/PopupEventMap */ "./src/popup/PopupEventMap.ts");
/* harmony import */ var _popup_PopupAdapter__WEBPACK_IMPORTED_MODULE_285__ = __webpack_require__(/*! ./popup/PopupAdapter */ "./src/popup/PopupAdapter.ts");
/* harmony import */ var _popup_PopupLayout__WEBPACK_IMPORTED_MODULE_286__ = __webpack_require__(/*! ./popup/PopupLayout */ "./src/popup/PopupLayout.ts");
/* harmony import */ var _popup_PopupManager__WEBPACK_IMPORTED_MODULE_287__ = __webpack_require__(/*! ./popup/PopupManager */ "./src/popup/PopupManager.ts");
/* harmony import */ var _popup_PopupManagerModel__WEBPACK_IMPORTED_MODULE_288__ = __webpack_require__(/*! ./popup/PopupManagerModel */ "./src/popup/PopupManagerModel.ts");
/* harmony import */ var _popup_PopupManagerAdapter__WEBPACK_IMPORTED_MODULE_289__ = __webpack_require__(/*! ./popup/PopupManagerAdapter */ "./src/popup/PopupManagerAdapter.ts");
/* harmony import */ var _popup_TouchPopup__WEBPACK_IMPORTED_MODULE_290__ = __webpack_require__(/*! ./popup/TouchPopup */ "./src/popup/TouchPopup.ts");
/* harmony import */ var _popup_TouchPopupModel__WEBPACK_IMPORTED_MODULE_291__ = __webpack_require__(/*! ./popup/TouchPopupModel */ "./src/popup/TouchPopupModel.ts");
/* harmony import */ var _popup_TouchPopupLayout__WEBPACK_IMPORTED_MODULE_292__ = __webpack_require__(/*! ./popup/TouchPopupLayout */ "./src/popup/TouchPopupLayout.ts");
/* harmony import */ var _popup_WidgetPopup__WEBPACK_IMPORTED_MODULE_293__ = __webpack_require__(/*! ./popup/WidgetPopup */ "./src/popup/WidgetPopup.ts");
/* harmony import */ var _popup_WidgetPopupModel__WEBPACK_IMPORTED_MODULE_294__ = __webpack_require__(/*! ./popup/WidgetPopupModel */ "./src/popup/WidgetPopupModel.ts");
/* harmony import */ var _popup_WidgetPopupEventMap__WEBPACK_IMPORTED_MODULE_295__ = __webpack_require__(/*! ./popup/WidgetPopupEventMap */ "./src/popup/WidgetPopupEventMap.ts");
/* harmony import */ var _popup_WidgetPopupAdapter__WEBPACK_IMPORTED_MODULE_296__ = __webpack_require__(/*! ./popup/WidgetPopupAdapter */ "./src/popup/WidgetPopupAdapter.ts");
/* harmony import */ var _popup_WidgetPopupLayout__WEBPACK_IMPORTED_MODULE_297__ = __webpack_require__(/*! ./popup/WidgetPopupLayout */ "./src/popup/WidgetPopupLayout.ts");
/* harmony import */ var _popup_MobilePopup__WEBPACK_IMPORTED_MODULE_298__ = __webpack_require__(/*! ./popup/MobilePopup */ "./src/popup/MobilePopup.ts");
/* harmony import */ var _popup_MobilePopupModel__WEBPACK_IMPORTED_MODULE_299__ = __webpack_require__(/*! ./popup/MobilePopupModel */ "./src/popup/MobilePopupModel.ts");
/* harmony import */ var _popup_MobilePopupAdapter__WEBPACK_IMPORTED_MODULE_300__ = __webpack_require__(/*! ./popup/MobilePopupAdapter */ "./src/popup/MobilePopupAdapter.ts");
/* harmony import */ var _popup_MobilePopupLayout__WEBPACK_IMPORTED_MODULE_301__ = __webpack_require__(/*! ./popup/MobilePopupLayout */ "./src/popup/MobilePopupLayout.ts");
/* harmony import */ var _datepicker_DatePicker__WEBPACK_IMPORTED_MODULE_302__ = __webpack_require__(/*! ./datepicker/DatePicker */ "./src/datepicker/DatePicker.ts");
/* harmony import */ var _datepicker_DatePickerModel__WEBPACK_IMPORTED_MODULE_303__ = __webpack_require__(/*! ./datepicker/DatePickerModel */ "./src/datepicker/DatePickerModel.ts");
/* harmony import */ var _datepicker_DatePickerEventMap__WEBPACK_IMPORTED_MODULE_304__ = __webpack_require__(/*! ./datepicker/DatePickerEventMap */ "./src/datepicker/DatePickerEventMap.ts");
/* harmony import */ var _datepicker_DatePickerPopup__WEBPACK_IMPORTED_MODULE_305__ = __webpack_require__(/*! ./datepicker/DatePickerPopup */ "./src/datepicker/DatePickerPopup.ts");
/* harmony import */ var _datepicker_DatePickerPopupModel__WEBPACK_IMPORTED_MODULE_306__ = __webpack_require__(/*! ./datepicker/DatePickerPopupModel */ "./src/datepicker/DatePickerPopupModel.ts");
/* harmony import */ var _datepicker_DatePickerPopupLayout__WEBPACK_IMPORTED_MODULE_307__ = __webpack_require__(/*! ./datepicker/DatePickerPopupLayout */ "./src/datepicker/DatePickerPopupLayout.ts");
/* harmony import */ var _datepicker_DatePickerTouchPopup__WEBPACK_IMPORTED_MODULE_308__ = __webpack_require__(/*! ./datepicker/DatePickerTouchPopup */ "./src/datepicker/DatePickerTouchPopup.ts");
/* harmony import */ var _datepicker_DatePickerTouchPopupModel__WEBPACK_IMPORTED_MODULE_309__ = __webpack_require__(/*! ./datepicker/DatePickerTouchPopupModel */ "./src/datepicker/DatePickerTouchPopupModel.ts");
/* harmony import */ var _datepicker_DatePickerTouchPopupLayout__WEBPACK_IMPORTED_MODULE_310__ = __webpack_require__(/*! ./datepicker/DatePickerTouchPopupLayout */ "./src/datepicker/DatePickerTouchPopupLayout.ts");
/* harmony import */ var _desktop_DisplayChildController__WEBPACK_IMPORTED_MODULE_311__ = __webpack_require__(/*! ./desktop/DisplayChildController */ "./src/desktop/DisplayChildController.ts");
/* harmony import */ var _group_Group__WEBPACK_IMPORTED_MODULE_312__ = __webpack_require__(/*! ./group/Group */ "./src/group/Group.ts");
/* harmony import */ var _group_GroupModel__WEBPACK_IMPORTED_MODULE_313__ = __webpack_require__(/*! ./group/GroupModel */ "./src/group/GroupModel.ts");
/* harmony import */ var _group_GroupEventMap__WEBPACK_IMPORTED_MODULE_314__ = __webpack_require__(/*! ./group/GroupEventMap */ "./src/group/GroupEventMap.ts");
/* harmony import */ var _group_GroupAdapter__WEBPACK_IMPORTED_MODULE_315__ = __webpack_require__(/*! ./group/GroupAdapter */ "./src/group/GroupAdapter.ts");
/* harmony import */ var _group_GroupLayout__WEBPACK_IMPORTED_MODULE_316__ = __webpack_require__(/*! ./group/GroupLayout */ "./src/group/GroupLayout.ts");
/* harmony import */ var _group_keystrokes_GroupToggleCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_317__ = __webpack_require__(/*! ./group/keystrokes/GroupToggleCollapseKeyStroke */ "./src/group/keystrokes/GroupToggleCollapseKeyStroke.ts");
/* harmony import */ var _image_Icon__WEBPACK_IMPORTED_MODULE_318__ = __webpack_require__(/*! ./image/Icon */ "./src/image/Icon.ts");
/* harmony import */ var _image_IconModel__WEBPACK_IMPORTED_MODULE_319__ = __webpack_require__(/*! ./image/IconModel */ "./src/image/IconModel.ts");
/* harmony import */ var _image_IconEventMap__WEBPACK_IMPORTED_MODULE_320__ = __webpack_require__(/*! ./image/IconEventMap */ "./src/image/IconEventMap.ts");
/* harmony import */ var _image_IconDesc__WEBPACK_IMPORTED_MODULE_321__ = __webpack_require__(/*! ./image/IconDesc */ "./src/image/IconDesc.ts");
/* harmony import */ var _image_Image__WEBPACK_IMPORTED_MODULE_322__ = __webpack_require__(/*! ./image/Image */ "./src/image/Image.ts");
/* harmony import */ var _image_ImageEventMap__WEBPACK_IMPORTED_MODULE_323__ = __webpack_require__(/*! ./image/ImageEventMap */ "./src/image/ImageEventMap.ts");
/* harmony import */ var _image_ImageModel__WEBPACK_IMPORTED_MODULE_324__ = __webpack_require__(/*! ./image/ImageModel */ "./src/image/ImageModel.ts");
/* harmony import */ var _image_ImageLayout__WEBPACK_IMPORTED_MODULE_325__ = __webpack_require__(/*! ./image/ImageLayout */ "./src/image/ImageLayout.ts");
/* harmony import */ var _notification_Notification__WEBPACK_IMPORTED_MODULE_326__ = __webpack_require__(/*! ./notification/Notification */ "./src/notification/Notification.ts");
/* harmony import */ var _notification_NotificationModel__WEBPACK_IMPORTED_MODULE_327__ = __webpack_require__(/*! ./notification/NotificationModel */ "./src/notification/NotificationModel.ts");
/* harmony import */ var _notification_NotificationEventMap__WEBPACK_IMPORTED_MODULE_328__ = __webpack_require__(/*! ./notification/NotificationEventMap */ "./src/notification/NotificationEventMap.ts");
/* harmony import */ var _notification_NotificationAdapter__WEBPACK_IMPORTED_MODULE_329__ = __webpack_require__(/*! ./notification/NotificationAdapter */ "./src/notification/NotificationAdapter.ts");
/* harmony import */ var _menu_menus__WEBPACK_IMPORTED_MODULE_330__ = __webpack_require__(/*! ./menu/menus */ "./src/menu/menus.ts");
/* harmony import */ var _menu_MenuDestinations__WEBPACK_IMPORTED_MODULE_331__ = __webpack_require__(/*! ./menu/MenuDestinations */ "./src/menu/MenuDestinations.ts");
/* harmony import */ var _menu_Menu__WEBPACK_IMPORTED_MODULE_332__ = __webpack_require__(/*! ./menu/Menu */ "./src/menu/Menu.ts");
/* harmony import */ var _menu_MenuModel__WEBPACK_IMPORTED_MODULE_333__ = __webpack_require__(/*! ./menu/MenuModel */ "./src/menu/MenuModel.ts");
/* harmony import */ var _menu_MenuEventMap__WEBPACK_IMPORTED_MODULE_334__ = __webpack_require__(/*! ./menu/MenuEventMap */ "./src/menu/MenuEventMap.ts");
/* harmony import */ var _menu_EllipsisMenu__WEBPACK_IMPORTED_MODULE_335__ = __webpack_require__(/*! ./menu/EllipsisMenu */ "./src/menu/EllipsisMenu.ts");
/* harmony import */ var _menu_EllipsisMenuModel__WEBPACK_IMPORTED_MODULE_336__ = __webpack_require__(/*! ./menu/EllipsisMenuModel */ "./src/menu/EllipsisMenuModel.ts");
/* harmony import */ var _menu_EllipsisMenuEventMap__WEBPACK_IMPORTED_MODULE_337__ = __webpack_require__(/*! ./menu/EllipsisMenuEventMap */ "./src/menu/EllipsisMenuEventMap.ts");
/* harmony import */ var _menu_MenuAdapter__WEBPACK_IMPORTED_MODULE_338__ = __webpack_require__(/*! ./menu/MenuAdapter */ "./src/menu/MenuAdapter.ts");
/* harmony import */ var _menu_MenuKeyStroke__WEBPACK_IMPORTED_MODULE_339__ = __webpack_require__(/*! ./menu/MenuKeyStroke */ "./src/menu/MenuKeyStroke.ts");
/* harmony import */ var _menu_MenuExecKeyStroke__WEBPACK_IMPORTED_MODULE_340__ = __webpack_require__(/*! ./menu/MenuExecKeyStroke */ "./src/menu/MenuExecKeyStroke.ts");
/* harmony import */ var _menu_MenuItemsOrder__WEBPACK_IMPORTED_MODULE_341__ = __webpack_require__(/*! ./menu/MenuItemsOrder */ "./src/menu/MenuItemsOrder.ts");
/* harmony import */ var _menu_ComboMenu__WEBPACK_IMPORTED_MODULE_342__ = __webpack_require__(/*! ./menu/ComboMenu */ "./src/menu/ComboMenu.ts");
/* harmony import */ var _menu_ComboMenuAdapter__WEBPACK_IMPORTED_MODULE_343__ = __webpack_require__(/*! ./menu/ComboMenuAdapter */ "./src/menu/ComboMenuAdapter.ts");
/* harmony import */ var _menu_ContextMenuPopup__WEBPACK_IMPORTED_MODULE_344__ = __webpack_require__(/*! ./menu/ContextMenuPopup */ "./src/menu/ContextMenuPopup.ts");
/* harmony import */ var _menu_ContextMenuPopupModel__WEBPACK_IMPORTED_MODULE_345__ = __webpack_require__(/*! ./menu/ContextMenuPopupModel */ "./src/menu/ContextMenuPopupModel.ts");
/* harmony import */ var _menu_ContextMenuPopupLayout__WEBPACK_IMPORTED_MODULE_346__ = __webpack_require__(/*! ./menu/ContextMenuPopupLayout */ "./src/menu/ContextMenuPopupLayout.ts");
/* harmony import */ var _menu_MenuNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_347__ = __webpack_require__(/*! ./menu/MenuNavigationKeyStroke */ "./src/menu/MenuNavigationKeyStroke.ts");
/* harmony import */ var _menu_MenuNavigationExecKeyStroke__WEBPACK_IMPORTED_MODULE_348__ = __webpack_require__(/*! ./menu/MenuNavigationExecKeyStroke */ "./src/menu/MenuNavigationExecKeyStroke.ts");
/* harmony import */ var _menu_MenuExecByNumberKeyStroke__WEBPACK_IMPORTED_MODULE_349__ = __webpack_require__(/*! ./menu/MenuExecByNumberKeyStroke */ "./src/menu/MenuExecByNumberKeyStroke.ts");
/* harmony import */ var _menu_MenuNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_350__ = __webpack_require__(/*! ./menu/MenuNavigationDownKeyStroke */ "./src/menu/MenuNavigationDownKeyStroke.ts");
/* harmony import */ var _menu_MenuNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_351__ = __webpack_require__(/*! ./menu/MenuNavigationUpKeyStroke */ "./src/menu/MenuNavigationUpKeyStroke.ts");
/* harmony import */ var _menu_SubCloseKeyStroke__WEBPACK_IMPORTED_MODULE_352__ = __webpack_require__(/*! ./menu/SubCloseKeyStroke */ "./src/menu/SubCloseKeyStroke.ts");
/* harmony import */ var _menu_menuNavigationKeyStrokes__WEBPACK_IMPORTED_MODULE_353__ = __webpack_require__(/*! ./menu/menuNavigationKeyStrokes */ "./src/menu/menuNavigationKeyStrokes.ts");
/* harmony import */ var _menu_ButtonAdapterMenu__WEBPACK_IMPORTED_MODULE_354__ = __webpack_require__(/*! ./menu/ButtonAdapterMenu */ "./src/menu/ButtonAdapterMenu.ts");
/* harmony import */ var _menu_ButtonAdapterMenuModel__WEBPACK_IMPORTED_MODULE_355__ = __webpack_require__(/*! ./menu/ButtonAdapterMenuModel */ "./src/menu/ButtonAdapterMenuModel.ts");
/* harmony import */ var _menu_form_field_FormFieldMenu__WEBPACK_IMPORTED_MODULE_356__ = __webpack_require__(/*! ./menu/form/field/FormFieldMenu */ "./src/menu/form/field/FormFieldMenu.ts");
/* harmony import */ var _menu_form_field_FormFieldMenuEventMap__WEBPACK_IMPORTED_MODULE_357__ = __webpack_require__(/*! ./menu/form/field/FormFieldMenuEventMap */ "./src/menu/form/field/FormFieldMenuEventMap.ts");
/* harmony import */ var _menu_form_field_FormFieldMenuModel__WEBPACK_IMPORTED_MODULE_358__ = __webpack_require__(/*! ./menu/form/field/FormFieldMenuModel */ "./src/menu/form/field/FormFieldMenuModel.ts");
/* harmony import */ var _menu_form_field_FormFieldMenuAdapter__WEBPACK_IMPORTED_MODULE_359__ = __webpack_require__(/*! ./menu/form/field/FormFieldMenuAdapter */ "./src/menu/form/field/FormFieldMenuAdapter.ts");
/* harmony import */ var _menu_menubox_MenuBox__WEBPACK_IMPORTED_MODULE_360__ = __webpack_require__(/*! ./menu/menubox/MenuBox */ "./src/menu/menubox/MenuBox.ts");
/* harmony import */ var _menu_menubox_MenuBoxModel__WEBPACK_IMPORTED_MODULE_361__ = __webpack_require__(/*! ./menu/menubox/MenuBoxModel */ "./src/menu/menubox/MenuBoxModel.ts");
/* harmony import */ var _menu_menubox_MenuBoxEventMap__WEBPACK_IMPORTED_MODULE_362__ = __webpack_require__(/*! ./menu/menubox/MenuBoxEventMap */ "./src/menu/menubox/MenuBoxEventMap.ts");
/* harmony import */ var _menu_menubox_MenuBoxLayout__WEBPACK_IMPORTED_MODULE_363__ = __webpack_require__(/*! ./menu/menubox/MenuBoxLayout */ "./src/menu/menubox/MenuBoxLayout.ts");
/* harmony import */ var _menu_menubar_MenuBar__WEBPACK_IMPORTED_MODULE_364__ = __webpack_require__(/*! ./menu/menubar/MenuBar */ "./src/menu/menubar/MenuBar.ts");
/* harmony import */ var _menu_menubar_MenuBarModel__WEBPACK_IMPORTED_MODULE_365__ = __webpack_require__(/*! ./menu/menubar/MenuBarModel */ "./src/menu/menubar/MenuBarModel.ts");
/* harmony import */ var _menu_menubar_MenuBarEventMap__WEBPACK_IMPORTED_MODULE_366__ = __webpack_require__(/*! ./menu/menubar/MenuBarEventMap */ "./src/menu/menubar/MenuBarEventMap.ts");
/* harmony import */ var _menu_menubar_MenuBarLayout__WEBPACK_IMPORTED_MODULE_367__ = __webpack_require__(/*! ./menu/menubar/MenuBarLayout */ "./src/menu/menubar/MenuBarLayout.ts");
/* harmony import */ var _menu_menubar_MenuBarLeftKeyStroke__WEBPACK_IMPORTED_MODULE_368__ = __webpack_require__(/*! ./menu/menubar/MenuBarLeftKeyStroke */ "./src/menu/menubar/MenuBarLeftKeyStroke.ts");
/* harmony import */ var _menu_menubar_MenuBarRightKeyStroke__WEBPACK_IMPORTED_MODULE_369__ = __webpack_require__(/*! ./menu/menubar/MenuBarRightKeyStroke */ "./src/menu/menubar/MenuBarRightKeyStroke.ts");
/* harmony import */ var _menu_menubar_MenuBarPopup__WEBPACK_IMPORTED_MODULE_370__ = __webpack_require__(/*! ./menu/menubar/MenuBarPopup */ "./src/menu/menubar/MenuBarPopup.ts");
/* harmony import */ var _menu_menubar_MenuBarPopupModel__WEBPACK_IMPORTED_MODULE_371__ = __webpack_require__(/*! ./menu/menubar/MenuBarPopupModel */ "./src/menu/menubar/MenuBarPopupModel.ts");
/* harmony import */ var _menu_menubar_MenuBarBox__WEBPACK_IMPORTED_MODULE_372__ = __webpack_require__(/*! ./menu/menubar/MenuBarBox */ "./src/menu/menubar/MenuBarBox.ts");
/* harmony import */ var _menu_menubar_MenuBarBoxModel__WEBPACK_IMPORTED_MODULE_373__ = __webpack_require__(/*! ./menu/menubar/MenuBarBoxModel */ "./src/menu/menubar/MenuBarBoxModel.ts");
/* harmony import */ var _menu_menubar_MenuBarBoxEventMap__WEBPACK_IMPORTED_MODULE_374__ = __webpack_require__(/*! ./menu/menubar/MenuBarBoxEventMap */ "./src/menu/menubar/MenuBarBoxEventMap.ts");
/* harmony import */ var _menu_menubar_MenuBarBoxLayout__WEBPACK_IMPORTED_MODULE_375__ = __webpack_require__(/*! ./menu/menubar/MenuBarBoxLayout */ "./src/menu/menubar/MenuBarBoxLayout.ts");
/* harmony import */ var _calendar_CalendarResourceDo__WEBPACK_IMPORTED_MODULE_376__ = __webpack_require__(/*! ./calendar/CalendarResourceDo */ "./src/calendar/CalendarResourceDo.ts");
/* harmony import */ var _calendar_Calendar__WEBPACK_IMPORTED_MODULE_377__ = __webpack_require__(/*! ./calendar/Calendar */ "./src/calendar/Calendar.ts");
/* harmony import */ var _calendar_CalendarEventMap__WEBPACK_IMPORTED_MODULE_378__ = __webpack_require__(/*! ./calendar/CalendarEventMap */ "./src/calendar/CalendarEventMap.ts");
/* harmony import */ var _calendar_CalendarModel__WEBPACK_IMPORTED_MODULE_379__ = __webpack_require__(/*! ./calendar/CalendarModel */ "./src/calendar/CalendarModel.ts");
/* harmony import */ var _calendar_CalendarAdapter__WEBPACK_IMPORTED_MODULE_380__ = __webpack_require__(/*! ./calendar/CalendarAdapter */ "./src/calendar/CalendarAdapter.ts");
/* harmony import */ var _calendar_CalendarComponent__WEBPACK_IMPORTED_MODULE_381__ = __webpack_require__(/*! ./calendar/CalendarComponent */ "./src/calendar/CalendarComponent.ts");
/* harmony import */ var _calendar_CalendarComponentModel__WEBPACK_IMPORTED_MODULE_382__ = __webpack_require__(/*! ./calendar/CalendarComponentModel */ "./src/calendar/CalendarComponentModel.ts");
/* harmony import */ var _calendar_CalendarComponentEventMap__WEBPACK_IMPORTED_MODULE_383__ = __webpack_require__(/*! ./calendar/CalendarComponentEventMap */ "./src/calendar/CalendarComponentEventMap.ts");
/* harmony import */ var _calendar_CalendarComponentAdapter__WEBPACK_IMPORTED_MODULE_384__ = __webpack_require__(/*! ./calendar/CalendarComponentAdapter */ "./src/calendar/CalendarComponentAdapter.ts");
/* harmony import */ var _calendar_CalendarListComponent__WEBPACK_IMPORTED_MODULE_385__ = __webpack_require__(/*! ./calendar/CalendarListComponent */ "./src/calendar/CalendarListComponent.ts");
/* harmony import */ var _calendar_CalendarLayout__WEBPACK_IMPORTED_MODULE_386__ = __webpack_require__(/*! ./calendar/CalendarLayout */ "./src/calendar/CalendarLayout.ts");
/* harmony import */ var _calendar_CalendarModeMenu__WEBPACK_IMPORTED_MODULE_387__ = __webpack_require__(/*! ./calendar/CalendarModeMenu */ "./src/calendar/CalendarModeMenu.ts");
/* harmony import */ var _calendar_CalendarModeMenuModel__WEBPACK_IMPORTED_MODULE_388__ = __webpack_require__(/*! ./calendar/CalendarModeMenuModel */ "./src/calendar/CalendarModeMenuModel.ts");
/* harmony import */ var _calendar_CalendarModesMenu__WEBPACK_IMPORTED_MODULE_389__ = __webpack_require__(/*! ./calendar/CalendarModesMenu */ "./src/calendar/CalendarModesMenu.ts");
/* harmony import */ var _calendar_CalendarModesMenuEventMap__WEBPACK_IMPORTED_MODULE_390__ = __webpack_require__(/*! ./calendar/CalendarModesMenuEventMap */ "./src/calendar/CalendarModesMenuEventMap.ts");
/* harmony import */ var _calendar_CalendarModesMenuModel__WEBPACK_IMPORTED_MODULE_391__ = __webpack_require__(/*! ./calendar/CalendarModesMenuModel */ "./src/calendar/CalendarModesMenuModel.ts");
/* harmony import */ var _calendar_DateRange__WEBPACK_IMPORTED_MODULE_392__ = __webpack_require__(/*! ./calendar/DateRange */ "./src/calendar/DateRange.ts");
/* harmony import */ var _calendar_YearPanel__WEBPACK_IMPORTED_MODULE_393__ = __webpack_require__(/*! ./calendar/YearPanel */ "./src/calendar/YearPanel.ts");
/* harmony import */ var _calendar_YearPanelModel__WEBPACK_IMPORTED_MODULE_394__ = __webpack_require__(/*! ./calendar/YearPanelModel */ "./src/calendar/YearPanelModel.ts");
/* harmony import */ var _calendar_YearPanelEventMap__WEBPACK_IMPORTED_MODULE_395__ = __webpack_require__(/*! ./calendar/YearPanelEventMap */ "./src/calendar/YearPanelEventMap.ts");
/* harmony import */ var _lifecycle_Lifecycle__WEBPACK_IMPORTED_MODULE_396__ = __webpack_require__(/*! ./lifecycle/Lifecycle */ "./src/lifecycle/Lifecycle.ts");
/* harmony import */ var _lifecycle_LifecycleModel__WEBPACK_IMPORTED_MODULE_397__ = __webpack_require__(/*! ./lifecycle/LifecycleModel */ "./src/lifecycle/LifecycleModel.ts");
/* harmony import */ var _lifecycle_LifecycleEventMap__WEBPACK_IMPORTED_MODULE_398__ = __webpack_require__(/*! ./lifecycle/LifecycleEventMap */ "./src/lifecycle/LifecycleEventMap.ts");
/* harmony import */ var _planner_Planner__WEBPACK_IMPORTED_MODULE_399__ = __webpack_require__(/*! ./planner/Planner */ "./src/planner/Planner.ts");
/* harmony import */ var _planner_PlannerModel__WEBPACK_IMPORTED_MODULE_400__ = __webpack_require__(/*! ./planner/PlannerModel */ "./src/planner/PlannerModel.ts");
/* harmony import */ var _planner_PlannerEventMap__WEBPACK_IMPORTED_MODULE_401__ = __webpack_require__(/*! ./planner/PlannerEventMap */ "./src/planner/PlannerEventMap.ts");
/* harmony import */ var _planner_PlannerAdapter__WEBPACK_IMPORTED_MODULE_402__ = __webpack_require__(/*! ./planner/PlannerAdapter */ "./src/planner/PlannerAdapter.ts");
/* harmony import */ var _planner_PlannerHeader__WEBPACK_IMPORTED_MODULE_403__ = __webpack_require__(/*! ./planner/PlannerHeader */ "./src/planner/PlannerHeader.ts");
/* harmony import */ var _planner_PlannerHeaderEventMap__WEBPACK_IMPORTED_MODULE_404__ = __webpack_require__(/*! ./planner/PlannerHeaderEventMap */ "./src/planner/PlannerHeaderEventMap.ts");
/* harmony import */ var _planner_PlannerLayout__WEBPACK_IMPORTED_MODULE_405__ = __webpack_require__(/*! ./planner/PlannerLayout */ "./src/planner/PlannerLayout.ts");
/* harmony import */ var _planner_PlannerMenuItemsOrder__WEBPACK_IMPORTED_MODULE_406__ = __webpack_require__(/*! ./planner/PlannerMenuItemsOrder */ "./src/planner/PlannerMenuItemsOrder.ts");
/* harmony import */ var _filechooser_FileChooser__WEBPACK_IMPORTED_MODULE_407__ = __webpack_require__(/*! ./filechooser/FileChooser */ "./src/filechooser/FileChooser.ts");
/* harmony import */ var _filechooser_FileChooserModel__WEBPACK_IMPORTED_MODULE_408__ = __webpack_require__(/*! ./filechooser/FileChooserModel */ "./src/filechooser/FileChooserModel.ts");
/* harmony import */ var _filechooser_FileChooserEventMap__WEBPACK_IMPORTED_MODULE_409__ = __webpack_require__(/*! ./filechooser/FileChooserEventMap */ "./src/filechooser/FileChooserEventMap.ts");
/* harmony import */ var _filechooser_FileChooserAdapter__WEBPACK_IMPORTED_MODULE_410__ = __webpack_require__(/*! ./filechooser/FileChooserAdapter */ "./src/filechooser/FileChooserAdapter.ts");
/* harmony import */ var _filechooser_FileChooserController__WEBPACK_IMPORTED_MODULE_411__ = __webpack_require__(/*! ./filechooser/FileChooserController */ "./src/filechooser/FileChooserController.ts");
/* harmony import */ var _filechooser_FileInput__WEBPACK_IMPORTED_MODULE_412__ = __webpack_require__(/*! ./filechooser/FileInput */ "./src/filechooser/FileInput.ts");
/* harmony import */ var _filechooser_FileInputModel__WEBPACK_IMPORTED_MODULE_413__ = __webpack_require__(/*! ./filechooser/FileInputModel */ "./src/filechooser/FileInputModel.ts");
/* harmony import */ var _filechooser_FileInputEventMap__WEBPACK_IMPORTED_MODULE_414__ = __webpack_require__(/*! ./filechooser/FileInputEventMap */ "./src/filechooser/FileInputEventMap.ts");
/* harmony import */ var _router_Route__WEBPACK_IMPORTED_MODULE_415__ = __webpack_require__(/*! ./router/Route */ "./src/router/Route.ts");
/* harmony import */ var _router_router__WEBPACK_IMPORTED_MODULE_416__ = __webpack_require__(/*! ./router/router */ "./src/router/router.ts");
/* harmony import */ var _slider_Slider__WEBPACK_IMPORTED_MODULE_417__ = __webpack_require__(/*! ./slider/Slider */ "./src/slider/Slider.ts");
/* harmony import */ var _slider_SliderModel__WEBPACK_IMPORTED_MODULE_418__ = __webpack_require__(/*! ./slider/SliderModel */ "./src/slider/SliderModel.ts");
/* harmony import */ var _slider_SliderEventMap__WEBPACK_IMPORTED_MODULE_419__ = __webpack_require__(/*! ./slider/SliderEventMap */ "./src/slider/SliderEventMap.ts");
/* harmony import */ var _slider_SliderAdapter__WEBPACK_IMPORTED_MODULE_420__ = __webpack_require__(/*! ./slider/SliderAdapter */ "./src/slider/SliderAdapter.ts");
/* harmony import */ var _slider_SliderLayout__WEBPACK_IMPORTED_MODULE_421__ = __webpack_require__(/*! ./slider/SliderLayout */ "./src/slider/SliderLayout.ts");
/* harmony import */ var _slider_SliderNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_422__ = __webpack_require__(/*! ./slider/SliderNavigationKeyStroke */ "./src/slider/SliderNavigationKeyStroke.ts");
/* harmony import */ var _slider_SliderShiftNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_423__ = __webpack_require__(/*! ./slider/SliderShiftNavigationKeyStroke */ "./src/slider/SliderShiftNavigationKeyStroke.ts");
/* harmony import */ var _modeselector_Mode__WEBPACK_IMPORTED_MODULE_424__ = __webpack_require__(/*! ./modeselector/Mode */ "./src/modeselector/Mode.ts");
/* harmony import */ var _modeselector_ModeAdapter__WEBPACK_IMPORTED_MODULE_425__ = __webpack_require__(/*! ./modeselector/ModeAdapter */ "./src/modeselector/ModeAdapter.ts");
/* harmony import */ var _modeselector_ModeModel__WEBPACK_IMPORTED_MODULE_426__ = __webpack_require__(/*! ./modeselector/ModeModel */ "./src/modeselector/ModeModel.ts");
/* harmony import */ var _modeselector_ModeSelector__WEBPACK_IMPORTED_MODULE_427__ = __webpack_require__(/*! ./modeselector/ModeSelector */ "./src/modeselector/ModeSelector.ts");
/* harmony import */ var _modeselector_ModeSelectorEventMap__WEBPACK_IMPORTED_MODULE_428__ = __webpack_require__(/*! ./modeselector/ModeSelectorEventMap */ "./src/modeselector/ModeSelectorEventMap.ts");
/* harmony import */ var _modeselector_ModeSelectorLayout__WEBPACK_IMPORTED_MODULE_429__ = __webpack_require__(/*! ./modeselector/ModeSelectorLayout */ "./src/modeselector/ModeSelectorLayout.ts");
/* harmony import */ var _modeselector_ModeSelectorModel__WEBPACK_IMPORTED_MODULE_430__ = __webpack_require__(/*! ./modeselector/ModeSelectorModel */ "./src/modeselector/ModeSelectorModel.ts");
/* harmony import */ var _modeselector_ModeSelectorLeftOrUpKeyStroke__WEBPACK_IMPORTED_MODULE_431__ = __webpack_require__(/*! ./modeselector/ModeSelectorLeftOrUpKeyStroke */ "./src/modeselector/ModeSelectorLeftOrUpKeyStroke.ts");
/* harmony import */ var _modeselector_ModeSelectorRightOrDownKeyStroke__WEBPACK_IMPORTED_MODULE_432__ = __webpack_require__(/*! ./modeselector/ModeSelectorRightOrDownKeyStroke */ "./src/modeselector/ModeSelectorRightOrDownKeyStroke.ts");
/* harmony import */ var _form_Form__WEBPACK_IMPORTED_MODULE_433__ = __webpack_require__(/*! ./form/Form */ "./src/form/Form.ts");
/* harmony import */ var _form_FormAdapter__WEBPACK_IMPORTED_MODULE_434__ = __webpack_require__(/*! ./form/FormAdapter */ "./src/form/FormAdapter.ts");
/* harmony import */ var _form_FormEventMap__WEBPACK_IMPORTED_MODULE_435__ = __webpack_require__(/*! ./form/FormEventMap */ "./src/form/FormEventMap.ts");
/* harmony import */ var _form_FormGrid__WEBPACK_IMPORTED_MODULE_436__ = __webpack_require__(/*! ./form/FormGrid */ "./src/form/FormGrid.ts");
/* harmony import */ var _form_FormLayout__WEBPACK_IMPORTED_MODULE_437__ = __webpack_require__(/*! ./form/FormLayout */ "./src/form/FormLayout.ts");
/* harmony import */ var _form_FormMenuActionKeyStroke__WEBPACK_IMPORTED_MODULE_438__ = __webpack_require__(/*! ./form/FormMenuActionKeyStroke */ "./src/form/FormMenuActionKeyStroke.ts");
/* harmony import */ var _form_FormMenu__WEBPACK_IMPORTED_MODULE_439__ = __webpack_require__(/*! ./form/FormMenu */ "./src/form/FormMenu.ts");
/* harmony import */ var _form_FormMenuModel__WEBPACK_IMPORTED_MODULE_440__ = __webpack_require__(/*! ./form/FormMenuModel */ "./src/form/FormMenuModel.ts");
/* harmony import */ var _form_FormMenuEventMap__WEBPACK_IMPORTED_MODULE_441__ = __webpack_require__(/*! ./form/FormMenuEventMap */ "./src/form/FormMenuEventMap.ts");
/* harmony import */ var _form_FormMenuAdapter__WEBPACK_IMPORTED_MODULE_442__ = __webpack_require__(/*! ./form/FormMenuAdapter */ "./src/form/FormMenuAdapter.ts");
/* harmony import */ var _form_FormModel__WEBPACK_IMPORTED_MODULE_443__ = __webpack_require__(/*! ./form/FormModel */ "./src/form/FormModel.ts");
/* harmony import */ var _form_lifecycle_FormLifecycle__WEBPACK_IMPORTED_MODULE_444__ = __webpack_require__(/*! ./form/lifecycle/FormLifecycle */ "./src/form/lifecycle/FormLifecycle.ts");
/* harmony import */ var _form_lifecycle_FormLifecycleMenu__WEBPACK_IMPORTED_MODULE_445__ = __webpack_require__(/*! ./form/lifecycle/FormLifecycleMenu */ "./src/form/lifecycle/FormLifecycleMenu.ts");
/* harmony import */ var _form_lifecycle_FormLifecycleMenuModel__WEBPACK_IMPORTED_MODULE_446__ = __webpack_require__(/*! ./form/lifecycle/FormLifecycleMenuModel */ "./src/form/lifecycle/FormLifecycleMenuModel.ts");
/* harmony import */ var _form_lifecycle_FormLifecycleModel__WEBPACK_IMPORTED_MODULE_447__ = __webpack_require__(/*! ./form/lifecycle/FormLifecycleModel */ "./src/form/lifecycle/FormLifecycleModel.ts");
/* harmony import */ var _form_lifecycle_CancelMenu__WEBPACK_IMPORTED_MODULE_448__ = __webpack_require__(/*! ./form/lifecycle/CancelMenu */ "./src/form/lifecycle/CancelMenu.ts");
/* harmony import */ var _form_lifecycle_CloseMenu__WEBPACK_IMPORTED_MODULE_449__ = __webpack_require__(/*! ./form/lifecycle/CloseMenu */ "./src/form/lifecycle/CloseMenu.ts");
/* harmony import */ var _form_lifecycle_OkMenu__WEBPACK_IMPORTED_MODULE_450__ = __webpack_require__(/*! ./form/lifecycle/OkMenu */ "./src/form/lifecycle/OkMenu.ts");
/* harmony import */ var _form_lifecycle_ResetMenu__WEBPACK_IMPORTED_MODULE_451__ = __webpack_require__(/*! ./form/lifecycle/ResetMenu */ "./src/form/lifecycle/ResetMenu.ts");
/* harmony import */ var _form_lifecycle_SaveMenu__WEBPACK_IMPORTED_MODULE_452__ = __webpack_require__(/*! ./form/lifecycle/SaveMenu */ "./src/form/lifecycle/SaveMenu.ts");
/* harmony import */ var _form_lifecycle_SearchMenu__WEBPACK_IMPORTED_MODULE_453__ = __webpack_require__(/*! ./form/lifecycle/SearchMenu */ "./src/form/lifecycle/SearchMenu.ts");
/* harmony import */ var _form_DialogLayout__WEBPACK_IMPORTED_MODULE_454__ = __webpack_require__(/*! ./form/DialogLayout */ "./src/form/DialogLayout.ts");
/* harmony import */ var _form_ResponsiveManager__WEBPACK_IMPORTED_MODULE_455__ = __webpack_require__(/*! ./form/ResponsiveManager */ "./src/form/ResponsiveManager.ts");
/* harmony import */ var _form_ResponsiveHandler__WEBPACK_IMPORTED_MODULE_456__ = __webpack_require__(/*! ./form/ResponsiveHandler */ "./src/form/ResponsiveHandler.ts");
/* harmony import */ var _form_ResponsiveHandlerModel__WEBPACK_IMPORTED_MODULE_457__ = __webpack_require__(/*! ./form/ResponsiveHandlerModel */ "./src/form/ResponsiveHandlerModel.ts");
/* harmony import */ var _form_GroupBoxResponsiveHandler__WEBPACK_IMPORTED_MODULE_458__ = __webpack_require__(/*! ./form/GroupBoxResponsiveHandler */ "./src/form/GroupBoxResponsiveHandler.ts");
/* harmony import */ var _form_DesktopResponsiveHandler__WEBPACK_IMPORTED_MODULE_459__ = __webpack_require__(/*! ./form/DesktopResponsiveHandler */ "./src/form/DesktopResponsiveHandler.ts");
/* harmony import */ var _form_DesktopResponsiveHandlerModel__WEBPACK_IMPORTED_MODULE_460__ = __webpack_require__(/*! ./form/DesktopResponsiveHandlerModel */ "./src/form/DesktopResponsiveHandlerModel.ts");
/* harmony import */ var _form_TileOverviewForm__WEBPACK_IMPORTED_MODULE_461__ = __webpack_require__(/*! ./form/TileOverviewForm */ "./src/form/TileOverviewForm.ts");
/* harmony import */ var _form_TileOverviewFormModel__WEBPACK_IMPORTED_MODULE_462__ = __webpack_require__(/*! ./form/TileOverviewFormModel */ "./src/form/TileOverviewFormModel.ts");
/* harmony import */ var _form_TileOverviewFormEventMap__WEBPACK_IMPORTED_MODULE_463__ = __webpack_require__(/*! ./form/TileOverviewFormEventMap */ "./src/form/TileOverviewFormEventMap.ts");
/* harmony import */ var _form_TileOverviewFormAdapter__WEBPACK_IMPORTED_MODULE_464__ = __webpack_require__(/*! ./form/TileOverviewFormAdapter */ "./src/form/TileOverviewFormAdapter.ts");
/* harmony import */ var _form_js_JsFormAdapter__WEBPACK_IMPORTED_MODULE_465__ = __webpack_require__(/*! ./form/js/JsFormAdapter */ "./src/form/js/JsFormAdapter.ts");
/* harmony import */ var _form_js_JsFormModel__WEBPACK_IMPORTED_MODULE_466__ = __webpack_require__(/*! ./form/js/JsFormModel */ "./src/form/js/JsFormModel.ts");
/* harmony import */ var _table_Table__WEBPACK_IMPORTED_MODULE_467__ = __webpack_require__(/*! ./table/Table */ "./src/table/Table.ts");
/* harmony import */ var _table_TableModel__WEBPACK_IMPORTED_MODULE_468__ = __webpack_require__(/*! ./table/TableModel */ "./src/table/TableModel.ts");
/* harmony import */ var _table_TableEventMap__WEBPACK_IMPORTED_MODULE_469__ = __webpack_require__(/*! ./table/TableEventMap */ "./src/table/TableEventMap.ts");
/* harmony import */ var _table_TableAdapter__WEBPACK_IMPORTED_MODULE_470__ = __webpack_require__(/*! ./table/TableAdapter */ "./src/table/TableAdapter.ts");
/* harmony import */ var _table_TableCompactHandler__WEBPACK_IMPORTED_MODULE_471__ = __webpack_require__(/*! ./table/TableCompactHandler */ "./src/table/TableCompactHandler.ts");
/* harmony import */ var _table_TableCompactHandlerModel__WEBPACK_IMPORTED_MODULE_472__ = __webpack_require__(/*! ./table/TableCompactHandlerModel */ "./src/table/TableCompactHandlerModel.ts");
/* harmony import */ var _table_TableRow__WEBPACK_IMPORTED_MODULE_473__ = __webpack_require__(/*! ./table/TableRow */ "./src/table/TableRow.ts");
/* harmony import */ var _table_TableMaxResultsHelper__WEBPACK_IMPORTED_MODULE_474__ = __webpack_require__(/*! ./table/TableMaxResultsHelper */ "./src/table/TableMaxResultsHelper.ts");
/* harmony import */ var _table_TableRowModel__WEBPACK_IMPORTED_MODULE_475__ = __webpack_require__(/*! ./table/TableRowModel */ "./src/table/TableRowModel.ts");
/* harmony import */ var _table_TableMatrix__WEBPACK_IMPORTED_MODULE_476__ = __webpack_require__(/*! ./table/TableMatrix */ "./src/table/TableMatrix.ts");
/* harmony import */ var _table_TableFooter__WEBPACK_IMPORTED_MODULE_477__ = __webpack_require__(/*! ./table/TableFooter */ "./src/table/TableFooter.ts");
/* harmony import */ var _table_TableFooterModel__WEBPACK_IMPORTED_MODULE_478__ = __webpack_require__(/*! ./table/TableFooterModel */ "./src/table/TableFooterModel.ts");
/* harmony import */ var _table_TableFooterLayout__WEBPACK_IMPORTED_MODULE_479__ = __webpack_require__(/*! ./table/TableFooterLayout */ "./src/table/TableFooterLayout.ts");
/* harmony import */ var _table_TableInfoFilterTooltip__WEBPACK_IMPORTED_MODULE_480__ = __webpack_require__(/*! ./table/TableInfoFilterTooltip */ "./src/table/TableInfoFilterTooltip.ts");
/* harmony import */ var _table_TableInfoFilterTooltipModel__WEBPACK_IMPORTED_MODULE_481__ = __webpack_require__(/*! ./table/TableInfoFilterTooltipModel */ "./src/table/TableInfoFilterTooltipModel.ts");
/* harmony import */ var _table_TableInfoLoadTooltip__WEBPACK_IMPORTED_MODULE_482__ = __webpack_require__(/*! ./table/TableInfoLoadTooltip */ "./src/table/TableInfoLoadTooltip.ts");
/* harmony import */ var _table_TableInfoLoadTooltipModel__WEBPACK_IMPORTED_MODULE_483__ = __webpack_require__(/*! ./table/TableInfoLoadTooltipModel */ "./src/table/TableInfoLoadTooltipModel.ts");
/* harmony import */ var _table_TableInfoSelectionTooltip__WEBPACK_IMPORTED_MODULE_484__ = __webpack_require__(/*! ./table/TableInfoSelectionTooltip */ "./src/table/TableInfoSelectionTooltip.ts");
/* harmony import */ var _table_TableInfoSelectionTooltipModel__WEBPACK_IMPORTED_MODULE_485__ = __webpack_require__(/*! ./table/TableInfoSelectionTooltipModel */ "./src/table/TableInfoSelectionTooltipModel.ts");
/* harmony import */ var _table_TableHeader__WEBPACK_IMPORTED_MODULE_486__ = __webpack_require__(/*! ./table/TableHeader */ "./src/table/TableHeader.ts");
/* harmony import */ var _table_TableHeaderModel__WEBPACK_IMPORTED_MODULE_487__ = __webpack_require__(/*! ./table/TableHeaderModel */ "./src/table/TableHeaderModel.ts");
/* harmony import */ var _table_TableHeaderEventMap__WEBPACK_IMPORTED_MODULE_488__ = __webpack_require__(/*! ./table/TableHeaderEventMap */ "./src/table/TableHeaderEventMap.ts");
/* harmony import */ var _table_TableHeaderMenu__WEBPACK_IMPORTED_MODULE_489__ = __webpack_require__(/*! ./table/TableHeaderMenu */ "./src/table/TableHeaderMenu.ts");
/* harmony import */ var _table_TableHeaderMenuEventMap__WEBPACK_IMPORTED_MODULE_490__ = __webpack_require__(/*! ./table/TableHeaderMenuEventMap */ "./src/table/TableHeaderMenuEventMap.ts");
/* harmony import */ var _table_TableHeaderMenuModel__WEBPACK_IMPORTED_MODULE_491__ = __webpack_require__(/*! ./table/TableHeaderMenuModel */ "./src/table/TableHeaderMenuModel.ts");
/* harmony import */ var _table_TableHeaderMenuLayout__WEBPACK_IMPORTED_MODULE_492__ = __webpack_require__(/*! ./table/TableHeaderMenuLayout */ "./src/table/TableHeaderMenuLayout.ts");
/* harmony import */ var _table_TableHeaderMenuGroup__WEBPACK_IMPORTED_MODULE_493__ = __webpack_require__(/*! ./table/TableHeaderMenuGroup */ "./src/table/TableHeaderMenuGroup.ts");
/* harmony import */ var _table_TableHeaderMenuGroupModel__WEBPACK_IMPORTED_MODULE_494__ = __webpack_require__(/*! ./table/TableHeaderMenuGroupModel */ "./src/table/TableHeaderMenuGroupModel.ts");
/* harmony import */ var _table_TableHeaderMenuGroupEventMap__WEBPACK_IMPORTED_MODULE_495__ = __webpack_require__(/*! ./table/TableHeaderMenuGroupEventMap */ "./src/table/TableHeaderMenuGroupEventMap.ts");
/* harmony import */ var _table_TableHeaderMenuButton__WEBPACK_IMPORTED_MODULE_496__ = __webpack_require__(/*! ./table/TableHeaderMenuButton */ "./src/table/TableHeaderMenuButton.ts");
/* harmony import */ var _table_TableHeaderMenuButtonModel__WEBPACK_IMPORTED_MODULE_497__ = __webpack_require__(/*! ./table/TableHeaderMenuButtonModel */ "./src/table/TableHeaderMenuButtonModel.ts");
/* harmony import */ var _table_TableLayout__WEBPACK_IMPORTED_MODULE_498__ = __webpack_require__(/*! ./table/TableLayout */ "./src/table/TableLayout.ts");
/* harmony import */ var _table_TableSelectionHandler__WEBPACK_IMPORTED_MODULE_499__ = __webpack_require__(/*! ./table/TableSelectionHandler */ "./src/table/TableSelectionHandler.ts");
/* harmony import */ var _table_TableTileGridMediator__WEBPACK_IMPORTED_MODULE_500__ = __webpack_require__(/*! ./table/TableTileGridMediator */ "./src/table/TableTileGridMediator.ts");
/* harmony import */ var _table_TableTileGridMediatorModel__WEBPACK_IMPORTED_MODULE_501__ = __webpack_require__(/*! ./table/TableTileGridMediatorModel */ "./src/table/TableTileGridMediatorModel.ts");
/* harmony import */ var _table_TableTileGridMediatorEventMap__WEBPACK_IMPORTED_MODULE_502__ = __webpack_require__(/*! ./table/TableTileGridMediatorEventMap */ "./src/table/TableTileGridMediatorEventMap.ts");
/* harmony import */ var _table_TableTileGridMediatorAdapter__WEBPACK_IMPORTED_MODULE_503__ = __webpack_require__(/*! ./table/TableTileGridMediatorAdapter */ "./src/table/TableTileGridMediatorAdapter.ts");
/* harmony import */ var _table_TableRowDetail__WEBPACK_IMPORTED_MODULE_504__ = __webpack_require__(/*! ./table/TableRowDetail */ "./src/table/TableRowDetail.ts");
/* harmony import */ var _table_TableRowDetailModel__WEBPACK_IMPORTED_MODULE_505__ = __webpack_require__(/*! ./table/TableRowDetailModel */ "./src/table/TableRowDetailModel.ts");
/* harmony import */ var _table_TableRowTileMapping__WEBPACK_IMPORTED_MODULE_506__ = __webpack_require__(/*! ./table/TableRowTileMapping */ "./src/table/TableRowTileMapping.ts");
/* harmony import */ var _table_TableRowTileMappingModel__WEBPACK_IMPORTED_MODULE_507__ = __webpack_require__(/*! ./table/TableRowTileMappingModel */ "./src/table/TableRowTileMappingModel.ts");
/* harmony import */ var _table_TableRowTileMappingAdapter__WEBPACK_IMPORTED_MODULE_508__ = __webpack_require__(/*! ./table/TableRowTileMappingAdapter */ "./src/table/TableRowTileMappingAdapter.ts");
/* harmony import */ var _table_TableTooltip__WEBPACK_IMPORTED_MODULE_509__ = __webpack_require__(/*! ./table/TableTooltip */ "./src/table/TableTooltip.ts");
/* harmony import */ var _table_LimitedResultTableStatus__WEBPACK_IMPORTED_MODULE_510__ = __webpack_require__(/*! ./table/LimitedResultTableStatus */ "./src/table/LimitedResultTableStatus.ts");
/* harmony import */ var _table_TableTooltipModel__WEBPACK_IMPORTED_MODULE_511__ = __webpack_require__(/*! ./table/TableTooltipModel */ "./src/table/TableTooltipModel.ts");
/* harmony import */ var _table_TableUpdateBuffer__WEBPACK_IMPORTED_MODULE_512__ = __webpack_require__(/*! ./table/TableUpdateBuffer */ "./src/table/TableUpdateBuffer.ts");
/* harmony import */ var _table_TileTableHeaderGroupByLookupCall__WEBPACK_IMPORTED_MODULE_513__ = __webpack_require__(/*! ./table/TileTableHeaderGroupByLookupCall */ "./src/table/TileTableHeaderGroupByLookupCall.ts");
/* harmony import */ var _table_TileTableHeaderGroupByLookupCallModel__WEBPACK_IMPORTED_MODULE_514__ = __webpack_require__(/*! ./table/TileTableHeaderGroupByLookupCallModel */ "./src/table/TileTableHeaderGroupByLookupCallModel.ts");
/* harmony import */ var _table_TileTableHeaderSortByLookupCall__WEBPACK_IMPORTED_MODULE_515__ = __webpack_require__(/*! ./table/TileTableHeaderSortByLookupCall */ "./src/table/TileTableHeaderSortByLookupCall.ts");
/* harmony import */ var _table_TileTableHeaderSortByLookupCallModel__WEBPACK_IMPORTED_MODULE_516__ = __webpack_require__(/*! ./table/TileTableHeaderSortByLookupCallModel */ "./src/table/TileTableHeaderSortByLookupCallModel.ts");
/* harmony import */ var _table_columns_comparators__WEBPACK_IMPORTED_MODULE_517__ = __webpack_require__(/*! ./table/columns/comparators */ "./src/table/columns/comparators.ts");
/* harmony import */ var _table_columns_Column__WEBPACK_IMPORTED_MODULE_518__ = __webpack_require__(/*! ./table/columns/Column */ "./src/table/columns/Column.ts");
/* harmony import */ var _table_columns_ColumnModel__WEBPACK_IMPORTED_MODULE_519__ = __webpack_require__(/*! ./table/columns/ColumnModel */ "./src/table/columns/ColumnModel.ts");
/* harmony import */ var _table_columns_ColumnEventMap__WEBPACK_IMPORTED_MODULE_520__ = __webpack_require__(/*! ./table/columns/ColumnEventMap */ "./src/table/columns/ColumnEventMap.ts");
/* harmony import */ var _table_columns_ColumnDescriptor__WEBPACK_IMPORTED_MODULE_521__ = __webpack_require__(/*! ./table/columns/ColumnDescriptor */ "./src/table/columns/ColumnDescriptor.ts");
/* harmony import */ var _table_columns_ColumnOptimalWidthMeasurer__WEBPACK_IMPORTED_MODULE_522__ = __webpack_require__(/*! ./table/columns/ColumnOptimalWidthMeasurer */ "./src/table/columns/ColumnOptimalWidthMeasurer.ts");
/* harmony import */ var _table_columns_AlphanumericSortingStringColumn__WEBPACK_IMPORTED_MODULE_523__ = __webpack_require__(/*! ./table/columns/AlphanumericSortingStringColumn */ "./src/table/columns/AlphanumericSortingStringColumn.ts");
/* harmony import */ var _table_columns_BeanColumn__WEBPACK_IMPORTED_MODULE_524__ = __webpack_require__(/*! ./table/columns/BeanColumn */ "./src/table/columns/BeanColumn.ts");
/* harmony import */ var _table_columns_BooleanColumn__WEBPACK_IMPORTED_MODULE_525__ = __webpack_require__(/*! ./table/columns/BooleanColumn */ "./src/table/columns/BooleanColumn.ts");
/* harmony import */ var _table_columns_CompactColumn__WEBPACK_IMPORTED_MODULE_526__ = __webpack_require__(/*! ./table/columns/CompactColumn */ "./src/table/columns/CompactColumn.ts");
/* harmony import */ var _table_columns_CompactBean__WEBPACK_IMPORTED_MODULE_527__ = __webpack_require__(/*! ./table/columns/CompactBean */ "./src/table/columns/CompactBean.ts");
/* harmony import */ var _table_columns_CompactLine__WEBPACK_IMPORTED_MODULE_528__ = __webpack_require__(/*! ./table/columns/CompactLine */ "./src/table/columns/CompactLine.ts");
/* harmony import */ var _table_columns_CompactLineBlock__WEBPACK_IMPORTED_MODULE_529__ = __webpack_require__(/*! ./table/columns/CompactLineBlock */ "./src/table/columns/CompactLineBlock.ts");
/* harmony import */ var _table_columns_DateColumn__WEBPACK_IMPORTED_MODULE_530__ = __webpack_require__(/*! ./table/columns/DateColumn */ "./src/table/columns/DateColumn.ts");
/* harmony import */ var _table_columns_DateColumnModel__WEBPACK_IMPORTED_MODULE_531__ = __webpack_require__(/*! ./table/columns/DateColumnModel */ "./src/table/columns/DateColumnModel.ts");
/* harmony import */ var _table_columns_DateColumnEventMap__WEBPACK_IMPORTED_MODULE_532__ = __webpack_require__(/*! ./table/columns/DateColumnEventMap */ "./src/table/columns/DateColumnEventMap.ts");
/* harmony import */ var _table_columns_IconColumn__WEBPACK_IMPORTED_MODULE_533__ = __webpack_require__(/*! ./table/columns/IconColumn */ "./src/table/columns/IconColumn.ts");
/* harmony import */ var _table_columns_NumberColumn__WEBPACK_IMPORTED_MODULE_534__ = __webpack_require__(/*! ./table/columns/NumberColumn */ "./src/table/columns/NumberColumn.ts");
/* harmony import */ var _table_columns_NumberColumnModel__WEBPACK_IMPORTED_MODULE_535__ = __webpack_require__(/*! ./table/columns/NumberColumnModel */ "./src/table/columns/NumberColumnModel.ts");
/* harmony import */ var _table_columns_NumberColumnEventMap__WEBPACK_IMPORTED_MODULE_536__ = __webpack_require__(/*! ./table/columns/NumberColumnEventMap */ "./src/table/columns/NumberColumnEventMap.ts");
/* harmony import */ var _table_columns_LookupCallColumn__WEBPACK_IMPORTED_MODULE_537__ = __webpack_require__(/*! ./table/columns/LookupCallColumn */ "./src/table/columns/LookupCallColumn.ts");
/* harmony import */ var _table_columns_LookupCallColumnEventMap__WEBPACK_IMPORTED_MODULE_538__ = __webpack_require__(/*! ./table/columns/LookupCallColumnEventMap */ "./src/table/columns/LookupCallColumnEventMap.ts");
/* harmony import */ var _table_columns_LookupCallColumnModel__WEBPACK_IMPORTED_MODULE_539__ = __webpack_require__(/*! ./table/columns/LookupCallColumnModel */ "./src/table/columns/LookupCallColumnModel.ts");
/* harmony import */ var _table_columns_SmartColumn__WEBPACK_IMPORTED_MODULE_540__ = __webpack_require__(/*! ./table/columns/SmartColumn */ "./src/table/columns/SmartColumn.ts");
/* harmony import */ var _table_columns_SmartColumnModel__WEBPACK_IMPORTED_MODULE_541__ = __webpack_require__(/*! ./table/columns/SmartColumnModel */ "./src/table/columns/SmartColumnModel.ts");
/* harmony import */ var _table_columns_SmartColumnEventMap__WEBPACK_IMPORTED_MODULE_542__ = __webpack_require__(/*! ./table/columns/SmartColumnEventMap */ "./src/table/columns/SmartColumnEventMap.ts");
/* harmony import */ var _table_columns_LookupColumn__WEBPACK_IMPORTED_MODULE_543__ = __webpack_require__(/*! ./table/columns/LookupColumn */ "./src/table/columns/LookupColumn.ts");
/* harmony import */ var _table_columns_LookupColumnEventMap__WEBPACK_IMPORTED_MODULE_544__ = __webpack_require__(/*! ./table/columns/LookupColumnEventMap */ "./src/table/columns/LookupColumnEventMap.ts");
/* harmony import */ var _table_columns_LookupColumnModel__WEBPACK_IMPORTED_MODULE_545__ = __webpack_require__(/*! ./table/columns/LookupColumnModel */ "./src/table/columns/LookupColumnModel.ts");
/* harmony import */ var _table_controls_TableControlActionKeyStroke__WEBPACK_IMPORTED_MODULE_546__ = __webpack_require__(/*! ./table/controls/TableControlActionKeyStroke */ "./src/table/controls/TableControlActionKeyStroke.ts");
/* harmony import */ var _table_controls_TableControl__WEBPACK_IMPORTED_MODULE_547__ = __webpack_require__(/*! ./table/controls/TableControl */ "./src/table/controls/TableControl.ts");
/* harmony import */ var _table_controls_TableControlModel__WEBPACK_IMPORTED_MODULE_548__ = __webpack_require__(/*! ./table/controls/TableControlModel */ "./src/table/controls/TableControlModel.ts");
/* harmony import */ var _table_controls_TableControlAdapter__WEBPACK_IMPORTED_MODULE_549__ = __webpack_require__(/*! ./table/controls/TableControlAdapter */ "./src/table/controls/TableControlAdapter.ts");
/* harmony import */ var _table_controls_TableControlAdapterMenu__WEBPACK_IMPORTED_MODULE_550__ = __webpack_require__(/*! ./table/controls/TableControlAdapterMenu */ "./src/table/controls/TableControlAdapterMenu.ts");
/* harmony import */ var _table_controls_TableControlAdapterMenuModel__WEBPACK_IMPORTED_MODULE_551__ = __webpack_require__(/*! ./table/controls/TableControlAdapterMenuModel */ "./src/table/controls/TableControlAdapterMenuModel.ts");
/* harmony import */ var _table_controls_AggregateTableControl__WEBPACK_IMPORTED_MODULE_552__ = __webpack_require__(/*! ./table/controls/AggregateTableControl */ "./src/table/controls/AggregateTableControl.ts");
/* harmony import */ var _table_controls_AggregateTableControlAdapter__WEBPACK_IMPORTED_MODULE_553__ = __webpack_require__(/*! ./table/controls/AggregateTableControlAdapter */ "./src/table/controls/AggregateTableControlAdapter.ts");
/* harmony import */ var _table_controls_FormTableControl__WEBPACK_IMPORTED_MODULE_554__ = __webpack_require__(/*! ./table/controls/FormTableControl */ "./src/table/controls/FormTableControl.ts");
/* harmony import */ var _table_controls_FormTableControlModel__WEBPACK_IMPORTED_MODULE_555__ = __webpack_require__(/*! ./table/controls/FormTableControlModel */ "./src/table/controls/FormTableControlModel.ts");
/* harmony import */ var _table_controls_FormTableControlEventMap__WEBPACK_IMPORTED_MODULE_556__ = __webpack_require__(/*! ./table/controls/FormTableControlEventMap */ "./src/table/controls/FormTableControlEventMap.ts");
/* harmony import */ var _table_controls_FormTableControlAdapter__WEBPACK_IMPORTED_MODULE_557__ = __webpack_require__(/*! ./table/controls/FormTableControlAdapter */ "./src/table/controls/FormTableControlAdapter.ts");
/* harmony import */ var _table_controls_FormTableControlLayout__WEBPACK_IMPORTED_MODULE_558__ = __webpack_require__(/*! ./table/controls/FormTableControlLayout */ "./src/table/controls/FormTableControlLayout.ts");
/* harmony import */ var _table_editor_CellEditorPopup__WEBPACK_IMPORTED_MODULE_559__ = __webpack_require__(/*! ./table/editor/CellEditorPopup */ "./src/table/editor/CellEditorPopup.ts");
/* harmony import */ var _table_editor_CellEditorPopupModel__WEBPACK_IMPORTED_MODULE_560__ = __webpack_require__(/*! ./table/editor/CellEditorPopupModel */ "./src/table/editor/CellEditorPopupModel.ts");
/* harmony import */ var _table_editor_CellEditorPopupLayout__WEBPACK_IMPORTED_MODULE_561__ = __webpack_require__(/*! ./table/editor/CellEditorPopupLayout */ "./src/table/editor/CellEditorPopupLayout.ts");
/* harmony import */ var _table_editor_CellEditorCancelEditKeyStroke__WEBPACK_IMPORTED_MODULE_562__ = __webpack_require__(/*! ./table/editor/CellEditorCancelEditKeyStroke */ "./src/table/editor/CellEditorCancelEditKeyStroke.ts");
/* harmony import */ var _table_editor_CellEditorCompleteEditKeyStroke__WEBPACK_IMPORTED_MODULE_563__ = __webpack_require__(/*! ./table/editor/CellEditorCompleteEditKeyStroke */ "./src/table/editor/CellEditorCompleteEditKeyStroke.ts");
/* harmony import */ var _table_editor_CellEditorTabKeyStroke__WEBPACK_IMPORTED_MODULE_564__ = __webpack_require__(/*! ./table/editor/CellEditorTabKeyStroke */ "./src/table/editor/CellEditorTabKeyStroke.ts");
/* harmony import */ var _table_keystrokes_AbstractTableNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_565__ = __webpack_require__(/*! ./table/keystrokes/AbstractTableNavigationKeyStroke */ "./src/table/keystrokes/AbstractTableNavigationKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableControlCloseKeyStroke__WEBPACK_IMPORTED_MODULE_566__ = __webpack_require__(/*! ./table/keystrokes/TableControlCloseKeyStroke */ "./src/table/keystrokes/TableControlCloseKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableCopyKeyStroke__WEBPACK_IMPORTED_MODULE_567__ = __webpack_require__(/*! ./table/keystrokes/TableCopyKeyStroke */ "./src/table/keystrokes/TableCopyKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_568__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationCollapseKeyStroke */ "./src/table/keystrokes/TableNavigationCollapseKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationExpandKeyStroke__WEBPACK_IMPORTED_MODULE_569__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationExpandKeyStroke */ "./src/table/keystrokes/TableNavigationExpandKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableSelectAllKeyStroke__WEBPACK_IMPORTED_MODULE_570__ = __webpack_require__(/*! ./table/keystrokes/TableSelectAllKeyStroke */ "./src/table/keystrokes/TableSelectAllKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableStartCellEditKeyStroke__WEBPACK_IMPORTED_MODULE_571__ = __webpack_require__(/*! ./table/keystrokes/TableStartCellEditKeyStroke */ "./src/table/keystrokes/TableStartCellEditKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableRefreshKeyStroke__WEBPACK_IMPORTED_MODULE_572__ = __webpack_require__(/*! ./table/keystrokes/TableRefreshKeyStroke */ "./src/table/keystrokes/TableRefreshKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableToggleRowKeyStroke__WEBPACK_IMPORTED_MODULE_573__ = __webpack_require__(/*! ./table/keystrokes/TableToggleRowKeyStroke */ "./src/table/keystrokes/TableToggleRowKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_574__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationUpKeyStroke */ "./src/table/keystrokes/TableNavigationUpKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_575__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationDownKeyStroke */ "./src/table/keystrokes/TableNavigationDownKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationHomeKeyStroke__WEBPACK_IMPORTED_MODULE_576__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationHomeKeyStroke */ "./src/table/keystrokes/TableNavigationHomeKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationEndKeyStroke__WEBPACK_IMPORTED_MODULE_577__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationEndKeyStroke */ "./src/table/keystrokes/TableNavigationEndKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationPageUpKeyStroke__WEBPACK_IMPORTED_MODULE_578__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationPageUpKeyStroke */ "./src/table/keystrokes/TableNavigationPageUpKeyStroke.ts");
/* harmony import */ var _table_keystrokes_TableNavigationPageDownKeyStroke__WEBPACK_IMPORTED_MODULE_579__ = __webpack_require__(/*! ./table/keystrokes/TableNavigationPageDownKeyStroke */ "./src/table/keystrokes/TableNavigationPageDownKeyStroke.ts");
/* harmony import */ var _table_organizer_TableOrganizer__WEBPACK_IMPORTED_MODULE_580__ = __webpack_require__(/*! ./table/organizer/TableOrganizer */ "./src/table/organizer/TableOrganizer.ts");
/* harmony import */ var _table_organizer_RemoteTableOrganizer__WEBPACK_IMPORTED_MODULE_581__ = __webpack_require__(/*! ./table/organizer/RemoteTableOrganizer */ "./src/table/organizer/RemoteTableOrganizer.ts");
/* harmony import */ var _table_organizer_ShowInvisibleColumnsForm__WEBPACK_IMPORTED_MODULE_582__ = __webpack_require__(/*! ./table/organizer/ShowInvisibleColumnsForm */ "./src/table/organizer/ShowInvisibleColumnsForm.ts");
/* harmony import */ var _table_organizer_ShowInvisibleColumnsFormModel__WEBPACK_IMPORTED_MODULE_583__ = __webpack_require__(/*! ./table/organizer/ShowInvisibleColumnsFormModel */ "./src/table/organizer/ShowInvisibleColumnsFormModel.ts");
/* harmony import */ var _table_userfilter_TableUserFilterModel__WEBPACK_IMPORTED_MODULE_584__ = __webpack_require__(/*! ./table/userfilter/TableUserFilterModel */ "./src/table/userfilter/TableUserFilterModel.ts");
/* harmony import */ var _table_userfilter_TableUserFilter__WEBPACK_IMPORTED_MODULE_585__ = __webpack_require__(/*! ./table/userfilter/TableUserFilter */ "./src/table/userfilter/TableUserFilter.ts");
/* harmony import */ var _table_userfilter_ColumnUserFilter__WEBPACK_IMPORTED_MODULE_586__ = __webpack_require__(/*! ./table/userfilter/ColumnUserFilter */ "./src/table/userfilter/ColumnUserFilter.ts");
/* harmony import */ var _table_userfilter_ColumnUserFilterModel__WEBPACK_IMPORTED_MODULE_587__ = __webpack_require__(/*! ./table/userfilter/ColumnUserFilterModel */ "./src/table/userfilter/ColumnUserFilterModel.ts");
/* harmony import */ var _table_userfilter_ColumnUserFilterEventMap__WEBPACK_IMPORTED_MODULE_588__ = __webpack_require__(/*! ./table/userfilter/ColumnUserFilterEventMap */ "./src/table/userfilter/ColumnUserFilterEventMap.ts");
/* harmony import */ var _table_userfilter_DateColumnUserFilter__WEBPACK_IMPORTED_MODULE_589__ = __webpack_require__(/*! ./table/userfilter/DateColumnUserFilter */ "./src/table/userfilter/DateColumnUserFilter.ts");
/* harmony import */ var _table_userfilter_DateColumnUserFilterModel__WEBPACK_IMPORTED_MODULE_590__ = __webpack_require__(/*! ./table/userfilter/DateColumnUserFilterModel */ "./src/table/userfilter/DateColumnUserFilterModel.ts");
/* harmony import */ var _table_userfilter_NumberColumnUserFilter__WEBPACK_IMPORTED_MODULE_591__ = __webpack_require__(/*! ./table/userfilter/NumberColumnUserFilter */ "./src/table/userfilter/NumberColumnUserFilter.ts");
/* harmony import */ var _table_userfilter_NumberColumnUserFilterModel__WEBPACK_IMPORTED_MODULE_592__ = __webpack_require__(/*! ./table/userfilter/NumberColumnUserFilterModel */ "./src/table/userfilter/NumberColumnUserFilterModel.ts");
/* harmony import */ var _table_userfilter_TextColumnUserFilter__WEBPACK_IMPORTED_MODULE_593__ = __webpack_require__(/*! ./table/userfilter/TextColumnUserFilter */ "./src/table/userfilter/TextColumnUserFilter.ts");
/* harmony import */ var _table_userfilter_TextColumnUserFilterModel__WEBPACK_IMPORTED_MODULE_594__ = __webpack_require__(/*! ./table/userfilter/TextColumnUserFilterModel */ "./src/table/userfilter/TextColumnUserFilterModel.ts");
/* harmony import */ var _table_userfilter_TableTextUserFilter__WEBPACK_IMPORTED_MODULE_595__ = __webpack_require__(/*! ./table/userfilter/TableTextUserFilter */ "./src/table/userfilter/TableTextUserFilter.ts");
/* harmony import */ var _table_userfilter_TableTextUserFilterModel__WEBPACK_IMPORTED_MODULE_596__ = __webpack_require__(/*! ./table/userfilter/TableTextUserFilterModel */ "./src/table/userfilter/TableTextUserFilterModel.ts");
/* harmony import */ var _table_TileTableHierarchyFilter__WEBPACK_IMPORTED_MODULE_597__ = __webpack_require__(/*! ./table/TileTableHierarchyFilter */ "./src/table/TileTableHierarchyFilter.ts");
/* harmony import */ var _table_KeyTableFilter__WEBPACK_IMPORTED_MODULE_598__ = __webpack_require__(/*! ./table/KeyTableFilter */ "./src/table/KeyTableFilter.ts");
/* harmony import */ var _table_TextTableFilter__WEBPACK_IMPORTED_MODULE_599__ = __webpack_require__(/*! ./table/TextTableFilter */ "./src/table/TextTableFilter.ts");
/* harmony import */ var _table_AbstractTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_600__ = __webpack_require__(/*! ./table/AbstractTableAccessibilityRenderer */ "./src/table/AbstractTableAccessibilityRenderer.ts");
/* harmony import */ var _table_DefaultTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_601__ = __webpack_require__(/*! ./table/DefaultTableAccessibilityRenderer */ "./src/table/DefaultTableAccessibilityRenderer.ts");
/* harmony import */ var _table_HierarchicalTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_602__ = __webpack_require__(/*! ./table/HierarchicalTableAccessibilityRenderer */ "./src/table/HierarchicalTableAccessibilityRenderer.ts");
/* harmony import */ var _table_ListBoxTableAccessibilityRenderer__WEBPACK_IMPORTED_MODULE_603__ = __webpack_require__(/*! ./table/ListBoxTableAccessibilityRenderer */ "./src/table/ListBoxTableAccessibilityRenderer.ts");
/* harmony import */ var _timepicker_TimePicker__WEBPACK_IMPORTED_MODULE_604__ = __webpack_require__(/*! ./timepicker/TimePicker */ "./src/timepicker/TimePicker.ts");
/* harmony import */ var _timepicker_TimePickerModel__WEBPACK_IMPORTED_MODULE_605__ = __webpack_require__(/*! ./timepicker/TimePickerModel */ "./src/timepicker/TimePickerModel.ts");
/* harmony import */ var _timepicker_TimePickerEventMap__WEBPACK_IMPORTED_MODULE_606__ = __webpack_require__(/*! ./timepicker/TimePickerEventMap */ "./src/timepicker/TimePickerEventMap.ts");
/* harmony import */ var _timepicker_TimePickerPopup__WEBPACK_IMPORTED_MODULE_607__ = __webpack_require__(/*! ./timepicker/TimePickerPopup */ "./src/timepicker/TimePickerPopup.ts");
/* harmony import */ var _timepicker_TimePickerPopupModel__WEBPACK_IMPORTED_MODULE_608__ = __webpack_require__(/*! ./timepicker/TimePickerPopupModel */ "./src/timepicker/TimePickerPopupModel.ts");
/* harmony import */ var _timepicker_TimePickerPopupLayout__WEBPACK_IMPORTED_MODULE_609__ = __webpack_require__(/*! ./timepicker/TimePickerPopupLayout */ "./src/timepicker/TimePickerPopupLayout.ts");
/* harmony import */ var _timepicker_TimePickerTouchPopup__WEBPACK_IMPORTED_MODULE_610__ = __webpack_require__(/*! ./timepicker/TimePickerTouchPopup */ "./src/timepicker/TimePickerTouchPopup.ts");
/* harmony import */ var _timepicker_TimePickerTouchPopupModel__WEBPACK_IMPORTED_MODULE_611__ = __webpack_require__(/*! ./timepicker/TimePickerTouchPopupModel */ "./src/timepicker/TimePickerTouchPopupModel.ts");
/* harmony import */ var _tree_Tree__WEBPACK_IMPORTED_MODULE_612__ = __webpack_require__(/*! ./tree/Tree */ "./src/tree/Tree.ts");
/* harmony import */ var _tree_TreeEventMap__WEBPACK_IMPORTED_MODULE_613__ = __webpack_require__(/*! ./tree/TreeEventMap */ "./src/tree/TreeEventMap.ts");
/* harmony import */ var _tree_TreeModel__WEBPACK_IMPORTED_MODULE_614__ = __webpack_require__(/*! ./tree/TreeModel */ "./src/tree/TreeModel.ts");
/* harmony import */ var _tree_TreeAdapter__WEBPACK_IMPORTED_MODULE_615__ = __webpack_require__(/*! ./tree/TreeAdapter */ "./src/tree/TreeAdapter.ts");
/* harmony import */ var _tree_TreeNode__WEBPACK_IMPORTED_MODULE_616__ = __webpack_require__(/*! ./tree/TreeNode */ "./src/tree/TreeNode.ts");
/* harmony import */ var _tree_TreeNodeModel__WEBPACK_IMPORTED_MODULE_617__ = __webpack_require__(/*! ./tree/TreeNodeModel */ "./src/tree/TreeNodeModel.ts");
/* harmony import */ var _tree_TreeCheckNodesResult__WEBPACK_IMPORTED_MODULE_618__ = __webpack_require__(/*! ./tree/TreeCheckNodesResult */ "./src/tree/TreeCheckNodesResult.ts");
/* harmony import */ var _tree_TreeLayout__WEBPACK_IMPORTED_MODULE_619__ = __webpack_require__(/*! ./tree/TreeLayout */ "./src/tree/TreeLayout.ts");
/* harmony import */ var _tree_LazyNodeFilter__WEBPACK_IMPORTED_MODULE_620__ = __webpack_require__(/*! ./tree/LazyNodeFilter */ "./src/tree/LazyNodeFilter.ts");
/* harmony import */ var _tree_TreeBreadcrumbFilter__WEBPACK_IMPORTED_MODULE_621__ = __webpack_require__(/*! ./tree/TreeBreadcrumbFilter */ "./src/tree/TreeBreadcrumbFilter.ts");
/* harmony import */ var _tree_keystrokes_AbstractTreeNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_622__ = __webpack_require__(/*! ./tree/keystrokes/AbstractTreeNavigationKeyStroke */ "./src/tree/keystrokes/AbstractTreeNavigationKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeSpaceKeyStroke__WEBPACK_IMPORTED_MODULE_623__ = __webpack_require__(/*! ./tree/keystrokes/TreeSpaceKeyStroke */ "./src/tree/keystrokes/TreeSpaceKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeNavigationUpKeyStroke__WEBPACK_IMPORTED_MODULE_624__ = __webpack_require__(/*! ./tree/keystrokes/TreeNavigationUpKeyStroke */ "./src/tree/keystrokes/TreeNavigationUpKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeNavigationDownKeyStroke__WEBPACK_IMPORTED_MODULE_625__ = __webpack_require__(/*! ./tree/keystrokes/TreeNavigationDownKeyStroke */ "./src/tree/keystrokes/TreeNavigationDownKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeNavigationEndKeyStroke__WEBPACK_IMPORTED_MODULE_626__ = __webpack_require__(/*! ./tree/keystrokes/TreeNavigationEndKeyStroke */ "./src/tree/keystrokes/TreeNavigationEndKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeCollapseAllKeyStroke__WEBPACK_IMPORTED_MODULE_627__ = __webpack_require__(/*! ./tree/keystrokes/TreeCollapseAllKeyStroke */ "./src/tree/keystrokes/TreeCollapseAllKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeCollapseOrDrillUpKeyStroke__WEBPACK_IMPORTED_MODULE_628__ = __webpack_require__(/*! ./tree/keystrokes/TreeCollapseOrDrillUpKeyStroke */ "./src/tree/keystrokes/TreeCollapseOrDrillUpKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_TreeExpandOrDrillDownKeyStroke__WEBPACK_IMPORTED_MODULE_629__ = __webpack_require__(/*! ./tree/keystrokes/TreeExpandOrDrillDownKeyStroke */ "./src/tree/keystrokes/TreeExpandOrDrillDownKeyStroke.ts");
/* harmony import */ var _tree_CompactTree__WEBPACK_IMPORTED_MODULE_630__ = __webpack_require__(/*! ./tree/CompactTree */ "./src/tree/CompactTree.ts");
/* harmony import */ var _tree_CompactTreeNode__WEBPACK_IMPORTED_MODULE_631__ = __webpack_require__(/*! ./tree/CompactTreeNode */ "./src/tree/CompactTreeNode.ts");
/* harmony import */ var _tree_keystrokes_AbstractCompactTreeControlKeyStroke__WEBPACK_IMPORTED_MODULE_632__ = __webpack_require__(/*! ./tree/keystrokes/AbstractCompactTreeControlKeyStroke */ "./src/tree/keystrokes/AbstractCompactTreeControlKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_CompactTreeUpKeyStroke__WEBPACK_IMPORTED_MODULE_633__ = __webpack_require__(/*! ./tree/keystrokes/CompactTreeUpKeyStroke */ "./src/tree/keystrokes/CompactTreeUpKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_CompactTreeDownKeyStroke__WEBPACK_IMPORTED_MODULE_634__ = __webpack_require__(/*! ./tree/keystrokes/CompactTreeDownKeyStroke */ "./src/tree/keystrokes/CompactTreeDownKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_CompactTreeLeftKeyStroke__WEBPACK_IMPORTED_MODULE_635__ = __webpack_require__(/*! ./tree/keystrokes/CompactTreeLeftKeyStroke */ "./src/tree/keystrokes/CompactTreeLeftKeyStroke.ts");
/* harmony import */ var _tree_keystrokes_CompactTreeRightKeyStroke__WEBPACK_IMPORTED_MODULE_636__ = __webpack_require__(/*! ./tree/keystrokes/CompactTreeRightKeyStroke */ "./src/tree/keystrokes/CompactTreeRightKeyStroke.ts");
/* harmony import */ var _calendar_CalendarSidebar__WEBPACK_IMPORTED_MODULE_637__ = __webpack_require__(/*! ./calendar/CalendarSidebar */ "./src/calendar/CalendarSidebar.ts");
/* harmony import */ var _calendar_CalendarSidebarLayout__WEBPACK_IMPORTED_MODULE_638__ = __webpack_require__(/*! ./calendar/CalendarSidebarLayout */ "./src/calendar/CalendarSidebarLayout.ts");
/* harmony import */ var _calendar_CalendarSidebarModel__WEBPACK_IMPORTED_MODULE_639__ = __webpack_require__(/*! ./calendar/CalendarSidebarModel */ "./src/calendar/CalendarSidebarModel.ts");
/* harmony import */ var _calendar_CalendarSidebarSplitter__WEBPACK_IMPORTED_MODULE_640__ = __webpack_require__(/*! ./calendar/CalendarSidebarSplitter */ "./src/calendar/CalendarSidebarSplitter.ts");
/* harmony import */ var _calendar_CalendarSidebarSplitterModel__WEBPACK_IMPORTED_MODULE_641__ = __webpack_require__(/*! ./calendar/CalendarSidebarSplitterModel */ "./src/calendar/CalendarSidebarSplitterModel.ts");
/* harmony import */ var _calendar_CalendarSidebarSplitterEventMap__WEBPACK_IMPORTED_MODULE_642__ = __webpack_require__(/*! ./calendar/CalendarSidebarSplitterEventMap */ "./src/calendar/CalendarSidebarSplitterEventMap.ts");
/* harmony import */ var _calendar_CalendarResourceLookupCall__WEBPACK_IMPORTED_MODULE_643__ = __webpack_require__(/*! ./calendar/CalendarResourceLookupCall */ "./src/calendar/CalendarResourceLookupCall.ts");
/* harmony import */ var _calendar_ResourcePanelTreeNode__WEBPACK_IMPORTED_MODULE_644__ = __webpack_require__(/*! ./calendar/ResourcePanelTreeNode */ "./src/calendar/ResourcePanelTreeNode.ts");
/* harmony import */ var _calendar_ResourcePanelTreeNodeModel__WEBPACK_IMPORTED_MODULE_645__ = __webpack_require__(/*! ./calendar/ResourcePanelTreeNodeModel */ "./src/calendar/ResourcePanelTreeNodeModel.ts");
/* harmony import */ var _calendar_CalendarTypes__WEBPACK_IMPORTED_MODULE_646__ = __webpack_require__(/*! ./calendar/CalendarTypes */ "./src/calendar/CalendarTypes.ts");
/* harmony import */ var _form_fields_fields__WEBPACK_IMPORTED_MODULE_647__ = __webpack_require__(/*! ./form/fields/fields */ "./src/form/fields/fields.ts");
/* harmony import */ var _form_fields_AppLinkKeyStroke__WEBPACK_IMPORTED_MODULE_648__ = __webpack_require__(/*! ./form/fields/AppLinkKeyStroke */ "./src/form/fields/AppLinkKeyStroke.ts");
/* harmony import */ var _form_fields_SelectAllTextInFieldKeyStroke__WEBPACK_IMPORTED_MODULE_649__ = __webpack_require__(/*! ./form/fields/SelectAllTextInFieldKeyStroke */ "./src/form/fields/SelectAllTextInFieldKeyStroke.ts");
/* harmony import */ var _form_fields_FieldStatus__WEBPACK_IMPORTED_MODULE_650__ = __webpack_require__(/*! ./form/fields/FieldStatus */ "./src/form/fields/FieldStatus.ts");
/* harmony import */ var _form_fields_FieldStatusModel__WEBPACK_IMPORTED_MODULE_651__ = __webpack_require__(/*! ./form/fields/FieldStatusModel */ "./src/form/fields/FieldStatusModel.ts");
/* harmony import */ var _form_fields_FieldStatusEventMap__WEBPACK_IMPORTED_MODULE_652__ = __webpack_require__(/*! ./form/fields/FieldStatusEventMap */ "./src/form/fields/FieldStatusEventMap.ts");
/* harmony import */ var _form_fields_FormField__WEBPACK_IMPORTED_MODULE_653__ = __webpack_require__(/*! ./form/fields/FormField */ "./src/form/fields/FormField.ts");
/* harmony import */ var _form_fields_FormFieldEventMap__WEBPACK_IMPORTED_MODULE_654__ = __webpack_require__(/*! ./form/fields/FormFieldEventMap */ "./src/form/fields/FormFieldEventMap.ts");
/* harmony import */ var _form_fields_FormFieldModel__WEBPACK_IMPORTED_MODULE_655__ = __webpack_require__(/*! ./form/fields/FormFieldModel */ "./src/form/fields/FormFieldModel.ts");
/* harmony import */ var _form_fields_FormFieldAdapter__WEBPACK_IMPORTED_MODULE_656__ = __webpack_require__(/*! ./form/fields/FormFieldAdapter */ "./src/form/fields/FormFieldAdapter.ts");
/* harmony import */ var _form_fields_FormFieldLayout__WEBPACK_IMPORTED_MODULE_657__ = __webpack_require__(/*! ./form/fields/FormFieldLayout */ "./src/form/fields/FormFieldLayout.ts");
/* harmony import */ var _form_fields_FormFieldValidationResultProvider__WEBPACK_IMPORTED_MODULE_658__ = __webpack_require__(/*! ./form/fields/FormFieldValidationResultProvider */ "./src/form/fields/FormFieldValidationResultProvider.ts");
/* harmony import */ var _form_fields_StatusMenuMapping__WEBPACK_IMPORTED_MODULE_659__ = __webpack_require__(/*! ./form/fields/StatusMenuMapping */ "./src/form/fields/StatusMenuMapping.ts");
/* harmony import */ var _form_fields_StatusMenuMappingModel__WEBPACK_IMPORTED_MODULE_660__ = __webpack_require__(/*! ./form/fields/StatusMenuMappingModel */ "./src/form/fields/StatusMenuMappingModel.ts");
/* harmony import */ var _form_fields_StatusMenuMappingAdapter__WEBPACK_IMPORTED_MODULE_661__ = __webpack_require__(/*! ./form/fields/StatusMenuMappingAdapter */ "./src/form/fields/StatusMenuMappingAdapter.ts");
/* harmony import */ var _form_fields_CompositeField__WEBPACK_IMPORTED_MODULE_662__ = __webpack_require__(/*! ./form/fields/CompositeField */ "./src/form/fields/CompositeField.ts");
/* harmony import */ var _form_fields_CompositeFieldAdapter__WEBPACK_IMPORTED_MODULE_663__ = __webpack_require__(/*! ./form/fields/CompositeFieldAdapter */ "./src/form/fields/CompositeFieldAdapter.ts");
/* harmony import */ var _form_fields_ValueField__WEBPACK_IMPORTED_MODULE_664__ = __webpack_require__(/*! ./form/fields/ValueField */ "./src/form/fields/ValueField.ts");
/* harmony import */ var _form_fields_ValueFieldModel__WEBPACK_IMPORTED_MODULE_665__ = __webpack_require__(/*! ./form/fields/ValueFieldModel */ "./src/form/fields/ValueFieldModel.ts");
/* harmony import */ var _form_fields_ValueFieldEventMap__WEBPACK_IMPORTED_MODULE_666__ = __webpack_require__(/*! ./form/fields/ValueFieldEventMap */ "./src/form/fields/ValueFieldEventMap.ts");
/* harmony import */ var _form_fields_ValueFieldAdapter__WEBPACK_IMPORTED_MODULE_667__ = __webpack_require__(/*! ./form/fields/ValueFieldAdapter */ "./src/form/fields/ValueFieldAdapter.ts");
/* harmony import */ var _form_fields_BasicField__WEBPACK_IMPORTED_MODULE_668__ = __webpack_require__(/*! ./form/fields/BasicField */ "./src/form/fields/BasicField.ts");
/* harmony import */ var _form_fields_BasicFieldModel__WEBPACK_IMPORTED_MODULE_669__ = __webpack_require__(/*! ./form/fields/BasicFieldModel */ "./src/form/fields/BasicFieldModel.ts");
/* harmony import */ var _form_fields_BasicFieldEventMap__WEBPACK_IMPORTED_MODULE_670__ = __webpack_require__(/*! ./form/fields/BasicFieldEventMap */ "./src/form/fields/BasicFieldEventMap.ts");
/* harmony import */ var _form_fields_BasicFieldAdapter__WEBPACK_IMPORTED_MODULE_671__ = __webpack_require__(/*! ./form/fields/BasicFieldAdapter */ "./src/form/fields/BasicFieldAdapter.ts");
/* harmony import */ var _form_fields_WidgetField__WEBPACK_IMPORTED_MODULE_672__ = __webpack_require__(/*! ./form/fields/WidgetField */ "./src/form/fields/WidgetField.ts");
/* harmony import */ var _form_fields_WidgetFieldModel__WEBPACK_IMPORTED_MODULE_673__ = __webpack_require__(/*! ./form/fields/WidgetFieldModel */ "./src/form/fields/WidgetFieldModel.ts");
/* harmony import */ var _form_fields_WidgetFieldEventMap__WEBPACK_IMPORTED_MODULE_674__ = __webpack_require__(/*! ./form/fields/WidgetFieldEventMap */ "./src/form/fields/WidgetFieldEventMap.ts");
/* harmony import */ var _form_fields_WidgetFieldAdapter__WEBPACK_IMPORTED_MODULE_675__ = __webpack_require__(/*! ./form/fields/WidgetFieldAdapter */ "./src/form/fields/WidgetFieldAdapter.ts");
/* harmony import */ var _form_fields_WidgetFieldLayout__WEBPACK_IMPORTED_MODULE_676__ = __webpack_require__(/*! ./form/fields/WidgetFieldLayout */ "./src/form/fields/WidgetFieldLayout.ts");
/* harmony import */ var _form_fields_LookupBox__WEBPACK_IMPORTED_MODULE_677__ = __webpack_require__(/*! ./form/fields/LookupBox */ "./src/form/fields/LookupBox.ts");
/* harmony import */ var _form_fields_LookupBoxModel__WEBPACK_IMPORTED_MODULE_678__ = __webpack_require__(/*! ./form/fields/LookupBoxModel */ "./src/form/fields/LookupBoxModel.ts");
/* harmony import */ var _form_fields_LookupBoxEventMap__WEBPACK_IMPORTED_MODULE_679__ = __webpack_require__(/*! ./form/fields/LookupBoxEventMap */ "./src/form/fields/LookupBoxEventMap.ts");
/* harmony import */ var _form_fields_LookupBoxLayout__WEBPACK_IMPORTED_MODULE_680__ = __webpack_require__(/*! ./form/fields/LookupBoxLayout */ "./src/form/fields/LookupBoxLayout.ts");
/* harmony import */ var _form_FormController__WEBPACK_IMPORTED_MODULE_681__ = __webpack_require__(/*! ./form/FormController */ "./src/form/FormController.ts");
/* harmony import */ var _messagebox_MessageBox__WEBPACK_IMPORTED_MODULE_682__ = __webpack_require__(/*! ./messagebox/MessageBox */ "./src/messagebox/MessageBox.ts");
/* harmony import */ var _messagebox_MessageBoxModel__WEBPACK_IMPORTED_MODULE_683__ = __webpack_require__(/*! ./messagebox/MessageBoxModel */ "./src/messagebox/MessageBoxModel.ts");
/* harmony import */ var _messagebox_MessageBoxEventMap__WEBPACK_IMPORTED_MODULE_684__ = __webpack_require__(/*! ./messagebox/MessageBoxEventMap */ "./src/messagebox/MessageBoxEventMap.ts");
/* harmony import */ var _messagebox_MessageBoxAdapter__WEBPACK_IMPORTED_MODULE_685__ = __webpack_require__(/*! ./messagebox/MessageBoxAdapter */ "./src/messagebox/MessageBoxAdapter.ts");
/* harmony import */ var _messagebox_MessageBoxController__WEBPACK_IMPORTED_MODULE_686__ = __webpack_require__(/*! ./messagebox/MessageBoxController */ "./src/messagebox/MessageBoxController.ts");
/* harmony import */ var _messagebox_MessageBoxes__WEBPACK_IMPORTED_MODULE_687__ = __webpack_require__(/*! ./messagebox/MessageBoxes */ "./src/messagebox/MessageBoxes.ts");
/* harmony import */ var _messagebox_MessageBoxesModel__WEBPACK_IMPORTED_MODULE_688__ = __webpack_require__(/*! ./messagebox/MessageBoxesModel */ "./src/messagebox/MessageBoxesModel.ts");
/* harmony import */ var _messagebox_MessageBoxLayout__WEBPACK_IMPORTED_MODULE_689__ = __webpack_require__(/*! ./messagebox/MessageBoxLayout */ "./src/messagebox/MessageBoxLayout.ts");
/* harmony import */ var _messagebox_CopyKeyStroke__WEBPACK_IMPORTED_MODULE_690__ = __webpack_require__(/*! ./messagebox/CopyKeyStroke */ "./src/messagebox/CopyKeyStroke.ts");
/* harmony import */ var _form_fields_accordionfield_AccordionField__WEBPACK_IMPORTED_MODULE_691__ = __webpack_require__(/*! ./form/fields/accordionfield/AccordionField */ "./src/form/fields/accordionfield/AccordionField.ts");
/* harmony import */ var _form_fields_accordionfield_AccordionFieldEventMap__WEBPACK_IMPORTED_MODULE_692__ = __webpack_require__(/*! ./form/fields/accordionfield/AccordionFieldEventMap */ "./src/form/fields/accordionfield/AccordionFieldEventMap.ts");
/* harmony import */ var _form_fields_accordionfield_AccordionFieldModel__WEBPACK_IMPORTED_MODULE_693__ = __webpack_require__(/*! ./form/fields/accordionfield/AccordionFieldModel */ "./src/form/fields/accordionfield/AccordionFieldModel.ts");
/* harmony import */ var _form_fields_accordionfield_AccordionFieldAdapter__WEBPACK_IMPORTED_MODULE_694__ = __webpack_require__(/*! ./form/fields/accordionfield/AccordionFieldAdapter */ "./src/form/fields/accordionfield/AccordionFieldAdapter.ts");
/* harmony import */ var _form_fields_beanfield_BeanField__WEBPACK_IMPORTED_MODULE_695__ = __webpack_require__(/*! ./form/fields/beanfield/BeanField */ "./src/form/fields/beanfield/BeanField.ts");
/* harmony import */ var _form_fields_beanfield_BeanFieldEventMap__WEBPACK_IMPORTED_MODULE_696__ = __webpack_require__(/*! ./form/fields/beanfield/BeanFieldEventMap */ "./src/form/fields/beanfield/BeanFieldEventMap.ts");
/* harmony import */ var _form_fields_beanfield_BeanFieldModel__WEBPACK_IMPORTED_MODULE_697__ = __webpack_require__(/*! ./form/fields/beanfield/BeanFieldModel */ "./src/form/fields/beanfield/BeanFieldModel.ts");
/* harmony import */ var _form_fields_beanfield_BeanFieldAdapter__WEBPACK_IMPORTED_MODULE_698__ = __webpack_require__(/*! ./form/fields/beanfield/BeanFieldAdapter */ "./src/form/fields/beanfield/BeanFieldAdapter.ts");
/* harmony import */ var _form_fields_browserfield_BrowserField__WEBPACK_IMPORTED_MODULE_699__ = __webpack_require__(/*! ./form/fields/browserfield/BrowserField */ "./src/form/fields/browserfield/BrowserField.ts");
/* harmony import */ var _form_fields_browserfield_BrowserFieldModel__WEBPACK_IMPORTED_MODULE_700__ = __webpack_require__(/*! ./form/fields/browserfield/BrowserFieldModel */ "./src/form/fields/browserfield/BrowserFieldModel.ts");
/* harmony import */ var _form_fields_browserfield_BrowserFieldEventMap__WEBPACK_IMPORTED_MODULE_701__ = __webpack_require__(/*! ./form/fields/browserfield/BrowserFieldEventMap */ "./src/form/fields/browserfield/BrowserFieldEventMap.ts");
/* harmony import */ var _form_fields_browserfield_BrowserFieldAdapter__WEBPACK_IMPORTED_MODULE_702__ = __webpack_require__(/*! ./form/fields/browserfield/BrowserFieldAdapter */ "./src/form/fields/browserfield/BrowserFieldAdapter.ts");
/* harmony import */ var _form_fields_browserfield_BrowserFieldLayout__WEBPACK_IMPORTED_MODULE_703__ = __webpack_require__(/*! ./form/fields/browserfield/BrowserFieldLayout */ "./src/form/fields/browserfield/BrowserFieldLayout.ts");
/* harmony import */ var _form_fields_button_Button__WEBPACK_IMPORTED_MODULE_704__ = __webpack_require__(/*! ./form/fields/button/Button */ "./src/form/fields/button/Button.ts");
/* harmony import */ var _form_fields_button_ButtonModel__WEBPACK_IMPORTED_MODULE_705__ = __webpack_require__(/*! ./form/fields/button/ButtonModel */ "./src/form/fields/button/ButtonModel.ts");
/* harmony import */ var _form_fields_button_ButtonEventMap__WEBPACK_IMPORTED_MODULE_706__ = __webpack_require__(/*! ./form/fields/button/ButtonEventMap */ "./src/form/fields/button/ButtonEventMap.ts");
/* harmony import */ var _form_fields_button_ButtonLayout__WEBPACK_IMPORTED_MODULE_707__ = __webpack_require__(/*! ./form/fields/button/ButtonLayout */ "./src/form/fields/button/ButtonLayout.ts");
/* harmony import */ var _form_fields_button_ButtonAdapter__WEBPACK_IMPORTED_MODULE_708__ = __webpack_require__(/*! ./form/fields/button/ButtonAdapter */ "./src/form/fields/button/ButtonAdapter.ts");
/* harmony import */ var _form_fields_button_ButtonKeyStroke__WEBPACK_IMPORTED_MODULE_709__ = __webpack_require__(/*! ./form/fields/button/ButtonKeyStroke */ "./src/form/fields/button/ButtonKeyStroke.ts");
/* harmony import */ var _form_fields_calendarfield_CalendarField__WEBPACK_IMPORTED_MODULE_710__ = __webpack_require__(/*! ./form/fields/calendarfield/CalendarField */ "./src/form/fields/calendarfield/CalendarField.ts");
/* harmony import */ var _form_fields_calendarfield_CalendarFieldModel__WEBPACK_IMPORTED_MODULE_711__ = __webpack_require__(/*! ./form/fields/calendarfield/CalendarFieldModel */ "./src/form/fields/calendarfield/CalendarFieldModel.ts");
/* harmony import */ var _form_fields_calendarfield_CalendarFieldAdapter__WEBPACK_IMPORTED_MODULE_712__ = __webpack_require__(/*! ./form/fields/calendarfield/CalendarFieldAdapter */ "./src/form/fields/calendarfield/CalendarFieldAdapter.ts");
/* harmony import */ var _form_fields_carousel_CarouselField__WEBPACK_IMPORTED_MODULE_713__ = __webpack_require__(/*! ./form/fields/carousel/CarouselField */ "./src/form/fields/carousel/CarouselField.ts");
/* harmony import */ var _form_fields_carousel_CarouselFieldModel__WEBPACK_IMPORTED_MODULE_714__ = __webpack_require__(/*! ./form/fields/carousel/CarouselFieldModel */ "./src/form/fields/carousel/CarouselFieldModel.ts");
/* harmony import */ var _form_fields_checkbox_CheckBoxField__WEBPACK_IMPORTED_MODULE_715__ = __webpack_require__(/*! ./form/fields/checkbox/CheckBoxField */ "./src/form/fields/checkbox/CheckBoxField.ts");
/* harmony import */ var _form_fields_checkbox_CheckBoxFieldModel__WEBPACK_IMPORTED_MODULE_716__ = __webpack_require__(/*! ./form/fields/checkbox/CheckBoxFieldModel */ "./src/form/fields/checkbox/CheckBoxFieldModel.ts");
/* harmony import */ var _form_fields_checkbox_CheckBoxFieldEventMap__WEBPACK_IMPORTED_MODULE_717__ = __webpack_require__(/*! ./form/fields/checkbox/CheckBoxFieldEventMap */ "./src/form/fields/checkbox/CheckBoxFieldEventMap.ts");
/* harmony import */ var _form_fields_checkbox_CheckBoxFieldAdapter__WEBPACK_IMPORTED_MODULE_718__ = __webpack_require__(/*! ./form/fields/checkbox/CheckBoxFieldAdapter */ "./src/form/fields/checkbox/CheckBoxFieldAdapter.ts");
/* harmony import */ var _form_fields_checkbox_CheckBoxToggleKeyStroke__WEBPACK_IMPORTED_MODULE_719__ = __webpack_require__(/*! ./form/fields/checkbox/CheckBoxToggleKeyStroke */ "./src/form/fields/checkbox/CheckBoxToggleKeyStroke.ts");
/* harmony import */ var _form_fields_clipboardfield_ClipboardField__WEBPACK_IMPORTED_MODULE_720__ = __webpack_require__(/*! ./form/fields/clipboardfield/ClipboardField */ "./src/form/fields/clipboardfield/ClipboardField.ts");
/* harmony import */ var _form_fields_clipboardfield_ClipboardFieldModel__WEBPACK_IMPORTED_MODULE_721__ = __webpack_require__(/*! ./form/fields/clipboardfield/ClipboardFieldModel */ "./src/form/fields/clipboardfield/ClipboardFieldModel.ts");
/* harmony import */ var _form_fields_clipboardfield_ClipboardFieldAdapter__WEBPACK_IMPORTED_MODULE_722__ = __webpack_require__(/*! ./form/fields/clipboardfield/ClipboardFieldAdapter */ "./src/form/fields/clipboardfield/ClipboardFieldAdapter.ts");
/* harmony import */ var _form_fields_colorfield_ColorField__WEBPACK_IMPORTED_MODULE_723__ = __webpack_require__(/*! ./form/fields/colorfield/ColorField */ "./src/form/fields/colorfield/ColorField.ts");
/* harmony import */ var _form_fields_colorfield_ColorFieldAdapter__WEBPACK_IMPORTED_MODULE_724__ = __webpack_require__(/*! ./form/fields/colorfield/ColorFieldAdapter */ "./src/form/fields/colorfield/ColorFieldAdapter.ts");
/* harmony import */ var _form_fields_datefield_DatePredictionFailedStatus__WEBPACK_IMPORTED_MODULE_725__ = __webpack_require__(/*! ./form/fields/datefield/DatePredictionFailedStatus */ "./src/form/fields/datefield/DatePredictionFailedStatus.ts");
/* harmony import */ var _form_fields_datefield_DateField__WEBPACK_IMPORTED_MODULE_726__ = __webpack_require__(/*! ./form/fields/datefield/DateField */ "./src/form/fields/datefield/DateField.ts");
/* harmony import */ var _form_fields_datefield_DateFieldModel__WEBPACK_IMPORTED_MODULE_727__ = __webpack_require__(/*! ./form/fields/datefield/DateFieldModel */ "./src/form/fields/datefield/DateFieldModel.ts");
/* harmony import */ var _form_fields_datefield_DateFieldEventMap__WEBPACK_IMPORTED_MODULE_728__ = __webpack_require__(/*! ./form/fields/datefield/DateFieldEventMap */ "./src/form/fields/datefield/DateFieldEventMap.ts");
/* harmony import */ var _form_fields_datefield_DateFieldAdapter__WEBPACK_IMPORTED_MODULE_729__ = __webpack_require__(/*! ./form/fields/datefield/DateFieldAdapter */ "./src/form/fields/datefield/DateFieldAdapter.ts");
/* harmony import */ var _form_fields_datefield_DateTimeCompositeLayout__WEBPACK_IMPORTED_MODULE_730__ = __webpack_require__(/*! ./form/fields/datefield/DateTimeCompositeLayout */ "./src/form/fields/datefield/DateTimeCompositeLayout.ts");
/* harmony import */ var _form_fields_filechooserbutton_FileChooserButton__WEBPACK_IMPORTED_MODULE_731__ = __webpack_require__(/*! ./form/fields/filechooserbutton/FileChooserButton */ "./src/form/fields/filechooserbutton/FileChooserButton.ts");
/* harmony import */ var _form_fields_filechooserbutton_FileChooserButtonModel__WEBPACK_IMPORTED_MODULE_732__ = __webpack_require__(/*! ./form/fields/filechooserbutton/FileChooserButtonModel */ "./src/form/fields/filechooserbutton/FileChooserButtonModel.ts");
/* harmony import */ var _form_fields_filechooserbutton_FileChooserButtonEventMap__WEBPACK_IMPORTED_MODULE_733__ = __webpack_require__(/*! ./form/fields/filechooserbutton/FileChooserButtonEventMap */ "./src/form/fields/filechooserbutton/FileChooserButtonEventMap.ts");
/* harmony import */ var _form_fields_filechooserbutton_FileChooserButtonAdapter__WEBPACK_IMPORTED_MODULE_734__ = __webpack_require__(/*! ./form/fields/filechooserbutton/FileChooserButtonAdapter */ "./src/form/fields/filechooserbutton/FileChooserButtonAdapter.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserField__WEBPACK_IMPORTED_MODULE_735__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserField */ "./src/form/fields/filechooserfield/FileChooserField.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserFieldModel__WEBPACK_IMPORTED_MODULE_736__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserFieldModel */ "./src/form/fields/filechooserfield/FileChooserFieldModel.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserFieldEventMap__WEBPACK_IMPORTED_MODULE_737__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserFieldEventMap */ "./src/form/fields/filechooserfield/FileChooserFieldEventMap.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserFieldAdapter__WEBPACK_IMPORTED_MODULE_738__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserFieldAdapter */ "./src/form/fields/filechooserfield/FileChooserFieldAdapter.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserFieldBrowseKeyStroke__WEBPACK_IMPORTED_MODULE_739__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserFieldBrowseKeyStroke */ "./src/form/fields/filechooserfield/FileChooserFieldBrowseKeyStroke.ts");
/* harmony import */ var _form_fields_filechooserfield_FileChooserFieldDeleteKeyStroke__WEBPACK_IMPORTED_MODULE_740__ = __webpack_require__(/*! ./form/fields/filechooserfield/FileChooserFieldDeleteKeyStroke */ "./src/form/fields/filechooserfield/FileChooserFieldDeleteKeyStroke.ts");
/* harmony import */ var _form_fields_groupbox_GroupBox__WEBPACK_IMPORTED_MODULE_741__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBox */ "./src/form/fields/groupbox/GroupBox.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxModel__WEBPACK_IMPORTED_MODULE_742__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxModel */ "./src/form/fields/groupbox/GroupBoxModel.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxEventMap__WEBPACK_IMPORTED_MODULE_743__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxEventMap */ "./src/form/fields/groupbox/GroupBoxEventMap.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxGridConfig__WEBPACK_IMPORTED_MODULE_744__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxGridConfig */ "./src/form/fields/groupbox/GroupBoxGridConfig.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxAdapter__WEBPACK_IMPORTED_MODULE_745__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxAdapter */ "./src/form/fields/groupbox/GroupBoxAdapter.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxLayout__WEBPACK_IMPORTED_MODULE_746__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxLayout */ "./src/form/fields/groupbox/GroupBoxLayout.ts");
/* harmony import */ var _form_fields_groupbox_GroupBoxMenuItemsOrder__WEBPACK_IMPORTED_MODULE_747__ = __webpack_require__(/*! ./form/fields/groupbox/GroupBoxMenuItemsOrder */ "./src/form/fields/groupbox/GroupBoxMenuItemsOrder.ts");
/* harmony import */ var _form_fields_htmlfield_HtmlField__WEBPACK_IMPORTED_MODULE_748__ = __webpack_require__(/*! ./form/fields/htmlfield/HtmlField */ "./src/form/fields/htmlfield/HtmlField.ts");
/* harmony import */ var _form_fields_htmlfield_HtmlFieldModel__WEBPACK_IMPORTED_MODULE_749__ = __webpack_require__(/*! ./form/fields/htmlfield/HtmlFieldModel */ "./src/form/fields/htmlfield/HtmlFieldModel.ts");
/* harmony import */ var _form_fields_htmlfield_HtmlFieldEventMap__WEBPACK_IMPORTED_MODULE_750__ = __webpack_require__(/*! ./form/fields/htmlfield/HtmlFieldEventMap */ "./src/form/fields/htmlfield/HtmlFieldEventMap.ts");
/* harmony import */ var _form_fields_htmlfield_HtmlFieldAdapter__WEBPACK_IMPORTED_MODULE_751__ = __webpack_require__(/*! ./form/fields/htmlfield/HtmlFieldAdapter */ "./src/form/fields/htmlfield/HtmlFieldAdapter.ts");
/* harmony import */ var _form_fields_imagefield_ImageField__WEBPACK_IMPORTED_MODULE_752__ = __webpack_require__(/*! ./form/fields/imagefield/ImageField */ "./src/form/fields/imagefield/ImageField.ts");
/* harmony import */ var _form_fields_imagefield_ImageFieldModel__WEBPACK_IMPORTED_MODULE_753__ = __webpack_require__(/*! ./form/fields/imagefield/ImageFieldModel */ "./src/form/fields/imagefield/ImageFieldModel.ts");
/* harmony import */ var _form_fields_imagefield_ImageFieldEventMap__WEBPACK_IMPORTED_MODULE_754__ = __webpack_require__(/*! ./form/fields/imagefield/ImageFieldEventMap */ "./src/form/fields/imagefield/ImageFieldEventMap.ts");
/* harmony import */ var _form_fields_imagefield_ImageFieldAdapter__WEBPACK_IMPORTED_MODULE_755__ = __webpack_require__(/*! ./form/fields/imagefield/ImageFieldAdapter */ "./src/form/fields/imagefield/ImageFieldAdapter.ts");
/* harmony import */ var _form_fields_imagefield_ImageFieldLayout__WEBPACK_IMPORTED_MODULE_756__ = __webpack_require__(/*! ./form/fields/imagefield/ImageFieldLayout */ "./src/form/fields/imagefield/ImageFieldLayout.ts");
/* harmony import */ var _form_fields_labelfield_LabelField__WEBPACK_IMPORTED_MODULE_757__ = __webpack_require__(/*! ./form/fields/labelfield/LabelField */ "./src/form/fields/labelfield/LabelField.ts");
/* harmony import */ var _form_fields_labelfield_LabelFieldModel__WEBPACK_IMPORTED_MODULE_758__ = __webpack_require__(/*! ./form/fields/labelfield/LabelFieldModel */ "./src/form/fields/labelfield/LabelFieldModel.ts");
/* harmony import */ var _form_fields_labelfield_LabelFieldEventMap__WEBPACK_IMPORTED_MODULE_759__ = __webpack_require__(/*! ./form/fields/labelfield/LabelFieldEventMap */ "./src/form/fields/labelfield/LabelFieldEventMap.ts");
/* harmony import */ var _form_fields_labelfield_LabelFieldAdapter__WEBPACK_IMPORTED_MODULE_760__ = __webpack_require__(/*! ./form/fields/labelfield/LabelFieldAdapter */ "./src/form/fields/labelfield/LabelFieldAdapter.ts");
/* harmony import */ var _form_fields_listbox_ListBox__WEBPACK_IMPORTED_MODULE_761__ = __webpack_require__(/*! ./form/fields/listbox/ListBox */ "./src/form/fields/listbox/ListBox.ts");
/* harmony import */ var _form_fields_listbox_ListBoxAdapter__WEBPACK_IMPORTED_MODULE_762__ = __webpack_require__(/*! ./form/fields/listbox/ListBoxAdapter */ "./src/form/fields/listbox/ListBoxAdapter.ts");
/* harmony import */ var _form_fields_listbox_ListBoxLayout__WEBPACK_IMPORTED_MODULE_763__ = __webpack_require__(/*! ./form/fields/listbox/ListBoxLayout */ "./src/form/fields/listbox/ListBoxLayout.ts");
/* harmony import */ var _form_fields_listbox_ListBoxModel__WEBPACK_IMPORTED_MODULE_764__ = __webpack_require__(/*! ./form/fields/listbox/ListBoxModel */ "./src/form/fields/listbox/ListBoxModel.ts");
/* harmony import */ var _form_fields_lookupfield_lookupField__WEBPACK_IMPORTED_MODULE_765__ = __webpack_require__(/*! ./form/fields/lookupfield/lookupField */ "./src/form/fields/lookupfield/lookupField.ts");
/* harmony import */ var _form_fields_lookupfield_LookupFieldAdapter__WEBPACK_IMPORTED_MODULE_766__ = __webpack_require__(/*! ./form/fields/lookupfield/LookupFieldAdapter */ "./src/form/fields/lookupfield/LookupFieldAdapter.ts");
/* harmony import */ var _form_fields_modeselectorfield_ModeSelectorField__WEBPACK_IMPORTED_MODULE_767__ = __webpack_require__(/*! ./form/fields/modeselectorfield/ModeSelectorField */ "./src/form/fields/modeselectorfield/ModeSelectorField.ts");
/* harmony import */ var _form_fields_modeselectorfield_ModeSelectorFieldModel__WEBPACK_IMPORTED_MODULE_768__ = __webpack_require__(/*! ./form/fields/modeselectorfield/ModeSelectorFieldModel */ "./src/form/fields/modeselectorfield/ModeSelectorFieldModel.ts");
/* harmony import */ var _form_fields_modeselectorfield_ModeSelectorFieldAdapter__WEBPACK_IMPORTED_MODULE_769__ = __webpack_require__(/*! ./form/fields/modeselectorfield/ModeSelectorFieldAdapter */ "./src/form/fields/modeselectorfield/ModeSelectorFieldAdapter.ts");
/* harmony import */ var _form_fields_numberfield_NumberField__WEBPACK_IMPORTED_MODULE_770__ = __webpack_require__(/*! ./form/fields/numberfield/NumberField */ "./src/form/fields/numberfield/NumberField.ts");
/* harmony import */ var _form_fields_numberfield_NumberFieldAdapter__WEBPACK_IMPORTED_MODULE_771__ = __webpack_require__(/*! ./form/fields/numberfield/NumberFieldAdapter */ "./src/form/fields/numberfield/NumberFieldAdapter.ts");
/* harmony import */ var _form_fields_numberfield_NumberFieldEventMap__WEBPACK_IMPORTED_MODULE_772__ = __webpack_require__(/*! ./form/fields/numberfield/NumberFieldEventMap */ "./src/form/fields/numberfield/NumberFieldEventMap.ts");
/* harmony import */ var _form_fields_numberfield_NumberFieldModel__WEBPACK_IMPORTED_MODULE_773__ = __webpack_require__(/*! ./form/fields/numberfield/NumberFieldModel */ "./src/form/fields/numberfield/NumberFieldModel.ts");
/* harmony import */ var _form_fields_numberfield_Calculator__WEBPACK_IMPORTED_MODULE_774__ = __webpack_require__(/*! ./form/fields/numberfield/Calculator */ "./src/form/fields/numberfield/Calculator.ts");
/* harmony import */ var _form_fields_integerfield_IntegerField__WEBPACK_IMPORTED_MODULE_775__ = __webpack_require__(/*! ./form/fields/integerfield/IntegerField */ "./src/form/fields/integerfield/IntegerField.ts");
/* harmony import */ var _form_fields_placeholder_PlaceholderField__WEBPACK_IMPORTED_MODULE_776__ = __webpack_require__(/*! ./form/fields/placeholder/PlaceholderField */ "./src/form/fields/placeholder/PlaceholderField.ts");
/* harmony import */ var _form_fields_placeholder_PlaceholderFieldAdapter__WEBPACK_IMPORTED_MODULE_777__ = __webpack_require__(/*! ./form/fields/placeholder/PlaceholderFieldAdapter */ "./src/form/fields/placeholder/PlaceholderFieldAdapter.ts");
/* harmony import */ var _form_fields_plannerfield_PlannerField__WEBPACK_IMPORTED_MODULE_778__ = __webpack_require__(/*! ./form/fields/plannerfield/PlannerField */ "./src/form/fields/plannerfield/PlannerField.ts");
/* harmony import */ var _form_fields_plannerfield_PlannerFieldModel__WEBPACK_IMPORTED_MODULE_779__ = __webpack_require__(/*! ./form/fields/plannerfield/PlannerFieldModel */ "./src/form/fields/plannerfield/PlannerFieldModel.ts");
/* harmony import */ var _form_fields_plannerfield_PlannerFieldAdapter__WEBPACK_IMPORTED_MODULE_780__ = __webpack_require__(/*! ./form/fields/plannerfield/PlannerFieldAdapter */ "./src/form/fields/plannerfield/PlannerFieldAdapter.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButton__WEBPACK_IMPORTED_MODULE_781__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButton */ "./src/form/fields/radiobutton/RadioButton.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonEventMap__WEBPACK_IMPORTED_MODULE_782__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonEventMap */ "./src/form/fields/radiobutton/RadioButtonEventMap.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonModel__WEBPACK_IMPORTED_MODULE_783__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonModel */ "./src/form/fields/radiobutton/RadioButtonModel.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonLayout__WEBPACK_IMPORTED_MODULE_784__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonLayout */ "./src/form/fields/radiobutton/RadioButtonLayout.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonAdapter__WEBPACK_IMPORTED_MODULE_785__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonAdapter */ "./src/form/fields/radiobutton/RadioButtonAdapter.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroup__WEBPACK_IMPORTED_MODULE_786__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroup */ "./src/form/fields/radiobutton/RadioButtonGroup.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupEventMap__WEBPACK_IMPORTED_MODULE_787__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupEventMap */ "./src/form/fields/radiobutton/RadioButtonGroupEventMap.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupModel__WEBPACK_IMPORTED_MODULE_788__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupModel */ "./src/form/fields/radiobutton/RadioButtonGroupModel.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupAdapter__WEBPACK_IMPORTED_MODULE_789__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupAdapter */ "./src/form/fields/radiobutton/RadioButtonGroupAdapter.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupGridConfig__WEBPACK_IMPORTED_MODULE_790__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupGridConfig */ "./src/form/fields/radiobutton/RadioButtonGroupGridConfig.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupLeftOrUpKeyStroke__WEBPACK_IMPORTED_MODULE_791__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupLeftOrUpKeyStroke */ "./src/form/fields/radiobutton/RadioButtonGroupLeftOrUpKeyStroke.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonGroupRightOrDownKeyStroke__WEBPACK_IMPORTED_MODULE_792__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonGroupRightOrDownKeyStroke */ "./src/form/fields/radiobutton/RadioButtonGroupRightOrDownKeyStroke.ts");
/* harmony import */ var _form_fields_radiobutton_RadioButtonKeyStroke__WEBPACK_IMPORTED_MODULE_793__ = __webpack_require__(/*! ./form/fields/radiobutton/RadioButtonKeyStroke */ "./src/form/fields/radiobutton/RadioButtonKeyStroke.ts");
/* harmony import */ var _form_fields_sequencebox_SequenceBox__WEBPACK_IMPORTED_MODULE_794__ = __webpack_require__(/*! ./form/fields/sequencebox/SequenceBox */ "./src/form/fields/sequencebox/SequenceBox.ts");
/* harmony import */ var _form_fields_sequencebox_SequenceBoxModel__WEBPACK_IMPORTED_MODULE_795__ = __webpack_require__(/*! ./form/fields/sequencebox/SequenceBoxModel */ "./src/form/fields/sequencebox/SequenceBoxModel.ts");
/* harmony import */ var _form_fields_sequencebox_SequenceBoxEventMap__WEBPACK_IMPORTED_MODULE_796__ = __webpack_require__(/*! ./form/fields/sequencebox/SequenceBoxEventMap */ "./src/form/fields/sequencebox/SequenceBoxEventMap.ts");
/* harmony import */ var _form_fields_sequencebox_SequenceBoxGridConfig__WEBPACK_IMPORTED_MODULE_797__ = __webpack_require__(/*! ./form/fields/sequencebox/SequenceBoxGridConfig */ "./src/form/fields/sequencebox/SequenceBoxGridConfig.ts");
/* harmony import */ var _form_fields_sequencebox_SequenceBoxAdapter__WEBPACK_IMPORTED_MODULE_798__ = __webpack_require__(/*! ./form/fields/sequencebox/SequenceBoxAdapter */ "./src/form/fields/sequencebox/SequenceBoxAdapter.ts");
/* harmony import */ var _form_fields_sliderfield_SliderField__WEBPACK_IMPORTED_MODULE_799__ = __webpack_require__(/*! ./form/fields/sliderfield/SliderField */ "./src/form/fields/sliderfield/SliderField.ts");
/* harmony import */ var _form_fields_sliderfield_SliderFieldModel__WEBPACK_IMPORTED_MODULE_800__ = __webpack_require__(/*! ./form/fields/sliderfield/SliderFieldModel */ "./src/form/fields/sliderfield/SliderFieldModel.ts");
/* harmony import */ var _form_fields_sliderfield_SliderFieldEventMap__WEBPACK_IMPORTED_MODULE_801__ = __webpack_require__(/*! ./form/fields/sliderfield/SliderFieldEventMap */ "./src/form/fields/sliderfield/SliderFieldEventMap.ts");
/* harmony import */ var _form_fields_sliderfield_SliderFieldLayout__WEBPACK_IMPORTED_MODULE_802__ = __webpack_require__(/*! ./form/fields/sliderfield/SliderFieldLayout */ "./src/form/fields/sliderfield/SliderFieldLayout.ts");
/* harmony import */ var _form_fields_smartfield_SmartField__WEBPACK_IMPORTED_MODULE_803__ = __webpack_require__(/*! ./form/fields/smartfield/SmartField */ "./src/form/fields/smartfield/SmartField.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldEventMap__WEBPACK_IMPORTED_MODULE_804__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldEventMap */ "./src/form/fields/smartfield/SmartFieldEventMap.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldModel__WEBPACK_IMPORTED_MODULE_805__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldModel */ "./src/form/fields/smartfield/SmartFieldModel.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldAdapter__WEBPACK_IMPORTED_MODULE_806__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldAdapter */ "./src/form/fields/smartfield/SmartFieldAdapter.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldLayout__WEBPACK_IMPORTED_MODULE_807__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldLayout */ "./src/form/fields/smartfield/SmartFieldLayout.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldCancelKeyStroke__WEBPACK_IMPORTED_MODULE_808__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldCancelKeyStroke */ "./src/form/fields/smartfield/SmartFieldCancelKeyStroke.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldPopup__WEBPACK_IMPORTED_MODULE_809__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldPopup */ "./src/form/fields/smartfield/SmartFieldPopup.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldPopupEventMap__WEBPACK_IMPORTED_MODULE_810__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldPopupEventMap */ "./src/form/fields/smartfield/SmartFieldPopupEventMap.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldPopupModel__WEBPACK_IMPORTED_MODULE_811__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldPopupModel */ "./src/form/fields/smartfield/SmartFieldPopupModel.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldTouchPopup__WEBPACK_IMPORTED_MODULE_812__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldTouchPopup */ "./src/form/fields/smartfield/SmartFieldTouchPopup.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldTouchPopupEventMap__WEBPACK_IMPORTED_MODULE_813__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldTouchPopupEventMap */ "./src/form/fields/smartfield/SmartFieldTouchPopupEventMap.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldTouchPopupModel__WEBPACK_IMPORTED_MODULE_814__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldTouchPopupModel */ "./src/form/fields/smartfield/SmartFieldTouchPopupModel.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldPopupLayout__WEBPACK_IMPORTED_MODULE_815__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldPopupLayout */ "./src/form/fields/smartfield/SmartFieldPopupLayout.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldMultiline__WEBPACK_IMPORTED_MODULE_816__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldMultiline */ "./src/form/fields/smartfield/SmartFieldMultiline.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldMultilineAdapter__WEBPACK_IMPORTED_MODULE_817__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldMultilineAdapter */ "./src/form/fields/smartfield/SmartFieldMultilineAdapter.ts");
/* harmony import */ var _form_fields_smartfield_SmartFieldMultilineLayout__WEBPACK_IMPORTED_MODULE_818__ = __webpack_require__(/*! ./form/fields/smartfield/SmartFieldMultilineLayout */ "./src/form/fields/smartfield/SmartFieldMultilineLayout.ts");
/* harmony import */ var _form_fields_smartfield_ProposalField__WEBPACK_IMPORTED_MODULE_819__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalField */ "./src/form/fields/smartfield/ProposalField.ts");
/* harmony import */ var _form_fields_smartfield_ProposalFieldEventMap__WEBPACK_IMPORTED_MODULE_820__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalFieldEventMap */ "./src/form/fields/smartfield/ProposalFieldEventMap.ts");
/* harmony import */ var _form_fields_smartfield_ProposalFieldModel__WEBPACK_IMPORTED_MODULE_821__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalFieldModel */ "./src/form/fields/smartfield/ProposalFieldModel.ts");
/* harmony import */ var _form_fields_smartfield_ProposalFieldAdapter__WEBPACK_IMPORTED_MODULE_822__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalFieldAdapter */ "./src/form/fields/smartfield/ProposalFieldAdapter.ts");
/* harmony import */ var _form_fields_smartfield_ProposalTreeNode__WEBPACK_IMPORTED_MODULE_823__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalTreeNode */ "./src/form/fields/smartfield/ProposalTreeNode.ts");
/* harmony import */ var _form_fields_smartfield_ProposalTreeNodeModel__WEBPACK_IMPORTED_MODULE_824__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalTreeNodeModel */ "./src/form/fields/smartfield/ProposalTreeNodeModel.ts");
/* harmony import */ var _form_fields_smartfield_ProposalChooser__WEBPACK_IMPORTED_MODULE_825__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalChooser */ "./src/form/fields/smartfield/ProposalChooser.ts");
/* harmony import */ var _form_fields_smartfield_ProposalChooserEventMap__WEBPACK_IMPORTED_MODULE_826__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalChooserEventMap */ "./src/form/fields/smartfield/ProposalChooserEventMap.ts");
/* harmony import */ var _form_fields_smartfield_ProposalChooserModel__WEBPACK_IMPORTED_MODULE_827__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalChooserModel */ "./src/form/fields/smartfield/ProposalChooserModel.ts");
/* harmony import */ var _form_fields_smartfield_ProposalChooserLayout__WEBPACK_IMPORTED_MODULE_828__ = __webpack_require__(/*! ./form/fields/smartfield/ProposalChooserLayout */ "./src/form/fields/smartfield/ProposalChooserLayout.ts");
/* harmony import */ var _form_fields_smartfield_TableProposalChooser__WEBPACK_IMPORTED_MODULE_829__ = __webpack_require__(/*! ./form/fields/smartfield/TableProposalChooser */ "./src/form/fields/smartfield/TableProposalChooser.ts");
/* harmony import */ var _form_fields_smartfield_TableLayoutResetter__WEBPACK_IMPORTED_MODULE_830__ = __webpack_require__(/*! ./form/fields/smartfield/TableLayoutResetter */ "./src/form/fields/smartfield/TableLayoutResetter.ts");
/* harmony import */ var _form_fields_smartfield_TreeProposalChooser__WEBPACK_IMPORTED_MODULE_831__ = __webpack_require__(/*! ./form/fields/smartfield/TreeProposalChooser */ "./src/form/fields/smartfield/TreeProposalChooser.ts");
/* harmony import */ var _form_fields_smartfield_TreeLayoutResetter__WEBPACK_IMPORTED_MODULE_832__ = __webpack_require__(/*! ./form/fields/smartfield/TreeLayoutResetter */ "./src/form/fields/smartfield/TreeLayoutResetter.ts");
/* harmony import */ var _form_fields_splitbox_SplitBox__WEBPACK_IMPORTED_MODULE_833__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBox */ "./src/form/fields/splitbox/SplitBox.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxModel__WEBPACK_IMPORTED_MODULE_834__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxModel */ "./src/form/fields/splitbox/SplitBoxModel.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxEventMap__WEBPACK_IMPORTED_MODULE_835__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxEventMap */ "./src/form/fields/splitbox/SplitBoxEventMap.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxAdapter__WEBPACK_IMPORTED_MODULE_836__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxAdapter */ "./src/form/fields/splitbox/SplitBoxAdapter.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_837__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxCollapseKeyStroke */ "./src/form/fields/splitbox/SplitBoxCollapseKeyStroke.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxFirstCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_838__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxFirstCollapseKeyStroke */ "./src/form/fields/splitbox/SplitBoxFirstCollapseKeyStroke.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxSecondCollapseKeyStroke__WEBPACK_IMPORTED_MODULE_839__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxSecondCollapseKeyStroke */ "./src/form/fields/splitbox/SplitBoxSecondCollapseKeyStroke.ts");
/* harmony import */ var _form_fields_splitbox_SplitBoxLayout__WEBPACK_IMPORTED_MODULE_840__ = __webpack_require__(/*! ./form/fields/splitbox/SplitBoxLayout */ "./src/form/fields/splitbox/SplitBoxLayout.ts");
/* harmony import */ var _form_fields_stringfield_StringField__WEBPACK_IMPORTED_MODULE_841__ = __webpack_require__(/*! ./form/fields/stringfield/StringField */ "./src/form/fields/stringfield/StringField.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldEventMap__WEBPACK_IMPORTED_MODULE_842__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldEventMap */ "./src/form/fields/stringfield/StringFieldEventMap.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldModel__WEBPACK_IMPORTED_MODULE_843__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldModel */ "./src/form/fields/stringfield/StringFieldModel.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldLayout__WEBPACK_IMPORTED_MODULE_844__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldLayout */ "./src/form/fields/stringfield/StringFieldLayout.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldAdapter__WEBPACK_IMPORTED_MODULE_845__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldAdapter */ "./src/form/fields/stringfield/StringFieldAdapter.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldEnterKeyStroke__WEBPACK_IMPORTED_MODULE_846__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldEnterKeyStroke */ "./src/form/fields/stringfield/StringFieldEnterKeyStroke.ts");
/* harmony import */ var _form_fields_stringfield_StringFieldCtrlEnterKeyStroke__WEBPACK_IMPORTED_MODULE_847__ = __webpack_require__(/*! ./form/fields/stringfield/StringFieldCtrlEnterKeyStroke */ "./src/form/fields/stringfield/StringFieldCtrlEnterKeyStroke.ts");
/* harmony import */ var _form_fields_tabbox_TabBox__WEBPACK_IMPORTED_MODULE_848__ = __webpack_require__(/*! ./form/fields/tabbox/TabBox */ "./src/form/fields/tabbox/TabBox.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxModel__WEBPACK_IMPORTED_MODULE_849__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxModel */ "./src/form/fields/tabbox/TabBoxModel.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxEventMap__WEBPACK_IMPORTED_MODULE_850__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxEventMap */ "./src/form/fields/tabbox/TabBoxEventMap.ts");
/* harmony import */ var _form_fields_tabbox_TabAreaLeftKeyStroke__WEBPACK_IMPORTED_MODULE_851__ = __webpack_require__(/*! ./form/fields/tabbox/TabAreaLeftKeyStroke */ "./src/form/fields/tabbox/TabAreaLeftKeyStroke.ts");
/* harmony import */ var _form_fields_tabbox_TabAreaRightKeyStroke__WEBPACK_IMPORTED_MODULE_852__ = __webpack_require__(/*! ./form/fields/tabbox/TabAreaRightKeyStroke */ "./src/form/fields/tabbox/TabAreaRightKeyStroke.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxAdapter__WEBPACK_IMPORTED_MODULE_853__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxAdapter */ "./src/form/fields/tabbox/TabBoxAdapter.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxHeaderLayout__WEBPACK_IMPORTED_MODULE_854__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxHeaderLayout */ "./src/form/fields/tabbox/TabBoxHeaderLayout.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxHeader__WEBPACK_IMPORTED_MODULE_855__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxHeader */ "./src/form/fields/tabbox/TabBoxHeader.ts");
/* harmony import */ var _form_fields_tabbox_Tab__WEBPACK_IMPORTED_MODULE_856__ = __webpack_require__(/*! ./form/fields/tabbox/Tab */ "./src/form/fields/tabbox/Tab.ts");
/* harmony import */ var _form_fields_tabbox_TabModel__WEBPACK_IMPORTED_MODULE_857__ = __webpack_require__(/*! ./form/fields/tabbox/TabModel */ "./src/form/fields/tabbox/TabModel.ts");
/* harmony import */ var _form_fields_tabbox_TabEventMap__WEBPACK_IMPORTED_MODULE_858__ = __webpack_require__(/*! ./form/fields/tabbox/TabEventMap */ "./src/form/fields/tabbox/TabEventMap.ts");
/* harmony import */ var _form_fields_tabbox_TabArea__WEBPACK_IMPORTED_MODULE_859__ = __webpack_require__(/*! ./form/fields/tabbox/TabArea */ "./src/form/fields/tabbox/TabArea.ts");
/* harmony import */ var _form_fields_tabbox_TabAreaEventMap__WEBPACK_IMPORTED_MODULE_860__ = __webpack_require__(/*! ./form/fields/tabbox/TabAreaEventMap */ "./src/form/fields/tabbox/TabAreaEventMap.ts");
/* harmony import */ var _form_fields_tabbox_TabAreaModel__WEBPACK_IMPORTED_MODULE_861__ = __webpack_require__(/*! ./form/fields/tabbox/TabAreaModel */ "./src/form/fields/tabbox/TabAreaModel.ts");
/* harmony import */ var _form_fields_tabbox_TabAreaLayout__WEBPACK_IMPORTED_MODULE_862__ = __webpack_require__(/*! ./form/fields/tabbox/TabAreaLayout */ "./src/form/fields/tabbox/TabAreaLayout.ts");
/* harmony import */ var _form_fields_tabbox_TabBoxLayout__WEBPACK_IMPORTED_MODULE_863__ = __webpack_require__(/*! ./form/fields/tabbox/TabBoxLayout */ "./src/form/fields/tabbox/TabBoxLayout.ts");
/* harmony import */ var _form_fields_tabbox_TabItem__WEBPACK_IMPORTED_MODULE_864__ = __webpack_require__(/*! ./form/fields/tabbox/TabItem */ "./src/form/fields/tabbox/TabItem.ts");
/* harmony import */ var _form_fields_tabbox_TabItemAdapter__WEBPACK_IMPORTED_MODULE_865__ = __webpack_require__(/*! ./form/fields/tabbox/TabItemAdapter */ "./src/form/fields/tabbox/TabItemAdapter.ts");
/* harmony import */ var _form_fields_tabbox_TabItemLayout__WEBPACK_IMPORTED_MODULE_866__ = __webpack_require__(/*! ./form/fields/tabbox/TabItemLayout */ "./src/form/fields/tabbox/TabItemLayout.ts");
/* harmony import */ var _form_fields_tabbox_TabItemKeyStroke__WEBPACK_IMPORTED_MODULE_867__ = __webpack_require__(/*! ./form/fields/tabbox/TabItemKeyStroke */ "./src/form/fields/tabbox/TabItemKeyStroke.ts");
/* harmony import */ var _form_fields_tablefield_TableField__WEBPACK_IMPORTED_MODULE_868__ = __webpack_require__(/*! ./form/fields/tablefield/TableField */ "./src/form/fields/tablefield/TableField.ts");
/* harmony import */ var _form_fields_tablefield_TableFieldAdapter__WEBPACK_IMPORTED_MODULE_869__ = __webpack_require__(/*! ./form/fields/tablefield/TableFieldAdapter */ "./src/form/fields/tablefield/TableFieldAdapter.ts");
/* harmony import */ var _form_fields_tablefield_TableFieldEventMap__WEBPACK_IMPORTED_MODULE_870__ = __webpack_require__(/*! ./form/fields/tablefield/TableFieldEventMap */ "./src/form/fields/tablefield/TableFieldEventMap.ts");
/* harmony import */ var _form_fields_tablefield_TableFieldModel__WEBPACK_IMPORTED_MODULE_871__ = __webpack_require__(/*! ./form/fields/tablefield/TableFieldModel */ "./src/form/fields/tablefield/TableFieldModel.ts");
/* harmony import */ var _form_fields_tablefield_TableFieldValidationResultProvider__WEBPACK_IMPORTED_MODULE_872__ = __webpack_require__(/*! ./form/fields/tablefield/TableFieldValidationResultProvider */ "./src/form/fields/tablefield/TableFieldValidationResultProvider.ts");
/* harmony import */ var _form_fields_tagfield_TagChooserPopup__WEBPACK_IMPORTED_MODULE_873__ = __webpack_require__(/*! ./form/fields/tagfield/TagChooserPopup */ "./src/form/fields/tagfield/TagChooserPopup.ts");
/* harmony import */ var _form_fields_tagfield_TagChooserPopupModel__WEBPACK_IMPORTED_MODULE_874__ = __webpack_require__(/*! ./form/fields/tagfield/TagChooserPopupModel */ "./src/form/fields/tagfield/TagChooserPopupModel.ts");
/* harmony import */ var _form_fields_tagfield_TagChooserPopupEventMap__WEBPACK_IMPORTED_MODULE_875__ = __webpack_require__(/*! ./form/fields/tagfield/TagChooserPopupEventMap */ "./src/form/fields/tagfield/TagChooserPopupEventMap.ts");
/* harmony import */ var _form_fields_tagfield_TagChooserPopupLayout__WEBPACK_IMPORTED_MODULE_876__ = __webpack_require__(/*! ./form/fields/tagfield/TagChooserPopupLayout */ "./src/form/fields/tagfield/TagChooserPopupLayout.ts");
/* harmony import */ var _form_fields_tagfield_TagField__WEBPACK_IMPORTED_MODULE_877__ = __webpack_require__(/*! ./form/fields/tagfield/TagField */ "./src/form/fields/tagfield/TagField.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldModel__WEBPACK_IMPORTED_MODULE_878__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldModel */ "./src/form/fields/tagfield/TagFieldModel.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldEventMap__WEBPACK_IMPORTED_MODULE_879__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldEventMap */ "./src/form/fields/tagfield/TagFieldEventMap.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldAdapter__WEBPACK_IMPORTED_MODULE_880__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldAdapter */ "./src/form/fields/tagfield/TagFieldAdapter.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldEnterKeyStroke__WEBPACK_IMPORTED_MODULE_881__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldEnterKeyStroke */ "./src/form/fields/tagfield/TagFieldEnterKeyStroke.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldDeleteKeyStroke__WEBPACK_IMPORTED_MODULE_882__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldDeleteKeyStroke */ "./src/form/fields/tagfield/TagFieldDeleteKeyStroke.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_883__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldNavigationKeyStroke */ "./src/form/fields/tagfield/TagFieldNavigationKeyStroke.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldOpenPopupKeyStroke__WEBPACK_IMPORTED_MODULE_884__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldOpenPopupKeyStroke */ "./src/form/fields/tagfield/TagFieldOpenPopupKeyStroke.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldLayout__WEBPACK_IMPORTED_MODULE_885__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldLayout */ "./src/form/fields/tagfield/TagFieldLayout.ts");
/* harmony import */ var _form_fields_tagfield_TagFieldContainerLayout__WEBPACK_IMPORTED_MODULE_886__ = __webpack_require__(/*! ./form/fields/tagfield/TagFieldContainerLayout */ "./src/form/fields/tagfield/TagFieldContainerLayout.ts");
/* harmony import */ var _form_fields_tilefield_TileField__WEBPACK_IMPORTED_MODULE_887__ = __webpack_require__(/*! ./form/fields/tilefield/TileField */ "./src/form/fields/tilefield/TileField.ts");
/* harmony import */ var _form_fields_tilefield_TileFieldAdapter__WEBPACK_IMPORTED_MODULE_888__ = __webpack_require__(/*! ./form/fields/tilefield/TileFieldAdapter */ "./src/form/fields/tilefield/TileFieldAdapter.ts");
/* harmony import */ var _form_fields_tilefield_TileFieldEventMap__WEBPACK_IMPORTED_MODULE_889__ = __webpack_require__(/*! ./form/fields/tilefield/TileFieldEventMap */ "./src/form/fields/tilefield/TileFieldEventMap.ts");
/* harmony import */ var _form_fields_tilefield_TileFieldModel__WEBPACK_IMPORTED_MODULE_890__ = __webpack_require__(/*! ./form/fields/tilefield/TileFieldModel */ "./src/form/fields/tilefield/TileFieldModel.ts");
/* harmony import */ var _form_fields_treebox_TreeBox__WEBPACK_IMPORTED_MODULE_891__ = __webpack_require__(/*! ./form/fields/treebox/TreeBox */ "./src/form/fields/treebox/TreeBox.ts");
/* harmony import */ var _form_fields_treebox_TreeBoxAdapter__WEBPACK_IMPORTED_MODULE_892__ = __webpack_require__(/*! ./form/fields/treebox/TreeBoxAdapter */ "./src/form/fields/treebox/TreeBoxAdapter.ts");
/* harmony import */ var _form_fields_treebox_TreeBoxLayout__WEBPACK_IMPORTED_MODULE_893__ = __webpack_require__(/*! ./form/fields/treebox/TreeBoxLayout */ "./src/form/fields/treebox/TreeBoxLayout.ts");
/* harmony import */ var _form_fields_treebox_TreeBoxModel__WEBPACK_IMPORTED_MODULE_894__ = __webpack_require__(/*! ./form/fields/treebox/TreeBoxModel */ "./src/form/fields/treebox/TreeBoxModel.ts");
/* harmony import */ var _form_fields_treefield_TreeField__WEBPACK_IMPORTED_MODULE_895__ = __webpack_require__(/*! ./form/fields/treefield/TreeField */ "./src/form/fields/treefield/TreeField.ts");
/* harmony import */ var _form_fields_treefield_TreeFieldAdapter__WEBPACK_IMPORTED_MODULE_896__ = __webpack_require__(/*! ./form/fields/treefield/TreeFieldAdapter */ "./src/form/fields/treefield/TreeFieldAdapter.ts");
/* harmony import */ var _form_fields_treefield_TreeFieldEventMap__WEBPACK_IMPORTED_MODULE_897__ = __webpack_require__(/*! ./form/fields/treefield/TreeFieldEventMap */ "./src/form/fields/treefield/TreeFieldEventMap.ts");
/* harmony import */ var _form_fields_treefield_TreeFieldModel__WEBPACK_IMPORTED_MODULE_898__ = __webpack_require__(/*! ./form/fields/treefield/TreeFieldModel */ "./src/form/fields/treefield/TreeFieldModel.ts");
/* harmony import */ var _form_fields_wizard_WizardProgressField__WEBPACK_IMPORTED_MODULE_899__ = __webpack_require__(/*! ./form/fields/wizard/WizardProgressField */ "./src/form/fields/wizard/WizardProgressField.ts");
/* harmony import */ var _form_fields_wizard_WizardProgressFieldModel__WEBPACK_IMPORTED_MODULE_900__ = __webpack_require__(/*! ./form/fields/wizard/WizardProgressFieldModel */ "./src/form/fields/wizard/WizardProgressFieldModel.ts");
/* harmony import */ var _form_fields_wizard_WizardProgressFieldEventMap__WEBPACK_IMPORTED_MODULE_901__ = __webpack_require__(/*! ./form/fields/wizard/WizardProgressFieldEventMap */ "./src/form/fields/wizard/WizardProgressFieldEventMap.ts");
/* harmony import */ var _form_fields_wizard_WizardProgressFieldAdapter__WEBPACK_IMPORTED_MODULE_902__ = __webpack_require__(/*! ./form/fields/wizard/WizardProgressFieldAdapter */ "./src/form/fields/wizard/WizardProgressFieldAdapter.ts");
/* harmony import */ var _form_fields_wizard_WizardProgressFieldLayout__WEBPACK_IMPORTED_MODULE_903__ = __webpack_require__(/*! ./form/fields/wizard/WizardProgressFieldLayout */ "./src/form/fields/wizard/WizardProgressFieldLayout.ts");
/* harmony import */ var _form_fields_wrappedform_WrappedFormField__WEBPACK_IMPORTED_MODULE_904__ = __webpack_require__(/*! ./form/fields/wrappedform/WrappedFormField */ "./src/form/fields/wrappedform/WrappedFormField.ts");
/* harmony import */ var _form_fields_wrappedform_WrappedFormFieldModel__WEBPACK_IMPORTED_MODULE_905__ = __webpack_require__(/*! ./form/fields/wrappedform/WrappedFormFieldModel */ "./src/form/fields/wrappedform/WrappedFormFieldModel.ts");
/* harmony import */ var _form_fields_wrappedform_WrappedFormFieldEventMap__WEBPACK_IMPORTED_MODULE_906__ = __webpack_require__(/*! ./form/fields/wrappedform/WrappedFormFieldEventMap */ "./src/form/fields/wrappedform/WrappedFormFieldEventMap.ts");
/* harmony import */ var _form_fields_wrappedform_WrappedFormFieldAdapter__WEBPACK_IMPORTED_MODULE_907__ = __webpack_require__(/*! ./form/fields/wrappedform/WrappedFormFieldAdapter */ "./src/form/fields/wrappedform/WrappedFormFieldAdapter.ts");
/* harmony import */ var _table_columns_LookupEditor__WEBPACK_IMPORTED_MODULE_908__ = __webpack_require__(/*! ./table/columns/LookupEditor */ "./src/table/columns/LookupEditor.ts");
/* harmony import */ var _table_columns_LookupEditorEventMap__WEBPACK_IMPORTED_MODULE_909__ = __webpack_require__(/*! ./table/columns/LookupEditorEventMap */ "./src/table/columns/LookupEditorEventMap.ts");
/* harmony import */ var _table_columns_LookupEditorModel__WEBPACK_IMPORTED_MODULE_910__ = __webpack_require__(/*! ./table/columns/LookupEditorModel */ "./src/table/columns/LookupEditorModel.ts");
/* harmony import */ var _table_columns_LookupEditorTreeLayout__WEBPACK_IMPORTED_MODULE_911__ = __webpack_require__(/*! ./table/columns/LookupEditorTreeLayout */ "./src/table/columns/LookupEditorTreeLayout.ts");
/* harmony import */ var _calendar_ResourcePanel__WEBPACK_IMPORTED_MODULE_912__ = __webpack_require__(/*! ./calendar/ResourcePanel */ "./src/calendar/ResourcePanel.ts");
/* harmony import */ var _switch_Switch__WEBPACK_IMPORTED_MODULE_913__ = __webpack_require__(/*! ./switch/Switch */ "./src/switch/Switch.ts");
/* harmony import */ var _switch_SwitchAdapter__WEBPACK_IMPORTED_MODULE_914__ = __webpack_require__(/*! ./switch/SwitchAdapter */ "./src/switch/SwitchAdapter.ts");
/* harmony import */ var _switch_SwitchModel__WEBPACK_IMPORTED_MODULE_915__ = __webpack_require__(/*! ./switch/SwitchModel */ "./src/switch/SwitchModel.ts");
/* harmony import */ var _switch_SwitchEventMap__WEBPACK_IMPORTED_MODULE_916__ = __webpack_require__(/*! ./switch/SwitchEventMap */ "./src/switch/SwitchEventMap.ts");
/* harmony import */ var _switch_SwitchNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_917__ = __webpack_require__(/*! ./switch/SwitchNavigationKeyStroke */ "./src/switch/SwitchNavigationKeyStroke.ts");
/* harmony import */ var _switch_SwitchToggleKeyStroke__WEBPACK_IMPORTED_MODULE_918__ = __webpack_require__(/*! ./switch/SwitchToggleKeyStroke */ "./src/switch/SwitchToggleKeyStroke.ts");
/* harmony import */ var _tagbar_TagBar__WEBPACK_IMPORTED_MODULE_919__ = __webpack_require__(/*! ./tagbar/TagBar */ "./src/tagbar/TagBar.ts");
/* harmony import */ var _tagbar_TagBarModel__WEBPACK_IMPORTED_MODULE_920__ = __webpack_require__(/*! ./tagbar/TagBarModel */ "./src/tagbar/TagBarModel.ts");
/* harmony import */ var _tagbar_TagBarEventMap__WEBPACK_IMPORTED_MODULE_921__ = __webpack_require__(/*! ./tagbar/TagBarEventMap */ "./src/tagbar/TagBarEventMap.ts");
/* harmony import */ var _tagbar_TagBarLayout__WEBPACK_IMPORTED_MODULE_922__ = __webpack_require__(/*! ./tagbar/TagBarLayout */ "./src/tagbar/TagBarLayout.ts");
/* harmony import */ var _tagbar_TagBarOverflowPopup__WEBPACK_IMPORTED_MODULE_923__ = __webpack_require__(/*! ./tagbar/TagBarOverflowPopup */ "./src/tagbar/TagBarOverflowPopup.ts");
/* harmony import */ var _tagbar_TagBarOverflowPopupLayout__WEBPACK_IMPORTED_MODULE_924__ = __webpack_require__(/*! ./tagbar/TagBarOverflowPopupLayout */ "./src/tagbar/TagBarOverflowPopupLayout.ts");
/* harmony import */ var _tile_Tile__WEBPACK_IMPORTED_MODULE_925__ = __webpack_require__(/*! ./tile/Tile */ "./src/tile/Tile.ts");
/* harmony import */ var _tile_TileModel__WEBPACK_IMPORTED_MODULE_926__ = __webpack_require__(/*! ./tile/TileModel */ "./src/tile/TileModel.ts");
/* harmony import */ var _tile_TileMoveHandler__WEBPACK_IMPORTED_MODULE_927__ = __webpack_require__(/*! ./tile/TileMoveHandler */ "./src/tile/TileMoveHandler.ts");
/* harmony import */ var _tile_TileEventMap__WEBPACK_IMPORTED_MODULE_928__ = __webpack_require__(/*! ./tile/TileEventMap */ "./src/tile/TileEventMap.ts");
/* harmony import */ var _tile_TileAdapter__WEBPACK_IMPORTED_MODULE_929__ = __webpack_require__(/*! ./tile/TileAdapter */ "./src/tile/TileAdapter.ts");
/* harmony import */ var _tile_TileGrid__WEBPACK_IMPORTED_MODULE_930__ = __webpack_require__(/*! ./tile/TileGrid */ "./src/tile/TileGrid.ts");
/* harmony import */ var _tile_TileGridModel__WEBPACK_IMPORTED_MODULE_931__ = __webpack_require__(/*! ./tile/TileGridModel */ "./src/tile/TileGridModel.ts");
/* harmony import */ var _tile_TileGridAdapter__WEBPACK_IMPORTED_MODULE_932__ = __webpack_require__(/*! ./tile/TileGridAdapter */ "./src/tile/TileGridAdapter.ts");
/* harmony import */ var _tile_TileGridEventMap__WEBPACK_IMPORTED_MODULE_933__ = __webpack_require__(/*! ./tile/TileGridEventMap */ "./src/tile/TileGridEventMap.ts");
/* harmony import */ var _tile_TileGridGridConfig__WEBPACK_IMPORTED_MODULE_934__ = __webpack_require__(/*! ./tile/TileGridGridConfig */ "./src/tile/TileGridGridConfig.ts");
/* harmony import */ var _tile_TileGridLayout__WEBPACK_IMPORTED_MODULE_935__ = __webpack_require__(/*! ./tile/TileGridLayout */ "./src/tile/TileGridLayout.ts");
/* harmony import */ var _tile_TileGridLayoutConfig__WEBPACK_IMPORTED_MODULE_936__ = __webpack_require__(/*! ./tile/TileGridLayoutConfig */ "./src/tile/TileGridLayoutConfig.ts");
/* harmony import */ var _tile_TileGridSelectionHandler__WEBPACK_IMPORTED_MODULE_937__ = __webpack_require__(/*! ./tile/TileGridSelectionHandler */ "./src/tile/TileGridSelectionHandler.ts");
/* harmony import */ var _tile_TileGridMoveSupport__WEBPACK_IMPORTED_MODULE_938__ = __webpack_require__(/*! ./tile/TileGridMoveSupport */ "./src/tile/TileGridMoveSupport.ts");
/* harmony import */ var _tile_tileUtil__WEBPACK_IMPORTED_MODULE_939__ = __webpack_require__(/*! ./tile/tileUtil */ "./src/tile/tileUtil.ts");
/* harmony import */ var _tile_TileResizeHandler__WEBPACK_IMPORTED_MODULE_940__ = __webpack_require__(/*! ./tile/TileResizeHandler */ "./src/tile/TileResizeHandler.ts");
/* harmony import */ var _tile_TileTextFilter__WEBPACK_IMPORTED_MODULE_941__ = __webpack_require__(/*! ./tile/TileTextFilter */ "./src/tile/TileTextFilter.ts");
/* harmony import */ var _tile_CompositeTile__WEBPACK_IMPORTED_MODULE_942__ = __webpack_require__(/*! ./tile/CompositeTile */ "./src/tile/CompositeTile.ts");
/* harmony import */ var _tile_HtmlTile__WEBPACK_IMPORTED_MODULE_943__ = __webpack_require__(/*! ./tile/HtmlTile */ "./src/tile/HtmlTile.ts");
/* harmony import */ var _tile_HtmlTileAdapter__WEBPACK_IMPORTED_MODULE_944__ = __webpack_require__(/*! ./tile/HtmlTileAdapter */ "./src/tile/HtmlTileAdapter.ts");
/* harmony import */ var _tile_BeanTile__WEBPACK_IMPORTED_MODULE_945__ = __webpack_require__(/*! ./tile/BeanTile */ "./src/tile/BeanTile.ts");
/* harmony import */ var _tile_BeanTileAdapter__WEBPACK_IMPORTED_MODULE_946__ = __webpack_require__(/*! ./tile/BeanTileAdapter */ "./src/tile/BeanTileAdapter.ts");
/* harmony import */ var _tile_accordion_TileAccordion__WEBPACK_IMPORTED_MODULE_947__ = __webpack_require__(/*! ./tile/accordion/TileAccordion */ "./src/tile/accordion/TileAccordion.ts");
/* harmony import */ var _tile_accordion_TileAccordionModel__WEBPACK_IMPORTED_MODULE_948__ = __webpack_require__(/*! ./tile/accordion/TileAccordionModel */ "./src/tile/accordion/TileAccordionModel.ts");
/* harmony import */ var _tile_accordion_TileAccordionEventMap__WEBPACK_IMPORTED_MODULE_949__ = __webpack_require__(/*! ./tile/accordion/TileAccordionEventMap */ "./src/tile/accordion/TileAccordionEventMap.ts");
/* harmony import */ var _tile_accordion_TileAccordionAdapter__WEBPACK_IMPORTED_MODULE_950__ = __webpack_require__(/*! ./tile/accordion/TileAccordionAdapter */ "./src/tile/accordion/TileAccordionAdapter.ts");
/* harmony import */ var _tile_accordion_TileAccordionLayout__WEBPACK_IMPORTED_MODULE_951__ = __webpack_require__(/*! ./tile/accordion/TileAccordionLayout */ "./src/tile/accordion/TileAccordionLayout.ts");
/* harmony import */ var _tile_accordion_TileAccordionSelectionHandler__WEBPACK_IMPORTED_MODULE_952__ = __webpack_require__(/*! ./tile/accordion/TileAccordionSelectionHandler */ "./src/tile/accordion/TileAccordionSelectionHandler.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectKeyStroke__WEBPACK_IMPORTED_MODULE_953__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectKeyStroke */ "./src/tile/keystrokes/TileGridSelectKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectAllKeyStroke__WEBPACK_IMPORTED_MODULE_954__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectAllKeyStroke */ "./src/tile/keystrokes/TileGridSelectAllKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectLeftKeyStroke__WEBPACK_IMPORTED_MODULE_955__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectLeftKeyStroke */ "./src/tile/keystrokes/TileGridSelectLeftKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectRightKeyStroke__WEBPACK_IMPORTED_MODULE_956__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectRightKeyStroke */ "./src/tile/keystrokes/TileGridSelectRightKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectDownKeyStroke__WEBPACK_IMPORTED_MODULE_957__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectDownKeyStroke */ "./src/tile/keystrokes/TileGridSelectDownKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectUpKeyStroke__WEBPACK_IMPORTED_MODULE_958__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectUpKeyStroke */ "./src/tile/keystrokes/TileGridSelectUpKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectFirstKeyStroke__WEBPACK_IMPORTED_MODULE_959__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectFirstKeyStroke */ "./src/tile/keystrokes/TileGridSelectFirstKeyStroke.ts");
/* harmony import */ var _tile_keystrokes_TileGridSelectLastKeyStroke__WEBPACK_IMPORTED_MODULE_960__ = __webpack_require__(/*! ./tile/keystrokes/TileGridSelectLastKeyStroke */ "./src/tile/keystrokes/TileGridSelectLastKeyStroke.ts");
/* harmony import */ var _tile_RemoteTileFilter__WEBPACK_IMPORTED_MODULE_961__ = __webpack_require__(/*! ./tile/RemoteTileFilter */ "./src/tile/RemoteTileFilter.ts");
/* harmony import */ var _tile_WidgetTile__WEBPACK_IMPORTED_MODULE_962__ = __webpack_require__(/*! ./tile/WidgetTile */ "./src/tile/WidgetTile.ts");
/* harmony import */ var _tile_WidgetTileAdapter__WEBPACK_IMPORTED_MODULE_963__ = __webpack_require__(/*! ./tile/WidgetTileAdapter */ "./src/tile/WidgetTileAdapter.ts");
/* harmony import */ var _tile_PlaceholderTile__WEBPACK_IMPORTED_MODULE_964__ = __webpack_require__(/*! ./tile/PlaceholderTile */ "./src/tile/PlaceholderTile.ts");
/* harmony import */ var _tile_fields_FormFieldTile__WEBPACK_IMPORTED_MODULE_965__ = __webpack_require__(/*! ./tile/fields/FormFieldTile */ "./src/tile/fields/FormFieldTile.ts");
/* harmony import */ var _tile_fields_FormFieldTileAdapter__WEBPACK_IMPORTED_MODULE_966__ = __webpack_require__(/*! ./tile/fields/FormFieldTileAdapter */ "./src/tile/fields/FormFieldTileAdapter.ts");
/* harmony import */ var _tile_fields_button_ButtonTile__WEBPACK_IMPORTED_MODULE_967__ = __webpack_require__(/*! ./tile/fields/button/ButtonTile */ "./src/tile/fields/button/ButtonTile.ts");
/* harmony import */ var _tile_fields_button_TileButton__WEBPACK_IMPORTED_MODULE_968__ = __webpack_require__(/*! ./tile/fields/button/TileButton */ "./src/tile/fields/button/TileButton.ts");
/* harmony import */ var _tile_fields_htmlfield_TileHtmlField__WEBPACK_IMPORTED_MODULE_969__ = __webpack_require__(/*! ./tile/fields/htmlfield/TileHtmlField */ "./src/tile/fields/htmlfield/TileHtmlField.ts");
/* harmony import */ var _tile_fields_tablefield_TileTableField__WEBPACK_IMPORTED_MODULE_970__ = __webpack_require__(/*! ./tile/fields/tablefield/TileTableField */ "./src/tile/fields/tablefield/TileTableField.ts");
/* harmony import */ var _tabbox_SimpleTab__WEBPACK_IMPORTED_MODULE_971__ = __webpack_require__(/*! ./tabbox/SimpleTab */ "./src/tabbox/SimpleTab.ts");
/* harmony import */ var _tabbox_SimpleTabModel__WEBPACK_IMPORTED_MODULE_972__ = __webpack_require__(/*! ./tabbox/SimpleTabModel */ "./src/tabbox/SimpleTabModel.ts");
/* harmony import */ var _tabbox_SimpleTabEventMap__WEBPACK_IMPORTED_MODULE_973__ = __webpack_require__(/*! ./tabbox/SimpleTabEventMap */ "./src/tabbox/SimpleTabEventMap.ts");
/* harmony import */ var _tabbox_SimpleTabArea__WEBPACK_IMPORTED_MODULE_974__ = __webpack_require__(/*! ./tabbox/SimpleTabArea */ "./src/tabbox/SimpleTabArea.ts");
/* harmony import */ var _tabbox_SimpleTabAreaModel__WEBPACK_IMPORTED_MODULE_975__ = __webpack_require__(/*! ./tabbox/SimpleTabAreaModel */ "./src/tabbox/SimpleTabAreaModel.ts");
/* harmony import */ var _tabbox_SimpleTabAreaEventMap__WEBPACK_IMPORTED_MODULE_976__ = __webpack_require__(/*! ./tabbox/SimpleTabAreaEventMap */ "./src/tabbox/SimpleTabAreaEventMap.ts");
/* harmony import */ var _tabbox_SimpleTabAreaLayout__WEBPACK_IMPORTED_MODULE_977__ = __webpack_require__(/*! ./tabbox/SimpleTabAreaLayout */ "./src/tabbox/SimpleTabAreaLayout.ts");
/* harmony import */ var _desktop_Desktop__WEBPACK_IMPORTED_MODULE_978__ = __webpack_require__(/*! ./desktop/Desktop */ "./src/desktop/Desktop.ts");
/* harmony import */ var _desktop_DesktopModel__WEBPACK_IMPORTED_MODULE_979__ = __webpack_require__(/*! ./desktop/DesktopModel */ "./src/desktop/DesktopModel.ts");
/* harmony import */ var _desktop_DesktopEventMap__WEBPACK_IMPORTED_MODULE_980__ = __webpack_require__(/*! ./desktop/DesktopEventMap */ "./src/desktop/DesktopEventMap.ts");
/* harmony import */ var _desktop_DisplayParent__WEBPACK_IMPORTED_MODULE_981__ = __webpack_require__(/*! ./desktop/DisplayParent */ "./src/desktop/DisplayParent.ts");
/* harmony import */ var _desktop_DisplayParentModel__WEBPACK_IMPORTED_MODULE_982__ = __webpack_require__(/*! ./desktop/DisplayParentModel */ "./src/desktop/DisplayParentModel.ts");
/* harmony import */ var _desktop_DesktopAdapter__WEBPACK_IMPORTED_MODULE_983__ = __webpack_require__(/*! ./desktop/DesktopAdapter */ "./src/desktop/DesktopAdapter.ts");
/* harmony import */ var _desktop_DesktopLogo__WEBPACK_IMPORTED_MODULE_984__ = __webpack_require__(/*! ./desktop/DesktopLogo */ "./src/desktop/DesktopLogo.ts");
/* harmony import */ var _desktop_DesktopLogoModel__WEBPACK_IMPORTED_MODULE_985__ = __webpack_require__(/*! ./desktop/DesktopLogoModel */ "./src/desktop/DesktopLogoModel.ts");
/* harmony import */ var _desktop_DesktopLogoEventMap__WEBPACK_IMPORTED_MODULE_986__ = __webpack_require__(/*! ./desktop/DesktopLogoEventMap */ "./src/desktop/DesktopLogoEventMap.ts");
/* harmony import */ var _desktop_DesktopLayout__WEBPACK_IMPORTED_MODULE_987__ = __webpack_require__(/*! ./desktop/DesktopLayout */ "./src/desktop/DesktopLayout.ts");
/* harmony import */ var _desktop_desktoptab_DesktopTab__WEBPACK_IMPORTED_MODULE_988__ = __webpack_require__(/*! ./desktop/desktoptab/DesktopTab */ "./src/desktop/desktoptab/DesktopTab.ts");
/* harmony import */ var _desktop_desktoptab_DesktopTabArea__WEBPACK_IMPORTED_MODULE_989__ = __webpack_require__(/*! ./desktop/desktoptab/DesktopTabArea */ "./src/desktop/desktoptab/DesktopTabArea.ts");
/* harmony import */ var _desktop_desktoptab_DesktopTabAreaLayout__WEBPACK_IMPORTED_MODULE_990__ = __webpack_require__(/*! ./desktop/desktoptab/DesktopTabAreaLayout */ "./src/desktop/desktoptab/DesktopTabAreaLayout.ts");
/* harmony import */ var _desktop_DesktopTabBoxController__WEBPACK_IMPORTED_MODULE_991__ = __webpack_require__(/*! ./desktop/DesktopTabBoxController */ "./src/desktop/DesktopTabBoxController.ts");
/* harmony import */ var _desktop_bench_DesktopTabSelectKeyStroke__WEBPACK_IMPORTED_MODULE_992__ = __webpack_require__(/*! ./desktop/bench/DesktopTabSelectKeyStroke */ "./src/desktop/bench/DesktopTabSelectKeyStroke.ts");
/* harmony import */ var _desktop_DisableBrowserF5ReloadKeyStroke__WEBPACK_IMPORTED_MODULE_993__ = __webpack_require__(/*! ./desktop/DisableBrowserF5ReloadKeyStroke */ "./src/desktop/DisableBrowserF5ReloadKeyStroke.ts");
/* harmony import */ var _desktop_PopupWindow__WEBPACK_IMPORTED_MODULE_994__ = __webpack_require__(/*! ./desktop/PopupWindow */ "./src/desktop/PopupWindow.ts");
/* harmony import */ var _desktop_PopupWindowEventMap__WEBPACK_IMPORTED_MODULE_995__ = __webpack_require__(/*! ./desktop/PopupWindowEventMap */ "./src/desktop/PopupWindowEventMap.ts");
/* harmony import */ var _desktop_OpenUriHandler__WEBPACK_IMPORTED_MODULE_996__ = __webpack_require__(/*! ./desktop/OpenUriHandler */ "./src/desktop/OpenUriHandler.ts");
/* harmony import */ var _desktop_OpenUriHandlerModel__WEBPACK_IMPORTED_MODULE_997__ = __webpack_require__(/*! ./desktop/OpenUriHandlerModel */ "./src/desktop/OpenUriHandlerModel.ts");
/* harmony import */ var _desktop_bench_DesktopBench__WEBPACK_IMPORTED_MODULE_998__ = __webpack_require__(/*! ./desktop/bench/DesktopBench */ "./src/desktop/bench/DesktopBench.ts");
/* harmony import */ var _desktop_bench_DesktopBenchModel__WEBPACK_IMPORTED_MODULE_999__ = __webpack_require__(/*! ./desktop/bench/DesktopBenchModel */ "./src/desktop/bench/DesktopBenchModel.ts");
/* harmony import */ var _desktop_bench_DesktopBenchEventMap__WEBPACK_IMPORTED_MODULE_1000__ = __webpack_require__(/*! ./desktop/bench/DesktopBenchEventMap */ "./src/desktop/bench/DesktopBenchEventMap.ts");
/* harmony import */ var _desktop_bench_BenchColumn__WEBPACK_IMPORTED_MODULE_1001__ = __webpack_require__(/*! ./desktop/bench/BenchColumn */ "./src/desktop/bench/BenchColumn.ts");
/* harmony import */ var _desktop_bench_BenchColumnModel__WEBPACK_IMPORTED_MODULE_1002__ = __webpack_require__(/*! ./desktop/bench/BenchColumnModel */ "./src/desktop/bench/BenchColumnModel.ts");
/* harmony import */ var _desktop_bench_BenchColumnEventMap__WEBPACK_IMPORTED_MODULE_1003__ = __webpack_require__(/*! ./desktop/bench/BenchColumnEventMap */ "./src/desktop/bench/BenchColumnEventMap.ts");
/* harmony import */ var _desktop_bench_layout_BenchRowLayoutData__WEBPACK_IMPORTED_MODULE_1004__ = __webpack_require__(/*! ./desktop/bench/layout/BenchRowLayoutData */ "./src/desktop/bench/layout/BenchRowLayoutData.ts");
/* harmony import */ var _desktop_bench_layout_BenchRowLayoutDataModel__WEBPACK_IMPORTED_MODULE_1005__ = __webpack_require__(/*! ./desktop/bench/layout/BenchRowLayoutDataModel */ "./src/desktop/bench/layout/BenchRowLayoutDataModel.ts");
/* harmony import */ var _desktop_bench_layout_BenchColumnLayoutData__WEBPACK_IMPORTED_MODULE_1006__ = __webpack_require__(/*! ./desktop/bench/layout/BenchColumnLayoutData */ "./src/desktop/bench/layout/BenchColumnLayoutData.ts");
/* harmony import */ var _desktop_bench_layout_BenchColumnLayoutDataModel__WEBPACK_IMPORTED_MODULE_1007__ = __webpack_require__(/*! ./desktop/bench/layout/BenchColumnLayoutDataModel */ "./src/desktop/bench/layout/BenchColumnLayoutDataModel.ts");
/* harmony import */ var _desktop_desktoptab_DisableBrowserTabSwitchingKeyStroke__WEBPACK_IMPORTED_MODULE_1008__ = __webpack_require__(/*! ./desktop/desktoptab/DisableBrowserTabSwitchingKeyStroke */ "./src/desktop/desktoptab/DisableBrowserTabSwitchingKeyStroke.ts");
/* harmony import */ var _desktop_header_DesktopHeader__WEBPACK_IMPORTED_MODULE_1009__ = __webpack_require__(/*! ./desktop/header/DesktopHeader */ "./src/desktop/header/DesktopHeader.ts");
/* harmony import */ var _desktop_header_DesktopHeaderModel__WEBPACK_IMPORTED_MODULE_1010__ = __webpack_require__(/*! ./desktop/header/DesktopHeaderModel */ "./src/desktop/header/DesktopHeaderModel.ts");
/* harmony import */ var _desktop_header_DesktopHeaderEventMap__WEBPACK_IMPORTED_MODULE_1011__ = __webpack_require__(/*! ./desktop/header/DesktopHeaderEventMap */ "./src/desktop/header/DesktopHeaderEventMap.ts");
/* harmony import */ var _desktop_header_HeaderTabBoxController__WEBPACK_IMPORTED_MODULE_1012__ = __webpack_require__(/*! ./desktop/header/HeaderTabBoxController */ "./src/desktop/header/HeaderTabBoxController.ts");
/* harmony import */ var _desktop_header_DesktopHeaderLayout__WEBPACK_IMPORTED_MODULE_1013__ = __webpack_require__(/*! ./desktop/header/DesktopHeaderLayout */ "./src/desktop/header/DesktopHeaderLayout.ts");
/* harmony import */ var _desktop_hybrid_DisposeWidgetsHybridActionDo__WEBPACK_IMPORTED_MODULE_1014__ = __webpack_require__(/*! ./desktop/hybrid/DisposeWidgetsHybridActionDo */ "./src/desktop/hybrid/DisposeWidgetsHybridActionDo.ts");
/* harmony import */ var _desktop_hybrid_HybridManager__WEBPACK_IMPORTED_MODULE_1015__ = __webpack_require__(/*! ./desktop/hybrid/HybridManager */ "./src/desktop/hybrid/HybridManager.ts");
/* harmony import */ var _desktop_hybrid_HybridManagerAdapter__WEBPACK_IMPORTED_MODULE_1016__ = __webpack_require__(/*! ./desktop/hybrid/HybridManagerAdapter */ "./src/desktop/hybrid/HybridManagerAdapter.ts");
/* harmony import */ var _desktop_hybrid_HybridManagerEventMap__WEBPACK_IMPORTED_MODULE_1017__ = __webpack_require__(/*! ./desktop/hybrid/HybridManagerEventMap */ "./src/desktop/hybrid/HybridManagerEventMap.ts");
/* harmony import */ var _desktop_hybrid_HybridActionContextElement__WEBPACK_IMPORTED_MODULE_1018__ = __webpack_require__(/*! ./desktop/hybrid/HybridActionContextElement */ "./src/desktop/hybrid/HybridActionContextElement.ts");
/* harmony import */ var _desktop_hybrid_HybridActionContextElements__WEBPACK_IMPORTED_MODULE_1019__ = __webpack_require__(/*! ./desktop/hybrid/HybridActionContextElements */ "./src/desktop/hybrid/HybridActionContextElements.ts");
/* harmony import */ var _desktop_hybrid_converter_HybridActionContextElementConverters__WEBPACK_IMPORTED_MODULE_1020__ = __webpack_require__(/*! ./desktop/hybrid/converter/HybridActionContextElementConverters */ "./src/desktop/hybrid/converter/HybridActionContextElementConverters.ts");
/* harmony import */ var _desktop_hybrid_converter_HybridActionContextElementConverter__WEBPACK_IMPORTED_MODULE_1021__ = __webpack_require__(/*! ./desktop/hybrid/converter/HybridActionContextElementConverter */ "./src/desktop/hybrid/converter/HybridActionContextElementConverter.ts");
/* harmony import */ var _desktop_hybrid_converter_TableColumnContextElementConverter__WEBPACK_IMPORTED_MODULE_1022__ = __webpack_require__(/*! ./desktop/hybrid/converter/TableColumnContextElementConverter */ "./src/desktop/hybrid/converter/TableColumnContextElementConverter.ts");
/* harmony import */ var _desktop_hybrid_converter_TableRowContextElementConverter__WEBPACK_IMPORTED_MODULE_1023__ = __webpack_require__(/*! ./desktop/hybrid/converter/TableRowContextElementConverter */ "./src/desktop/hybrid/converter/TableRowContextElementConverter.ts");
/* harmony import */ var _desktop_hybrid_converter_TreeNodeContextElementConverter__WEBPACK_IMPORTED_MODULE_1024__ = __webpack_require__(/*! ./desktop/hybrid/converter/TreeNodeContextElementConverter */ "./src/desktop/hybrid/converter/TreeNodeContextElementConverter.ts");
/* harmony import */ var _desktop_navigation_DesktopNavigation__WEBPACK_IMPORTED_MODULE_1025__ = __webpack_require__(/*! ./desktop/navigation/DesktopNavigation */ "./src/desktop/navigation/DesktopNavigation.ts");
/* harmony import */ var _desktop_navigation_DesktopNavigationModel__WEBPACK_IMPORTED_MODULE_1026__ = __webpack_require__(/*! ./desktop/navigation/DesktopNavigationModel */ "./src/desktop/navigation/DesktopNavigationModel.ts");
/* harmony import */ var _desktop_navigation_DesktopNavigationEventMap__WEBPACK_IMPORTED_MODULE_1027__ = __webpack_require__(/*! ./desktop/navigation/DesktopNavigationEventMap */ "./src/desktop/navigation/DesktopNavigationEventMap.ts");
/* harmony import */ var _desktop_navigation_DesktopNavigationHandle__WEBPACK_IMPORTED_MODULE_1028__ = __webpack_require__(/*! ./desktop/navigation/DesktopNavigationHandle */ "./src/desktop/navigation/DesktopNavigationHandle.ts");
/* harmony import */ var _desktop_navigation_DesktopNavigationLayout__WEBPACK_IMPORTED_MODULE_1029__ = __webpack_require__(/*! ./desktop/navigation/DesktopNavigationLayout */ "./src/desktop/navigation/DesktopNavigationLayout.ts");
/* harmony import */ var _desktop_navigation_ShrinkNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1030__ = __webpack_require__(/*! ./desktop/navigation/ShrinkNavigationKeyStroke */ "./src/desktop/navigation/ShrinkNavigationKeyStroke.ts");
/* harmony import */ var _desktop_navigation_EnlargeNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1031__ = __webpack_require__(/*! ./desktop/navigation/EnlargeNavigationKeyStroke */ "./src/desktop/navigation/EnlargeNavigationKeyStroke.ts");
/* harmony import */ var _desktop_notification_DesktopNotification__WEBPACK_IMPORTED_MODULE_1032__ = __webpack_require__(/*! ./desktop/notification/DesktopNotification */ "./src/desktop/notification/DesktopNotification.ts");
/* harmony import */ var _desktop_notification_DesktopNotificationModel__WEBPACK_IMPORTED_MODULE_1033__ = __webpack_require__(/*! ./desktop/notification/DesktopNotificationModel */ "./src/desktop/notification/DesktopNotificationModel.ts");
/* harmony import */ var _desktop_notification_DesktopNotificationEventMap__WEBPACK_IMPORTED_MODULE_1034__ = __webpack_require__(/*! ./desktop/notification/DesktopNotificationEventMap */ "./src/desktop/notification/DesktopNotificationEventMap.ts");
/* harmony import */ var _desktop_notification_DesktopNotificationAdapter__WEBPACK_IMPORTED_MODULE_1035__ = __webpack_require__(/*! ./desktop/notification/DesktopNotificationAdapter */ "./src/desktop/notification/DesktopNotificationAdapter.ts");
/* harmony import */ var _desktop_notification_OfflineDesktopNotification__WEBPACK_IMPORTED_MODULE_1036__ = __webpack_require__(/*! ./desktop/notification/OfflineDesktopNotification */ "./src/desktop/notification/OfflineDesktopNotification.ts");
/* harmony import */ var _desktop_popupblocker_PopupBlockerHandler__WEBPACK_IMPORTED_MODULE_1037__ = __webpack_require__(/*! ./desktop/popupblocker/PopupBlockerHandler */ "./src/desktop/popupblocker/PopupBlockerHandler.ts");
/* harmony import */ var _desktop_popupblocker_PopupBlockerHandlerModel__WEBPACK_IMPORTED_MODULE_1038__ = __webpack_require__(/*! ./desktop/popupblocker/PopupBlockerHandlerModel */ "./src/desktop/popupblocker/PopupBlockerHandlerModel.ts");
/* harmony import */ var _desktop_popupblocker_PopupBlockerDesktopNotification__WEBPACK_IMPORTED_MODULE_1039__ = __webpack_require__(/*! ./desktop/popupblocker/PopupBlockerDesktopNotification */ "./src/desktop/popupblocker/PopupBlockerDesktopNotification.ts");
/* harmony import */ var _desktop_popupblocker_PopupBlockerDesktopNotificationModel__WEBPACK_IMPORTED_MODULE_1040__ = __webpack_require__(/*! ./desktop/popupblocker/PopupBlockerDesktopNotificationModel */ "./src/desktop/popupblocker/PopupBlockerDesktopNotificationModel.ts");
/* harmony import */ var _desktop_popupblocker_PopupBlockerDesktopNotificationEventMap__WEBPACK_IMPORTED_MODULE_1041__ = __webpack_require__(/*! ./desktop/popupblocker/PopupBlockerDesktopNotificationEventMap */ "./src/desktop/popupblocker/PopupBlockerDesktopNotificationEventMap.ts");
/* harmony import */ var _desktop_toolbox_DesktopToolBox__WEBPACK_IMPORTED_MODULE_1042__ = __webpack_require__(/*! ./desktop/toolbox/DesktopToolBox */ "./src/desktop/toolbox/DesktopToolBox.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonActionKeyStroke__WEBPACK_IMPORTED_MODULE_1043__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonActionKeyStroke */ "./src/desktop/viewbutton/ViewButtonActionKeyStroke.ts");
/* harmony import */ var _desktop_viewbutton_ViewButton__WEBPACK_IMPORTED_MODULE_1044__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButton */ "./src/desktop/viewbutton/ViewButton.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonModel__WEBPACK_IMPORTED_MODULE_1045__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonModel */ "./src/desktop/viewbutton/ViewButtonModel.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonEventMap__WEBPACK_IMPORTED_MODULE_1046__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonEventMap */ "./src/desktop/viewbutton/ViewButtonEventMap.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonAdapter__WEBPACK_IMPORTED_MODULE_1047__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonAdapter */ "./src/desktop/viewbutton/ViewButtonAdapter.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonBox__WEBPACK_IMPORTED_MODULE_1048__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonBox */ "./src/desktop/viewbutton/ViewButtonBox.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonBoxModel__WEBPACK_IMPORTED_MODULE_1049__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonBoxModel */ "./src/desktop/viewbutton/ViewButtonBoxModel.ts");
/* harmony import */ var _desktop_viewbutton_ViewButtonBoxEventMap__WEBPACK_IMPORTED_MODULE_1050__ = __webpack_require__(/*! ./desktop/viewbutton/ViewButtonBoxEventMap */ "./src/desktop/viewbutton/ViewButtonBoxEventMap.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuOpenKeyStroke__WEBPACK_IMPORTED_MODULE_1051__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuOpenKeyStroke */ "./src/desktop/viewbutton/ViewMenuOpenKeyStroke.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuPopup__WEBPACK_IMPORTED_MODULE_1052__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuPopup */ "./src/desktop/viewbutton/ViewMenuPopup.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuPopupModel__WEBPACK_IMPORTED_MODULE_1053__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuPopupModel */ "./src/desktop/viewbutton/ViewMenuPopupModel.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuPopupEnterKeyStroke__WEBPACK_IMPORTED_MODULE_1054__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuPopupEnterKeyStroke */ "./src/desktop/viewbutton/ViewMenuPopupEnterKeyStroke.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuTab__WEBPACK_IMPORTED_MODULE_1055__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuTab */ "./src/desktop/viewbutton/ViewMenuTab.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuTabModel__WEBPACK_IMPORTED_MODULE_1056__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuTabModel */ "./src/desktop/viewbutton/ViewMenuTabModel.ts");
/* harmony import */ var _desktop_viewbutton_ViewMenuTabEventMap__WEBPACK_IMPORTED_MODULE_1057__ = __webpack_require__(/*! ./desktop/viewbutton/ViewMenuTabEventMap */ "./src/desktop/viewbutton/ViewMenuTabEventMap.ts");
/* harmony import */ var _desktop_outline_pages_Page__WEBPACK_IMPORTED_MODULE_1058__ = __webpack_require__(/*! ./desktop/outline/pages/Page */ "./src/desktop/outline/pages/Page.ts");
/* harmony import */ var _desktop_outline_pages_PageModel__WEBPACK_IMPORTED_MODULE_1059__ = __webpack_require__(/*! ./desktop/outline/pages/PageModel */ "./src/desktop/outline/pages/PageModel.ts");
/* harmony import */ var _desktop_outline_pages_PageEventMap__WEBPACK_IMPORTED_MODULE_1060__ = __webpack_require__(/*! ./desktop/outline/pages/PageEventMap */ "./src/desktop/outline/pages/PageEventMap.ts");
/* harmony import */ var _desktop_outline_pages_PageWithNodes__WEBPACK_IMPORTED_MODULE_1061__ = __webpack_require__(/*! ./desktop/outline/pages/PageWithNodes */ "./src/desktop/outline/pages/PageWithNodes.ts");
/* harmony import */ var _desktop_outline_pages_PageWithTable__WEBPACK_IMPORTED_MODULE_1062__ = __webpack_require__(/*! ./desktop/outline/pages/PageWithTable */ "./src/desktop/outline/pages/PageWithTable.ts");
/* harmony import */ var _desktop_outline_pages_PageWithTableEventMap__WEBPACK_IMPORTED_MODULE_1063__ = __webpack_require__(/*! ./desktop/outline/pages/PageWithTableEventMap */ "./src/desktop/outline/pages/PageWithTableEventMap.ts");
/* harmony import */ var _desktop_outline_pages_PageWithTableModel__WEBPACK_IMPORTED_MODULE_1064__ = __webpack_require__(/*! ./desktop/outline/pages/PageWithTableModel */ "./src/desktop/outline/pages/PageWithTableModel.ts");
/* harmony import */ var _desktop_outline_pages_PageTileButton__WEBPACK_IMPORTED_MODULE_1065__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileButton */ "./src/desktop/outline/pages/PageTileButton.ts");
/* harmony import */ var _desktop_outline_pages_PageTileButtonModel__WEBPACK_IMPORTED_MODULE_1066__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileButtonModel */ "./src/desktop/outline/pages/PageTileButtonModel.ts");
/* harmony import */ var _desktop_outline_pages_PageTileGrid__WEBPACK_IMPORTED_MODULE_1067__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileGrid */ "./src/desktop/outline/pages/PageTileGrid.ts");
/* harmony import */ var _desktop_outline_pages_PageTileGridModel__WEBPACK_IMPORTED_MODULE_1068__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileGridModel */ "./src/desktop/outline/pages/PageTileGridModel.ts");
/* harmony import */ var _desktop_outline_pages_PageTileGridEventMap__WEBPACK_IMPORTED_MODULE_1069__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileGridEventMap */ "./src/desktop/outline/pages/PageTileGridEventMap.ts");
/* harmony import */ var _desktop_outline_pages_PageTileGridSelectKeyStroke__WEBPACK_IMPORTED_MODULE_1070__ = __webpack_require__(/*! ./desktop/outline/pages/PageTileGridSelectKeyStroke */ "./src/desktop/outline/pages/PageTileGridSelectKeyStroke.ts");
/* harmony import */ var _desktop_outline_pages_AutoLeafPageWithNodes__WEBPACK_IMPORTED_MODULE_1071__ = __webpack_require__(/*! ./desktop/outline/pages/AutoLeafPageWithNodes */ "./src/desktop/outline/pages/AutoLeafPageWithNodes.ts");
/* harmony import */ var _desktop_outline_pages_AutoLeafPageWithNodesModel__WEBPACK_IMPORTED_MODULE_1072__ = __webpack_require__(/*! ./desktop/outline/pages/AutoLeafPageWithNodesModel */ "./src/desktop/outline/pages/AutoLeafPageWithNodesModel.ts");
/* harmony import */ var _desktop_outline_DetailTableTreeFilter__WEBPACK_IMPORTED_MODULE_1073__ = __webpack_require__(/*! ./desktop/outline/DetailTableTreeFilter */ "./src/desktop/outline/DetailTableTreeFilter.ts");
/* harmony import */ var _desktop_outline_Outline__WEBPACK_IMPORTED_MODULE_1074__ = __webpack_require__(/*! ./desktop/outline/Outline */ "./src/desktop/outline/Outline.ts");
/* harmony import */ var _desktop_outline_OutlineModel__WEBPACK_IMPORTED_MODULE_1075__ = __webpack_require__(/*! ./desktop/outline/OutlineModel */ "./src/desktop/outline/OutlineModel.ts");
/* harmony import */ var _desktop_outline_OutlineEventMap__WEBPACK_IMPORTED_MODULE_1076__ = __webpack_require__(/*! ./desktop/outline/OutlineEventMap */ "./src/desktop/outline/OutlineEventMap.ts");
/* harmony import */ var _desktop_outline_OutlineAdapter__WEBPACK_IMPORTED_MODULE_1077__ = __webpack_require__(/*! ./desktop/outline/OutlineAdapter */ "./src/desktop/outline/OutlineAdapter.ts");
/* harmony import */ var _desktop_outline_OutlineMediator__WEBPACK_IMPORTED_MODULE_1078__ = __webpack_require__(/*! ./desktop/outline/OutlineMediator */ "./src/desktop/outline/OutlineMediator.ts");
/* harmony import */ var _desktop_outline_OutlineLayout__WEBPACK_IMPORTED_MODULE_1079__ = __webpack_require__(/*! ./desktop/outline/OutlineLayout */ "./src/desktop/outline/OutlineLayout.ts");
/* harmony import */ var _desktop_outline_OutlineViewButton__WEBPACK_IMPORTED_MODULE_1080__ = __webpack_require__(/*! ./desktop/outline/OutlineViewButton */ "./src/desktop/outline/OutlineViewButton.ts");
/* harmony import */ var _desktop_outline_OutlineViewButtonModel__WEBPACK_IMPORTED_MODULE_1081__ = __webpack_require__(/*! ./desktop/outline/OutlineViewButtonModel */ "./src/desktop/outline/OutlineViewButtonModel.ts");
/* harmony import */ var _desktop_outline_OutlineViewButtonEventMap__WEBPACK_IMPORTED_MODULE_1082__ = __webpack_require__(/*! ./desktop/outline/OutlineViewButtonEventMap */ "./src/desktop/outline/OutlineViewButtonEventMap.ts");
/* harmony import */ var _desktop_outline_OutlineViewButtonAdapter__WEBPACK_IMPORTED_MODULE_1083__ = __webpack_require__(/*! ./desktop/outline/OutlineViewButtonAdapter */ "./src/desktop/outline/OutlineViewButtonAdapter.ts");
/* harmony import */ var _desktop_outline_OutlineTileField__WEBPACK_IMPORTED_MODULE_1084__ = __webpack_require__(/*! ./desktop/outline/OutlineTileField */ "./src/desktop/outline/OutlineTileField.ts");
/* harmony import */ var _desktop_outline_OutlineTileFieldAdapter__WEBPACK_IMPORTED_MODULE_1085__ = __webpack_require__(/*! ./desktop/outline/OutlineTileFieldAdapter */ "./src/desktop/outline/OutlineTileFieldAdapter.ts");
/* harmony import */ var _desktop_outline_PageLayout__WEBPACK_IMPORTED_MODULE_1086__ = __webpack_require__(/*! ./desktop/outline/PageLayout */ "./src/desktop/outline/PageLayout.ts");
/* harmony import */ var _desktop_outline_SearchOutline__WEBPACK_IMPORTED_MODULE_1087__ = __webpack_require__(/*! ./desktop/outline/SearchOutline */ "./src/desktop/outline/SearchOutline.ts");
/* harmony import */ var _desktop_outline_SearchOutlineModel__WEBPACK_IMPORTED_MODULE_1088__ = __webpack_require__(/*! ./desktop/outline/SearchOutlineModel */ "./src/desktop/outline/SearchOutlineModel.ts");
/* harmony import */ var _desktop_outline_SearchOutlineEventMap__WEBPACK_IMPORTED_MODULE_1089__ = __webpack_require__(/*! ./desktop/outline/SearchOutlineEventMap */ "./src/desktop/outline/SearchOutlineEventMap.ts");
/* harmony import */ var _desktop_outline_SearchOutlineAdapter__WEBPACK_IMPORTED_MODULE_1090__ = __webpack_require__(/*! ./desktop/outline/SearchOutlineAdapter */ "./src/desktop/outline/SearchOutlineAdapter.ts");
/* harmony import */ var _desktop_outline_SearchOutlineLayout__WEBPACK_IMPORTED_MODULE_1091__ = __webpack_require__(/*! ./desktop/outline/SearchOutlineLayout */ "./src/desktop/outline/SearchOutlineLayout.ts");
/* harmony import */ var _desktop_outline_navigation_NavigateButton__WEBPACK_IMPORTED_MODULE_1092__ = __webpack_require__(/*! ./desktop/outline/navigation/NavigateButton */ "./src/desktop/outline/navigation/NavigateButton.ts");
/* harmony import */ var _desktop_outline_navigation_NavigateButtonModel__WEBPACK_IMPORTED_MODULE_1093__ = __webpack_require__(/*! ./desktop/outline/navigation/NavigateButtonModel */ "./src/desktop/outline/navigation/NavigateButtonModel.ts");
/* harmony import */ var _desktop_outline_navigation_NavigateDownButton__WEBPACK_IMPORTED_MODULE_1094__ = __webpack_require__(/*! ./desktop/outline/navigation/NavigateDownButton */ "./src/desktop/outline/navigation/NavigateDownButton.ts");
/* harmony import */ var _desktop_outline_navigation_NavigateUpButton__WEBPACK_IMPORTED_MODULE_1095__ = __webpack_require__(/*! ./desktop/outline/navigation/NavigateUpButton */ "./src/desktop/outline/navigation/NavigateUpButton.ts");
/* harmony import */ var _desktop_outline_keystrokes_OutlineKeyStrokeContext__WEBPACK_IMPORTED_MODULE_1096__ = __webpack_require__(/*! ./desktop/outline/keystrokes/OutlineKeyStrokeContext */ "./src/desktop/outline/keystrokes/OutlineKeyStrokeContext.ts");
/* harmony import */ var _desktop_outline_keystrokes_OutlineNavigateToTopKeyStroke__WEBPACK_IMPORTED_MODULE_1097__ = __webpack_require__(/*! ./desktop/outline/keystrokes/OutlineNavigateToTopKeyStroke */ "./src/desktop/outline/keystrokes/OutlineNavigateToTopKeyStroke.ts");
/* harmony import */ var _desktop_outline_overview_OutlineOverview__WEBPACK_IMPORTED_MODULE_1098__ = __webpack_require__(/*! ./desktop/outline/overview/OutlineOverview */ "./src/desktop/outline/overview/OutlineOverview.ts");
/* harmony import */ var _desktop_outline_overview_OutlineOverviewModel__WEBPACK_IMPORTED_MODULE_1099__ = __webpack_require__(/*! ./desktop/outline/overview/OutlineOverviewModel */ "./src/desktop/outline/overview/OutlineOverviewModel.ts");
/* harmony import */ var _desktop_outline_overview_TileOutlineOverview__WEBPACK_IMPORTED_MODULE_1100__ = __webpack_require__(/*! ./desktop/outline/overview/TileOutlineOverview */ "./src/desktop/outline/overview/TileOutlineOverview.ts");
/* harmony import */ var _desktop_outline_overview_TileOutlineOverviewModel__WEBPACK_IMPORTED_MODULE_1101__ = __webpack_require__(/*! ./desktop/outline/overview/TileOutlineOverviewModel */ "./src/desktop/outline/overview/TileOutlineOverviewModel.ts");
/* harmony import */ var _desktop_outline_overview_TileOutlineOverviewEventMap__WEBPACK_IMPORTED_MODULE_1102__ = __webpack_require__(/*! ./desktop/outline/overview/TileOutlineOverviewEventMap */ "./src/desktop/outline/overview/TileOutlineOverviewEventMap.ts");
/* harmony import */ var _desktop_DesktopFormController__WEBPACK_IMPORTED_MODULE_1103__ = __webpack_require__(/*! ./desktop/DesktopFormController */ "./src/desktop/DesktopFormController.ts");
/* harmony import */ var _desktop_DesktopFormControllerModel__WEBPACK_IMPORTED_MODULE_1104__ = __webpack_require__(/*! ./desktop/DesktopFormControllerModel */ "./src/desktop/DesktopFormControllerModel.ts");
/* harmony import */ var _table_FilterFieldsGroupBox__WEBPACK_IMPORTED_MODULE_1105__ = __webpack_require__(/*! ./table/FilterFieldsGroupBox */ "./src/table/FilterFieldsGroupBox.ts");
/* harmony import */ var _table_FilterFieldsGroupBoxModel__WEBPACK_IMPORTED_MODULE_1106__ = __webpack_require__(/*! ./table/FilterFieldsGroupBoxModel */ "./src/table/FilterFieldsGroupBoxModel.ts");
/* harmony import */ var _desktop_unsavedchanges_UnsavedFormChangesForm__WEBPACK_IMPORTED_MODULE_1107__ = __webpack_require__(/*! ./desktop/unsavedchanges/UnsavedFormChangesForm */ "./src/desktop/unsavedchanges/UnsavedFormChangesForm.ts");
/* harmony import */ var _desktop_unsavedchanges_UnsavedFormChangesFormModel__WEBPACK_IMPORTED_MODULE_1108__ = __webpack_require__(/*! ./desktop/unsavedchanges/UnsavedFormChangesFormModel */ "./src/desktop/unsavedchanges/UnsavedFormChangesFormModel.ts");
/* harmony import */ var _desktop_unsavedchanges_UnsavedFormsLookupCall__WEBPACK_IMPORTED_MODULE_1109__ = __webpack_require__(/*! ./desktop/unsavedchanges/UnsavedFormsLookupCall */ "./src/desktop/unsavedchanges/UnsavedFormsLookupCall.ts");
/* harmony import */ var _desktop_unsavedchanges_UnsavedFormsLookupCallModel__WEBPACK_IMPORTED_MODULE_1110__ = __webpack_require__(/*! ./desktop/unsavedchanges/UnsavedFormsLookupCallModel */ "./src/desktop/unsavedchanges/UnsavedFormsLookupCallModel.ts");
/* harmony import */ var _table_TileTableHeaderBox__WEBPACK_IMPORTED_MODULE_1111__ = __webpack_require__(/*! ./table/TileTableHeaderBox */ "./src/table/TileTableHeaderBox.ts");
/* harmony import */ var _table_TileTableHeaderBoxModel__WEBPACK_IMPORTED_MODULE_1112__ = __webpack_require__(/*! ./table/TileTableHeaderBoxModel */ "./src/table/TileTableHeaderBoxModel.ts");
/* harmony import */ var _login_LoginApp__WEBPACK_IMPORTED_MODULE_1113__ = __webpack_require__(/*! ./login/LoginApp */ "./src/login/LoginApp.ts");
/* harmony import */ var _login_LoginAppModel__WEBPACK_IMPORTED_MODULE_1114__ = __webpack_require__(/*! ./login/LoginAppModel */ "./src/login/LoginAppModel.ts");
/* harmony import */ var _login_LoginBox__WEBPACK_IMPORTED_MODULE_1115__ = __webpack_require__(/*! ./login/LoginBox */ "./src/login/LoginBox.ts");
/* harmony import */ var _login_LogoutApp__WEBPACK_IMPORTED_MODULE_1116__ = __webpack_require__(/*! ./login/LogoutApp */ "./src/login/LogoutApp.ts");
/* harmony import */ var _login_LogoutAppModel__WEBPACK_IMPORTED_MODULE_1117__ = __webpack_require__(/*! ./login/LogoutAppModel */ "./src/login/LogoutAppModel.ts");
/* harmony import */ var _login_LogoutBox__WEBPACK_IMPORTED_MODULE_1118__ = __webpack_require__(/*! ./login/LogoutBox */ "./src/login/LogoutBox.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbItem__WEBPACK_IMPORTED_MODULE_1119__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbItem */ "./src/breadcrumbbar/BreadcrumbItem.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbItemModel__WEBPACK_IMPORTED_MODULE_1120__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbItemModel */ "./src/breadcrumbbar/BreadcrumbItemModel.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbItemAdapter__WEBPACK_IMPORTED_MODULE_1121__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbItemAdapter */ "./src/breadcrumbbar/BreadcrumbItemAdapter.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbBar__WEBPACK_IMPORTED_MODULE_1122__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbBar */ "./src/breadcrumbbar/BreadcrumbBar.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbBarModel__WEBPACK_IMPORTED_MODULE_1123__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbBarModel */ "./src/breadcrumbbar/BreadcrumbBarModel.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbBarEventMap__WEBPACK_IMPORTED_MODULE_1124__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbBarEventMap */ "./src/breadcrumbbar/BreadcrumbBarEventMap.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbBarLayout__WEBPACK_IMPORTED_MODULE_1125__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbBarLayout */ "./src/breadcrumbbar/BreadcrumbBarLayout.ts");
/* harmony import */ var _breadcrumbbar_BreadcrumbBarAdapter__WEBPACK_IMPORTED_MODULE_1126__ = __webpack_require__(/*! ./breadcrumbbar/BreadcrumbBarAdapter */ "./src/breadcrumbbar/BreadcrumbBarAdapter.ts");
/* harmony import */ var _form_fields_breadcrumbbarfield_BreadcrumbBarField__WEBPACK_IMPORTED_MODULE_1127__ = __webpack_require__(/*! ./form/fields/breadcrumbbarfield/BreadcrumbBarField */ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarField.ts");
/* harmony import */ var _form_fields_breadcrumbbarfield_BreadcrumbBarFieldModel__WEBPACK_IMPORTED_MODULE_1128__ = __webpack_require__(/*! ./form/fields/breadcrumbbarfield/BreadcrumbBarFieldModel */ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldModel.ts");
/* harmony import */ var _form_fields_breadcrumbbarfield_BreadcrumbBarFieldEventMap__WEBPACK_IMPORTED_MODULE_1129__ = __webpack_require__(/*! ./form/fields/breadcrumbbarfield/BreadcrumbBarFieldEventMap */ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldEventMap.ts");
/* harmony import */ var _form_fields_breadcrumbbarfield_BreadcrumbBarFieldAdapter__WEBPACK_IMPORTED_MODULE_1130__ = __webpack_require__(/*! ./form/fields/breadcrumbbarfield/BreadcrumbBarFieldAdapter */ "./src/form/fields/breadcrumbbarfield/BreadcrumbBarFieldAdapter.ts");
/* harmony import */ var _desktop_hybrid_uicallback_UiCallbacks__WEBPACK_IMPORTED_MODULE_1131__ = __webpack_require__(/*! ./desktop/hybrid/uicallback/UiCallbacks */ "./src/desktop/hybrid/uicallback/UiCallbacks.ts");
/* harmony import */ var _desktop_hybrid_uicallback_UiCallbacksAdapter__WEBPACK_IMPORTED_MODULE_1132__ = __webpack_require__(/*! ./desktop/hybrid/uicallback/UiCallbacksAdapter */ "./src/desktop/hybrid/uicallback/UiCallbacksAdapter.ts");
/* harmony import */ var _desktop_hybrid_uicallback_UiCallbacksEventMap__WEBPACK_IMPORTED_MODULE_1133__ = __webpack_require__(/*! ./desktop/hybrid/uicallback/UiCallbacksEventMap */ "./src/desktop/hybrid/uicallback/UiCallbacksEventMap.ts");
/* harmony import */ var _desktop_GeoLocationUiHandler__WEBPACK_IMPORTED_MODULE_1134__ = __webpack_require__(/*! ./desktop/GeoLocationUiHandler */ "./src/desktop/GeoLocationUiHandler.ts");
/* harmony import */ var _system_System__WEBPACK_IMPORTED_MODULE_1135__ = __webpack_require__(/*! ./system/System */ "./src/system/System.ts");
/* harmony import */ var _system_systems__WEBPACK_IMPORTED_MODULE_1136__ = __webpack_require__(/*! ./system/systems */ "./src/system/systems.ts");
/* harmony import */ var _uuidpool_UuidPool__WEBPACK_IMPORTED_MODULE_1137__ = __webpack_require__(/*! ./uuidpool/UuidPool */ "./src/uuidpool/UuidPool.ts");
/* harmony import */ var _uuidpool_UuidPoolAdapter__WEBPACK_IMPORTED_MODULE_1138__ = __webpack_require__(/*! ./uuidpool/UuidPoolAdapter */ "./src/uuidpool/UuidPoolAdapter.ts");
/* harmony import */ var _uuidpool_UuidPoolEventMap__WEBPACK_IMPORTED_MODULE_1139__ = __webpack_require__(/*! ./uuidpool/UuidPoolEventMap */ "./src/uuidpool/UuidPoolEventMap.ts");
/* harmony import */ var _uuidpool_UuidPoolModel__WEBPACK_IMPORTED_MODULE_1140__ = __webpack_require__(/*! ./uuidpool/UuidPoolModel */ "./src/uuidpool/UuidPoolModel.ts");
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_1141__ = __webpack_require__(/*! ./types */ "./src/types.ts");
/* harmony import */ var _aria__WEBPACK_IMPORTED_MODULE_1142__ = __webpack_require__(/*! ./aria */ "./src/aria.ts");
/* harmony import */ var _jquery_jquery_scout_types__WEBPACK_IMPORTED_MODULE_1143__ = __webpack_require__(/*! ./jquery/jquery-scout-types */ "./src/jquery/jquery-scout-types.ts");
/* harmony import */ var _jquery_jquery_scout__WEBPACK_IMPORTED_MODULE_1144__ = __webpack_require__(/*! ./jquery/jquery-scout */ "./src/jquery/jquery-scout.js");
/* harmony import */ var _jquery_jquery_scout_selectors__WEBPACK_IMPORTED_MODULE_1145__ = __webpack_require__(/*! ./jquery/jquery-scout-selectors */ "./src/jquery/jquery-scout-selectors.js");
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1146__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































// The following files don't export anything, but they need to be imported, so they participate on the webpack build




/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_index__WEBPACK_IMPORTED_MODULE_1146__);
// Add all functions from the scout object to the scout object on the window
// Note: the scout object on the window still needs its own scout object (window.scout.scout).
// It is required when the eclipse-core/scout is mapped as external webpack library to window.scout
let windowScout = {
  ..._index__WEBPACK_IMPORTED_MODULE_1146__,
  ..._scout__WEBPACK_IMPORTED_MODULE_1__.scout
};
// Add the scout object to the window
_ObjectFactory__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().registerNamespace('scout', windowScout);

/***/ }),

/***/ "./src/jquery/jquery-scout-types.ts":
/*!******************************************!*\
  !*** ./src/jquery/jquery-scout-types.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/keystroke/AbortKeyStroke.ts":
/*!*****************************************!*\
  !*** ./src/keystroke/AbortKeyStroke.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbortKeyStroke: () => (/* binding */ AbortKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbortKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.CloseKeyStroke {
  constructor(field, $drawingArea) {
    super(field, $drawingArea);
  }
  handle(event) {
    this.field.abort();
  }
}

/***/ }),

/***/ "./src/keystroke/ClickActiveElementKeyStroke.ts":
/*!******************************************************!*\
  !*** ./src/keystroke/ClickActiveElementKeyStroke.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ClickActiveElementKeyStroke: () => (/* binding */ ClickActiveElementKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ClickActiveElementKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field, which) {
    super();
    this.field = field;
    this.which = which;
    this.stopPropagation = true;
    this.renderingHints.render = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => event._$activeElement;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    event._$activeElement = this.field.$container.activeElement();
    return true;
  }
  handle(event) {
    event._$activeElement.trigger($.Event('click', {
      which: 1
    }));
  }
}

/***/ }),

/***/ "./src/keystroke/CloseKeyStroke.ts":
/*!*****************************************!*\
  !*** ./src/keystroke/CloseKeyStroke.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CloseKeyStroke: () => (/* binding */ CloseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CloseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field, $drawingArea) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC];
    this.stopPropagation = true;
    this.renderingHints = {
      render: !!$drawingArea,
      $drawingArea: $drawingArea
    };
    this.inheritAccessibility = false;
  }
  handle(event) {
    this.field.close();
  }
}

/***/ }),

/***/ "./src/keystroke/ContextMenuKeyStroke.ts":
/*!***********************************************!*\
  !*** ./src/keystroke/ContextMenuKeyStroke.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ContextMenuKeyStroke: () => (/* binding */ ContextMenuKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ContextMenuKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field, contextFunction, bindObject) {
    super();
    _defineProperty(this, "_contextFunction", void 0);
    _defineProperty(this, "_bindObject", void 0);
    this._contextFunction = contextFunction;
    this._bindObject = bindObject || this;
    this.field = field;
    this.renderingHints.render = false;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SELECT];
    this.ctrl = false;
    this.shift = false;
    this.stopPropagation = true;
    this.inheritAccessibility = false;
  }
  handle(event) {
    this._contextFunction.call(this._bindObject, event);
  }
}

/***/ }),

/***/ "./src/keystroke/FocusAdjacentElementKeyStroke.ts":
/*!********************************************************!*\
  !*** ./src/keystroke/FocusAdjacentElementKeyStroke.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FocusAdjacentElementKeyStroke: () => (/* binding */ FocusAdjacentElementKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FocusAdjacentElementKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(session, field) {
    super();
    _defineProperty(this, "session", void 0);
    this.session = session;
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.renderingHints.render = false;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
  }
  handle(event) {
    let activeElement = this.field.$container.activeElement(true),
      $focusableElements = this.field.$container.find(':focusable');
    switch (event.which) {
      // NOSONAR
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT:
        this._handleNext(activeElement, $focusableElements);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT:
        this._handlePrevious(activeElement, $focusableElements);
        break;
    }
  }
  _handleNext(activeElement, $focusableElements) {
    let $newFocusElement;
    if (activeElement === $focusableElements.last()[0]) {
      $newFocusElement = $focusableElements.first();
    } else {
      $newFocusElement = $($focusableElements[$focusableElements.index(activeElement) + 1]);
    }
    this.session.focusManager.requestFocus($newFocusElement);
    $newFocusElement.addClass('keyboard-navigation');
  }
  _handlePrevious(activeElement, $focusableElements) {
    let $newFocusElement;
    if (activeElement === $focusableElements.first()[0]) {
      $newFocusElement = $focusableElements.last();
    } else {
      $newFocusElement = $($focusableElements[$focusableElements.index(activeElement) - 1]);
    }
    this.session.focusManager.requestFocus($newFocusElement);
    $newFocusElement.addClass('keyboard-navigation');
  }
}

/***/ }),

/***/ "./src/keystroke/FocusFilterFieldKeyStroke.ts":
/*!****************************************************!*\
  !*** ./src/keystroke/FocusFilterFieldKeyStroke.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FocusFilterFieldKeyStroke: () => (/* binding */ FocusFilterFieldKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Keystroke to move the cursor into filter field.
 *
 * Hint: This keystroke is not implemented as RangeKeyStroke.js because:
 *       a) the accepted keys are not rendered on F1, but a condensed 'a-z' instead;
 *       b) there is no need to evaluate a concrete key's propagation status when being rendered (because of (a))
 *
 */
class FocusFilterFieldKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    _defineProperty(this, "virtualKeyStrokeWhich", void 0);
    this.field = field;
    this.renderingHints.$drawingArea = ($drawingArea, event) => event._$filterInput;
    this.virtualKeyStrokeWhich = 'a-Z;a-z;0-9';
    this.preventDefault = false; // false so that the key is inserted into the search field.
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.stopPropagation = true;
    this.inheritAccessibility = false;
  }
  /**
   * @override KeyStroke.js
   */
  _accept(event) {
    if (!this._isKeyStrokeInRange(event)) {
      return false;
    }
    let $filterInput = this.field.$container.data('filter-field');
    if (!$filterInput || !$filterInput.length || !$filterInput.is(':focusable')) {
      return false;
    }
    let $activeElement = this.field.$container.activeElement();
    if ($activeElement[0] !== $filterInput[0]) {
      event._$filterInput = $filterInput;
      this._isKeyStrokeInRange(event);
      return true;
    }
    return false;
  }
  handle(event) {
    let $filterInput = event._$filterInput;
    // Focus the field and move cursor to the end.
    if (this.field.session.focusManager.requestFocus($filterInput)) {
      $filterInput.focus();
      let length = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($filterInput.val(), '').length;
      $filterInput[0].setSelectionRange(length, length);
    }
  }
  /**
   * Returns a virtual key to represent this keystroke.
   */
  keys() {
    // @ts-expect-error
    return [new _index__WEBPACK_IMPORTED_MODULE_0__.Key(this, this.virtualKeyStrokeWhich)];
  }
  renderKeyBox($drawingArea, event) {
    let $filterInput = event._$filterInput;
    let filterInputPosition = $filterInput.position();
    let left = filterInputPosition.left + $filterInput.cssMarginLeft() + 4;
    $filterInput.beforeDiv('key-box char', 'a - z').toggleClass('disabled', !this.enabledByFilter).cssLeft(left);
    return $filterInput.parent();
  }
  _isKeyStrokeInRange(event) {
    // @ts-expect-error
    if (event.which === this.virtualKeyStrokeWhich) {
      return true; // the event has this keystroke's 'virtual which part' in case it is rendered.
    }
    if (event.altKey || event.ctrlKey) {
      return false;
    }
    return event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys.A && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys.Z || event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys['0'] && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys['9'] || event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_0 && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_9;
  }
}

/***/ }),

/***/ "./src/keystroke/InputFieldKeyStrokeContext.ts":
/*!*****************************************************!*\
  !*** ./src/keystroke/InputFieldKeyStrokeContext.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   InputFieldKeyStrokeContext: () => (/* binding */ InputFieldKeyStrokeContext)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Keystroke context used for input fields.
 */
class InputFieldKeyStrokeContext extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext {
  constructor(multiline) {
    super();
    this.invokeAcceptInputOnActiveValueField = true;
    let navigationKeys = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME, _index__WEBPACK_IMPORTED_MODULE_0__.keys.END];
    this.registerStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.CTRL, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.A, _index__WEBPACK_IMPORTED_MODULE_0__.keys.C, _index__WEBPACK_IMPORTED_MODULE_0__.keys.Y, _index__WEBPACK_IMPORTED_MODULE_0__.keys.V, _index__WEBPACK_IMPORTED_MODULE_0__.keys.Z, _index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE].concat(navigationKeys));
    this.registerStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.CTRL | _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.SHIFT, navigationKeys);
    this.registerStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.SHIFT, navigationKeys);
    this.registerStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SEMICOLON, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DASH, _index__WEBPACK_IMPORTED_MODULE_0__.keys.COMMA, _index__WEBPACK_IMPORTED_MODULE_0__.keys.POINT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.FORWARD_SLASH, _index__WEBPACK_IMPORTED_MODULE_0__.keys.OPEN_BRACKET, _index__WEBPACK_IMPORTED_MODULE_0__.keys.BACK_SLASH, _index__WEBPACK_IMPORTED_MODULE_0__.keys.CLOSE_BRACKET, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SINGLE_QUOTE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.MULTIPLY, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ADD, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SUBTRACT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DECIMAL_POINT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DIVIDE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_0, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_1, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_2, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_3, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_4, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_5, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_6, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_7, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_8, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUMPAD_9, _index__WEBPACK_IMPORTED_MODULE_0__.keys.MULTIPLY, _index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DELETE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE].concat(navigationKeys));
    this.setMultiline(multiline);
  }
  setMultiline(multiline) {
    let multilineNavigationKeys = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.toggleStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.CTRL, multilineNavigationKeys, multiline);
    this.toggleStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.CTRL | _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.SHIFT, multilineNavigationKeys, multiline);
    this.toggleStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.SHIFT, multilineNavigationKeys, multiline);
    this.toggleStopPropagationKeys(_index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE, multilineNavigationKeys, multiline);
  }
  _applyPropagationFlags(event) {
    super._applyPropagationFlags(event);
    if (event.isPropagationStopped()) {
      return;
    }
    if (this._isInputEvent(event)) {
      event.stopPropagation();
    }
  }
  _isInputEvent(event) {
    if (!this.isInput(event.target)) {
      return false;
    }
    if (this._isLetterKeyStroke(event)) {
      return true;
    }
    if (this._isNumberKeyStroke(event)) {
      return true;
    }
    return false;
  }
  isInput($element) {
    let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($element);
    if (!$elem.length) {
      return false;
    }
    return $elem[0].isContentEditable || $elem.is('textarea') || $elem.is('input') && !this.isButton($elem);
  }
  isButton($element) {
    let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($element);
    let buttonTypes = ['button', 'input[type=button]', 'input[type=checkbox', 'input[type=color]', 'input[type=file]', 'input[type=image]', 'input[type=radio]', 'input[type=reset]', 'input[type=submit]'];
    return buttonTypes.some(type => $elem.is(type));
  }
  _isNumberKeyStroke(event) {
    return !event.ctrlKey && event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys[0] && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys[9];
  }
  _isLetterKeyStroke(event) {
    return !event.ctrlKey && event.which >= _index__WEBPACK_IMPORTED_MODULE_0__.keys.A && event.which <= _index__WEBPACK_IMPORTED_MODULE_0__.keys.Z;
  }
}

/***/ }),

/***/ "./src/keystroke/Key.ts":
/*!******************************!*\
  !*** ./src/keystroke/Key.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Key: () => (/* binding */ Key)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Key {
  constructor(keyStroke, which) {
    _defineProperty(this, "keyStroke", void 0);
    _defineProperty(this, "which", void 0);
    _defineProperty(this, "ctrl", void 0);
    _defineProperty(this, "alt", void 0);
    _defineProperty(this, "shift", void 0);
    _defineProperty(this, "keyStrokeMode", void 0);
    _defineProperty(this, "$drawingArea", void 0);
    this.keyStroke = keyStroke;
    this.which = which;
    this.ctrl = keyStroke.ctrl;
    this.alt = keyStroke.alt;
    this.shift = keyStroke.shift;
    this.keyStrokeMode = keyStroke.keyStrokeMode;
  }
  render($drawingArea, event) {
    this.$drawingArea = this.keyStroke.renderKeyBox($drawingArea, event);
    return !!this.$drawingArea;
  }
  remove() {
    this.keyStroke.removeKeyBox(this.$drawingArea);
    this.$drawingArea = null;
  }
  toKeyStrokeString() {
    let keyStroke = '';
    if (this.ctrl) {
      keyStroke += 'Ctrl-';
    }
    if (this.alt) {
      keyStroke += 'Alt-';
    }
    if (this.shift) {
      keyStroke += 'Shift-';
    }
    let key = _index__WEBPACK_IMPORTED_MODULE_0__.keys.codesToKeys[this.which];
    if (key === undefined) {
      key = this.which;
    }
    keyStroke += key;
    return keyStroke;
  }
}

/***/ }),

/***/ "./src/keystroke/KeyStroke.ts":
/*!************************************!*\
  !*** ./src/keystroke/KeyStroke.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KeyStroke: () => (/* binding */ KeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class KeyStroke {
  constructor() {
    _defineProperty(this, "field", void 0);
    /** keys which this keystroke is bound to. Typically, this is a single key, but may be multiple keys if handling the same action (e.g. ENTER and SPACE on a button). */
    _defineProperty(this, "which", void 0);
    _defineProperty(this, "ctrl", void 0);
    _defineProperty(this, "inheritAccessibility", void 0);
    _defineProperty(this, "alt", void 0);
    _defineProperty(this, "shift", void 0);
    _defineProperty(this, "preventDefault", void 0);
    _defineProperty(this, "stopPropagation", void 0);
    _defineProperty(this, "stopImmediatePropagation", void 0);
    _defineProperty(this, "keyStrokeMode", void 0);
    /** whether the handle method is called multiple times while a key is pressed */
    _defineProperty(this, "repeatable", void 0);
    _defineProperty(this, "keyStrokeFirePolicy", void 0);
    _defineProperty(this, "enabledByFilter", void 0);
    /** Hints to control rendering of the key(s). */
    _defineProperty(this, "renderingHints", void 0);
    /**
     * Indicates whether to invoke 'acceptInput' on a currently focused value field prior handling the keystroke.
     */
    _defineProperty(this, "invokeAcceptInputOnActiveValueField", void 0);
    /**
     * Indicates whether to prevent to invoke 'acceptInput' on a currently focused value field prior handling the keystroke,
     * either triggered by previous property or by KeyStrokeContext
     */
    _defineProperty(this, "preventInvokeAcceptInputOnActiveValueField", void 0);
    /** internal flag to remember whether the handle method has been executed (reset on keyup) */
    _defineProperty(this, "_handleExecuted", void 0);
    this.field = null;
    this.which = [];
    this.ctrl = false;
    this.inheritAccessibility = true;
    this.alt = false;
    this.shift = false;
    this.preventDefault = true;
    this.stopPropagation = false;
    this.stopImmediatePropagation = false;
    this.keyStrokeMode = KeyStroke.Mode.DOWN;
    this.repeatable = false;
    this._handleExecuted = false;
    this.keyStrokeFirePolicy = _index__WEBPACK_IMPORTED_MODULE_0__.Action.KeyStrokeFirePolicy.ACCESSIBLE_ONLY;
    this.enabledByFilter = true;
    this.renderingHints = {
      render: () => {
        if (this.field && this.field.rendered !== undefined) {
          return this.field.rendered; // only render key if associated field is visible.
        }
        return true; // by default, keystrokes are rendered
      },
      gap: 4,
      offset: 4,
      hAlign: _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.LEFT,
      text: null,
      $drawingArea: ($drawingArea, event) => $drawingArea
    };
    this.invokeAcceptInputOnActiveValueField = false;
    this.preventInvokeAcceptInputOnActiveValueField = false;
  }
  /**
   * Parses the given keystroke name into the key parts like 'ctrl', 'shift', 'alt' and 'which'.
   */
  parseAndSetKeyStroke(keyStrokeName) {
    this.alt = false;
    this.ctrl = false;
    this.shift = false;
    this.which = [];
    if (keyStrokeName) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, KeyStroke.parseKeyStroke(keyStrokeName));
    }
  }
  /**
   * Returns true if this event is handled by this keystroke, and if so sets the propagation flags accordingly.
   */
  accept(event) {
    if (!this._isEnabled()) {
      return false;
    }
    // Check whether this event is accepted for execution.
    if (!this._accept(event)) {
      return false;
    }
    // Apply propagation flags to the event.
    this._applyPropagationFlags(event);
    // only accept on correct event type -> keyup or keydown. But propagation flags should be set to prevent execution of upper keyStrokes.
    return event.type === this.keyStrokeMode;
  }
  /**
   * Method invoked to handle the given keystroke event, and is only called if the event was accepted by 'KeyStroke.accept(event)'.
   */
  handle(event) {
    throw new Error('keystroke event not handled: ' + event);
  }
  invokeHandle(event) {
    // if keystroke is repeatable, handle is called each time the key event occurs
    // which means it is executed multiple times while a key is pressed.
    if (this.repeatable) {
      this.handle(event);
      return;
    }
    // if keystroke is not repeatable it should only call execute once until
    // we receive a key up event for that key
    if (!this._handleExecuted) {
      this.handle(event);
      if (event.type === KeyStroke.Mode.DOWN) {
        this._handleExecuted = true;
        // Reset handleExecuted on the next key up event
        // (use capturing phase to execute even if event.stopPropagation has been called)
        let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
        let $window = $target.window();
        let keyStroke = this;
        let keyUpHandler = {
          handleEvent: function (event) {
            keyStroke._handleExecuted = false;
            $window[0].removeEventListener('keyup', this, true);
          }
        };
        $window[0].addEventListener('keyup', keyUpHandler, true);
      }
    }
  }
  /**
   * Method invoked in the context of accepting a keystroke, and returns true if the keystroke is accessible to the user.
   */
  _isEnabled() {
    // Hint: do not check for which.length because there are keystrokes without a which, e.g. RangeKeyStroke.js
    if (!this.field) {
      return true;
    }
    if (this.field.isRemovalPending()) {
      // Prevent possible exceptions or unexpected behavior if a keystroke is executed while a widget is being removed.
      return false;
    }
    if (!this.field.visible) {
      return false;
    }
    if (!this.inheritAccessibility) {
      return true;
    }
    // Check enabled state only if inheritAccessibility is true
    return this.field.enabledComputed;
  }
  /**
   * Method invoked in the context of accepting a keystroke, and returns true if the event matches this keystroke.
   */
  _accept(event) {
    return KeyStroke.acceptEvent(this, event);
  }
  /**
   * Method invoked in the context of accepting a keystroke, and sets the propagation flags accordingly.
   */
  _applyPropagationFlags(event) {
    if (this.stopPropagation) {
      event.stopPropagation();
    }
    if (this.stopImmediatePropagation) {
      event.stopImmediatePropagation();
    }
    if (this.preventDefault) {
      event.preventDefault();
    }
  }
  /**
   * Returns the key(s) associated with this keystroke. Typically, this is a single key, but may be multiple if this keystroke is associated with multiple keys, e.g. ENTER and SPACE on a button.
   */
  keys() {
    return this.which.map(which => new _index__WEBPACK_IMPORTED_MODULE_0__.Key(this, which));
  }
  /**
   * Renders the visual representation of this keystroke, with the 'which' as given by the event.
   *
   * @returns $drawingArea on which the key was finally rendered.
   */
  renderKeyBox($drawingArea, event) {
    $drawingArea = this.renderingHints.$drawingArea($drawingArea, event);
    if (!$drawingArea || !$drawingArea.length) {
      return null;
    }
    let $keyBox = this._renderKeyBox($drawingArea, event.which);
    this._postRenderKeyBox($drawingArea, $keyBox);
    return $drawingArea;
  }
  _renderKeyBox($parent, keyCode) {
    let $existingKeyBoxes = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.key-box', $parent);
    let text = this.renderingHints.text || _index__WEBPACK_IMPORTED_MODULE_0__.keys.codesToKeys[_index__WEBPACK_IMPORTED_MODULE_0__.keys.fromBrowser(keyCode)];
    let align = this.renderingHints.hAlign === _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT ? 'right' : 'left';
    let offset = this.renderingHints.offset;
    $existingKeyBoxes = $existingKeyBoxes.filter(function () {
      if (align === 'right') {
        return jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).hasClass('right');
      }
      return !jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).hasClass('right');
    });
    if ($existingKeyBoxes.length > 0) {
      let $boxLastAdded = $existingKeyBoxes.first();
      if (this.renderingHints.hAlign === _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT) {
        offset = $parent.outerWidth() - $boxLastAdded.position().left + this.renderingHints.gap;
      } else {
        offset = $boxLastAdded.position().left + this.renderingHints.gap + $boxLastAdded.outerWidth();
      }
    }
    if (this.shift) {
      text = 'Shift ' + text;
    }
    if (this.alt) {
      text = 'Alt ' + text;
    }
    if (this.ctrl) {
      text = 'Ctrl ' + text;
    }
    let position = $parent.css('position');
    if (position === 'absolute' || position === 'relative' || position === 'static' && $existingKeyBoxes.length > 0) {
      return prependKeyBox.call(this, offset);
    }
    let pos = $parent.position();
    if (pos) {
      return prependKeyBox.call(this, pos.left + offset);
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('(keys#drawSingleKeyBoxItem) pos is undefined. $parent=' + $parent);
    function prependKeyBox(alignValue) {
      return $parent.prependDiv('key-box', text).css(align, alignValue + 'px').toggleClass('disabled', !this.enabledByFilter).addClass(align);
    }
  }
  /**
   * Method invoked after this keystroke was rendered, and is typically overwritten to reposition the visual representation.
   */
  _postRenderKeyBox($drawingArea, $keyBox) {
    // nop
  }
  /**
   * Removes the visual representation of this keystroke.
   */
  removeKeyBox($drawingArea) {
    if ($drawingArea) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.key-box', $drawingArea).remove();
      jquery__WEBPACK_IMPORTED_MODULE_1___default()('.key-box-additional', $drawingArea).remove();
    }
  }
  // --- Static helpers --- //
  /**
   * Parses the given keystroke name into the key parts like 'ctrl', 'shift', 'alt' and 'which'.
   *
   * @see "org.eclipse.scout.rt.client.ui.action.keystroke.KeyStrokeNormalizer"
   */
  static parseKeyStroke(keyStrokeName) {
    if (!keyStrokeName) {
      return null;
    }
    let keyStrokeObj = {
      alt: false,
      ctrl: false,
      shift: false,
      which: []
    };
    keyStrokeName.split('-').forEach(part => {
      if (part === 'alternate' || part === 'alt') {
        keyStrokeObj.alt = true;
      } else if (part === 'control' || part === 'ctrl') {
        keyStrokeObj.ctrl = true;
      } else if (part === 'shift') {
        keyStrokeObj.shift = true;
      } else {
        let key = _index__WEBPACK_IMPORTED_MODULE_0__.keys[part.toUpperCase()];
        keyStrokeObj.which = key && [key];
      }
    });
    return keyStrokeObj;
  }
  static acceptEvent(keyStroke, event) {
    if (!keyStroke) {
      return false;
    }
    // event.ctrlKey||event.metaKey  --> some keystrokes with ctrl modifier are captured and suppressed by osx use in this cases command key
    return KeyStroke.acceptModifiers(keyStroke, event) && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, keyStroke.which);
  }
  static acceptModifiers(keyStroke, event) {
    return KeyStroke._acceptModifier(keyStroke.ctrl, event.ctrlKey || event.metaKey) && KeyStroke._acceptModifier(keyStroke.alt, event.altKey) && KeyStroke._acceptModifier(keyStroke.shift, event.shiftKey);
  }
  static _acceptModifier(modifier, eventModifier) {
    return modifier === undefined || eventModifier === undefined || modifier === eventModifier;
  }
}
_defineProperty(KeyStroke, "Mode", {
  UP: 'keyup',
  DOWN: 'keydown'
});

/***/ }),

/***/ "./src/keystroke/KeyStrokeContext.ts":
/*!*******************************************!*\
  !*** ./src/keystroke/KeyStrokeContext.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KeyStrokeContext: () => (/* binding */ KeyStrokeContext)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Contains a list of {@link KeyStroke}s that can be activated by pressing the corresponding keys if the focus is inside the {@link $bindTarget}.
 */
class KeyStrokeContext {
  constructor(options) {
    _defineProperty(this, "invokeAcceptInputOnActiveValueField", void 0);
    _defineProperty(this, "keyStrokes", void 0);
    _defineProperty(this, "stopPropagationInterceptors", void 0);
    _defineProperty(this, "$bindTarget", void 0);
    _defineProperty(this, "$scopeTarget", void 0);
    /** @internal */
    _defineProperty(this, "_handler", void 0);
    /**
     * Arrays with combinations of keys to prevent from bubbling up in the DOM tree.
     */
    _defineProperty(this, "_stopPropagationKeys", void 0);
    this.$bindTarget = null;
    this.$scopeTarget = null;
    this.keyStrokes = [];
    this.stopPropagationInterceptors = [];
    this._stopPropagationKeys = {};
    this.invokeAcceptInputOnActiveValueField = false;
    options = options || {};
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  /**
   * Registers the given keys as 'stopPropagation' keys, meaning that any keystroke event with that key and matching the modifier bit mask is prevented from bubbling the DOM tree up.
   *
   * @param modifierBitMask bitwise OR modifier constants to match a keystroke event. (KeyStrokeModifier.js)
   * @param keys the keys to match a keystroke event.
   */
  registerStopPropagationKeys(modifierBitMask, keys) {
    this._stopPropagationKeys[modifierBitMask] = this._stopPropagationKeys[modifierBitMask] || [];
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(this._stopPropagationKeys[modifierBitMask], keys);
  }
  /**
   * Unregisters the given keys as 'stopPropagation' keys.
   *
   * @param modifierBitMask bitwise OR modifier constants to match a keystroke event. (KeyStrokeModifier.js)
   * @param keys the keys to match a keystroke event.
   */
  unregisterStopPropagationKeys(modifierBitMask, keys) {
    if (!this._stopPropagationKeys[modifierBitMask]) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(this._stopPropagationKeys[modifierBitMask], keys);
  }
  toggleStopPropagationKeys(modifierBitMask, keys, condition) {
    if (condition) {
      this.registerStopPropagationKeys(modifierBitMask, keys);
    } else {
      this.unregisterStopPropagationKeys(modifierBitMask, keys);
    }
  }
  /**
   * Use this method to register an interceptor to set propagation flags on context level.
   */
  registerStopPropagationInterceptor(interceptor) {
    this.stopPropagationInterceptors.push(interceptor);
  }
  /**
   * Returns true if this event is handled by this context, and if so sets the propagation flags accordingly.
   */
  accept(event) {
    // Check whether this event is accepted.
    if (!this._accept(event)) {
      return false;
    }
    // Apply propagation flags to the event.
    this._applyPropagationFlags(event);
    return true;
  }
  /**
   * Sets the propagation flags to the given event.
   */
  _applyPropagationFlags(event) {
    let modifierBitMask = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.toModifierBitMask(event);
    let keys = this._stopPropagationKeys[modifierBitMask];
    if (keys && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, keys)) {
      event.stopPropagation();
    }
    // Let registered interceptors participate.
    this.stopPropagationInterceptors.forEach(interceptor => interceptor(event));
  }
  _accept(event) {
    return true;
  }
  registerKeyStroke(keyStroke) {
    this.registerKeyStrokes(keyStroke);
  }
  /**
   * Registers the given keystroke(s) if not installed yet.
   */
  registerKeyStrokes(keyStrokes) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(keyStrokes).map(this._resolveKeyStroke, this).filter(ks => this.keyStrokes.indexOf(ks) === -1) // must not be registered yet
    .forEach(keystroke => {
      this.keyStrokes.push(keystroke);
      let ks;
      ks = keystroke;
      // Registers a destroy listener, so that the keystroke is uninstalled once its field is destroyed.
      if (ks.field && !ks.destroyListener) {
        ks.destroyListener = event => {
          this.unregisterKeyStroke(ks);
          ks.destroyListener = null;
        };
        ks.field.one('destroy', ks.destroyListener);
      }
    });
  }
  /**
   * Uninstalls the given keystroke. Has no effect if not installed.
   */
  unregisterKeyStroke(keyStroke) {
    this.unregisterKeyStrokes(keyStroke);
  }
  unregisterKeyStrokes(keyStrokes) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(keyStrokes).map(this._resolveKeyStroke, this).forEach(keystroke => {
      let ks;
      ks = keystroke;
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.keyStrokes, ks) && ks.field && ks.destroyListener) {
        ks.field.off('destroy', ks.destroyListener);
        ks.destroyListener = null;
      }
    });
  }
  _resolveKeyStroke(keyStroke) {
    if (keyStroke instanceof _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke) {
      return keyStroke;
    }
    if (keyStroke instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Action) {
      return keyStroke.actionKeyStroke;
    }
    throw new Error('unsupported keystroke: ' + keyStroke);
  }
  /**
   * Returns the $target where to bind this context as keydown listener.
   */
  $getBindTarget() {
    return typeof this.$bindTarget === 'function' ? this.$bindTarget() : this.$bindTarget;
  }
  /**
   * Returns the scope of this context and is used to determine the context's accessibility, meaning not covert by a glasspane.
   */
  $getScopeTarget() {
    return typeof this.$scopeTarget === 'function' ? this.$scopeTarget() : this.$scopeTarget;
  }
  clone() {
    return new KeyStrokeContext(jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this));
  }
}

/***/ }),

/***/ "./src/keystroke/KeyStrokeContextOptions.ts":
/*!**************************************************!*\
  !*** ./src/keystroke/KeyStrokeContextOptions.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/keystroke/KeyStrokeManager.ts":
/*!*******************************************!*\
  !*** ./src/keystroke/KeyStrokeManager.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KeyStrokeManager: () => (/* binding */ KeyStrokeManager)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class KeyStrokeManager extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "helpKeyStroke", void 0);
    _defineProperty(this, "swallowF1", void 0);
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "_helpRendered", void 0);
    _defineProperty(this, "_renderedKeys", void 0);
    this.session = null;
    this.helpKeyStroke = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.parseKeyStroke('F1');
    this.swallowF1 = true;
    this._helpRendered = false;
    this._renderedKeys = [];
    this.filters = [];
  }
  init(model) {
    this.session = model.session;
    this.installTopLevelKeyStrokeHandlers(this.session.$entryPoint);
  }
  installTopLevelKeyStrokeHandlers($container) {
    let myWindow = $container.window(true),
      // Swallow F1 (online help) keystroke
      helpHandler = event => event.which !== _index__WEBPACK_IMPORTED_MODULE_0__.keys.F1,
      // Swallow Backspace (browser navigation) keystroke
      backspaceHandler = event => event.which !== _index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE;
    if (this.swallowF1) {
      $container.keydown(helpHandler).keyup(helpHandler);
    }
    $container.keydown(backspaceHandler).keyup(backspaceHandler);
    if ('onhelp' in myWindow) {
      myWindow['onhelp'] = _index__WEBPACK_IMPORTED_MODULE_0__.filters.returnFalse;
    }
  }
  /**
   * Installs the given keystroke context. This method has no effect if the context is null, or already installed.
   */
  installKeyStrokeContext(keyStrokeContext) {
    if (!keyStrokeContext) {
      return;
    }
    let handler = keyStrokeContext._handler;
    if (handler) {
      return; // context already installed
    }
    if (!keyStrokeContext.$getBindTarget()) {
      throw new Error('missing bind-target for KeyStrokeContext: ' + keyStrokeContext);
    }
    handler = this._onKeyEvent.bind(this, keyStrokeContext);
    handler.$target = keyStrokeContext.$getBindTarget();
    handler.$target.on('keydown', handler);
    handler.$target.on('keyup', handler);
    keyStrokeContext._handler = handler;
  }
  /**
   * Uninstalls the given keystroke context. This method has no effect if the context is null, or not installed.
   */
  uninstallKeyStrokeContext(keyStrokeContext) {
    if (!keyStrokeContext) {
      return;
    }
    let handler = keyStrokeContext._handler;
    if (!handler) {
      return; // context not installed
    }
    handler.$target.off('keydown', handler);
    handler.$target.off('keyup', handler);
    handler.$target = null;
    keyStrokeContext._handler = null;
  }
  /**
   * Visualizes the keys supported by the given keyStrokeContext.
   */
  _renderKeys(keyStrokeContext, event) {
    let descendantContexts = event.originalEvent.keyStrokeContexts || [];
    let immediatePropagationStoppedKeys = [];
    keyStrokeContext.keyStrokes.filter(keyStroke => {
      let render = keyStroke.renderingHints.render;
      return typeof render === 'function' ? render.call(keyStroke) : render;
    }).forEach(keyStroke => {
      keyStroke.enabledByFilter = this._filter(keyStroke);
      let $drawingArea = (keyStroke.field ? keyStroke.field.$container : null) || keyStrokeContext.$getScopeTarget(); // Precedence: keystroke's field container, or the scope target otherwise.
      let keys = keyStroke.keys(); // Get all keys which are handled by the keystroke. Typically, this is a single key.
      keys.forEach(key => {
        let virtualKeyStrokeEvent = new _index__WEBPACK_IMPORTED_MODULE_0__.VirtualKeyStrokeEvent(key.which, key.ctrl, key.alt, key.shift, key.keyStrokeMode, event);
        if (immediatePropagationStoppedKeys.indexOf(key.toKeyStrokeString()) < 0 && keyStrokeContext.accept(virtualKeyStrokeEvent) && keyStroke.accept(virtualKeyStrokeEvent) && !this._isPreventedByDescendantContext(key, event, descendantContexts)) {
          if (key.render($drawingArea, virtualKeyStrokeEvent)) {
            this._renderedKeys.push(key);
          }
          // If immediate propagation is stopped, keystrokes on the same level which react to the same key won't be executed -> make sure they won't be displayed either
          if (virtualKeyStrokeEvent.isImmediatePropagationStopped()) {
            immediatePropagationStoppedKeys.push(key.toKeyStrokeString());
          }
        }
      });
    });
    descendantContexts.push(keyStrokeContext); // Register this keyStrokeContext within the event, so that superior keyStrokeContexts can validate their keys (e.g. not swallowed by a descendant keyStrokeContext).
    event.originalEvent.keyStrokeContexts = descendantContexts;
  }
  _isPreventedByDescendantContext(key, event, descendantContexts) {
    let virtualKeyStrokeEvent = new _index__WEBPACK_IMPORTED_MODULE_0__.VirtualKeyStrokeEvent(key.which, key.ctrl, key.alt, key.shift, key.keyStrokeMode, event);
    // Check whether any descendant keyStrokeContext prevents this keystroke from execution.
    return descendantContexts.some(descendantContext => {
      // Ask descendant keyStrokeContext whether this event is swallowed.
      descendantContext.accept(virtualKeyStrokeEvent);
      if (virtualKeyStrokeEvent.isAnyPropagationStopped()) {
        return true;
      }
      // Ask keystrokes of descendant keyStrokeContext whether this event is swallowed.
      return descendantContext.keyStrokes.some(descendantKeyStroke => {
        descendantKeyStroke.accept(virtualKeyStrokeEvent);
        return virtualKeyStrokeEvent.isAnyPropagationStopped();
      });
    });
  }
  /**
   * Handles the keystroke event by the keyStrokeContext's keystroke handlers, but returns immediately once a keystroke requests immediate stop of propagation.
   */
  _handleKeyStrokeEvent(keyStrokeContext, event) {
    if (!keyStrokeContext.accept(event)) {
      return;
    }
    if (keyStrokeContext.keyStrokes.length < 1) {
      return;
    }
    // Handle numpad keystroke
    if (event.which >= 96 && event.which <= 105) {
      event.which = event.which - 48;
    }
    // We create a copy of the keyStrokes array, because when a widget is disposed in the handle function
    // of a keystroke, all its keystrokes on the context are deleted. Which means no keystroke is processed
    // anymore. However: creating a copy can be dangerous too, because the handle function must deal with
    // the situation that the widget to which the keystroke belongs, is suddenly destroyed.
    let keyStrokesCopy = keyStrokeContext.keyStrokes.slice();
    keyStrokesCopy.some(keyStroke => {
      if (!keyStroke.accept(event)) {
        return false;
      }
      // Before handling the keystroke, accept the input of a potential active value field
      if (this.invokeAcceptInputOnActiveValueField(keyStroke, keyStrokeContext)) {
        _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.invokeValueFieldAcceptInput(event.target);
      }
      if (!this._filter(keyStroke)) {
        return true; // 'some-loop' breaks on true
      }
      this.trigger('keyStroke', {
        keyStroke: keyStroke,
        keyStrokeContext: keyStrokeContext
      });
      // Handle the keystroke
      keyStroke.invokeHandle(event);
      // Break on 'stopImmediate'.
      return event.isImmediatePropagationStopped(); // 'some-loop' breaks on true
    });
  }
  _filter(keyStroke) {
    for (let i = 0; i < this.filters.length; i++) {
      if (!this.filters[i].filter(keyStroke)) {
        return false;
      }
    }
    return true;
  }
  invokeAcceptInputOnActiveValueField(keyStroke, keyStrokeContext) {
    return !keyStroke.preventInvokeAcceptInputOnActiveValueField && (keyStroke.invokeAcceptInputOnActiveValueField || keyStrokeContext.invokeAcceptInputOnActiveValueField);
  }
  _isHelpKeyStroke(event) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.acceptEvent(this.helpKeyStroke, event);
  }
  _installHelpDisposeListener(event) {
    let helpDisposeHandler,
      $currentTarget = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget),
      $myWindow = $currentTarget.window(),
      $topLevelContainer = $currentTarget.entryPoint();
    helpDisposeHandler = function () {
      $topLevelContainer.off('keyup', helpDisposeHandler);
      $myWindow.off('blur', helpDisposeHandler);
      this._helpRendered = false;
      this._renderedKeys.forEach(key => key.remove());
      this._renderedKeys = [];
    }.bind(this);
    $topLevelContainer.on('keyup', helpDisposeHandler);
    $myWindow.on('blur', helpDisposeHandler); // once the current browser tab/window is left
    return false;
  }
  _onKeyEvent(keyStrokeContext, event) {
    // check if scopeTarget is covered by glass pane
    if (this.session.focusManager.isElementCovertByGlassPane(keyStrokeContext.$getScopeTarget())) {
      // check if any action with 'keyStrokeFirePolicy=IAction.KeyStrokeFirePolicy.ALWAYS' is in keyStrokeContext
      let keyStrokeFirePolicyAlways = jquery__WEBPACK_IMPORTED_MODULE_1___default().grep(keyStrokeContext.keyStrokes, k => k.keyStrokeFirePolicy === _index__WEBPACK_IMPORTED_MODULE_0__.Action.KeyStrokeFirePolicy.ALWAYS); // (will at least return an empty array)
      if (keyStrokeFirePolicyAlways.length === 0) {
        return;
      }
      // copy current keyStrokeContext and replace keyStrokes with filtered array 'keyStrokeFirePolicyAlways'
      keyStrokeContext = keyStrokeContext.clone();
      keyStrokeContext.keyStrokes = keyStrokeFirePolicyAlways;
    }
    if (this._isHelpKeyStroke(event)) {
      if (event.originalEvent.renderingHelp || !this._helpRendered) {
        event.originalEvent.renderingHelp = true; // flag to let superior keyStrokeContexts render their help keys
        this._helpRendered = true; // flag to only render help once, if help key is held down
        this._installHelpDisposeListener(event);
        this._renderKeys(keyStrokeContext, event);
      }
    } else {
      this._handleKeyStrokeEvent(keyStrokeContext, event);
    }
  }
  addFilter(filter) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushSet(this.filters, filter);
  }
  removeFilter(filter) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.filters, filter);
  }
}

/***/ }),

/***/ "./src/keystroke/KeyStrokeManagerEventMap.ts":
/*!***************************************************!*\
  !*** ./src/keystroke/KeyStrokeManagerEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/keystroke/KeyStrokeModel.ts":
/*!*****************************************!*\
  !*** ./src/keystroke/KeyStrokeModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/keystroke/RangeKeyStroke.ts":
/*!*****************************************!*\
  !*** ./src/keystroke/RangeKeyStroke.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RangeKeyStroke: () => (/* binding */ RangeKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * KeyStroke which is bound to a range of keys, e.g. ctrl-1 ... ctrl-9.
 */
class RangeKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor() {
    super();
    _defineProperty(this, "ranges", void 0);
    this.ranges = [];
  }
  registerRange(from, to) {
    this.ranges.push({
      from: from,
      to: to
    });
  }
  _accept(event) {
    // event.ctrlKey||event.metaKey  --> some keystrokes with ctrl modifier are captured and suppressed by osx use in this cases command key
    if ((event.ctrlKey || event.metaKey) !== this.ctrl || event.altKey !== this.alt || event.shiftKey !== this.shift) {
      return false;
    }
    return this.ranges.some(range => event.which >= this._getRangeFrom(range) && event.which <= this._getRangeTo(range));
  }
  keys() {
    let keys = [];
    this.ranges.forEach(range => {
      let from = this._getRangeFrom(range);
      let to = this._getRangeTo(range);
      for (let which = from; which <= to; which++) {
        keys.push(new _index__WEBPACK_IMPORTED_MODULE_0__.Key(this, which));
      }
    });
    return keys;
  }
  _getRangeFrom(range) {
    return typeof range.from === 'function' ? range.from() : range.from;
  }
  _getRangeTo(range) {
    return typeof range.to === 'function' ? range.to() : range.to;
  }
}

/***/ }),

/***/ "./src/keystroke/ScoutKeyboardEvent.ts":
/*!*********************************************!*\
  !*** ./src/keystroke/ScoutKeyboardEvent.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/keystroke/VirtualKeyStrokeEvent.ts":
/*!************************************************!*\
  !*** ./src/keystroke/VirtualKeyStrokeEvent.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VirtualKeyStrokeEvent: () => (/* binding */ VirtualKeyStrokeEvent)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class VirtualKeyStrokeEvent {
  constructor(which, ctrl, alt, shift, keyStrokeMode, eventOrTarget) {
    _defineProperty(this, "which", void 0);
    _defineProperty(this, "ctrlKey", void 0);
    _defineProperty(this, "metaKey", void 0);
    _defineProperty(this, "altKey", void 0);
    _defineProperty(this, "shiftKey", void 0);
    _defineProperty(this, "target", void 0);
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "originalEvent", void 0);
    _defineProperty(this, "_propagationStopped", void 0);
    _defineProperty(this, "_immediatePropagationStopped", void 0);
    _defineProperty(this, "_defaultPrevented", void 0);
    this.which = which;
    this.ctrlKey = ctrl;
    this.metaKey = false;
    this.altKey = alt;
    this.shiftKey = shift;
    if (eventOrTarget instanceof HTMLElement) {
      this.target = eventOrTarget;
    } else {
      this.target = eventOrTarget.target;
      this.originalEvent = eventOrTarget.originalEvent;
    }
    this.type = keyStrokeMode;
    this._propagationStopped = false;
    this._immediatePropagationStopped = false;
    this._defaultPrevented = false;
  }
  stopPropagation() {
    this._propagationStopped = true;
  }
  stopImmediatePropagation() {
    this._immediatePropagationStopped = true;
  }
  preventDefault() {
    this._defaultPrevented = true;
  }
  isPropagationStopped() {
    return this._propagationStopped;
  }
  isImmediatePropagationStopped() {
    return this._immediatePropagationStopped;
  }
  isDefaultPrevented() {
    return this._defaultPrevented;
  }
  isAnyPropagationStopped() {
    return this._propagationStopped || this._immediatePropagationStopped;
  }
}

/***/ }),

/***/ "./src/keystroke/keyStrokeModifier.ts":
/*!********************************************!*\
  !*** ./src/keystroke/keyStrokeModifier.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   keyStrokeModifier: () => (/* binding */ keyStrokeModifier)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
const keyStrokeModifier = {
  /**
   * Modifier like shift, ctrl or alt used in keystrokes.
   *
   * A keystroke can consist of multiple modifierBitMask, which can be represented by bitwise OR them together.
   */
  NONE: 0,
  // without any modifier
  CTRL: 1 << 0,
  // with the ctrl modifier (NOSONAR)
  CTRL_UNDEFINED: 1 << 1,
  // with or without the ctrl modifier (NOSONAR)
  SHIFT: 1 << 2,
  // with the shift modifier (NOSONAR)
  SHIFT_UNDEFINED: 1 << 3,
  // with or without the shift modifier (NOSONAR)
  ALT: 1 << 4,
  // with the alt modifier (NOSONAR)
  ALT_UNDEFINED: 1 << 5,
  // with or without the alt modifier (NOSONAR)
  isCtrl(modifierBitMask) {
    return keyStrokeModifier._eval(modifierBitMask, keyStrokeModifier.CTRL, keyStrokeModifier.CTRL_UNDEFINED);
  },
  isShift(modifierBitMask) {
    return keyStrokeModifier._eval(modifierBitMask, keyStrokeModifier.SHIFT, keyStrokeModifier.SHIFT_UNDEFINED);
  },
  isAlt(modifierBitMask) {
    return keyStrokeModifier._eval(modifierBitMask, keyStrokeModifier.ALT, keyStrokeModifier.ALT_UNDEFINED);
  },
  /** @internal */
  _eval(testee, modifier, modifierUndefined) {
    if ((modifierUndefined & testee) > 0) {
      // NOSONAR
      return undefined;
    }
    return (modifier & testee) > 0; // NOSONAR
  },
  toModifierBitMask(event) {
    let modifierBitMask = 0;
    modifierBitMask |= event.ctrlKey ? keyStrokeModifier.CTRL : 0; // NOSONAR
    modifierBitMask |= event.altKey ? keyStrokeModifier.ALT : 0; // NOSONAR
    modifierBitMask |= event.shiftKey ? keyStrokeModifier.SHIFT : 0; // NOSONAR
    return modifierBitMask;
  }
};

/***/ }),

/***/ "./src/keystroke/keys.ts":
/*!*******************************!*\
  !*** ./src/keystroke/keys.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   keys: () => (/* binding */ keys)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const keys = {
  BACKSPACE: 8,
  TAB: 9,
  ENTER: 13,
  SHIFT: 16,
  CTRL: 17,
  ALT: 18,
  PAUSE: 19,
  CAPS_LOCK: 20,
  ESC: 27,
  /**
   * The duplicate ESC / ESCAPE constant is required for Scout classic
   * where keys defined in IKeyStroke are mapped to keys defined in keys.js
   */
  ESCAPE: 27,
  PAGE_UP: 33,
  PAGE_DOWN: 34,
  END: 35,
  HOME: 36,
  LEFT: 37,
  UP: 38,
  RIGHT: 39,
  DOWN: 40,
  SPACE: 32,
  PRINT_SCREEN: 44,
  INSERT: 45,
  DELETE: 46,
  0: 48,
  1: 49,
  2: 50,
  3: 51,
  4: 52,
  5: 53,
  6: 54,
  7: 55,
  8: 56,
  9: 57,
  A: 65,
  B: 66,
  C: 67,
  D: 68,
  E: 69,
  F: 70,
  G: 71,
  H: 72,
  I: 73,
  J: 74,
  K: 75,
  L: 76,
  M: 77,
  N: 78,
  O: 79,
  P: 80,
  Q: 81,
  R: 82,
  S: 83,
  T: 84,
  U: 85,
  V: 86,
  W: 87,
  X: 88,
  Y: 89,
  Z: 90,
  F1: 112,
  F2: 113,
  F3: 114,
  F4: 115,
  F5: 116,
  F6: 117,
  F7: 118,
  F8: 119,
  F9: 120,
  F10: 121,
  F11: 122,
  F12: 123,
  WIN_LEFT: 91,
  // Left Windows key / left command key
  WIN_RIGHT: 92,
  // Right Windows key / right command key
  SELECT: 93,
  // Menu key
  NUMPAD_0: 96,
  NUMPAD_1: 97,
  NUMPAD_2: 98,
  NUMPAD_3: 99,
  NUMPAD_4: 100,
  NUMPAD_5: 101,
  NUMPAD_6: 102,
  NUMPAD_7: 103,
  NUMPAD_8: 104,
  NUMPAD_9: 105,
  MULTIPLY: 106,
  ADD: 107,
  SUBTRACT: 109,
  DECIMAL_POINT: 110,
  DIVIDE: 111,
  NUM_LOCK: 144,
  SCROLL_LOCK: 145,
  SEMICOLON: 186,
  // ü
  DASH: 189,
  COMMA: 188,
  POINT: 190,
  FORWARD_SLASH: 191,
  // §
  OPEN_BRACKET: 219,
  // '
  BACK_SLASH: 220,
  // ä
  CLOSE_BRACKET: 221,
  // ^
  SINGLE_QUOTE: 222,
  // ö,
  ANGULAR_BRACKET: 226,
  codesToKeys: {
    8: 'Backspace',
    9: 'Tab',
    13: 'Enter',
    16: 'SHIFT',
    17: 'CTRL',
    18: 'ALT',
    19: 'PAUSE',
    20: 'Caps lock',
    27: 'Esc',
    33: 'Page up',
    34: 'Page down',
    35: 'End',
    36: 'Home',
    37: 'Left',
    38: 'Up',
    39: 'Right',
    40: 'Down',
    32: 'Space',
    44: 'Print screen',
    45: 'Insert',
    46: 'Delete',
    48: '0',
    49: '1',
    50: '2',
    51: '3',
    52: '4',
    53: '5',
    54: '6',
    55: '7',
    56: '8',
    57: '9',
    65: 'A',
    66: 'B',
    67: 'C',
    68: 'D',
    69: 'E',
    70: 'F',
    71: 'G',
    72: 'H',
    73: 'I',
    74: 'J',
    75: 'K',
    76: 'L',
    77: 'M',
    78: 'N',
    79: 'O',
    80: 'P',
    81: 'Q',
    82: 'R',
    83: 'S',
    84: 'T',
    85: 'U',
    86: 'V',
    87: 'W',
    88: 'X',
    89: 'Y',
    90: 'Z',
    91: 'WIN_LEFT',
    92: 'WIN_RIGHT',
    93: 'SELECT',
    112: 'F1',
    113: 'F2',
    114: 'F3',
    115: 'F4',
    116: 'F5',
    117: 'F6',
    118: 'F7',
    119: 'F8',
    120: 'F9',
    121: 'F10',
    122: 'F11',
    123: 'F12',
    96: 'NUMPAD_0',
    97: 'NUMPAD_1',
    98: 'NUMPAD_2',
    99: 'NUMPAD_3',
    100: 'NUMPAD_4',
    101: 'NUMPAD_5',
    102: 'NUMPAD_6',
    103: 'NUMPAD_7',
    104: 'NUMPAD_8',
    105: 'NUMPAD_9',
    106: 'MULTIPLY',
    107: '+',
    109: 'SUBTRACT',
    110: 'DECIMAL_POINT',
    111: '/',
    144: 'Num lock',
    145: 'Scroll lock',
    186: 'ü',
    // ü
    189: '-',
    188: ',',
    190: '.',
    191: '§',
    219: '\'',
    220: 'ä',
    221: '^',
    222: 'ö',
    226: '<'
  },
  /**
   * This map defines key-codes which are not the same in various browsers. Use the forBrowser function to access it.
   */
  browserMap: {
    [_index__WEBPACK_IMPORTED_MODULE_0__.Device.Browser.FIREFOX]: {
      226: 60
    },
    [_index__WEBPACK_IMPORTED_MODULE_0__.Device.Browser.SAFARI]: {
      226: 188,
      ctrl: {
        226: 192
      }
    }
  },
  browserMapReverse: {},
  /**
   * If a browser has a non-standard key-code for one of the keys defined in this file this function returns the correct key code for that browser.
   *
   * @param [modifier] some key codes change when a modifier is pressed
   */
  forBrowser: (keyCode, modifier) => keys.mapKey(keys.browserMap, keyCode, modifier),
  /**
   * If a browser has a non-standard key-code for one of the keys defined in this file this function returns the original key for that browser.
   */
  fromBrowser: keyCode => keys.mapKey(keys.browserMapReverse, keyCode),
  mapKey: (map, keyCode, modifier) => {
    let browserMap = map[_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().browser];
    if (browserMap && modifier) {
      browserMap = browserMap[modifier];
    }
    if (browserMap && browserMap.hasOwnProperty(keyCode)) {
      // A mapping is defined for this browser and key-code
      return browserMap[keyCode];
    }
    // No mapping is defined, use standard
    return keyCode;
  }
};
// Create a map with reverse key mappings for browser specific keys
for (let browser in keys.browserMap) {
  let reverseMap = {};
  let mappedKeysForBrowser = keys.browserMap[browser];
  for (let origKey in mappedKeysForBrowser) {
    let browserKey = mappedKeysForBrowser[origKey];
    reverseMap[browserKey] = parseInt(origKey, 10);
  }
  keys.browserMapReverse[browser] = reverseMap;
}

/***/ }),

/***/ "./src/label/Label.ts":
/*!****************************!*\
  !*** ./src/label/Label.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Label: () => (/* binding */ Label)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Label extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "value", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "scrollable", void 0);
    this.value = null;
    this.htmlEnabled = false;
    this.scrollable = false;
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.AppLinkKeyStroke(this, this._onAppLinkAction));
  }
  _init(model) {
    super._init(model);
    this.resolveTextKeys(['value']);
  }
  _render() {
    this.$container = this.$parent.appendDiv();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValue();
    this._renderScrollable();
  }
  setValue(value) {
    this.setProperty('value', value);
  }
  _renderValue() {
    let value = this.value || '';
    if (this.htmlEnabled) {
      this.$container.html(value);
      // Find app links and add handlers
      this.$container.find('.app-link').on('click', this._onAppLinkAction.bind(this));
      // Add handler to images to update the layout when the images are loaded
      this.$container.find('img').on('load', this._onImageLoad.bind(this)).on('error', this._onImageError.bind(this));
    } else {
      this.$container.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(value));
    }
    // Because this method replaces the content, the scroll bars might have to be added or removed
    if (this.rendered) {
      // (only necessary if already rendered, otherwise it is done by renderProperties)
      this._uninstallScrollbars();
      this._renderScrollable();
    }
    this.invalidateLayoutTree();
  }
  setHtmlEnabled(htmlEnabled) {
    this.setProperty('htmlEnabled', htmlEnabled);
  }
  _renderHtmlEnabled() {
    // Render the value again when html enabled changes dynamically
    this._renderValue();
  }
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    if (this.scrollable) {
      this._installScrollbars();
    } else {
      this._uninstallScrollbars();
    }
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  _onImageLoad(event) {
    this.invalidateLayoutTree();
  }
  _onImageError(event) {
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/label/LabelAdapter.ts":
/*!***********************************!*\
  !*** ./src/label/LabelAdapter.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LabelAdapter: () => (/* binding */ LabelAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LabelAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/label/LabelEventMap.ts":
/*!************************************!*\
  !*** ./src/label/LabelEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/label/LabelModel.ts":
/*!*********************************!*\
  !*** ./src/label/LabelModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/layout/AbstractLayout.ts":
/*!**************************************!*\
  !*** ./src/layout/AbstractLayout.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractLayout: () => (/* binding */ AbstractLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * A layout is responsible to layout the children of a container and is able to return its preferred size.
 */
class AbstractLayout {
  constructor() {
    _defineProperty(this, "animateClasses", void 0);
    _defineProperty(this, "cssClass", void 0);
    this.animateClasses = [];
  }
  /**
   * Called when layout is invalidated. An implementation should delete cached layout-information when it is invalidated.
   *
   * May be implemented by a sub-class.
   *
   * @param htmlSource The component the invalidation originated from.
   *        Is always set if the invalidation is triggered by using {@link HtmlComponent.invalidateLayoutTree}, may be undefined otherwise.
   */
  invalidate(htmlSource) {
    // nop
  }
  /**
   * Layouts children of the given $container, according to the implemented layout algorithm.
   * The implementation should call {@link HtmlComponent.setSize} or {@link HtmlComponent.setBounds} on its children which will validate their layout.
   */
  layout($container) {
    // nop
  }
  /**
   * Reverts the adjustments made by {@link HtmlComponent#_adjustSizeHintsForPrefSize} without the margin.
   * More concrete: it adds border and padding to the hints again.
   */
  _revertSizeHintsAdjustments($container, options) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    if (options.widthHint) {
      options.widthHint += htmlContainer.insets().horizontal();
    }
    if (options.heightHint) {
      options.heightHint += htmlContainer.insets().vertical();
    }
  }
  /**
   * Returns the preferred size of the given $container.
   */
  preferredLayoutSize($container, options) {
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    if (this.animateClasses.length > 0) {
      options.animateClasses = this.animateClasses;
    }
    // Insets have been removed automatically by the html component with the assumption that the layout will pass it to its child elements.
    // Since this is not the case in this generic layout the insets have to be added again, otherwise the sizes used to measure would be too small.
    this._revertSizeHintsAdjustments($container, options);
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($container, options);
  }
}

/***/ }),

/***/ "./src/layout/ColumnLayout.ts":
/*!************************************!*\
  !*** ./src/layout/ColumnLayout.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColumnLayout: () => (/* binding */ ColumnLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * ColumnLayout = each child element represents a column
 * +------+---+------+
 * |      |   |      |
 * +------+---+------+
 */
class ColumnLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(options) {
    super();
    _defineProperty(this, "stretch", void 0);
    _defineProperty(this, "useCssWidth", void 0);
    options = options || {};
    this.stretch = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.stretch, true);
    this.useCssWidth = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.useCssWidth, false);
  }
  _getChildren($container) {
    return $container.children();
  }
  layout($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let containerSize = htmlComp.availableSize().subtract(htmlComp.insets());
    this._getChildren($container).each((i, elem) => {
      let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($elem);
      if (!htmlChild || !$elem.isVisible()) {
        return;
      }
      let childPrefSize = htmlChild.prefSize({
        useCssSize: true
      });
      if (this.stretch) {
        // All elements in a column layout have the same height which is the height of the container
        childPrefSize.height = containerSize.height - htmlChild.margins().vertical();
      }
      // Use layout data width if set
      if (htmlChild.layoutData && htmlChild.layoutData.widthHint) {
        childPrefSize.width = htmlChild.layoutData.widthHint;
      }
      if (this.useCssWidth) {
        htmlChild.$comp.cssHeight(childPrefSize.height);
        htmlChild.revalidateLayout();
      } else {
        htmlChild.setSize(childPrefSize);
      }
    });
  }
  preferredLayoutSize($container, options) {
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      childOptions = {
        useCssSize: true
      };
    this._getChildren($container).each((i, elem) => {
      let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($elem);
      if (!htmlChild || !$elem.isVisible()) {
        return;
      }
      let childPrefSize = htmlChild.prefSize(childOptions);
      // Use layout data width if set
      if (htmlChild.layoutData && htmlChild.layoutData.widthHint) {
        childPrefSize.width = htmlChild.layoutData.widthHint;
      }
      childPrefSize = childPrefSize.add(htmlChild.margins());
      prefSize.width = prefSize.width + childPrefSize.width;
      prefSize.height = Math.max(prefSize.height, childPrefSize.height);
    });
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/layout/Dimension.ts":
/*!*********************************!*\
  !*** ./src/layout/Dimension.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Dimension: () => (/* binding */ Dimension)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class Dimension {
  /**
   * If no parameters are passed, all members are initialized with 0.
   */
  constructor(widthOrDimension, height) {
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "height", void 0);
    if (widthOrDimension instanceof Dimension) {
      this.width = widthOrDimension.width;
      this.height = widthOrDimension.height;
    } else {
      this.width = widthOrDimension || 0;
      this.height = height || 0;
    }
  }
  toString() {
    return 'Dimension[width=' + this.width + ' height=' + this.height + ']';
  }
  equals(o) {
    if (!o) {
      return false;
    }
    return this.width === o.width && this.height === o.height;
  }
  clone() {
    return new Dimension(this.width, this.height);
  }
  subtract(insets) {
    return new Dimension(this.width - insets.horizontal(), this.height - insets.vertical());
  }
  add(insets) {
    return new Dimension(this.width + insets.horizontal(), this.height + insets.vertical());
  }
  /**
   * Creates a copy and calls Math.floor() on each property.
   */
  floor() {
    return new Dimension(Math.floor(this.width), Math.floor(this.height));
  }
  /**
   * Creates a copy and calls Math.ceil() on each property.
   */
  ceil() {
    return new Dimension(Math.ceil(this.width), Math.ceil(this.height));
  }
}

/***/ }),

/***/ "./src/layout/HtmlComponent.ts":
/*!*************************************!*\
  !*** ./src/layout/HtmlComponent.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlComponent: () => (/* binding */ HtmlComponent)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * A HTMLComponent wraps a {@link JQuery} object and provides a possibility to layout its children using {@link AbstractLayout}.
 * A layout is necessary if it is not sufficient to use CSS for layouting, e.g. for elements that need to be positioned and sized dynamically and exactly.
 * <p>
 * Every component is responsible to layout its child components using the specified {@link layout}. The layout calculates and updates the sizes and/or positions for the children using {@link setSize} or {@link setBounds}.
 * If the size or bounds change, the child components get invalid and need to layout their children as well. So the layouting happens top-down.
 * <p>
 * If a child component is modified, e.g. changes its visibility or another attribute that impacts the size or position, it needs to be invalidated. Since this not only affects the parent component but possibly every ancestor,
 * the whole ancestor component tree needs to be invalidated. This is done by using {@link invalidateLayoutTree}. So the invalidation happens bottom-up.
 */
class HtmlComponent {
  constructor($comp, session) {
    _defineProperty(this, "$comp", void 0);
    _defineProperty(this, "layout", void 0);
    _defineProperty(this, "layoutData", void 0);
    /**
     * Flag to indicate that the component has been layouted at least once. Invalidation should NOT reset this flag.
     */
    _defineProperty(this, "layouted", void 0);
    /**
     * Flag to indicate that the component is being layouted.
     */
    _defineProperty(this, "layouting", void 0);
    /**
     * Set pixelBasedSizing to false if your component automatically adjusts its size,
     * e.g. by using CSS styling -> setSize won't be called.
     */
    _defineProperty(this, "pixelBasedSizing", void 0);
    /**
     * Object which stores the computed preferred size. Key is a string containing the width and height hints.
     * @see #computePrefSizeKey(options);
     */
    _defineProperty(this, "prefSizeCached", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "sizeCached", void 0);
    /**
     * May be set to temporarily disable invalidation (e.g. if the component gets modified during the layouting process)
     */
    _defineProperty(this, "suppressInvalidate", void 0);
    /**
     * May be set to temporarily disable layout validation (e.g. if the component gets modified during the layouting process).
     * It is still possible to invalidate its layout. But as long as this flag is set, it will not validate the layout.
     * It is the responsibility of the caller to ensure that the component is validated again (if necessary) when the layout validation suppression is removed.
     */
    _defineProperty(this, "suppressValidate", void 0);
    _defineProperty(this, "valid", void 0);
    _defineProperty(this, "validateRoot", void 0);
    if (!session) {
      throw new Error('session must be defined for ' + this.debug());
    }
    this.$comp = $comp;
    this.layout = new _index__WEBPACK_IMPORTED_MODULE_0__.NullLayout();
    this.layoutData = null;
    this.valid = false;
    this.validateRoot = false;
    this.layouted = false;
    this.layouting = false;
    this.suppressInvalidate = false;
    this.suppressValidate = false;
    this.pixelBasedSizing = true;
    this.sizeCached = null;
    this.prefSizeCached = {};
    this.session = session;
    this.scrollable = false;
  }
  /**
   * Returns the {@link HtmlComponent} of the parent DOM element or null if there is no parent DOM element or the parent DOM element is not linked to a HtmlComponent.
   */
  getParent() {
    let $parent = this.$comp.parent();
    if ($parent.length === 0) {
      return null;
    }
    return HtmlComponent.optGet($parent);
  }
  /**
   * @returns true if the given htmlComponent is an ancestor, false if not.
   */
  isDescendantOf(htmlComp) {
    let $parent = this.$comp.parent();
    while ($parent.length > 0) {
      if (HtmlComponent.optGet($parent) === htmlComp) {
        return true;
      }
      $parent = $parent.parent();
    }
    return false;
  }
  /**
   * Computes the preferred height if the component is scrollable and returns it, if it is greater than the actual size.
   * If it is not scrollable, the actual height is returned.
   * <p>
   * The returned size contains insets (padding and border) but no margin. The width is always the actual width because there are no horizontal scrollbars.
   */
  availableSize(options) {
    options = options || {};
    let size = this.size({
      exact: options.exact
    });
    if (this.scrollable) {
      let prefSize = this.prefSize({
        widthHint: size.width,
        removeMarginFromHints: false // Since the width of this component is used as hint, the margin must not be removed
      });
      if (prefSize.height > size.height) {
        size.height = prefSize.height;
      }
    }
    return size;
  }
  /**
   * Invalidates the component (sets the valid property to false and calls {@link AbstractLayout.invalidate}.
   * @param htmlSource The component the invalidation originated from.
   *        Is always set if the invalidation is triggered by using {@link invalidateLayoutTree}, may be undefined otherwise.
   */
  invalidateLayout(htmlSource) {
    this.valid = false;
    this.prefSizeCached = {};
    if (this.layout) {
      this.layout.invalidate(htmlSource);
    }
  }
  /**
   * Calls the layout of the component to lay out its children but only if the component is not valid.
   * @returns true if validation was successful, false if it could not be executed (e.g. because the element is invisible or detached)
   * @exception when component has no layout
   */
  validateLayout() {
    if (!this.layout) {
      throw new Error('Called layout() but component has no layout');
    }
    if (this.valid) {
      return true;
    }
    if (this.suppressValidate) {
      return false;
    }
    if (this.layouting) {
      return false;
    }
    if (!this._checkValidationPossible()) {
      return false;
    }
    this.layouting = true;
    this.layout.layout(this.$comp);
    this.layouting = false;
    this.layouted = true;
    // Save size for later use (necessary if pixelBasedSizing is set to false)
    this.sizeCached = this.size({
      exact: true
    });
    this.valid = true;
    return true;
  }
  _checkValidationPossible() {
    // Don't valid layout of components which don't exist anymore, are invisible or are detached from the DOM
    if (!this.isAttachedAndVisible()) {
      return false;
    }
    // Postpone the layout if there is an animation in progress, because measured sizes may be wrong during the animation.
    if (this.$comp.hasAnimationClass()) {
      this._validateLayoutAfterAnimation(this.$comp);
      return false;
    }
    let animatePromise = this.$comp.data('animate-promise');
    if (animatePromise) {
      this._validateLayoutAfterPromise(animatePromise);
      return false;
    }
    // Check the visibility of the parents as well.
    // Also check if one of the parents is currently being animated.
    // To improve performance (the check might loop to the top of the DOM tree), the following code is
    // not executed if the parent already executed it, which is the case if the parent is being layouted.
    let parent = this.getParent();
    if (!parent || !parent.layouting) {
      let everyParentVisible = true;
      let $animatedParent = null;
      this.$comp.parents().each(function () {
        let $parent = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
        if (!$parent.isVisible()) {
          everyParentVisible = false;
          return false; // end loop
        }
        if ($parent.hasAnimationClass()) {
          $animatedParent = $parent;
          return false; // end loop
        }
        animatePromise = $parent.data('animate-promise');
        if (animatePromise) {
          return false; // end loop
        }
        // continue loop
      });
      if (!everyParentVisible) {
        return false;
      }
      if ($animatedParent) {
        this._validateLayoutAfterAnimation($animatedParent);
        return false;
      }
      if (animatePromise) {
        this._validateLayoutAfterPromise(animatePromise);
        return false;
      }
    }
    return true;
  }
  _validateLayoutAfterAnimation($animatedElement) {
    $animatedElement.oneAnimationEnd(this.validateLayout.bind(this));
  }
  _validateLayoutAfterPromise(promise) {
    // Note: the always() callback is executed synchronously after the animation is done, regardless of whether it has been completed or aborted
    promise.always(this.validateLayout.bind(this));
  }
  /**
   * Performs invalidateLayout() and validateLayout() subsequently.
   */
  revalidateLayout() {
    this.invalidateLayout();
    this.validateLayout();
  }
  /**
   * Uses the {@link LayoutValidator} to invalidate the html component tree up to the next validate root. If invalidateParents is set to false, only the current component is invalidated.
   * Default for invalidateParents is true.
   * <p>
   * Invalidating basically means setting {@link valid} to false so that the next validation cycle will layout the component again. See also {@link invalidate}.
   * <p>
   * The caller does not need to trigger a validation manually. The {@link LayoutValidator} will schedule the next validation automatically.
   */
  invalidateLayoutTree(invalidateParents) {
    if (this.suppressInvalidate) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateParents, true)) {
      this.session.layoutValidator.invalidateTree(this); // will call invalidateLayout(), which sets this.valid = false
    } else {
      this.invalidateLayout();
      this.session.layoutValidator.invalidate(this);
    }
  }
  /**
   * Layouts all invalid components
   */
  validateLayoutTree() {
    if (this.suppressValidate) {
      return;
    }
    this.session.layoutValidator.validate();
  }
  /**
   * Performs {@link invalidateLayoutTree} and {@link validateLayoutTree} subsequently.
   */
  revalidateLayoutTree(invalidateParents) {
    if (this.suppressInvalidate) {
      return;
    }
    this.invalidateLayoutTree(invalidateParents);
    this.validateLayoutTree();
  }
  /**
   * Marks the end of the parent invalidation.
   * <p>
   * A component is a validate root if its size does not depend on the visibility or bounds of its children.
   * <p>
   * Example: It is not necessary to relayout the whole form if just the label of a form field gets invisible.
   * Only the form field container needs to be relayouted. In this case the form field container is the validate root.
   */
  isValidateRoot() {
    if (this.validateRoot) {
      return true;
    }
    if (!this.layoutData || !this.layoutData.isValidateRoot) {
      return false;
    }
    return this.layoutData.isValidateRoot();
  }
  /**
   * Sets the given layout.
   */
  setLayout(layout) {
    this.layout = layout;
    if (layout.cssClass) {
      this.$comp.addClass(layout.cssClass);
    }
  }
  /**
   * Returns the preferred size of the component, insets included, margin excluded.
   * <p>
   * The preferred size is cached until the component will be invalidated.
   * Hence, subsequent calls to this function will return the cached preferred size unless the component is invalidated.
   * <p>
   *
   * @param options an optional options object. See {@link HtmlCompPrefSizeOptions} for the available options.
   *                All other options are passed as they are to the layout when {@link AbstractLayout.preferredLayoutSize} is called.
   *                But it depends on the actual layout if these options have an effect or not.
   *                Short-hand version: If a boolean is passed instead of an object, the value is automatically converted to the option "includeMargin".
   * @exception When component has no layout
   */
  prefSize(options) {
    if (!this.isVisible()) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    if (typeof options === 'boolean') {
      options = {
        includeMargin: options
      };
    } else {
      // Create a copy to not modify the original options
      options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    }
    let includeMargin = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.includeMargin, false);
    options.includeMargin = null;
    if (!this.layout) {
      throw new Error('Called prefSize() but component has no layout');
    }
    let prefSizeCacheKey = this.computePrefSizeKey(options);
    let prefSizeCached = this.prefSizeCached[prefSizeCacheKey];
    if (!jquery__WEBPACK_IMPORTED_MODULE_1___default().isEmptyObject(prefSizeCached)) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(HtmlComponent#prefSize) ' + this.debug() + ' widthHint=' + options.widthHint + ' heightHint=' + options.heightHint + ' prefSizeCached=' + prefSizeCached);
      if (includeMargin) {
        prefSizeCached = prefSizeCached.add(this.margins());
      }
      return prefSizeCached.clone();
    }
    let minSize = this.cssMinSize();
    let maxSize = this.cssMaxSize();
    if (options.widthHint || options.heightHint) {
      this._adjustSizeHintsForPrefSize(options, minSize, maxSize);
    }
    let prefSize = this.layout.preferredLayoutSize(this.$comp, options);
    this._adjustPrefSizeWithMinMaxSize(prefSize, minSize, maxSize);
    this.prefSizeCached[prefSizeCacheKey] = prefSize;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(HtmlComponent#prefSize) ' + this.debug() + ' widthHint=' + options.widthHint + ' heightHint=' + options.heightHint + ' prefSize=' + prefSize);
    if (includeMargin) {
      prefSize = prefSize.add(this.margins());
    }
    return prefSize.clone();
  }
  computePrefSizeKey(options) {
    return 'wHint' + _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.widthHint, '-1') + 'hHint' + _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.heightHint, '-1') + 'wOnly' + _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.widthOnly, '-1');
  }
  /**
   * Removes padding, border and margin from the width and heightHint so that the actual layout does not need to take care of it.
   * Also makes sure the hints consider the min and max size set by CSS.
   */
  _adjustSizeHintsForPrefSize(options, minSize, maxSize) {
    let removeMargins = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.removeMarginFromHints, true);
    let removeInsets = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.removeInsetsFromHints, true);
    options.removeMarginFromHints = null;
    options.removeInsetsFromHints = null;
    if (!options.widthHint && !options.heightHint) {
      return;
    }
    let margins = removeMargins ? this.margins() : new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    let insets = removeInsets ? this.insets() : new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    if (options.widthHint) {
      // The order is important! Box-sizing: border-box is expected.
      options.widthHint -= margins.horizontal();
      options.widthHint = Math.max(options.widthHint, minSize.width);
      options.widthHint = Math.min(options.widthHint, maxSize.width);
      options.widthHint -= insets.horizontal();
    }
    if (options.heightHint) {
      // The order is important! Box-sizing: border-box is expected.
      options.heightHint -= margins.vertical();
      options.heightHint = Math.max(options.heightHint, minSize.height);
      options.heightHint = Math.min(options.heightHint, maxSize.height);
      options.heightHint -= insets.vertical();
    }
  }
  /**
   * The html element may define a min or max height/height -> adjust the pref size accordingly
   * @internal
   */
  _adjustPrefSizeWithMinMaxSize(prefSize, minSize, maxSize) {
    minSize = minSize || this.cssMinSize();
    maxSize = maxSize || this.cssMaxSize();
    prefSize.height = Math.max(prefSize.height, minSize.height);
    prefSize.height = Math.min(prefSize.height, maxSize.height);
    prefSize.width = Math.max(prefSize.width, minSize.width);
    prefSize.width = Math.min(prefSize.width, maxSize.width);
  }
  /**
   * Returns the inset-dimensions of the component (padding and border, no margin).
   */
  insets(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$comp, options);
  }
  margins() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.$comp);
  }
  borders() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.borders(this.$comp);
  }
  cssMinSize() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.cssMinSize(this.$comp);
  }
  cssMaxSize() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.cssMaxSize(this.$comp);
  }
  /**
   * @param options an optional options object. Short-hand version: If a boolean is passed instead
   *                of an object, the value is automatically converted to the option "includeMargin".
   * @returns the size of the component, insets included.
   * @see graphics.size
   */
  size(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.$comp, options);
  }
  /**
   * Sets the size of the component, insets included. Which means: the method subtracts the components insets
   * from the given size before setting the width/height of the component.
   */
  setSize(size) {
    if (!this.isAttachedAndVisible()) {
      // don't invalidate the layout if component is invisible because sizes may not be read correctly and therefore prefSize will be wrong
      return;
    }
    let oldSize = this.sizeCached;
    if (!size.equals(oldSize)) {
      this.invalidateLayout();
    }
    if (this.pixelBasedSizing) {
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize(this.$comp, size);
    }
    this.validateLayout();
  }
  /**
   * Delegates to {@link graphics.bounds}.
   */
  bounds(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(this.$comp, options);
  }
  /**
   * Delegates to {@link graphics.position}.
   */
  position() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.position(this.$comp);
  }
  /**
   * Delegates to {@link graphics.offsetBounds}.
   */
  offsetBounds(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$comp, options);
  }
  /**
   * Delegates to {@link graphics.offset}.
   */
  offset() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offset(this.$comp);
  }
  /**
   * Delegates to {@link graphics.setLocation}.
   */
  setLocation(location) {
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setLocation(this.$comp, location);
  }
  /**
   * Delegates to {@link graphics.location}.
   */
  location() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.location(this.$comp);
  }
  setBounds(bounds) {
    if (!this.isAttachedAndVisible()) {
      // don't invalidate the layout if component is invisible because sizes may not be read correctly and therefore prefSize will be wrong
      return;
    }
    let oldSize = this.sizeCached;
    if (!bounds.dimension().equals(oldSize)) {
      this.invalidateLayout();
    }
    if (this.pixelBasedSizing) {
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(this.$comp, bounds);
    }
    this.validateLayout();
  }
  /**
   * Sets the component to its preferred size.
   */
  pack() {
    let preferredSize = this.prefSize();
    this.setSize(preferredSize);
  }
  /**
   * Checks whether {@link $comp} is in the DOM or has been removed or detached.<br>
   * Also returns false if the {@link $comp} does not belong to a window (defaultView) anymore. This may happen if it belonged to a popup window which is now closed.
   */
  isAttached() {
    return this.$comp.isAttached() && !!this.$comp.window(true);
  }
  isVisible() {
    return this.$comp.isVisible();
  }
  isAttachedAndVisible() {
    return this.isAttached() && this.isVisible();
  }
  debug() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(this.$comp);
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  /**
   * Creates a new {@link HtmlComponent} and links it to the given $comp element, so it can be
   * retrieved again with <code>HtmlComponent.get($comp)</code>.
   */
  static install($comp, session) {
    if (!$comp) {
      throw new Error('Missing argument "$comp"');
    }
    if (!session) {
      throw new Error('Missing argument "session"');
    }
    let htmlComp = new HtmlComponent($comp, session);
    // link DOM element with the new instance
    $comp.data('htmlComponent', htmlComp);
    return htmlComp;
  }
  /**
   * Returns the {@link HtmlComponent} associated with the given DOM $comp.
   * Throws an error when data 'htmlComponent' is not set.
   */
  static get($comp) {
    let htmlComp = this.optGet($comp);
    if (!htmlComp) {
      let details = '';
      if ($comp) {
        details = '\nClass: ' + $comp.attr('class');
        details += '\nId: ' + $comp.attr('id');
        details += '\nAttached: ' + $comp.isAttached();
      }
      throw new Error('data "htmlComponent" is undefined.' + details);
    }
    return htmlComp;
  }
  /**
   * Returns the {@link HtmlComponent} associated with the given DOM $comp.
   * Returns null if data 'htmlComponent' is not set.
   */
  static optGet($comp) {
    return $comp && $comp.data('htmlComponent');
  }
}

/***/ }),

/***/ "./src/layout/HtmlEnvironment.ts":
/*!***************************************!*\
  !*** ./src/layout/HtmlEnvironment.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlEnvironment: () => (/* binding */ HtmlEnvironment)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

let instance;
/**
 * @singleton
 */
class HtmlEnvironment extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    // -------------------------------
    // The values for these properties are defined using CSS (sizes.less).
    // The following values are default values in case the CSS values are not available.
    // -------------------------------
    _defineProperty(this, "formRowHeight", void 0);
    _defineProperty(this, "formRowGap", void 0);
    _defineProperty(this, "formColumnWidth", void 0);
    /** 40 pixel actual form gap - fieldMandatoryIndicatorWidth */
    _defineProperty(this, "formColumnGap", void 0);
    _defineProperty(this, "smallColumnGap", void 0);
    _defineProperty(this, "fieldLabelWidth", void 0);
    _defineProperty(this, "fieldMandatoryIndicatorWidth", void 0);
    _defineProperty(this, "fieldStatusWidth", void 0);
    this.formRowHeight = 30;
    this.formRowGap = 10;
    this.formColumnWidth = 420;
    this.formColumnGap = 32;
    this.smallColumnGap = 4;
    this.fieldLabelWidth = 140;
    this.fieldMandatoryIndicatorWidth = 8;
    this.fieldStatusWidth = 20;
  }
  init(additionalClass) {
    additionalClass = additionalClass ? ' ' + additionalClass : '';
    this.formRowHeight = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-logical-grid-row' + additionalClass, 'height', 'height', this.formRowHeight);
    this.formRowGap = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-logical-grid-row' + additionalClass, 'margin-bottom', 'marginBottom', this.formRowGap);
    this.formColumnWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-logical-grid-column' + additionalClass, 'width', 'width', this.formColumnWidth);
    this.formColumnGap = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-logical-grid-column' + additionalClass, 'margin-right', 'marginRight', this.formColumnGap);
    this.smallColumnGap = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-logical-grid-column' + additionalClass, 'margin-left', 'marginLeft', this.smallColumnGap);
    this.fieldLabelWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-field-label' + additionalClass, 'width', 'width', this.fieldLabelWidth);
    this.fieldMandatoryIndicatorWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-field-mandatory-indicator' + additionalClass, 'width', 'width', this.fieldMandatoryIndicatorWidth);
    this.fieldStatusWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('html-env-field-status' + additionalClass, 'width', 'width', this.fieldStatusWidth);
    this.trigger('propertyChange');
  }
  static get() {
    return instance;
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('prepare', () => {
  if (instance) {
    // if the environment was created before the app itself, use it instead of creating a new one
    return;
  }
  instance = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(HtmlEnvironment);
  instance.init();
});

/***/ }),

/***/ "./src/layout/HtmlEnvironmentEventMap.ts":
/*!***********************************************!*\
  !*** ./src/layout/HtmlEnvironmentEventMap.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/layout/Insets.ts":
/*!******************************!*\
  !*** ./src/layout/Insets.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Insets: () => (/* binding */ Insets)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class Insets {
  /**
   * If no parameters are passed, all members are initialized with 0.
   */
  constructor(topOrInsets, right, bottom, left) {
    _defineProperty(this, "top", void 0);
    _defineProperty(this, "right", void 0);
    _defineProperty(this, "bottom", void 0);
    _defineProperty(this, "left", void 0);
    if (topOrInsets instanceof Insets) {
      this.top = topOrInsets.top;
      this.right = topOrInsets.right;
      this.bottom = topOrInsets.bottom;
      this.left = topOrInsets.left;
    } else {
      this.top = topOrInsets || 0;
      this.right = right || 0;
      this.bottom = bottom || 0;
      this.left = left || 0;
    }
  }
  toString() {
    return 'Insets[top=' + this.top + ' right=' + this.right + ' bottom=' + this.bottom + ' left=' + this.left + ']';
  }
  equals(o) {
    return this.top === o.top && this.right === o.right && this.bottom === o.bottom && this.left === o.left;
  }
  clone() {
    return new Insets(this.top, this.right, this.bottom, this.left);
  }
  horizontal() {
    return this.right + this.left;
  }
  vertical() {
    return this.top + this.bottom;
  }
  /**
   * Creates a copy and calls Math.floor() on each property.
   */
  floor() {
    return new Insets(Math.floor(this.top), Math.floor(this.right), Math.floor(this.bottom), Math.floor(this.left));
  }
  /**
   * Creates a copy and calls Math.ceil() on each property.
   */
  ceil() {
    return new Insets(Math.ceil(this.top), Math.ceil(this.right), Math.ceil(this.bottom), Math.ceil(this.left));
  }
}

/***/ }),

/***/ "./src/layout/LayoutConstants.ts":
/*!***************************************!*\
  !*** ./src/layout/LayoutConstants.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LayoutConstants: () => (/* binding */ LayoutConstants)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
const LayoutConstants = {
  MIN: 0,
  PREF: 1,
  MAX: 2,
  EPS: 1e-6
};

/***/ }),

/***/ "./src/layout/LayoutData.ts":
/*!**********************************!*\
  !*** ./src/layout/LayoutData.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/layout/LayoutValidator.ts":
/*!***************************************!*\
  !*** ./src/layout/LayoutValidator.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LayoutValidator: () => (/* binding */ LayoutValidator)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LayoutValidator {
  constructor() {
    /** @internal */
    _defineProperty(this, "_invalidComponents", void 0);
    _defineProperty(this, "_validateTimeoutId", void 0);
    _defineProperty(this, "_postValidateFunctions", void 0);
    _defineProperty(this, "_suppressValidate", void 0);
    this._invalidComponents = [];
    this._validateTimeoutId = null;
    this._postValidateFunctions = [];
    this._suppressValidate = false;
  }
  invalidateTree(htmlComp) {
    let validateRoot,
      htmlParent = htmlComp,
      htmlSource = htmlComp;
    // Mark every parent as invalid until validate root
    while (htmlParent) {
      htmlComp = htmlParent;
      htmlComp.invalidateLayout(htmlSource);
      if (htmlComp.isValidateRoot()) {
        validateRoot = htmlComp;
        break;
      }
      htmlParent = htmlComp.getParent();
    }
    if (!htmlParent) {
      validateRoot = htmlComp;
    }
    this.invalidate(validateRoot);
  }
  invalidate(htmlComp) {
    let position = 0;
    // Don't insert if already inserted...
    // Info: when component is already in list but no one triggers validation,
    // validation is never scheduled that's why we call scheduleValidation here.
    if (this._invalidComponents.indexOf(htmlComp) >= 0) {
      this._scheduleValidation(); // ... but schedule validation
      return;
    }
    // Make sure it will be inserted before any descendant
    // This prevents multiple layouting of the descendant
    this._invalidComponents.forEach((invalidComponent, i) => {
      if (invalidComponent.isDescendantOf(htmlComp)) {
        return;
      }
      position++;
    }, this);
    // Add validate root to list of invalid components. These are the starting point for a subsequent call to validate().
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this._invalidComponents, htmlComp, position);
    this._scheduleValidation();
  }
  _scheduleValidation() {
    if (this._validateTimeoutId !== null) {
      // Task already scheduled
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsMicrotask()) {
      this._validateTimeoutId = true; // boolean is sufficient, an id is only necessary for legacy purpose when setTimeout is used
      queueMicrotask(() => {
        // Validate, but only if still required
        if (this._validateTimeoutId) {
          try {
            this.validate();
          } catch (e) {
            // Without handling the exception it would be swallowed (as it happens for promises)
            _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler.handle(e);
          }
        }
      });
    } else {
      this._validateTimeoutId = setTimeout(() => this.validate());
    }
  }
  /**
   * Layouts all invalid components (unless they have been removed).
   */
  validate() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsMicrotask()) {
      clearTimeout(this._validateTimeoutId);
    }
    this._validateTimeoutId = null;
    if (this._suppressValidate) {
      return;
    }
    this._invalidComponents.slice().forEach(comp => {
      if (comp.validateLayout()) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._invalidComponents, comp);
      }
    });
    this._postValidateFunctions.splice(0).forEach(func => func());
  }
  /**
   * Suppresses every upcoming validations. The caller has to call {@link unsuppressValidate} to reactive validation again.
   * Can be useful if the browser starts the processing of the micro task queue unexpectedly (e.g. when inserting certain DOM elements).
   */
  suppressValidate() {
    this._suppressValidate = true;
  }
  unsuppressValidate() {
    this._suppressValidate = false;
    this._scheduleValidation();
  }
  /**
   * Removes those components from this._invalidComponents which have the given container as ancestor.
   * The idea is to remove all components whose ancestor is about to be removed from the DOM.
   */
  cleanupInvalidComponents($parentContainer) {
    this._invalidComponents.slice().forEach(comp => {
      if (comp.$comp.closest($parentContainer).length > 0) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._invalidComponents, comp);
      }
    });
  }
  /**
   * Runs the given function at the end of {@link validate}.
   */
  schedulePostValidateFunction(func) {
    if (!func) {
      return;
    }
    this._postValidateFunctions.push(func);
  }
  removePostValidateFunction(func) {
    if (!func) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._postValidateFunctions, func);
  }
}

/***/ }),

/***/ "./src/layout/NullLayout.ts":
/*!**********************************!*\
  !*** ./src/layout/NullLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NullLayout: () => (/* binding */ NullLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class NullLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  layout($container) {
    $container.children().each(function () {
      let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this));
      if (htmlComp) {
        htmlComp.revalidateLayout();
      }
    });
  }
}

/***/ }),

/***/ "./src/layout/Point.ts":
/*!*****************************!*\
  !*** ./src/layout/Point.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Point: () => (/* binding */ Point)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class Point {
  /**
   * If no parameters are passed, all members are initialized with 0.
   */
  constructor(xOrPoint, y) {
    _defineProperty(this, "x", void 0);
    _defineProperty(this, "y", void 0);
    if (xOrPoint instanceof Point) {
      this.x = xOrPoint.x;
      this.y = xOrPoint.y;
    } else {
      this.x = xOrPoint || 0;
      this.y = y || 0;
    }
  }
  toString() {
    return 'Point[x=' + this.x + ' y=' + this.y + ']';
  }
  equals(o) {
    if (!o) {
      return false;
    }
    return this.x === o.x && this.y === o.y;
  }
  clone() {
    return new Point(this.x, this.y);
  }
  add(point) {
    return new Point(this.x + point.x, this.y + point.y);
  }
  subtract(point) {
    return new Point(this.x - point.x, this.y - point.y);
  }
  /**
   * Creates a copy and calls Math.floor() on each property.
   */
  floor() {
    return new Point(Math.floor(this.x), Math.floor(this.y));
  }
  /**
   * Creates a copy and calls Math.ceil() on each property.
   */
  ceil() {
    return new Point(Math.ceil(this.x), Math.ceil(this.y));
  }
}

/***/ }),

/***/ "./src/layout/Rectangle.ts":
/*!*********************************!*\
  !*** ./src/layout/Rectangle.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Rectangle: () => (/* binding */ Rectangle)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Rectangle {
  /**
   * If no parameters are passed, all members are initialized with 0.
   */
  constructor(xOrRectangle, y, width, height) {
    _defineProperty(this, "x", void 0);
    _defineProperty(this, "y", void 0);
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "height", void 0);
    if (xOrRectangle instanceof Rectangle) {
      this.x = xOrRectangle.x;
      this.y = xOrRectangle.y;
      this.width = xOrRectangle.width;
      this.height = xOrRectangle.height;
    } else {
      this.x = xOrRectangle || 0;
      this.y = y || 0;
      this.width = width || 0;
      this.height = height || 0;
    }
  }
  toString() {
    return 'Rectangle[x=' + this.x + ' y=' + this.y + ' width=' + this.width + ' height=' + this.height + ']';
  }
  equals(o) {
    if (!o) {
      return false;
    }
    return this.x === o.x && this.y === o.y && this.width === o.width && this.height === o.height;
  }
  clone() {
    return new Rectangle(this.x, this.y, this.width, this.height);
  }
  center() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this.x + this.width / 2, this.y + this.height / 2);
  }
  right() {
    return this.x + this.width;
  }
  bottom() {
    return this.y + this.height;
  }
  contains(xOrPoint, y) {
    let point = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xOrPoint, y);
    return point.y >= this.y && point.y < this.bottom() && point.x >= this.x && point.x < this.right();
  }
  /**
   * Tests whether the specified rectangle intersects this rectangle.
   * This means the two rectangles share at least one internal point.
   *
   * @param r the rectangle to test against
   * @returns true if the specified rectangle intersects this one
   */
  intersects(r) {
    if (!r) {
      return false;
    }
    return r.width > 0 && r.height > 0 && this.width > 0 && this.height > 0 && r.x < this.right() && r.right() > this.x && r.y < this.bottom() && r.bottom() > this.y;
  }
  /**
   * Determines the intersection with the given rectangle.
   *
   * @returns the rectangle that represents the intersection, or an empty rectangle, if the rectangles don't intersect.
   */
  intersect(rect) {
    if (!this.intersects(rect)) {
      return new Rectangle();
    }
    let newRect = new Rectangle(Math.max(this.x, rect.x), Math.max(this.y, rect.y));
    newRect.width = Math.min(this.right(), rect.right()) - newRect.x;
    newRect.height = Math.min(this.bottom(), rect.bottom()) - newRect.y;
    return newRect;
  }
  /**
   * Subtracts the given insets from the rectangle.
   */
  subtract(insets) {
    return new Rectangle(this.x + insets.left, this.y + insets.top, this.width - insets.horizontal(), this.height - insets.vertical());
  }
  /**
   * Subtracts the insets only from the dimension properties (width and height)
   */
  subtractFromDimension(insets) {
    return new Rectangle(this.x, this.y, this.width - insets.horizontal(), this.height - insets.vertical());
  }
  /**
   * Adds the given insets to the rectangle.
   */
  add(insets) {
    return new Rectangle(this.x - insets.left, this.y - insets.top, this.width + insets.horizontal(), this.height + insets.vertical());
  }
  /**
   * Moves the rectangle the given distance.
   *
   * @param dxOrPoint the distance to move the rectangle along the x-axis, or a point object containing the diff on the x and y-axis.
   * @param dy the distance to move the rectangle along the y-axis.
   */
  translate(dxOrPoint, dy) {
    let point = this.point().add(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(dxOrPoint, dy));
    return this.moveTo(point);
  }
  /**
   * Moves the rectangle to the new point.
   *
   * @param xOrPoint the new position on the x-axis or a point object containing the new position.
   * @param y the new position on the y-axis.
   */
  moveTo(xOrPoint, y) {
    let point = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xOrPoint, y);
    return new Rectangle(point.x, point.y, this.width, this.height);
  }
  /**
   * @returns property x and y of this instance as new {@link Point} instance.
   */
  point() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this.x, this.y);
  }
  /**
   * @returns property width and height of this instance as new {@link Dimension} instance.
   */
  dimension() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(this.width, this.height);
  }
  union(r) {
    let tx2 = this.width;
    let ty2 = this.height;
    if (tx2 < 0 || ty2 < 0) {
      // This rectangle has negative dimensions...
      // If r has non-negative dimensions then it is the answer.
      // If r is non-existent (has a negative dimension), then both
      // are non-existent, and we can return any non-existent rectangle
      // as an answer.  Thus, returning r meets that criterion.
      // Either way, r is our answer.
      return new Rectangle(r.x, r.y, r.width, r.height);
    }
    let rx2 = r.width;
    let ry2 = r.height;
    if (rx2 < 0 || ry2 < 0) {
      return new Rectangle(this.x, this.y, this.width, this.height);
    }
    let tx1 = this.x;
    let ty1 = this.y;
    tx2 += tx1;
    ty2 += ty1;
    let rx1 = r.x;
    let ry1 = r.y;
    rx2 += rx1;
    ry2 += ry1;
    if (tx1 > rx1) {
      tx1 = rx1;
    }
    if (ty1 > ry1) {
      ty1 = ry1;
    }
    if (tx2 < rx2) {
      tx2 = rx2;
    }
    if (ty2 < ry2) {
      ty2 = ry2;
    }
    tx2 -= tx1;
    ty2 -= ty1;
    // tx2,ty2 will never underflow since both original rectangles
    // were already proven to be non-empty
    // they might overflow, though...
    if (tx2 > Number.MAX_VALUE) {
      tx2 = Number.MAX_VALUE;
    }
    if (ty2 > Number.MAX_VALUE) {
      ty2 = Number.MAX_VALUE;
    }
    return new Rectangle(tx1, ty1, tx2, ty2);
  }
  /**
   * Creates a copy and calls Math.floor() on each property.
   */
  floor() {
    return new Rectangle(Math.floor(this.x), Math.floor(this.y), Math.floor(this.width), Math.floor(this.height));
  }
  /**
   * Creates a copy and calls Math.ceil() on each property.
   */
  ceil() {
    return new Rectangle(Math.ceil(this.x), Math.ceil(this.y), Math.ceil(this.width), Math.ceil(this.height));
  }
}

/***/ }),

/***/ "./src/layout/RowLayout.ts":
/*!*********************************!*\
  !*** ./src/layout/RowLayout.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RowLayout: () => (/* binding */ RowLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * RowLayout = each child element represents a row
 * +-----------------+
 * |                 |
 * +-----------------+
 * |                 |
 * |                 |
 * +-----------------+
 * |                 |
 * +-----------------+
 */
class RowLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(options) {
    super();
    _defineProperty(this, "stretch", void 0);
    _defineProperty(this, "pixelBasedSizing", void 0);
    options = options || {};
    this.pixelBasedSizing = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.pixelBasedSizing, true);
    this.stretch = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.stretch, true);
  }
  _getChildren($container) {
    return $container.children();
  }
  layout($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let containerSize = htmlComp.availableSize().subtract(htmlComp.insets());
    this._getChildren($container).each((index, elem) => {
      let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($elem);
      if (!htmlChild || !$elem.isVisible()) {
        return;
      }
      if (!this.pixelBasedSizing) {
        htmlChild.validateLayout();
        return;
      }
      let prefSize = htmlChild.prefSize({
        widthHint: containerSize.width
      });
      if (this.stretch) {
        // All elements in a row layout have the same width which is the width of the container
        prefSize.width = containerSize.width - htmlChild.margins().horizontal();
      }
      htmlChild.setSize(prefSize);
    });
  }
  preferredLayoutSize($container, options) {
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      maxWidth = 0;
    this._getChildren($container).each((index, elem) => {
      let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($elem);
      if (!htmlChild || !$elem.isVisible()) {
        return;
      }
      let htmlChildPrefSize = htmlChild.prefSize(options).add(htmlChild.margins());
      maxWidth = Math.max(htmlChildPrefSize.width, maxWidth);
      prefSize.height += htmlChildPrefSize.height;
      prefSize.width = maxWidth;
    });
    prefSize = prefSize.add(htmlContainer.insets());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/layout/SingleLayout.ts":
/*!************************************!*\
  !*** ./src/layout/SingleLayout.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SingleLayout: () => (/* binding */ SingleLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Resizes the child so it has the same size as the container.<br>
 * If no child is provided, the first child in the container is used.
 */
class SingleLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(htmlChild, options) {
    super();
    _defineProperty(this, "exact", void 0);
    _defineProperty(this, "_htmlChild", void 0);
    this._htmlChild = htmlChild;
    options = options || {};
    this.exact = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.exact, false);
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let childSize = htmlContainer.availableSize({
        exact: this.exact
      }).subtract(htmlContainer.insets()),
      htmlChild = this._htmlChild;
    if (!htmlChild) {
      htmlChild = this._getHtmlSingleChild($container);
    }
    if (htmlChild) {
      htmlChild.setSize(childSize);
    }
  }
  preferredLayoutSize($container, options) {
    let htmlChild = this._htmlChild;
    if (!htmlChild) {
      htmlChild = this._getHtmlSingleChild($container);
    }
    if (htmlChild) {
      return htmlChild.prefSize(options).add(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($container));
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(1, 1);
  }
  /**
   * @returns the first child html component of the given container or null if the container has no child with a html component or no children at all.
   */
  _getHtmlSingleChild($container) {
    let htmlComp = null;
    $container.children().each((i, child) => {
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(jquery__WEBPACK_IMPORTED_MODULE_1___default()(child));
      if (htmlChild) {
        htmlComp = htmlChild;
        return false;
      }
    });
    return htmlComp;
  }
}

/***/ }),

/***/ "./src/layout/flexbox/FlexboxLayout.ts":
/*!*********************************************!*\
  !*** ./src/layout/flexbox/FlexboxLayout.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FlexboxLayout: () => (/* binding */ FlexboxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class FlexboxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(direction, cacheKey) {
    super();
    _defineProperty(this, "childrenLayoutDatas", void 0);
    _defineProperty(this, "cacheKey", void 0);
    _defineProperty(this, "_getDimensionValue", void 0);
    _defineProperty(this, "_layoutFromLayoutData", void 0);
    this.childrenLayoutDatas = [];
    this.cacheKey = null;
    this.setCacheKey(cacheKey);
    if (direction === FlexboxLayout.Direction.ROW) {
      this.preferredLayoutSize = this.preferredLayoutSizeRow;
      this._getDimensionValue = this._getWidth;
      this._layoutFromLayoutData = this._layoutFromLayoutDataRow;
    } else {
      this.preferredLayoutSize = this.preferredLayoutSizeColumn;
      this._getDimensionValue = this._getHeight;
      this._layoutFromLayoutData = this._layoutFromLayoutDataColumn;
    }
  }
  setCacheKey(cacheKey) {
    this.cacheKey = cacheKey;
    if (this.cacheKey && this.cacheKey.length > 0) {
      this.cacheKey.unshift('scout.flexboxLayout');
    }
  }
  _readCache(childCount) {
    if (!this.cacheKey || this.cacheKey.length === 0 || childCount < 2) {
      return;
    }
    let keySequence = this.cacheKey.slice(),
      cacheValue = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromLocalStorage(keySequence[0]),
      i = 1,
      cacheObj;
    keySequence.push('' + childCount);
    if (cacheValue) {
      cacheObj = JSON.parse(cacheValue);
    }
    while (cacheObj && i < keySequence.length) {
      cacheObj = cacheObj[keySequence[i]];
      i++;
    }
    return cacheObj;
  }
  _writeCache(childCount, sizes) {
    if (!this.cacheKey || this.cacheKey.length === 0 || childCount < 2) {
      return;
    }
    let keySequence = this.cacheKey.slice(),
      cacheValue = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromLocalStorage(keySequence[0]),
      i = 1,
      cacheObj,
      cachedSizes;
    keySequence.push('' + childCount);
    if (cacheValue) {
      cacheObj = JSON.parse(cacheValue);
    } else {
      cacheObj = {};
    }
    cachedSizes = cacheObj;
    while (i < keySequence.length - 1) {
      if (!cachedSizes[keySequence[i]]) {
        cachedSizes[keySequence[i]] = {};
      }
      cachedSizes = cachedSizes[keySequence[i]];
      i++;
    }
    cachedSizes[keySequence[i]] = sizes;
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToLocalStorage(keySequence[0], JSON.stringify(cacheObj));
  }
  _computeCacheKey(childCount) {
    // no need to cache bounds of a single child
    if (!this.cacheKey || childCount < 2) {
      return;
    }
    return this.cacheKey + '-' + childCount;
  }
  // layout functions
  layout($container) {
    let children = this._getChildren($container),
      htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      containerSize = htmlContainer.availableSize({
        exact: true
      }),
      splitterWithDelta;
    containerSize = containerSize.subtract(htmlContainer.insets());
    splitterWithDelta = children.filter(c => c.layoutData.diff)[0];
    if (splitterWithDelta) {
      this._layoutDelta(children, splitterWithDelta, containerSize);
    } else {
      this._layoutComponents(children, containerSize);
    }
  }
  _getChildren($container) {
    let children = [];
    $container.children().each(function () {
      let htmlChild = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this));
      if (htmlChild) {
        children.push(htmlChild);
      }
    });
    children = children.sort((a, b) => {
      return (a.layoutData.order || 0) - (b.layoutData.order || 0);
    });
    return children;
  }
  reset() {
    this.childrenLayoutDatas.forEach(ld => {
      ld.sizePx = 0;
      ld.initialPx = 0;
      ld.diff = null;
    });
    this.childrenLayoutDatas = [];
  }
  _layoutDelta(children, deltaComp, containerSize) {
    this.ensureInitialValues(children, containerSize);
    let delta = deltaComp.layoutData.diff,
      componentsBefore = children.slice(0, children.indexOf(deltaComp)).reverse(),
      componentsAfter = children.slice(children.indexOf(deltaComp) + 1),
      deltaDiffPrev,
      deltaDiffNext;
    // calculate if the delta can be applied to the previous and following columns
    deltaDiffPrev = _distributeDelta(componentsBefore, delta, false);
    deltaDiffNext = -_distributeDelta(componentsAfter, -delta, false);
    // compute the max delta could be applied
    delta = Math.sign(delta) * Math.min(Math.abs(delta - deltaDiffPrev), Math.abs(delta - deltaDiffNext));
    if (delta !== 0) {
      // apply the delta to the previous and following columns
      _distributeDelta(componentsBefore, delta, true);
      _distributeDelta(componentsAfter, -delta, true);
    }
    this._layoutFromLayoutDataWithCache(children, containerSize);
    /* private functions */
    function _distributeDelta(components, delta, applyDelta) {
      return components.reduce((diff, c) => {
        if (diff !== 0) {
          diff = c.layoutData.acceptDelta(diff, applyDelta);
        }
        return diff;
      }, delta);
    }
  }
  _layoutComponents(children, containerSize) {
    let delta = this.ensureInitialValues(children, containerSize);
    if (delta < 0) {
      this._adjust(children, delta, ld => ld.shrink);
    } else if (delta > 0) {
      this._adjust(children, delta, ld => ld.grow);
    }
    this._layoutFromLayoutDataWithCache(children, containerSize);
  }
  _adjust(children, delta, getWeightFunction) {
    let weightSum,
      deltaFactor,
      layoutDatas = children.map(c => c.layoutData).filter(ld => {
        // resizable
        return ld.acceptDelta(Math.sign(delta)) === 0;
      });
    if (layoutDatas.length < 1) {
      return;
    }
    weightSum = layoutDatas.reduce((sum, ld) => {
      return sum + getWeightFunction(ld);
    }, 0);
    // delta factor
    deltaFactor = delta / weightSum;
    delta = layoutDatas.reduce((delta, ld) => {
      return ld.acceptDelta(deltaFactor * getWeightFunction(ld), true);
    }, delta);
    if (Math.abs(delta) > 0.2) {
      this._adjust(children, delta, getWeightFunction);
    }
  }
  _getPreferredSize(htmlComp) {
    return htmlComp.prefSize({
      useCssSize: true
    }).add(htmlComp.margins());
  }
  ensureInitialValues(children, containerSize) {
    let totalPx = this._getDimensionValue(containerSize),
      sumOfAbsolutePx = 0,
      sumOfRelatives = 0,
      colLayoutDatas = children.map(c => {
        return c.layoutData;
      }),
      cachedSizes = this._readCache(children.length) || [];
    // setup initial values
    children.forEach((comp, i) => {
      let ld = comp.layoutData;
      if (ld.sizePx) {
        sumOfAbsolutePx += ld.sizePx;
      } else if (ld.initial < 0) {
        // use ui height
        ld.initialPx = this._getDimensionValue(this._getPreferredSize(comp));
        sumOfAbsolutePx += ld.initialPx;
      } else if (ld.relative) {
        sumOfRelatives += ld.initial;
      } else {
        ld.initialPx = ld.initial;
        sumOfAbsolutePx += ld.initialPx;
      }
    });
    let relativeFactor = (totalPx - sumOfAbsolutePx) / sumOfRelatives;
    colLayoutDatas.filter(ld => {
      return ld.relative && ld.initial > -1 && !ld.sizePx;
    }).reduce((restWidth, ld) => {
      ld.initialPx = Math.max(30, relativeFactor * ld.initial);
      return restWidth - ld.initialPx;
    }, totalPx - sumOfAbsolutePx);
    // set px values
    return colLayoutDatas.reduce((restWidth, ld, i) => {
      if (!ld.sizePx) {
        if (cachedSizes[i]) {
          ld.sizePx = ld.validate(Math.round(totalPx * cachedSizes[i]));
        } else {
          ld.sizePx = ld.initialPx;
        }
      }
      this.childrenLayoutDatas.push(ld);
      return restWidth - ld.sizePx;
    }, totalPx);
  }
  _layoutFromLayoutDataWithCache(children, containerSize) {
    this._cacheSizes(children, containerSize);
    this._layoutFromLayoutData(children, containerSize);
  }
  _cacheSizes(children, containerSize) {
    let totalPx = this._getDimensionValue(containerSize);
    let value = children.map(c => c.layoutData.sizePx / totalPx);
    this._writeCache(children.length, value);
  }
  // functions differ from row to column mode
  preferredLayoutSizeColumn($container, options) {
    return this._getChildren($container).reduce((size, c) => {
      let prefSize = this._getPreferredSize(c);
      size.width = Math.max(prefSize.width, size.width);
      size.height += prefSize.height;
      return size;
    }, new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0));
  }
  preferredLayoutSizeRow($container, options) {
    return this._getChildren($container).reduce((size, c) => {
      let prefSize = this._getPreferredSize(c);
      size.height = Math.max(prefSize.height, size.height);
      size.width += prefSize.width;
      return size;
    }, new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0));
  }
  _getWidth(dimension) {
    return dimension.width;
  }
  _getHeight(dimension) {
    return dimension.height;
  }
  _layoutFromLayoutDataRow(children, containerSize) {
    children.reduce((x, comp) => {
      let margins = comp.margins();
      let insets = comp.insets();
      let w = comp.layoutData.sizePx;
      let bounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(x - insets.left - margins.left, 0, w + insets.left + insets.right, containerSize.height);
      comp.setBounds(bounds);
      return x + w;
    }, 0);
  }
  _layoutFromLayoutDataColumn(children, containerSize) {
    children.reduce((y, comp) => {
      let margins = comp.margins();
      let insets = comp.insets();
      let h = comp.layoutData.sizePx;
      let bounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, y - insets.top - margins.top, containerSize.width, h + insets.top + insets.bottom);
      comp.setBounds(bounds);
      return y + h;
    }, 0);
  }
}
_defineProperty(FlexboxLayout, "Direction", {
  COLUMN: 0,
  ROW: 1
});

/***/ }),

/***/ "./src/layout/flexbox/FlexboxLayoutData.ts":
/*!*************************************************!*\
  !*** ./src/layout/flexbox/FlexboxLayoutData.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FlexboxLayoutData: () => (/* binding */ FlexboxLayoutData)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FlexboxLayoutData {
  constructor(model) {
    _defineProperty(this, "grow", void 0);
    _defineProperty(this, "initial", void 0);
    _defineProperty(this, "order", void 0);
    _defineProperty(this, "relative", void 0);
    _defineProperty(this, "shrink", void 0);
    _defineProperty(this, "sizePx", void 0);
    _defineProperty(this, "initialPx", void 0);
    _defineProperty(this, "diff", void 0);
    // initial
    this.relative = true;
    this.grow = 1;
    this.shrink = 1;
    this.initial = 1;
    this.order = 0;
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
    // ui properties
    this.sizePx = null; // current display size in pixel
    this.initialPx = null; // initial in pixel
    this.diff = null;
  }
  withOrder(order) {
    this.order = order;
    return this;
  }
  acceptDelta(delta, apply) {
    if (delta > 0) {
      return this._grow(delta, apply);
    }
    return this._shrink(delta, apply);
  }
  validate(size) {
    if (this.grow === 0) {
      size = Math.min(this.initialPx, size);
    }
    if (this.shrink === 0) {
      size = Math.max(this.initialPx, size);
    }
    return size;
  }
  _grow(delta, apply) {
    let maxDelta = 0,
      consumedDelta = 0;
    if (this.grow > 0) {
      maxDelta = delta;
    } else if (this.initialPx > this.sizePx) {
      maxDelta = this.initialPx - this.sizePx;
    }
    consumedDelta = Math.min(delta, maxDelta);
    if (apply) {
      this.sizePx = this.sizePx + consumedDelta;
    }
    return delta - consumedDelta;
  }
  _shrink(delta, apply) {
    let maxDelta = 0,
      consumedDelta = 0;
    if (this.shrink > 0) {
      maxDelta = -this.sizePx + 20;
    } else if (this.initialPx < this.sizePx) {
      maxDelta = this.initialPx - this.sizePx;
    }
    consumedDelta = Math.max(delta, maxDelta);
    if (apply) {
      this.sizePx = this.sizePx + consumedDelta;
    }
    return delta - consumedDelta;
  }
  static fixed(size) {
    let layoutData = new FlexboxLayoutData();
    layoutData.relative = false;
    layoutData.initial = size || -1;
    layoutData.grow = 0;
    layoutData.shrink = 0;
    return layoutData;
  }
}

/***/ }),

/***/ "./src/layout/flexbox/FlexboxLayoutDataModel.ts":
/*!******************************************************!*\
  !*** ./src/layout/flexbox/FlexboxLayoutDataModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/layout/graphics.ts":
/*!********************************!*\
  !*** ./src/layout/graphics.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   graphics: () => (/* binding */ graphics)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


function setBounds($comp, xOrBounds, y, width, height) {
  let bounds = xOrBounds instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle ? xOrBounds : new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(xOrBounds, y, width, height);
  $comp.cssLeft(bounds.x).cssTop(bounds.y).cssWidth(bounds.width).cssHeight(bounds.height);
}
function setSize($comp, widthOrSize, height) {
  let size = widthOrSize instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Dimension ? widthOrSize : new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(widthOrSize, height);
  $comp.cssWidth(size.width).cssHeight(size.height);
}
/**
 * Sets the location (CSS properties left, top) of the component.
 */
function setLocation($comp, xOrPoint, y) {
  let point = xOrPoint instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Point ? xOrPoint : new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xOrPoint, y);
  $comp.cssLeft(point.x).cssTop(point.y);
}
/**
 * Helpers for graphical operations
 */
const graphics = {
  /**
   * Returns the preferred size of $elem.
   *
   * Precondition: $elem and its parents must not be hidden ('display: none' - other styles like 'visibility: hidden'
   * or 'opacity: 0' would be ok because in this case the browser reserves the space the element would be using).
   *
   * The `style` and `class` properties are temporarily altered to allow the element to assume its "natural size".
   * A marker CSS class `measure` is added that can be used to reset element-specific CSS constraints (e.g. flexbox).
   *
   * @param $elem
   *          the jQuery element to measure
   * @param options
   *          an optional options object. Shorthand version: If a boolean is passed instead
   *          of an object, the value is automatically converted to the option "includeMargin".
   */
  prefSize($elem, options) {
    // Return 0/0 if element is not displayed (display: none).
    // We don't use isVisible by purpose because isVisible returns false for elements with visibility: hidden which is wrong here (we would like to be able to measure hidden elements)
    if (!$elem[0] || $elem.isDisplayNone()) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    if (typeof options === 'boolean') {
      options = {
        includeMargin: options
      };
    } else {
      options = options || {};
    }
    let defaults = {
      includeMargin: false,
      useCssSize: false,
      widthHint: undefined,
      heightHint: undefined,
      restoreScrollPositions: true
    };
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaults, options);
    if (options.animateClasses && options.animateClasses.length > 0) {
      return graphics.prefSizeWithoutAnimation($elem, options);
    }
    let oldStyle = $elem.attr('style');
    let oldClass = $elem.attr('class');
    let oldScrollLeft = $elem.scrollLeft();
    let oldScrollTop = $elem.scrollTop();
    if (options.restoreScrollPositions) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.storeScrollPositions($elem);
    }
    // UseCssSize is necessary if the css rules have a fix height or width set.
    // Otherwise, setting the width/height to auto could result in a different size
    let newWidth = options.useCssSize ? '' : _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.widthHint, 'auto');
    let newHeight = options.useCssSize ? '' : _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.heightHint, 'auto');
    let cssProperties = {
      'width': newWidth,
      'height': newHeight
    };
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.enforceSizeHints, false)) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(newWidth)) {
        cssProperties['max-width'] = newWidth;
        cssProperties['min-width'] = newWidth;
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(newHeight)) {
        cssProperties['max-height'] = newHeight;
        cssProperties['min-height'] = newHeight;
      }
    }
    // modify properties which prevent reading the preferred size
    $elem.addClass('measure');
    $elem.css(cssProperties);
    // measure
    let bcr = $elem[0].getBoundingClientRect();
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(bcr.width, bcr.height);
    if (options.includeMargin) {
      prefSize.width += $elem.cssMarginX();
      prefSize.height += $elem.cssMarginY();
    }
    // reset the modified style attribute
    $elem.attrOrRemove('style', oldStyle);
    $elem.attrOrRemove('class', oldClass);
    $elem.scrollLeft(oldScrollLeft);
    $elem.scrollTop(oldScrollTop);
    if (options.restoreScrollPositions) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.restoreScrollPositions($elem);
    }
    return graphics.exactPrefSize(prefSize, options);
  },
  /**
   * Ensure resulting numbers are integers. getBoundingClientRect() might correctly return fractional values
   * (because of the browser's sub-pixel rendering). However, if we use those numbers to set the size
   * of an element using CSS, it gets rounded or cut off. The behavior is not defined amongst different
   * browser engines.
   * <p>
   * Example:
   * - Measured size from this method:      h = 345.239990234375
   * - Set the size to an element:          $elem.css('height', h + 'px')
   * - Results:
   *    Firefox & Chrome     <div id="elem" style="height: 345.24px">     [Fractional part rounded to three digits]
   */
  exactPrefSize(prefSize, options) {
    let exact = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.exact, false);
    if (!exact) {
      prefSize.width = Math.ceil(prefSize.width);
      prefSize.height = Math.ceil(prefSize.height);
    }
    return prefSize;
  },
  /**
   * If the $elem is currently animated by CSS, create a clone, remove the animating CSS class and measure the clone instead.
   * This may be necessary because the animation might change the size of the element.
   * If prefSize is called during the animation, the current size is returned instead of the one after the animation.
   */
  prefSizeWithoutAnimation($elem, options) {
    let animateClasses = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(options.animateClasses);
    animateClasses = animateClasses.filter(cssClass => {
      return $elem.hasClass(cssClass);
    });
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    options.animateClasses = null;
    if (animateClasses.length === 0) {
      return graphics.prefSize($elem, options);
    }
    let animateClassesStr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(animateClasses, ' ');
    let $clone = $elem.clone().removeClass(animateClassesStr).appendTo($elem.parent());
    let prefSizeResult = graphics.prefSize($clone, options);
    $clone.remove();
    return prefSizeResult;
  },
  /* These functions are designed to be used with box-sizing:box-model. The only reliable
   * way to set the size of a component when working with box model is to use css('width/height'...)
   * in favor of width/height() functions.
   */
  /**
   * Returns the size of the element, insets included. The sizes are rounded up, unless the option 'exact' is set to true.
   *
   * @param $elem
   *          the jQuery element to measure
   * @param options
   *          an optional options object. Shorthand version: If a boolean is passed instead
   *          of an object, the value is automatically converted to the option "includeMargin".
   */
  size($elem, options) {
    if (!$elem[0] || $elem.isDisplayNone()) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    if (typeof options === 'boolean') {
      options = {
        includeMargin: options
      };
    } else {
      options = options || {};
    }
    let bcr = $elem[0].getBoundingClientRect();
    let size = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(bcr.width, bcr.height);
    let includeMargin = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.includeMargin, false);
    if (includeMargin) {
      size.width += $elem.cssMarginX();
      size.height += $elem.cssMarginY();
    }
    // see comments in prefSize()
    let exact = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.exact, false);
    if (!exact) {
      size.width = Math.ceil(size.width);
      size.height = Math.ceil(size.height);
    }
    return size;
  },
  /**
   * @returns the size of the element specified by the style.
   */
  cssSize($elem) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($elem.cssWidth(), $elem.cssHeight());
  },
  /**
   * @returns the max size of the element specified by the style.
   */
  cssMaxSize($elem) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($elem.cssMaxWidth(), $elem.cssMaxHeight());
  },
  /**
   * @returns the min size of the element specified by the style.
   */
  cssMinSize($elem) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($elem.cssMinWidth(), $elem.cssMinHeight());
  },
  setSize,
  /**
   * Returns the inset-dimensions of the component (padding, margin, border).
   *
   * @param $elem
   *          the jQuery element to measure
   * @param options
   *          an optional options object. Shorthand version: If a boolean is passed instead
   *          of an object, the value is automatically converted to the option {@link InsetsOptions.includeMargin}.
   */
  insets($comp, options) {
    let opts;
    if (typeof options === 'boolean') {
      opts = {
        includeMargin: options
      };
    } else {
      opts = options || {};
    }
    let i,
      directions = ['top', 'right', 'bottom', 'left'],
      insets = [0, 0, 0, 0],
      includeMargin = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.includeMargin, false),
      includePadding = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.includePadding, true),
      includeBorder = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.includeBorder, true);
    for (i = 0; i < directions.length; i++) {
      if (includeMargin) {
        insets[i] += $comp.cssPxValue('margin-' + directions[i]);
      }
      if (includePadding) {
        insets[i] += $comp.cssPxValue('padding-' + directions[i]);
      }
      if (includeBorder) {
        insets[i] += $comp.cssPxValue('border-' + directions[i] + '-width');
      }
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(insets[0], insets[1], insets[2], insets[3]);
  },
  margins($comp) {
    return graphics.insets($comp, {
      includeMargin: true,
      includePadding: false,
      includeBorder: false
    });
  },
  setMargins($comp, margins) {
    $comp.css({
      marginLeft: margins.left,
      marginRight: margins.right,
      marginTop: margins.top,
      marginBottom: margins.bottom
    });
  },
  paddings($comp) {
    return graphics.insets($comp, {
      includeMargin: false,
      includePadding: true,
      includeBorder: false
    });
  },
  borders($comp) {
    return graphics.insets($comp, {
      includeMargin: false,
      includePadding: false,
      includeBorder: true
    });
  },
  setLocation,
  /**
   * Returns a Point consisting of the component's "cssLeft" and
   * "cssTop" values (reverse operation to setLocation).
   */
  location($comp) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point($comp.cssLeft(), $comp.cssTop());
  },
  /**
   * Returns the bounds of the element relative to the offset parent, insets included.
   * The sizes are rounded up, unless the option 'exact' is set to true.
   *
   * @param $elem
   *          the jQuery element to measure
   * @param options
   *          an optional options object. Shorthand version: If a boolean is passed instead
   *          of an object, the value is automatically converted to the option "includeMargin".
   */
  bounds($elem, options) {
    return graphics._bounds($elem, $elem.position(), options);
  },
  /**
   * @returns {Point} the position relative to the offset parent ($elem.position()).
   */
  position($elem) {
    let pos = $elem.position();
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(pos.left, pos.top);
  },
  /**
   * Returns the bounds of the element relative to the document, insets included.
   * The sizes are rounded up, unless the option 'exact' is set to true.
   *
   * @param $elem
   *          the jQuery element to measure
   * @param options
   *          an optional options object. Shorthand version: If a boolean is passed instead
   *          of an object, the value is automatically converted to the option "includeMargin".
   */
  offsetBounds($elem, options) {
    return graphics._bounds($elem, $elem.offset(), options);
  },
  /**
   * @returns the position relative to the document, see also {@link JQuery.offset}.
   */
  offset($elem) {
    let pos = $elem.offset();
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(pos.left, pos.top);
  },
  /** @internal */
  _bounds($elem, pos, options) {
    let s = graphics.size($elem, options);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(pos.left, pos.top, s.width, s.height);
  },
  setBounds,
  /**
   * @returns the bounds of the element specified by the style.
   */
  cssBounds($elem) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle($elem.cssLeft(), $elem.cssTop(), $elem.cssWidth(), $elem.cssHeight());
  },
  debugOutput($comp) {
    if (!$comp) {
      return '$comp is undefined';
    }
    $comp = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($comp);
    if ($comp.length === 0) {
      return '$comp doesn\'t match any elements';
    }
    let attrs = '';
    if ($comp.attr('id')) {
      attrs += 'id=' + $comp.attr('id');
    }
    if ($comp.attr('class')) {
      attrs += ' class=' + $comp.attr('class');
    }
    if ($comp.attr('data-modelclass')) {
      attrs += ' data-modelclass=' + $comp.attr('data-modelclass');
    }
    if (attrs.length === 0) {
      let html = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($comp.html(), '');
      if (html.length > 30) {
        html = html.substring(0, 30) + '...';
      }
      attrs = html;
    }
    if (!$comp.isAttached()) {
      attrs += ' attached=false';
    }
    return 'Element[' + attrs.trim() + ']';
  }
};

/***/ }),

/***/ "./src/layout/logicalgrid/AbstractGrid.ts":
/*!************************************************!*\
  !*** ./src/layout/logicalgrid/AbstractGrid.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractGrid: () => (/* binding */ AbstractGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbstractGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGrid {
  constructor(options) {
    super(options);
    _defineProperty(this, "gridRows", void 0);
    _defineProperty(this, "gridColumns", void 0);
    this.gridRows = 0;
    this.gridColumns = 0;
  }
  /**
   * Expects {@link gridConfig} to be set.
   */
  _validate(gridContainer) {
    // reset old state
    this.gridRows = 0;
    this.gridConfig.setWidget(gridContainer);
    // step 0: column count
    this.gridColumns = this.gridConfig.getGridColumnCount();
    let containingGridXYCount = 0;
    let notContainingGridXYCount = 0;
    // build
    let widgets = [];
    this.gridConfig.getGridWidgets().forEach(widget => {
      if (widget.visible) {
        widgets.push(widget);
        let hints = widget.gridDataHints;
        if (hints && hints.x >= 0 && hints.y >= 0) {
          containingGridXYCount++;
        } else {
          notContainingGridXYCount++;
        }
      } else {
        widget._setGridData(_index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(widget, 1));
      }
    });
    if (containingGridXYCount > 0 && notContainingGridXYCount === 0) {
      this.layoutAllStatic(widgets);
    } else {
      this.layoutAllDynamic(widgets);
    }
  }
  layoutAllStatic(widgets) {
    let hints = [];
    widgets.forEach(v => {
      hints.push(_index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(v, 1));
    });
    let totalGridW = hints.reduce((x, y) => {
      let y1 = y.x + y.w;
      return y1 > x ? y1 : x;
    }, 1);
    let totalGridH = hints.reduce((x, y) => {
      let y1 = y.y + y.h;
      return y1 > x ? y1 : x;
    }, 0);
    widgets.forEach(v => {
      v._setGridData(_index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(v, totalGridW));
    });
    this.gridRows = totalGridH;
    this.gridColumns = totalGridW;
  }
  layoutAllDynamic(widgets) {
    // abstract, must be implemented by sub classes
  }
  getGridColumnCount() {
    return this.gridColumns;
  }
  getGridRowCount() {
    return this.gridRows;
  }
  /**
   * If grid w is greater than column count, grid w will be set to the column count.
   */
  static getGridDataFromHints(widget, groupBoxColumnCount) {
    let data = _index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(widget, groupBoxColumnCount);
    data.w = Math.min(groupBoxColumnCount, data.w);
    return data;
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/GridData.ts":
/*!********************************************!*\
  !*** ./src/layout/logicalgrid/GridData.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GridData: () => (/* binding */ GridData)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class GridData {
  constructor(model) {
    _defineProperty(this, "x", void 0);
    _defineProperty(this, "y", void 0);
    _defineProperty(this, "w", void 0);
    _defineProperty(this, "h", void 0);
    _defineProperty(this, "weightX", void 0);
    _defineProperty(this, "weightY", void 0);
    _defineProperty(this, "useUiWidth", void 0);
    _defineProperty(this, "useUiHeight", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "verticalAlignment", void 0);
    _defineProperty(this, "fillHorizontal", void 0);
    _defineProperty(this, "fillVertical", void 0);
    _defineProperty(this, "widthInPixel", void 0);
    _defineProperty(this, "maxWidthInPixel", void 0);
    _defineProperty(this, "heightInPixel", void 0);
    _defineProperty(this, "maxHeightInPixel", void 0);
    model = model || {};
    this.x = -1;
    this.y = -1;
    this.w = 1;
    this.h = 1;
    this.weightX = -1;
    this.weightY = -1;
    this.useUiWidth = false;
    this.useUiHeight = false;
    this.horizontalAlignment = -1;
    this.verticalAlignment = -1;
    this.fillHorizontal = true;
    this.fillVertical = true;
    this.widthInPixel = 0;
    this.maxWidthInPixel = 0;
    this.heightInPixel = 0;
    this.maxHeightInPixel = 0;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  /**
   * @returns a clone of this grid data enriched with the properties of the given model.
   */
  clone(model) {
    return new GridData(jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this, model));
  }
  equals(other) {
    if (!other || !(other instanceof GridData)) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.propertiesEquals(this, other, Object.keys(this));
  }
  toRectangle() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(this.x, this.y, this.w, this.h);
  }
  static createFromHints(field, gridColumnCount) {
    let data = new GridData(field.gridDataHints);
    if (data.w === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FULL_WIDTH) {
      data.w = gridColumnCount;
    }
    return data;
  }
  static ensure(gridData) {
    if (!gridData) {
      return gridData;
    }
    if (gridData instanceof GridData) {
      return gridData;
    }
    return new GridData(gridData);
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/GridDataModel.ts":
/*!*************************************************!*\
  !*** ./src/layout/logicalgrid/GridDataModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/layout/logicalgrid/HorizontalGrid.ts":
/*!**************************************************!*\
  !*** ./src/layout/logicalgrid/HorizontalGrid.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HorizontalGrid: () => (/* binding */ HorizontalGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HorizontalGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractGrid {
  layoutAllDynamic(widgets) {
    let matrix = new _index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGridMatrix(this.getGridColumnCount());
    matrix.computeGridData(widgets);
    this.gridRows = matrix.getRowCount();
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGrid.ts":
/*!***********************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGrid.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGrid: () => (/* binding */ LogicalGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Base class for every logical grid. The concrete grids should implement {@link LogicalGrid._validate}.
 */
class LogicalGrid {
  constructor(options) {
    _defineProperty(this, "dirty", void 0);
    _defineProperty(this, "gridConfig", void 0);
    _defineProperty(this, "objectType", void 0);
    options = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options, {});
    this.dirty = true;
    this._setGridConfig(options.gridConfig || null);
  }
  setDirty(dirty) {
    this.dirty = dirty;
  }
  setGridConfig(gridConfig) {
    this._setGridConfig(gridConfig);
  }
  _setGridConfig(gridConfig) {
    if (gridConfig && !(gridConfig instanceof _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig)) {
      gridConfig = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig, gridConfig);
    }
    this.gridConfig = gridConfig;
  }
  /**
   * Calls {@link _validate} if the grid is dirty. Sets dirty to false afterwards.
   */
  validate(gridContainer) {
    if (!this.dirty) {
      return;
    }
    this._validate(gridContainer);
    this.setDirty(false);
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridConfig.ts":
/*!*****************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridConfig.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridConfig: () => (/* binding */ LogicalGridConfig)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class LogicalGridConfig {
  constructor() {
    _defineProperty(this, "widget", void 0);
    this.widget = null;
  }
  setWidget(widget) {
    this.widget = widget;
  }
  getGridColumnCount() {
    return this.widget.gridColumnCount;
  }
  getGridWidgets() {
    return this.widget.widgets;
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridData.ts":
/*!***************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridData.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridData: () => (/* binding */ LogicalGridData)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

function isLogicalGridWidget(widget) {
  return widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget;
}
/**
 * JavaScript port of org.eclipse.scout.rt.ui.swing.form.fields.SwingScoutFormFieldGridData.
 * Merged with the base class LogicalGridData (for the default values). We don't need the base
 * class standalone, since we only used LGL for the group-box body in Html UI.
 */
class LogicalGridData {
  constructor(vararg) {
    _defineProperty(this, "fillHorizontal", void 0);
    _defineProperty(this, "fillVertical", void 0);
    _defineProperty(this, "gridh", void 0);
    _defineProperty(this, "gridw", void 0);
    _defineProperty(this, "gridx", void 0);
    _defineProperty(this, "gridy", void 0);
    _defineProperty(this, "heightHint", void 0);
    _defineProperty(this, "maxHeight", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "logicalRowHeightAddition", void 0);
    _defineProperty(this, "useUiHeight", void 0);
    _defineProperty(this, "useUiWidth", void 0);
    _defineProperty(this, "verticalAlignment", void 0);
    _defineProperty(this, "weightx", void 0);
    _defineProperty(this, "weighty", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "widthHint", void 0);
    _defineProperty(this, "maxWidth", void 0);
    this.gridx = 0;
    this.gridy = 0;
    this.gridw = 1;
    this.gridh = 1;
    this.weightx = 0.0;
    this.weighty = 0.0;
    this.useUiWidth = false;
    this.useUiHeight = false;
    this.widthHint = 0;
    this.maxWidth = 10240;
    this.heightHint = 0;
    this.maxHeight = 10240;
    this.horizontalAlignment = -1;
    this.verticalAlignment = -1;
    this.fillHorizontal = true;
    this.fillVertical = true;
    if (isLogicalGridWidget(vararg)) {
      // work with widget / validate
      this.widget = vararg;
    } else {
      $.extend(this, vararg);
    }
  }
  validate() {
    if (!this.widget) {
      return;
    }
    let data = this.widget.gridData;
    // setup constraints
    this.gridx = data.x;
    this.gridy = data.y;
    this.gridw = data.w;
    this.gridh = data.h;
    this.weightx = data.weightX;
    this.weighty = data.weightY;
    if (this.weightx < 0) {
      // inherit
      this.weightx = Math.max(1.0, this.gridw);
    }
    if (this.weighty < 0) {
      // inherit
      this.weighty = this._inheritWeightY();
    }
    this.useUiWidth = data.useUiWidth;
    this.useUiHeight = data.useUiHeight;
    this.horizontalAlignment = data.horizontalAlignment;
    this.verticalAlignment = data.verticalAlignment;
    this.fillHorizontal = data.fillHorizontal;
    this.fillVertical = data.fillVertical;
    this.widthHint = data.widthInPixel;
    this.maxWidth = data.maxWidthInPixel > 0 ? data.maxWidthInPixel : 10240;
    this.heightHint = data.heightInPixel;
    this.maxHeight = data.maxHeightInPixel > 0 ? data.maxHeightInPixel : 10240;
    // when having the label on top, the row height has to be increased
    if (this.widget.labelVisible && this.widget.$label && this.widget.labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP) {
      this.logicalRowHeightAddition = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this.widget.$label, true).height;
    } else {
      this.logicalRowHeightAddition = 0;
    }
  }
  _inheritWeightY() {
    let d = this._inheritWeightYRec(this.widget);
    if (d === null) {
      let data = this.widget.gridData;
      if (data.weightY >= 0) {
        d = data.weightY;
      } else {
        d = data.h >= 2 ? data.h : 0;
      }
    }
    return d;
  }
  _inheritWeightYRec(widget) {
    let found = false,
      sumWy = 0;
    // The children may have a dirty grid -> make sure the grid is valid before reading any grid data properties
    widget.validateLogicalGrid();
    if (widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.CompositeField) {
      let i,
        inheritWeightY,
        child,
        children = widget.getFields();
      for (i = 0; i < children.length; i++) {
        child = children[i];
        if (child.visible) {
          let data = child.gridData;
          if (data.weightY < 0) {
            inheritWeightY = this._inheritWeightYRec(child);
            if (inheritWeightY !== null) {
              found = true;
              sumWy += inheritWeightY;
            }
          } else {
            found = true;
            sumWy += data.weightY;
          }
        }
      }
    } else {
      sumWy = widget.gridData.h >= 2 ? widget.gridData.h : 0;
      found = true;
    }
    if (found) {
      return sumWy;
    }
    return null;
  }
  isValidateRoot() {
    return !this.useUiHeight && !this.useUiWidth && this.fillVertical && this.fillHorizontal;
  }
  toRectangle() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(this.gridx, this.gridy, this.gridw, this.gridh);
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridLayout.ts":
/*!*****************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridLayout.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridLayout: () => (/* binding */ LogicalGridLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * The logical grid layout arranges the elements in a container automatically based on the {@link LogicalGridData}.
 * The {@link LogicalGridData} is typically initialized from a {@link GridData}, and a {@link GridData} is calculated by a {@link LogicalGrid} derived from {@link LogicalGridWidget.gridDataHints}.
 *
 * This may sound a bit confusing at first. The important part is:
 * based on the order of the widgets (e.g. the order of {@link GroupBoxModel.fields}) and the {@link LogicalGridWidget.gridDataHints} (e.g. {@link FormField.gridDataHints}),
 * the widgets will be arranged automatically by the logical grid layout. So you only need to take care of the order and of configuring the hints.
 *
 * The width, height and margin of a grid cell is pre-defined, but you can adjust it using {@link LogicalGridLayoutConfig}, e.g. by configuring {@link GroupBoxModel.bodyLayoutConfig}.
 */
class LogicalGridLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(widget, layoutConfig) {
    super();
    _defineProperty(this, "validityBasedOnContainerSize", void 0);
    _defineProperty(this, "valid", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "info", void 0);
    _defineProperty(this, "layoutConfig", void 0);
    _defineProperty(this, "htmlPropertyChangeHandler", void 0);
    _defineProperty(this, "hgap", void 0);
    _defineProperty(this, "vgap", void 0);
    _defineProperty(this, "columnWidth", void 0);
    _defineProperty(this, "rowHeight", void 0);
    _defineProperty(this, "minWidth", void 0);
    _defineProperty(this, "spyEnabled", void 0);
    _defineProperty(this, "_spy", void 0);
    this.cssClass = 'logical-grid-layout';
    this.validityBasedOnContainerSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    this.valid = false;
    this.widget = widget;
    this.info = null;
    this.spyEnabled = false;
    this.layoutConfig = _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.ensure(layoutConfig || {});
    this.layoutConfig.applyToLayout(this);
  }
  validateLayout($container, options) {
    let visibleComps = [],
      visibleCons = [];
    // If there is a logical grid, validate it (= recalculate if it is dirty) and use the grid config to get the grid relevant widgets (Scout JS).
    // If there is no logical grid the grid relevant widgets are found using DOM by selecting the children with a html component (Scout classic).
    if (this.widget.logicalGrid) {
      this.widget.validateLogicalGrid();
      // It is important that the logical grid and the layout use the same widgets. Otherwise, there may be widgets without a gridData which is required by the layout.
      // This can happen if the widgets are inserted and removed by an animation before the layout has been done. If the widget is removed using an animation it is not in the list of getGridWidgets() anymore but may still be in the DOM.
      this.widget.logicalGrid.gridConfig.getGridWidgets().forEach(widget => {
        if (!widget.rendered) {
          // getGridWidgets may return non-rendered widgets, but grid should be calculated nevertheless
          return;
        }
        if (!widget.htmlComp) {
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('(LogicalGridLayout#validateLayout) no htmlComp found, widget cannot be layouted. Widget: ' + widget);
          return;
        }
        validateGridData.call(this, widget.htmlComp);
      });
    } else {
      $container.children().each((idx, elem) => {
        let $comp = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
        let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($comp);
        if (!htmlComp) {
          // Only consider elements with a html component
          return;
        }
        validateGridData.call(this, htmlComp);
      });
    }
    function validateGridData(htmlComp) {
      if (this._validateGridData(htmlComp)) {
        visibleComps.push(htmlComp.$comp);
        visibleCons.push(htmlComp.layoutData);
      }
    }
    this.info = new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutInfo({
      $components: visibleComps,
      cons: visibleCons,
      hgap: this.hgap,
      vgap: this.vgap,
      rowHeight: this.rowHeight,
      columnWidth: this.columnWidth,
      widthHint: options.widthHint,
      widthOnly: options.widthOnly
    });
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(LogicalGridLayout#validateLayout) $container=' + _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container).debug());
  }
  _validateGridData(htmlComp) {
    let $comp = htmlComp.$comp;
    let widget = $comp.data('widget');
    // Prefer the visibility state of the widget, if there is one.
    // This allows for transitions, because the $component may still be in the process of being made invisible
    let visible = widget ? widget.visible : $comp.isVisible();
    if (visible) {
      htmlComp.layoutData.validate();
      return true;
    }
  }
  layout($container) {
    this._layout($container);
  }
  _layout($container) {
    var _this$_spy;
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      containerSize = htmlContainer.availableSize(),
      containerInsets = htmlContainer.insets();
    this.validateLayout($container, {
      widthHint: containerSize.width - containerInsets.horizontal(),
      heightHint: containerSize.height - containerInsets.vertical()
    });
    if (this.minWidth > 0 && containerSize.width < this.minWidth) {
      containerSize.width = this.minWidth;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(LogicalGridLayout#layout) container ' + htmlContainer.debug() + ' size=' + containerSize + ' insets=' + containerInsets);
    let cellBounds = this._layoutCellBounds(containerSize, containerInsets);
    (_this$_spy = this._spy) === null || _this$_spy === void 0 || _this$_spy.drawCellBounds($container, cellBounds);
    // Set bounds of components
    let r1, r2, r, d, $comp, i, htmlComp, data, delta, margins;
    for (i = 0; i < this.info.$components.length; i++) {
      $comp = this.info.$components[i];
      htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($comp);
      data = this.info.gridDatas[i];
      r1 = cellBounds[data.gridy][data.gridx];
      r2 = cellBounds[data.gridy + data.gridh - 1][data.gridx + data.gridw - 1];
      r = r1.union(r2);
      margins = htmlComp.margins();
      r.width -= margins.horizontal();
      r.height -= margins.vertical();
      if (data.fillHorizontal && data.fillVertical) {
        // ok
      } else {
        d = this.info.compSize[i];
        if (!data.fillHorizontal && d.width < r.width) {
          delta = r.width - d.width;
          r.width = d.width;
          if (data.horizontalAlignment === 0) {
            // Do ceil the result as other layout managers of Java also handle floating calculation results that way.
            // This is important if being used in conjunction with another layout manager.
            // E.g. the editable checkbox in inline table cell is a JCheckBox and rendered by LogicalGridLayout,
            // whereas the default boolean representation in a table cell is simply an image on a label positioned by
            // default layout manager. If switching in between of edit and non-edit mode, the widget would bounce otherwise.
            r.x += Math.ceil(delta / 2.0);
          } else if (data.horizontalAlignment > 0) {
            r.x += delta;
          }
        }
        if (!data.fillVertical && d.height < r.height) {
          delta = r.height - d.height;
          if (data.heightHint === 0) {
            r.height = d.height;
          } else {
            r.height = data.heightHint;
          }
          if (data.verticalAlignment === 0) {
            // Do ceil the result as other layout managers of Java also handle floating calculation results that way.
            // This is important if being used in conjunction with another layout manager.
            // E.g. the editable checkbox in inline table cell is a JCheckBox and rendered by LogicalGridLayout,
            // whereas the default boolean representation in a table cell is simply an image on a label positioned by
            // default layout manager. If switching in between of edit and non-edit mode, the widget would bounce otherwise.
            r.y += Math.ceil(delta / 2.0);
          } else if (data.verticalAlignment > 0) {
            r.y += delta;
          }
        }
      }
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(LogicalGridLayout#layout) comp=' + htmlComp.debug() + ' bounds=' + r);
      htmlComp.setBounds(r);
    }
  }
  _layoutCellBounds(containerSize, containerInsets) {
    return this.info.layoutCellBounds(containerSize, containerInsets);
  }
  preferredLayoutSize($container, options) {
    // widthHint and heightHint are already adjusted by HtmlComponent, no need to remove insets here
    this.validateLayout($container, options);
    let sizeFlag = _index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.PREF;
    let dim = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    // w
    let i,
      w,
      h,
      useCount = 0;
    for (i = 0; i < this.info.cols; i++) {
      w = this.info.width[i][sizeFlag];
      if (useCount > 0) {
        dim.width += this.hgap;
      }
      dim.width += w;
      useCount++;
    }
    // h
    useCount = 0;
    for (i = 0; i < this.info.rows; i++) {
      h = this.info.height[i][sizeFlag];
      if (useCount > 0) {
        dim.height += this.vgap;
      }
      dim.height += h;
      useCount++;
    }
    // insets
    let insets = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container).insets();
    dim.width += insets.horizontal();
    dim.height += insets.vertical();
    return dim;
  }
  /**
   * Enables or disables the layout spy that visualizes the cell bounds of the logical grid for debugging purposes.
   */
  setSpyEnabled(spyEnabled) {
    if (this.spyEnabled === spyEnabled) {
      return;
    }
    this.spyEnabled = spyEnabled;
    if (!this.spyEnabled) {
      var _this$_spy2;
      (_this$_spy2 = this._spy) === null || _this$_spy2 === void 0 || _this$_spy2.dispose();
      this._spy = null;
    } else {
      this._spy = new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutSpy();
    }
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridLayoutConfig.ts":
/*!***********************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridLayoutConfig.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridLayoutConfig: () => (/* binding */ LogicalGridLayoutConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Stores layouting options for elements layouted by {@link LogicalGridLayout}.
 *
 * The object can be initialized with user-defined options. These options only have an effect if their value is >=0.
 * If no user-defined options are specified or their value is < 0, the default values specified by CSS are applied (see {@link _readEnvDefaults})
 * unless explicit defaults are provided using constructor or {@link withDefaults}.
 *
 * Important: always create a new object or use {@link clone} to modify the options.
 * Don't set the members directly. Otherwise, your values may be overridden if new defaults are set using {@link withDefaults}.
 */
class LogicalGridLayoutConfig {
  constructor(options, defaults) {
    _defineProperty(this, "hgap", void 0);
    _defineProperty(this, "vgap", void 0);
    _defineProperty(this, "columnWidth", void 0);
    _defineProperty(this, "rowHeight", void 0);
    _defineProperty(this, "minWidth", void 0);
    _defineProperty(this, "_defaults", void 0);
    _defineProperty(this, "_options", void 0);
    this._options = this._prepareOptions(options || {});
    this.withDefaults(defaults);
  }
  _prepareOptions(options) {
    let opts = $.extend({}, options);
    // -1 means use the UI defaults
    opts.hgap = options.hgap > -1 ? options.hgap : undefined;
    opts.vgap = options.vgap > -1 ? options.vgap : undefined;
    opts.columnWidth = options.columnWidth > -1 ? options.columnWidth : undefined;
    opts.rowHeight = options.rowHeight > -1 ? options.rowHeight : undefined;
    opts.minWidth = options.minWidth > -1 ? options.minWidth : undefined;
    return opts;
  }
  /**
   * Sets default values that are used if no user-defined options are provided or their values are < 0
   */
  withDefaults(defaults) {
    this._defaults = $.extend({}, defaults);
    this._init();
    return this;
  }
  withSmallHgapDefaults() {
    return this.withDefaults({
      hgap: _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().smallColumnGap
    });
  }
  _init() {
    $.extend(this, this._readEnvDefaults(), this._defaults, this._options);
  }
  /**
   * @returns the environment defaults that are used if no explicit {@link _defaults} or custom {@link _options} are set.
   */
  _readEnvDefaults() {
    let env = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get();
    return {
      hgap: env.formColumnGap,
      vgap: env.formRowGap,
      columnWidth: env.formColumnWidth,
      rowHeight: env.formRowHeight,
      minWidth: 0
    };
  }
  /**
   * @returns a clone of this logical grid layout config enriched with the given options.
   */
  clone(options) {
    return new LogicalGridLayoutConfig($.extend({}, this._options, options), this._defaults);
  }
  applyToLayout(layout) {
    layout.layoutConfig = this;
    if (this.hgap !== null && this.hgap !== undefined) {
      layout.hgap = this.hgap;
    }
    if (this.vgap !== null && this.vgap !== undefined) {
      layout.vgap = this.vgap;
    }
    if (this.columnWidth !== null && this.columnWidth !== undefined) {
      layout.columnWidth = this.columnWidth;
    }
    if (this.rowHeight !== null && this.rowHeight !== undefined) {
      layout.rowHeight = this.rowHeight;
    }
    if (this.minWidth !== null && this.minWidth !== undefined) {
      layout.minWidth = this.minWidth;
    }
  }
  static ensure(layoutConfig) {
    if (!layoutConfig) {
      return null;
    }
    if (layoutConfig instanceof LogicalGridLayoutConfig) {
      return layoutConfig;
    }
    return new LogicalGridLayoutConfig(layoutConfig);
  }
  /**
   * Adds a property change handler to the {@link HtmlEnvironment} that calls the given setter to update the layout config on the given widget whenever the html environment changes.
   * This is necessary because the html environment contains the default values for the layout config object which change when switching to compact mode.
   *
   * This function needs to be called exactly once during the initialization of a widget.
   * It does nothing if it is called after the initialization.
   */
  static initHtmlEnvChangeHandler(widget, getter, setter) {
    if (widget.initialized) {
      return;
    }
    let handler = () => {
      var _getter;
      setter((_getter = getter()) === null || _getter === void 0 ? void 0 : _getter.clone()); // Clone will read the new defaults and apply the custom options
    };
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().on('propertyChange', handler);
    widget.one('destroy', () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().off('propertyChange', handler);
    });
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridLayoutInfo.ts":
/*!*********************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridLayoutInfo.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridLayoutInfo: () => (/* binding */ LogicalGridLayoutInfo)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * JavaScript port of org.eclipse.scout.rt.ui.swing.LogicalGridLayoutInfo.
 */
class LogicalGridLayoutInfo {
  constructor(model) {
    _defineProperty(this, "gridDatas", void 0);
    _defineProperty(this, "cons", void 0);
    _defineProperty(this, "cols", void 0);
    _defineProperty(this, "compSize", void 0);
    _defineProperty(this, "rows", void 0);
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "widthHints", void 0);
    _defineProperty(this, "height", void 0);
    _defineProperty(this, "weightX", void 0);
    _defineProperty(this, "weightY", void 0);
    _defineProperty(this, "hgap", void 0);
    _defineProperty(this, "vgap", void 0);
    _defineProperty(this, "rowHeight", void 0);
    _defineProperty(this, "columnWidth", void 0);
    _defineProperty(this, "cellBounds", void 0);
    _defineProperty(this, "widthHint", void 0);
    _defineProperty(this, "widthOnly", void 0);
    _defineProperty(this, "$components", void 0);
    this.gridDatas = [];
    this.$components = null;
    this.cols = 0;
    this.compSize = [];
    this.rows = 0;
    this.width = [];
    this.widthHints = [];
    this.height = [];
    this.weightX = [];
    this.weightY = [];
    this.hgap = 0;
    this.vgap = 0;
    this.rowHeight = 0;
    this.columnWidth = 0;
    this.cellBounds = [];
    this.widthHint = null;
    this.widthOnly = false;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    // create a modifiable copy of the grid datas
    let i, gd, x, y;
    for (i = 0; i < this.cons.length; i++) {
      this.gridDatas[i] = new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridData(this.cons[i]);
    }
    if (this.$components.length === 0) {
      return;
    }
    // eliminate unused rows and columns
    let usedCols = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeSet();
    let usedRows = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeSet();
    // ticket 86645 use member gridDatas instead of param cons
    for (i = 0; i < this.gridDatas.length; i++) {
      gd = this.gridDatas[i];
      if (gd.gridx < 0) {
        gd.gridx = 0;
      }
      if (gd.gridy < 0) {
        gd.gridy = 0;
      }
      if (gd.gridw < 1) {
        gd.gridw = 1;
      }
      if (gd.gridh < 1) {
        gd.gridh = 1;
      }
      for (x = gd.gridx; x < gd.gridx + gd.gridw; x++) {
        usedCols.add(x);
      }
      for (y = gd.gridy; y < gd.gridy + gd.gridh; y++) {
        usedRows.add(y);
      }
    }
    let maxCol = usedCols.last();
    for (x = maxCol; x >= 0; x--) {
      if (!usedCols.contains(x)) {
        // eliminate column
        // ticket 86645 use member gridDatas instead of param cons
        for (i = 0; i < this.gridDatas.length; i++) {
          gd = this.gridDatas[i];
          if (gd.gridx > x) {
            gd.gridx--;
          }
        }
      }
    }
    let maxRow = usedRows.last();
    for (y = maxRow; y >= 0; y--) {
      if (!usedRows.contains(y)) {
        // eliminate row
        // ticket 86645 use member gridDatas instead of param cons
        for (i = 0; i < this.gridDatas.length; i++) {
          gd = this.gridDatas[i];
          if (gd.gridy > y) {
            // ticket 86645
            gd.gridy--;
          }
        }
      }
    }
    this.cols = usedCols.size();
    this.rows = usedRows.size();
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(LogicalGridLayoutInfo#CTOR) $components.length=' + this.$components.length + ' usedCols=' + this.cols + ' usedRows=' + this.rows);
    this._initializeInfo();
  }
  _initializeInfo() {
    let compCount = this.$components.length;
    let uiHeightElements = [];
    for (let i = 0; i < compCount; i++) {
      // cleanup constraints
      let $comp = this.$components[i];
      let cons = this.gridDatas[i];
      if (cons.gridx < 0) {
        cons.gridx = 0;
      }
      if (cons.gridy < 0) {
        cons.gridy = 0;
      }
      if (cons.gridw < 1) {
        cons.gridw = 1;
      }
      if (cons.gridh < 1) {
        cons.gridh = 1;
      }
      if (cons.gridx >= this.cols) {
        cons.gridx = this.cols - 1;
      }
      if (cons.gridy >= this.rows) {
        cons.gridy = this.rows - 1;
      }
      if (cons.gridx + cons.gridw - 1 >= this.cols) {
        cons.gridw = this.cols - cons.gridx;
      }
      if (cons.gridy + cons.gridh >= this.rows) {
        cons.gridh = this.rows - cons.gridy;
      }
      // Calculate and cache component size
      let size = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
      if (cons.widthHint > 0) {
        // Use explicit width hint, if set
        size.width = cons.widthHint;
        // eslint-disable-next-line brace-style
      } else if (cons.useUiWidth || !cons.fillHorizontal) {
        // Calculate preferred width otherwise
        // This size is needed by _initializeColumns
        // But only if really needed by the logical grid layout (because it is expensive)
        size = this.uiSizeInPixel($comp);
      }
      if (cons.heightHint > 0) {
        // Use explicit height hint, if set
        size.height = cons.heightHint;
      } else if (cons.useUiHeight || !cons.fillVertical) {
        // Otherwise check if preferred height should be calculated.
        // Don't do it now because weightX need to be calculated first to get the correct width hints
        uiHeightElements.push({
          cons: cons,
          $comp: $comp,
          index: i
        });
      }
      this.compSize[i] = size;
    }
    // Calculate this.width and this.weightX
    this._initializeColumns();
    if (this.widthOnly) {
      // Abort here if only width is of interest
      this.height = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.rows, [0, 0, 0]);
      return;
    }
    // Calculate preferred heights using the width hints
    if (this.widthHint && uiHeightElements.length > 0) {
      let totalHGap = Math.max(0, (this.cols - 1) * this.hgap);
      this.widthHints = this.layoutSizes(this.widthHint - totalHGap, this.width, this.weightX);
    }
    uiHeightElements.forEach(elem => {
      let $comp = elem.$comp;
      let cons = elem.cons;
      let widthHint = this.widthHintForGridData(cons);
      if (!cons.fillHorizontal) {
        widthHint = Math.min(widthHint, this.compSize[elem.index].width);
      }
      this.compSize[elem.index] = this.uiSizeInPixel($comp, {
        widthHint: widthHint
      });
    });
    // Calculate this.height and this.weightY
    this._initializeRows();
  }
  _initializeColumns() {
    let compSize = this.compSize;
    let compCount = compSize.length;
    let prefWidths = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.cols, 0);
    let maxWidths = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.cols, 10240);
    let fixedWidths = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.cols, false);
    for (let i = 0; i < compCount; i++) {
      let cons = this.gridDatas[i];
      if (cons.gridw === 1) {
        let prefw;
        if (cons.widthHint > 0) {
          prefw = cons.widthHint;
        } else if (cons.useUiWidth) {
          prefw = compSize[i].width;
        } else {
          prefw = this.logicalWidthInPixel(cons);
        }
        prefw = Math.floor(prefw);
        let x = cons.gridx;
        if (x < this.cols) {
          prefWidths[x] = Math.max(prefWidths[x], prefw);
          maxWidths[x] = Math.min(maxWidths[x], cons.maxWidth);
          if (cons.weightx === 0) {
            fixedWidths[x] = true;
          }
        }
      }
    }
    const lc = _index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants;
    for (let i = 0; i < compCount; i++) {
      let cons = this.gridDatas[i];
      if (cons.gridw > 1) {
        let hSpan = cons.gridw;
        let spanWidth = 0;
        let distWidth;
        for (let j = cons.gridx; j < cons.gridx + cons.gridw && j < this.cols; j++) {
          if (!fixedWidths[j]) {
            spanWidth += prefWidths[j];
          }
        }
        if (cons.widthHint > 0) {
          distWidth = cons.widthHint;
        } else if (cons.useUiWidth) {
          distWidth = compSize[i].width;
        } else {
          distWidth = this.logicalWidthInPixel(cons);
        }
        let hGaps = (hSpan - 1) * this.hgap;
        distWidth -= hGaps;
        if (distWidth > spanWidth) {
          this._distributeWidth(cons, distWidth, prefWidths, fixedWidths, Math.max.bind(Math));
        }
        this._distributeWidth(cons, cons.maxWidth - hGaps, maxWidths, fixedWidths, Math.min.bind(Math));
      }
    }
    for (let i = 0; i < this.cols; i++) {
      this.width[i] = [];
      if (fixedWidths[i]) {
        this.width[i][lc.MIN] = prefWidths[i];
        this.width[i][lc.PREF] = prefWidths[i];
        this.width[i][lc.MAX] = Math.min(prefWidths[i], maxWidths[i]);
      } else {
        this.width[i][lc.MIN] = 0; // must be exactly 0!
        this.width[i][lc.PREF] = prefWidths[i];
        this.width[i][lc.MAX] = maxWidths[i];
      }
    }
    // averaged column weights, normalized so that sum of weights is equal to
    // 1.0
    for (let i = 0; i < this.cols; i++) {
      if (fixedWidths[i]) {
        this.weightX[i] = 0;
      } else {
        let weightSum = 0;
        let weightCount = 0;
        for (let k = 0; k < compCount; k++) {
          let cons = this.gridDatas[k];
          if (cons.weightx > 0 && cons.gridx <= i && i <= cons.gridx + cons.gridw - 1) {
            weightSum += cons.weightx / cons.gridw;
            weightCount++;
          }
        }
        this.weightX[i] = weightCount > 0 ? weightSum / weightCount : 0;
      }
    }
    let sumWeightX = 0;
    for (let i = 0; i < this.cols; i++) {
      sumWeightX += this.weightX[i];
    }
    if (sumWeightX >= 1e-6) {
      let f = 1.0 / sumWeightX;
      for (let i = 0; i < this.cols; i++) {
        this.weightX[i] = this.weightX[i] * f;
      }
    }
  }
  /**
   * @param cons the current grid data
   * @param distWidth the width to distribute to the columns. The width is distributed to the columns equally.
   * @param widths the column widths that have been distributed so far when the previous rows were visited
   * @param fixedWidths the columns with a fixed width (weightx = 0)
   * @param calc a function that is called for each element of the given `widths` array, e.g. to decide whether to use the newly calculated column width or the existing one.
   */
  _distributeWidth(cons, distWidth, widths, fixedWidths, calc) {
    let hSpan = cons.gridw;
    let equalWidth = Math.floor(distWidth / hSpan);
    let remainder = distWidth % hSpan;
    let last = -1;
    for (let j = cons.gridx; j < cons.gridx + cons.gridw && j < this.cols; j++) {
      last = j;
      if (!fixedWidths[j]) {
        widths[j] = calc(equalWidth, widths[j]);
      }
      if (cons.weightx === 0) {
        fixedWidths[j] = true;
      }
    }
    if (last > -1) {
      widths[last] += remainder;
    }
  }
  /**
   * @param cons the current grid data
   * @param distHeight the height to distribute to the rows. The height is distributed to the rows equally.
   * @param widths the row heights that have been distributed so far when the previous column were visited
   * @param fixedHeights the rows with a fixed height (weighty = 0)
   * @param calc a function that is called for each element of the given `heights` array, e.g. to decide whether to use the newly calculated row height or the existing one.
   */
  _distributeHeight(cons, distHeight, heights, fixedHeights, calc) {
    let vSpan = cons.gridh;
    let equalHeight = Math.floor(distHeight / vSpan);
    let remainder = distHeight % vSpan;
    let last = -1;
    for (let j = cons.gridy; j < cons.gridy + cons.gridh && j < this.rows; j++) {
      last = j;
      if (!fixedHeights[j]) {
        heights[j] = calc(equalHeight, heights[j]);
      }
      if (cons.weighty === 0) {
        fixedHeights[j] = true;
      }
    }
    if (last > -1) {
      heights[last] += remainder;
    }
  }
  _initializeRows() {
    let compSize = this.compSize;
    let compCount = compSize.length;
    let prefHeights = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.rows, 0);
    let maxHeights = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.rows, 10240);
    let fixedHeights = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.rows, false);
    for (let i = 0; i < compCount; i++) {
      let cons = this.gridDatas[i];
      if (cons.gridh === 1) {
        let prefh;
        if (cons.heightHint > 0) {
          prefh = cons.heightHint;
        } else if (cons.useUiHeight) {
          prefh = compSize[i].height;
        } else {
          prefh = this.logicalHeightInPixel(cons);
        }
        prefh = Math.floor(prefh);
        let y = cons.gridy;
        if (y < this.rows) {
          prefHeights[y] = Math.max(prefHeights[y], prefh);
          maxHeights[y] = Math.min(maxHeights[y], cons.maxHeight);
          if (cons.weighty === 0) {
            fixedHeights[y] = true;
          }
        }
      }
    }
    const lc = _index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants;
    for (let i = 0; i < compCount; i++) {
      let cons = this.gridDatas[i];
      if (cons.gridh > 1) {
        let vSpan = cons.gridh;
        let spanHeight = 0;
        let distHeight;
        for (let j = cons.gridy; j < cons.gridy + cons.gridh && j < this.rows; j++) {
          if (!fixedHeights[j]) {
            spanHeight += prefHeights[j];
          }
        }
        let vGaps = (vSpan - 1) * this.vgap;
        if (cons.heightHint > 0) {
          distHeight = cons.heightHint;
        } else if (cons.useUiHeight) {
          distHeight = compSize[i].height;
        } else {
          distHeight = this.logicalHeightInPixel(cons);
        }
        distHeight -= vGaps;
        if (distHeight > spanHeight) {
          this._distributeHeight(cons, distHeight, prefHeights, fixedHeights, Math.max.bind(this));
        }
        this._distributeHeight(cons, cons.maxHeight - vGaps, maxHeights, fixedHeights, Math.min.bind(this));
      }
    }
    for (let i = 0; i < this.rows; i++) {
      this.height[i] = [];
      if (fixedHeights[i]) {
        this.height[i][lc.MIN] = prefHeights[i];
        this.height[i][lc.PREF] = prefHeights[i];
        this.height[i][lc.MAX] = Math.min(prefHeights[i], maxHeights[i]);
      } else {
        this.height[i][lc.MIN] = 0; // must be exactly 0!
        this.height[i][lc.PREF] = prefHeights[i];
        this.height[i][lc.MAX] = maxHeights[i];
      }
    }
    // averaged row weights, normalized so that sum of weights is equal to 1.0
    for (let i = 0; i < this.rows; i++) {
      if (fixedHeights[i]) {
        this.weightY[i] = 0;
      } else {
        let weightSum = 0;
        let weightCount = 0;
        for (let k = 0; k < compCount; k++) {
          let cons = this.gridDatas[k];
          if (cons.weighty > 0 && cons.gridy <= i && i <= cons.gridy + cons.gridh - 1) {
            weightSum += cons.weighty / cons.gridh;
            weightCount++;
          }
        }
        this.weightY[i] = weightCount > 0 ? weightSum / weightCount : 0;
      }
    }
    let sumWeightY = 0;
    for (let i = 0; i < this.rows; i++) {
      sumWeightY += this.weightY[i];
    }
    if (sumWeightY >= 1e-6) {
      let f = 1.0 / sumWeightY;
      for (let i = 0; i < this.rows; i++) {
        this.weightY[i] = this.weightY[i] * f;
      }
    }
  }
  layoutCellBounds(size, insets) {
    let w = this.layoutSizes(size.width - insets.horizontal() - Math.max(0, (this.cols - 1) * this.hgap), this.width, this.weightX);
    let h = this.layoutSizes(size.height - insets.vertical() - Math.max(0, (this.rows - 1) * this.vgap), this.height, this.weightY);
    this.cellBounds = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.rows, null);
    let y = insets.top;
    for (let r = 0; r < this.rows; r++) {
      let x = insets.left;
      this.cellBounds[r] = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(this.cols, null);
      for (let c = 0; c < this.cols; c++) {
        this.cellBounds[r][c] = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(x, y, w[c], h[r]);
        x += w[c];
        x += this.hgap;
      }
      y += h[r];
      y += this.vgap;
    }
    return this.cellBounds;
  }
  layoutSizes(targetSize, sizes, weights) {
    let outSizes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(sizes.length, 0);
    if (targetSize <= 0) {
      for (let i = 0; i < sizes.length; i++) {
        outSizes[i] = sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MIN];
      }
      return outSizes;
    }
    let sumSize = 0;
    let tmpWeight = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(weights.length, 0.0);
    let sumWeight = 0;
    for (let i = 0; i < sizes.length; i++) {
      outSizes[i] = Math.min(Math.max(sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.PREF], sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MIN]), sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MAX]);
      sumSize += outSizes[i];
      tmpWeight[i] = weights[i];
      /**
       * autocorrection: if weight is 0 and min / max sizes are NOT equal then
       * set weight to 1; if weight<eps set it to 0
       */
      if (tmpWeight[i] < _index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.EPS) {
        if (sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MAX] > sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MIN]) {
          tmpWeight[i] = 1;
        } else {
          tmpWeight[i] = 0;
        }
      }
      sumWeight += tmpWeight[i];
    }
    // normalize weights
    if (sumWeight > 0) {
      for (let i = 0; i < tmpWeight.length; i++) {
        tmpWeight[i] = tmpWeight[i] / sumWeight;
      }
    }
    let deltaInt = targetSize - sumSize;
    // expand or shrink
    if (Math.abs(deltaInt) > 0) {
      // setup accumulators
      /* float[] */
      let accWeight = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.init(tmpWeight.length, 0.0);
      let hasTargets;
      if (deltaInt > 0) {
        // expand, if delta is > 0
        hasTargets = true;
        while (deltaInt > 0 && hasTargets) {
          hasTargets = false;
          for (let i = 0; i < outSizes.length && deltaInt > 0; i++) {
            if (tmpWeight[i] > 0 && outSizes[i] < sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MAX]) {
              hasTargets = true;
              accWeight[i] += tmpWeight[i];
              if (accWeight[i] > 0) {
                accWeight[i] -= 1;
                outSizes[i] += 1;
                deltaInt -= 1;
              }
            }
          }
        }
      } else {
        // shrink, if delta is <= 0
        hasTargets = true;
        while (deltaInt < 0 && hasTargets) {
          hasTargets = false;
          for (let i = 0; i < outSizes.length && deltaInt < 0; i++) {
            if (tmpWeight[i] > 0 && outSizes[i] > sizes[i][_index__WEBPACK_IMPORTED_MODULE_0__.LayoutConstants.MIN]) {
              hasTargets = true;
              accWeight[i] += tmpWeight[i];
              if (accWeight[i] > 0) {
                accWeight[i] -= 1;
                outSizes[i] -= 1;
                deltaInt += 1;
              }
            }
          }
        }
      }
    }
    return outSizes;
  }
  logicalWidthInPixel(cons) {
    let gridW = cons.gridw;
    return this.columnWidth * gridW + this.hgap * Math.max(0, gridW - 1);
  }
  logicalHeightInPixel(cons) {
    let gridH = cons.gridh;
    let addition = cons.logicalRowHeightAddition || 0;
    return this.rowHeight * gridH + this.vgap * Math.max(0, gridH - 1) + addition;
  }
  uiSizeInPixel($comp, options) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($comp);
    return htmlComp.prefSize(options).add(htmlComp.margins());
  }
  /**
   * @returns the width hint for the given gridData
   */
  widthHintForGridData(gridData) {
    if (this.widthHints.length === 0) {
      return null;
    }
    let widthHint = (gridData.gridw - 1) * this.hgap;
    for (let i = gridData.gridx; i < gridData.gridx + gridData.gridw; i++) {
      widthHint += this.widthHints[i];
    }
    return widthHint;
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridLayoutInfoModel.ts":
/*!**************************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridLayoutInfoModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/layout/logicalgrid/LogicalGridLayoutSpy.ts":
/*!********************************************************!*\
  !*** ./src/layout/logicalgrid/LogicalGridLayoutSpy.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridLayoutSpy: () => (/* binding */ LogicalGridLayoutSpy)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

class LogicalGridLayoutSpy {
  constructor() {
    _defineProperty(this, "canvas", void 0);
  }
  drawCellBounds($container, rows) {
    this._prepareCanvas($container);
    for (let row of rows) {
      for (let cell of row) {
        this._drawGridCell(cell);
      }
    }
  }
  dispose() {
    var _this$canvas;
    (_this$canvas = this.canvas) === null || _this$canvas === void 0 || _this$canvas.remove();
    this.canvas = null;
  }
  _prepareCanvas($container) {
    if (this.canvas) {
      const context = this.canvas.getContext('2d');
      context.clearRect(0, 0, this.canvas.width, this.canvas.height);
    } else {
      let $canvas = $container.appendElement('<canvas>', 'logical-grid-layout-spy');
      this.canvas = $canvas[0];
    }
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(this.canvas).attr({
      width: $container.outerWidth(),
      height: $container.outerHeight()
    });
  }
  _drawGridCell(cell) {
    this._drawCellLabel(cell);
    const ctx = this.canvas.getContext('2d');
    ctx.beginPath();
    ctx.setLineDash([10, 2]);
    ctx.strokeStyle = '#FF00FF';
    ctx.rect(cell.x, cell.y, cell.width, cell.height);
    ctx.stroke();
    ctx.closePath();
  }
  _drawCellLabel(cell) {
    const ctx = this.canvas.getContext('2d');
    let label = `x: ${cell.x}, y: ${cell.y}, w: ${cell.width}, h: ${cell.height}`;
    let labelWidth = ctx.measureText(label).width;
    let labels = [label];
    let labelHeight = 12;
    let lineHeight = 12;
    if (cell.height > cell.width) {
      labels = label.split(', ');
      labelHeight *= labels.length;
      labelWidth = labels.map(lbl => ctx.measureText(lbl).width).reduce((prev, curr) => Math.max(prev, curr), 0);
    }
    ctx.beginPath();
    ctx.fillStyle = '#FFF';
    ctx.fillRect(cell.x, cell.y, labelWidth + 2, labelHeight);
    for (let i = 0; i < labels.length; i++) {
      ctx.fillStyle = '#000';
      ctx.fillText(labels[i], cell.x + 2, cell.y + 10 + i * lineHeight);
    }
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/VerticalSmartGrid.ts":
/*!*****************************************************!*\
  !*** ./src/layout/logicalgrid/VerticalSmartGrid.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VerticalSmartGrid: () => (/* binding */ VerticalSmartGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class VerticalSmartGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractGrid {
  layoutAllDynamic(widgets) {
    let cellCount = 0;
    widgets.forEach(f => {
      let hints = _index__WEBPACK_IMPORTED_MODULE_0__.AbstractGrid.getGridDataFromHints(f, this.getGridColumnCount());
      cellCount += hints.w * hints.h;
    });
    // do the calc
    let rowCount = Math.floor((cellCount + this.getGridColumnCount() - 1) / this.getGridColumnCount());
    let matrix = new _index__WEBPACK_IMPORTED_MODULE_0__.VerticalGridMatrix(this.getGridColumnCount(), rowCount);
    while (!matrix.computeGridData(widgets)) {
      matrix.resetAll(this.getGridColumnCount(), ++rowCount);
    }
    // set gridData
    widgets.forEach(f => {
      f._setGridData(matrix.getGridData(f));
    });
    this.gridRows = matrix.getRowCount();
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/matrix/HorizontalGridMatrix.ts":
/*!***************************************************************!*\
  !*** ./src/layout/logicalgrid/matrix/HorizontalGridMatrix.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HorizontalGridMatrix: () => (/* binding */ HorizontalGridMatrix)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HorizontalGridMatrix extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrix {
  constructor(columnCount) {
    super(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor(0, 0, columnCount, Number.MAX_SAFE_INTEGER, _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor.Orientation.HORIZONTAL));
    _defineProperty(this, "rowCount", void 0);
    this.rowCount = 0;
  }
  computeGridData(widgets) {
    widgets.forEach(widget => {
      let hints = _index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(widget, this.getColumnCount());
      let gridData = new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(hints);
      gridData.w = Math.min(hints.w, this.getColumnCount());
      this._add(widget, hints, gridData);
      widget._setGridData(gridData);
    });
    this._cursor.rowCount = this.rowCount;
    return true;
  }
  _add(widget, hints, data) {
    this._nextFree(data.w, data.h);
    let currentIndex = this._cursor.currentIndex();
    if (data.w <= this.getColumnCount() - currentIndex.x) {
      data.x = currentIndex.x;
      data.y = currentIndex.y;
      // add widget
      for (let xx = currentIndex.x; xx < currentIndex.x + data.w; xx++) {
        for (let yy = currentIndex.y; yy < currentIndex.y + data.h; yy++) {
          this._setAssignedCell(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xx, yy), new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCell(widget, data));
        }
      }
      this.rowCount = currentIndex.y + data.h;
    } else {
      // add dummy cell
      this._setAssignedCell(this._cursor.currentIndex(), new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCell());
      this._add(widget, hints, data);
    }
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/matrix/LogicalGridMatrix.ts":
/*!************************************************************!*\
  !*** ./src/layout/logicalgrid/matrix/LogicalGridMatrix.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridMatrix: () => (/* binding */ LogicalGridMatrix)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LogicalGridMatrix {
  constructor(cursor) {
    _defineProperty(this, "_cursor", void 0);
    _defineProperty(this, "_assignedCells", void 0);
    this._cursor = cursor;
    this._assignedCells = [];
  }
  getColumnCount() {
    return this._cursor.columnCount;
  }
  getRowCount() {
    return this._cursor.rowCount;
  }
  _setAssignedCell(index, val) {
    if (!this._assignedCells[index.x]) {
      this._assignedCells[index.x] = [];
    }
    this._assignedCells[index.x][index.y] = val;
  }
  _getAssignedCell(index) {
    if (!this._assignedCells[index.x]) {
      return null;
    }
    return this._assignedCells[index.x][index.y];
  }
  _nextFree(w, h) {
    if (!this._cursor.increment()) {
      return false;
    }
    let currentIndex = this._cursor.currentIndex();
    if (!this._isAllCellFree(currentIndex.x, currentIndex.y, w, h)) {
      if (!this._getAssignedCell(currentIndex)) {
        this._setAssignedCell(currentIndex, new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCell());
      }
      return this._nextFree(w, h);
    }
    return true;
  }
  _isAllCellFree(x, y, w, h) {
    if (x + w > this._cursor.startX + this._cursor.columnCount || y + h > this._cursor.startY + this._cursor.rowCount) {
      return false;
    }
    return this._assignedCells.slice(x, x + w).every(valX => {
      return (valX || []).slice(y, y + h).every(valY => {
        return !valY;
      });
    });
  }
  toString() {
    let ret = '----Group Box Grid Matrix [orientation=' + this._cursor.orientation + ', columnCount=' + this.getColumnCount() + ', rowCount=' + this.getRowCount() + ']--------------\n';
    let tempCursor = new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor(0, 0, this.getColumnCount(), this.getRowCount(), this._cursor.orientation);
    while (tempCursor.increment()) {
      let cell = this._getAssignedCell(tempCursor.currentIndex());
      ret += 'cell[' + tempCursor.currentIndex().x + ', ' + tempCursor.currentIndex().y + '] ';
      if (!cell) {
        ret += 'NULL';
      } else if (!cell.widget) {
        ret += 'Placeholder';
      } else {
        ret += cell.widget + (cell.widget ? ', [' + cell.widget.label + ']' : '');
      }
      ret += '\n';
    }
    return ret;
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/matrix/LogicalGridMatrixCell.ts":
/*!****************************************************************!*\
  !*** ./src/layout/logicalgrid/matrix/LogicalGridMatrixCell.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridMatrixCell: () => (/* binding */ LogicalGridMatrixCell)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class LogicalGridMatrixCell {
  constructor(widget, data) {
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "data", void 0);
    this.widget = widget;
    this.data = data;
  }
  isEmpty() {
    return !this.widget;
  }
}

/***/ }),

/***/ "./src/layout/logicalgrid/matrix/LogicalGridMatrixCursor.ts":
/*!******************************************************************!*\
  !*** ./src/layout/logicalgrid/matrix/LogicalGridMatrixCursor.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogicalGridMatrixCursor: () => (/* binding */ LogicalGridMatrixCursor)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LogicalGridMatrixCursor {
  constructor(x, y, columnCount, rowCount, orientation) {
    _defineProperty(this, "startX", void 0);
    _defineProperty(this, "startY", void 0);
    _defineProperty(this, "columnCount", void 0);
    _defineProperty(this, "rowCount", void 0);
    _defineProperty(this, "orientation", void 0);
    _defineProperty(this, "_currentIndex", void 0);
    this.startX = x;
    this.startY = y;
    this.columnCount = columnCount;
    this.rowCount = rowCount;
    this.orientation = orientation;
    this.reset();
  }
  reset() {
    this._currentIndex = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(-1, -1);
  }
  currentIndex() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(this._currentIndex.x, this._currentIndex.y);
  }
  increment() {
    if (this._currentIndex.x < 0 || this._currentIndex.y < 0) {
      // initial
      this._currentIndex.x = this.startX;
      this._currentIndex.y = this.startY;
    } else if (this.orientation === LogicalGridMatrixCursor.Orientation.HORIZONTAL) {
      this._currentIndex.x++;
      if (this._currentIndex.x >= this.startX + this.columnCount) {
        this._currentIndex.x = this.startX;
        this._currentIndex.y++;
      }
    } else {
      // vertical
      this._currentIndex.y++;
      if (this._currentIndex.y >= this.startY + this.rowCount) {
        this._currentIndex.y = this.startY;
        this._currentIndex.x++;
      }
    }
    if (this._currentIndex.x >= this.startX + this.columnCount || this._currentIndex.y >= this.startY + this.rowCount) {
      return false;
    }
    return true;
  }
  decrement() {
    if (this._currentIndex.x < 0 || this._currentIndex.y < 0) {
      return false;
    } else if (this._currentIndex.x >= this.startX + this.columnCount || this._currentIndex.y >= this.startY + this.rowCount) {
      this._currentIndex.x = this.startX + this.columnCount - 1;
      this._currentIndex.y = this.startY + this.rowCount - 1;
    } else if (this.orientation === LogicalGridMatrixCursor.Orientation.HORIZONTAL) {
      this._currentIndex.x--;
      if (this._currentIndex.x < this.startX) {
        this._currentIndex.x = this.startX + this.columnCount - 1;
        this._currentIndex.y--;
      }
    } else {
      // vertical
      this._currentIndex.y--;
      if (this._currentIndex.y < this.startY) {
        this._currentIndex.y = this.startY + this.rowCount - 1;
        this._currentIndex.x--;
      }
    }
    if (this._currentIndex.x < this.startX || this._currentIndex.y < this.startY) {
      return false;
    }
    return true;
  }
  toString() {
    let builder = [];
    builder.push('MatrixCursor [');
    builder.push('orientation=' + this.orientation);
    builder.push(', startX=' + this.startX);
    builder.push(', startY=' + this.startY);
    builder.push(', columnCount=' + this.columnCount);
    builder.push(', currentIndex=' + this._currentIndex.x + ', ' + this._currentIndex.y);
    builder.push(']');
    return builder.join('');
  }
}
_defineProperty(LogicalGridMatrixCursor, "Orientation", {
  HORIZONTAL: 0,
  VERTICAL: 1
});

/***/ }),

/***/ "./src/layout/logicalgrid/matrix/VerticalGridMatrix.ts":
/*!*************************************************************!*\
  !*** ./src/layout/logicalgrid/matrix/VerticalGridMatrix.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VerticalGridMatrix: () => (/* binding */ VerticalGridMatrix)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class VerticalGridMatrix extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrix {
  constructor(columnCount, rowCount, x, y) {
    super(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor(x || 0, y || 0, columnCount, rowCount, _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor.Orientation.VERTICAL));
    _defineProperty(this, "_widgets", void 0);
    _defineProperty(this, "_widgetGridDatas", void 0);
    _defineProperty(this, "_widgetIndexes", void 0);
    this._widgets = [];
    this._widgetGridDatas = [];
    this._widgetIndexes = [];
  }
  resetAll(columnCount, rowCount) {
    this._widgetGridDatas = [];
    this._assignedCells = [];
    this._widgetIndexes = [];
    this._cursor = new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor(this._cursor.startX, this._cursor.startY, columnCount, rowCount, _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCursor.Orientation.VERTICAL);
  }
  computeGridData(widgets) {
    this._widgets = widgets;
    return widgets.every((f, i) => {
      this._widgetGridDatas[i] = _index__WEBPACK_IMPORTED_MODULE_0__.AbstractGrid.getGridDataFromHints(f, this._cursor.columnCount);
      return this._add(f, this._widgetGridDatas[i]);
    });
  }
  getGridData(f) {
    return this._widgetGridDatas[this._widgets.indexOf(f)];
  }
  _addAssignedCells(cells) {
    cells.forEach((v, i) => {
      if (v) {
        v.forEach((w, j) => {
          if (w) {
            this._setAssignedCell(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(i, j), w);
          }
        });
      }
    });
  }
  _getAssignedCells() {
    return this._assignedCells;
  }
  _add(f, gd) {
    let idx = this._cursor.currentIndex();
    if (gd.w > 1) {
      // try to reorganize widgets above
      let x = idx.x,
        y = idx.y;
      // try to move left if the right border of the widget is outside the column range
      while (x + gd.w > this._cursor.startX + this._cursor.columnCount) {
        // shift left and bottom
        x--;
        y = this._cursor.rowCount - 1;
      }
      this._reorganizeGridAbove(x, y, gd.w);
    }
    if (!this._nextFree(gd.w, gd.h)) {
      return false;
    }
    idx = this._cursor.currentIndex();
    gd.x = idx.x;
    gd.y = idx.y;
    // add widget
    for (let xx = idx.x; xx < idx.x + gd.w; xx++) {
      for (let yy = idx.y; yy < idx.y + gd.h; yy++) {
        this._setAssignedCell(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xx, yy), new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridMatrixCell(f, gd));
      }
    }
    return true;
  }
  _reorganizeGridAbove(x, y, w) {
    let widgetsToReorganize = [];
    let addWidgetToReorganize = f => {
      if (widgetsToReorganize.indexOf(f) === -1) {
        widgetsToReorganize.push(f);
      }
    };
    let occupiedCells = [];
    let setOccupiedCell = (x, y, val) => {
      if (!occupiedCells[x]) {
        occupiedCells[x] = [];
      }
      occupiedCells[x][y] = val;
    };
    let reorgBounds = {
      x: x,
      y: 0,
      w: w,
      h: y + 1
    }; // x, y, w, h
    let minY = y;
    let usedCells = 0;
    let continueLoop = true;
    for (let yi = y; yi >= 0 && continueLoop; yi--) {
      for (let xi = x; xi < x + w && continueLoop; xi++) {
        let idx = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(xi, yi);
        let cell = this._getAssignedCell(idx);
        if (cell && !cell.isEmpty()) {
          let gd = cell.data;
          if (this._horizontalMatchesOrOverlaps(reorgBounds, gd)) {
            continueLoop = false;
          } else if (this._horizontalOverlapsOnSide(reorgBounds, gd)) {
            // freeze the cells for reorganization
            setOccupiedCell(idx.x, idx.y, cell);
            usedCells++;
            minY = Math.min(idx.y, minY);
          } else {
            // add widget to reorganization
            this._setAssignedCell(idx, null);
            addWidgetToReorganize(cell.widget);
            usedCells++;
            minY = Math.min(idx.y, minY);
          }
        }
      }
    }
    if (widgetsToReorganize.length === 0) {
      return;
    }
    widgetsToReorganize.sort((a, b) => {
      return this._widgets.indexOf(a) < this._widgets.indexOf(b) ? -1 : 1;
    });
    reorgBounds.y = minY;
    let reorgMatrix = new VerticalGridMatrix(reorgBounds.w, Math.floor((usedCells + reorgBounds.w - 1) / reorgBounds.w), reorgBounds.x, reorgBounds.y);
    reorgMatrix._addAssignedCells(occupiedCells);
    while (!reorgMatrix.computeGridData(widgetsToReorganize)) {
      reorgMatrix.resetAll(reorgMatrix.getColumnCount(), reorgMatrix.getRowCount() + 1);
    }
    this._cursor.reset();
    this._addAssignedCells(reorgMatrix._getAssignedCells());
    reorgMatrix._widgetGridDatas.forEach((v, i) => {
      this._widgetGridDatas[this._widgets.indexOf(reorgMatrix._widgets[i])] = v;
    });
  }
  _horizontalMatchesOrOverlaps(bounds, gd) {
    return bounds.x >= gd.x && bounds.x + bounds.w <= gd.x + gd.w;
  }
  _horizontalOverlapsOnSide(bounds, gd) {
    return bounds.x > gd.x || bounds.x + bounds.w < gd.x + gd.w;
  }
}

/***/ }),

/***/ "./src/lifecycle/Lifecycle.ts":
/*!************************************!*\
  !*** ./src/lifecycle/Lifecycle.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Lifecycle: () => (/* binding */ Lifecycle)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Abstract base class for validation lifecycles as used for forms.
 * A subclass must set the properties, in order to display messages:
 * - emptyMandatoryElementsTextKey
 * - invalidElementsErrorTextKey
 * - invalidElementsWarningTextKey
 * - saveChangesQuestionTextKey
 */
class Lifecycle extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "emptyMandatoryElementsTextKey", void 0);
    _defineProperty(this, "emptyMandatoryElementsText", void 0);
    _defineProperty(this, "invalidElementsErrorTextKey", void 0);
    _defineProperty(this, "invalidElementsErrorText", void 0);
    _defineProperty(this, "invalidElementsWarningTextKey", void 0);
    _defineProperty(this, "invalidElementsWarningText", void 0);
    _defineProperty(this, "saveChangesQuestionTextKey", void 0);
    _defineProperty(this, "askIfNeedSave", void 0);
    _defineProperty(this, "askIfNeedSaveText", void 0);
    _defineProperty(this, "handlers", void 0);
    this.widget = null;
    this.emptyMandatoryElementsTextKey = null;
    this.emptyMandatoryElementsText = null;
    this.invalidElementsErrorTextKey = null;
    this.invalidElementsErrorText = null;
    this.invalidElementsWarningTextKey = null;
    this.invalidElementsWarningText = null;
    this.saveChangesQuestionTextKey = null;
    this.askIfNeedSave = true;
    this.askIfNeedSaveText = null;
    this.handlers = {
      'load': this._defaultLoad.bind(this),
      'save': this._defaultSave.bind(this)
    };
  }
  // Info: doExportXml, doImportXml, doSaveWithoutMarkerChange is not supported in Html UI
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('widget', model.widget);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.emptyMandatoryElementsText)) {
      this.emptyMandatoryElementsText = this.session().text(this.emptyMandatoryElementsTextKey);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.invalidElementsErrorText)) {
      this.invalidElementsErrorText = this.session().text(this.invalidElementsErrorTextKey);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.invalidElementsWarningText)) {
      this.invalidElementsWarningText = this.session().text(this.invalidElementsWarningTextKey);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.askIfNeedSaveText)) {
      this.askIfNeedSaveText = this.session().text(this.saveChangesQuestionTextKey);
    }
  }
  load() {
    return this._load().then(() => {
      this.markAsSaved();
      this.trigger('postLoad');
    });
  }
  _load() {
    return this.handlers.load().then(() => {
      this.trigger('load');
    });
  }
  _defaultLoad() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  ok() {
    // 1. validate form
    return this._validateAndHandle().then(status => {
      if (!status.isValid()) {
        return;
      }
      // 2. check if save is required
      if (!this.saveNeeded()) {
        return this.close();
      }
      // 3. perform save operation
      return this._save().then(() => {
        this.markAsSaved();
        return this.close();
      });
    });
  }
  cancel() {
    let showMessageBox = this.saveNeeded() && this.askIfNeedSave;
    if (showMessageBox) {
      return this._showYesNoCancelMessageBox(this.askIfNeedSaveText, this.ok.bind(this), this.close.bind(this));
    }
    return this.close();
  }
  _showYesNoCancelMessageBox(message, yesAction, noAction) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxes.createYesNoCancel(this.widget).withHeader(message).buildAndOpen().then(option => {
      if (option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.YES) {
        return yesAction();
      } else if (option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.NO) {
        return noAction();
      }
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    });
  }
  reset() {
    this._reset();
    // reload the state
    return this.load().then(() => {
      this.trigger('reset');
    });
  }
  close() {
    return this._close();
  }
  _close() {
    this.trigger('close');
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  save() {
    // 1. validate form
    return this._validateAndHandle().then(status => {
      // 2. invalid or form has not been changed
      if (!status.isValid() || !this.saveNeeded()) {
        return;
      }
      // 3. perform save operation
      return this._save().then(() => this.markAsSaved());
    });
  }
  _reset() {
    // NOP
  }
  _save() {
    return this.handlers.save().then(() => {
      this.trigger('save');
    });
  }
  _defaultSave() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  markAsSaved() {
    // NOP
  }
  /**
   * Override this function to check if any data has changed and saving is required.
   */
  saveNeeded() {
    return false;
  }
  setAskIfNeedSave(askIfNeedSave) {
    this.askIfNeedSave = askIfNeedSave;
  }
  _validateAndHandle() {
    return this._validate().then(status => {
      const event = this.trigger('validate', {
        status
      });
      return event.status;
    }).then(status => {
      if (!status || status.isValid()) {
        return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status || _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok());
      }
      return this._handleInvalid(status);
    }).catch(error => {
      const errorHandler = _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler;
      return errorHandler.analyzeError(error).then(errorInfo => errorHandler.errorInfoToStatus(this.session(), errorInfo)).then(status => this._handleInvalid(status));
    });
  }
  _handleInvalid(status) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status); // default no handling
  }
  /**
   * @returns a promise resolved with the validation result as {@link Status}.
   */
  validate() {
    return this._validateAndHandle();
  }
  _validate() {
    let status = this._validateElements();
    if (!status.isValid()) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(status);
    }
    let statusOrPromise = this._validateWidget();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isPromise(statusOrPromise)) {
      return statusOrPromise;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(statusOrPromise);
  }
  /**
   * Validates all elements (i.e. form-fields) covered by the lifecycle and checks for missing or invalid elements.
   */
  _validateElements() {
    let elements = this.invalidElements();
    if (elements.missingElements.length === 0 && elements.invalidElements.length === 0) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok();
    }
    const severity = elements.missingElements.length ? _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR : _index__WEBPACK_IMPORTED_MODULE_0__.arrays.max(elements.invalidElements.map(e => e.errorStatus ? e.errorStatus.severity : 0)),
      message = this._createInvalidElementsMessageHtml(elements.missingElements, elements.invalidElements);
    this._revealInvalidElement(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(elements.missingElements) || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(elements.invalidElements));
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure({
      severity,
      message
    });
  }
  _revealInvalidElement(invalidElement) {
    // NOP
  }
  /**
   * Validates the widget (i.e. form) associated with this lifecycle. This function is only called when there are
   * no missing or invalid elements. It is used to implement an overall-validate logic which has nothing to do
   * with a specific element or field. For instance, you could validate if an internal member variable of a Lifecycle
   * or Form is set.
   */
  _validateWidget() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Status.ok();
  }
  /**
   * Override this function to check for invalid elements on the parent which prevent saving of the parent (e.g. check if all mandatory elements contain a value).
   */
  invalidElements() {
    return {
      missingElements: [],
      invalidElements: []
    };
  }
  /**
   * Creates an HTML message used to display missing and invalid fields in a message box.
   */
  _createInvalidElementsMessageHtml(missing, invalid) {
    const $div = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div>'),
      hasMissing = missing.length > 0,
      invalidError = [],
      invalidWarning = [];
    invalid.forEach(e => {
      if (!e.errorStatus) {
        return;
      }
      if (e.errorStatus.isError()) {
        invalidError.push(e);
      } else if (e.errorStatus.isWarning()) {
        invalidWarning.push(e);
      }
    });
    const hasInvalidError = invalidError.length > 0,
      hasInvalidWarning = invalidWarning.length > 0;
    let appendBr = false;
    if (hasMissing) {
      appendTitleAndList.call(this, $div, this.emptyMandatoryElementsText, missing, this._missingElementText);
      appendBr = true;
    }
    if (hasInvalidError) {
      if (appendBr) {
        $div.appendElement('<br>');
      }
      appendTitleAndList.call(this, $div, this.invalidElementsErrorText, invalidError, this._invalidElementErrorText);
      appendBr = true;
    }
    if (hasInvalidWarning) {
      if (appendBr) {
        $div.appendElement('<br>');
      }
      appendTitleAndList.call(this, $div, this.invalidElementsWarningText, invalidWarning, this._invalidElementWarningText);
      appendBr = true;
    }
    return $div.html();
    // ----- Helper function -----
    function appendTitleAndList($div, title, elements, elementTextFunc) {
      $div.appendDiv().text(title);
      let $ul = $div.appendElement('<ul>');
      elements.forEach(element => {
        $ul.appendElement('<li>').text(elementTextFunc.call(this, element));
      });
    }
  }
  /**
   * Override this function to retrieve the text of an invalid element
   */
  _invalidElementText(element) {
    return '';
  }
  _invalidElementErrorText(element) {
    return this._invalidElementText(element);
  }
  _invalidElementWarningText(element) {
    return this._invalidElementText(element);
  }
  /**
   * Override this function to retrieve the text of a missing mandatory element
   */
  _missingElementText(element) {
    return '';
  }
  session() {
    return this.widget.session;
  }
  /**
   * Register a handler function for save actions.
   * All handler functions must return a Status. In case of an error a Status object with severity error must be returned.
   * Note: in contrast to events, handlers can control the flow of the lifecycle. They also have a return value where events have none.
   *   Only one handler can be registered for each type.
   */
  handle(type, func) {
    let supportedTypes = ['load', 'save'];
    if (supportedTypes.indexOf(type) === -1) {
      throw new Error('Cannot register handler for unsupported type \'' + type + '\'');
    }
    this.handlers[type] = func;
  }
}

/***/ }),

/***/ "./src/lifecycle/LifecycleEventMap.ts":
/*!********************************************!*\
  !*** ./src/lifecycle/LifecycleEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/lifecycle/LifecycleModel.ts":
/*!*****************************************!*\
  !*** ./src/lifecycle/LifecycleModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/logging/NullLogger.ts":
/*!***********************************!*\
  !*** ./src/logging/NullLogger.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NullLogger: () => (/* binding */ NullLogger)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * A NullLogger instance is installed when Log4Javascript is not active (the popup
 * is not opened). In that case we write WARN, ERROR and FATAL to the console output
 * because otherwise some errors are hard to track. This is true especially for errors
 * that occur in a Promise. A developer should at least log these errors.
 */
class NullLogger {
  trace() {
    // NOP - don't log trace, we don't want to spam the browser console
  }
  debug() {
    // NOP - don't log debug, we don't want to spam the browser console
  }
  info() {
    for (var _len = arguments.length, logArgs = new Array(_len), _key = 0; _key < _len; _key++) {
      logArgs[_key] = arguments[_key];
    }
    this._log(_index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.INFO, logArgs);
  }
  warn() {
    for (var _len2 = arguments.length, logArgs = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      logArgs[_key2] = arguments[_key2];
    }
    this._log(_index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.WARN, logArgs);
  }
  error() {
    for (var _len3 = arguments.length, logArgs = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      logArgs[_key3] = arguments[_key3];
    }
    this._log(_index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR, logArgs);
  }
  fatal() {
    for (var _len4 = arguments.length, logArgs = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      logArgs[_key4] = arguments[_key4];
    }
    this._log(_index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.FATAL, logArgs);
  }
  isEnabledFor() {
    return false;
  }
  isTraceEnabled() {
    return false;
  }
  isDebugEnabled() {
    return false;
  }
  isInfoEnabled() {
    return false;
  }
  isWarnEnabled() {
    return false;
  }
  isErrorEnabled() {
    return false;
  }
  isFatalEnabled() {
    return false;
  }
  _log(level, logArgs) {
    // check if console is available
    let myConsole = _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(window, 'console');
    if (!myConsole) {
      return;
    }
    // map level to log function
    let funcName;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.FATAL === level) {
      funcName = 'error';
    } else {
      funcName = level;
    }
    // check if log function exists on console
    let logFunc = myConsole[funcName];
    if (!logFunc) {
      return;
    }
    // log the message
    if (logArgs.length > 0) {
      logArgs[0] = this._formatTime() + ' [' + level.toUpperCase() + '] ' + logArgs[0];
    }
    try {
      logFunc.apply(myConsole, logArgs);
    } catch (e) {
      // NOP - this seems a bit paranoid, because we've already checked that the error function exists,
      // but some restrictive security settings in Internet Explorer may cause an Error when the function
      // is called. Our logger should not produce additional errors #249626.
    }
  }
  _formatTime() {
    let date = new Date();
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getHours(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getMinutes(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getSeconds(), 2) + '.' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getMilliseconds(), 3);
  }
}

/***/ }),

/***/ "./src/logging/logging.ts":
/*!********************************!*\
  !*** ./src/logging/logging.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogLevel: () => (/* binding */ LogLevel),
/* harmony export */   logging: () => (/* binding */ logging)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


var LogLevel;
(function (LogLevel) {
  LogLevel["TRACE"] = "trace";
  LogLevel["DEBUG"] = "debug";
  LogLevel["INFO"] = "info";
  LogLevel["WARN"] = "warn";
  LogLevel["ERROR"] = "error";
  LogLevel["FATAL"] = "fatal";
})(LogLevel || (LogLevel = {}));
const logging = {
  /** @internal */
  _appendersToAdd: [],
  DEFAULT_LEVEL: LogLevel.TRACE,
  initialized: false,
  showStackTraces: true,
  /***
   * Loads log4javascript.min.js if logging is enabled.
   */
  bootstrap(options) {
    let location = new _index__WEBPACK_IMPORTED_MODULE_0__.URL(),
      loggingParam = location.getParameter('logging'),
      logLevelParam = location.getParameter('logLevel');
    options = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options, {});
    let enabled = !!(options.enabled || loggingParam),
      showPopup = !!(options.showPopup || loggingParam),
      resourceUrl = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(options.resourceUrl);
    (jquery__WEBPACK_IMPORTED_MODULE_1___default().log) = new _index__WEBPACK_IMPORTED_MODULE_0__.NullLogger();
    if (!enabled) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    if (window.log4javascript) {
      logging.initLog4Javascript(logLevelParam, showPopup);
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // If log4javascript is not yet installed, dynamically load the library
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().injectScript(resourceUrl + 'log4javascript-1.4.9/log4javascript.js').done(logging.initLog4Javascript.bind(this, logLevelParam, showPopup));
  },
  initLog4Javascript(logLevel, showPopup) {
    logLevel = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(logLevel, logging.DEFAULT_LEVEL);
    log4javascript.setShowStackTraces(logging.showStackTraces);
    let defaultLogger = log4javascript.getDefaultLogger();
    defaultLogger.setLevel(logging.parseLevel(logLevel));
    (jquery__WEBPACK_IMPORTED_MODULE_1___default().log) = defaultLogger;
    logging.initialized = true;
    if (showPopup) {
      // To avoid problems with our CSP rule which prohibits inline scripts we set the useDocumentWrite
      // flag to false, so the console[_uncompressed].html/js is loaded instead.
      defaultLogger.getEffectiveAppenders().forEach(appender => {
        appender.setUseDocumentWrite(false);
      });
    } else {
      // Remove default PopUpAppender (which is the only appender at this point)
      defaultLogger.removeAllAppenders();
    }
    // Add appenders later
    logging._appendersToAdd.forEach(obj => {
      logging.addAppender(obj.factoryName, obj.options);
    });
    logging._appendersToAdd = [];
  },
  parseLevel(level) {
    if (!level) {
      return;
    }
    level = level.toLowerCase();
    switch (level) {
      case LogLevel.TRACE:
        return log4javascript.Level.TRACE;
      case LogLevel.DEBUG:
        return log4javascript.Level.DEBUG;
      case LogLevel.INFO:
        return log4javascript.Level.INFO;
      case LogLevel.WARN:
        return log4javascript.Level.WARN;
      case LogLevel.ERROR:
        return log4javascript.Level.ERROR;
      case LogLevel.FATAL:
        return log4javascript.Level.FATAL;
    }
  },
  addAppender(factoryName, options) {
    if (!logging.initialized) {
      logging._appendersToAdd.push({
        factoryName: factoryName,
        options: options
      });
      return;
    }
    let factory = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(factoryName, options);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.addAppender(factory.create());
  }
};

/***/ }),

/***/ "./src/login/LoginApp.ts":
/*!*******************************!*\
  !*** ./src/login/LoginApp.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LoginApp: () => (/* binding */ LoginApp)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LoginApp extends _index__WEBPACK_IMPORTED_MODULE_0__.App {
  init(options) {
    return super.init(options);
  }
  _prepareEssentials(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().init();
  }
  /**
   * No bootstrapping required
   */
  _defaultBootstrappers() {
    return [];
  }
  _init(options) {
    options = options || {};
    options.texts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, _index__WEBPACK_IMPORTED_MODULE_0__.texts.readFromDOM(), options.texts);
    this._prepareDOM();
    let loginBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LoginBox, options);
    loginBox.render(jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').addClass('login-body'));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
}

/***/ }),

/***/ "./src/login/LoginAppModel.ts":
/*!************************************!*\
  !*** ./src/login/LoginAppModel.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/login/LoginBox.ts":
/*!*******************************!*\
  !*** ./src/login/LoginBox.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LoginBox: () => (/* binding */ LoginBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LoginBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Box {
  constructor() {
    super();
    _defineProperty(this, "ajaxOptions", void 0);
    _defineProperty(this, "authUrl", void 0);
    _defineProperty(this, "onPostDoneFunc", void 0);
    _defineProperty(this, "redirectUrl", void 0);
    _defineProperty(this, "userDataKey", void 0);
    _defineProperty(this, "passwordDataKey", void 0);
    _defineProperty(this, "tokenDataKey", void 0);
    _defineProperty(this, "additionalData", void 0);
    _defineProperty(this, "prepareRedirectUrlFunc", void 0);
    _defineProperty(this, "messageKey", void 0);
    _defineProperty(this, "texts", void 0);
    _defineProperty(this, "$message", void 0);
    _defineProperty(this, "$form", void 0);
    _defineProperty(this, "$user", void 0);
    _defineProperty(this, "$password", void 0);
    _defineProperty(this, "$token", void 0);
    _defineProperty(this, "$button", void 0);
    this.ajaxOptions = {
      type: 'POST'
    };
    this.authUrl = 'auth';
    this.onPostDoneFunc = this.checkTwoFactorResponse.bind(this);
    this.redirectUrl = null;
    this.logoUrl = 'logo.png';
    this.userDataKey = 'user';
    this.passwordDataKey = 'password';
    this.tokenDataKey = 'token';
    this.additionalData = {};
    this.prepareRedirectUrlFunc = LoginBox.prepareRedirectUrl;
    this.messageKey = null;
    this.texts = null;
    this.$message = null;
    this.$form = null;
    this.$user = null;
    this.$password = null;
    this.$token = null;
    this.$button = null;
  }
  init(options) {
    options = options || {};
    let allTexts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      'ui.Login': 'Login',
      'ui.LoginFailed': 'Login failed',
      'ui.User': 'Username',
      'ui.Password': 'Password',
      'ui.Token': 'Token'
    }, options.texts);
    delete options.texts;
    options.ajaxOptions = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this.ajaxOptions, options.ajaxOptions);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
    this.texts = new _index__WEBPACK_IMPORTED_MODULE_0__.TextMap(allTexts);
  }
  _render() {
    super._render();
    this.$container.addClass('login-box');
    this.$content.addClass('login-box-content ');
    this.$form = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<form>').attr('action', this.authUrl).attr('method', 'post').on('submit', this._onLoginFormSubmit.bind(this)).appendTo(this.$content);
    if (this.messageKey) {
      this.$message = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div>').attr('id', 'message-box').addClass('message-box').html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.texts.get(this.messageKey))).appendTo(this.$form);
    }
    this.$user = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<input>').attr('type', 'text').attr('autocapitalize', 'off').attr('autocorrect', 'off').placeholder(this.texts.get('ui.User')).appendTo(this.$form);
    this.$password = this._createPasswortField().appendTo(this.$form);
    this.$button = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<button>').attr('type', 'submit').addClass('login-button button default').text(this.texts.get('ui.Login')).appendTo(this.$form);
    this.$user.focus();
  }
  _createPasswortField() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default()('<input>').attr('type', 'password').placeholder(this.texts.get('ui.Password'));
  }
  _resetButtonText() {
    this.$button.text(this.texts.get('ui.Login')).removeClass('login-error');
  }
  data() {
    let data = {};
    data[this.userDataKey] = this.$user.val();
    if (this.$password) {
      data[this.passwordDataKey] = this.$password.val();
    } else if (this.$token) {
      data[this.tokenDataKey] = this.$token.val();
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(data, this.additionalData);
    return data;
  }
  _onLoginFormSubmit(event) {
    // Prevent default submit action
    event.preventDefault();
    let url = this.$form.attr('action');
    let data = this.data();
    this.$button.removeClass('login-error').setEnabled(false);
    this.$user.off('input.resetLoginError');
    if (this.$password) {
      this.$password.off('input.resetLoginError');
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation()) {
      this.$button.html('').append(jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div>').addClass('login-button-loading'));
    }
    let options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this.ajaxOptions, {
      url: url,
      data: data
    });
    jquery__WEBPACK_IMPORTED_MODULE_1___default().ajax(options).done(this._onPostDone.bind(this)).fail(this._onPostFail.bind(this));
  }
  checkTwoFactorResponse(data) {
    if (data && data.twoFactorRequired) {
      // execute delayed to make sure loading animation is visible, otherwise (if it is very fast), it flickers
      setTimeout(this._enableTwoFactor.bind(this), 300);
    } else {
      this.remove();
      this.redirect(data);
    }
  }
  _enableTwoFactor() {
    this.$button.setEnabled(true).html('').text(this.texts.get('ui.Login'));
    this.$user.setEnabled(false);
    this.$token = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<input>').attr('type', 'password').placeholder(this.texts.get('ui.Token'));
    this.$password.replaceWith(this.$token);
    this.$password = null;
    this.$token.focus();
  }
  redirect(data) {
    this.$backgroundElements.addClass('box-background-elements-fadeout');
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation()) {
      this.$backgroundElements.oneAnimationEnd(() => {
        this._redirect(data);
      });
    } else {
      // fallback for old browsers that do not support the animation-end event
      this._redirect(data);
    }
  }
  _redirect(data) {
    // Calculate target URL
    let url = this.redirectUrl;
    if (!url) {
      url = (window.location.href || '').trim();
      // Remove login and everything after it from the URL
      url = this.prepareRedirectUrlFunc(url);
    }
    // Go to target URL
    if (url) {
      window.location.href = url;
    } else {
      window.location.reload();
    }
  }
  _onPostDone(data) {
    this.onPostDoneFunc.call(this, data);
  }
  _onPostFail(jqXHR, textStatus, errorThrown) {
    // execute delayed to make sure loading animation is visible, otherwise (if it is very fast), it flickers
    setTimeout(this._onPostFailImpl.bind(this, jqXHR, textStatus, errorThrown), 300);
  }
  _onPostFailImpl(jqXHR, textStatus, errorThrown) {
    if (this.$token) {
      this.$password = this._createPasswortField();
      this.$token.replaceWith(this.$password);
      this.$token = null;
    }
    this.$button.setEnabled(true).html('').text(this.texts.get('ui.LoginFailed')).addClass('login-error');
    this.$user.setEnabled(true).val('').focus();
    this.$password.val('');
    this.$user.one('input.resetLoginError', this._resetButtonText.bind(this));
    this.$password.one('input.resetLoginError', this._resetButtonText.bind(this));
  }
  // ----- Helper functions -----
  static prepareRedirectUrl(url) {
    let urlParts = /^([^?#]*)(\?[^#]*)?(#.*)?$/.exec(url || ''); // $1 = baseUrl, $2 = queryPart, $3 = hashPart
    let filteredBaseUrl = urlParts[1].replace(/login.html$/, '').replace(/login$/, '').replace(/logout$/, '');
    return filteredBaseUrl + (urlParts[2] ? urlParts[2] : '') + (urlParts[3] ? urlParts[3] : '');
  }
}

/***/ }),

/***/ "./src/login/LogoutApp.ts":
/*!********************************!*\
  !*** ./src/login/LogoutApp.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogoutApp: () => (/* binding */ LogoutApp)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LogoutApp extends _index__WEBPACK_IMPORTED_MODULE_0__.App {
  _prepareEssentials(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().init();
  }
  /**
   * No bootstrapping required
   */
  _defaultBootstrappers() {
    return [];
  }
  _init(options) {
    options = options || {};
    options.texts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, _index__WEBPACK_IMPORTED_MODULE_0__.texts.readFromDOM(), options.texts);
    this._prepareDOM();
    let logoutBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LogoutBox, options);
    logoutBox.render(jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').addClass('logout-body'));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
}

/***/ }),

/***/ "./src/login/LogoutAppModel.ts":
/*!*************************************!*\
  !*** ./src/login/LogoutAppModel.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/login/LogoutBox.ts":
/*!********************************!*\
  !*** ./src/login/LogoutBox.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LogoutBox: () => (/* binding */ LogoutBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LogoutBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Box {
  constructor() {
    super();
    _defineProperty(this, "texts", void 0);
    _defineProperty(this, "loginUrl", void 0);
    _defineProperty(this, "options", void 0);
    _defineProperty(this, "$buttonBar", void 0);
    this.texts = null;
    this.loginUrl = null;
    this.options = null;
    this.$buttonBar = null;
  }
  init(opts) {
    let defaultOpts = {
      loginUrl: _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage('scout:loginUrl') || './',
      logoUrl: 'logo.png'
    };
    this.options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultOpts, opts);
    let defaultTexts = {
      'ui.LogoutSuccessful': 'Good bye!',
      'ui.LoginAgain': 'Login again'
    };
    this.options.texts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultTexts, opts.texts);
    this.texts = new _index__WEBPACK_IMPORTED_MODULE_0__.TextMap(this.options.texts);
    this.loginUrl = this.options.loginUrl;
    this.logoUrl = this.options.logoUrl;
  }
  _render() {
    super._render();
    this.$content.addClass('small centered').appendDiv().html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.texts.get('ui.LogoutSuccessful')));
    this.$buttonBar = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div>').addClass('button-bar').appendTo(this.$content);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('<button>').addClass('button').text(this.texts.get('ui.LoginAgain')).on('click', this._loginAgain.bind(this)).appendTo(this.$buttonBar);
  }
  _loginAgain() {
    window.location.href = this.loginUrl;
  }
}

/***/ }),

/***/ "./src/lookup/HierarchicalLookupResultBuilder.ts":
/*!*******************************************************!*\
  !*** ./src/lookup/HierarchicalLookupResultBuilder.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HierarchicalLookupResultBuilder: () => (/* binding */ HierarchicalLookupResultBuilder)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class HierarchicalLookupResultBuilder {
  constructor(lookupCall) {
    _defineProperty(this, "lookupCall", void 0);
    _defineProperty(this, "_lookupRowMap", void 0);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('lookupCall', lookupCall);
    this.lookupCall = lookupCall;
    this._lookupRowMap = {};
  }
  /**
   * Load all parent nodes of the given lookup rows up to the root.
   */
  addParentLookupRows(lookupRows) {
    this._fillMap(lookupRows);
    let promises = lookupRows.map(this._addParent.bind(this));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises).then(() => _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this._lookupRowMap));
  }
  _addParent(lookupRow) {
    let key = lookupRow.parentKey;
    if (!key) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // parent already exists in map
    if (this._lookupRowMap.hasOwnProperty(key + '')) {
      lookupRow = this._lookupRowMap[key + ''];
      return this._addParent(lookupRow);
    }
    // load parent and add it to the map
    return this.lookupCall.cloneForKey(key).execute().then(result => {
      let lookupRow = _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.firstLookupRow(result);
      this._lookupRowMap[lookupRow.key + ''] = lookupRow;
      return this._addParent(lookupRow);
    });
  }
  _fillMap(lookupRows) {
    lookupRows.forEach(lookupRow => {
      this._lookupRowMap[lookupRow.key + ''] = lookupRow;
    });
  }
  /**
   * Load all parent child of the given lookup rows.
   */
  addChildLookupRows(lookupRows) {
    this._fillMap(lookupRows);
    let promises = lookupRows.map(this._addChildren.bind(this));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises).then(() => _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this._lookupRowMap));
  }
  _addChildren(lookupRow) {
    return this.lookupCall.cloneForRec(lookupRow.key).execute().then(result => {
      if (result.lookupRows.length) {
        return this.addChildLookupRows(result.lookupRows);
      }
    });
  }
}

/***/ }),

/***/ "./src/lookup/LookupCall.ts":
/*!**********************************!*\
  !*** ./src/lookup/LookupCall.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupCall: () => (/* binding */ LookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Base class for lookup calls. A concrete implementation of LookupCall which uses resources over a network
 * must deal with I/O errors and set, in case of an error, the 'exception' property on the returned lookup result.
 * The lookup call must _always_ return a result, otherwise the SmartField cannot work properly.
 */
class LookupCall {
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "hierarchical", void 0);
    _defineProperty(this, "loadIncremental", void 0);
    _defineProperty(this, "batch", void 0);
    _defineProperty(this, "queryBy", void 0);
    _defineProperty(this, "searchText", void 0);
    _defineProperty(this, "key", void 0);
    _defineProperty(this, "keys", void 0);
    _defineProperty(this, "parentKey", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "maxRowCount", void 0);
    this.session = null;
    this.hierarchical = false;
    this.loadIncremental = false;
    this.batch = false;
    this.queryBy = null;
    this.searchText = null;
    this.key = null;
    this.keys = null;
    this.parentKey = null;
    this.active = null;
    this.maxRowCount = 100;
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('session', model.session);
    this._init(model);
  }
  _init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  setLoadIncremental(loadIncremental) {
    this.loadIncremental = loadIncremental;
  }
  setHierarchical(hierarchical) {
    this.hierarchical = hierarchical;
  }
  setBatch(batch) {
    this.batch = batch;
  }
  /**
   * @param maxRowCount - a positive number, _not_ null or undefined!
   */
  setMaxRowCount(maxRowCount) {
    this.maxRowCount = maxRowCount;
  }
  /**
   * This method may be called directly on any {@link LookupCall}. For the key lookup an internal clone is created automatically.
   *
   * You should not override this function. Instead override {@link _textByKey}.
   *
   * @returns a promise which returns a text of the lookup row resolved by {@link getByKey}.
   */
  textByKey(key) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(key)) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise('');
    }
    return this._textByKey(key);
  }
  /**
   * Override this function to provide your own textByKey implementation.
   *
   * @returns a promise which returns a text of the lookup row resolved by {@link getByKey}.
   */
  _textByKey(key) {
    return this.cloneForKey(key).execute().then(result => {
      let lookupRow = LookupCall.firstLookupRow(result);
      return lookupRow ? lookupRow.text : '';
    });
  }
  /**
   * This method may be called directly on any {@link LookupCall}. For the keys lookup an internal clone is created automatically.
   *
   * You should not override this function. Instead override {@link _textsByKeys}.
   *
   * @returns A promise which returns an object that maps every {@link LookupRow} key to the text of the resolved {@link LookupRow}.
   */
  textsByKeys(keys) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(keys)) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise({});
    }
    return this._textsByKeys(keys);
  }
  /**
   * Override this function to provide your own textsByKeys implementation.
   *
   * * @returns A promise which returns an object that maps every {@link LookupRow} key to the text of the resolved {@link LookupRow}.
   */
  _textsByKeys(keys) {
    return this.cloneForKeys(keys).execute().then(result => {
      if (!result || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isArray(result.lookupRows)) {
        return {};
      }
      const textMap = {};
      result.lookupRows.forEach(row => {
        textMap[_index__WEBPACK_IMPORTED_MODULE_0__.objects.ensureValidKey(row.key)] = row.text;
      });
      return textMap;
    });
  }
  /**
   * Only call this function if this LookupCall is not used again. Otherwise, use {@link cloneForAll().execute()} or {@link clone().getAll()}.
   *
   * You should not override this function. Instead override {@link _getAll}.
   */
  getAll() {
    this.queryBy = _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL;
    return this._getAll();
  }
  /**
   * Override this method to implement.
   */
  _getAll() {
    throw new Error('_getAll() not implemented');
  }
  /**
   * Only call this function if this {@link LookupCall} is not used again. Otherwise, use {@link cloneForText(text).execute()} or {@link clone().getByText(text)}.
   *
   * You should not override this function. Instead override {@link _getByText}.
   */
  getByText(text) {
    this.queryBy = _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT;
    this.searchText = text;
    return this._getByText(text);
  }
  /**
   * Override this method to implement.
   */
  _getByText(text) {
    throw new Error('_getByText() not implemented');
  }
  /**
   * Only call this function if this {@link LookupCall} is not used again. Otherwise, use {@link cloneForKey(key).execute()} or {@link clone().getByKey(parentKey)}.
   *
   * You should not override this function. Instead override {@link _getByKey}.
   */
  getByKey(key) {
    this.queryBy = _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY;
    this.key = key;
    return this._getByKey(key);
  }
  /**
   * Override this method to implement.
   */
  _getByKey(key) {
    throw new Error('getByKey() not implemented');
  }
  /**
   * Only call this function if this {@link LookupCall} is not used again. Otherwise, use {@link cloneForKeys(keys).execute()} or {@link clone().getByKeys(keys)}.
   *
   * You should not override this function. Instead override {@link _getByKeys}.
   */
  getByKeys(keys) {
    this.queryBy = _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEYS;
    this.keys = keys;
    return this._getByKeys(keys);
  }
  /**
   * Override this method to implement.
   */
  _getByKeys(keys) {
    throw new Error('_getByKeys() not implemented');
  }
  /**
   * Only call this function if this {@link LookupCall} is not used again. Otherwise, use {@link cloneForRec(parentKey).execute()} or {@link clone().getByRec(parentKey)}.
   *
   * You should not override this function. Instead override {@link _getByRec}.
   *
   * Returns a result with lookup rows for the given parent key. This is used for incremental lookups.
   *
   * @param parentKey references the parent key
   */
  getByRec(parentKey) {
    this.queryBy = _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC;
    this.parentKey = parentKey;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(parentKey)) {
      // Lookup rows with key = null cannot act as parent since lookup rows with parentKey = null are always top level
      return this._emptyRecResult(parentKey);
    }
    return this._getByRec(parentKey);
  }
  _emptyRecResult(rec) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC,
      rec: rec,
      lookupRows: []
    });
  }
  /**
   * Override this method to implement.
   */
  _getByRec(rec) {
    throw new Error('_getByRec() not implemented');
  }
  /**
   * Executes this LookupCall. For this method to work this LookupCall must be a clone created with one of the following methods:
   * {@link cloneForAll()}, {@link cloneForText(text)}, {@link cloneForKey(key)}, {@link cloneForRec(parentKey)}
   */
  execute() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY === this.queryBy) {
      return this._getByKey(this.key);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL === this.queryBy) {
      return this._getAll();
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEYS === this.queryBy) {
      return this._getByKeys(this.keys);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT === this.queryBy) {
      return this._getByText(this.searchText);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC === this.queryBy) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.parentKey)) {
        // Lookup rows with key = null cannot act as parent since lookup rows with parentKey = null are always top level
        return this._emptyRecResult(this.parentKey);
      }
      return this._getByRec(this.parentKey);
    }
    throw new Error('cannot execute a non-clone LookupCall. Use one of the cloneFor*-methods before executing.');
  }
  /**
   * @param properties Properties to add to the resulting clone instance.
   */
  clone(properties) {
    // Warning: This is _not_ a deep clone! (Because otherwise the entire session would be duplicated.)
    // Non-primitive properties must _only_ be added to the resulting clone during the 'prepareLookupCall' event!
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.cloneShallow(this, properties, true);
  }
  cloneForAll() {
    return this.clone({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL
    });
  }
  cloneForText(text) {
    return this.clone({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT,
      searchText: text
    });
  }
  cloneForKey(key) {
    return this.clone({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY,
      key: key
    });
  }
  cloneForKeys(keys) {
    return this.clone({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEYS,
      keys: keys
    });
  }
  cloneForRec(parentKey) {
    return this.clone({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC,
      parentKey: parentKey
    });
  }
  abort() {
    // NOP. Implement in subclasses if necessary.
  }
  /**
   * Creates a lookup result with the given lookup rows. If the lookup call fails, an error message (exception) should be passed.
   *
   * Can be used by concrete lookup calls if needed.
   */
  _createLookupResult(lookupRows, exception) {
    return {
      queryBy: this.queryBy,
      text: this.searchText,
      key: this.key,
      lookupRows: lookupRows,
      exception: exception
    };
  }
  // ---- static helpers ----
  static ensure(lookupCall, session) {
    if (!lookupCall) {
      return lookupCall;
    }
    if (lookupCall instanceof LookupCall) {
      return lookupCall;
    }
    if (typeof lookupCall === 'string' || typeof lookupCall === 'function') {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(lookupCall, {
        session: session
      });
    }
    lookupCall.session = session;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(lookupCall);
  }
  static firstLookupRow(result) {
    if (!result) {
      return null;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isArray(result.lookupRows)) {
      return null;
    }
    if (result.lookupRows.length === 0) {
      return null;
    }
    return result.lookupRows[0];
  }
}

/***/ }),

/***/ "./src/lookup/LookupCallModel.ts":
/*!***************************************!*\
  !*** ./src/lookup/LookupCallModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/lookup/LookupResult.ts":
/*!************************************!*\
  !*** ./src/lookup/LookupResult.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/lookup/LookupRow.ts":
/*!*********************************!*\
  !*** ./src/lookup/LookupRow.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupRow: () => (/* binding */ LookupRow)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class LookupRow {
  constructor() {
    _defineProperty(this, "key", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "parentKey", void 0);
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "additionalTableRowData", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "backgroundColor", void 0);
    _defineProperty(this, "foregroundColor", void 0);
    _defineProperty(this, "font", void 0);
    this.key = null;
    this.text = null;
    this.parentKey = null;
    this.enabled = true;
    this.active = true;
    this.additionalTableRowData = null;
    this.cssClass = null;
    this.iconId = null;
    this.tooltipText = null;
    this.backgroundColor = null;
    this.foregroundColor = null;
    this.font = null;
  }
  init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
  }
  setKey(key) {
    this.key = key;
  }
  setText(text) {
    this.text = text;
  }
  setParentKey(parentKey) {
    this.parentKey = parentKey;
  }
  setEnabled(enabled) {
    this.enabled = enabled;
  }
  setCssClass(cssClass) {
    this.cssClass = cssClass;
  }
  setAdditionalTableRowData(additionalTableRowData) {
    this.additionalTableRowData = additionalTableRowData;
  }
  setIconId(iconId) {
    this.iconId = iconId;
  }
  setTooltipText(tooltipText) {
    this.tooltipText = tooltipText;
  }
  setBackgroundColor(backgroundColor) {
    this.backgroundColor = backgroundColor;
  }
  setForegroundColor(foregroundColor) {
    this.foregroundColor = foregroundColor;
  }
  setFont(font) {
    this.font = font;
  }
  equals(other) {
    return _index__WEBPACK_IMPORTED_MODULE_1__.objects.propertiesEquals(this, other, Object.keys(this));
  }
  toString() {
    return 'scout.LookupRow[key=' + this.key + ' text=' + this.text + ']';
  }
}

/***/ }),

/***/ "./src/lookup/LookupRowModel.ts":
/*!**************************************!*\
  !*** ./src/lookup/LookupRowModel.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/lookup/PrepopulatedLookupCall.ts":
/*!**********************************************!*\
  !*** ./src/lookup/PrepopulatedLookupCall.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PrepopulatedLookupCall: () => (/* binding */ PrepopulatedLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PrepopulatedLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall {
  constructor() {
    super();
    _defineProperty(this, "lookupRows", void 0);
    _defineProperty(this, "_deferred", void 0);
    this.lookupRows = [];
    this._deferred = null;
  }
  abort() {
    var _this$_deferred;
    (_this$_deferred = this._deferred) === null || _this$_deferred === void 0 || _this$_deferred.reject({
      abort: true
    });
    super.abort();
  }
  setLookupRows(lookupRows) {
    this.lookupRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(lookupRows);
  }
  _filterActiveLookupRow(lookupRow) {
    return !!_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(lookupRow.active, true);
  }
  // --- ALL ---
  _getAll() {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByAll.bind(this));
    return this._deferred.promise();
  }
  _queryByAll() {
    this._deferred.resolve({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL,
      lookupRows: this._lookupRowsByAll()
    });
  }
  _lookupRowsByAll() {
    return this.lookupRows.filter(this._filterActiveLookupRow, this).slice(0, this.maxRowCount);
  }
  // --- TEXT ---
  _getByText(text) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByText.bind(this, text));
    return this._deferred.promise();
  }
  _queryByText(text) {
    this._deferred.resolve({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT,
      text: text,
      lookupRows: this._lookupRowsByText(text)
    });
  }
  _lookupRowsByText(text) {
    let filterText = String(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(text, '')).trim().toLowerCase();
    return this.lookupRows.filter(lookupRow => _index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(lookupRow.text, '').toLowerCase(), filterText)).filter(this._filterActiveLookupRow, this).slice(0, this.maxRowCount);
  }
  // --- KEY ---
  _getByKey(key) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByKey.bind(this, key));
    return this._deferred.promise();
  }
  _queryByKey(key) {
    let lookupRow = this._lookupRowByKey(key);
    if (lookupRow) {
      this._deferred.resolve({
        queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY,
        lookupRows: [lookupRow]
      });
    } else {
      this._deferred.reject();
    }
  }
  _lookupRowByKey(key) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.lookupRows, lookupRow => lookupRow.key === key);
  }
  // --- REC ---
  _getByRec(rec) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByRec.bind(this, rec));
    return this._deferred.promise();
  }
  _queryByRec(rec) {
    this._deferred.resolve({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC,
      rec: rec,
      lookupRows: this._lookupRowsByRec(rec)
    });
  }
  _lookupRowsByRec(rec) {
    return this.lookupRows.reduce((aggr, lookupRow) => {
      if (lookupRow.parentKey === rec) {
        aggr.push(lookupRow);
      }
      return aggr;
    }, []).filter(this._filterActiveLookupRow, this).slice(0, this.maxRowCount);
  }
}

/***/ }),

/***/ "./src/lookup/QueryBy.ts":
/*!*******************************!*\
  !*** ./src/lookup/QueryBy.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   QueryBy: () => (/* binding */ QueryBy)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * @see: org.eclipse.scout.rt.client.ui.form.fields.smartfield.result.IQueryParam.QueryBy
 */
var QueryBy;
(function (QueryBy) {
  QueryBy["ALL"] = "ALL";
  QueryBy["TEXT"] = "TEXT";
  QueryBy["KEY"] = "KEY";
  QueryBy["KEYS"] = "KEYS";
  QueryBy["REC"] = "REC";
})(QueryBy || (QueryBy = {}));

/***/ }),

/***/ "./src/lookup/RemoteLookupCall.ts":
/*!****************************************!*\
  !*** ./src/lookup/RemoteLookupCall.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteLookupCall: () => (/* binding */ RemoteLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RemoteLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall {
  constructor(adapter) {
    super();
    _defineProperty(this, "adapter", void 0);
    _defineProperty(this, "deferred", void 0);
    this.adapter = adapter;
    this.deferred = null;
  }
  _getAll() {
    this._newDeferred(new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupRequest(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL));
    this.adapter.sendLookup(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL);
    return this.deferred.promise();
  }
  _getByText(text) {
    this._newDeferred(new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupRequest(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT, text));
    this.adapter.sendLookup(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT, text);
    return this.deferred.promise();
  }
  _getByKey(key) {
    this._newDeferred(new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupRequest(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY, key));
    this.adapter.sendLookup(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY, key);
    return this.deferred.promise();
  }
  _getByRec(rec) {
    this._newDeferred(new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupRequest(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC, rec));
    this.adapter.sendLookup(_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC, rec);
    return this.deferred.promise();
  }
  resolveLookup(lookupResult) {
    if (!this._belongsToLatestRequest(lookupResult)) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('(RemoteLookupCall#resolveLookup) ignore lookupResult. Does not belong to latest request', _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(this.deferred, 'requestParameter'));
      return;
    }
    lookupResult.lookupRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(lookupResult.lookupRows).map(lookupRowObject => _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, lookupRowObject));
    this.deferred.resolve(lookupResult);
  }
  _belongsToLatestRequest(lookupResult) {
    // This case may happen when a lookup is initialized by the UI server (not the browser)
    // Note: currently we simply ignore that case because it can only occur when the UI server
    // calls doSearch in unexpected conditions. However, we could support this case in a similar
    // way than we support requestInput().
    if (!this.deferred) {
      return false;
    }
    let propertyName = lookupResult.queryBy.toLowerCase(),
      requestData = lookupResult[propertyName],
      resultParameter = new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteLookupRequest(lookupResult.queryBy, requestData);
    return this.deferred.requestParameter.equals(resultParameter);
  }
  /**
   * Creates a new deferred and rejects the previous one.
   */
  _newDeferred(requestParameter) {
    if (this.deferred) {
      this.deferred.reject({
        abort: true
      });
    }
    this.deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this.deferred.requestParameter = requestParameter;
  }
}

/***/ }),

/***/ "./src/lookup/RemoteLookupRequest.ts":
/*!*******************************************!*\
  !*** ./src/lookup/RemoteLookupRequest.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteLookupRequest: () => (/* binding */ RemoteLookupRequest)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This class is used to remember what lookup is called (=request) and to compare that
 * request with the result. Each result from the Scout server contains the lookup parameters
 * stored in this class so we can easily compare the parameters from the latest request
 * with the parameters from the result. If the parameters don't match, we simply ignore the
 * result, because it is out-dated.
 */
class RemoteLookupRequest {
  constructor(requestType, requestData) {
    _defineProperty(this, "requestType", void 0);
    _defineProperty(this, "requestData", void 0);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.hasOwnProperty(requestType)) {
      throw new Error('Invalid enum value');
    }
    this.requestType = requestType;
    this.requestData = requestData;
  }
  equals(o) {
    if (!o || !(o instanceof RemoteLookupRequest)) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.propertiesEquals(this, o, ['requestType', 'requestData']);
  }
}

/***/ }),

/***/ "./src/lookup/RestLookupCall.ts":
/*!**************************************!*\
  !*** ./src/lookup/RestLookupCall.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RestLookupCall: () => (/* binding */ RestLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * A lookup call that can load lookup rows from a REST service.
 *
 * API:
 * ----
 * By default, the REST service is expected to listen for POST requests at the URL defined by
 * this.resourceUrl. It receives a restriction object and must return a list of matching lookup rows.
 * The serialization format is JSON.
 *
 * Lookup rows:
 * ------------
 * The standard lookup row properties defined by Scout are usually sufficient (see AbstractLookupRowDo.java).
 *
 * Restriction:
 * ------------
 * The restriction object consists of a number of 'well-known' properties (e.g. 'text' in {@link QueryBy.TEXT}
 * mode, see AbstractLookupRestrictionDo.java for details) and additional, service-dependent properties
 * that can either be predefined in the model or added programmatically at runtime. Since all of those
 * properties are sent in the same restriction object, some care must be taken to prevent accidental
 * overwriting of properties.
 *
 * Order of precedence (lowest to highest):
 * 1. Restrictions automatically applied to all clones after their creation in the respective cloneFor method.
 *    These are: 'active' (ALL, TEXT, REC) and 'maxRowCount' (ALL, TEXT, REC)
 * 2. Restrictions predefined in the model property 'restriction', shared by all clones.
 * 3. Restrictions applied to clones programmatically, e.g. during a 'prepareLookupCall' event.
 * 4. Hard-coded properties that are fundamental to the respective queryBy mode (cannot be overridden).
 *    These are: 'ids' (KEY, KEYS) and 'text' (TEXT)
 */
class RestLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall {
  constructor() {
    super();
    _defineProperty(this, "resourceUrl", void 0);
    _defineProperty(this, "maxTextLength", void 0);
    _defineProperty(this, "restriction", void 0);
    _defineProperty(this, "_restriction", void 0);
    _defineProperty(this, "_ajaxCall", void 0);
    _defineProperty(this, "_deferred", void 0);
    this.resourceUrl = null;
    this.maxTextLength = null;
    // for predefined restrictions only (e.g. in JSON or subclasses), don't change this attribute! this instance is shared with all clones!
    this.restriction = null;
    // dynamically added restrictions. after setting this attribute, this instance is shared with all following clones!
    this._restriction = null;
    this._ajaxCall = null;
    this._deferred = null;
    // RestLookupCall implements getByKeys
    this.batch = true;
  }
  /**
   * Use this function with caution! Added restrictions will be shared among cloned instances
   * and the current instance if this function was also called before cloning!
   */
  addRestriction(key, value) {
    if (!this._restriction) {
      this._restriction = {};
    }
    this._restriction[key] = value;
  }
  /**
   * Adds the given key-value pair to 'this._restriction', but only if there is no predefined
   * value for this key in 'this.restriction'. This prevents unintentional overriding of
   * user-defined model restrictions.
   */
  _addRestrictionIfAbsent(key, value) {
    if (!this.restriction || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.restriction[key])) {
      this.addRestriction(key, value);
    }
  }
  _getAll() {
    return this._call();
  }
  _getByText(text) {
    this.addRestriction('text', text);
    return this._call();
  }
  _getByKey(key) {
    this.addRestriction('ids', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(key));
    return this._call();
  }
  _getByKeys(keys) {
    this.addRestriction('ids', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(keys));
    return this._call();
  }
  cloneForAll() {
    let clone = super.cloneForAll();
    clone._addRestrictionIfAbsent('active', true);
    clone._addRestrictionIfAbsent('maxRowCount', this.maxRowCount);
    return clone;
  }
  cloneForText(text) {
    let clone = super.cloneForText(text);
    clone._addRestrictionIfAbsent('active', true);
    clone._addRestrictionIfAbsent('maxRowCount', this.maxRowCount);
    return clone;
  }
  cloneForRec(parentKey) {
    let clone = super.cloneForRec(parentKey);
    clone._addRestrictionIfAbsent('active', true);
    clone._addRestrictionIfAbsent('maxRowCount', this.maxRowCount);
    return clone;
  }
  _acceptLookupRow(lookupRowDo) {
    return true;
  }
  _createLookupRowFromDo(lookupRowDo) {
    // propagate all properties from lookup row DO to scout lookup row (there might be custom ones on specific lookup row DOs)
    let clonedLookupRowDo = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, lookupRowDo);
    // [text, enabled, active, iconId, cssClass, tooltipText, additionalTableRowData] are the same for LookupRow.ts and LookupRowDo.java
    // [backgroundColor, foregroundColor, font] currently not supported by LookupRowDo.java
    // id -> key
    clonedLookupRowDo.key = clonedLookupRowDo.id;
    delete clonedLookupRowDo.id;
    // parentId -> parentKey
    clonedLookupRowDo.parentKey = clonedLookupRowDo.parentId;
    delete clonedLookupRowDo.parentId;
    // unused on Scout LookupRow
    delete clonedLookupRowDo._type;
    if (this.maxTextLength) {
      let text = clonedLookupRowDo.text;
      if (text.length > this.maxTextLength) {
        clonedLookupRowDo.text = text.substr(0, this.maxTextLength) + '...';
        clonedLookupRowDo.tooltipText = text;
      }
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, clonedLookupRowDo, {
      ensureUniqueId: false
    });
  }
  _call() {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this._ajaxCall = this._createAjaxCall();
    this._ajaxCall.call().then((data, textStatus, jqXHR) => {
      let lookupRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(data ? data.rows : null).filter(this._acceptLookupRow.bind(this)).map(this._createLookupRowFromDo.bind(this));
      this._deferred.resolve(this._createLookupResult(lookupRows));
    }).catch(ajaxError => {
      this._deferred.resolve(this._createLookupResult([], this.session.text('ErrorWhileLoadingData')));
    });
    return this._deferred.promise();
  }
  abort() {
    var _this$_deferred, _this$_ajaxCall;
    (_this$_deferred = this._deferred) === null || _this$_deferred === void 0 || _this$_deferred.reject({
      abort: true
    });
    (_this$_ajaxCall = this._ajaxCall) === null || _this$_ajaxCall === void 0 || _this$_ajaxCall.abort();
    super.abort();
  }
  _getCallUrl() {
    return this.resourceUrl;
  }
  _getRestrictionForAjaxCall() {
    if (!this.restriction && !this._restriction) {
      return null;
    }
    let resolveValue = value => {
      if (typeof value === 'function') {
        // Dynamic evaluation of the restriction value
        return value(this);
      }
      return value;
    };
    let resolvedRestriction = {};
    let restriction = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this.restriction, this._restriction);
    Object.keys(restriction).forEach(key => {
      let value = restriction[key];
      let newValue;
      if (Array.isArray(value)) {
        // Resolve each array element individually, remove null values
        newValue = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.flatMap(value, resolveValue).filter(Boolean);
        newValue = newValue.length ? newValue : null;
      } else {
        newValue = resolveValue(value);
      }
      // Only add non-null restrictions
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(newValue)) {
        resolvedRestriction[key] = newValue;
      }
    });
    return resolvedRestriction;
  }
  _createAjaxCall() {
    let url = this._getCallUrl();
    let restriction = this._getRestrictionForAjaxCall();
    let data = restriction ? JSON.stringify(restriction) : null;
    let ajaxOptions = {
      type: 'POST',
      data: data,
      dataType: 'json',
      contentType: 'application/json; charset=UTF-8',
      cache: false,
      url: url,
      timeout: 0
    };
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.AjaxCall, {
      ajaxOptions: ajaxOptions,
      name: 'RestLookupCall',
      retryIntervals: [100, 500, 500, 500]
    }, {
      ensureUniqueId: false
    });
  }
}

/***/ }),

/***/ "./src/lookup/RestLookupCallModel.ts":
/*!*******************************************!*\
  !*** ./src/lookup/RestLookupCallModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/lookup/StaticLookupCall.ts":
/*!****************************************!*\
  !*** ./src/lookup/StaticLookupCall.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StaticLookupCall: () => (/* binding */ StaticLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Base class for lookup calls with static or local data. Implement the _data() and _dataToLookupRow()
 * functions to provide data for lookup calls. Results are resolved as a Promise, the delay
 * property controls how long it takes until the promise is resolved. You can set it to a higher value for testing purposes.
 */
class StaticLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall {
  constructor() {
    super();
    _defineProperty(this, "delay", void 0);
    _defineProperty(this, "data", void 0);
    _defineProperty(this, "_deferred", void 0);
    this._deferred = null;
    this.delay = 0;
    this.data = null;
    this.active = true;
  }
  _init(model) {
    super._init(model);
    if (!this.data) {
      // data may either be provided by the model or by implementing the _data function
      this.data = this._data();
    }
  }
  refreshData(data) {
    if (data === undefined) {
      this.data = this._data();
    } else {
      this.data = data;
    }
  }
  abort() {
    var _this$_deferred;
    (_this$_deferred = this._deferred) === null || _this$_deferred === void 0 || _this$_deferred.reject({
      abort: true
    });
    super.abort();
  }
  _getAll() {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByAll.bind(this), this.delay);
    return this._deferred.promise();
  }
  _queryByAll() {
    this._deferred.resolve({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.ALL,
      lookupRows: this._lookupRowsByAll()
    });
  }
  /**
   * Limits the data to 'maxRowCount' results, converts the data to LookupRows and filters
   * the rows by their 'active' state. If a subclass overrides this method it can omit the
   * super call, if it must avoid the maxRowCount limit and does its own filtering. In that
   * case the subclass may choose to call <code>#_mapAndFilterData</code> and
   * <code>#_limitMaxRows</code> when suitable.
   */
  _lookupRowsByAll() {
    let datas = this._limitMaxRows(this.data);
    return this._mapAndFilterData(datas);
  }
  _limitMaxRows(array) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(array).slice(0, this.maxRowCount);
  }
  _mapAndFilterData(datas) {
    return datas.map(this._dataToLookupRow, this).filter(this._filterActiveLookupRow, this);
  }
  _filterActiveLookupRow(dataRow) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.active)) {
      return true;
    }
    return this.active === _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dataRow.active, true);
  }
  _getByText(text) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByText.bind(this, text), this.delay);
    return this._deferred.promise();
  }
  _queryByText(text) {
    let lookupRows = this._lookupRowsByText(text);
    // resolve non-hierarchical results immediately
    if (!this.hierarchical) {
      this._deferred.resolve({
        queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT,
        text: text,
        lookupRows: lookupRows
      });
    }
    // if loadIncremental=false we must also load children
    let promise,
      builder = new _index__WEBPACK_IMPORTED_MODULE_0__.HierarchicalLookupResultBuilder(this);
    if (this.loadIncremental) {
      promise = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(lookupRows);
    } else {
      promise = builder.addChildLookupRows(lookupRows);
    }
    // hierarchical lookups must first load their parent nodes
    // before we can resolve the results
    promise.then(lookupRows => builder.addParentLookupRows(lookupRows)).done(lookupRows => {
      this._deferred.resolve({
        queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.TEXT,
        text: text,
        lookupRows: lookupRows
      });
    }).fail(error => {
      throw error;
    });
  }
  _lookupRowsByText(text) {
    let regex = this._createSearchPattern(text);
    let datas = this.data.filter(data => regex.test(data[1].toLowerCase()));
    return this._mapAndFilterData(datas);
  }
  _createSearchPattern(text) {
    // Implementation copied from LocalLookupCall.java
    const WILDCARD = '*';
    const WILDCARD_PLACEHOLDER = '@wildcard@';
    text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(text);
    text = text.toLowerCase();
    text = text.replace(new RegExp(_index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(WILDCARD), 'g'), WILDCARD_PLACEHOLDER);
    text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(text);
    // replace repeating wildcards to prevent regex DoS
    let duplicateWildcards = WILDCARD_PLACEHOLDER + WILDCARD_PLACEHOLDER;
    while (_index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(text, duplicateWildcards)) {
      text = text.replace(duplicateWildcards, WILDCARD_PLACEHOLDER);
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.strings.endsWith(text, WILDCARD_PLACEHOLDER)) {
      text += WILDCARD_PLACEHOLDER;
    }
    text = text.replace(new RegExp(_index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(WILDCARD_PLACEHOLDER), 'g'), '.*');
    return new RegExp('^' + text + '$', 's'); // s = DOT_ALL
  }
  _getByKey(key) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByKey.bind(this, key), this.delay);
    return this._deferred.promise();
  }
  _queryByKey(key) {
    let lookupRow = this._lookupRowByKey(key);
    if (lookupRow) {
      this._deferred.resolve({
        queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY,
        lookupRows: [lookupRow]
      });
    } else {
      this._deferred.reject();
    }
  }
  _getByKeys(keys) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(() => this._queryByKeys(keys), this.delay);
    return this._deferred.promise();
  }
  _queryByKeys(keys) {
    const lookupRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(keys).map(key => this._lookupRowByKey(key)).filter(row => !!row);
    if (lookupRows.length) {
      this._deferred.resolve({
        queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.KEY,
        lookupRows
      });
    } else {
      this._deferred.reject();
    }
  }
  _lookupRowByKey(key) {
    let data = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.data, data => data[0] === key);
    if (!data) {
      return null;
    }
    return this._dataToLookupRow(data);
  }
  _getByRec(rec) {
    this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    setTimeout(this._queryByRec.bind(this, rec), this.delay);
    return this._deferred.promise();
  }
  _queryByRec(rec) {
    this._deferred.resolve({
      queryBy: _index__WEBPACK_IMPORTED_MODULE_0__.QueryBy.REC,
      rec: rec,
      lookupRows: this._lookupRowsByRec(rec)
    });
  }
  _lookupRowsByRec(rec) {
    return this.data.reduce((aggr, data) => {
      if (data[2] === rec) {
        aggr.push(this._dataToLookupRow(data));
      }
      return aggr;
    }, []).filter(this._filterActiveLookupRow, this);
  }
  setDelay(delay) {
    this.delay = delay;
  }
  /**
   * Implement this function to convert a single data array into an instance of LookupRow.
   */
  _dataToLookupRow(data, index) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, {
      key: data[0],
      text: data[1],
      parentKey: data[2]
    });
  }
  /**
   * Implement this function to provide static data.
   *
   * The result is expected to be a list of tuples. Each tuple will be converted to a lookup row via
   * {@link _dataToLookupRow}. The first three elements of each tuple have a predefined meaning and
   * are used by the lookup call (e.g. to filter rows by text). More elements can be added freely.
   *
   * - [0] = key
   * - [1] = text
   * - [2] = parentKey
   */
  _data() {
    return [];
  }
}

/***/ }),

/***/ "./src/lookup/StaticLookupCallModel.ts":
/*!*********************************************!*\
  !*** ./src/lookup/StaticLookupCallModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/ButtonAdapterMenu.ts":
/*!***************************************!*\
  !*** ./src/menu/ButtonAdapterMenu.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ButtonAdapterMenu: () => (/* binding */ ButtonAdapterMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ButtonAdapterMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "button", void 0);
    _defineProperty(this, "menubar", void 0);
    _defineProperty(this, "_buttonPropertyChangeHandler", void 0);
    _defineProperty(this, "_buttonDestroyHandler", void 0);
    this._removeWidgetProperties('childActions'); // managed by button
    this._buttonPropertyChangeHandler = this._onButtonPropertyChange.bind(this);
    this._buttonDestroyHandler = this._onButtonDestroy.bind(this);
    this._addCloneProperties(['button']);
    this.button = null;
    this.menubar = null;
  }
  _init(model) {
    super._init(model);
    if (!this.button) {
      throw new Error('Cannot adapt to undefined button');
    }
    this.button.adaptedBy = this;
    this._installListeners();
  }
  _destroy() {
    super._destroy();
    delete this.button.adaptedBy;
  }
  _installListeners() {
    this.button.on('propertyChange', this._buttonPropertyChangeHandler);
    this.button.on('destroy', this._buttonDestroyHandler);
  }
  _uninstallListeners() {
    this.button.off('propertyChange', this._buttonPropertyChangeHandler);
    this.button.off('destroy', this._buttonDestroyHandler);
  }
  _render() {
    super._render();
    // Convenience: Add ID of original button to DOM for debugging purposes
    this.$container.attr('data-buttonadapter', this.button.id);
  }
  _onButtonPropertyChange(event) {
    // Whenever a button property changes, apply the changes to the menu
    let changedProperties = {};
    changedProperties[event.propertyName] = event.newValue;
    changedProperties = ButtonAdapterMenu.adaptButtonProperties(changedProperties);
    for (let prop in changedProperties) {
      // NOSONAR
      // Set the property (don't use callSetter because this may delegate to the button)
      this.setProperty(prop, changedProperties[prop]);
    }
  }
  _onButtonDestroy(event) {
    this.destroy();
    this._uninstallListeners();
  }
  doAction() {
    if (this.childActions.length > 0) {
      // Popup menu is handled by this menu itself
      return super.doAction();
    }
    // Everything else is delegated to the button
    let actionExecuted = this.button.doAction();
    if (actionExecuted) {
      if (this.isToggleAction()) {
        this.setSelected(!this.selected);
      }
      this._doAction();
    }
    return actionExecuted;
  }
  focus() {
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.focus.bind(this));
      return false;
    }
    this.menubar.setTabbableMenu(this);
    return this.session.focusManager.requestFocus(this.getFocusableElement());
  }
  static adaptButtonProperties(buttonProperties, menuProperties) {
    // @ts-expect-error
    menuProperties = menuProperties || {};
    // Plain properties: simply copy, no translation required
    ['visible', 'selected', 'tooltipText', 'keyStroke', 'keyStrokes', 'cssClass', 'modelClass', 'classId', 'iconId', 'preventDoubleClick', 'enabled', 'inheritAccessibility', 'stackable', 'shrinkable'].forEach(prop => {
      menuProperties[prop] = buttonProperties[prop];
    });
    // Properties requiring special handling (non-trivial mapping)
    menuProperties.text = buttonProperties.label;
    menuProperties.textPosition = labelPositionToTextPosition(buttonProperties.labelPosition);
    menuProperties.horizontalAlignment = buttonProperties.gridData ? buttonProperties.gridData.horizontalAlignment : undefined;
    menuProperties.actionStyle = buttonStyleToActionStyle(buttonProperties.displayStyle);
    menuProperties.toggleAction = buttonProperties.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Button.DisplayStyle.TOGGLE;
    menuProperties.childActions = buttonProperties.menus;
    if (menuProperties.defaultMenu === undefined) {
      // buttonProperties.defaultButton property is only mapped if it is true, false should not be mapped as the default defaultMenu = null setting
      // would be overridden if this default null setting is overridden MenuBar.prototype.updateDefaultMenu would not consider these entries anymore
      // on actual property changes defaultMenu will always be undefined which always maps the defaultButton property to the defaultMenu property
      menuProperties.defaultMenu = buttonProperties.defaultButton;
    }
    // Cleanup: Remove all properties that have value 'undefined' from the result object,
    // otherwise, they would be applied to the model adapter.
    for (let prop in menuProperties) {
      if (menuProperties[prop] === undefined) {
        delete menuProperties[prop];
      }
    }
    return menuProperties;
    function buttonStyleToActionStyle(buttonStyle) {
      if (buttonStyle === undefined) {
        return undefined;
      }
      if (buttonStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Button.DisplayStyle.LINK) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.DEFAULT;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
    }
    function labelPositionToTextPosition(labelPosition) {
      if (labelPosition === undefined) {
        return undefined;
      }
      if (labelPosition === _index__WEBPACK_IMPORTED_MODULE_0__.Button.LabelPosition.BOTTOM) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.Action.TextPosition.BOTTOM;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.Action.TextPosition.DEFAULT;
    }
  }
}

/***/ }),

/***/ "./src/menu/ButtonAdapterMenuModel.ts":
/*!********************************************!*\
  !*** ./src/menu/ButtonAdapterMenuModel.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/ComboMenu.ts":
/*!*******************************!*\
  !*** ./src/menu/ComboMenu.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ComboMenu: () => (/* binding */ ComboMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ComboMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "_childVisibleChangeHandler", void 0);
    this._childVisibleChangeHandler = this._onChildVisibleChange.bind(this);
  }
  _render() {
    this.$container = this.$parent.appendDiv('menu-item combo-menu');
    if (this.uiCssClass) {
      this.$container.addClass(this.uiCssClass);
    }
    this.$container.unfocusable();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ColumnLayout());
  }
  _renderProperties() {
    super._renderProperties();
    this._renderChildActions();
  }
  _setChildActions(childActions) {
    this.childActions.forEach(child => child.off('propertyChange:visible', this._childVisibleChangeHandler));
    super._setChildActions(childActions);
    this.childActions.forEach(child => child.on('propertyChange:visible', this._childVisibleChangeHandler));
  }
  _renderChildActions() {
    super._renderChildActions();
    this.childActions.forEach(childAction => {
      childAction.addCssClass('combo-menu-child');
      childAction.render();
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.childActions);
  }
  _togglesSubMenu() {
    return false;
  }
  _onChildVisibleChange(event) {
    if (this.rendered) {
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.childActions);
    }
  }
  _doActionTogglesPopup() {
    return false;
  }
  isToggleAction() {
    return false;
  }
  isTabTarget() {
    // To make children tabbable, combo menu must never be a tab target, even if its a default menu
    return false;
  }
}

/***/ }),

/***/ "./src/menu/ComboMenuAdapter.ts":
/*!**************************************!*\
  !*** ./src/menu/ComboMenuAdapter.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ComboMenuAdapter: () => (/* binding */ ComboMenuAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ComboMenuAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuAdapter {}

/***/ }),

/***/ "./src/menu/ContextMenuPopup.ts":
/*!**************************************!*\
  !*** ./src/menu/ContextMenuPopup.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ContextMenuPopup: () => (/* binding */ ContextMenuPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ContextMenuPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "menuItems", void 0);
    _defineProperty(this, "cloneMenuItems", void 0);
    _defineProperty(this, "bodyAnimating", void 0);
    _defineProperty(this, "animationDuration", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "initialSubMenusToRender", void 0);
    _defineProperty(this, "menuFilter", void 0);
    /** @internal */
    _defineProperty(this, "_toggleSubMenuQueue", void 0);
    this.animateOpening = true;
    this.animateRemoval = true;
    this.menuItems = [];
    this.cloneMenuItems = true;
    this.bodyAnimating = false;
    this._toggleSubMenuQueue = [];
    this.animationDuration = 300;
  }
  _init(options) {
    options.focusableContainer = true; // In order to allow keyboard navigation, the popup must gain focus. Because menu-items are not focusable, make the container focusable instead.
    // If menu items are cloned, don't link the original menus with the popup, otherwise they would be removed when the context menu is removed
    if (options.cloneMenuItems === false) {
      this._addWidgetProperties('menuItems');
    }
    super._init(options);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes.registerKeyStrokes(this.keyStrokeContext, this, 'menu-item');
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopupLayout(this);
  }
  _createBodyLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout({
      pixelBasedSizing: false
    });
  }
  _render() {
    super._render();
    this.$container.addClass('context-menu-popup');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'menu');
    this._renderBody();
    this._installScrollbars();
    this._renderMenuItems();
  }
  _remove() {
    this._toggleSubMenuQueue = [];
    super._remove();
  }
  _renderBody() {
    this.$body = this.$container.appendDiv('context-menu');
    // Complete the layout hierarchy between the popup and the menu items
    let htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    htmlBody.setLayout(this._createBodyLayout());
  }
  _installScrollbars(options) {
    super._installScrollbars({
      axis: 'y',
      scrollShadow: 'none'
    });
  }
  _checkRemoveSubMenuItemsPossible(parentMenu, animated) {
    if (!this.rendered && !this.rendering) {
      return false;
    }
    let openingAnimationRunning = this.isOpeningAnimationRunning();
    let layout = this.htmlComp.layout;
    let resizeAnimationRunning = layout.resizeAnimationRunning;
    if (this.bodyAnimating || openingAnimationRunning || resizeAnimationRunning) {
      // Let current animation finish and execute afterwards to prevent an unpredictable behavior and inconsistent state
      this._toggleSubMenuQueue.push(this.removeSubMenuItems.bind(this, parentMenu, animated));
      if (openingAnimationRunning) {
        this.$container.oneAnimationEnd(() => this._processSubMenuQueue());
      }
      return false;
    }
    return true;
  }
  removeSubMenuItems(parentMenu, animated) {
    let internalParentMenu = parentMenu;
    if (!this._checkRemoveSubMenuItemsPossible(internalParentMenu, animated)) {
      return;
    }
    this.$body = internalParentMenu.__originalParent.$subMenuBody;
    // move new body to back
    this.$body.insertBefore(internalParentMenu.$subMenuBody);
    if (internalParentMenu.__originalParent._doActionTogglesSubMenu) {
      internalParentMenu.__originalParent._doActionTogglesSubMenu();
    }
    let popupBounds = this.htmlComp.bounds();
    this._adjustTextAlignment();
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.$body).invalidateLayoutTree();
    this.validateLayoutTree();
    this.position();
    if (animated) {
      this._animateRemoveSubmenuItems(internalParentMenu, popupBounds);
    }
  }
  _animateRemoveSubmenuItems(parentMenu, popupBounds) {
    let parentMenuPosition = parentMenu.$placeHolder.position();
    let popupInsets = this.htmlComp.insets();
    let endPopupBounds = this.htmlComp.bounds();
    let oldBodyBounds = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(parentMenu.$subMenuBody).bounds();
    let bodyBounds = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.$body).bounds();
    let startBodyBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, popupInsets.top, oldBodyBounds.width, oldBodyBounds.height);
    let endBodyBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, popupInsets.top + parentMenuPosition.top, bodyBounds.width, parentMenu.$container.cssHeight());
    this.bodyAnimating = true;
    this.$container.addClass('animating');
    let layout = this.htmlComp.layout;
    layout.disableAutoPosition();
    this._animateResizePopup(this.htmlComp.$comp, popupBounds, endPopupBounds);
    this._animateTextOffset(parentMenu.$subMenuBody, parentMenu.$subMenuBody.data('text-offset'));
    // Collapse old body
    parentMenu.$subMenuBody.cssWidthAnimated(startBodyBounds.width, endBodyBounds.width, {
      duration: this.animationDuration,
      progress: this.revalidateLayout.bind(this),
      complete: () => this._completeAnimateRemoveSubMenuItems(parentMenu),
      queue: false
    }).cssHeightAnimated(startBodyBounds.height, endBodyBounds.height, {
      duration: this.animationDuration,
      queue: false
    }).cssTopAnimated(startBodyBounds.y, endBodyBounds.y, {
      duration: this.animationDuration,
      queue: false
    });
    // Resize new body so that it doesn't increase the popup height and shows unnecessary scrollbars if new body will be bigger
    // It also ensures correct text ellipsis during animation, position is already correct
    this.$body.cssWidthAnimated(oldBodyBounds.width, bodyBounds.width, {
      duration: this.animationDuration,
      queue: false
    }).cssHeightAnimated(oldBodyBounds.height, bodyBounds.height, {
      duration: this.animationDuration,
      queue: false
    });
  }
  _completeAnimateRemoveSubMenuItems(parentMenu) {
    this.bodyAnimating = false;
    if (!this.rendered || !parentMenu.$container) {
      return;
    }
    this.$container.removeClass('animating');
    parentMenu.$placeHolder.replaceWith(parentMenu.$container);
    parentMenu.$container.toggleClass('expanded', false);
    this._updateFirstLastClass();
    this.updateNextToSelected('menu-item', parentMenu.$container);
    parentMenu.$subMenuBody.detach();
    this._processSubMenuQueue();
  }
  /** @internal */
  _processSubMenuQueue() {
    let next = this._toggleSubMenuQueue.shift();
    if (next) {
      next();
    }
  }
  _checkRenderSubMenuItemsPossible(parentMenu, menus, animated, initialSubMenuRendering) {
    if (!this.session.desktop.rendered && !initialSubMenuRendering) {
      this.initialSubMenusToRender = {
        parentMenu: parentMenu,
        menus: menus
      };
      return false;
    }
    if (!this.rendered && !this.rendering) {
      return false;
    }
    let openingAnimationRunning = this.isOpeningAnimationRunning();
    let layout = this.htmlComp.layout;
    let resizeAnimationRunning = layout.resizeAnimationRunning;
    if (this.bodyAnimating || openingAnimationRunning || resizeAnimationRunning) {
      // Let current animation finish and execute afterwards to prevent an unpredictable behavior and inconsistent state
      this._toggleSubMenuQueue.push(this.renderSubMenuItems.bind(this, parentMenu, menus, animated, initialSubMenuRendering));
      if (openingAnimationRunning) {
        this.$container.oneAnimationEnd(() => this._processSubMenuQueue());
      }
      return false;
    }
    return true;
  }
  renderSubMenuItems(parentMenu, menus, animated, initialSubMenuRendering) {
    let internalParentMenu = parentMenu;
    if (!this._checkRenderSubMenuItemsPossible(internalParentMenu, menus, animated, initialSubMenuRendering)) {
      return false;
    }
    let popupBounds = this.htmlComp.bounds();
    let $oldBody = this.$body;
    internalParentMenu.__originalParent.$subMenuBody = $oldBody;
    let $menuItems = this.$body.find('.menu-item');
    $menuItems.removeClass('next-to-selected');
    if (!internalParentMenu.$subMenuBody) {
      this._renderBody();
      internalParentMenu.$subMenuBody = this.$body;
      this._renderMenuItems(menus, initialSubMenuRendering);
    } else {
      // append $body
      this.$body = internalParentMenu.$subMenuBody;
    }
    let $insertAfterElement = internalParentMenu.$container.prev();
    let parentMenuPosition = internalParentMenu.$container.position();
    internalParentMenu.$placeHolder = internalParentMenu.$container.clone();
    // HtmlComponent is necessary for the row layout (it would normally be installed by Menu.js, but $placeholder is just a jquery clone of internalParentMenu.$container and is not managed by a real widget)
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(internalParentMenu.$placeHolder, this.session);
    if ($insertAfterElement.length) {
      internalParentMenu.$placeHolder.insertAfter($insertAfterElement);
    } else {
      $oldBody.prepend(internalParentMenu.$placeHolder);
    }
    this.$body.insertAfter($oldBody);
    this.$body.prepend(internalParentMenu.$container);
    internalParentMenu.$container.toggleClass('expanded');
    this._adjustTextAlignment();
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.$body).invalidateLayoutTree();
    this.validateLayoutTree();
    this.position();
    this.updateNextToSelected();
    if (animated) {
      this._animateRenderSubMenuItems(internalParentMenu, popupBounds, parentMenuPosition);
    } else {
      $oldBody.detach();
      this._updateFirstLastClass();
    }
  }
  _animateRenderSubMenuItems(parentMenu, popupBounds, parentMenuPosition) {
    let internalParentMenu = parentMenu;
    let $oldBody = internalParentMenu.__originalParent.$subMenuBody;
    let endPopupBounds = this.htmlComp.bounds();
    let popupInsets = this.htmlComp.insets();
    let oldBodyBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($oldBody);
    let bodyBounds = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.$body).bounds();
    let startBodyBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, popupInsets.top + parentMenuPosition.top, oldBodyBounds.width, internalParentMenu.$container.cssHeight());
    let endBodyBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(0, popupInsets.top, bodyBounds.width, bodyBounds.height);
    this.bodyAnimating = true;
    this.$container.addClass('animating');
    let layout = this.htmlComp.layout;
    layout.disableAutoPosition();
    this._animateResizePopup(this.htmlComp.$comp, popupBounds, endPopupBounds);
    this._animateTextOffset(this.$body, $oldBody.data('text-offset'));
    // Expand new body
    this.$body.cssWidthAnimated(startBodyBounds.width, endBodyBounds.width, {
      duration: this.animationDuration,
      progress: this.revalidateLayout.bind(this),
      complete: () => this._completeAnimateRenderSubMenuItems($oldBody),
      queue: false
    }).cssHeightAnimated(startBodyBounds.height, endBodyBounds.height, {
      duration: this.animationDuration,
      queue: false
    }).cssTopAnimated(startBodyBounds.y, endBodyBounds.y, {
      duration: this.animationDuration,
      queue: false
    });
    // Resize old body so that it doesn't increase the popup height and shows unnecessary scrollbars if new body will be smaller
    // It also ensures correct text ellipsis during animation, position is already correct
    $oldBody.cssWidthAnimated(oldBodyBounds.width, endBodyBounds.width, {
      duration: this.animationDuration,
      queue: false
    }).cssHeightAnimated(oldBodyBounds.height, endBodyBounds.height, {
      duration: this.animationDuration,
      queue: false
    });
  }
  _completeAnimateRenderSubMenuItems($oldBody) {
    this.bodyAnimating = false;
    if (!this.rendered) {
      return;
    }
    this.$container.removeClass('animating');
    if ($oldBody) {
      $oldBody.detach();
      this.$body.cssTop('');
      this._updateFirstLastClass();
    }
    let layout = this.htmlComp.layout;
    layout.resetAutoPosition();
    this._processSubMenuQueue();
  }
  _animateResizePopup($comp, popupBounds, targetBounds) {
    let options = {
      duration: this.animationDuration,
      queue: false
    };
    $comp.cssTopAnimated(popupBounds.y, targetBounds.y, options).cssLeftAnimated(popupBounds.x, targetBounds.x, options).cssWidthAnimated(popupBounds.width, targetBounds.width, options).cssHeightAnimated(popupBounds.height, targetBounds.height, options);
  }
  /** @internal */
  _animateTextOffset($body, textOffset, targetOffset) {
    targetOffset = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(targetOffset, this.$body.data('text-offset'));
    let $menuItems = this.$visibleMenuItems($body);
    $menuItems.each((index, menuItem) => {
      let $menuItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(menuItem);
      let $text = $menuItem.children('.text');
      let padding = this._calcTextPaddingLeft($menuItem, textOffset);
      let targetPadding = this._calcTextPaddingLeft($menuItem, targetOffset);
      $text.cssAnimated({
        paddingLeft: padding
      }, {
        paddingLeft: targetPadding
      }, {
        duration: this.animationDuration
      });
    });
  }
  _renderMenuItems(menus, initialSubMenuRendering) {
    menus = menus ? menus : this._getMenuItems();
    if (this.menuFilter) {
      menus = this.menuFilter(menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU);
    }
    if (!menus || menus.length === 0) {
      return;
    }
    menus.forEach(menu => {
      // Invisible menus are rendered as well because their visibility might change dynamically
      if (menu.separator) {
        return;
      }
      // prevent loosing original parent
      let originalParent = menu.parent;
      // Clone menu items but only clone once unless it is for a different context menu (e.g. a context menu of a combo menu inside a context menu)
      // Clone will recursively also clone all child actions.
      if (this.cloneMenuItems && !menu.cloneOf || !this.has(menu)) {
        menu = menu.clone({
          parent: this,
          textPosition: _index__WEBPACK_IMPORTED_MODULE_0__.Action.TextPosition.DEFAULT
        }, {
          delegateEventsToOriginal: ['acceptInput', 'action', 'click'],
          delegateAllPropertiesToClone: true,
          delegateAllPropertiesToOriginal: true,
          excludePropertiesToOriginal: ['selected', 'logicalGrid', 'tabbable']
        });
        menu.setTabbable(false);
        // attach listener
        this._attachCloneMenuListeners(menu);
      }
      // just set once because on second execution of this menu.parent is set to a popup
      if (!menu.__originalParent) {
        menu.__originalParent = originalParent;
      }
      menu.render(this.$body);
      menu.$container.removeClass('menu-button');
      this._attachMenuListeners(menu);
    });
    this._handleInitialSubMenus(initialSubMenuRendering);
    this._updateFirstLastClass();
    this._adjustTextAlignment();
  }
  _attachCloneMenuListeners(menu) {
    menu.on('propertyChange', this._onCloneMenuPropertyChange.bind(this));
    menu.childActions.forEach(this._attachCloneMenuListeners.bind(this));
  }
  _onCloneMenuPropertyChange(event) {
    if (event.propertyName === 'selected') {
      let menu = event.source;
      // Only trigger property change, setSelected would try to render the selected state which must not happen for the original menu
      menu.cloneOf.triggerPropertyChange('selected', event.oldValue, event.newValue);
    }
  }
  _handleInitialSubMenus(initialSubMenuRendering) {
    if (initialSubMenuRendering) {
      return;
    }
    let menusObj;
    while (this.initialSubMenusToRender) {
      menusObj = this.initialSubMenusToRender;
      this.initialSubMenusToRender = undefined;
      this.renderSubMenuItems(menusObj.parentMenu, menusObj.menus, false, true);
    }
  }
  _attachMenuListeners(menu) {
    let menuItemActionHandler = this._onMenuItemAction.bind(this);
    let menuItemPropertyChange = this._onMenuItemPropertyChange.bind(this);
    menu.on('action', menuItemActionHandler);
    menu.on('propertyChange', menuItemPropertyChange);
    this.one('remove', () => {
      menu.off('action', menuItemActionHandler);
      menu.off('propertyChange', menuItemPropertyChange);
    });
  }
  updateMenuItems(menuItems) {
    menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menuItems);
    // Only update if list of menus changed. Don't compare this.menuItems, because that list
    // may contain additional UI separators, and may not be in the same order
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this.menuItems, menuItems)) {
      this.close();
    }
  }
  /**
   * Override this method to return menu items or actions used to render menu items.
   */
  _getMenuItems() {
    return this.menuItems;
  }
  /**
   * Currently rendered $menuItems
   */
  $menuItems() {
    return this.$body.children('.menu-item');
  }
  $visibleMenuItems($body) {
    $body = $body || this.$body;
    return $body.children('.menu-item:visible');
  }
  /**
   * Updates the first and last visible menu items with the according css classes.
   * Necessary because invisible menu-items are rendered.
   */
  _updateFirstLastClass() {
    let $firstMenuItem, $lastMenuItem;
    this.$body.children('.menu-item').each(function () {
      let $menuItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      $menuItem.removeClass('first last');
      if ($menuItem.isVisible()) {
        if (!$firstMenuItem) {
          $firstMenuItem = $menuItem;
        }
        $lastMenuItem = $menuItem;
      }
    });
    if ($firstMenuItem) {
      $firstMenuItem.addClass('first');
    }
    if ($lastMenuItem) {
      $lastMenuItem.addClass('last');
    }
  }
  updateNextToSelected(menuItemClass, $selectedItem) {
    menuItemClass = menuItemClass ? menuItemClass : 'menu-item';
    let $all = this.$body.find('.' + menuItemClass);
    $selectedItem = $selectedItem ? $selectedItem : this.$body.find('.' + menuItemClass + '.selected');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.$container, $selectedItem);
    $all.removeClass('next-to-selected');
    if ($selectedItem.hasClass('selected')) {
      $selectedItem.nextAll(':visible').first().addClass('next-to-selected');
    }
  }
  _onMenuItemAction(event) {
    if (event.source.isToggleAction()) {
      return;
    }
    if (event.defaultPrevented) {
      return;
    }
    this.close();
  }
  _onMenuItemPropertyChange(event) {
    if (!this.rendered) {
      return;
    }
    if (event.propertyName === 'visible') {
      this._updateFirstLastClass();
    } else if (event.propertyName === 'selected') {
      // Keystroke navigation marks the currently focused item as selected.
      // When a sub menu item is opened while another element is selected (focused), make sure the other element gets unselected.
      // Otherwise, two items would be selected when the sub menu is closed again.
      this._deselectSiblings(event.source);
    } else if (event.propertyName === 'iconId') {
      if (this.rendered) {
        // Update text alignment if an icon changes while popup is open
        // Rendering of the icon happens after the property change event -> update text later
        queueMicrotask(() => {
          if (this.rendered) {
            this._adjustTextAlignment();
          }
        });
      }
    }
    // Make sure menu is positioned correctly afterwards (if it is opened upwards hiding/showing a menu item makes it necessary to reposition)
    this.position();
  }
  /**
   * Deselects the visible siblings of the given menu item. It just removes the CSS class and does not modify the selected property.
   */
  _deselectSiblings(menuItem) {
    menuItem.$container.siblings('.menu-item').each((i, elem) => {
      let $menuItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      $menuItem.select(false);
    });
  }
  /** @internal */
  _adjustTextAlignment($body) {
    $body = $body || this.$body;
    let $menuItems = this.$visibleMenuItems($body);
    let textOffset = this._calcTextOffset($menuItems);
    $body.data('text-offset', textOffset);
    this._updateTextOffset(textOffset, $menuItems);
  }
  _calcTextOffset($menuItems) {
    let textOffset = 0;
    $menuItems = $menuItems || this.$visibleMenuItems();
    $menuItems.each((index, menuItem) => {
      let $menuItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(menuItem);
      let $icon = $menuItem.children('.icon');
      let iconWidth = 0;
      if ($icon.length > 0) {
        iconWidth = $icon.outerWidth(true);
      }
      textOffset = Math.max(textOffset, iconWidth);
    });
    return textOffset;
  }
  _updateTextOffset(textOffset, $menuItems) {
    // Update the padding of each text such that the sum of icon width and the padding
    // are the same for all items. This ensures that the texts are all aligned.
    $menuItems = $menuItems || this.$visibleMenuItems();
    $menuItems.each((index, menuItem) => {
      let $menuItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(menuItem);
      let $text = $menuItem.children('.text');
      $text.css('padding-left', this._calcTextPaddingLeft($menuItem, textOffset));
      let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($menuItem);
      if (htmlComp) {
        htmlComp.invalidateLayout();
      }
    });
  }
  _calcTextPaddingLeft($menuItem, textOffset) {
    let $icon = $menuItem.children('.icon');
    let iconWidth = 0;
    if ($icon.length > 0) {
      iconWidth = $icon.outerWidth(true);
    }
    return textOffset - iconWidth;
  }
}

/***/ }),

/***/ "./src/menu/ContextMenuPopupLayout.ts":
/*!********************************************!*\
  !*** ./src/menu/ContextMenuPopupLayout.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ContextMenuPopupLayout: () => (/* binding */ ContextMenuPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ContextMenuPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
  }
  _setSize(prefSize) {
    if (this.popup.bodyAnimating) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.popup.get$Scrollable());
      return;
    }
    super._setSize(prefSize);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.popup.get$Scrollable());
    let htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.popup.$body);
    htmlBody.pack();
  }
  invalidate(htmlSource) {
    // If a child triggers a layout invalidation, the popup needs to be resized.
    // This will happen for sure if a child is an image which will be loaded during the animation.
    // Ideally, the running animations would be stopped, the popup layouted, the animations adjusted to the new bounds and then continued.
    // This is currently too complicated to implement, so instead we let the animations finish and resize the popup at the end (but before other resize animations start).
    if (this.popup.bodyAnimating && htmlSource && htmlSource.isDescendantOf(this.popup.htmlComp)) {
      this.popup._toggleSubMenuQueue.unshift(() => {
        if (!this.popup.rendered) {
          return;
        }
        let oldOffset = this.popup.$body.data('text-offset');
        this.popup._adjustTextAlignment();
        this.popup.animateResize = true;
        this.resizeAnimationDuration = this.popup.animationDuration;
        this.popup.revalidateLayoutTree();
        this.popup.animateResize = false;
        this.popup._animateTextOffset(this.popup.$body, oldOffset);
        this.popup.$container.promise().done(() => this.popup._processSubMenuQueue());
      });
    }
  }
  preferredLayoutSize($container, options) {
    let htmlComp = this.popup.htmlComp;
    let htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.popup.$body);
    let prefSize;
    if (this.popup.bodyAnimating) {
      prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.popup.$body, options);
    } else {
      let popupStyleBackup = this.popup.$container.attr('style');
      let $siblingBodies = this.popup.$body.siblings('.context-menu');
      $siblingBodies.addClass('hidden');
      this.popup.$body.css({
        width: 'auto',
        height: 'auto'
      });
      htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.popup.$body);
      prefSize = htmlBody.prefSize(options);
      $siblingBodies.removeClass('hidden');
      this.popup.$container.attr('style', popupStyleBackup);
    }
    return prefSize.add(htmlComp.insets()).add(htmlBody.margins());
  }
}

/***/ }),

/***/ "./src/menu/ContextMenuPopupModel.ts":
/*!*******************************************!*\
  !*** ./src/menu/ContextMenuPopupModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/EllipsisMenu.ts":
/*!**********************************!*\
  !*** ./src/menu/EllipsisMenu.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EllipsisMenu: () => (/* binding */ EllipsisMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class EllipsisMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "hidden", void 0);
    this.hidden = true;
    this.ellipsis = true;
    this.stackable = false;
    this.horizontalAlignment = 1;
    this.iconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.ELLIPSIS_V;
    this.tabbable = false;
    this._addPreserveOnPropertyChangeProperties(['childActions']);
  }
  _render() {
    super._render();
    this.$container.addClass('ellipsis');
  }
  setChildActions(childActions) {
    super.setChildActions(childActions);
    if (childActions) {
      // close all actions that have been added to the ellipsis
      childActions.forEach(ca => ca.setSelected(false));
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderHidden();
  }
  _renderSelected() {
    super._renderSelected();
    // has to be done here because hasPopup is false for ellipsis menu
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.$container, 'menu');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$container, this.selected);
  }
  // add the set hidden function to the ellipsis
  setHidden(hidden) {
    this.setProperty('hidden', hidden);
  }
  _renderHidden() {
    this.$container.setVisible(!this.hidden);
  }
  isTabTarget() {
    return super.isTabTarget() && !this.hidden;
  }
  _childrenForEnabledComputed() {
    return this.childActions;
  }
}

/***/ }),

/***/ "./src/menu/EllipsisMenuEventMap.ts":
/*!******************************************!*\
  !*** ./src/menu/EllipsisMenuEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/EllipsisMenuModel.ts":
/*!***************************************!*\
  !*** ./src/menu/EllipsisMenuModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/Menu.ts":
/*!**************************!*\
  !*** ./src/menu/Menu.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Menu: () => (/* binding */ Menu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Menu extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    _defineProperty(this, "childActions", void 0);
    _defineProperty(this, "defaultMenu", void 0);
    _defineProperty(this, "excludedByFilter", void 0);
    _defineProperty(this, "menuTypes", void 0);
    _defineProperty(this, "menuStyle", void 0);
    _defineProperty(this, "uiCssClass", void 0);
    _defineProperty(this, "overflowMenu", void 0);
    /**
     * This property is set if this is a subMenu
     */
    _defineProperty(this, "parentMenu", void 0);
    _defineProperty(this, "ellipsis", void 0);
    _defineProperty(this, "rightAligned", void 0);
    _defineProperty(this, "popup", void 0);
    _defineProperty(this, "popupHorizontalAlignment", void 0);
    _defineProperty(this, "popupVerticalAlignment", void 0);
    _defineProperty(this, "stackable", void 0);
    _defineProperty(this, "separator", void 0);
    _defineProperty(this, "shrinkable", void 0);
    _defineProperty(this, "subMenuVisibility", void 0);
    _defineProperty(this, "menuFilter", void 0);
    _defineProperty(this, "createdBy", void 0);
    _defineProperty(this, "$submenuIcon", void 0);
    _defineProperty(this, "$subMenuBody", void 0);
    _defineProperty(this, "$placeHolder", void 0);
    this.childActions = [];
    this.defaultMenu = null;
    this.excludedByFilter = false;
    this.menuTypes = [];
    this.menuStyle = Menu.MenuStyle.NONE;
    this.parentMenu = null;
    this.popup = null;
    this.popupHorizontalAlignment = undefined;
    this.popupVerticalAlignment = undefined;
    this.stackable = true;
    this.separator = false;
    this.shrinkable = false;
    this.rightAligned = false;
    this.subMenuVisibility = Menu.SubMenuVisibility.DEFAULT;
    this.menuFilter = null;
    this.$submenuIcon = null;
    this.$subMenuBody = null;
    this._addCloneProperties(['defaultMenu', 'menuTypes', 'overflow', 'stackable', 'separator', 'shrinkable', 'parentMenu', 'menuFilter', 'subMenuVisibility']);
    this._addWidgetProperties('childActions');
  }
  _init(options) {
    super._init(options);
    this._setChildActions(this.childActions);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.MenuExecKeyStroke(this));
  }
  _render() {
    if (this.separator) {
      this._renderSeparator();
    } else {
      this._renderItem();
    }
    this.$container.unfocusable();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMenuStyle();
    this._renderActionStyle();
    this._updateIconAndTextStyle();
  }
  _remove() {
    super._remove();
    this.$submenuIcon = null;
    this.$subMenuBody = null;
  }
  _renderSeparator() {
    this.$container = this.$parent.appendDiv('menu-separator');
  }
  _renderItem() {
    this.$container = this.$parent.appendDiv('menu-item');
    if (this.uiCssClass) {
      this.$container.addClass(this.uiCssClass);
    }
    let mouseEventHandler = this._onMouseEvent.bind(this);
    this.$container.on('mousedown', mouseEventHandler).on('contextmenu', mouseEventHandler).on('click', mouseEventHandler);
    this._renderSubMenuIcon();
  }
  _renderActionStyle() {
    this.$container.toggleClass('menu-button', this.isButton() && !this.overflown);
    this.updateAriaRole();
  }
  _renderToggleAction() {
    this.updateAriaRole();
  }
  /**
   * Aria role for menus is based on multiple properties. Properties that influence the menu role should call
   * this update when rendering the property
   */
  updateAriaRole() {
    if (this.separator) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'separator');
      return;
    }
    let hasPopup = this._doActionTogglesSubMenu() || this._doActionTogglesPopup();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, this.isToggleAction() && !hasPopup ? 'menuitemcheckbox' : 'menuitem');
  }
  _renderSelected() {
    if (!this._doActionTogglesSubMenu()) {
      super._renderSelected();
      // Cannot be done in ContextMenuPopup,
      // because the property change event is fired before renderSelected is called,
      // and updateNextToSelected depends on the UI state
      if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
        this.parent.updateNextToSelected();
      }
    }
    let hasPopup = this._doActionTogglesSubMenu() || this._doActionTogglesPopup();
    if (this.selected) {
      if (this._doActionTogglesSubMenu()) {
        this._renderSubMenuItems(this, this.childActions);
      } else if (this._doActionTogglesPopup()) {
        this._openPopup();
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$container, hasPopup ? true : null);
    } else {
      if (this._doActionTogglesSubMenu() && this.rendered) {
        this._removeSubMenuItems(this);
      } else {
        this._closePopup();
        this._closeSubMenus();
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(this.$container, hasPopup ? false : null);
    }
    this.$container.toggleClass('has-popup', hasPopup);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hasPopup(this.$container, hasPopup ? 'menu' : null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.pressed(this.$container, null); // remove pressed set by action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$container, this.isToggleAction() && !hasPopup ? this.selected : null);
  }
  _closeSubMenus() {
    this.childActions.forEach(menu => {
      if (menu._doActionTogglesPopup()) {
        menu._closeSubMenus();
        menu.setSelected(false);
      }
    });
  }
  _removeSubMenuItems(parentMenu) {
    if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
      this.parent.removeSubMenuItems(parentMenu, true);
    } else if (this.parent instanceof Menu) {
      this.parent._removeSubMenuItems(parentMenu);
    }
  }
  _renderSubMenuItems(parentMenu, menus) {
    let parent = this.parent;
    if (parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
      parent.renderSubMenuItems(parentMenu, menus, true);
      let closeHandler = event => parentMenu.setSelected(false);
      let selectedChangeChangeHandler = event => {
        if (event.newValue === false) {
          parent.off('destroy', closeHandler);
          parentMenu.off('propertyChange:selected', selectedChangeChangeHandler);
        }
      };
      parent.one('destroy', closeHandler);
      parentMenu.on('propertyChange:selected', selectedChangeChangeHandler);
    } else if (parent instanceof Menu) {
      parent._renderSubMenuItems(parentMenu, menus);
    }
  }
  /**
   * Override this method to control the toggles sub-menu behavior when this menu instance is used as parent.
   * Some menu subclasses like the ComboMenu need to show the popup menu instead.
   * @see _doActionTogglesSubMenu
   */
  _togglesSubMenu() {
    return true;
  }
  /** @internal */
  _doActionTogglesSubMenu() {
    if (!this.childActions.length) {
      return false;
    }
    if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
      return true;
    }
    if (this.parent instanceof Menu) {
      return this.parent._togglesSubMenu();
    }
    return false;
  }
  _onMouseEvent(event) {
    if (event.type === 'mousedown') {
      this._doubleClickSupport.mousedown(event);
    }
    if (!this._allowMouseEvent(event)) {
      return;
    }
    // When the action is clicked the user wants to execute the action and not see the tooltip -> cancel the task
    // If it is already displayed it will stay
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$container);
    // If menu has childActions, a popup should be rendered on click. To create
    // the impression of a faster UI, open the popup already on 'mousedown', not
    // on 'click'. All other actions are handled on 'click'.
    if (event.type === 'mousedown' && this._doActionTogglesPopup()) {
      this.doAction();
    } else if ((event.type === 'click' || event.type === 'contextmenu') && !this._doActionTogglesPopup()) {
      this.doAction();
    }
  }
  /**
   * May be overridden if the criteria to open a popup differs
   */
  _doActionTogglesPopup() {
    return this.childActions.length > 0;
  }
  _renderChildActions() {
    // Child action in a sub menu cannot be replaced dynamically, popup has to be closed first.
    if (!this.rendering) {
      this._renderSubMenuIcon();
    }
  }
  setSubMenuVisibility(subMenuVisibility) {
    this.setProperty('subMenuVisibility', subMenuVisibility);
  }
  _renderSubMenuVisibility() {
    this._renderSubMenuIcon();
  }
  _renderSubMenuIcon() {
    let visible = false;
    // calculate visibility of sub-menu icon
    if (this.childActions.length > 0) {
      switch (this.subMenuVisibility) {
        case Menu.SubMenuVisibility.DEFAULT:
          visible = this._hasText();
          break;
        case Menu.SubMenuVisibility.TEXT_OR_ICON:
          visible = this._hasText() || !!this.iconId;
          break;
        case Menu.SubMenuVisibility.ALWAYS:
          visible = true;
          break;
        case Menu.SubMenuVisibility.NEVER:
          visible = false;
          break;
      }
    }
    if (visible) {
      if (!this.$submenuIcon) {
        let icon = _index__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(Menu.SUBMENU_ICON);
        this.$submenuIcon = this.$container.appendSpan('submenu-icon').text(icon.iconCharacter);
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(this.$submenuIcon, true);
        this.invalidateLayoutTree();
      }
    } else {
      if (this.$submenuIcon) {
        this.$submenuIcon.remove();
        this.$submenuIcon = null;
        this.invalidateLayoutTree();
      }
    }
    if (!this.rendering) {
      this._renderTextPosition();
      this._updateIconAndTextStyle();
    }
  }
  _renderText() {
    super._renderText();
    this.$container.toggleClass('has-text', _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.text) && this.textVisible);
    if (!this.rendering) {
      this._renderSubMenuIcon();
    }
    this.invalidateLayoutTree();
  }
  _renderTextPosition() {
    super._renderTextPosition();
    let $parent = this.$container;
    if (this.textPosition === _index__WEBPACK_IMPORTED_MODULE_0__.Action.TextPosition.BOTTOM && this.$text && this.iconId) {
      // Move submenu icon into text
      $parent = this.$text;
    }
    if (this.$submenuIcon) {
      // Always append to make sure submenu-icon is the last element in the DOM
      this.$submenuIcon.appendTo($parent);
    }
  }
  _renderIconId() {
    super._renderIconId();
    this.$container.toggleClass('has-icon', !!this.iconId);
    if (!this.rendering) {
      this._renderSubMenuIcon();
    }
    this.invalidateLayoutTree();
  }
  isTabTarget() {
    return this.enabledComputed && this.visible && !this.overflown && (this.isButton() || !this.separator) && (!this.parentMenu || this.parentMenu.visible && !this.parentMenu.overflown); // Necessary for ComboMenu -> must return false if ComboMenu (parentMenu) is not shown
  }
  recomputeEnabled(parentEnabled) {
    if (parentEnabled === undefined) {
      parentEnabled = this._getInheritedAccessibility();
    }
    let enabledComputed;
    let enabledStateForChildren;
    if (this.enabled && this.inheritAccessibility && !parentEnabled && this.childActions.length > 0) {
      // the enabledComputed state here depends on the child actions:
      // - if there are childActions which have inheritAccessibility=false (recursively): this action must be enabledComputed=true so that these children can be reached
      // - otherwise this menu is set to enabledComputed=false
      enabledComputed = this._hasAccessibleChildMenu();
      if (enabledComputed) {
        // this composite menu is only active because it has children with inheritAccessibility=true
        // but child-menus should consider the container parent instead, otherwise all children would be enabled (because this composite menu is enabled now)
        enabledStateForChildren = parentEnabled;
      } else {
        enabledStateForChildren = false;
      }
    } else {
      enabledComputed = this._computeEnabled(this.inheritAccessibility, parentEnabled);
      enabledStateForChildren = enabledComputed;
    }
    this._updateEnabledComputed(enabledComputed, enabledStateForChildren);
  }
  /**
   * Calculates the inherited enabled state of this menu. This is the enabled state of the next relevant parent.
   * A relevant parent is either
   * - the next parent menu with inheritAccessibility=false
   * - or the container of the menu (the parent of the root menu)
   *
   * The enabled state of the container must be used because the parent menu might be a menu which is only enabled because it has children with inheritAccessibility=false.
   * One exception: if a parent menu itself is inheritAccessibility=false. Then the container is not relevant anymore but this parent is taken instead.
   */
  _getInheritedAccessibility() {
    let menu = this;
    let rootMenu = menu;
    while (menu) {
      if (!menu.inheritAccessibility) {
        // not inherited. no need to check any more parent widgets
        return menu.enabled; /* do not use enabledComputed here because the parents have no effect */
      }
      rootMenu = menu;
      menu = menu.parentMenu;
    }
    let container = rootMenu.parent;
    if (container && container.initialized && container.enabledComputed !== undefined) {
      return container.enabledComputed;
    }
    return true;
  }
  _findRootMenu() {
    let menu = this;
    let result;
    while (menu) {
      result = menu;
      menu = menu.parentMenu;
    }
    return result;
  }
  _hasAccessibleChildMenu() {
    let childFound = false;
    this.visitChildMenus(child => {
      if (!child.inheritAccessibility && child.enabled /* do not use enabledComputed here */ && child.visible) {
        childFound = true;
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.CONTINUE;
    });
    return childFound;
  }
  /**
   * cannot use Widget#visitChildren() here because the child actions are not always part of the children collection
   * e.g. for ellipsis menus which declare childActions as 'PreserveOnPropertyChangeProperties'. this means the childActions are not automatically added to the children list even it is a widget property!
   */
  visitChildMenus(visitor) {
    for (let i = 0; i < this.childActions.length; i++) {
      let child = this.childActions[i];
      if (child instanceof Menu) {
        let treeVisitResult = visitor(child);
        if (treeVisitResult === true || treeVisitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
          // Visitor wants to abort the visiting
          return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
        } else if (treeVisitResult !== _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE) {
          treeVisitResult = child.visitChildMenus(visitor);
          if (treeVisitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
            return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
          }
        }
      }
    }
  }
  _hasText() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.text) && this.textVisible;
  }
  _updateIconAndTextStyle() {
    let hasText = this._hasText();
    let hasTextAndIcon = !!(hasText && this.iconId);
    let hasIcon = !!this.iconId;
    let hasSubMenuIcon = !!this.$submenuIcon;
    let hasOneIcon = hasIcon && !hasSubMenuIcon || !hasIcon && hasSubMenuIcon;
    this.$container.toggleClass('menu-textandicon', hasTextAndIcon);
    this.$container.toggleClass('menu-icononly', !hasText && hasOneIcon);
  }
  /** @internal */
  _closePopup() {
    if (this.popup && !this.popup.isRemovalPending()) {
      this.popup.close();
    }
  }
  _canOpenPopup() {
    if (this.popup && this.popup.isRemovalPending()) {
      // If the popup should be opened while it is being removed, the popup needs to be removed immediately before it can be opened (the remove animation won't complete).
      // This is necessary to always have a consistent state between menu and popup (e.g. if menu is selected while the popup is removed).
      // The popup will be null afterwards (due to the destroy handler added by openPopup)
      this.popup.removeImmediately();
    }
    if (this.popup) {
      // already open
      return false;
    }
    // Recheck if opening is still possible (maybe destroying the popup changed that, e.g. form of form menu was set to null)
    if (!this._doActionTogglesPopup()) {
      return false;
    }
    return true;
  }
  _openPopup() {
    if (!this._canOpenPopup()) {
      return;
    }
    this.popup = this._createPopup();
    this.popup.open();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithControls(this.$container, this.popup.$container);
    this.popup.one('destroy', event => {
      this.popup = null;
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeControls(this.$container);
    });
    // Unselect on close which comes earlier than destroy (before the animation), to give more immediate feedback
    this.popup.on('close', event => {
      this.setSelected(false);
    });
    if (this.uiCssClass) {
      this.popup.$container.addClass(this.uiCssClass);
    }
  }
  _createPopup() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBarPopup, {
      parent: this,
      menu: this,
      menuFilter: this.menuFilter,
      horizontalAlignment: this.popupHorizontalAlignment,
      verticalAlignment: this.popupVerticalAlignment
    });
  }
  _createActionKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.MenuKeyStroke(this);
  }
  isToggleAction() {
    return this.childActions.length > 0 || this.toggleAction;
  }
  isButton() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON === this.actionStyle;
  }
  insertChildAction(actionsToInsert) {
    this.insertChildActions([actionsToInsert]);
  }
  insertChildActions(actionsToInsert) {
    actionsToInsert = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(actionsToInsert);
    if (actionsToInsert.length === 0) {
      return;
    }
    let actions = this.childActions;
    this.setChildActions(actions.concat(actionsToInsert));
  }
  deleteChildAction(actionToDelete) {
    this.deleteChildActions([actionToDelete]);
  }
  deleteChildActions(actionsToDelete) {
    actionsToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(actionsToDelete);
    if (actionsToDelete.length === 0) {
      return;
    }
    let actions = this.childActions.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(actions, actionsToDelete);
    this.setChildActions(actions);
  }
  setChildActions(childActions) {
    this.setProperty('childActions', childActions);
  }
  _setChildActions(childActions) {
    // disconnect existing
    this.childActions.forEach(childAction => {
      childAction.parentMenu = null;
    });
    this._setProperty('childActions', childActions);
    // connect new actions
    this.childActions.forEach(childAction => {
      childAction.parentMenu = this;
    });
    if (this.initialized) {
      this.recomputeEnabled();
    }
  }
  _setInheritAccessibility(inheritAccessibility) {
    let changed = this._setProperty('inheritAccessibility', inheritAccessibility);
    if (changed) {
      this._recomputeEnabledInMenuHierarchy();
    }
  }
  _setEnabled(enabled) {
    let changed = this._setProperty('enabled', enabled);
    if (changed) {
      this._recomputeEnabledInMenuHierarchy();
    }
  }
  _setVisible(visible) {
    let changed = this._setProperty('visible', visible);
    if (changed) {
      this._recomputeEnabledInMenuHierarchy();
    }
  }
  _recomputeEnabledInMenuHierarchy() {
    if (!this.initialized) {
      return;
    }
    let rootMenu = this._findRootMenu();
    rootMenu.recomputeEnabled();
    if (rootMenu !== this) {
      // necessary in case this menu or a parent menu has inheritAccessibility=false. Because then this menu and its children are skipped in the line above!
      this.recomputeEnabled();
    }
  }
  setSelected(selected) {
    if (selected === this.selected) {
      return;
    }
    super.setSelected(selected);
    if (!this._doActionTogglesSubMenu() && !this._doActionTogglesPopup()) {
      return;
    }
    // If menu toggles a popup and is in an ellipsis menu which is not selected it needs a special treatment
    if (this.overflowMenu && !this.overflowMenu.selected) {
      this._handleSelectedInEllipsis();
    }
  }
  _handleSelectedInEllipsis() {
    // If the selection toggles a popup, open the ellipsis menu as well, otherwise the popup would not be shown
    if (this.selected) {
      this.overflowMenu.setSelected(true);
    }
  }
  setStackable(stackable) {
    this.setProperty('stackable', stackable);
  }
  _renderStackable() {
    this.invalidateLayoutTree();
  }
  setShrinkable(shrinkable) {
    this.setProperty('shrinkable', shrinkable);
  }
  _renderShrinkable() {
    this.invalidateLayoutTree();
  }
  _renderOverflown() {
    super._renderOverflown();
    this._renderActionStyle();
  }
  setMenuTypes(menuTypes) {
    this.setProperty('menuTypes', menuTypes);
  }
  setMenuStyle(menuStyle) {
    this.setProperty('menuStyle', menuStyle);
  }
  _renderMenuStyle() {
    this.$container.toggleClass('default', this.menuStyle === Menu.MenuStyle.DEFAULT);
  }
  setDefaultMenu(defaultMenu) {
    this.setProperty('defaultMenu', defaultMenu);
  }
  setMenuFilter(menuFilter) {
    this.setProperty('menuFilter', menuFilter);
    this.childActions.forEach(child => child.setMenuFilter(menuFilter));
  }
  clone(model, options) {
    let clone = super.clone(model, options);
    this._deepCloneProperties(clone, 'childActions', options);
    clone._setChildActions(clone.childActions);
    return clone;
  }
  focus() {
    let event = this.trigger('focus');
    if (!event.defaultPrevented) {
      return super.focus();
    }
    return false;
  }
}
_defineProperty(Menu, "SUBMENU_ICON", _index__WEBPACK_IMPORTED_MODULE_0__.icons.ANGLE_DOWN_BOLD);
/**
 * Special styles of the menu, calculated by the MenuBar. The default value is MenuStyle.NONE.
 */
_defineProperty(Menu, "MenuStyle", {
  NONE: 0,
  DEFAULT: 1
});
_defineProperty(Menu, "SubMenuVisibility", {
  /**
   * Default: sub-menu icon is only visible when menu has text.
   */
  DEFAULT: 'default',
  /**
   * Text or icon: sub-menu icon is only visible when menu has text or an icon.
   */
  TEXT_OR_ICON: 'textOrIcon',
  /**
   * Always: sub-menu icon is always visible when menu has child-actions.
   */
  ALWAYS: 'always',
  /**
   * Never: sub-menu icon never visible.
   */
  NEVER: 'never'
});

/***/ }),

/***/ "./src/menu/MenuAdapter.ts":
/*!*********************************!*\
  !*** ./src/menu/MenuAdapter.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuAdapter: () => (/* binding */ MenuAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter {}

/***/ }),

/***/ "./src/menu/MenuDestinations.ts":
/*!**************************************!*\
  !*** ./src/menu/MenuDestinations.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuDestinations: () => (/* binding */ MenuDestinations)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var MenuDestinations;
(function (MenuDestinations) {
  MenuDestinations[MenuDestinations["MENU_BAR"] = 1] = "MENU_BAR";
  MenuDestinations[MenuDestinations["CONTEXT_MENU"] = 2] = "CONTEXT_MENU";
  MenuDestinations[MenuDestinations["HEADER"] = 3] = "HEADER";
})(MenuDestinations || (MenuDestinations = {}));

/***/ }),

/***/ "./src/menu/MenuEventMap.ts":
/*!**********************************!*\
  !*** ./src/menu/MenuEventMap.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/MenuExecByNumberKeyStroke.ts":
/*!***********************************************!*\
  !*** ./src/menu/MenuExecByNumberKeyStroke.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuExecByNumberKeyStroke: () => (/* binding */ MenuExecByNumberKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuExecByNumberKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationExecKeyStroke {
  constructor(popup, menuItemClass) {
    super(popup, menuItemClass);
    this._menuItemClass = menuItemClass;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys[1], _index__WEBPACK_IMPORTED_MODULE_0__.keys[2], _index__WEBPACK_IMPORTED_MODULE_0__.keys[3], _index__WEBPACK_IMPORTED_MODULE_0__.keys[4], _index__WEBPACK_IMPORTED_MODULE_0__.keys[5], _index__WEBPACK_IMPORTED_MODULE_0__.keys[6], _index__WEBPACK_IMPORTED_MODULE_0__.keys[7], _index__WEBPACK_IMPORTED_MODULE_0__.keys[8], _index__WEBPACK_IMPORTED_MODULE_0__.keys[9]];
    this.renderingHints.render = true;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => event.$menuItem;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes._findMenuItems(this.field, this._menuItemClass);
    let index = _index__WEBPACK_IMPORTED_MODULE_0__.keys.codesToKeys[event.which];
    event.$menuItem = menuItems.$allVisible.eq(index - 1);
    if (event.$menuItem.length > 0) {
      return true;
    }
    return false;
  }
  handle(event) {
    event.$menuItem.data('widget').doAction();
  }
}

/***/ }),

/***/ "./src/menu/MenuExecKeyStroke.ts":
/*!***************************************!*\
  !*** ./src/menu/MenuExecKeyStroke.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuExecKeyStroke: () => (/* binding */ MenuExecKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuExecKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionExecKeyStroke {
  constructor(menu) {
    super(menu);
    this.renderingHints.offset = 16;
  }
}

/***/ }),

/***/ "./src/menu/MenuItemsOrder.ts":
/*!************************************!*\
  !*** ./src/menu/MenuItemsOrder.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuItemsOrder: () => (/* binding */ MenuItemsOrder)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuItemsOrder {
  constructor(session, objectType, defaultMenuTypes) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "emptySpaceTypes", void 0);
    _defineProperty(this, "selectionTypes", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    this.session = session;
    this.objectType = objectType;
    this.defaultMenuTypes = defaultMenuTypes;
    this.emptySpaceTypes = ['EmptySpace'];
    this.selectionTypes = ['SingleSelection', 'MultiSelection'];
  }
  order(items) {
    let buttons = [],
      emptySpaceItems = [],
      selectionItems = [],
      rightItems = [];
    let isEmptySpaceMenuVisible = false,
      isSelectionMenuVisible = false;
    items.forEach(item => {
      // skip separators added dynamically by this class
      if (item.createdBy === this) {
        return;
      }
      if (item.isButton()) {
        buttons.push(item);
      } else if (item.horizontalAlignment === 1) {
        rightItems.push(item);
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.menus.checkType(item, this._menuTypes(this.emptySpaceTypes), this.defaultMenuTypes)) {
        if (item.visible) {
          isEmptySpaceMenuVisible = true;
        }
        emptySpaceItems.push(item);
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.menus.checkType(item, this._menuTypes(this.selectionTypes), this.defaultMenuTypes)) {
        if (item.visible) {
          isSelectionMenuVisible = true;
        }
        selectionItems.push(item);
      }
    });
    // add fixed separator between emptySpace and selection
    if (isEmptySpaceMenuVisible && isSelectionMenuVisible) {
      emptySpaceItems.push(this._createSeparator());
    }
    return {
      left: buttons.concat(emptySpaceItems, selectionItems),
      right: rightItems,
      all: buttons.concat(emptySpaceItems, selectionItems).concat(rightItems)
    };
  }
  _menuTypes(types) {
    let menuTypes = [];
    types = types || [];
    for (let i = 0; i < types.length; i++) {
      menuTypes.push(this.objectType + '.' + types[i]);
    }
    return menuTypes;
  }
  /**
   * The separator here does not exist in the model delivered by the server-side client.
   * The createdBy property is added to the model to find and destroy items added by the UI later.
   */
  _createSeparator() {
    let separator = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this.menuBar,
      separator: true
    });
    separator.createdBy = this;
    return separator;
  }
}

/***/ }),

/***/ "./src/menu/MenuKeyStroke.ts":
/*!***********************************!*\
  !*** ./src/menu/MenuKeyStroke.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuKeyStroke: () => (/* binding */ MenuKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionKeyStroke {
  constructor(action) {
    super(action);
  }
  _isEnabled() {
    if (this.field.excludedByFilter) {
      return false;
    }
    return super._isEnabled();
  }
}

/***/ }),

/***/ "./src/menu/MenuModel.ts":
/*!*******************************!*\
  !*** ./src/menu/MenuModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/MenuNavigationDownKeyStroke.ts":
/*!*************************************************!*\
  !*** ./src/menu/MenuNavigationDownKeyStroke.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuNavigationDownKeyStroke: () => (/* binding */ MenuNavigationDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuNavigationDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationKeyStroke {
  constructor(popup, menuItemClass) {
    super(popup);
    this._menuItemClass = menuItemClass;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.render = false;
  }
  handle(event) {
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes._findMenuItems(this.field, this._menuItemClass);
    if (menuItems.$selected.length > 0) {
      this._changeSelection(menuItems.$selected, menuItems.$selected.nextAll(':visible').first());
    } else {
      this._changeSelection(menuItems.$selected, menuItems.$allVisible.first());
    }
  }
}

/***/ }),

/***/ "./src/menu/MenuNavigationExecKeyStroke.ts":
/*!*************************************************!*\
  !*** ./src/menu/MenuNavigationExecKeyStroke.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuNavigationExecKeyStroke: () => (/* binding */ MenuNavigationExecKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuNavigationExecKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationKeyStroke {
  constructor(popup, menuItemClass) {
    super(popup);
    this._menuItemClass = menuItemClass;
    this.stopImmediatePropagation = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.renderingHints.render = false;
  }
  handle(event) {
    let $menuItem = _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes._findMenuItems(this.field, this._menuItemClass).$selected;
    if ($menuItem.length > 0) {
      $menuItem.data('widget').doAction();
    }
  }
}

/***/ }),

/***/ "./src/menu/MenuNavigationKeyStroke.ts":
/*!*********************************************!*\
  !*** ./src/menu/MenuNavigationKeyStroke.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuNavigationKeyStroke: () => (/* binding */ MenuNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(popup) {
    super();
    _defineProperty(this, "_menuItemClass", void 0);
    this.field = popup;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted || this.field.bodyAnimating) {
      return false;
    }
    return accepted;
  }
  _changeSelection($oldItem, $newItem) {
    if ($newItem.length === 0) {
      // do not change selection
      return;
    }
    $newItem.select(true).focus();
    if (this.field.updateNextToSelected) {
      this.field.updateNextToSelected(this._menuItemClass, $newItem);
    }
    if ($oldItem.length > 0) {
      $oldItem.select(false);
    }
  }
}

/***/ }),

/***/ "./src/menu/MenuNavigationUpKeyStroke.ts":
/*!***********************************************!*\
  !*** ./src/menu/MenuNavigationUpKeyStroke.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuNavigationUpKeyStroke: () => (/* binding */ MenuNavigationUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuNavigationUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationKeyStroke {
  constructor(popup, menuItemClass) {
    super(popup);
    this._menuItemClass = menuItemClass;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.render = false;
  }
  handle(event) {
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes._findMenuItems(this.field, this._menuItemClass);
    if (menuItems.$selected.length > 0) {
      this._changeSelection(menuItems.$selected, menuItems.$selected.prevAll(':visible').first());
    } else {
      this._changeSelection(menuItems.$selected, menuItems.$allVisible.last());
    }
  }
}

/***/ }),

/***/ "./src/menu/SubCloseKeyStroke.ts":
/*!***************************************!*\
  !*** ./src/menu/SubCloseKeyStroke.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SubCloseKeyStroke: () => (/* binding */ SubCloseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SubCloseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationExecKeyStroke {
  constructor(popup, menuItemClass) {
    super(popup, menuItemClass);
    this._menuItemClass = menuItemClass;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.BACKSPACE];
    this.renderingHints.render = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => event.$menuItem;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.menuNavigationKeyStrokes._findMenuItems(this.field, this._menuItemClass + '.expanded');
    if (menuItems.$all.length > 0) {
      event.$menuItem = menuItems.$all;
      return true;
    }
    return false;
  }
  handle(event) {
    event.$menuItem.data('widget').doAction();
  }
}

/***/ }),

/***/ "./src/menu/form/field/FormFieldMenu.ts":
/*!**********************************************!*\
  !*** ./src/menu/form/field/FormFieldMenu.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldMenu: () => (/* binding */ FormFieldMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Menu {
  constructor() {
    super();
    _defineProperty(this, "field", void 0);
    this._addWidgetProperties('field');
  }
  _render() {
    this.$container = this.$parent.appendDiv('menu-item');
    this.$container.addClass('form-field-menu');
    if (this.uiCssClass) {
      this.$container.addClass(this.uiCssClass);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ColumnLayout({
      stretch: false
    }));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderField();
  }
  _renderText() {
    super._renderText();
    if (this.field && this.field.rendered && this.$text) {
      this.field.$container.insertAfter(this.$text);
    }
  }
  setField(field) {
    this.setProperty('field', field);
  }
  _renderField() {
    if (this.field) {
      // Use gridDataHints as "computed" gridData property, because FormFieldMenu
      // does not have a logical grid (see FormField._updateElementInnerAlignment()).
      this.field.gridData = _index__WEBPACK_IMPORTED_MODULE_0__.GridData.createFromHints(this.field, 1);
      this.field.render(this.$container);
      this.field.setLayoutData({
        widthHint: this.field.gridData.widthInPixel
      });
      this.field.$container.addClass('content');
    }
  }
  _removeField() {
    if (this.field) {
      this.field.remove();
    }
  }
  clone(model, options) {
    let clone = super.clone(model, options);
    this._deepCloneProperties(clone, ['field'], options);
    return clone;
  }
  isTabTarget() {
    return false;
  }
  _renderOverflown() {
    super._renderOverflown();
    if (this.field) {
      this.field._hideStatusMessage();
    }
  }
}

/***/ }),

/***/ "./src/menu/form/field/FormFieldMenuAdapter.ts":
/*!*****************************************************!*\
  !*** ./src/menu/form/field/FormFieldMenuAdapter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldMenuAdapter: () => (/* binding */ FormFieldMenuAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldMenuAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuAdapter {
  /** @internal */
  _postCreateWidget() {
    super._postCreateWidget();
    // Use grid data from server as hints
    if (this.widget.field) {
      this.widget.field.gridDataHints = new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(this.widget.field.gridData);
    }
  }
}

/***/ }),

/***/ "./src/menu/form/field/FormFieldMenuEventMap.ts":
/*!******************************************************!*\
  !*** ./src/menu/form/field/FormFieldMenuEventMap.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/form/field/FormFieldMenuModel.ts":
/*!***************************************************!*\
  !*** ./src/menu/form/field/FormFieldMenuModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menuNavigationKeyStrokes.ts":
/*!**********************************************!*\
  !*** ./src/menu/menuNavigationKeyStrokes.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   menuNavigationKeyStrokes: () => (/* binding */ menuNavigationKeyStrokes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const menuNavigationKeyStrokes = {
  registerKeyStrokes(keyStrokeContext, popup, menuItemClass) {
    keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationUpKeyStroke(popup, menuItemClass), new _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationDownKeyStroke(popup, menuItemClass), new _index__WEBPACK_IMPORTED_MODULE_0__.MenuNavigationExecKeyStroke(popup, menuItemClass), new _index__WEBPACK_IMPORTED_MODULE_0__.MenuExecByNumberKeyStroke(popup, menuItemClass), new _index__WEBPACK_IMPORTED_MODULE_0__.SubCloseKeyStroke(popup, menuItemClass)]);
  },
  /** @internal */
  _findMenuItems(popup, menuItemClass) {
    return {
      $all: popup.$body.find('.' + menuItemClass),
      $allVisible: popup.$body.find('.' + menuItemClass + ':visible'),
      $selected: popup.$body.find('.' + menuItemClass + '.selected')
    };
  }
};

/***/ }),

/***/ "./src/menu/menubar/MenuBar.ts":
/*!*************************************!*\
  !*** ./src/menu/menubar/MenuBar.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBar: () => (/* binding */ MenuBar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "menuSorter", void 0);
    _defineProperty(this, "menuFilter", void 0);
    _defineProperty(this, "position", void 0);
    _defineProperty(this, "tabbable", void 0);
    _defineProperty(this, "menuboxLeft", void 0);
    _defineProperty(this, "menuboxRight", void 0);
    _defineProperty(this, "menuItems", void 0);
    // original list of menuItems that was passed to setMenuItems(), only used to check if menubar has changed
    _defineProperty(this, "orderedMenuItems", void 0);
    _defineProperty(this, "defaultMenu", void 0);
    _defineProperty(this, "ellipsisPosition", void 0);
    _defineProperty(this, "hiddenByUi", void 0);
    _defineProperty(this, "tabbableMenu", void 0);
    _defineProperty(this, "_menuItemPropertyChangeHandler", void 0);
    _defineProperty(this, "_focusHandler", void 0);
    _defineProperty(this, "_ellipsis", void 0);
    this.menuSorter = null;
    this.menuFilter = null;
    this.position = MenuBar.Position.TOP;
    this.tabbable = true;
    this.menuboxLeft = null;
    this.menuboxRight = null;
    this.menuItems = [];
    this.orderedMenuItems = {
      left: [],
      right: [],
      all: []
    };
    this.defaultMenu = null;
    this.ellipsisPosition = MenuBar.EllipsisPosition.RIGHT;
    this._menuItemPropertyChangeHandler = this._onMenuItemPropertyChange.bind(this);
    this._focusHandler = this._onMenuItemFocus.bind(this);
    this.hiddenByUi = false;
    this._addWidgetProperties('menuItems');
  }
  _init(options) {
    super._init(options);
    this.menuSorter = options.menuOrder || new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder();
    this.menuSorter.menuBar = this;
    if (options.menuFilter) {
      this.menuFilter = (menus, destination) => options.menuFilter(menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.MENU_BAR);
    }
    this.menuboxLeft = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBarBox, {
      parent: this,
      cssClass: 'left',
      tooltipPosition: this._oppositePosition()
    });
    this.menuboxRight = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBarBox, {
      parent: this,
      cssClass: 'right',
      tooltipPosition: this._oppositePosition()
    });
    this._setMenuItems(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.menuItems));
    this.updateVisibility();
  }
  _destroy() {
    super._destroy();
    this._detachMenuHandlers();
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLeftKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarRightKeyStroke(this)]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('menubar');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'menubar');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout(this));
    this.menuboxLeft.render(this.$container);
    this.menuboxRight.render(this.$container);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMenuItems();
    this._renderPosition();
  }
  setPosition(position) {
    this.setProperty('position', position);
  }
  _setPosition(position) {
    this._setProperty('position', position);
    this.menuboxLeft.setTooltipPosition(this._oppositePosition());
    this.menuboxRight.setTooltipPosition(this._oppositePosition());
  }
  _renderPosition() {
    this.$container.toggleClass('bottom', this.position === MenuBar.Position.BOTTOM);
  }
  _oppositePosition() {
    return this.position === MenuBar.Position.TOP ? MenuBar.Position.BOTTOM : MenuBar.Position.TOP;
  }
  setEllipsisPosition(ellipsisPosition) {
    this.setProperty('ellipsisPosition', ellipsisPosition);
  }
  /**
   * Set the filter of the menu bar to all the menu items.
   */
  _setChildMenuFilters() {
    this.orderedMenuItems.all.forEach(item => item.setMenuFilter(this.menuFilter));
  }
  /**
   * This function can be called multiple times. The function attaches the menu handlers only if they are not yet added.
   */
  _attachMenuHandlers() {
    this.orderedMenuItems.all.forEach(item => {
      if (item.events.count('propertyChange', this._menuItemPropertyChangeHandler) === 0) {
        item.on('propertyChange', this._menuItemPropertyChangeHandler);
      }
      if (item.events.count('focus', this._focusHandler) === 0) {
        item.on('focus', this._focusHandler);
      }
    });
  }
  _detachMenuHandlers() {
    this.orderedMenuItems.all.forEach(item => {
      item.off('propertyChange', this._menuItemPropertyChangeHandler);
      item.off('focus', this._focusHandler);
    });
  }
  setMenuItems(menuOrModels) {
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menuOrModels);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this.menuItems, menuItems)) {
      // Ensure existing menus are correctly linked even if the given menuItems are the same (see TableSpec for reasons)
      this.menuboxRight.link(this.menuboxRight.menuItems);
      this.menuboxLeft.link(this.menuboxLeft.menuItems);
      return;
    }
    this.setProperty('menuItems', menuItems);
  }
  _setMenuItems(menuItems, rightFirst) {
    // remove property listeners of old menu items.
    this._detachMenuHandlers();
    this.orderedMenuItems = this._createOrderedMenus(menuItems);
    if (rightFirst) {
      this.menuboxRight.setMenuItems(this.orderedMenuItems.right);
      this.menuboxLeft.setMenuItems(this.orderedMenuItems.left);
    } else {
      this.menuboxLeft.setMenuItems(this.orderedMenuItems.left);
      this.menuboxRight.setMenuItems(this.orderedMenuItems.right);
    }
    this._setChildMenuFilters();
    this._attachMenuHandlers();
    this.updateVisibility();
    this.updateDefaultMenu();
    this._setProperty('menuItems', menuItems);
  }
  _renderMenuItems() {
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.menuItems);
    this.updateLeftOfButtonMarker();
    this.invalidateLayoutTree();
  }
  _removeMenuItems() {
    // NOP: by implementing this function we avoid the call to Widget.js#_internalRemoveWidgets
    // which would remove our menuItems, because they are defined as widget-property (see constructor).
  }
  _createOrderedMenus(menuItems) {
    let orderedMenuItems = this.menuSorter.order(menuItems),
      ellipsisIndex = -1,
      ellipsis;
    orderedMenuItems.right.forEach(item => {
      item.rightAligned = true;
    });
    if (orderedMenuItems.all.length > 0) {
      if (this._ellipsis) {
        // Disconnect existing child actions from ellipsis menu
        this._ellipsis.setChildActions([]);
        this._ellipsis.destroy();
      }
      ellipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.EllipsisMenu, {
        parent: this,
        cssClass: 'overflow-menu-item'
      });
      this._ellipsis = ellipsis;
      // add ellipsis to the correct position
      if (this.ellipsisPosition === MenuBar.EllipsisPosition.RIGHT) {
        // try right
        let reverseIndexPosition = this._getFirstStackableIndexPosition(orderedMenuItems.right.slice().reverse());
        if (reverseIndexPosition > -1) {
          ellipsisIndex = orderedMenuItems.right.length - reverseIndexPosition;
          ellipsis.rightAligned = true;
          orderedMenuItems.right.splice(ellipsisIndex, 0, ellipsis);
        } else {
          // try left
          reverseIndexPosition = this._getFirstStackableIndexPosition(orderedMenuItems.left.slice().reverse());
          if (reverseIndexPosition > -1) {
            ellipsisIndex = orderedMenuItems.left.length - reverseIndexPosition;
            orderedMenuItems.left.splice(ellipsisIndex, 0, ellipsis);
          }
        }
      } else {
        // try left
        ellipsisIndex = this._getFirstStackableIndexPosition(orderedMenuItems.left);
        if (ellipsisIndex > -1) {
          orderedMenuItems.left.splice(ellipsisIndex, 0, ellipsis);
        } else {
          // try right
          ellipsisIndex = this._getFirstStackableIndexPosition(orderedMenuItems.right);
          if (ellipsisIndex > -1) {
            ellipsis.rightAligned = true;
            orderedMenuItems.right.splice(ellipsisIndex, 0, ellipsis);
          }
        }
      }
      orderedMenuItems.all = orderedMenuItems.left.concat(orderedMenuItems.right);
    }
    return orderedMenuItems;
  }
  _getFirstStackableIndexPosition(menuList) {
    let foundIndex = -1;
    menuList.some((menu, index) => {
      if (menu.stackable && menu.visible) {
        foundIndex = index;
        return true;
      }
      return false;
    });
    return foundIndex;
  }
  _updateTabbableMenu() {
    // Make first valid MenuItem tabbable so that it can be focused. All other items
    // are not tabbable. But they can be selected with the arrow keys.
    if (this.tabbable) {
      if (this.defaultMenu && this.defaultMenu.isTabTarget()) {
        this.setTabbableMenu(this.defaultMenu);
      } else {
        this.setTabbableMenu(this.allMenusAsFlatList().find(item => item.isTabTarget()));
      }
    }
  }
  setTabbableMenu(menu) {
    if (!this.tabbable || menu === this.tabbableMenu) {
      return;
    }
    if (this.tabbableMenu) {
      this.tabbableMenu.setTabbable(false);
    }
    this.tabbableMenu = menu;
    if (menu) {
      menu.setTabbable(true);
    }
  }
  /**
   * Sets the property hiddenByUi. This does not automatically update the visibility of the menus.
   * We assume that {@link updateVisibility} is called later anyway.
   * @internal
   */
  setHiddenByUi(hiddenByUi) {
    this.setProperty('hiddenByUi', hiddenByUi);
  }
  updateVisibility() {
    _index__WEBPACK_IMPORTED_MODULE_0__.menus.updateSeparatorVisibility(this.orderedMenuItems.left);
    _index__WEBPACK_IMPORTED_MODULE_0__.menus.updateSeparatorVisibility(this.orderedMenuItems.right);
    this.setVisible(!this.hiddenByUi && this.orderedMenuItems.all.some(m => m.visible && !m.ellipsis));
  }
  /**
   * First rendered item that is enabled and reacts to ENTER keystroke shall be marked as 'defaultMenu'
   *
   * @param updateTabbableMenu if true (default), the "tabbable menu" is updated at the end of this method.
   */
  updateDefaultMenu(updateTabbableMenu) {
    let defaultMenu = null;
    for (let i = 0; i < this.orderedMenuItems.all.length; i++) {
      let item = this.orderedMenuItems.all[i];
      if (!item.visible || !item.enabled || item.defaultMenu === false) {
        // Invisible or disabled menus and menus that explicitly have the "defaultMenu"
        // property set to false cannot be the default menu.
        continue;
      }
      if (item.defaultMenu) {
        defaultMenu = item;
        break;
      }
      if (!defaultMenu && this._isDefaultKeyStroke(item.actionKeyStroke)) {
        defaultMenu = item;
      }
    }
    this.setDefaultMenu(defaultMenu);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(updateTabbableMenu, true)) {
      this._updateTabbableMenu();
    }
  }
  _isDefaultKeyStroke(keyStroke) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER, keyStroke.which) && !keyStroke.ctrl && !keyStroke.alt && !keyStroke.shift;
  }
  setDefaultMenu(defaultMenu) {
    this.setProperty('defaultMenu', defaultMenu);
  }
  _setDefaultMenu(defaultMenu) {
    if (this.defaultMenu) {
      this.defaultMenu.setMenuStyle(_index__WEBPACK_IMPORTED_MODULE_0__.Menu.MenuStyle.NONE);
    }
    if (defaultMenu) {
      defaultMenu.setMenuStyle(_index__WEBPACK_IMPORTED_MODULE_0__.Menu.MenuStyle.DEFAULT);
    }
    this._setProperty('defaultMenu', defaultMenu);
  }
  /**
   * Add class 'left-of-button' to every menu item which is on the left of a button
   */
  updateLeftOfButtonMarker() {
    this._updateLeftOfButtonMarker(this.orderedMenuItems.left);
    this._updateLeftOfButtonMarker(this.orderedMenuItems.right);
  }
  _updateLeftOfButtonMarker(items) {
    let item, previousItem;
    items = items.filter(item => item.visible && item.rendered);
    for (let i = 0; i < items.length; i++) {
      item = items[i];
      item.$container.removeClass('left-of-button');
      if (i > 0 && item.isButton()) {
        previousItem = items[i - 1];
        previousItem.$container.addClass('left-of-button');
      }
    }
  }
  _onMenuItemPropertyChange(event) {
    // We do not update the items directly, because this listener may be fired many times in one
    // user request (because many menus change one or more properties). Therefore, we just invalidate
    // the MenuBarLayout. It will be updated automatically after the user request has finished,
    // because the layout calls rebuildItemsInternal().
    let source = event.source;
    if (event.propertyName === 'overflown' || event.propertyName === 'enabledComputed' || event.propertyName === 'visible' || event.propertyName === 'hidden') {
      if (!this.tabbableMenu || source === this.tabbableMenu) {
        this._updateTabbableMenu();
      }
    }
    if (event.propertyName === 'overflown' || event.propertyName === 'hidden') {
      if (!this.defaultMenu || source === this.defaultMenu) {
        this.updateDefaultMenu();
      }
    }
    if (event.propertyName === 'horizontalAlignment') {
      // reorder
      this.reorderMenus(event.newValue <= 0);
    }
    if (event.propertyName === 'visible') {
      let oldVisible = this.visible;
      this.updateVisibility();
      if (!oldVisible && this.visible) {
        // If the menubar was previously invisible (because all menus were invisible) but
        // is now visible, the menu-boxes and the menus have to be rendered now. Otherwise,
        // calculating the preferred size of the menubar, e.g. in the TableLayout, would
        // return the wrong value (even if the menubar itself is visible).
        this.revalidateLayout();
      }
      // recalculate position of ellipsis if any menu item changed visibility.
      // separators may change visibility during reordering menu items. Since separators do not have any
      // impact of right/left order of menu items they have not to be considered to enforce a reorder.
      if (!source.separator) {
        this.reorderMenus();
      }
    }
    if (event.propertyName === 'keyStroke' || event.propertyName === 'enabledComputed' || event.propertyName === 'defaultMenu' || event.propertyName === 'visible') {
      this.updateDefaultMenu();
    }
  }
  _onMenuItemFocus(event) {
    this.setTabbableMenu(event.source);
  }
  reorderMenus(rightFirst) {
    let menuItems = this.menuItems;
    this._setMenuItems(menuItems, rightFirst);
    if (this.rendered) {
      this.updateLeftOfButtonMarker();
    }
  }
  allMenusAsFlatList() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.flatTopLevelActions(this.orderedMenuItems.all);
  }
}
_defineProperty(MenuBar, "EllipsisPosition", {
  LEFT: 'left',
  RIGHT: 'right'
});
_defineProperty(MenuBar, "Position", {
  TOP: 'top',
  BOTTOM: 'bottom'
});

/***/ }),

/***/ "./src/menu/menubar/MenuBarBox.ts":
/*!****************************************!*\
  !*** ./src/menu/menubar/MenuBarBox.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarBox: () => (/* binding */ MenuBarBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBarBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "menuItems", void 0);
    _defineProperty(this, "tooltipPosition", void 0);
    this.menuItems = [];
    this.tooltipPosition = 'top';
    this._addWidgetProperties('menuItems');
  }
  _render() {
    this.$container = this.$parent.appendDiv('menubar-box');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'none'); // ignore this container, the menubar containing the menubarboxes is the menubar
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarBoxLayout(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMenuItems();
  }
  _remove() {
    this._removeMenuItems();
    super._remove();
  }
  setMenuItems(menuOrModels) {
    let menuItems = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menuOrModels);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this.menuItems, menuItems)) {
      this.setProperty('menuItems', menuItems);
    }
  }
  _setMenuItems(menuItems) {
    this._setProperty('menuItems', menuItems);
    this._updateTooltipPosition();
  }
  _removeMenuItems() {
    this.menuItems.forEach(item => item.remove());
  }
  _renderMenuItems() {
    this.menuItems.forEach(item => {
      item.render(this.$container);
      item.$container.addClass('menubar-item');
    });
    if (!this.rendering) {
      this.invalidateLayoutTree();
    }
  }
  _renderVisible() {
    super._renderVisible();
    this.revalidateLayout();
  }
  setTooltipPosition(position) {
    this.setProperty('tooltipPosition', position);
  }
  _setTooltipPosition(position) {
    this._setProperty('tooltipPosition', position);
    this._updateTooltipPosition();
  }
  _updateTooltipPosition() {
    this.menuItems.forEach(item => item.setTooltipPosition(this.tooltipPosition));
  }
}

/***/ }),

/***/ "./src/menu/menubar/MenuBarBoxEventMap.ts":
/*!************************************************!*\
  !*** ./src/menu/menubar/MenuBarBoxEventMap.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubar/MenuBarBoxLayout.ts":
/*!**********************************************!*\
  !*** ./src/menu/menubar/MenuBarBoxLayout.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarBoxLayout: () => (/* binding */ MenuBarBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBarBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(menubox) {
    super();
    _defineProperty(this, "menubox", void 0);
    this.menubox = menubox;
  }
  layout($container) {
    // void since the menu items are floated inline block.
  }
  preferredLayoutSize($container, options) {
    let menuItemSize = null;
    return this.menubox.menuItems.filter(menuItem => !menuItem.overflown && menuItem.visible).reduce((prefSize, menuItem) => {
      menuItemSize = menuItem.htmlComp.prefSize({
        useCssSize: true,
        includeMargin: true
      });
      prefSize.height = Math.max(prefSize.height, menuItemSize.height);
      prefSize.width = Math.max(prefSize.width, menuItemSize.width);
      return prefSize;
    }, new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension());
  }
}

/***/ }),

/***/ "./src/menu/menubar/MenuBarBoxModel.ts":
/*!*********************************************!*\
  !*** ./src/menu/menubar/MenuBarBoxModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubar/MenuBarEventMap.ts":
/*!*********************************************!*\
  !*** ./src/menu/menubar/MenuBarEventMap.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubar/MenuBarLayout.ts":
/*!*******************************************!*\
  !*** ./src/menu/menubar/MenuBarLayout.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarLayout: () => (/* binding */ MenuBarLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBarLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(menuBar) {
    super();
    _defineProperty(this, "collapsed", void 0);
    _defineProperty(this, "_menuBar", void 0);
    _defineProperty(this, "_overflowMenuItems", void 0);
    this._menuBar = menuBar;
    this._overflowMenuItems = [];
    this.collapsed = false;
  }
  layout($container) {
    let menuItems = this._menuBar.orderedMenuItems.left.concat(this._menuBar.orderedMenuItems.right);
    let visibleMenuItems = this.visibleMenuItems();
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let ellipsis = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(menuItems, menuItem => menuItem.ellipsis);
    this._setFirstLastMenuMarker(visibleMenuItems); // is required to determine available size correctly
    this.preferredLayoutSize($container, {
      widthHint: htmlContainer.availableSize().width,
      undo: false
    });
    // first set visible to ensure the correct menu gets the tabindex. Therefore, the ellipsis visibility is split.
    if (ellipsis && this._overflowMenuItems.length > 0) {
      ellipsis.setHidden(false);
    }
    visibleMenuItems.forEach(menuItem => menuItem._setOverflown(false));
    this._overflowMenuItems.forEach(menuItem => menuItem._setOverflown(true));
    if (ellipsis && this._overflowMenuItems.length === 0) {
      ellipsis.setHidden(true);
    }
    // remove all separators
    this._overflowMenuItems = this._overflowMenuItems.filter(menuItem => !menuItem.separator);
    if (ellipsis) {
      ellipsis._closePopup();
      ellipsis.setChildActions(this._overflowMenuItems);
    }
    // trigger menu items layout
    visibleMenuItems.forEach(menuItem => menuItem.validateLayout());
    visibleMenuItems.forEach(menuItem => {
      // Make sure open popups are at the correct position after layouting
      if (menuItem.popup) {
        menuItem.popup.position();
      }
    });
  }
  preferredLayoutSize($container, options) {
    this._overflowMenuItems = [];
    if (!this._menuBar.visible) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    let visibleMenuItems = this.visibleMenuItems();
    let overflowMenuItems = visibleMenuItems.filter(menuItem => {
      let overflown = menuItem.overflown;
      menuItem._setOverflown(false);
      return overflown;
    });
    let shrunkMenuItems = visibleMenuItems.filter(menuItem => {
      let shrunk = !menuItem.textVisible;
      this.undoShrink([menuItem]);
      return shrunk;
    });
    let notShrunkMenuItems = [...visibleMenuItems];
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    let prefWidth = Number.MAX_VALUE;
    // consider avoid falsy 0 in tab-boxes a 0 withHint will be used to calculate the minimum width
    if (options.widthHint === 0 || options.widthHint) {
      prefWidth = options.widthHint - htmlComp.insets().horizontal();
    }
    if (prefWidth <= 0) {
      // shortcut for minimum size.
      prefSize = this._minSize(visibleMenuItems);
    } else {
      prefSize = this._prefSize(visibleMenuItems);
      if (prefSize.width > prefWidth) {
        this.shrink(visibleMenuItems);
      }
      prefSize = this._prefSizeWithOverflow(visibleMenuItems, prefWidth);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.undo, true)) {
      // Reset state
      this.undoOverflow(overflowMenuItems);
      this.undoShrink(notShrunkMenuItems);
      this.shrink(shrunkMenuItems);
    }
    return prefSize.add(htmlComp.insets());
  }
  /**
   * Moves menu items into _overflowMenuItems until {@link prefSize.width} is smaller than prefWidth.
   * The moved menu items will be removed from the given visibleMenuItems parameter.
   * @returns the calculated preferred size
   */
  _prefSizeWithOverflow(visibleMenuItems, prefWidth) {
    let overflowableIndexes = [];
    visibleMenuItems.forEach((menuItem, index) => {
      if (menuItem.stackable) {
        overflowableIndexes.push(index);
      }
    });
    let overflowIndex = -1;
    this._setFirstLastMenuMarker(visibleMenuItems);
    let prefSize = this._prefSize(visibleMenuItems);
    while (prefSize.width > prefWidth && overflowableIndexes.length > 0) {
      if (this._menuBar.ellipsisPosition === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.EllipsisPosition.RIGHT) {
        overflowIndex = overflowableIndexes.splice(-1)[0];
      } else {
        overflowIndex = overflowableIndexes.splice(0, 1)[0] - this._overflowMenuItems.length;
      }
      this._overflowMenuItems.splice(0, 0, visibleMenuItems[overflowIndex]);
      visibleMenuItems.splice(overflowIndex, 1);
      this._setFirstLastMenuMarker(visibleMenuItems);
      prefSize = this._prefSize(visibleMenuItems);
    }
    return prefSize;
  }
  _minSize(visibleMenuItems) {
    let minVisibleMenuItems = visibleMenuItems.filter(menuItem => !menuItem.stackable);
    this.shrink(visibleMenuItems);
    this._setFirstLastMenuMarker(minVisibleMenuItems, true);
    return this._prefSize(minVisibleMenuItems, true);
  }
  _prefSize(menuItems, considerEllipsis) {
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    considerEllipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerEllipsis, this._overflowMenuItems.length > 0);
    this._setFirstLastMenuMarker(menuItems, considerEllipsis);
    menuItems.forEach(menuItem => {
      let itemSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
      if (menuItem.ellipsis) {
        if (considerEllipsis) {
          itemSize = this._menuItemSize(menuItem);
        }
      } else {
        itemSize = this._menuItemSize(menuItem);
      }
      prefSize.height = Math.max(prefSize.height, itemSize.height);
      prefSize.width += itemSize.width;
    });
    return prefSize;
  }
  _menuItemSize(menuItem) {
    let classList = menuItem.$container.attr('class');
    menuItem.$container.removeClass('overflown');
    menuItem.$container.removeClass('hidden');
    menuItem.htmlComp.invalidateLayout();
    let prefSize = menuItem.htmlComp.prefSize({
      useCssSize: true,
      exact: true
    }).add(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(menuItem.$container));
    menuItem.$container.attrOrRemove('class', classList);
    return prefSize;
  }
  _setFirstLastMenuMarker(visibleMenuItems, considerEllipsis) {
    let menuItems = visibleMenuItems;
    considerEllipsis = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerEllipsis, this._overflowMenuItems.length > 0);
    // reset
    this._menuBar.orderedMenuItems.all.forEach(menuItem => menuItem.$container.removeClass('first last'));
    // set first and last
    if (!considerEllipsis) {
      // remove ellipsis
      menuItems = menuItems.filter(menuItem => !menuItem.ellipsis);
    }
    if (menuItems.length > 0) {
      menuItems[0].$container.addClass('first');
      menuItems[menuItems.length - 1].$container.addClass('last');
    }
  }
  undoOverflow(overflowMenuItems) {
    overflowMenuItems.forEach(menuItem => menuItem._setOverflown(true));
  }
  /**
   * Makes the text invisible of all shrinkable menus with an icon
   */
  shrink(menus) {
    menus.forEach(menu => {
      if (menu.textVisibleOrig !== undefined) {
        // already done
        return;
      }
      if (menu.shrinkable && menu.icon) {
        menu.textVisibleOrig = menu.textVisible;
        menu.htmlComp.suppressInvalidate = true;
        menu.setTextVisible(false);
        menu.htmlComp.suppressInvalidate = false;
      }
    });
  }
  undoShrink(menus) {
    menus.forEach(menu => {
      if (menu.textVisibleOrig === undefined) {
        return;
      }
      // Restore old text visible state
      menu.htmlComp.suppressInvalidate = true;
      menu.setTextVisible(menu.textVisibleOrig);
      menu.htmlComp.suppressInvalidate = false;
      menu.textVisibleOrig = undefined;
    });
  }
  visibleMenuItems() {
    return this._menuBar.orderedMenuItems.all.filter(menuItem => menuItem.visible);
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static size(htmlMenuBar, containerSize) {
    let menuBarSize = htmlMenuBar.prefSize({
      widthHint: containerSize.width
    });
    menuBarSize.width = containerSize.width;
    menuBarSize = menuBarSize.subtract(htmlMenuBar.margins());
    return menuBarSize;
  }
}

/***/ }),

/***/ "./src/menu/menubar/MenuBarLeftKeyStroke.ts":
/*!**************************************************!*\
  !*** ./src/menu/menubar/MenuBarLeftKeyStroke.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarLeftKeyStroke: () => (/* binding */ MenuBarLeftKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBarLeftKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(menuBar) {
    super();
    this.field = menuBar;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT];
    this.renderingHints.render = false;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  handle(event) {
    let menuItems = this.field.allMenusAsFlatList(),
      $menuItemFocused = this.field.$container.find(':focus'),
      i,
      menuItem,
      lastValidItem;
    for (i = 0; i < menuItems.length; i++) {
      menuItem = menuItems[i];
      if ($menuItemFocused[0] === menuItem.$container[0]) {
        if (lastValidItem) {
          this.field.setTabbableMenu(lastValidItem);
          lastValidItem.focus();
        }
        break;
      }
      if (menuItem.isTabTarget()) {
        lastValidItem = menuItem;
      }
    }
  }
}

/***/ }),

/***/ "./src/menu/menubar/MenuBarModel.ts":
/*!******************************************!*\
  !*** ./src/menu/menubar/MenuBarModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubar/MenuBarPopup.ts":
/*!******************************************!*\
  !*** ./src/menu/menubar/MenuBarPopup.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarPopup: () => (/* binding */ MenuBarPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * The MenuBarPopup is a special Popup that is used in the menu-bar. It is tightly coupled with a menu-item.
 */
class MenuBarPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup {
  constructor() {
    super();
    _defineProperty(this, "menu", void 0);
    this.menu = null;
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
  }
  _init(options) {
    options.anchor = options.menu;
    options.closeOnAnchorMouseDown = false;
    super._init(options);
  }
  _render() {
    super._render();
    this.$container.addClass('menu-bar-popup');
  }
  _getMenuItems() {
    return this.menu.childActions;
  }
}

/***/ }),

/***/ "./src/menu/menubar/MenuBarPopupModel.ts":
/*!***********************************************!*\
  !*** ./src/menu/menubar/MenuBarPopupModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubar/MenuBarRightKeyStroke.ts":
/*!***************************************************!*\
  !*** ./src/menu/menubar/MenuBarRightKeyStroke.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBarRightKeyStroke: () => (/* binding */ MenuBarRightKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBarRightKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(menuBar) {
    super();
    this.field = menuBar;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.renderingHints.render = false;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  handle(event) {
    let menuItems = this.field.allMenusAsFlatList(),
      $menuItemFocused = this.field.$container.find(':focus'),
      i,
      menuItem,
      focusNext = false;
    for (i = 0; i < menuItems.length; i++) {
      menuItem = menuItems[i];
      if (focusNext && menuItem.isTabTarget()) {
        this.field.setTabbableMenu(menuItem);
        menuItem.focus();
        break;
      }
      if ($menuItemFocused[0] === menuItem.$container[0]) {
        focusNext = true;
      }
    }
  }
}

/***/ }),

/***/ "./src/menu/menubox/MenuBox.ts":
/*!*************************************!*\
  !*** ./src/menu/menubox/MenuBox.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBox: () => (/* binding */ MenuBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "compactOrig", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "uiMenuCssClass", void 0);
    this.compact = false;
    this.menus = [];
    this.uiMenuCssClass = 'menu-box-item';
    this._addWidgetProperties('menus');
  }
  _init(options) {
    super._init(options);
    this._initMenus(this.menus);
  }
  _initMenus(menus) {
    menus.forEach(this._initMenu.bind(this));
  }
  _initMenu(menu) {
    menu.uiCssClass = this.uiMenuCssClass;
  }
  _render() {
    this.$container = this.$parent.appendDiv('menu-box');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'menubar');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.MenuBoxLayout(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderMenus();
    this._renderCompact();
  }
  setMenus(menus) {
    this.setProperty('menus', menus);
  }
  _renderMenus() {
    this.menus.forEach(menu => menu.render());
    this.invalidateLayoutTree();
  }
  _removeMenus() {
    this.menus.forEach(menu => menu.remove());
    this.invalidateLayoutTree();
  }
  setCompact(compact) {
    this.setProperty('compact', compact);
  }
  _renderCompact() {
    this.$container.toggleClass('compact', this.compact);
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/menu/menubox/MenuBoxEventMap.ts":
/*!*********************************************!*\
  !*** ./src/menu/menubox/MenuBoxEventMap.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menubox/MenuBoxLayout.ts":
/*!*******************************************!*\
  !*** ./src/menu/menubox/MenuBoxLayout.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuBoxLayout: () => (/* binding */ MenuBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MenuBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(menuBox) {
    super();
    _defineProperty(this, "menuBox", void 0);
    /** References to prevent too many DOM updates */
    _defineProperty(this, "firstMenu", void 0);
    _defineProperty(this, "lastMenu", void 0);
    _defineProperty(this, "_ellipsis", void 0);
    this.menuBox = menuBox;
    this.firstMenu = null;
    this.lastMenu = null;
  }
  layout($container) {
    let htmlContainer = this.menuBox.htmlComp,
      containerSize = htmlContainer.size(),
      menus = this.visibleMenus(),
      menusWidth = 0;
    // Make sure open popups are at the correct position after layouting
    this.menuBox.session.layoutValidator.schedulePostValidateFunction(() => {
      menus.forEach(menu => {
        if (menu.popup) {
          menu.popup.position();
        }
      });
    });
    this.updateFirstAndLastMenuMarker(menus);
    this.undoCollapse(menus);
    this.undoCompact(menus);
    this.undoShrink(menus);
    menusWidth = this.actualPrefSize(menus).width;
    if (menusWidth <= containerSize.width) {
      // OK, every menu fits into container
      return;
    }
    // Menus don't fit
    // First approach: Set menuBox into compact mode
    this.compact(menus);
    menusWidth = this.actualPrefSize(menus).width;
    if (menusWidth <= containerSize.width) {
      // OK, every menu fits into container
      return;
    }
    // Second approach: Make text invisible and only show the icon (if available)
    this.shrink(menus);
    menusWidth = this.actualPrefSize(menus).width;
    if (menusWidth <= containerSize.width) {
      // OK, every menu fits into container
      return;
    }
    // Third approach: Create ellipsis and move overflown menus into it
    this.collapse(containerSize, menusWidth);
  }
  preferredLayoutSize($container, options) {
    let menus = this.visibleMenus();
    this.updateFirstAndLastMenuMarker(menus);
    this.undoCollapse(menus);
    this.undoCompact(menus);
    this.undoShrink(menus);
    return this.actualPrefSize();
  }
  compact(menus) {
    if (this.menuBox.compactOrig === undefined) {
      this.menuBox.compactOrig = this.menuBox.compact;
      this.menuBox.htmlComp.suppressInvalidate = true;
      this.menuBox.setCompact(true);
      this.menuBox.htmlComp.suppressInvalidate = false;
    }
    this.compactMenus(menus);
  }
  undoCompact(menus) {
    if (this.menuBox.compactOrig !== undefined) {
      this.menuBox.htmlComp.suppressInvalidate = true;
      this.menuBox.setCompact(this.menuBox.compactOrig);
      this.menuBox.htmlComp.suppressInvalidate = false;
      this.menuBox.compactOrig = undefined;
    }
    this.undoCompactMenus(menus);
  }
  /**
   * Sets all menus into compact mode.
   */
  compactMenus(menus) {
    menus = menus || this.visibleMenus();
    menus.forEach(menu => {
      if (menu.compactOrig !== undefined) {
        // already done
        return;
      }
      menu.compactOrig = menu.compact;
      menu.htmlComp.suppressInvalidate = true;
      menu.setCompact(true);
      menu.htmlComp.suppressInvalidate = false;
    });
    if (this._ellipsis) {
      this._ellipsis.setCompact(true);
    }
  }
  /**
   * Restores to the previous state of the compact property.
   */
  undoCompactMenus(menus) {
    menus = menus || this.visibleMenus();
    menus.forEach(menu => {
      if (menu.compactOrig === undefined) {
        return;
      }
      // Restore old compact state
      menu.htmlComp.suppressInvalidate = true;
      menu.setCompact(menu.compactOrig);
      menu.htmlComp.suppressInvalidate = false;
      menu.compactOrig = undefined;
    });
    if (this._ellipsis) {
      this._ellipsis.setCompact(false);
    }
  }
  shrink(menus) {
    this.shrinkMenus(menus);
  }
  /**
   * Makes the text invisible of all menus with an icon.
   */
  shrinkMenus(menus) {
    menus = menus || this.visibleMenus();
    menus.forEach(menu => {
      if (menu.textVisibleOrig !== undefined) {
        // already done
        return;
      }
      if (menu.iconId) {
        menu.textVisibleOrig = menu.textVisible;
        menu.htmlComp.suppressInvalidate = true;
        menu.setTextVisible(false);
        menu.htmlComp.suppressInvalidate = false;
      }
    });
  }
  undoShrink(menus) {
    this.undoShrinkMenus(menus);
  }
  undoShrinkMenus(menus) {
    menus = menus || this.visibleMenus();
    menus.forEach(menu => {
      if (menu.textVisibleOrig === undefined) {
        return;
      }
      // Restore old text visible state
      menu.htmlComp.suppressInvalidate = true;
      menu.setTextVisible(menu.textVisibleOrig);
      menu.htmlComp.suppressInvalidate = false;
      menu.textVisibleOrig = undefined;
    });
  }
  collapse(containerSize, menusWidth) {
    this._createAndRenderEllipsis(this.menuBox.$container);
    let collapsedMenus = this._moveOverflowMenusIntoEllipsis(containerSize, menusWidth);
    this.updateFirstAndLastMenuMarker(collapsedMenus);
  }
  /**
   * Undoes the collapsing by removing ellipsis and rendering non rendered menus.
   */
  undoCollapse(menus) {
    menus = menus || this.visibleMenus();
    this._destroyEllipsis();
    this._removeMenusFromEllipsis(menus);
  }
  _createAndRenderEllipsis($container) {
    let ellipsis = _index__WEBPACK_IMPORTED_MODULE_0__.menus.createEllipsisMenu({
      parent: this.menuBox,
      hidden: false,
      compact: this.menuBox.compact
    });
    ellipsis.uiCssClass = this.menuBox.uiMenuCssClass;
    ellipsis.render($container);
    this._ellipsis = ellipsis;
  }
  _destroyEllipsis() {
    if (this._ellipsis) {
      this._ellipsis.destroy();
      this._ellipsis = null;
    }
  }
  /**
   * Moves every menu which doesn't fit into the container into the ellipsis menu.
   * Returns the list of "surviving" menus (with the ellipsis menu being the last element).
   */
  _moveOverflowMenusIntoEllipsis(containerSize, menusWidth) {
    let collapsedMenus = [this._ellipsis];
    let ellipsisSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this._ellipsis.$container, true);
    menusWidth += ellipsisSize.width;
    this.visibleMenus().slice().reverse().forEach(menu => {
      if (menusWidth > containerSize.width) {
        // Menu does not fit -> move to ellipsis menu
        let menuSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(menu.$container, true);
        menusWidth -= menuSize.width;
        _index__WEBPACK_IMPORTED_MODULE_0__.menus.moveMenuIntoEllipsis(menu, this._ellipsis);
      } else {
        collapsedMenus.unshift(menu); // add as first element
      }
    });
    return collapsedMenus;
  }
  _removeMenusFromEllipsis(menus) {
    menus = menus || this.visibleMenus();
    menus.forEach(menu => _index__WEBPACK_IMPORTED_MODULE_0__.menus.removeMenuFromEllipsis(menu, this.menuBox.$container));
  }
  actualPrefSize(menus) {
    menus = menus || this.visibleMenus();
    let menusWidth = this._menusWidth(menus);
    let prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this.menuBox.$container);
    prefSize.width = menusWidth + this.menuBox.htmlComp.insets().horizontal();
    return prefSize;
  }
  /**
   * @returns the current width of all menus incl. the ellipsis
   */
  _menusWidth(menus) {
    let menusWidth = 0;
    let size = menu => _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(menu.htmlComp.$comp, {
      includeMargin: true,
      exact: true
    });
    menus = menus || this.visibleMenus();
    menus.forEach(menu => {
      if (menu.rendered) {
        menusWidth += size(menu).width;
      }
    });
    if (this._ellipsis) {
      menusWidth += size(this._ellipsis).width;
    }
    return menusWidth;
  }
  compactPrefSize(menus) {
    menus = menus || this.visibleMenus();
    this.updateFirstAndLastMenuMarker(menus);
    this.undoCollapse(menus);
    this.undoShrink(menus);
    this.compact(menus);
    return this.actualPrefSize();
  }
  shrinkPrefSize(menus) {
    menus = menus || this.visibleMenus();
    this.updateFirstAndLastMenuMarker(menus);
    this.undoCollapse(menus);
    this.compact(menus);
    this.shrink(menus);
    return this.actualPrefSize();
  }
  visibleMenus() {
    return this.menuBox.menus.filter(menu => menu.visible);
  }
  updateFirstAndLastMenuMarker(menus) {
    // Find first and last rendered menu
    let firstMenu = null;
    let lastMenu = null;
    (menus || []).forEach(menu => {
      if (menu.rendered) {
        if (!firstMenu) {
          firstMenu = menu;
        }
        lastMenu = menu;
      }
    });
    // Check if first or last menu has changed (prevents unnecessary DOM updates)
    if (firstMenu !== this.firstMenu || lastMenu !== this.lastMenu) {
      // Remove existing markers
      if (this.firstMenu && this.firstMenu.rendered) {
        this.firstMenu.$container.removeClass('first');
      }
      if (this.lastMenu && this.lastMenu.rendered) {
        this.lastMenu.$container.removeClass('last');
      }
      // Remember found menus
      this.firstMenu = firstMenu;
      this.lastMenu = lastMenu;
      // Add markers to found menus
      if (this.firstMenu) {
        this.firstMenu.$container.addClass('first');
      }
      if (this.lastMenu) {
        this.lastMenu.$container.addClass('last');
      }
    }
  }
}

/***/ }),

/***/ "./src/menu/menubox/MenuBoxModel.ts":
/*!******************************************!*\
  !*** ./src/menu/menubox/MenuBoxModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/menu/menus.ts":
/*!***************************!*\
  !*** ./src/menu/menus.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   menus: () => (/* binding */ menus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const menus = {
  filterAccordingToSelection(prefix, selectionLength, menuArr, destination, options) {
    let allowedTypes = [],
      {
        notAllowedTypes
      } = options || {};
    if (destination === _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.MENU_BAR) {
      allowedTypes = [prefix + '.EmptySpace', prefix + '.SingleSelection', prefix + '.MultiSelection'];
    } else if (destination === _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU) {
      allowedTypes = [prefix + '.SingleSelection', prefix + '.MultiSelection'];
    } else if (destination === _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.HEADER) {
      allowedTypes = [prefix + '.Header'];
    }
    if (allowedTypes.indexOf(prefix + '.SingleSelection') > -1 && selectionLength !== 1) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(allowedTypes, prefix + '.SingleSelection');
    }
    if (allowedTypes.indexOf(prefix + '.MultiSelection') > -1 && selectionLength <= 1) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(allowedTypes, prefix + '.MultiSelection');
    }
    notAllowedTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(notAllowedTypes);
    let fixedNotAllowedTypes = [];
    // ensure prefix
    prefix = prefix + '.';
    notAllowedTypes.forEach(type => {
      if (type.slice(0, prefix.length) !== prefix) {
        type = prefix + type;
      }
      fixedNotAllowedTypes.push(type);
    });
    return menus.filter(menuArr, allowedTypes, jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options, {
      notAllowedTypes: fixedNotAllowedTypes
    }));
  },
  /**
   * Filters menus that don't match the given types, or in other words: only menus with the given types are returned
   * from this method. The visible state is only checked if the parameter onlyVisible is set to true. Otherwise, invisible items are returned and added to the
   * menu-bar DOM (invisible, however). They may change their visible state later. If there are any types in notAllowedTypes each menu is checked also against
   * these types and if they are matching the menu is filtered.
   */
  filter(menuArr, types, options) {
    if (!menuArr) {
      return;
    }
    types = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(types);
    let {
      onlyVisible,
      enableDisableKeyStrokes,
      notAllowedTypes,
      defaultMenuTypes
    } = options || {};
    notAllowedTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(notAllowedTypes);
    defaultMenuTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(defaultMenuTypes);
    let filteredMenus = [],
      separatorCount = 0;
    menuArr.forEach(menu => {
      let childMenus = menu.childActions;
      if (childMenus.length > 0) {
        childMenus = menus.filter(childMenus, types, options);
        if (childMenus.length === 0) {
          menus._enableDisableMenuKeyStroke(menu, enableDisableKeyStrokes, true);
          return;
        }
      } else if (!menus._checkType(menu, types, defaultMenuTypes) || notAllowedTypes.length !== 0 && menus._checkType(menu, notAllowedTypes, defaultMenuTypes)) {
        // Don't check the menu type for a group
        menus._enableDisableMenuKeyStroke(menu, enableDisableKeyStrokes, true);
        return;
      }
      if (onlyVisible && !menu.visible) {
        menus._enableDisableMenuKeyStroke(menu, enableDisableKeyStrokes, true);
        return;
      }
      if (menu.separator) {
        separatorCount++;
      }
      menus._enableDisableMenuKeyStroke(menu, enableDisableKeyStrokes, false);
      filteredMenus.push(menu);
    });
    // Ignore menus with only separators
    if (separatorCount === filteredMenus.length) {
      return [];
    }
    return filteredMenus;
  },
  /**
   * Makes leading, trailing and duplicate separators invisible or reverts the visibility change if needed.
   */
  updateSeparatorVisibility(menuArr) {
    menuArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menuArr);
    menuArr = menuArr.filter(menu => menu.visible || menu.separator);
    if (menuArr.length === 0) {
      return;
    }
    let hasMenuBefore = false;
    let hasMenuAfter = false;
    menuArr.forEach((menu, i) => {
      if (menu.ellipsis) {
        return;
      }
      if (!menu.separator) {
        hasMenuBefore = true;
        return;
      }
      hasMenuAfter = menuArr[i + 1] && !menuArr[i + 1].separator && !menuArr[i + 1].ellipsis;
      // If the separator has a separator next to it, make it invisible
      if (!hasMenuBefore || !hasMenuAfter) {
        if (menu.visibleOrig === undefined) {
          menu.visibleOrig = menu.visible;
          menu.setVisible(false);
        }
      } else if (menu.visibleOrig !== undefined) {
        // Revert to original state
        menu.setVisible(menu.visibleOrig);
        menu.visibleOrig = undefined;
      }
    });
  },
  checkType(menu, types) {
    let defaultMenuTypes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    types = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(types);
    if (menu.childActions.length > 0) {
      let childMenus = menus.filter(menu.childActions, types, {
        defaultMenuTypes
      });
      return childMenus.length > 0;
    }
    return menus._checkType(menu, types, defaultMenuTypes);
  },
  /** @internal */
  _enableDisableMenuKeyStroke(menu, activated, exclude) {
    if (activated) {
      menu.excludedByFilter = exclude;
    }
  },
  /**
   * Checks the type of menu. Don't use this for menu groups.
   * @internal
   */
  _checkType(menu, types) {
    let defaultMenuTypes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    if (!types || types.length === 0) {
      return false;
    }
    let menuTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menu.menuTypes);
    defaultMenuTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(defaultMenuTypes);
    if (menuTypes.length === 0) {
      menuTypes = defaultMenuTypes;
    }
    for (let j = 0; j < types.length; j++) {
      if (menuTypes.indexOf(types[j]) > -1) {
        return true;
      }
    }
    return false;
  },
  createEllipsisMenu(options) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.EllipsisMenu, options);
  },
  moveMenuIntoEllipsis(menu, ellipsis) {
    menu.remove();
    menu._setOverflown(true);
    menu.overflowMenu = ellipsis;
    let menusInEllipsis = ellipsis.childActions.slice();
    menusInEllipsis.unshift(menu); // add as first element
    ellipsis.setChildActions(menusInEllipsis);
  },
  removeMenuFromEllipsis(menu, $parent) {
    menu._setOverflown(false);
    menu.overflowMenu = null;
    if (!menu.rendered) {
      menu.render($parent);
    }
  },
  /**
   * If the given actions contain a {@link ComboMenu}, the resulting array contains the child actions of the combo menu instead of the combo menu itself.
   */
  flatTopLevelActions(actions) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.flatMap(actions, item => {
      if (item instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ComboMenu) {
        return item.childActions;
      }
      return [item];
    });
  }
};

/***/ }),

/***/ "./src/messagebox/CopyKeyStroke.ts":
/*!*****************************************!*\
  !*** ./src/messagebox/CopyKeyStroke.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CopyKeyStroke: () => (/* binding */ CopyKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CopyKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.C];
    this.ctrl = true;
    this.preventDefault = false;
    this.renderingHints.render = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => field.$container;
  }
  handle(event) {
    this.field.copy();
  }
}

/***/ }),

/***/ "./src/messagebox/MessageBox.ts":
/*!**************************************!*\
  !*** ./src/messagebox/MessageBox.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MessageBox: () => (/* binding */ MessageBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MessageBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "severity", void 0);
    _defineProperty(this, "body", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "hiddenText", void 0);
    _defineProperty(this, "html", void 0);
    _defineProperty(this, "yesButtonText", void 0);
    _defineProperty(this, "noButtonText", void 0);
    _defineProperty(this, "cancelButtonText", void 0);
    _defineProperty(this, "buttons", void 0);
    _defineProperty(this, "boxButtons", void 0);
    _defineProperty(this, "yesButton", void 0);
    _defineProperty(this, "noButton", void 0);
    _defineProperty(this, "cancelButton", void 0);
    _defineProperty(this, "displayParent", void 0);
    /** button to be executed when abort() is called, e.g. when ESCAPE is pressed. points to the last (most right) button in the list (one of yes, no or cancel) */
    _defineProperty(this, "abortButton", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "$html", void 0);
    _defineProperty(this, "$hiddenText", void 0);
    _defineProperty(this, "$buttons", void 0);
    _defineProperty(this, "_icon", void 0);
    _defineProperty(this, "_glassPaneRenderer", void 0);
    this.severity = _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO;
    this.body = null;
    this.iconId = null;
    this.header = null;
    this.hiddenText = null;
    this.html = null;
    this.yesButtonText = null;
    this.noButtonText = null;
    this.cancelButtonText = null;
    this.displayParent = null;
    this.buttons = [];
    this.boxButtons = null;
    this.yesButton = null;
    this.noButton = null;
    this.cancelButton = null;
    this.abortButton = null;
    this.inheritAccessibility = false; // do not inherit enabled-state by default. Otherwise the MessageBox cannot be closed anymore
    this.$content = null;
    this.$header = null;
    this.$body = null;
    this.$hiddenText = null;
    this.$buttons = null;
    this.$html = null;
    this._icon = null;
    this._addWidgetProperties(['buttons', 'boxButtons', 'yesButton', 'noButton', 'cancelButton', 'abortButton']);
  }
  _init(model) {
    super._init(model);
    this._setDisplayParent(this.displayParent);
    this._setIconId(this.iconId);
    this.boxButtons = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BoxButtons, {
      parent: this
    });
    this.yesButton = this._createMessageBoxButton(this.yesButtonText, MessageBox.Buttons.YES);
    this.noButton = this._createMessageBoxButton(this.noButtonText, MessageBox.Buttons.NO);
    this.cancelButton = this._createMessageBoxButton(this.cancelButtonText, MessageBox.Buttons.CANCEL);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.CopyKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.FocusAdjacentElementKeyStroke(this.session, this), new _index__WEBPACK_IMPORTED_MODULE_0__.ClickActiveElementKeyStroke(this, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER]), new _index__WEBPACK_IMPORTED_MODULE_0__.AbortKeyStroke(this, () => {
      if (this.abortButton) {
        return this.abortButton.$container;
      }
      return null;
    })]);
  }
  _createMessageBoxButton(text, option) {
    if (!text) {
      return null;
    }
    let button = this.boxButtons.addButton({
      text: text
    });
    button.one('action', event => this._onButtonClick(event, option));
    this.buttons.push(button);
    this.abortButton = button;
    return button;
  }
  _render() {
    this.$container = this.$parent.appendDiv('messagebox').on('mousedown', this._onMouseDown.bind(this)).on('copy', this._onCopy.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'alertdialog');
    let $handle = this.$container.appendDiv('drag-handle');
    this.$container.draggable($handle);
    this.$content = this.$container.appendDiv('messagebox-content');
    this.$header = this.$content.appendDiv('messagebox-label messagebox-header');
    this.$body = this.$content.appendDiv('messagebox-label messagebox-body');
    this.$html = this.$content.appendDiv('messagebox-label messagebox-html prevent-initial-focus');
    this.boxButtons.render();
    this.$buttons = this.boxButtons.$container;
    this.$buttons.addClass('messagebox-buttons');
    this.$buttons.on('copy', this._onCopy.bind(this));
    this._installScrollbars({
      axis: 'y',
      scrollShadow: 'none'
    });
    // Render properties
    this._renderSeverity();
    this._renderHeader();
    this._renderIconId();
    this._renderBody();
    this._renderHtml();
    this._renderHiddenText();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxLayout(this));
    this.htmlComp.validateLayout();
    this.$container.addClassForAnimation('animate-open');
    // Render modality glass-panes
    this._glassPaneRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.GlassPaneRenderer(this);
    this._glassPaneRenderer.renderGlassPanes();
  }
  get$Scrollable() {
    return this.$content;
  }
  _postRender() {
    super._postRender();
    this._installFocusContext();
  }
  _remove() {
    this._glassPaneRenderer.removeGlassPanes();
    this._uninstallFocusContext();
    super._remove();
  }
  _installFocusContext() {
    this.session.focusManager.installFocusContext(this.$container, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO);
  }
  _uninstallFocusContext() {
    this.session.focusManager.uninstallFocusContext(this.$container);
  }
  _renderIconId() {
    let hasIcon = !!this._icon;
    this.$container.toggleClass('has-icon', hasIcon);
    this.$container.toggleClass('no-icon', !hasIcon);
    if (hasIcon) {
      this._icon.render(this.$header);
      this._icon.$container.addClass('messagebox-icon');
    }
  }
  _renderSeverity() {
    this.$container.removeClass(_index__WEBPACK_IMPORTED_MODULE_0__.Status.SEVERITY_CSS_CLASSES);
    this.$container.addClass(_index__WEBPACK_IMPORTED_MODULE_0__.Status.cssClassForSeverity(this.severity));
  }
  _renderHeader() {
    this.$header.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.header));
    this.$header.setVisible(!!this.header || !!this.iconId);
    this.$header.toggleClass('has-text', _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.header));
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.header)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$header);
    }
  }
  _renderBody() {
    this.$body.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.body));
    this.$body.setVisible(!!this.body);
    this.$content.toggleClass('has-body', !!this.body);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.body)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithDescription(this.$container, this.$body);
    }
  }
  _renderHtml() {
    this.$html.html(this.html);
    this.$html.setVisible(!!this.html);
    // Don't change focus when a link is clicked by mouse
    this.$html.find('a, .app-link').attr('tabindex', '0').unfocusable();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.html)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithDescription(this.$container, this.$html);
    }
  }
  _renderHiddenText() {
    if (this.$hiddenText) {
      this.$hiddenText.remove();
    }
    if (this.hiddenText) {
      this.$hiddenText = this.$content.appendElement('<!-- \n' + this.hiddenText.replace(/<!--|-->/g, '') + '\n -->');
    }
  }
  _onMouseDown() {
    // If there is a dialog in the parent-hierarchy activate it in order to bring it on top of other dialogs.
    let parent = this.findParent(p => p instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && p.isDialog());
    if (parent) {
      parent.activate();
    }
  }
  _setCopyable(copyable) {
    this.$header.toggleClass('copyable', copyable);
    this.$body.toggleClass('copyable', copyable);
    this.$html.toggleClass('copyable', copyable);
  }
  copy() {
    this._setCopyable(true);
    let myDocument = this.$container.document(true);
    let range = myDocument.createRange();
    range.selectNodeContents(this.$content[0]);
    let selection = this.$container.window(true).getSelection();
    selection.removeAllRanges();
    selection.addRange(range);
    myDocument.execCommand('copy');
  }
  _onCopy(event) {
    let clipboardData = _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(event, 'originalEvent', 'clipboardData');
    if (clipboardData) {
      let htmlText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('<br/>', this.$header[0].outerHTML, this.$body[0].outerHTML, this.$html[0].outerHTML, this.hiddenText);
      clipboardData.setData('text/html', htmlText);
      let plainText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n\n', this.header, this.body, _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(this.$html[0].outerHTML, {
        compact: true,
        trim: true
      }), this.hiddenText);
      clipboardData.setData('text/plain', plainText);
      this.$container.window(true).getSelection().removeAllRanges();
      this._setCopyable(false);
      _index__WEBPACK_IMPORTED_MODULE_0__.clipboard.showNotification(this);
      event.preventDefault(); // We want to write our data to the clipboard, not data from any user selection
    }
    // else: do default
  }
  _onButtonClick(event, option) {
    this.trigger('action', {
      option: option
    });
  }
  setDisplayParent(displayParent) {
    this.setProperty('displayParent', displayParent);
  }
  _setDisplayParent(displayParent) {
    this._setProperty('displayParent', displayParent);
    if (displayParent) {
      this.setParent(this.findDesktop().computeParentForDisplayParent(displayParent));
    }
  }
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  _setIconId(iconId) {
    this._setProperty('iconId', iconId);
    if (iconId) {
      if (this._icon) {
        this._icon.setIconDesc(iconId);
      } else {
        this._icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
          parent: this,
          iconDesc: iconId,
          prepend: true
        });
        this._icon.one('destroy', () => {
          this._icon = null;
        });
      }
    } else if (this._icon) {
      this._icon.destroy();
    }
  }
  /**
   * Renders the message box and links it with the display parent.
   */
  open() {
    this.setDisplayParent(this.displayParent || this.session.desktop);
    this.displayParent.messageBoxController.registerAndRender(this);
  }
  /**
   * Destroys the message box and unlinks it from the display parent.
   */
  close() {
    if (this.displayParent) {
      this.displayParent.messageBoxController.unregisterAndRemove(this);
    }
    this.destroy();
  }
  /**
   * Aborts the message box by using the default abort button. Used by the ESC key stroke.
   */
  abort() {
    if (this.abortButton && this.abortButton.$container && this.session.focusManager.requestFocus(this.abortButton.$container)) {
      this.abortButton.doAction();
    }
  }
  _attach() {
    this.$parent.append(this.$container);
    super._attach();
  }
  _detach() {
    this.$container.detach();
    super._detach();
  }
}
_defineProperty(MessageBox, "Buttons", {
  YES: 'yes',
  NO: 'no',
  CANCEL: 'cancel'
});

/***/ }),

/***/ "./src/messagebox/MessageBoxAdapter.ts":
/*!*********************************************!*\
  !*** ./src/messagebox/MessageBoxAdapter.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MessageBoxAdapter: () => (/* binding */ MessageBoxAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MessageBoxAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetAction(event) {
    this._send('action', {
      option: event.option
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'action') {
      this._onWidgetAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/messagebox/MessageBoxController.ts":
/*!************************************************!*\
  !*** ./src/messagebox/MessageBoxController.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MessageBoxController: () => (/* binding */ MessageBoxController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Controller with functionality to register and render message boxes.
 *
 * The message boxes are put into the list 'messageBoxes' contained in 'displayParent'.
 */
class MessageBoxController extends _index__WEBPACK_IMPORTED_MODULE_0__.DisplayChildController {
  /**
   * Removes all message boxes registered with this controller from DOM.
   */
  remove() {
    this.displayParent.messageBoxes.forEach(this._remove.bind(this));
  }
  /**
   * Renders all message boxes registered with this controller.
   */
  render() {
    this.displayParent.messageBoxes.forEach(msgBox => {
      msgBox.setDisplayParent(this.displayParent);
      this._render(msgBox);
    });
  }
  /**
   * Attaches all message boxes to their original DOM parents.
   * In contrast to 'render', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already attached.
   */
  attach() {
    this.displayParent.messageBoxes.forEach(messageBox => messageBox.attach());
  }
  /**
   * Detaches all message boxes from their DOM parents. Thereby, modality glassPanes are not detached.
   * In contrast to 'remove', this method uses 'JQuery detach mechanism' to retain CSS properties, so that the model must not be interpreted anew.
   *
   * This method has no effect if already detached.
   */
  detach() {
    this.displayParent.messageBoxes.forEach(messageBox => messageBox.detach());
  }
  _register(messageBox) {
    this._registerChild(messageBox, this.displayParent.messageBoxes, 'messageBoxes');
  }
  _unregister(messageBox) {
    this._unregisterChild(messageBox, this.displayParent.messageBoxes, 'messageBoxes');
  }
}

/***/ }),

/***/ "./src/messagebox/MessageBoxEventMap.ts":
/*!**********************************************!*\
  !*** ./src/messagebox/MessageBoxEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/messagebox/MessageBoxLayout.ts":
/*!********************************************!*\
  !*** ./src/messagebox/MessageBoxLayout.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MessageBoxLayout: () => (/* binding */ MessageBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MessageBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(messageBox) {
    super();
    _defineProperty(this, "messageBox", void 0);
    this.messageBox = messageBox;
  }
  layout($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      windowSize = $container.windowSize(),
      currentBounds = htmlComp.offsetBounds(true),
      messageBoxSize = htmlComp.size(),
      messageBoxMargins = htmlComp.margins();
    messageBoxSize = _index__WEBPACK_IMPORTED_MODULE_0__.DialogLayout.fitContainerInWindow(windowSize, currentBounds.point(), messageBoxSize, messageBoxMargins);
    // Add markers to be able to style the msg box in a different way when it uses the full width or height
    $container.toggleClass('full-width', currentBounds.x === 0 && messageBoxMargins.horizontal() === 0 && windowSize.width === messageBoxSize.width).toggleClass('full-height', currentBounds.y === 0 && messageBoxMargins.vertical() === 0 && windowSize.height === messageBoxSize.height);
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize($container, messageBoxSize);
    let buttonsSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.messageBox.$buttons, {
      exact: true
    });
    this.messageBox.$content.css('height', 'calc(100% - ' + buttonsSize.height + 'px)');
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.messageBox.$content);
    $container.cssPosition(_index__WEBPACK_IMPORTED_MODULE_0__.DialogLayout.positionContainerInWindow($container));
  }
}

/***/ }),

/***/ "./src/messagebox/MessageBoxModel.ts":
/*!*******************************************!*\
  !*** ./src/messagebox/MessageBoxModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/messagebox/MessageBoxes.ts":
/*!****************************************!*\
  !*** ./src/messagebox/MessageBoxes.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MessageBoxes: () => (/* binding */ MessageBoxes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * This class is a convenient builder for creating message boxes. Use the static functions to
 * create and open simple and often used message boxes.
 */
class MessageBoxes {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "parent", void 0);
    _defineProperty(this, "yesText", void 0);
    _defineProperty(this, "noText", void 0);
    _defineProperty(this, "cancelText", void 0);
    _defineProperty(this, "bodyText", void 0);
    _defineProperty(this, "severity", void 0);
    _defineProperty(this, "headerText", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "closeOnClick", void 0);
    _defineProperty(this, "html", void 0);
    this.parent = null;
    this.yesText = null;
    this.noText = null;
    this.cancelText = null;
    this.bodyText = null;
    this.severity = _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO;
    this.headerText = null;
    this.iconId = null;
    this.closeOnClick = true;
    this.html = false;
  }
  init(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('parent', options.parent);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  withHeader(headerText) {
    this.headerText = headerText;
    return this;
  }
  /**
   * @param html Set to true if body must contain HTML, default is false
   */
  withBody(bodyText, html) {
    this.bodyText = bodyText;
    this.html = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(html, false);
    return this;
  }
  withIconId(iconId) {
    this.iconId = iconId;
    return this;
  }
  withSeverity(severity) {
    this.severity = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(severity, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO);
    return this;
  }
  withYes(yesText) {
    this.yesText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(yesText, this.parent.session.text('Yes'));
    return this;
  }
  withNo(noText) {
    this.noText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(noText, this.parent.session.text('No'));
    return this;
  }
  withCancel(cancelText) {
    this.cancelText = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cancelText, this.parent.session.text('Cancel'));
    return this;
  }
  build() {
    let options = {
      parent: this.parent,
      header: this.headerText,
      body: this.bodyText,
      severity: this.severity
    };
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.iconId)) {
      options.iconId = this.iconId;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.yesText)) {
      options.yesButtonText = this.yesText;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.noText)) {
      options.noButtonText = this.noText;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.cancelText)) {
      options.cancelButtonText = this.cancelText;
    }
    // When this class is refactored we should check with the author, why it needs two properties html and body.
    if (this.html) {
      options.html = options.body;
      delete options.body;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBox, options);
  }
  /**
   * @returns promise resolved to selected {@link MessageBoxOption}.
   * @see MessageBox.Buttons
   */
  buildAndOpen() {
    let def = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    let messageBox = this.build();
    messageBox.on('action', event => {
      if (this.closeOnClick) {
        messageBox.close();
      }
      def.resolve(event.option);
    });
    messageBox.open();
    return def.promise();
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static create(parent) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(MessageBoxes, {
      parent: parent
    });
  }
  static createOk(parent) {
    return this.create(parent).withYes(parent.session.text('Ok'));
  }
  static createYesNo(parent) {
    return this.create(parent).withYes().withNo();
  }
  static createYesNoCancel(parent) {
    return this.create(parent).withYes().withNo().withCancel();
  }
  /**
   * Opens a message box with an Ok button.
   *
   * @param severity default is {@link Status.Severity.INFO}
   * @returns promise resolved to clicked button
   */
  static openOk(parent, bodyText, severity) {
    return this.createOk(parent).withBody(bodyText).withSeverity(severity).buildAndOpen();
  }
  /**
   * Opens a message box with a yes and a no button.
   *
   * @param severity default is {@link Status.Severity.INFO}
   * @returns promise resolved to clicked button
   */
  static openYesNo(parent, bodyText, severity) {
    return this.createYesNo(parent).withBody(bodyText).withSeverity(severity).buildAndOpen();
  }
}

/***/ }),

/***/ "./src/messagebox/MessageBoxesModel.ts":
/*!*********************************************!*\
  !*** ./src/messagebox/MessageBoxesModel.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/modeselector/Mode.ts":
/*!**********************************!*\
  !*** ./src/modeselector/Mode.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Mode: () => (/* binding */ Mode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Mode extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    _defineProperty(this, "ref", void 0);
    this.selected = false;
    this.ref = null;
  }
  _init(model) {
    model.owner = model.parent;
    super._init(model);
  }
  _render() {
    super._render();
    this.$container.addClass('button mode').data('mode', this);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSelected();
  }
  _renderSelected() {
    this.$container.select(this.selected);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$container, this.selected);
  }
  _renderTabbable() {
    // should not lose tab index if disabled
    this.$container.setTabbable(this.tabbable && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  }
  doAction() {
    if (!this.prepareDoAction()) {
      return false;
    }
    if (!this.selected) {
      this.setSelected(true);
      this.focus();
    }
    return true;
  }
  toggle() {
    if (!this.selected) {
      this.setSelected(true);
    }
  }
  _renderIconId() {
    super._renderIconId();
    this._updateLabelAndIconStyle();
    // Invalidate layout because mode may now be longer or shorter
    this.invalidateLayoutTree();
  }
  _renderText() {
    super._renderText();
    this._updateLabelAndIconStyle();
    // Invalidate layout because mode may now be longer or shorter
    this.invalidateLayoutTree();
  }
  _updateLabelAndIconStyle() {
    let hasText = !!this.text;
    this.get$Icon().toggleClass('with-label', hasText);
  }
  _renderActionStyle() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'radio');
  }
}

/***/ }),

/***/ "./src/modeselector/ModeAdapter.ts":
/*!*****************************************!*\
  !*** ./src/modeselector/ModeAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeAdapter: () => (/* binding */ ModeAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ModeAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter {}

/***/ }),

/***/ "./src/modeselector/ModeModel.ts":
/*!***************************************!*\
  !*** ./src/modeselector/ModeModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/modeselector/ModeSelector.ts":
/*!******************************************!*\
  !*** ./src/modeselector/ModeSelector.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelector: () => (/* binding */ ModeSelector)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ModeSelector extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "modes", void 0);
    _defineProperty(this, "selectedMode", void 0);
    _defineProperty(this, "$slider", void 0);
    /**
     * When a new mode is set, the new one is marked as selected while the old one is deselected. This triggers the modePropertyChangeHandler.
     * In this case the handler must not react on the selection event. Otherwise, the value is first set to null (because the old is deselected) and then to the new value.
     * Setting a new mode should not trigger two change events.
     */
    _defineProperty(this, "_isModeChanging", void 0);
    _defineProperty(this, "_modePropertyChangeHandler", void 0);
    this._addWidgetProperties(['modes', 'selectedMode']);
    this._addPreserveOnPropertyChangeProperties(['selectedMode']);
    this.modes = [];
    this.selectedMode = null;
    this.$slider = null;
    this._isModeChanging = false;
    this._modePropertyChangeHandler = this._onModePropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setModes(this.modes);
    this._setSelectedMode(this.selectedMode);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.ModeSelectorLeftOrUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.ModeSelectorRightOrDownKeyStroke(this)]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('mode-selector');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ModeSelectorLayout(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderSlider();
    this._renderModes();
  }
  recomputeEnabled(parentEnabled) {
    super.recomputeEnabled(parentEnabled);
    this._provideTabIndex();
  }
  _provideTabIndex() {
    let tabSet;
    this.modes.forEach(mode => {
      if (mode.enabledComputed && !tabSet) {
        mode.setTabbable(true);
        tabSet = mode;
      } else if (tabSet && this.enabledComputed && mode.enabledComputed && mode.selected) {
        tabSet.setTabbable(false);
        mode.setTabbable(true);
        tabSet = mode;
      } else {
        mode.setTabbable(false);
      }
    }, this);
  }
  getTabbableMode() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.modes, mode => {
      return mode.visible && mode.tabbable;
    });
  }
  getFocusableElement() {
    // The first mode may not be focusable because it is not selected and therefore has no tab index -> find the first focusable button
    return this.session.focusManager.findFirstFocusableElement(this.$container);
  }
  setModes(modes) {
    this.setProperty('modes', modes);
  }
  _setModes(modes) {
    this.modes.forEach(mode => mode.off('propertyChange', this._modePropertyChangeHandler));
    this._setProperty('modes', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(modes));
    this.modes.forEach(mode => {
      mode.on('propertyChange', this._modePropertyChangeHandler);
      if (mode.selected) {
        this.setSelectedMode(mode);
      }
    });
  }
  _renderSlider() {
    this.$slider = this.$container.appendDiv('mode-slider');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$slider, 'radiogroup');
  }
  _renderModes() {
    this.modes.forEach(mode => {
      mode.render();
      this._registerDragHandlers(mode.$container);
    });
    this._updateMarkers();
  }
  setSelectedMode(selectedMode) {
    this.setProperty('selectedMode', selectedMode);
  }
  _setSelectedMode(selectedMode) {
    this._isModeChanging = true;
    if (this.selectedMode && this.selectedMode !== selectedMode) {
      this.selectedMode.setSelected(false);
    }
    if (selectedMode) {
      if (!selectedMode.selected) {
        selectedMode.setSelected(true);
      }
      let oldMode = this.getTabbableMode();
      let newModeNeedsFocus = false;
      if (oldMode) {
        // Only one mode in the group should have a tab index -> remove it from the current tabbable mode after the new mode is tabbable.
        // If that mode is focused the newly selected mode needs to gain the focus otherwise the focus would fall back to the body.
        newModeNeedsFocus = oldMode.isFocused();
      }
      selectedMode.setTabbable(true);
      if (newModeNeedsFocus) {
        selectedMode.focus();
      }
      if (oldMode && oldMode !== selectedMode) {
        oldMode.setTabbable(false);
      }
    }
    this._setProperty('selectedMode', selectedMode);
    this._isModeChanging = false;
    this._updateMarkers();
  }
  _onModePropertyChange(event) {
    if (event.propertyName === 'selected' && !this._isModeChanging) {
      this.setSelectedMode(event.newValue ? event.source : null);
    } else if (event.propertyName === 'visible') {
      this._updateMarkers();
    } else if (event.propertyName === 'enabled') {
      this._updateSlider();
    }
  }
  _updateMarkers() {
    let visibleModes = [];
    let selectedModeIndex = -1;
    this.modes.forEach(mode => {
      if (mode.rendered) {
        mode.$container.removeClass('first last after-selected');
        if (mode.visible) {
          visibleModes.push(mode);
          if (mode.selected) {
            selectedModeIndex = visibleModes.length - 1;
          }
        }
      }
    });
    if (visibleModes.length) {
      visibleModes[0].$container.addClass('first');
      visibleModes[visibleModes.length - 1].$container.addClass('last');
      if (selectedModeIndex >= 0 && selectedModeIndex < visibleModes.length - 1) {
        visibleModes[selectedModeIndex + 1].$container.addClass('after-selected');
      }
    }
    this._updateSlider();
  }
  /** @internal */
  _updateSlider() {
    if (!this.$slider) {
      return;
    }
    let selectedModePosX = 0,
      selectedModeWidth = 0;
    if (this.selectedMode && this.selectedMode.$container) {
      selectedModePosX = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.position(this.selectedMode.$container).x;
      selectedModeWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.selectedMode.$container, {
        exact: true
      }).width;
    }
    this.$slider.cssLeft(selectedModePosX);
    this.$slider.cssWidth(selectedModeWidth);
    this.$slider.setVisible(this.selectedMode && this.selectedMode.$container && this.selectedMode.enabled);
  }
  _registerDragHandlers($mode) {
    let className = 'mode-selector-dragging';
    let onDown = e => this.enabledComputed && this.selectedMode && this.selectedMode.$container === $mode && this.modes.filter(m => m.isVisible() && m.enabled).length > 1;
    let onMove = e => {
      let maxX = this.$container.width() - $mode.outerWidth();
      let minX = 0;
      let newModeLeft = Math.max(Math.min(e.newLeft, maxX), minX); // limit to the size of the ModeSelector
      this.$container.children().addClass(className);
      if (newModeLeft !== e.originalLeft) {
        this.$slider.cssLeft(newModeLeft);
      }
      return newModeLeft;
    };
    let onUp = e => {
      this.$container.children().removeClass(className);
      let newSelectedMode = this._computeNewSelectedMode(e);
      if (!newSelectedMode || newSelectedMode === this.selectedMode || !newSelectedMode.enabled) {
        this._updateSlider(); // move back to original position
      } else {
        this.setSelectedMode(newSelectedMode); // updates the slider position
      }
    };
    _index__WEBPACK_IMPORTED_MODULE_0__.events.onSwipe($mode, className, onDown, onMove, onUp);
  }
  _computeNewSelectedMode(e) {
    if (e.direction === 0 || Math.abs(e.deltaX) <= 5) {
      // ignore if the slide is below threshold
      return this.selectedMode;
    }
    if (e.direction < 0) {
      // slide left: use left end of slider
      return this._findModeByPos(e.newLeft);
    }
    // slide right: use right end of slider
    return this._findModeByPos(e.newLeft + this.$slider.width());
  }
  _findModeByPos(pos) {
    let visibleModes = this.modes.filter(m => m.visible);
    for (let i = visibleModes.length - 1; i >= 0; i--) {
      let mode = visibleModes[i];
      let modePosX = Math.floor(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.position(mode.$container).x);
      if (pos >= modePosX) {
        let modeWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(mode.$container).width;
        let modeEndX = modePosX + modeWidth;
        if (pos <= modeEndX) {
          return mode;
        }
      }
    }
    return null;
  }
  findModeById(id) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.modes, mode => mode.id === id);
  }
  findModeByRef(ref) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.modes, mode => mode.ref === ref);
  }
  selectModeById(id) {
    this.setSelectedMode(this.findModeById(id));
  }
  selectModeByRef(ref) {
    this.setSelectedMode(this.findModeByRef(ref));
  }
}

/***/ }),

/***/ "./src/modeselector/ModeSelectorEventMap.ts":
/*!**************************************************!*\
  !*** ./src/modeselector/ModeSelectorEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/modeselector/ModeSelectorLayout.ts":
/*!************************************************!*\
  !*** ./src/modeselector/ModeSelectorLayout.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelectorLayout: () => (/* binding */ ModeSelectorLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ModeSelectorLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(modeSelector) {
    super();
    _defineProperty(this, "modeSelector", void 0);
    this.modeSelector = modeSelector;
  }
  layout($container) {
    super.layout($container);
    if (this.modeSelector.$slider) {
      // Hide slider here so that size changes triggered by the layout are not animated (css changes applied while an element is hidden are not animated).
      // The slider will then become visible again (if necessary) in _updateSlider()
      this.modeSelector.$slider.setVisible(false);
    }
    this.modeSelector._updateSlider();
  }
  preferredLayoutSize($container, options) {
    let prefSize = super.preferredLayoutSize($container, options);
    let oldStyle = this.modeSelector.$container.attr('style');
    this.modeSelector.$container.css({
      'width': 'auto',
      'height': 'auto'
    });
    let maxWidth = 0;
    this.modeSelector.modes.filter(mode => mode.rendered).forEach(mode => {
      let oldModeStyle = mode.$container.attr('style');
      mode.$container.css('flex', 'none');
      let modeWidth = mode.htmlComp.prefSize({
        includeMargin: true
      }).width;
      if (modeWidth > maxWidth) {
        maxWidth = modeWidth;
      }
      mode.$container.attrOrRemove('style', oldModeStyle);
    });
    this.modeSelector.$container.attrOrRemove('style', oldStyle);
    prefSize.width = maxWidth * this.modeSelector.modes.length + this.modeSelector.htmlComp.insets().horizontal();
    return prefSize;
  }
}

/***/ }),

/***/ "./src/modeselector/ModeSelectorLeftOrUpKeyStroke.ts":
/*!***********************************************************!*\
  !*** ./src/modeselector/ModeSelectorLeftOrUpKeyStroke.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelectorLeftOrUpKeyStroke: () => (/* binding */ ModeSelectorLeftOrUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ModeSelectorLeftOrUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(modeSelector) {
    super();
    this.field = modeSelector;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.render = false;
  }
  handle(event) {
    let targetMode,
      focusedButton = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('mode');
    // continuously shift the target mode through the selectable modes to the right,
    // until the next mode is the mode that received the keystroke.
    // Then select that target mode.
    this.field.modes.some(mode => {
      if (targetMode && mode === focusedButton) {
        targetMode.setSelected(true);
        targetMode.focus();
        targetMode.$container.addClass('keyboard-navigation');
        return true;
      }
      if (mode.enabledComputed && mode.visible) {
        targetMode = mode;
      }
      return false;
    });
  }
}

/***/ }),

/***/ "./src/modeselector/ModeSelectorModel.ts":
/*!***********************************************!*\
  !*** ./src/modeselector/ModeSelectorModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/modeselector/ModeSelectorRightOrDownKeyStroke.ts":
/*!**************************************************************!*\
  !*** ./src/modeselector/ModeSelectorRightOrDownKeyStroke.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModeSelectorRightOrDownKeyStroke: () => (/* binding */ ModeSelectorRightOrDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ModeSelectorRightOrDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(modeSelector) {
    super();
    this.field = modeSelector;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.render = false;
  }
  handle(event) {
    let fieldBefore,
      focusedMode = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('mode');
    // Find the mode that received the keystroke, then find the next selectable mode and select it
    this.field.modes.some(mode => {
      if (fieldBefore && mode.enabledComputed && mode.visible) {
        mode.setSelected(true);
        mode.focus();
        mode.$container.addClass('keyboard-navigation');
        return true;
      }
      // do not check for enabled here, we also want the keystroke to work if the focused mode was disabled dynamically
      if (mode === focusedMode) {
        fieldBefore = mode;
      }
      return false;
    }, this);
  }
}

/***/ }),

/***/ "./src/notification/Notification.ts":
/*!******************************************!*\
  !*** ./src/notification/Notification.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Notification: () => (/* binding */ Notification)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Notification extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "closable", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$messageText", void 0);
    _defineProperty(this, "$closer", void 0);
    _defineProperty(this, "_icon", void 0);
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.info();
    this.closable = false;
    this.htmlEnabled = false;
    this._icon = null;
  }
  _init(model) {
    super._init(model);
    // this allows to set the properties severity and message directly on the model object
    // without having a status object. because it's more convenient when you must create
    // a notification programmatically.
    if (model.severity || model.message || model.iconId) {
      this.status = new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
        severity: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.severity, this.status.severity),
        message: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.message, this.status.message),
        iconId: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.iconId, this.status.iconId)
      });
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveTextProperty(this.status, 'message', this.session);
    this._setStatus(this.status);
  }
  _render() {
    this.$container = this.$parent.appendDiv('notification alternative'); // Alternative is the new default.
    this.$content = this.$container.appendDiv('notification-content');
    this.$messageText = this.$content.appendDiv('notification-message');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _remove() {
    super._remove();
    this._removeCloser();
    this._removeIcon();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderStatus();
    this._renderClosable();
  }
  setStatus(status) {
    this.setProperty('status', status);
  }
  _setStatus(status) {
    if (this.rendered) {
      this._removeStatus();
    }
    status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(status) || _index__WEBPACK_IMPORTED_MODULE_0__.Status.info();
    this._setProperty('status', status);
  }
  _removeStatus() {
    if (this.status) {
      this.$container.removeClass(this.status.cssClass());
    }
  }
  _renderStatus() {
    if (this.status) {
      this.$container.addClass(this.status.cssClass());
      this._renderIconId();
    }
    this._renderMessage();
  }
  _renderMessage() {
    let message = this.status.message || '';
    if (this.htmlEnabled) {
      this.$messageText.html(message);
      // Add action to app-links
      this.$messageText.find('.app-link').on('click', this._onAppLinkAction.bind(this));
    } else {
      this.$messageText.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(message));
    }
    this.invalidateLayoutTree();
  }
  setIconId(iconId) {
    if (!this.status) {
      this.status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.info();
    }
    this.status.iconId = iconId;
    if (this.rendered) {
      this._renderStatus();
    }
  }
  _renderIconId() {
    let hasIcon = this.status && !!this.status.iconId;
    this.$container.toggleClass('has-icon', hasIcon);
    this.$container.toggleClass('no-icon', !hasIcon);
    if (hasIcon) {
      this._renderIcon();
    } else {
      this._removeIcon();
    }
  }
  _renderIcon() {
    if (this._icon) {
      this._icon.setIconDesc(this.status.iconId);
      return;
    }
    this._icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Icon, {
      parent: this,
      iconDesc: this.status.iconId,
      prepend: true
    });
    this._icon.one('destroy', () => {
      this._icon = null;
    });
    this._icon.render();
    this._icon.$container.addClass('notification-icon');
  }
  _removeIcon() {
    if (this._icon) {
      this._icon.destroy();
    }
  }
  setClosable(closable) {
    this.setProperty('closable', closable);
  }
  _renderClosable() {
    this.$container.toggleClass('closable', this.closable);
    this.$content.toggleClass('closable', this.closable);
    if (!this.closable) {
      this._removeCloser();
    } else {
      this._renderCloser();
    }
  }
  _removeCloser() {
    if (!this.$closer) {
      return;
    }
    this.$closer.remove();
    this.$closer = null;
  }
  _renderCloser() {
    if (this.$closer) {
      return;
    }
    this.$closer = this.$content.appendDiv('closer').on('click', this._onCloseIconClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$closer, 'button');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$closer, this.session.text('ui.Close'));
  }
  _onCloseIconClick(event) {
    if (this.removing) {
      return;
    }
    this.trigger('close');
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
}

/***/ }),

/***/ "./src/notification/NotificationAdapter.ts":
/*!*************************************************!*\
  !*** ./src/notification/NotificationAdapter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NotificationAdapter: () => (/* binding */ NotificationAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NotificationAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetClose(event) {
    this._send('close');
  }
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'close') {
      this._onWidgetClose(event);
    } else if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/notification/NotificationEventMap.ts":
/*!**************************************************!*\
  !*** ./src/notification/NotificationEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/notification/NotificationModel.ts":
/*!***********************************************!*\
  !*** ./src/notification/NotificationModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/objectFactories.ts":
/*!********************************!*\
  !*** ./src/objectFactories.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

_index__WEBPACK_IMPORTED_MODULE_0__.scout.addObjectFactories({
  'KeyStroke': () => {
    // A model keystroke is represented as an Action
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Action();
  },
  'KeyStrokeAdapter': () => new _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter(),
  'ComposerField': () => {
    // Composer is just a tree field, there is currently no need to duplicate the JS/CSS code
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TreeField();
  },
  'ComposerFieldAdapter': () => new _index__WEBPACK_IMPORTED_MODULE_0__.TreeFieldAdapter()
});

/***/ }),

/***/ "./src/planner/Planner.ts":
/*!********************************!*\
  !*** ./src/planner/Planner.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Planner: () => (/* binding */ Planner)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Planner extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "activityMap", void 0);
    _defineProperty(this, "activitySelectable", void 0);
    _defineProperty(this, "availableDisplayModes", void 0);
    _defineProperty(this, "displayMode", void 0);
    _defineProperty(this, "displayModeOptions", void 0);
    _defineProperty(this, "headerVisible", void 0);
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "resources", void 0);
    _defineProperty(this, "resourceMap", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "rangeSelectable", void 0);
    _defineProperty(this, "selectionRange", void 0);
    _defineProperty(this, "selectedResources", void 0);
    _defineProperty(this, "viewRange", void 0);
    _defineProperty(this, "startRange", void 0);
    _defineProperty(this, "lastRange", void 0);
    _defineProperty(this, "beginScale", void 0);
    _defineProperty(this, "endScale", void 0);
    _defineProperty(this, "selectedActivity", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "startRow", void 0);
    _defineProperty(this, "lastRow", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "yearPanel", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    /** scale calculator */
    _defineProperty(this, "transformLeft", void 0);
    _defineProperty(this, "transformWidth", void 0);
    _defineProperty(this, "yearPanelVisible", void 0);
    _defineProperty(this, "$range", void 0);
    _defineProperty(this, "$modes", void 0);
    _defineProperty(this, "$selectors", void 0);
    _defineProperty(this, "$grid", void 0);
    _defineProperty(this, "$highlight", void 0);
    _defineProperty(this, "$timeline", void 0);
    _defineProperty(this, "$timelineLarge", void 0);
    _defineProperty(this, "$timelineSmall", void 0);
    _defineProperty(this, "$scaleTitle", void 0);
    _defineProperty(this, "$scale", void 0);
    _defineProperty(this, "_resourceTitleWidth", void 0);
    _defineProperty(this, "_rangeSelectionStarted", void 0);
    _defineProperty(this, "_resourceSelectionMode", void 0);
    _defineProperty(this, "_tooltipSupport", void 0);
    _defineProperty(this, "_$body", void 0);
    _defineProperty(this, "_gridScrollHandler", void 0);
    _defineProperty(this, "_cellMousemoveHandler", void 0);
    _defineProperty(this, "_resizeMousemoveHandler", void 0);
    _defineProperty(this, "_resourceTitleMousemoveHandler", void 0);
    this.activityMap = {};
    this.activitySelectable = false;
    this.availableDisplayModes = [];
    this.displayMode = null;
    // @ts-expect-error
    this.displayModeOptions = {};
    this.headerVisible = true;
    this.multiSelect = true;
    this.label = null;
    this.resources = [];
    this.resourceMap = {};
    this.rangeSelectable = true;
    this.selectionRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange();
    this.selectedResources = [];
    this.viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange();
    this.selectedActivity = null;
    this.startRow = null;
    this.lastRow = null;
    this.defaultMenuTypes = [Planner.MenuType.EmptySpace];
    this._resourceTitleWidth = 20;
    this._rangeSelectionStarted = false;
    this._resourceSelectionMode = Planner.ResourceSelectionMode.DEFAULT;
    // main elements
    this.$container = null;
    this.$range = null;
    this.$modes = null;
    this.$grid = null;
    this.transformLeft = t => t;
    this.transformWidth = (t0, t1) => t1 - t0;
    this.yearPanelVisible = false;
    this._addWidgetProperties(['menus']);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _init(model) {
    super._init(model);
    this.yearPanel = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.YearPanel, {
      parent: this,
      alwaysSelectFirstDay: true
    });
    this.yearPanel.on('dateSelect', this._onYearPanelDateSelect.bind(this));
    this.header = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PlannerHeader, {
      parent: this
    });
    this.header.on('todayClick', this._onTodayClick.bind(this));
    this.header.on('yearClick', this._onYearClick.bind(this));
    this.header.on('previousClick', this._onPreviousClick.bind(this));
    this.header.on('nextClick', this._onNextClick.bind(this));
    this.header.on('displayModeClick', this._onDisplayModeClick.bind(this));
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.PlannerMenuItemsOrder(this.session, 'Planner', this.defaultMenuTypes),
      cssClass: 'bounded'
    });
    for (let i = 0; i < this.resources.length; i++) {
      this._initResource(this.resources[i]);
    }
    this._setDisplayMode(this.displayMode);
    this._setAvailableDisplayModes(this.availableDisplayModes);
    this._setViewRange(this.viewRange);
    this._setSelectedResources(this.selectedResources);
    this._setSelectedActivity(this.selectedActivity);
    this._setSelectionRange(this.selectionRange);
    this._setMenus(this.menus);
    this._setDisplayModeOptions(this.displayModeOptions);
    this._tooltipSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.TooltipSupport({
      parent: this,
      arrowPosition: 50
    });
  }
  _initResource(resource) {
    resource.activities.forEach(activity => this._initActivity(activity));
    let res = resource;
    this.resourceMap[resource.id] = res;
    return res;
  }
  _initActivity(activityModel) {
    let activity = activityModel;
    if (typeof activityModel.beginTime === 'string') {
      activity.beginTime = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(activityModel.beginTime);
    }
    if (typeof activityModel.endTime === 'string') {
      activity.endTime = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(activityModel.endTime);
    }
    this.activityMap[activity.id] = activity;
  }
  _render() {
    // basics, layout etc.
    this.$container = this.$parent.appendDiv('planner');
    let layout = new _index__WEBPACK_IMPORTED_MODULE_0__.PlannerLayout(this);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(layout);
    this._$body = this.$container.body();
    // main elements
    this.header.render();
    this.yearPanel.render();
    this.$grid = this.$container.appendDiv('planner-grid').on('mousedown', '.resource-cells', this._onCellMouseDown.bind(this)).on('mousedown', '.resource-title', this._onResourceTitleMouseDown.bind(this)).on('contextmenu', '.resource-title', this._onResourceTitleContextMenu.bind(this)).on('contextmenu', '.planner-activity', this._onActivityContextMenu.bind(this));
    this.$scale = this.$container.appendDiv('planner-scale');
    this.menuBar.render();
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$grid, {
      parent: this,
      selector: '.planner-activity',
      text: function ($comp) {
        let activity = this.activityById($comp.attr('data-id'));
        if (activity) {
          return activity.tooltipText;
        }
        return undefined;
      }.bind(this)
    });
    this._installScrollbars();
    this._gridScrollHandler = this._onGridScroll.bind(this);
    this.$grid.on('scroll', this._gridScrollHandler);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderViewRange();
    this._renderHeaderVisible();
    this._renderYearPanelVisible(false);
    this._renderResources();
    this._renderSelectedActivity();
    this._renderSelectedResources();
    // render with setTimeout because the planner needs to be layouted first
    setTimeout(this._renderSelectionRange.bind(this));
  }
  _remove() {
    this._removeMouseMoveHandlers();
    super._remove();
  }
  get$Scrollable() {
    return this.$grid;
  }
  /* -- basics, events -------------------------------------------- */
  _onPreviousClick(event) {
    this._navigateDate(Planner.Direction.BACKWARD);
  }
  _onNextClick(event) {
    this._navigateDate(Planner.Direction.FORWARD);
  }
  _navigateDate(direction) {
    let viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(this.viewRange.from, this.viewRange.to);
    let displayMode = Planner.DisplayMode;
    let daysDiff = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(this.viewRange.to, this.viewRange.from);
    if (this.displayMode === displayMode.DAY) {
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.from, 0, 0, direction);
      viewRange.to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.to, 0, 0, direction);
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.WEEK, displayMode.WORK_WEEK)) {
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.from, 0, 0, direction * 7);
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensureMonday(viewRange.from, -1 * direction);
      viewRange.to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(viewRange.from, 0, 0, daysDiff);
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.MONTH, displayMode.CALENDAR_WEEK)) {
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.from, 0, direction, 0);
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensureMonday(viewRange.from, -1 * direction);
      viewRange.to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(viewRange.from, 0, 0, daysDiff);
    } else if (this.displayMode === displayMode.YEAR) {
      viewRange.from = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.from, 0, 3 * direction, 0);
      viewRange.to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.viewRange.to, 0, 3 * direction, 0);
    }
    this.setViewRange(viewRange);
  }
  _onTodayClick(event) {
    let today = this._today(),
      year = today.getFullYear(),
      month = today.getMonth(),
      date = today.getDate(),
      day = (today.getDay() + 6) % 7,
      displayMode = Planner.DisplayMode;
    if (this.displayMode === displayMode.DAY) {
      today = new Date(year, month, date);
    } else if (this.displayMode === displayMode.YEAR) {
      today = new Date(year, month, 1);
    } else {
      today = new Date(year, month, date - day); // set day to Monday
    }
    this.setViewRangeFrom(today);
  }
  _today() {
    return new Date();
  }
  _onDisplayModeClick(event) {
    let displayMode = event.displayMode;
    this.setDisplayMode(displayMode);
  }
  _onYearClick(event) {
    this.setYearPanelVisible(!this.yearPanelVisible);
  }
  _onYearPanelDateSelect(event) {
    this.setViewRangeFrom(event.date);
  }
  _onResourceTitleMouseDown(event) {
    let $resource = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).parent();
    let selectedResource = $resource.data('resource');
    if ($resource.isSelected()) {
      if (event.which === 3) {
        // Right click on an already selected resource must not clear the selection -> context menu will be opened
        return;
      }
    }
    if (event.which === 1 && event.ctrlKey) {
      if ($resource.isSelected()) {
        this._resourceSelectionMode = Planner.ResourceSelectionMode.DESELECT;
      } else if (this.multiSelect) {
        this._resourceSelectionMode = Planner.ResourceSelectionMode.ADD;
      }
    }
    this.startRow = selectedResource;
    this.lastRow = this.startRow;
    this._select();
    // add event handlers
    this._removeMouseMoveHandlers();
    if (this.multiSelect) {
      this._resourceTitleMousemoveHandler = this._onResourceTitleMousemove.bind(this);
      this._$body.document().on('mousemove', this._resourceTitleMousemoveHandler).one('mouseup', this._onDocumentMouseUp.bind(this));
    }
  }
  _onResourceTitleMousemove(event) {
    let lastRow = this._findRow(event.pageY);
    if (lastRow) {
      this.lastRow = lastRow;
    }
    this._select();
  }
  _onResourceTitleContextMenu(event) {
    this._showContextMenu(event, Planner.MenuType.Resource);
  }
  _onRangeSelectorContextMenu(event) {
    this._showContextMenu(event, Planner.MenuType.Range);
  }
  _onActivityContextMenu(event) {
    this._showContextMenu(event, Planner.MenuType.Activity);
  }
  _showContextMenu(event, allowedType) {
    event.preventDefault();
    event.stopPropagation();
    let func = function func(event, allowedType) {
      if (!this.rendered || !this.attached) {
        // check needed because function is called asynchronously
        return;
      }
      let filteredMenus = this._filterMenus([allowedType], true);
      let $part = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
      if (filteredMenus.length === 0) {
        return; // at least one menu item must be visible
      }
      let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
        parent: this,
        menuItems: filteredMenus,
        location: {
          x: event.pageX,
          y: event.pageY
        },
        $anchor: $part
      });
      popup.open();
    }.bind(this);
    this.session.onRequestsDone(func, event, allowedType);
  }
  _onGridScroll(event) {
    this._reconcileScrollPos();
  }
  /**
   * @internal
   */
  _reconcileScrollPos() {
    // When scrolling horizontally scroll scale as well
    let scrollLeft = this.$grid.scrollLeft();
    this.$scale.scrollLeft(scrollLeft);
  }
  _renderRange() {
    if (!this.viewRange.from || !this.viewRange.to) {
      return;
    }
    let text,
      toDate = new Date(this.viewRange.to.valueOf() - 1),
      toText = this.session.text('ui.to'),
      displayMode = Planner.DisplayMode;
    // find range text
    if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameDay(this.viewRange.from, toDate)) {
      text = this._dateFormat(this.viewRange.from, 'd. MMMM yyyy');
    } else if (this.viewRange.from.getMonth() === toDate.getMonth() && this.viewRange.from.getFullYear() === toDate.getFullYear()) {
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._dateFormat(this.viewRange.from, 'd.'), toText, this._dateFormat(toDate, 'd. MMMM yyyy'));
    } else if (this.viewRange.from.getFullYear() === toDate.getFullYear()) {
      if (this.displayMode === displayMode.YEAR) {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._dateFormat(this.viewRange.from, 'MMMM'), toText, this._dateFormat(toDate, 'MMMM yyyy'));
      } else {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._dateFormat(this.viewRange.from, 'd.  MMMM'), toText, this._dateFormat(toDate, 'd. MMMM yyyy'));
      }
    } else {
      if (this.displayMode === displayMode.YEAR) {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._dateFormat(this.viewRange.from, 'MMMM yyyy'), toText, this._dateFormat(toDate, 'MMMM yyyy'));
      } else {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', this._dateFormat(this.viewRange.from, 'd.  MMMM yyyy'), toText, this._dateFormat(toDate, 'd. MMMM yyyy'));
      }
    }
    // set text
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.planner-select', this.header.$range).text(text);
  }
  _renderScale() {
    if (!this.viewRange.from || !this.viewRange.to || !this.displayMode) {
      return;
    }
    let that = this,
      displayMode = Planner.DisplayMode;
    // empty scale
    this.$scale.empty();
    this.$grid.children('.planner-small-scale-item-line').remove();
    this.$grid.children('.planner-large-scale-item-line').remove();
    // append main elements
    this.$scaleTitle = this.$scale.appendDiv('planner-scale-title');
    this._renderLabel();
    this.$timeline = this.$scale.appendDiv('timeline');
    this.$timelineLarge = this.$timeline.appendDiv('timeline-large');
    this.$timelineSmall = this.$timeline.appendDiv('timeline-small');
    // fill timeline large depending on mode
    if (this.displayMode === displayMode.DAY) {
      this._renderDayScale();
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.WORK_WEEK, displayMode.WEEK)) {
      this._renderWeekScale();
    } else if (this.displayMode === displayMode.MONTH) {
      this._renderMonthScale();
    } else if (this.displayMode === displayMode.CALENDAR_WEEK) {
      this._renderCalendarWeekScale();
    } else if (this.displayMode === displayMode.YEAR) {
      this._renderYearScale();
    }
    // set sizes and append scale lines
    let $smallScaleItems = this.$timelineSmall.children('.scale-item');
    let $largeScaleItems = this.$timelineLarge.children('.scale-item');
    let width = 100 / $smallScaleItems.length;
    $largeScaleItems.each(function () {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      let $largeGridLine = that.$grid.prependDiv('planner-large-scale-item-line');
      $scaleItem.css('width', $scaleItem.data('count') * width + '%').data('scale-item-line', $largeGridLine);
      $scaleItem.prependDiv('planner-large-scale-item-line').css('left', 0);
    });
    $smallScaleItems.each(function (index) {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      $scaleItem.css('width', width + '%');
      if (!$scaleItem.data('first')) {
        let $smallGridLine = that.$grid.prependDiv('planner-small-scale-item-line');
        $scaleItem.data('scale-item-line', $smallGridLine);
        $scaleItem.prependDiv('planner-small-scale-item-line').css('left', 0);
      }
    });
    // find transfer function
    let dateFrom = this.$timelineSmall.children().first().data('date-from');
    this.beginScale = dateFrom.valueOf();
    let dateTo = this.$timelineSmall.children().last().data('date-to');
    this.endScale = dateTo.valueOf();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, displayMode.WORK_WEEK, displayMode.WEEK)) {
      let options = this.displayModeOptions[this.displayMode];
      let interval = options.interval;
      let firstHourOfDay = options.firstHourOfDay;
      let lastHourOfDay = options.lastHourOfDay;
      this.transformLeft = ((begin, end, firstHour, lastHour, interval) => t => {
        let newDate = new Date(t);
        begin = new Date(begin);
        end = new Date(end);
        let fullRangeMillis = end.valueOf() - begin.valueOf();
        // remove day component from range for scaling
        let dayDiffTBegin = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(newDate, begin);
        let dayDIffEndBegin = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(end, begin);
        let dayComponentMillis = dayDiffTBegin * 3600000 * 24;
        let rangeScaling = 24 / (lastHour - firstHour + 1);
        // re-add day component
        let dayOffset = dayDiffTBegin / dayDIffEndBegin;
        if (newDate.getHours() < firstHour) {
          // If newDate is in the morning before the first hour of day, return 00:00 of this day
          return (rangeScaling / fullRangeMillis + dayOffset) * 100;
        }
        if (newDate.getHours() > lastHour) {
          // If newDate is in the evening after the last hour of day, return 00:00 of next day
          dayOffset = (dayDiffTBegin + 1) / dayDIffEndBegin;
          return (rangeScaling / fullRangeMillis + dayOffset) * 100;
        }
        return ((newDate.valueOf() - (begin.valueOf() + firstHour * 3600000) - dayComponentMillis) * rangeScaling / fullRangeMillis + dayOffset) * 100;
      })(this.viewRange.from, this.viewRange.to, firstHourOfDay, lastHourOfDay, interval);
      this.transformWidth = ((begin, end, firstHour, lastHour, interval) => function (t0, t1) {
        let fullRangeMillis = end.valueOf() - begin.valueOf();
        let selectionRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(t0, t1);
        let hiddenRanges = this._findHiddenRangesInWeekMode();
        let selectedRangeMillis = selectionRange.subtractAll(hiddenRanges).reduce((acc, range) => acc + range.size(), 0);
        let rangeScaling = 24 / (lastHour - firstHour + 1);
        return selectedRangeMillis * rangeScaling / fullRangeMillis * 100;
      })(this.viewRange.from, this.viewRange.to, firstHourOfDay, lastHourOfDay, interval);
    } else {
      this.transformLeft = ((begin, end) => t => (t - begin) / (end - begin) * 100)(this.beginScale, this.endScale);
      this.transformWidth = ((begin, end) => (t0, t1) => (t1 - t0) / (end - begin) * 100)(this.beginScale, this.endScale);
    }
  }
  /**
   * Returns every hidden range of the view range created by first and last our of day.
   */
  _findHiddenRangesInWeekMode() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.displayMode, Planner.DisplayMode.WORK_WEEK, Planner.DisplayMode.WEEK)) {
      return [];
    }
    let ranges = [];
    let options = this.displayModeOptions[this.displayMode];
    let firstHourOfDay = options.firstHourOfDay;
    let lastHourOfDay = options.lastHourOfDay;
    let currentDate = new Date(this.viewRange.from.valueOf());
    while (currentDate < this.viewRange.to) {
      // Start of day range
      let hiddenRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(new Date(currentDate.valueOf()).valueOf(), _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(currentDate, firstHourOfDay).valueOf());
      if (hiddenRange.size() > 0) {
        ranges.push(hiddenRange);
      }
      // End of day range
      hiddenRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(_index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(currentDate, lastHourOfDay + 1).valueOf(), _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(currentDate, 24).valueOf());
      if (hiddenRange.size() > 0) {
        ranges.push(hiddenRange);
      }
      currentDate.setHours(0);
      currentDate.setMinutes(0);
      currentDate.setDate(currentDate.getDate() + 1);
    }
    return ranges;
  }
  _renderDayScale() {
    let newLargeGroup,
      $divLarge,
      $divSmall,
      first = true;
    let loop = new Date(this.viewRange.from.valueOf());
    let options = this.displayModeOptions[this.displayMode];
    let interval = options.interval;
    let labelPeriod = options.labelPeriod;
    let firstHourOfDay = options.firstHourOfDay;
    let lastHourOfDay = options.lastHourOfDay;
    // cap interval to day range
    interval = Math.min(interval, 60 * (lastHourOfDay - firstHourOfDay + 1));
    // from start to end
    while (loop < this.viewRange.to) {
      if (loop.getHours() >= firstHourOfDay && loop.getHours() <= lastHourOfDay) {
        newLargeGroup = false;
        if (loop.getMinutes() === 0 || first) {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'HH')).data('count', 0);
          newLargeGroup = true;
        }
        $divSmall = this.$timelineSmall.appendDiv('scale-item', this._dateFormat(loop, ':mm')).data('date-from', new Date(loop.valueOf()));
        // hide label
        if (loop.getMinutes() % (interval * labelPeriod) !== 0) {
          $divSmall.addClass('label-invisible');
        }
        // increase variables
        loop = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(loop, 0, interval, 0);
        this._incrementTimelineScaleItems($divLarge, $divSmall, loop, newLargeGroup);
        first = false;
      } else {
        loop = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(loop, 0, interval, 0);
      }
    }
  }
  _renderWeekScale() {
    let newLargeGroup,
      $divLarge,
      $divSmall,
      first = true;
    let loop = new Date(this.viewRange.from.valueOf());
    let options = this.displayModeOptions[this.displayMode];
    let interval = options.interval;
    let labelPeriod = options.labelPeriod;
    let firstHourOfDay = options.firstHourOfDay;
    let lastHourOfDay = options.lastHourOfDay;
    // cap interval to day range
    interval = Math.min(interval, 60 * (lastHourOfDay - firstHourOfDay + 1));
    // from start to end
    while (loop < this.viewRange.to) {
      newLargeGroup = false;
      if (loop.getHours() < firstHourOfDay) {
        loop.setHours(firstHourOfDay);
      }
      if (loop.getHours() === firstHourOfDay && loop.getMinutes() === 0 || first) {
        if (loop.getMonth() === 0 || first) {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'd. MMMM yyyy')).data('count', 0);
        } else if (loop.getDate() === 1) {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'd. MMMM')).data('count', 0);
        } else {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'd.')).data('count', 0);
        }
        newLargeGroup = true;
      }
      $divSmall = this.$timelineSmall.appendDiv('scale-item', this._dateFormat(loop, 'HH:mm')).data('date-from', new Date(loop.valueOf()));
      // hide label
      if (((loop.getHours() - firstHourOfDay) * 60 + loop.getMinutes()) % (interval * labelPeriod) !== 0) {
        $divSmall.addClass('label-invisible');
      }
      // increase variables
      loop = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(loop, 0, interval, 0, 0);
      this._incrementTimelineScaleItems($divLarge, $divSmall, loop, newLargeGroup);
      first = false;
      if (loop.getHours() > lastHourOfDay) {
        // jump to next day
        loop.setHours(0);
        loop.setMinutes(0);
        loop.setDate(loop.getDate() + 1);
      }
    }
  }
  _renderMonthScale() {
    let newLargeGroup,
      $divLarge,
      $divSmall,
      first = true;
    let loop = new Date(this.viewRange.from.valueOf());
    let options = this.displayModeOptions[this.displayMode];
    let labelPeriod = options.labelPeriod;
    // from start to end
    while (loop < this.viewRange.to) {
      newLargeGroup = false;
      if (loop.getDate() === 1 || first) {
        if (loop.getMonth() === 0 || first) {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'MMMM yyyy')).data('count', 0);
        } else {
          $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'MMMM')).data('count', 0);
        }
        newLargeGroup = true;
      }
      $divSmall = this.$timelineSmall.appendDiv('scale-item', this._dateFormat(loop, 'dd')).data('date-from', new Date(loop.valueOf()));
      // hide label
      if (loop.getDate() % labelPeriod !== 0) {
        $divSmall.addClass('label-invisible');
      }
      loop = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(loop, 0, 0, 1);
      this._incrementTimelineScaleItems($divLarge, $divSmall, loop, newLargeGroup);
      first = false;
    }
  }
  _renderCalendarWeekScale() {
    let newLargeGroup,
      $divLarge,
      $divSmall,
      first = true;
    let loop = new Date(this.viewRange.from.valueOf());
    let options = this.displayModeOptions[this.displayMode];
    let labelPeriod = options.labelPeriod;
    // from start to end
    while (loop < this.viewRange.to) {
      newLargeGroup = false;
      if (loop.getDate() < 8 || first === true) {
        if (loop.getMonth() === 0 || first === true) {
          if (loop.getDate() > 11) {
            $divLarge = this.$timelineLarge.appendDiv('scale-item').html('&nbsp;').data('count', 0);
            first = 2;
          } else {
            $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'MMMM yyyy')).data('count', 0);
            first = false;
          }
        } else {
          if (first === 2) {
            $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'MMMM yyyy')).data('count', 0);
            first = false;
          } else {
            $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'MMMM')).data('count', 0);
          }
        }
        newLargeGroup = true;
      }
      $divSmall = this.$timelineSmall.appendDiv('scale-item', _index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(loop) + '').data('date-from', new Date(loop.valueOf())).data('tooltipText', this._scaleTooltipText.bind(this));
      this._tooltipSupport.install($divSmall);
      // hide label
      if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(loop) % labelPeriod !== 0) {
        $divSmall.addClass('label-invisible');
      }
      loop.setDate(loop.getDate() + 7);
      this._incrementTimelineScaleItems($divLarge, $divSmall, loop, newLargeGroup);
    }
  }
  _renderYearScale() {
    let newLargeGroup,
      $divLarge,
      $divSmall,
      first = true;
    let loop = new Date(this.viewRange.from.valueOf());
    let options = this.displayModeOptions[this.displayMode];
    let labelPeriod = options.labelPeriod;
    // from start to end
    while (loop < this.viewRange.to) {
      newLargeGroup = false;
      if (loop.getMonth() === 0 || first) {
        $divLarge = this.$timelineLarge.appendDiv('scale-item', this._dateFormat(loop, 'yyyy')).data('count', 0);
        newLargeGroup = true;
      }
      $divSmall = this.$timelineSmall.appendDiv('scale-item', this._dateFormat(loop, 'MMMM')).data('date-from', new Date(loop.valueOf()));
      // hide label
      if (loop.getMonth() % labelPeriod !== 0) {
        $divSmall.addClass('label-invisible');
      }
      loop = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(loop, 0, 1, 0);
      this._incrementTimelineScaleItems($divLarge, $divSmall, loop, newLargeGroup);
      first = false;
    }
  }
  _incrementTimelineScaleItems($largeComp, $smallComp, newDate, newLargeGroup) {
    $largeComp.data('count', $largeComp.data('count') + 1);
    $smallComp.data('date-to', new Date(newDate.valueOf())).data('first', newLargeGroup);
  }
  /* -- scale events --------------------------------------------------- */
  _scaleTooltipText($scale) {
    let toText = ' ' + this.session.text('ui.to') + ' ',
      from = new Date($scale.data('date-from').valueOf()),
      to = new Date($scale.data('date-to').valueOf() - 1);
    if (from.getMonth() === to.getMonth()) {
      return this._dateFormat(from, 'd.') + toText + this._dateFormat(to, 'd. MMMM yyyy');
    } else if (from.getFullYear() === to.getFullYear()) {
      return this._dateFormat(from, 'd. MMMM') + toText + this._dateFormat(to, 'd. MMMM yyyy');
    }
    return this._dateFormat(from, 'd. MMMM yyyy') + toText + this._dateFormat(to, 'd. MMMM yyyy');
  }
  /* --  render resources, activities --------------------------------- */
  _removeAllResources() {
    this.resources.forEach(resource => resource.$resource.remove());
  }
  _renderResources(resources) {
    let resource,
      resourcesHtml = '';
    resources = resources || this.resources;
    for (let i = 0; i < resources.length; i++) {
      resource = resources[i];
      resourcesHtml += this._buildResourceHtml(resource);
    }
    // Append resources to grid
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(resourcesHtml).appendTo(this.$grid);
    // Match resources
    this.$grid.children('.planner-resource').each((index, element) => {
      let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element);
      resource = this.resourceById($element.attr('data-id'));
      this._linkResource($element, resource);
      this._linkActivitiesForResource(resource);
    });
  }
  _linkResource($resource, resource) {
    $resource.data('resource', resource);
    resource.$resource = $resource;
    resource.$cells = $resource.children('.resource-cells');
  }
  _linkActivity($activity, activity) {
    $activity.data('activity', activity);
    activity.$activity = $activity;
  }
  _rerenderActivities(resources) {
    resources = resources || this.resources;
    resources.forEach(resource => {
      this._removeActivitiesForResource(resource);
      this._renderActivitiesForResource(resource);
    });
  }
  _buildResourceHtml(resource) {
    let resourceHtml = '<div class="planner-resource" data-id="' + resource.id + '">';
    resourceHtml += '<div class="resource-title">' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.encode(resource.resourceCell.text || '') + '</div>';
    resourceHtml += '<div class="resource-cells">' + this._buildActivitiesHtml(resource) + '</div>';
    resourceHtml += '</div>';
    return resourceHtml;
  }
  _renderActivitiesForResource(resource) {
    resource.$cells.html(this._buildActivitiesHtml(resource));
    this._linkActivitiesForResource(resource);
  }
  _linkActivitiesForResource(resource) {
    resource.$cells.children('.planner-activity').each((index, element) => {
      let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element);
      let activity = this.activityById($element.attr('data-id'));
      this._linkActivity($element, activity);
    });
  }
  _buildActivitiesHtml(resource) {
    let activitiesHtml = '';
    resource.activities.forEach(activity => {
      if (activity.beginTime.valueOf() >= this.endScale || activity.endTime.valueOf() <= this.beginScale) {
        // don't add activities which are not in the view range
        return;
      }
      activitiesHtml += this._buildActivityHtml(activity);
    });
    return activitiesHtml;
  }
  _removeActivitiesForResource(resource) {
    resource.activities.forEach(activity => {
      if (activity.$activity) {
        activity.$activity.remove();
        activity.$activity = null;
      }
    });
  }
  _buildActivityHtml(activity) {
    let level = 100 - Math.min(activity.level * 100, 100),
      backgroundColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.modelToCssColor(activity.backgroundColor),
      foregroundColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.modelToCssColor(activity.foregroundColor),
      levelColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.modelToCssColor(activity.levelColor),
      beginTime = activity.beginTime,
      endTime = activity.endTime,
      begin = beginTime.valueOf(),
      end = endTime.valueOf();
    // Make sure activity fits into scale
    begin = Math.max(begin, this.beginScale);
    end = Math.min(end, this.endScale);
    let activityCssClass = 'planner-activity' + (activity.cssClass ? ' ' + activity.cssClass : '');
    let activityStyle = 'left: ' + 'calc(' + this.transformLeft(begin) + '% + 2px);';
    activityStyle += ' width: ' + 'calc(' + this.transformWidth(begin, end) + '% - 4px);';
    if (levelColor) {
      activityStyle += ' background-color: ' + levelColor + ';';
      activityStyle += ' border-color: ' + levelColor + ';';
    }
    if (!levelColor && backgroundColor) {
      activityStyle += ' background-color: ' + backgroundColor + ';';
      activityStyle += ' border-color: ' + backgroundColor + ';';
    }
    if (foregroundColor) {
      activityStyle += ' color: ' + foregroundColor + ';';
    }
    // The background-color represents the fill level and not the image. This makes it easier to change the color using a css class
    // In order to change the background rather than the fill, use the planner-activity-level css class
    let activityLevelCssClass = 'planner-activity-level' + (activity.cssClass ? ' ' + activity.cssClass : '');
    let activityEmptyColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get(activityLevelCssClass, 'background-color').backgroundColor;
    activityStyle += ' background-image: ' + 'linear-gradient(to bottom, ' + activityEmptyColor + ' 0%, ' + activityEmptyColor + ' ' + level + '%, transparent ' + level + '%, transparent 100% );';
    let activityHtml = '<div';
    activityHtml += ' class="' + activityCssClass + '"';
    activityHtml += ' style="' + activityStyle + '"';
    activityHtml += ' data-id="' + activity.id + '"';
    activityHtml += '>' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.encode(activity.text || '') + '</div>';
    return activityHtml;
  }
  /* -- selector -------------------------------------------------- */
  _onCellMouseDown(event) {
    let $activity,
      $resource,
      $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target),
      opensContextMenu = event.which === 3 || event.which === 1 && event.ctrlKey;
    if (this.activitySelectable) {
      if (!opensContextMenu && this.$selectors) {
        // Hide selector otherwise activity may not be resolved (elementFromPoint would return the $selector)
        // This allows selecting an activity which is inside a selection range
        this.$selectors.forEach(s => s.hide());
      }
      $activity = this.$grid.elementFromPoint(event.pageX, event.pageY);
      if (!opensContextMenu && this.$selectors) {
        this.$selectors.forEach(s => s.show());
      }
      if ($activity.hasClass('planner-activity')) {
        $resource = $activity.parent().parent();
        this.selectResources([$resource.data('resource')]);
        this.selectActivity($activity.data('activity'));
        this.selectRange(new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange());
      } else {
        this.selectActivity(null);
      }
    } else {
      this.selectActivity(null);
    }
    if (!this.rangeSelectable) {
      return;
    }
    if ($target.hasClass('selector')) {
      if (opensContextMenu) {
        // Right click on the selector must not clear the selection -> context menu will be opened
        return;
      }
    } else if (event.which === 1 && event.ctrlKey && this.multiSelect) {
      this._resourceSelectionMode = Planner.ResourceSelectionMode.ADD;
    }
    if (!this.selectedActivity) {
      // If not an activity was selected, start immediately, otherwise start as soon the mouse moves
      this._startRangeSelection(event.pageX, event.pageY);
    }
    // add event handlers
    this._removeMouseMoveHandlers();
    this._cellMousemoveHandler = this._onCellMousemove.bind(this, event);
    this._$body.document().on('mousemove', this._cellMousemoveHandler).one('mouseup', this._onDocumentMouseUp.bind(this));
  }
  _startRangeSelection(pageX, pageY) {
    // init selector
    this.startRow = this._findRow(pageY);
    this.lastRow = this.startRow;
    // find range on scale
    this.startRange = this._findScale(pageX);
    this.lastRange = this.startRange;
    // draw
    this._select();
    this._rangeSelectionStarted = true;
  }
  /**
   * @returns true if the range selection may be started, false if not
   */
  _prepareRangeSelectionByMousemove(mousedownEvent, mousemoveEvent) {
    let moveX = mousedownEvent.pageX - mousemoveEvent.pageX;
    let moveY = mousedownEvent.pageY - mousemoveEvent.pageY;
    let moveThreshold = Planner.RANGE_SELECTION_MOVE_THRESHOLD;
    if (Math.abs(moveX) >= moveThreshold) {
      // Accept if x movement is big enough
      return true;
    }
    let mousedownRow = this._findRow(mousedownEvent.pageY);
    let mousemoveRow = this._findRow(mousemoveEvent.pageY);
    // Accept if y movement is big enough AND the row changed. No need to switch into range selection mode if cursor is still on the same row
    return Math.abs(moveY) >= moveThreshold && this.multiSelect && mousedownRow !== mousemoveRow;
  }
  _onCellMousemove(mousedownEvent, event) {
    if (this.selectedActivity && !this._rangeSelectionStarted) {
      // If an activity was selected, switch to range selection if the user moves the mouse
      if (!this._prepareRangeSelectionByMousemove(mousedownEvent, event)) {
        return;
      }
      this._startRangeSelection(mousedownEvent.pageX, mousedownEvent.pageY);
    }
    let lastRow = this._findRow(event.pageY);
    if (lastRow) {
      this.lastRow = lastRow;
    }
    let lastRange = this._findScale(event.pageX);
    if (lastRange) {
      this.lastRange = lastRange;
    }
    this._select();
  }
  _onResizeMouseDown(event) {
    let swap,
      $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    this.startRow = this.selectedResources[0];
    this.lastRow = this.selectedResources[this.selectedResources.length - 1];
    // Get the start and last range based on the clicked resize handle. If the ranges cannot be determined it likely means that the selectionRange is out of the current viewRange or dayRange (set by firstHourOfDay, lastHourOfDay)
    this.startRange = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._findScaleByFromDate(this.selectionRange.from), new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.selectionRange.from.getTime(), this.selectionRange.from.getTime()));
    this.lastRange = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._findScaleByToDate(this.selectionRange.to), new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.selectionRange.to.getTime(), this.selectionRange.to.getTime()));
    // Swap start and last range if resize-left is clicked
    if ($target.hasClass('selector-resize-left')) {
      swap = this.startRange;
      this.startRange = this.lastRange;
      this.lastRange = swap;
    }
    this._$body.addClass('col-resize');
    this._removeMouseMoveHandlers();
    this._resizeMousemoveHandler = this._onResizeMousemove.bind(this);
    this._$body.document().on('mousemove', this._resizeMousemoveHandler).one('mouseup', this._onDocumentMouseUp.bind(this));
    return false;
  }
  _onResizeMousemove(event) {
    if (!this.rendered) {
      // planner may be removed in the meantime
      return;
    }
    let lastRange = this._findScale(event.pageX);
    if (lastRange) {
      this.lastRange = lastRange;
    }
    this._select(false);
  }
  _onDocumentMouseUp(event) {
    this._$body.removeClass('col-resize');
    this._removeMouseMoveHandlers();
    this._resourceSelectionMode = Planner.ResourceSelectionMode.DEFAULT;
    if (!this._rangeSelectionStarted) {
      // Range selection has not been initiated -> don't call select()
      return;
    }
    this._rangeSelectionStarted = false;
    if (this.rendered) {
      this._select(false);
    }
  }
  _removeMouseMoveHandlers() {
    if (this._cellMousemoveHandler) {
      this._$body.document().off('mousemove', this._cellMousemoveHandler);
      this._cellMousemoveHandler = null;
    }
    if (this._resourceTitleMousemoveHandler) {
      this._$body.document().off('mousemove', this._resourceTitleMousemoveHandler);
      this._resourceTitleMousemoveHandler = null;
    }
    if (this._resizeMousemoveHandler) {
      this._$body.document().off('mousemove', this._resizeMousemoveHandler);
      this._resizeMousemoveHandler = null;
    }
  }
  _select() {
    let updateResources = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (updateResources && (!this.startRow || !this.lastRow)) {
      return;
    }
    let rangeSelected = !!(this.startRange && this.lastRange);
    if (updateResources) {
      let $startRow = this.startRow.$resource,
        $lastRow = this.lastRow.$resource;
      // in case of single selection
      if (!this.multiSelect) {
        this.lastRow = this.startRow;
        $lastRow = this.startRow.$resource;
      }
      // select rows
      let $upperRow = $startRow[0].offsetTop <= $lastRow[0].offsetTop ? $startRow : $lastRow,
        $lowerRow = $startRow[0].offsetTop > $lastRow[0].offsetTop ? $startRow : $lastRow,
        resources = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.planner-resource', this.$grid).toArray(),
        top = $upperRow[0].offsetTop,
        low = $lowerRow[0].offsetTop;
      for (let r = resources.length - 1; r >= 0; r--) {
        let row = resources[r];
        if (row.offsetTop < top && row.offsetTop < low || row.offsetTop > top && row.offsetTop > low) {
          resources.splice(r, 1);
        }
      }
      let selectedResources = resources.map(i => jquery__WEBPACK_IMPORTED_MODULE_1___default()(i).data('resource'));
      if (this._resourceSelectionMode === Planner.ResourceSelectionMode.ADD) {
        selectedResources = selectedResources.concat(this.selectedResources).sort((a, b) => _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC.compare(a.$resource.index(), b.$resource.index()));
        this.selectResources(selectedResources);
      } else if (this._resourceSelectionMode === Planner.ResourceSelectionMode.DESELECT) {
        this.deselectResources(selectedResources);
      } else {
        this.selectResources(selectedResources);
      }
    }
    this.selectActivity(null);
    if (rangeSelected) {
      // left and width
      let from = Math.min(this.lastRange.from.valueOf(), this.startRange.from.valueOf()),
        to = Math.max(this.lastRange.to.valueOf(), this.startRange.to.valueOf());
      let selectionRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(new Date(from), new Date(to));
      selectionRange = this._adjustSelectionRange(selectionRange);
      this.selectRange(selectionRange);
    }
  }
  _adjustSelectionRange(range) {
    let from = range.from.getTime();
    let to = range.to.getTime();
    // Ensure minimum size of selection range (interval is in minutes)
    let minSelectionDuration = 0;
    let options = this.displayModeOptions[this.displayMode];
    if (options.interval > 0 && options.minSelectionIntervalCount > 0) {
      minSelectionDuration = options.minSelectionIntervalCount * options.interval * 60000;
    }
    let lastHourOfDay = options.lastHourOfDay;
    let endOfDay = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(_index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(range.from), lastHourOfDay + 1);
    let viewRange = this._visibleViewRange();
    if (this.lastRange.from < this.startRange.from) {
      // Selecting to left
      if (to - minSelectionDuration >= viewRange.from.getTime()) {
        // extend to left side
        from = Math.min(from, to - minSelectionDuration);
      } else {
        // extend to right side if from would be smaller than the minimum date (left border)
        from = viewRange.from.getTime();
        to = Math.max(to, Math.min(from + minSelectionDuration, viewRange.to.getTime()));
      }
    } else {
      // Selecting to right
      if (from + minSelectionDuration <= viewRange.to.getTime()) {
        // extend to right side
        to = Math.max(to, Math.max(from + minSelectionDuration, viewRange.from.getTime()));
        if (to >= endOfDay.getTime() && new _index__WEBPACK_IMPORTED_MODULE_0__.Range(from, to).size() === minSelectionDuration) {
          // extend to left side when clicking at the end of a day
          to = endOfDay.getTime();
          from = Math.min(from, to - minSelectionDuration);
        }
      } else {
        // extend to left side if to would be greater than the maximum date (right border)
        to = viewRange.to.getTime();
        from = Math.min(from, to - minSelectionDuration);
      }
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(new Date(from), new Date(to));
  }
  _findRow(y) {
    let $row,
      gridBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$grid),
      x = gridBounds.x + 10;
    y = Math.min(Math.max(y, 0), gridBounds.y + gridBounds.height - 1);
    $row = this.$container.elementFromPoint(x, y, '.planner-resource');
    if ($row.length > 0) {
      return $row.data('resource');
    }
    return null;
  }
  _findScale(x) {
    let $scaleItem,
      gridBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$grid),
      y = this.$scale.offset().top + this.$scale.height() * 0.75;
    x = Math.min(Math.max(x, 0), gridBounds.x + gridBounds.width - 1);
    $scaleItem = this.$container.elementFromPoint(x, y, '.scale-item');
    if ($scaleItem.length > 0) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange($scaleItem.data('date-from').valueOf(), $scaleItem.data('date-to').valueOf());
    }
    return null;
  }
  _findScaleByFromDate(from) {
    return this._findScaleByFunction((i, elem) => {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      if ($scaleItem.data('date-from').getTime() === from.getTime()) {
        return true;
      }
    });
  }
  _findScaleByToDate(to) {
    return this._findScaleByFunction((i, elem) => {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      if ($scaleItem.data('date-to').getTime() === to.getTime()) {
        return true;
      }
    });
  }
  _findScaleByFunction(func) {
    let $scaleItem = this.$timelineSmall.children('.scale-item').filter(func);
    if (!$scaleItem.length) {
      return null;
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange($scaleItem.data('date-from').valueOf(), $scaleItem.data('date-to').valueOf());
  }
  /**
   * @returns the visible view range (the difference to this.viewRange is that first and last hourOfDay are considered).
   */
  _visibleViewRange() {
    let $items = this.$timelineSmall.children('.scale-item');
    return new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange($items.first().data('date-from'), $items.last().data('date-to'));
  }
  /* -- helper ---------------------------------------------------- */
  _dateFormat(date, pattern) {
    let d = new Date(date.valueOf()),
      dateFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this.session.locale, pattern);
    return dateFormat.format(d);
  }
  _renderViewRange() {
    this._renderRange();
    this._renderScale();
    this.invalidateLayoutTree();
  }
  _renderHeaderVisible() {
    this.header.setVisible(this.headerVisible);
    this.invalidateLayoutTree();
  }
  _renderYearPanelVisible(animated) {
    let yearPanelWidth;
    if (this.yearPanelVisible) {
      this.yearPanel.renderContent();
    }
    // show or hide year panel
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.calendar-toggle-year', this.$modes).select(this.yearPanelVisible);
    if (this.yearPanelVisible) {
      yearPanelWidth = 210;
    } else {
      yearPanelWidth = 0;
    }
    this.yearPanel.$container.animate({
      width: yearPanelWidth
    }, {
      duration: animated ? 500 : 0,
      progress: this._onYearPanelWidthChange.bind(this),
      complete: this._afterYearPanelWidthChange.bind(this)
    });
  }
  _onYearPanelWidthChange() {
    if (!this.yearPanel.$container) {
      // If container has been removed in the meantime (e.g. user navigates away while animation is in progress)
      return;
    }
    let yearPanelWidth = this.yearPanel.$container.outerWidth();
    this.$grid.css('width', 'calc(100% - ' + yearPanelWidth + 'px)');
    this.$scale.css('width', 'calc(100% - ' + yearPanelWidth + 'px)');
    this.revalidateLayout();
  }
  _afterYearPanelWidthChange() {
    if (!this.yearPanelVisible) {
      this.yearPanel.removeContent();
    }
  }
  _setMenus(menus) {
    this.updateKeyStrokes(menus, this.menus);
    this._setProperty('menus', menus);
    this._updateMenuBar();
  }
  _removeMenus() {
    // menubar takes care of removal
  }
  _updateMenuBar() {
    let menuItems = this._filterMenus([Planner.MenuType.EmptySpace, Planner.MenuType.Resource, Planner.MenuType.Activity, Planner.MenuType.Range], false, true);
    this.menuBar.setMenuItems(menuItems);
  }
  _filterMenus(allowedTypes, onlyVisible, enableDisableKeyStrokes) {
    allowedTypes = allowedTypes || [];
    if (allowedTypes.indexOf(Planner.MenuType.Resource) > -1 && this.selectedResources.length === 0) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(allowedTypes, Planner.MenuType.Resource);
    }
    if (allowedTypes.indexOf(Planner.MenuType.Activity) > -1 && !this.selectedActivity) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(allowedTypes, Planner.MenuType.Activity);
    }
    if (allowedTypes.indexOf(Planner.MenuType.Range) > -1 && (this.selectedResources.length === 0 || !this.selectionRange.from || !this.selectionRange.to)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(allowedTypes, Planner.MenuType.Range);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filter(this.menus, allowedTypes, {
      onlyVisible,
      enableDisableKeyStrokes,
      defaultMenuTypes: this.defaultMenuTypes
    });
  }
  setDisplayModeOptions(displayModeOptions) {
    this.setProperty('displayModeOptions', displayModeOptions);
  }
  _setDisplayModeOptions(displayModeOptions) {
    if (displayModeOptions) {
      this._adjustHours(displayModeOptions);
    }
    this.displayModeOptions = displayModeOptions;
  }
  /**
   * Make sure configured our is between 0 and 23.
   */
  _adjustHours(optionsMap) {
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(optionsMap).forEach(options => {
      if (options.firstHourOfDay) {
        options.firstHourOfDay = validHour(options.firstHourOfDay);
      }
      if (options.lastHourOfDay) {
        options.lastHourOfDay = validHour(options.lastHourOfDay);
      }
    });
    function validHour(hour) {
      if (hour < 0) {
        return 0;
      }
      if (hour > 23) {
        return 23;
      }
      return hour;
    }
  }
  _renderDisplayModeOptions() {
    this._renderRange();
    this._renderScale();
    this._rerenderActivities(); // required in case first/lastHourOfDay changes
    this._select(false); // adjust selection if minSelectionIntervalCount has changed
    this.invalidateLayoutTree();
  }
  _renderAvailableDisplayModes() {
    // done by PlannerHeader.ts
  }
  _renderDisplayMode() {
    // done by PlannerHeader.ts
  }
  _setViewRange(viewRange) {
    var _viewRange$to;
    viewRange = _index__WEBPACK_IMPORTED_MODULE_0__.DateRange.ensure(viewRange) || new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange();
    if (viewRange.from && viewRange.from.valueOf() >= ((_viewRange$to = viewRange.to) === null || _viewRange$to === void 0 ? void 0 : _viewRange$to.valueOf())) {
      throw new Error('Invalid viewRange provided: ' + viewRange);
    }
    this._setProperty('viewRange', viewRange);
    this.yearPanel.setViewRange(this.viewRange);
    this.yearPanel.selectDate(this.viewRange.from);
  }
  _setDisplayMode(displayMode) {
    this._setProperty('displayMode', displayMode);
    this.yearPanel.setDisplayMode(this.displayMode);
    this.header.setDisplayMode(this.displayMode);
  }
  _setAvailableDisplayModes(availableDisplayModes) {
    this._setProperty('availableDisplayModes', availableDisplayModes);
    this.header.setAvailableDisplayModes(this.availableDisplayModes);
  }
  _setSelectionRange(selectionRange) {
    selectionRange = _index__WEBPACK_IMPORTED_MODULE_0__.DateRange.ensure(selectionRange);
    this._setProperty('selectionRange', selectionRange);
    this.session.onRequestsDone(this._updateMenuBar.bind(this));
  }
  _setSelectedResources(selectedResources) {
    if (typeof selectedResources[0] === 'string') {
      selectedResources = this.resourcesByIds(selectedResources);
    }
    if (this.rendered) {
      this._removeSelectedResources();
    }
    this._setProperty('selectedResources', selectedResources);
    this.session.onRequestsDone(this._updateMenuBar.bind(this));
  }
  _removeSelectedResources() {
    this.selectedResources.forEach(resource => resource.$resource.select(false));
  }
  _renderSelectedResources() {
    this.selectedResources.forEach(resource => resource.$resource.select(true));
  }
  _renderActivitySelectable() {
    if (this.selectedActivity && this.selectedActivity.$activity) {
      this.selectedActivity.$activity.toggleClass('selected', this.activitySelectable);
    }
  }
  _renderRangeSelectable() {
    if (!this.rangeSelectable) {
      this._removeSelectors();
    } else {
      this._renderSelectionRange();
    }
  }
  _renderMultiSelect() {
    if (!this.multiSelect && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.length(this.selectedResources) > 1) {
      this.selectResources(this.selectedResources[0]);
    }
  }
  _removeSelectors() {
    if (this.$selectors) {
      this.$selectors.forEach(s => s.remove());
    }
    if (this.$highlight) {
      this.$highlight.remove();
    }
  }
  _renderSelectionRange() {
    // remove old selector
    this._removeSelectors();
    if (!this.rangeSelectable || this.selectedResources.length === 0 || !this.selectionRange.from || !this.selectionRange.to) {
      return;
    }
    this.$selectors = [];
    let $startRow = this.selectedResources[0].$resource;
    let $lastRow = $startRow;
    let lastIndex;
    for (let i = 0; i < this.selectedResources.length; i++) {
      let $currentRow = this.selectedResources[i].$resource;
      let currentIndex = $currentRow.index();
      if (!!lastIndex && lastIndex + 1 < currentIndex) {
        // render selection
        this._renderSelectionRangeInternal($startRow, $lastRow, false);
        $startRow = $currentRow;
      }
      lastIndex = currentIndex;
      $lastRow = $currentRow;
    }
    this._renderSelectionRangeInternal($startRow, $lastRow, true);
  }
  _renderSelectionRangeInternal($startRow, $lastRow, colorizeScale) {
    let fromDate = this.selectionRange.from,
      toDate = this.selectionRange.to;
    // Make sure selection fits into scale
    let from = Math.max(fromDate.valueOf(), this.beginScale);
    let to = Math.min(toDate.valueOf(), this.endScale);
    // top and height
    let $parent = $startRow[0].offsetTop <= $lastRow[0].offsetTop ? $startRow : $lastRow;
    let $selector = $parent.children('.resource-cells').appendDiv('selector');
    $selector.cssHeight($startRow.outerHeight() + Math.abs($lastRow[0].offsetTop - $startRow[0].offsetTop));
    let $selectorResizeLeft = $selector.appendDiv('selector-resize-left').on('mousedown', this._onResizeMouseDown.bind(this));
    let $selectorResizeRight = $selector.appendDiv('selector-resize-right').on('mousedown', this._onResizeMouseDown.bind(this));
    $selector.css('left', 'calc(' + this.transformLeft(from) + '% - ' + $selectorResizeLeft.cssWidth() + 'px)').css('width', 'calc(' + this.transformWidth(from, to) + '% + ' + ($selectorResizeLeft.cssWidth() + $selectorResizeRight.cssWidth()) + 'px)').on('contextmenu', this._onRangeSelectorContextMenu.bind(this));
    this.$selectors.push($selector);
    if (colorizeScale) {
      // colorize scale
      this.$highlight = this.$timelineSmall.prependDiv('highlight');
      let left = this.$selectors[0].cssLeft() + $selectorResizeLeft.cssWidth() + this.$scaleTitle.cssWidth();
      let width = this.$selectors[0].cssWidth() - ($selectorResizeLeft.cssWidth() + $selectorResizeRight.cssWidth());
      this.$highlight.cssLeft(left).cssWidth(width);
    }
  }
  _setSelectedActivity(selectedActivity) {
    if (typeof selectedActivity === 'string') {
      selectedActivity = this.activityById(selectedActivity);
    }
    if (this.rendered) {
      this._removeSelectedActivity();
    }
    this._setProperty('selectedActivity', selectedActivity);
    this.session.onRequestsDone(this._updateMenuBar.bind(this));
  }
  _removeSelectedActivity() {
    if (this.selectedActivity && this.selectedActivity.$activity) {
      this.selectedActivity.$activity.removeClass('selected');
    }
  }
  _renderSelectedActivity() {
    if (this.selectedActivity && this.selectedActivity.$activity) {
      this.selectedActivity.$activity.addClass('selected');
    }
  }
  _renderLabel() {
    let label = this.label || '';
    if (this.$scaleTitle) {
      this.$scaleTitle.text(label);
    }
  }
  resourcesByIds(ids) {
    return ids.map(this.resourceById.bind(this));
  }
  activityById(id) {
    return this.activityMap[id];
  }
  resourceById(id) {
    return this.resourceMap[id];
  }
  setDisplayMode(displayMode) {
    this.setProperty('displayMode', displayMode);
    this.startRange = null;
    this.lastRange = null;
  }
  layoutYearPanel() {
    if (this.yearPanelVisible) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.yearPanel.$yearList);
      this.yearPanel._scrollYear();
    }
  }
  setYearPanelVisible(visible) {
    if (this.yearPanelVisible === visible) {
      return;
    }
    this._setProperty('yearPanelVisible', visible);
    if (this.rendered) {
      this._renderYearPanelVisible(true);
    }
  }
  setViewRangeFrom(date) {
    let daysDiff = _index__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(this.viewRange.to, this.viewRange.from);
    let viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange(this.viewRange.from, this.viewRange.to);
    viewRange.from = date;
    viewRange.to = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, 0, daysDiff);
    this.setViewRange(viewRange);
  }
  setViewRange(viewRange) {
    if (this.viewRange === viewRange) {
      return;
    }
    this._setViewRange(viewRange);
    if (this.rendered) {
      this._renderViewRange();
      this._rerenderActivities();
      this._renderSelectedActivity();
      this.validateLayoutTree(); // Layouting is required for adjusting the scroll position
      this._reconcileScrollPos();
    }
  }
  selectRange(range) {
    if (range && range.equals(this.selectionRange)) {
      return;
    }
    this.setProperty('selectionRange', range);
  }
  selectActivity(activity) {
    this.setProperty('selectedActivity', activity);
  }
  selectResources(resources) {
    let resourcesArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(resources);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(resourcesArray, this.selectedResources)) {
      return;
    }
    // Make a copy so that original array stays untouched
    resourcesArray = resourcesArray.slice();
    this.setProperty('selectedResources', resourcesArray);
    this.trigger('resourcesSelected', {
      resources: resourcesArray
    });
    if (this.rendered) {
      // Render selection range as well for the case if selectedRange does not change but selected resources do
      this._renderSelectionRange();
    }
  }
  /**
   * Returns true if a deselection happened. False if the given resources were not selected at all.
   */
  deselectResources(resources) {
    let deselected = false;
    resources = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(resources);
    let selectedResources = this.selectedResources.slice(); // copy
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(selectedResources, resources)) {
      this.selectResources(selectedResources);
      deselected = true;
    }
    return deselected;
  }
  insertResources(resources) {
    let allNew = [];
    // Update model
    resources.forEach(resource => {
      let res = this._initResource(resource);
      allNew.push(res);
      // Always insert new rows at the end, if the order is wrong a rowOrderChanged event will follow
      this.resources.push(res);
    });
    // Update HTML
    if (this.rendered) {
      this._renderResources(allNew);
      this.invalidateLayoutTree();
    }
  }
  deleteResources(resources) {
    if (this.deselectResources(resources)) {
      this.selectRange(new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange());
    }
    resources.forEach(resource => {
      // Update model
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.resources, resource);
      delete this.resourceMap[resource.id];
      resource.activities.forEach(activity => delete this.activityMap[activity.id]);
      // Update HTML
      if (this.rendered) {
        resource.$resource.remove();
        delete resource.$resource;
      }
    });
    this.invalidateLayoutTree();
  }
  deleteAllResources() {
    // Update HTML
    if (this.rendered) {
      this._removeAllResources();
      this.invalidateLayoutTree();
    }
    // Update model
    this.resources = [];
    this.resourceMap = {};
    this.activityMap = {};
    this.selectResources([]);
    this.selectRange(new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange());
  }
  updateResources(resources) {
    resources.forEach(updatedResource => {
      let oldResource = this.resourceMap[updatedResource.id];
      if (!oldResource) {
        throw new Error('Update event received for non existing resource. ResourceId: ' + updatedResource.id);
      }
      // Replace old resource
      this._initResource(updatedResource);
      let newResource = updatedResource;
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.replace(this.resources, oldResource, newResource);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.replace(this.selectedResources, oldResource, newResource);
      // Replace old $resource
      if (this.rendered && oldResource.$resource) {
        let $updatedResource = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this._buildResourceHtml(newResource));
        oldResource.$resource.replaceWith($updatedResource);
        $updatedResource.css('min-width', oldResource.$resource.css('min-width'));
        this._linkResource($updatedResource, newResource);
        this._linkActivitiesForResource(newResource);
      }
    });
  }
}
_defineProperty(Planner, "Direction", {
  BACKWARD: -1,
  FORWARD: 1
});
/**
 * Enum providing display-modes for planner (extends calendar).
 * @see IPlannerDisplayMode.java
 */
_defineProperty(Planner, "DisplayMode", {
  DAY: 1,
  WEEK: 2,
  MONTH: 3,
  WORK_WEEK: 4,
  CALENDAR_WEEK: 5,
  YEAR: 6
});
_defineProperty(Planner, "RANGE_SELECTION_MOVE_THRESHOLD", 10);
_defineProperty(Planner, "MenuType", {
  Activity: 'Planner.Activity',
  EmptySpace: 'Planner.EmptySpace',
  Range: 'Planner.Range',
  Resource: 'Planner.Resource'
});
_defineProperty(Planner, "ResourceSelectionMode", {
  DEFAULT: 0,
  DESELECT: 1,
  ADD: 2
});

/***/ }),

/***/ "./src/planner/PlannerAdapter.ts":
/*!***************************************!*\
  !*** ./src/planner/PlannerAdapter.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerAdapter: () => (/* binding */ PlannerAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlannerAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['displayMode', 'viewRange', 'selectionRange', 'selectedActivity']);
    this._addOrderedProperties(['displayMode', 'viewRange']);
  }
  _sendViewRange(viewRange) {
    this._send('property', {
      viewRange: _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDateRange(viewRange)
    });
  }
  _sendSelectedActivity() {
    let activityId = null;
    if (this.widget.selectedActivity) {
      activityId = this.widget.selectedActivity.id;
    }
    this._send('property', {
      selectedActivity: activityId
    });
  }
  _sendSelectionRange() {
    let selectionRange = _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDateRange(this.widget.selectionRange);
    this._send('property', {
      selectionRange: selectionRange
    });
  }
  _onWidgetResourcesSelected(event) {
    this._sendResourcesSelected();
  }
  _sendResourcesSelected() {
    let resourceIds = this.widget.selectedResources.map(r => r.id);
    this._send('resourcesSelected', {
      resourceIds: resourceIds
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'resourcesSelected') {
      this._onWidgetResourcesSelected(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onResourcesInserted(resources) {
    this.widget.insertResources(resources);
  }
  _onResourcesDeleted(resourceIds) {
    let resources = this.widget.resourcesByIds(resourceIds);
    this.addFilterForWidgetEventType('resourcesSelected');
    this.addFilterForProperties({
      selectionRange: new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange()
    });
    this.widget.deleteResources(resources);
  }
  _onAllResourcesDeleted() {
    this.addFilterForWidgetEventType('resourcesSelected');
    this.addFilterForProperties({
      selectionRange: new _index__WEBPACK_IMPORTED_MODULE_0__.DateRange()
    });
    this.widget.deleteAllResources();
  }
  _onResourcesSelected(resourceIds) {
    let resources = this.widget.resourcesByIds(resourceIds);
    this.addFilterForWidgetEventType('resourcesSelected');
    this.widget.selectResources(resources);
  }
  _onResourcesUpdated(resources) {
    this.widget.updateResources(resources);
  }
  onModelAction(event) {
    if (event.type === 'resourcesInserted') {
      this._onResourcesInserted(event.resources);
    } else if (event.type === 'resourcesDeleted') {
      this._onResourcesDeleted(event.resourceIds);
    } else if (event.type === 'allResourcesDeleted') {
      this._onAllResourcesDeleted();
    } else if (event.type === 'resourcesSelected') {
      this._onResourcesSelected(event.resourceIds);
    } else if (event.type === 'resourcesUpdated') {
      this._onResourcesUpdated(event.resources);
    } else {
      super.onModelAction(event);
    }
  }
  static _initResourceRemote(resource) {
    if (this.modelAdapter) {
      _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(resource, 'Resource');
    }
    return this._initResourceOrig(resource);
  }
  static _initActivityRemote(activity) {
    if (this.modelAdapter) {
      _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(activity, 'Activity');
    }
    return this._initActivityOrig(activity);
  }
  static modifyPlannerPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Planner, '_initResource', PlannerAdapter._initResourceRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Planner, '_initActivity', PlannerAdapter._initActivityRemote, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', PlannerAdapter.modifyPlannerPrototype);

/***/ }),

/***/ "./src/planner/PlannerEventMap.ts":
/*!****************************************!*\
  !*** ./src/planner/PlannerEventMap.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/planner/PlannerHeader.ts":
/*!**************************************!*\
  !*** ./src/planner/PlannerHeader.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerHeader: () => (/* binding */ PlannerHeader)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PlannerHeader extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "$range", void 0);
    _defineProperty(this, "$commands", void 0);
    _defineProperty(this, "availableDisplayModes", void 0);
    _defineProperty(this, "displayMode", void 0);
    this.availableDisplayModes = [];
  }
  _render() {
    this.$container = this.$parent.appendDiv('planner-header');
    this.$range = this.$container.appendDiv('planner-range');
    this.$range.appendDiv('planner-previous').on('click', this._onPreviousClick.bind(this));
    this.$range.appendDiv('planner-today', this.session.text('ui.CalendarToday')).on('click', this._onTodayClick.bind(this));
    this.$range.appendDiv('planner-next').on('click', this._onNextClick.bind(this));
    this.$range.appendDiv('planner-select');
    this.$commands = this.$container.appendDiv('planner-commands');
    this._renderAvailableDisplayModes();
    this._renderDisplayMode();
  }
  setAvailableDisplayModes(displayModes) {
    this.setProperty('availableDisplayModes', displayModes);
  }
  _renderAvailableDisplayModes() {
    let displayMode = _index__WEBPACK_IMPORTED_MODULE_0__.Planner.DisplayMode;
    this.$commands.empty();
    if (this.availableDisplayModes.length > 1) {
      if (this.availableDisplayModes.indexOf(displayMode.DAY) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarDay')).attr('data-mode', displayMode.DAY).on('click', this._onDisplayModeClick.bind(this));
      }
      if (this.availableDisplayModes.indexOf(displayMode.WORK_WEEK) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarWorkWeek')).attr('data-mode', displayMode.WORK_WEEK).on('click', this._onDisplayModeClick.bind(this));
      }
      if (this.availableDisplayModes.indexOf(displayMode.WEEK) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarWeek')).attr('data-mode', displayMode.WEEK).on('click', this._onDisplayModeClick.bind(this));
      }
      if (this.availableDisplayModes.indexOf(displayMode.MONTH) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarMonth')).attr('data-mode', displayMode.MONTH).on('click', this._onDisplayModeClick.bind(this));
      }
      if (this.availableDisplayModes.indexOf(displayMode.CALENDAR_WEEK) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarCalendarWeek')).attr('data-mode', displayMode.CALENDAR_WEEK).on('click', this._onDisplayModeClick.bind(this));
      }
      if (this.availableDisplayModes.indexOf(displayMode.YEAR) > -1) {
        this.$commands.appendDiv('planner-mode', this.session.text('ui.CalendarYear')).attr('data-mode', displayMode.YEAR).on('click', this._onDisplayModeClick.bind(this));
      }
    }
    let $modes = this.$commands.children('.planner-mode');
    $modes.first().addClass('first');
    $modes.last().addClass('last');
    if ($modes.length === 1) {
      $modes.first().addClass('disabled');
      $modes.off('click');
    }
    this.$commands.appendDiv('planner-toggle-year').on('click', this._onYearClick.bind(this));
  }
  setDisplayMode(displayMode) {
    this.setProperty('displayMode', displayMode);
  }
  _renderDisplayMode() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('.planner-mode', this.$commands).select(false);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('[data-mode="' + this.displayMode + '"]', this.$commands).select(true);
  }
  _onTodayClick(event) {
    this.trigger('todayClick');
  }
  _onNextClick(event) {
    this.trigger('nextClick');
  }
  _onPreviousClick(event) {
    this.trigger('previousClick');
  }
  _onYearClick(event) {
    this.trigger('yearClick');
  }
  _onDisplayModeClick(event) {
    let displayMode = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).data('mode');
    this.setDisplayMode(displayMode);
    this.trigger('displayModeClick', {
      displayMode: this.displayMode
    });
  }
}

/***/ }),

/***/ "./src/planner/PlannerHeaderEventMap.ts":
/*!**********************************************!*\
  !*** ./src/planner/PlannerHeaderEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/planner/PlannerLayout.ts":
/*!**************************************!*\
  !*** ./src/planner/PlannerLayout.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerLayout: () => (/* binding */ PlannerLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class PlannerLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(planner) {
    super();
    _defineProperty(this, "planner", void 0);
    this.planner = planner;
  }
  layout($container) {
    let menuBarSize,
      $header = this.planner.header.$container,
      $scale = this.planner.$scale,
      $grid = this.planner.$grid,
      menuBar = this.planner.menuBar,
      $yearContainer = this.planner.yearPanel.$container,
      menuBarHeight = 0,
      gridHeight = 0,
      yearContainerHeight = 0,
      gridTop = 0,
      scaleTop = 0,
      htmlMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(menuBar.$container),
      htmlContainer = this.planner.htmlComp,
      containerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    if (menuBar.$container.isVisible()) {
      menuBarSize = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize);
      htmlMenuBar.setSize(menuBarSize);
      menuBarHeight = menuBarSize.height;
      if (menuBar.position === 'top') {
        scaleTop += menuBarHeight;
      }
    }
    if ($header.isVisible()) {
      scaleTop += _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($header).height;
    }
    $scale.css('top', scaleTop);
    gridTop += scaleTop + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($scale).height;
    $grid.css('top', gridTop);
    yearContainerHeight = scaleTop + $yearContainer.cssMarginY();
    gridHeight = gridTop + $grid.cssMarginY();
    if (menuBar.$container.isVisible() && menuBar.position === 'bottom') {
      yearContainerHeight += menuBarHeight;
      gridHeight += menuBarHeight;
    }
    $yearContainer.css('height', 'calc(100% - ' + yearContainerHeight + 'px)');
    $grid.css('height', 'calc(100% - ' + gridHeight + 'px)');
    this._updateMinWidth();
    this._layoutScaleLines();
    // immediate update to prevent flickering, due to reset in layoutScaleLines
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.planner.$grid, true);
    // If scroll position did not change planner._onGridScroll is not called -> ensure scrollLeft of $scale is correct
    this.planner._reconcileScrollPos();
    this.planner.layoutYearPanel();
  }
  /**
   * Min width is necessary for horizontal scrollbar
   */
  _updateMinWidth() {
    let minWidth = this._minWidth(),
      $scaleTitle = this.planner.$scaleTitle,
      $timeline = this.planner.$timeline;
    if (!$timeline) {
      // May be null if no view range is rendered
      return;
    }
    $timeline.css('min-width', minWidth);
    minWidth += $scaleTitle.outerWidth(true);
    this.planner.resources.forEach(resource => resource.$resource.css('min-width', minWidth));
  }
  /**
   * Positions the scale lines and set to correct height
   */
  _layoutScaleLines() {
    let $timelineSmall = this.planner.$timelineSmall;
    if (!$timelineSmall) {
      // May be null if no view range is rendered
      return;
    }
    let $timelineLarge = this.planner.$timelineLarge;
    let $smallScaleItems = $timelineSmall.children('.scale-item');
    let $largeScaleItems = $timelineLarge.children('.scale-item');
    // First loop through every item and set height to 0 in order to get the correct scrollHeight
    $largeScaleItems.each(function () {
      let $scaleItemLine = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('scale-item-line');
      $scaleItemLine.cssHeight(0);
    });
    $smallScaleItems.each(function () {
      let $scaleItemLine = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('scale-item-line');
      if ($scaleItemLine) {
        $scaleItemLine.cssHeight(0);
      }
    });
    // also make sure there is no scrollbar anymore which could influence scrollHeight
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.reset(this.planner.$grid);
    // Loop again and update height and left
    let height = this.planner.$grid[0].scrollHeight;
    let scrollLeft = this.planner.$scale[0].scrollLeft;
    $largeScaleItems.each(function () {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this),
        $scaleItemLine = $scaleItem.data('scale-item-line');
      $scaleItemLine.cssLeft(scrollLeft + $scaleItem.position().left).cssHeight(height);
    });
    $smallScaleItems.each(function () {
      let $scaleItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this),
        $scaleItemLine = $scaleItem.data('scale-item-line');
      if ($scaleItemLine) {
        $scaleItemLine.cssLeft(scrollLeft + $scaleItem.position().left).cssHeight(height);
      }
    });
  }
  _minWidth() {
    let $scaleItemsLarge = this.planner.$timelineLarge.children('.scale-item'),
      $scaleItemsSmall = this.planner.$timelineSmall.children('.scale-item'),
      numScaleItemsLarge = $scaleItemsLarge.length,
      numScaleItemsSmall = $scaleItemsSmall.length,
      displayMode = _index__WEBPACK_IMPORTED_MODULE_0__.Planner.DisplayMode,
      cellInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($scaleItemsSmall, {
        includeBorder: false
      }),
      minWidth = numScaleItemsSmall * cellInsets.horizontal(); // no matter what, this width must never be exceeded
    if (this.planner.displayMode === displayMode.DAY) {
      return Math.max(minWidth, numScaleItemsLarge * 52);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.planner.displayMode, displayMode.WORK_WEEK, displayMode.WEEK)) {
      return Math.max(minWidth, numScaleItemsLarge * 160);
    }
    if (this.planner.displayMode === displayMode.MONTH) {
      return Math.max(minWidth, numScaleItemsSmall * 23);
    }
    if (this.planner.displayMode === displayMode.CALENDAR_WEEK) {
      return Math.max(minWidth, numScaleItemsSmall * 23);
    }
    if (this.planner.displayMode === displayMode.YEAR) {
      return Math.max(minWidth, numScaleItemsSmall * 90);
    }
  }
}

/***/ }),

/***/ "./src/planner/PlannerMenuItemsOrder.ts":
/*!**********************************************!*\
  !*** ./src/planner/PlannerMenuItemsOrder.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlannerMenuItemsOrder: () => (/* binding */ PlannerMenuItemsOrder)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlannerMenuItemsOrder extends _index__WEBPACK_IMPORTED_MODULE_0__.MenuItemsOrder {
  constructor(session, objectType, defaultMenuTypes) {
    super(session, objectType, defaultMenuTypes);
    this.selectionTypes = ['Resource', 'Activity', 'Range'];
  }
}

/***/ }),

/***/ "./src/planner/PlannerModel.ts":
/*!*************************************!*\
  !*** ./src/planner/PlannerModel.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/MobilePopup.ts":
/*!**********************************!*\
  !*** ./src/popup/MobilePopup.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MobilePopup: () => (/* binding */ MobilePopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MobilePopup extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup {
  constructor() {
    super();
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$title", void 0);
    this.boundToAnchor = false;
    this.closable = true;
    this.title = null;
    this.withGlassPane = true;
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.MobilePopupLayout(this);
  }
  _createCloseAction() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Action, {
      parent: this,
      cssClass: 'closer',
      iconId: _index__WEBPACK_IMPORTED_MODULE_0__.icons.REMOVE_BOLD
    });
  }
  prefLocation(verticalAlignment, horizontalAlignment) {
    let popupSize = this.htmlComp.prefSize(),
      windowHeight = this.$container.window().height(),
      y = Math.max(windowHeight - popupSize.height, 0);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(0, y);
  }
  _render() {
    this.$container = this.$parent.appendDiv('popup mobile-popup');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.validateRoot = true;
    this.htmlComp.setLayout(this._createLayout());
    this.$header = this.$container.appendDiv('mobile-popup-header');
    this.$title = this.$header.appendDiv('title');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTitle();
  }
  _renderContent() {
    super._renderContent();
    if (!this.content) {
      return;
    }
    this.content.$container.addClass('mobile-popup-widget');
  }
  _renderClosable() {
    if (this.closeAction) {
      this.closeAction.render(this.$header);
    }
    this.$header.setVisible(!!this.title || this.closable);
  }
  _renderTitle() {
    this.$title.textOrNbsp(this.title);
    this.$header.setVisible(!!this.title || this.closable);
  }
}

/***/ }),

/***/ "./src/popup/MobilePopupAdapter.ts":
/*!*****************************************!*\
  !*** ./src/popup/MobilePopupAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MobilePopupAdapter: () => (/* binding */ MobilePopupAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MobilePopupAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopupAdapter {}

/***/ }),

/***/ "./src/popup/MobilePopupLayout.ts":
/*!****************************************!*\
  !*** ./src/popup/MobilePopupLayout.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MobilePopupLayout: () => (/* binding */ MobilePopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class MobilePopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  layout($container) {
    super.layout($container);
    let htmlPopup = this.popup.htmlComp,
      popupSize = htmlPopup.size(),
      htmlWidget = this.popup.content.htmlComp,
      widgetSize,
      $header = this.popup.$header,
      headerSize;
    popupSize = popupSize.subtract(htmlPopup.insets());
    headerSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($header, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setLocation($header, new _index__WEBPACK_IMPORTED_MODULE_0__.Point(0, 0));
    widgetSize = popupSize.clone();
    widgetSize.height -= headerSize.height;
    htmlWidget.setLocation(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(0, headerSize.height));
    htmlWidget.setSize(widgetSize.subtract(htmlWidget.margins()));
  }
  preferredLayoutSize($container, options) {
    let $window = this.popup.$container.window();
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($window.width(), $window.height());
  }
}

/***/ }),

/***/ "./src/popup/MobilePopupModel.ts":
/*!***************************************!*\
  !*** ./src/popup/MobilePopupModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/Popup.ts":
/*!****************************!*\
  !*** ./src/popup/Popup.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Popup: () => (/* binding */ Popup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Popup extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "anchorBounds", void 0);
    _defineProperty(this, "animateOpening", void 0);
    _defineProperty(this, "animateResize", void 0);
    _defineProperty(this, "anchor", void 0);
    _defineProperty(this, "windowPaddingX", void 0);
    _defineProperty(this, "windowPaddingY", void 0);
    _defineProperty(this, "withGlassPane", void 0);
    _defineProperty(this, "withFocusContext", void 0);
    _defineProperty(this, "initialFocus", void 0);
    _defineProperty(this, "focusableContainer", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "verticalAlignment", void 0);
    _defineProperty(this, "calculatedHorizontalAlignment", void 0);
    // Gives the current alignment after applying horizontal and vertical switch options
    _defineProperty(this, "calculatedVerticalAlignment", void 0);
    _defineProperty(this, "horizontalSwitch", void 0);
    _defineProperty(this, "verticalSwitch", void 0);
    _defineProperty(this, "trimWidth", void 0);
    _defineProperty(this, "trimHeight", void 0);
    _defineProperty(this, "scrollType", void 0);
    _defineProperty(this, "windowResizeType", void 0);
    _defineProperty(this, "boundToAnchor", void 0);
    _defineProperty(this, "withArrow", void 0);
    _defineProperty(this, "closeOnAnchorMouseDown", void 0);
    _defineProperty(this, "closeOnMouseDownOutside", void 0);
    _defineProperty(this, "closeOnOtherPopupOpen", void 0);
    _defineProperty(this, "modal", void 0);
    _defineProperty(this, "$anchor", void 0);
    _defineProperty(this, "$arrow", void 0);
    _defineProperty(this, "$arrowOverlay", void 0);
    _defineProperty(this, "_documentMouseDownHandler", void 0);
    _defineProperty(this, "_anchorScrollHandler", void 0);
    _defineProperty(this, "_anchorLocationChangeHandler", void 0);
    _defineProperty(this, "_popupOpenHandler", void 0);
    _defineProperty(this, "_glassPaneRenderer", void 0);
    _defineProperty(this, "_openLater", void 0);
    _defineProperty(this, "_windowResizeHandler", void 0);
    _defineProperty(this, "_anchorRenderHandler", void 0);
    _defineProperty(this, "_withGlassPane", void 0);
    _defineProperty(this, "_closeOnAnchorMouseDown", void 0);
    _defineProperty(this, "_closeOnMouseDownOutside", void 0);
    _defineProperty(this, "_closeOnOtherPopupOpen", void 0);
    this._documentMouseDownHandler = null;
    this._anchorScrollHandler = null;
    this._anchorLocationChangeHandler = null;
    this._popupOpenHandler = null;
    this._glassPaneRenderer = null;
    this.anchorBounds = null;
    this.animateOpening = false;
    this.animateResize = false;
    this.anchor = null;
    this.$anchor = null;
    this.windowPaddingX = 10;
    this.windowPaddingY = 5;
    this.withGlassPane = false;
    this._withGlassPane = null;
    this.withFocusContext = true;
    this.initialFocus = () => _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO;
    this.focusableContainer = false;
    this.horizontalAlignment = Popup.Alignment.LEFTEDGE;
    this.verticalAlignment = Popup.Alignment.BOTTOM;
    this.calculatedHorizontalAlignment = this.horizontalAlignment;
    this.calculatedVerticalAlignment = this.verticalAlignment;
    this.horizontalSwitch = false;
    this.verticalSwitch = true;
    this.trimWidth = false;
    this.trimHeight = true;
    this.scrollType = 'remove';
    this.windowResizeType = null;
    this.boundToAnchor = true;
    this.withArrow = false;
    this.closeOnAnchorMouseDown = true;
    this._closeOnAnchorMouseDown = null;
    this.closeOnMouseDownOutside = true;
    this._closeOnMouseDownOutside = null;
    this.closeOnOtherPopupOpen = true;
    this._closeOnOtherPopupOpen = null;
    this.modal = false;
    this._openLater = false;
    this.$arrow = null;
    this.$arrowOverlay = null;
    this._windowResizeHandler = this._onWindowResize.bind(this);
    this._anchorRenderHandler = this._onAnchorRender.bind(this);
    this._addWidgetProperties(['anchor']);
    this._addPreserveOnPropertyChangeProperties(['anchor']);
  }
  // Note that these strings are also used as CSS classes

  _init(options) {
    super._init(options);
    if (options.location) {
      this.anchorBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(options.location.x, options.location.y, 0, 0);
    }
    this._setAnchor(this.anchor);
    this._setModal(this.modal);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(this._createCloseKeyStroke());
  }
  /**
   * Override this method to provide a key stroke which closes the popup.
   * The default impl. returns a CloseKeyStroke which handles the ESC key.
   */
  _createCloseKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.CloseKeyStroke(this);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout(this);
  }
  _openWithoutParent() {
    // resolve parent for entry-point (don't change the actual property)
    if (this.parent.destroyed) {
      return;
    }
    if (this.parent.rendered || this.parent.rendering) {
      this.open(this._getDefaultOpen$Parent());
      return;
    }
    // This is important for popups rendered in another (native) browser window. The DOM in the popup window
    // is rendered later, so we must wait until that window is rendered and layouted. See popup-window.html.
    this.parent.one('render', () => {
      this.session.layoutValidator.schedulePostValidateFunction(() => {
        if (this.destroyed || this.rendered) {
          return;
        }
        this.open();
      });
    });
  }
  /**
   * Only called if parent.rendered or parent.rendering
   */
  _getDefaultOpen$Parent() {
    return this.parent.entryPoint();
  }
  open($parent) {
    if (!$parent) {
      this._openWithoutParent();
      return;
    }
    this._triggerPopupOpenEvent();
    this._open($parent);
    if (this._openLater) {
      return;
    }
    if (!this.animateOpening) {
      // It is important that focusing happens after layouting and positioning, otherwise we'd focus an element
      // that is currently not on the screen. Which would cause the whole desktop to
      // be shifted for a few pixels.
      this.validateFocus();
      return;
    }
    // Give the browser time to layout properly before starting the animation to make sure it will be smooth.
    // The before-animate-open class will make the popup invisible (cannot use the invisible class because it is already used by _validateVisibility)
    this.$container.addClass('before-animate-open');
    setTimeout(() => {
      if (!this.rendered || this.removing) {
        return;
      }
      this.$container.removeClass('before-animate-open');
      this.validateFocus(); // Need to be done after popup is visible again because focus cannot be set on invisible elements.
      if (!this.rendered) {
        // Validate again, focus change could have removed the popup
        return;
      }
      this.$container.addClassForAnimation('animate-open');
      this.$container.oneAnimationEnd(() => this.findDesktop().repositionTooltips());
    });
  }
  validateFocus() {
    if (!this.withFocusContext) {
      return;
    }
    let context = this.session.focusManager.getFocusContext(this.$container);
    context.ready();
    if (!context.lastValidFocusedElement) {
      // No widget requested focus -> try to determine the initial focus
      this._requestInitialFocus();
    }
  }
  _requestInitialFocus() {
    let initialFocusElement = this.session.focusManager.evaluateFocusRule(this.$container, this.initialFocus());
    if (!initialFocusElement) {
      return;
    }
    this.session.focusManager.requestFocus(initialFocusElement);
  }
  _open($parent) {
    this.render($parent);
    if (this._openLater) {
      return;
    }
    this.revalidateLayout();
    this.position();
  }
  render($parent) {
    let $popupParent = $parent || this.entryPoint();
    // when the parent is detached it is not possible to render the popup -> do it later
    if (!$popupParent || !$popupParent.length || !$popupParent.isAttached()) {
      this._openLater = true;
      return;
    }
    super.render($popupParent);
  }
  _render() {
    this.$container = this.$parent.appendDiv('popup');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.validateRoot = true;
    this.htmlComp.setLayout(this._createLayout());
    this.$container.window().on('resize', this._windowResizeHandler);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderAnchor();
    this._renderWithArrow();
    this._renderWithFocusContext();
    this._renderWithGlassPane();
    this._renderModal();
  }
  _postRender() {
    super._postRender();
    this._attachCloseHandlers();
    this._attachAnchorHandlers();
    this._handleGlassPanes();
  }
  _onAttach() {
    super._onAttach();
    if (this._openLater && !this.rendered) {
      this._openLater = false;
      // Don't animate the opening when parent is attached. It doesn't look right if popups "pop up" when they are not really opening but only displayed again.
      // The same applies for detaching, see _renderOnDetach
      let currentAnimateOpening = this.animateOpening;
      this.animateOpening = false;
      this.open();
      this.animateOpening = currentAnimateOpening;
    }
  }
  _renderOnDetach() {
    this._openLater = true;
    // If parent is detached, popup should be removed immediately, otherwise animation would still be visible even though parent has already gone.
    super.removeImmediately();
    super._renderOnDetach();
  }
  remove() {
    let currentAnimateRemoval = this.animateRemoval;
    if (this.boundToAnchor && this.$anchor && !this._isAnchorInView()) {
      this.animateRemoval = false;
    }
    super.remove();
    this.animateRemoval = currentAnimateRemoval;
  }
  _remove() {
    this.$container.window().off('resize', this._windowResizeHandler);
    if (this._glassPaneRenderer) {
      this._glassPaneRenderer.removeGlassPanes();
    }
    if (this.withFocusContext) {
      this.session.focusManager.uninstallFocusContext(this.$container);
    }
    if (this.$arrow) {
      this.$arrow.remove();
      this.$arrow = null;
    }
    if (this.anchor) {
      // reopen when the anchor gets rendered again
      this.anchor.one('render', this._anchorRenderHandler);
    }
    // remove all clean-up handlers
    this._detachAnchorHandlers();
    this._detachCloseHandlers();
    super._remove();
  }
  _destroy() {
    if (this.anchor) {
      this.anchor.off('render', this._anchorRenderHandler);
    }
    super._destroy();
  }
  _renderWithFocusContext() {
    if (!this.withFocusContext) {
      return;
    }
    // Add programmatic 'tabindex' if the $container itself should be focusable (used by context menu popups with no focusable elements)
    if (this.focusableContainer) {
      this.$container.attr('tabindex', -1);
    }
    // Don't allow an element to be focused while the popup is opened.
    // The popup will focus the element as soon as the opening is finished (see open());
    // The context needs to be already installed so that child elements don't try to focus an element outside of this context
    this.session.focusManager.installFocusContext(this.$container, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.PREPARE);
  }
  setModal(modal) {
    this.setProperty('modal', modal);
  }
  _setModal(modal) {
    this._setProperty('modal', modal);
    if (modal) {
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.preserveAndSetProperty(() => this.setProperty('withGlassPane', true), () => this.withGlassPane, this, '_withGlassPane');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.preserveAndSetProperty(() => this.setProperty('closeOnAnchorMouseDown', false), () => this.closeOnAnchorMouseDown, this, '_closeOnAnchorMouseDown');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.preserveAndSetProperty(() => this.setProperty('closeOnMouseDownOutside', false), () => this.closeOnMouseDownOutside, this, '_closeOnMouseDownOutside');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.preserveAndSetProperty(() => this.setProperty('closeOnOtherPopupOpen', false), () => this.closeOnOtherPopupOpen, this, '_closeOnOtherPopupOpen');
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.resetProperty(v => this.setWithGlassPane(v), this, '_withGlassPane');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.resetProperty(v => this.setCloseOnAnchorMouseDown(v), this, '_closeOnAnchorMouseDown');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.resetProperty(v => this.setCloseOnMouseDownOutside(v), this, '_closeOnMouseDownOutside');
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.resetProperty(v => this.setCloseOnOtherPopupOpen(v), this, '_closeOnOtherPopupOpen');
    }
  }
  _renderModal() {
    this.$container.toggleClass('modal', this.modal);
  }
  setWithGlassPane(withGlassPane) {
    if (!this.modal) {
      this.setProperty('withGlassPane', withGlassPane);
    } else {
      this._withGlassPane = withGlassPane;
    }
  }
  _renderWithGlassPane() {
    if (this.withGlassPane && !this._glassPaneRenderer) {
      this._glassPaneRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.GlassPaneRenderer(this);
      this._glassPaneRenderer.renderGlassPanes();
    } else if (!this.withGlassPane && this._glassPaneRenderer) {
      this._glassPaneRenderer.removeGlassPanes();
      this._glassPaneRenderer = null;
    }
  }
  setCloseOnMouseDownOutside(closeOnMouseDownOutside) {
    if (!this.modal) {
      this.setProperty('closeOnMouseDownOutside', closeOnMouseDownOutside);
    } else {
      this._closeOnMouseDownOutside = closeOnMouseDownOutside;
    }
  }
  _renderCloseOnMouseDownOutside() {
    // The listener needs to be executed in the capturing phase -> prevents that _onDocumentMouseDown will be executed right after the popup gets opened using mouse down, otherwise the popup would be closed immediately
    if (this.closeOnMouseDownOutside && !this._documentMouseDownHandler) {
      this._documentMouseDownHandler = this._onDocumentMouseDown.bind(this);
      this.$container.document(true).addEventListener('mousedown', this._documentMouseDownHandler, true); // true=the event handler is executed in the capturing phase
    } else if (!this.closeOnMouseDownOutside && this._documentMouseDownHandler) {
      this.$container.document(true).removeEventListener('mousedown', this._documentMouseDownHandler, true);
      this._documentMouseDownHandler = null;
    }
  }
  setCloseOnAnchorMouseDown(closeOnAnchorMouseDown) {
    if (!this.modal) {
      this.setProperty('closeOnAnchorMouseDown', closeOnAnchorMouseDown);
    } else {
      this._closeOnAnchorMouseDown = closeOnAnchorMouseDown;
    }
  }
  setCloseOnOtherPopupOpen(closeOnOtherPopupOpen) {
    if (!this.modal) {
      this.setProperty('closeOnOtherPopupOpen', closeOnOtherPopupOpen);
    } else {
      this._closeOnOtherPopupOpen = closeOnOtherPopupOpen;
    }
  }
  _renderCloseOnOtherPopupOpen() {
    if (this.closeOnOtherPopupOpen && !this._popupOpenHandler) {
      this._popupOpenHandler = this._onPopupOpen.bind(this);
      this.session.desktop.on('popupOpen', this._popupOpenHandler);
    } else if (!this.closeOnOtherPopupOpen && this._popupOpenHandler) {
      this.session.desktop.off('popupOpen', this._popupOpenHandler);
      this._popupOpenHandler = null;
    }
  }
  setWithArrow(withArrow) {
    this.setProperty('withArrow', withArrow);
  }
  _renderWithArrow() {
    if (this.$arrow) {
      this.$arrow.remove();
      this.$arrow = null;
    }
    if (this.$arrowOverlay) {
      this.$arrowOverlay.remove();
      this.$arrowOverlay = null;
    }
    if (this.withArrow) {
      this.$arrowOverlay = this.$container.prependDiv('popup-arrow-overlay');
      this.$arrow = this.$container.prependDiv('popup-arrow');
      this._updateArrowClass();
    }
    this.$container.toggleClass('with-arrow', this.withArrow);
    this.invalidateLayoutTree();
  }
  _updateArrowClass(verticalAlignment, horizontalAlignment) {
    if (this.$arrow) {
      this.$arrow.removeClass(this._alignClasses());
      this.$arrow.addClass(this._computeArrowPositionClass(verticalAlignment, horizontalAlignment));
    }
  }
  _computeArrowPositionClass(verticalAlignment, horizontalAlignment) {
    let Alignment = Popup.Alignment;
    let cssClass = '';
    horizontalAlignment = horizontalAlignment || this.horizontalAlignment;
    verticalAlignment = verticalAlignment || this.verticalAlignment;
    switch (horizontalAlignment) {
      case Alignment.LEFT:
        cssClass = Alignment.RIGHT;
        break;
      case Alignment.RIGHT:
        cssClass = Alignment.LEFT;
        break;
      default:
        cssClass = horizontalAlignment;
        break;
    }
    switch (verticalAlignment) {
      case Alignment.BOTTOM:
        cssClass += ' ' + Alignment.TOP;
        break;
      case Alignment.TOP:
        cssClass += ' ' + Alignment.BOTTOM;
        break;
      default:
        cssClass += ' ' + verticalAlignment;
        break;
    }
    return cssClass;
  }
  _animateRemovalWhileRemovingParent() {
    if (!this.$anchor) {
      // Allow remove animations for popups without an anchor
      return true;
    }
    // If parent is the anchor, prevent remove animation to ensure popup will be removed together with the anchor
    return _index__WEBPACK_IMPORTED_MODULE_0__.widgets.get(this.$anchor) !== this.parent;
  }
  _isRemovalPrevented() {
    // If removal of a parent is pending due to an animation then don't return true to make sure popups are closed before the parent animation starts.
    // However, if the popup itself is removed by an animation, removal should be prevented to ensure remove() won't run multiple times.
    return this.removalPending;
  }
  close() {
    if (this.destroyed || this.destroying) {
      // Already closed, do nothing
      return;
    }
    let event = this.trigger('close');
    if (!event.defaultPrevented) {
      this.destroy();
    }
  }
  /**
   * Install listeners to close the popup once clicking outside the popup,
   * or changing the anchor's scroll position, or another popup is opened.
   */
  _attachCloseHandlers() {
    // Install mouse close handler
    this._renderCloseOnMouseDownOutside();
    // Install popup open close handler
    this._renderCloseOnOtherPopupOpen();
  }
  _attachAnchorHandlers() {
    if (!this.$anchor || !this.boundToAnchor || !this.scrollType) {
      return;
    }
    // Attach a scroll handler to each scrollable parent of the anchor
    this._anchorScrollHandler = this._onAnchorScroll.bind(this);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.onScroll(this.$anchor, this._anchorScrollHandler);
    // Attach a location change handler as well (will only work if the anchor is a widget which triggers a locationChange event, e.g. another Popup)
    let anchor = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(this.$anchor);
    if (anchor) {
      this._anchorLocationChangeHandler = this._onAnchorLocationChange.bind(this);
      anchor.on('locationChange', this._anchorLocationChangeHandler);
    }
  }
  _detachAnchorHandlers() {
    if (this._anchorScrollHandler) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.offScroll(this._anchorScrollHandler);
      this._anchorScrollHandler = null;
    }
    if (this._anchorLocationChangeHandler) {
      let anchor = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(this.$anchor);
      if (anchor) {
        anchor.off('locationChange', this._anchorLocationChangeHandler);
        this._anchorLocationChangeHandler = null;
      }
    }
  }
  _detachCloseHandlers() {
    // Uninstall popup open close handler
    if (this._popupOpenHandler) {
      this.session.desktop.off('popupOpen', this._popupOpenHandler);
      this._popupOpenHandler = null;
    }
    // Uninstall mouse close handler
    if (this._documentMouseDownHandler) {
      this.$container.document(true).removeEventListener('mousedown', this._documentMouseDownHandler, true);
      this._documentMouseDownHandler = null;
    }
  }
  _onDocumentMouseDown(event) {
    // in some cases the mousedown handler is executed although it has been already
    // detached on the _remove() method. However, since we're in the middle of
    // processing the mousedown event, it's too late to detach the event and we must
    // deal with that situation by checking the rendered flag. Otherwise we would
    // run into an error later, since the $container is not available anymore.
    // Use the internal flag because popup should be closed even if the parent removal is pending due to a remove animation
    if (!this._rendered) {
      return;
    }
    if (this._isMouseDownOutside(event)) {
      this._onMouseDownOutside(event);
    }
  }
  _isMouseDownOutside(event) {
    let eventTarget = event.target;
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(eventTarget),
      targetWidget;
    if (!this.closeOnAnchorMouseDown && this._isMouseDownOnAnchor(event)) {
      // 1. Often times, click on the anchor opens and 2. click closes the popup
      // If we were closing the popup here, it would not be possible to achieve the described behavior anymore -> let anchor handle open and close.
      return false;
    }
    targetWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget($target);
    // close the popup only if the click happened outside of the popup and its children
    // It is not sufficient to check the dom hierarchy using $container.has($target)
    // because the popup may open other popups which probably is not a dom child but a sibling
    // Also ignore clicks if the popup is covert by a glasspane
    return !this.isOrHas(targetWidget) && !this.session.focusManager.isElementCovertByGlassPane(this.$container[0]);
  }
  _isMouseDownOnAnchor(event) {
    let eventTarget = event.target;
    return !!this.$anchor && this.$anchor.isOrHas(eventTarget);
  }
  /**
   * Method invoked once a mouse down event occurs outside the popup.
   */
  _onMouseDownOutside(event) {
    this.close();
  }
  /**
   * Method invoked once the 'options.$anchor' is scrolled.
   */
  _onAnchorScroll(event) {
    if (!this.rendered) {
      // Scroll events may be fired delayed, even if scroll listeners are already removed.
      return;
    }
    this._handleAnchorPositionChange(event);
  }
  _handleAnchorPositionChange(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.scrollType, 'position', 'layoutAndPosition') && this.isOpeningAnimationRunning()) {
      // If the popup is opened with an animation which transforms the popup the sizes used by prefSize and position will likely be wrong.
      // In that case it is not possible to layout and position it correctly -> do nothing.
      return;
    }
    if (this.scrollType === 'position') {
      this.position();
    } else if (this.scrollType === 'layoutAndPosition') {
      this.revalidateLayout();
      this.position();
    } else if (this.scrollType === 'remove') {
      this.close();
    }
  }
  isOpeningAnimationRunning() {
    return this.rendered && this.animateOpening && this.$container.hasClass('animate-open');
  }
  _onAnchorLocationChange(event) {
    this._handleAnchorPositionChange(event);
  }
  /**
   * Method invoked once a popup is opened.
   */
  _onPopupOpen(event) {
    // Make sure child popups don't close the parent popup, we must check parent hierarchy in both directions
    // Use case: Opening of a context menu or cell editor in a form popup
    // Also, popups covered by a glass pane (a modal dialog is open) must never be closed
    // Use case: popup opens a modal dialog. User clicks on a smartfield on this dialog -> underlying popup must not get closed
    let closable = !this.isOrHas(event.popup) && !event.popup.isOrHas(this);
    if (this.rendered) {
      closable = closable && !this.session.focusManager.isElementCovertByGlassPane(this.$container[0]);
    }
    if (closable) {
      this.close();
    }
  }
  setHorizontalAlignment(horizontalAlignment) {
    this.setProperty('horizontalAlignment', horizontalAlignment);
  }
  _renderHorizontalAlignment() {
    this._updateArrowClass();
    this.invalidateLayoutTree();
  }
  setVerticalAlignment(verticalAlignment) {
    this.setProperty('verticalAlignment', verticalAlignment);
  }
  _renderVerticalAlignment() {
    this._updateArrowClass();
    this.invalidateLayoutTree();
  }
  setHorizontalSwitch(horizontalSwitch) {
    this.setProperty('horizontalSwitch', horizontalSwitch);
  }
  _renderHorizontalSwitch() {
    this.invalidateLayoutTree();
  }
  setVerticalSwitch(verticalSwitch) {
    this.setProperty('verticalSwitch', verticalSwitch);
  }
  _renderVerticalSwitch() {
    this.invalidateLayoutTree();
  }
  setTrimWidth(trimWidth) {
    this.setProperty('trimWidth', trimWidth);
  }
  _renderTrimWidth() {
    this.invalidateLayoutTree();
  }
  setTrimHeight(trimHeight) {
    this.setProperty('trimHeight', trimHeight);
  }
  _renderTrimHeight() {
    this.invalidateLayoutTree();
  }
  prefLocation(verticalAlignment, horizontalAlignment) {
    if (!this.boundToAnchor || !this.anchorBounds && !this.$anchor) {
      return this._prefLocationWithoutAnchor();
    }
    return this._prefLocationWithAnchor(verticalAlignment, horizontalAlignment);
  }
  _prefLocationWithoutAnchor() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.DialogLayout.positionContainerInWindow(this.$container);
  }
  _prefLocationWithAnchor(verticalAlignment, horizontalAlignment) {
    let $container = this.$container;
    horizontalAlignment = horizontalAlignment || this.horizontalAlignment;
    verticalAlignment = verticalAlignment || this.verticalAlignment;
    let anchorBounds = this.getAnchorBounds();
    let size = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($container, {
      exact: true
    });
    let margins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($container);
    let Alignment = Popup.Alignment;
    let arrowBounds = null;
    if (this.$arrow) {
      // Ensure the arrow has the correct class
      this._updateArrowClass(verticalAlignment, horizontalAlignment);
      // Remove margin added by moving logic, otherwise the bounds would not be correct
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setMargins(this.$arrow, new _index__WEBPACK_IMPORTED_MODULE_0__.Insets());
      arrowBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(this.$arrow);
    }
    $container.removeClass(this._alignClasses());
    $container.addClass(verticalAlignment + ' ' + horizontalAlignment);
    let widthWithMargin = size.width + margins.horizontal();
    let width = size.width;
    let x = anchorBounds.x;
    if (horizontalAlignment === Alignment.LEFT) {
      x -= widthWithMargin;
    } else if (horizontalAlignment === Alignment.LEFTEDGE) {
      if (this.withArrow) {
        x += anchorBounds.width / 2 - arrowBounds.center().x - margins.left;
      } else {
        x = anchorBounds.x - margins.left;
      }
    } else if (horizontalAlignment === Alignment.CENTER) {
      x += anchorBounds.width / 2 - width / 2 - margins.left;
    } else if (horizontalAlignment === Alignment.RIGHT) {
      x += anchorBounds.width;
    } else if (horizontalAlignment === Alignment.RIGHTEDGE) {
      if (this.withArrow) {
        x += anchorBounds.width / 2 - arrowBounds.center().x - margins.left;
      } else {
        x = anchorBounds.x + anchorBounds.width - width - margins.left;
      }
    }
    let heightWithMargin = size.height + margins.vertical();
    let height = size.height;
    let y = anchorBounds.y;
    if (verticalAlignment === Alignment.TOP) {
      y -= heightWithMargin;
    } else if (verticalAlignment === Alignment.TOPEDGE) {
      if (this.withArrow) {
        y += anchorBounds.height / 2 - arrowBounds.center().y - margins.top;
      } else {
        y = anchorBounds.y - margins.top;
      }
    } else if (verticalAlignment === Alignment.CENTER) {
      y += anchorBounds.height / 2 - height / 2 - margins.top;
    } else if (verticalAlignment === Alignment.BOTTOM) {
      y += anchorBounds.height;
    } else if (verticalAlignment === Alignment.BOTTOMEDGE) {
      if (this.withArrow) {
        y += anchorBounds.height / 2 - arrowBounds.center().y - margins.top;
      } else {
        y = anchorBounds.y + anchorBounds.height - height - margins.top;
      }
    }
    // this.$parent might not be at (0,0) of the document
    let parentOffset = this.$parent.offset();
    x -= parentOffset.left;
    y -= parentOffset.top;
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(x, y);
  }
  _alignClasses() {
    let Alignment = Popup.Alignment;
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', Alignment.LEFT, Alignment.LEFTEDGE, Alignment.CENTER, Alignment.RIGHT, Alignment.RIGHTEDGE, Alignment.TOP, Alignment.TOPEDGE, Alignment.CENTER, Alignment.BOTTOM, Alignment.BOTTOMEDGE);
  }
  getAnchorBounds() {
    let anchorBounds = this.anchorBounds;
    if (!this.$anchor) {
      // Use manually set anchor bounds
      return anchorBounds;
    }
    let realAnchorBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$anchor, {
      exact: true
    });
    if (!anchorBounds) {
      // Use measured anchor bounds
      anchorBounds = realAnchorBounds;
    } else {
      // Fill incomplete anchorBounds from measured anchor bounds. This allows setting one
      // coordinate to a fixed value (e.g. the current mouse cursor position) while still
      // aligning the other coordinate to the $anchor element.
      //
      // Implementation note:
      // A coordinate is considered "undefined", when it is 0. Technically, this is not 100%
      // correct, but will give the desired result in most of the cases. If would require too
      // many code changes to correctly set missing values to undefined/null.
      if (!anchorBounds.x) {
        anchorBounds.x = realAnchorBounds.x;
        anchorBounds.width = realAnchorBounds.width;
      }
      if (!anchorBounds.y) {
        anchorBounds.y = realAnchorBounds.y;
        anchorBounds.height = realAnchorBounds.height;
      }
    }
    return anchorBounds;
  }
  getWindowSize() {
    let $window = this.$parent.window();
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension($window.width(), $window.height());
  }
  /**
   * @returns Point the amount of overlap at the window borders.
   * A positive value indicates that it is overlapping the right / bottom border, a negative value indicates that it is overlapping the left / top border.
   * Prefers the right and bottom over the left and top border, meaning if a positive value is returned it does not mean that the left border is overlapping as well.
   */
  overlap(location, includeMargin) {
    let $container = this.$container;
    if (!$container || !location) {
      return null;
    }
    includeMargin = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(includeMargin, true);
    let containerSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($container, {
      exact: true,
      includeMargin: includeMargin
    });
    let width = containerSize.width;
    let height = containerSize.height;
    let popupBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(location.x, location.y, width, height);
    let bounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($container.entryPoint(), true);
    let overlapX = popupBounds.right() + this.windowPaddingX - bounds.width;
    if (overlapX < 0) {
      overlapX = Math.min(popupBounds.x - this.windowPaddingX - bounds.x, 0);
    }
    let overlapY = popupBounds.bottom() + this.windowPaddingY - bounds.height;
    if (overlapY < 0) {
      overlapY = Math.min(popupBounds.y - this.windowPaddingY - bounds.y, 0);
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(overlapX, overlapY);
  }
  adjustLocation(location, switchIfNecessary) {
    this.calculatedVerticalAlignment = this.verticalAlignment;
    this.calculatedHorizontalAlignment = this.horizontalAlignment;
    let overlap = this.overlap(location);
    // Reset arrow style
    if (this.$arrow) {
      this._updateArrowClass(this.calculatedVerticalAlignment, this.calculatedHorizontalAlignment);
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setMargins(this.$arrow, new _index__WEBPACK_IMPORTED_MODULE_0__.Insets());
    }
    location = location.clone();
    // Ignore very small overlaps (e.g. 0.3px). This could happen if anchor position is fractional and popup has a margin that is not
    // Example: anchor has top: 10px and margin-top: 10px, browser renders it at 9.984px (due to zoom) but margin stays at 10px
    // -> location.y would be -0.16px resulting in a popup switch so that the popup will be displayed outside of the window
    if (Math.abs(overlap.y) >= 1) {
      let verticalSwitch = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(switchIfNecessary, this.verticalSwitch);
      if (verticalSwitch) {
        // Switch vertical alignment
        this.calculatedVerticalAlignment = Popup.SwitchRule[this.calculatedVerticalAlignment];
        location.y = this.prefLocation(this.calculatedVerticalAlignment).y;
      } else {
        // Move popup to the top until it gets fully visible (if switch is disabled)
        location.y -= overlap.y;
      }
    }
    // Reason for >= 1 see above
    if (Math.abs(overlap.x) >= 1) {
      let horizontalSwitch = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(switchIfNecessary, this.horizontalSwitch);
      if (horizontalSwitch) {
        // Switch horizontal alignment
        this.calculatedHorizontalAlignment = Popup.SwitchRule[this.calculatedHorizontalAlignment];
        location.x = this.prefLocation(this.calculatedVerticalAlignment, this.calculatedHorizontalAlignment).x;
      } else {
        // Move popup to the left until it gets fully visible (if switch is disabled)
        location.x -= overlap.x;
      }
    }
    // Also move arrow so that it still points to the center of the anchor
    if (this.$arrow) {
      if (overlap.y !== 0 && (this.$arrow.hasClass(Popup.Alignment.LEFT) || this.$arrow.hasClass(Popup.Alignment.RIGHT))) {
        if (overlap.y > 0) {
          this.$arrow.cssMarginTop(overlap.y);
        } else {
          this.$arrow.cssMarginBottom(-overlap.y);
        }
      }
      if (overlap.x !== 0 && (this.$arrow.hasClass(Popup.Alignment.TOP) || this.$arrow.hasClass(Popup.Alignment.BOTTOM))) {
        if (overlap.x > 0) {
          this.$arrow.cssMarginLeft(overlap.x);
        } else {
          this.$arrow.cssMarginRight(-overlap.x);
        }
      }
    }
    return location;
  }
  position(switchIfNecessary) {
    if (!this.rendered) {
      return;
    }
    this._validateVisibility();
    this._position(switchIfNecessary);
  }
  _position(switchIfNecessary) {
    let location = this.prefLocation();
    if (!location) {
      return;
    }
    location = this.adjustLocation(location, switchIfNecessary);
    this.setLocation(location);
  }
  setLocation(location) {
    if (!this.rendered) {
      return;
    }
    this.$container.css('left', location.x).css('top', location.y);
    this._triggerLocationChange();
  }
  /**
   * Popups with an anchor must only be visible if the anchor is in view (prevents that the popup points at an invisible anchor)
   */
  _validateVisibility() {
    if (!this.boundToAnchor || !this.$anchor) {
      return;
    }
    let inView = this._isAnchorInView();
    let needsLayouting = this.$container.hasClass('invisible') === inView && inView;
    this.$container.toggleClass('invisible', !inView); // Use visibility: hidden to not break layouting / size measurement
    if (needsLayouting) {
      let currentAnimateResize = this.animateResize;
      this.animateResize = false;
      this.revalidateLayout();
      this.animateResize = currentAnimateResize;
      if (this.withFocusContext) {
        this.session.focusManager.validateFocus();
      }
    }
  }
  _isAnchorInView() {
    if (!this.boundToAnchor || !this.$anchor) {
      return;
    }
    let anchorBounds = this.getAnchorBounds();
    return _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(anchorBounds.center(), this.$anchor.scrollParents());
  }
  _triggerLocationChange() {
    this.trigger('locationChange');
  }
  /**
   * Fire event that this popup is about to open.
   */
  _triggerPopupOpenEvent() {
    this.session.desktop.trigger('popupOpen', {
      popup: this
    });
  }
  belongsTo($anchor) {
    return this.$anchor[0] === $anchor[0];
  }
  set$Anchor($anchor) {
    if (this.$anchor) {
      this._detachAnchorHandlers();
    }
    this.setProperty('$anchor', $anchor);
    if (this.rendered) {
      this._attachAnchorHandlers();
      this.revalidateLayout();
      if (!this.animateResize) {
        // PopupLayout will move it -> don't break move animation
        this.position();
      }
    }
  }
  isOpen() {
    return this.rendered;
  }
  ensureOpen() {
    if (!this.isOpen()) {
      this.open();
    }
  }
  setAnchor(anchor) {
    this.setProperty('anchor', anchor);
  }
  _setAnchor(anchor) {
    if (anchor) {
      this.setParent(anchor);
    }
    this._setProperty('anchor', anchor);
  }
  _onAnchorRender(event) {
    this.session.layoutValidator.schedulePostValidateFunction(() => {
      if (this.rendered || this.destroyed) {
        return;
      }
      if (this.anchor && !this.anchor.rendered) {
        // Anchor was removed again while this function was scheduled -> wait again for rendering
        this.anchor.one('render', this._anchorRenderHandler);
        return;
      }
      let currentAnimateOpening = this.animateOpening;
      this.animateOpening = false;
      this.open();
      this.animateOpening = currentAnimateOpening;
    });
  }
  _renderAnchor() {
    if (this.anchor) {
      this.set$Anchor(this.anchor.$container);
    }
  }
  _onWindowResize(event) {
    if (!this.rendered) {
      // may already be removed if a parent popup is closed during the resize event
      return;
    }
    if (this.windowResizeType === 'position') {
      this.position();
    } else if (this.windowResizeType === 'layoutAndPosition') {
      this.revalidateLayoutTree(false);
      this.position();
    } else if (this.windowResizeType === 'remove') {
      this.close();
    }
  }
  _handleGlassPanes() {
    let parentCoveredByGlassPane = this.session.focusManager.isElementCovertByGlassPane(this.parent.$container);
    // if a popup is covered by a glass pane the glass pane's need to be re-rendered to ensure a glass pane is also painted over the popup
    if (parentCoveredByGlassPane) {
      this.session.focusManager.rerenderGlassPanes();
    }
  }
}
_defineProperty(Popup, "Alignment", {
  /**
   * The entire popup is positioned horizontally left of the anchor.
   */
  LEFT: 'left',
  /**
   * With arrow: The arrow at the left edge of the popup is aligned horizontally with the center of the anchor.
   * <p>
   * Without arrow: The left edges of both the popup and the anchor are aligned horizontally.
   */
  LEFTEDGE: 'leftedge',
  /**
   * The entire popup is positioned vertically above the anchor.
   */
  TOP: 'top',
  /**
   * With arrow: The arrow at the top edge of the popup is aligned vertically with the center of the anchor.
   * <p>
   * Without arrow: The top edges of both the popup and the anchor are aligned vertically.
   */
  TOPEDGE: 'topedge',
  /**
   * The centers of both the popup and the anchor are aligned in the respective dimension.
   */
  CENTER: 'center',
  /**
   * The entire popup is positioned horizontally to the right of the anchor.
   */
  RIGHT: 'right',
  /**
   * With arrow: The arrow at the right edge of the popup is aligned horizontally with the center of the anchor.
   * <p>
   * Without arrow: The right edges of both the popup and the anchor are aligned horizontally.
   */
  RIGHTEDGE: 'rightedge',
  /**
   * The entire popup is positioned vertically below the anchor.
   */
  BOTTOM: 'bottom',
  /**
   * With arrow: The arrow at the bottom edge of the popup is aligned vertically with the center of the anchor.
   * <p>
   * Without arrow: The bottom edges of both the popup and the anchor are aligned vertically.
   */
  BOTTOMEDGE: 'bottomedge'
});
_defineProperty(Popup, "SwitchRule", {});
(() => {
  // Initialize switch rules (wrapped in IIFE to have local function scope for the variables)
  let SwitchRule = Popup.SwitchRule;
  let Alignment = Popup.Alignment;
  SwitchRule[Alignment.LEFT] = Alignment.RIGHT;
  SwitchRule[Alignment.LEFTEDGE] = Alignment.RIGHTEDGE;
  SwitchRule[Alignment.TOP] = Alignment.BOTTOM;
  SwitchRule[Alignment.TOPEDGE] = Alignment.BOTTOMEDGE;
  SwitchRule[Alignment.CENTER] = Alignment.CENTER;
  SwitchRule[Alignment.RIGHT] = Alignment.LEFT;
  SwitchRule[Alignment.RIGHTEDGE] = Alignment.LEFTEDGE;
  SwitchRule[Alignment.BOTTOM] = Alignment.TOP;
  SwitchRule[Alignment.BOTTOMEDGE] = Alignment.TOPEDGE;
})();

/***/ }),

/***/ "./src/popup/PopupAdapter.ts":
/*!***********************************!*\
  !*** ./src/popup/PopupAdapter.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupAdapter: () => (/* binding */ PopupAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PopupAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetClose(event) {
    // Do not close the popup immediately, server will send the close event
    event.preventDefault();
    this._send('close');
  }
  _onWidgetEvent(event) {
    if (event.type === 'close') {
      this._onWidgetClose(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/popup/PopupEventMap.ts":
/*!************************************!*\
  !*** ./src/popup/PopupEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/PopupLayout.ts":
/*!**********************************!*\
  !*** ./src/popup/PopupLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupLayout: () => (/* binding */ PopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(popup) {
    super();
    _defineProperty(this, "popup", void 0);
    /** enables popups with a height which depends on the width (= popups with wrapping content) */
    _defineProperty(this, "doubleCalcPrefSize", void 0);
    _defineProperty(this, "autoPosition", void 0);
    _defineProperty(this, "autoSize", void 0);
    _defineProperty(this, "resizeAnimationRunning", void 0);
    _defineProperty(this, "resizeAnimationDuration", void 0);
    _defineProperty(this, "_autoPositionOrig", void 0);
    this.popup = popup;
    this.doubleCalcPrefSize = true;
    this.autoPosition = true;
    this.autoSize = true;
    this.resizeAnimationRunning = false;
    this.resizeAnimationDuration = null;
    this._autoPositionOrig = null;
  }
  layout($container) {
    if (this.popup.isOpeningAnimationRunning()) {
      this.popup.$container.oneAnimationEnd(this.layout.bind(this, $container));
      return;
    }
    if (this.popup.removalPending || this.popup.removing || !this.popup.rendered) {
      return;
    }
    if (!this.autoSize) {
      // Just layout the popup with the current size
      this._setSize(this.popup.htmlComp.size({
        exact: true
      }));
      return;
    }
    let htmlComp = this.popup.htmlComp;
    // Read current bounds before calling pref size, because pref size may change position (_calcMaxSize)
    let currentBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(htmlComp.$comp);
    let prefSize = this.preferredLayoutSize($container, {
      exact: true,
      widthOnly: this.doubleCalcPrefSize
    });
    prefSize = this.adjustSize(prefSize);
    if (this.doubleCalcPrefSize) {
      prefSize = this.preferredLayoutSize($container, {
        exact: true,
        widthHint: prefSize.width - htmlComp.insets().horizontal()
      });
      prefSize = this.adjustSize(prefSize);
    }
    this._setSize(prefSize);
    if (htmlComp.layouted && this.popup.animateResize) {
      this._resizeAnimated(currentBounds, prefSize);
    }
  }
  _resizeAnimated(currentBounds, prefSize) {
    this._position();
    let htmlComp = this.popup.htmlComp;
    let prefPosition = htmlComp.$comp.position();
    // Preferred size are exact, current bounds are rounded -> round preferred size up to make compare work
    let prefBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(prefPosition.left, prefPosition.top, Math.ceil(prefSize.width), Math.ceil(prefSize.height));
    if (currentBounds.equals(prefBounds)) {
      // Bounds did not change -> do nothing
      return;
    }
    this.resizeAnimationRunning = true;
    htmlComp.$comp.stop(true).cssHeight(currentBounds.height).cssWidth(currentBounds.width).cssLeft(currentBounds.x).cssTop(currentBounds.y).animate({
      height: prefSize.height,
      width: prefSize.width,
      left: prefPosition.left,
      top: prefPosition.top
    }, {
      duration: this.resizeAnimationDuration,
      complete: () => {
        this.resizeAnimationRunning = false;
        if (!this.popup.rendered) {
          return;
        }
        // Ensure the arrow is at the correct position after the animation
        this._position();
      }
    });
  }
  _position(switchIfNecessary) {
    if (this.autoPosition) {
      this.popup.position(switchIfNecessary);
    }
  }
  _setSize(prefSize) {
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setSize(this.popup.htmlComp.$comp, prefSize);
  }
  adjustSize(prefSize) {
    // Consider CSS min/max rules
    this.popup.htmlComp._adjustPrefSizeWithMinMaxSize(prefSize);
    // Consider window boundaries
    if (this.popup.boundToAnchor && (this.popup.anchorBounds || this.popup.$anchor)) {
      return this._adjustSizeWithAnchor(prefSize);
    }
    return this._adjustSize(prefSize);
  }
  _adjustSize(prefSize) {
    let popupSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      maxSize = this._calcMaxSize();
    // Ensure the popup is not larger than max size
    popupSize.width = Math.min(maxSize.width, prefSize.width);
    popupSize.height = Math.min(maxSize.height, prefSize.height);
    return popupSize;
  }
  /**
   * Considers window boundaries.
   *
   */
  _calcMaxSize() {
    let maxWidth,
      maxHeight,
      htmlComp = this.popup.htmlComp,
      windowPaddingX = this.popup.windowPaddingX,
      windowPaddingY = this.popup.windowPaddingY,
      popupMargins = htmlComp.margins(),
      windowSize = this.popup.getWindowSize();
    maxWidth = windowSize.width - popupMargins.horizontal() - windowPaddingX;
    maxHeight = windowSize.height - popupMargins.vertical() - windowPaddingY;
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(maxWidth, maxHeight);
  }
  _adjustSizeWithAnchor(prefSize) {
    let popupSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      maxSize = this._calcMaxSizeAroundAnchor(),
      windowSize = this._calcMaxSize(),
      Alignment = _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment,
      horizontalAlignment = this.popup.horizontalAlignment,
      verticalAlignment = this.popup.verticalAlignment;
    // Decide whether the prefSize can be used or the popup needs to be shrunken so that it fits into the viewport
    // The decision is based on the preferred opening direction
    // Example: The popup would like to be opened leftedge and bottom
    // If there is enough space on the right and on the bottom -> pref size is used
    // If there is not enough space on the right it checks whether there is enough space on the left
    // If there is enough space on the left -> use preferred width -> The opening direction will be switched using position() at the end
    // If there is not enough space on the left as well, the greater width is used -> Position() will either switch the direction or not, depending on the size of the popup
    // The same happens for y direction if there is not enough space on the bottom
    popupSize.width = prefSize.width;
    if (this.popup.trimWidth) {
      if (this.popup.horizontalSwitch) {
        if (prefSize.width > maxSize.right && prefSize.width > maxSize.left) {
          popupSize.width = Math.max(maxSize.right, maxSize.left);
        }
      } else {
        if (horizontalAlignment === Alignment.RIGHT) {
          popupSize.width = Math.min(popupSize.width, maxSize.right);
        } else if (horizontalAlignment === Alignment.LEFT) {
          popupSize.width = Math.min(popupSize.width, maxSize.left);
        } else {
          popupSize.width = Math.min(popupSize.width, windowSize.width);
        }
      }
    }
    popupSize.height = prefSize.height;
    if (this.popup.trimHeight) {
      if (this.popup.verticalSwitch) {
        if (prefSize.height > maxSize.bottom && prefSize.height > maxSize.top) {
          popupSize.height = Math.max(maxSize.bottom, maxSize.top);
        }
      } else {
        if (verticalAlignment === Alignment.BOTTOM) {
          popupSize.height = Math.min(popupSize.height, maxSize.bottom);
        } else if (verticalAlignment === Alignment.TOP) {
          popupSize.height = Math.min(popupSize.height, maxSize.top);
        } else {
          popupSize.height = Math.min(popupSize.height, windowSize.height);
        }
      }
    }
    // On CENTER alignment, the anchor must ne be considered. Instead make sure the popup does not exceed window boundaries (same as in adjustSize)
    if (verticalAlignment === Alignment.CENTER || horizontalAlignment === Alignment.CENTER) {
      if (horizontalAlignment === Alignment.CENTER) {
        popupSize.width = Math.min(windowSize.width, prefSize.width);
      }
      if (verticalAlignment === Alignment.CENTER) {
        popupSize.height = Math.min(windowSize.height, prefSize.height);
      }
    }
    return popupSize;
  }
  /**
   * Considers window boundaries.
   *
   */
  _calcMaxSizeAroundAnchor() {
    let maxWidthLeft,
      maxWidthRight,
      maxHeightDown,
      maxHeightUp,
      htmlComp = this.popup.htmlComp,
      windowPaddingX = this.popup.windowPaddingX,
      windowPaddingY = this.popup.windowPaddingY,
      popupMargins = htmlComp.margins(),
      anchorBounds = this.popup.getAnchorBounds(),
      windowSize = this.popup.getWindowSize(),
      horizontalAlignment = this.popup.horizontalAlignment,
      verticalAlignment = this.popup.verticalAlignment,
      Alignment = _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(horizontalAlignment, Alignment.LEFTEDGE, Alignment.RIGHTEDGE)) {
      maxWidthRight = windowSize.width - anchorBounds.x - popupMargins.horizontal() - windowPaddingX;
      maxWidthLeft = anchorBounds.right() - popupMargins.horizontal() - windowPaddingX;
    } else {
      // LEFT or RIGHT
      maxWidthRight = windowSize.width - anchorBounds.right() - popupMargins.horizontal() - windowPaddingX;
      maxWidthLeft = anchorBounds.x - popupMargins.horizontal() - windowPaddingX;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(verticalAlignment, Alignment.BOTTOMEDGE, Alignment.TOPEDGE)) {
      maxHeightDown = windowSize.height - anchorBounds.y - popupMargins.vertical() - windowPaddingY;
      maxHeightUp = anchorBounds.bottom() - popupMargins.vertical() - windowPaddingY;
    } else {
      // BOTTOM or TOP
      maxHeightDown = windowSize.height - anchorBounds.bottom() - popupMargins.vertical() - windowPaddingY;
      maxHeightUp = anchorBounds.y - popupMargins.vertical() - windowPaddingY;
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(maxHeightUp, maxWidthRight, maxHeightDown, maxWidthLeft);
  }
  disableAutoPosition() {
    if (this._autoPositionOrig === null) {
      this._autoPositionOrig = this.autoPosition;
      this.autoPosition = false;
    }
  }
  resetAutoPosition() {
    this.autoPosition = this._autoPositionOrig;
    this._autoPositionOrig = null;
  }
}

/***/ }),

/***/ "./src/popup/PopupManager.ts":
/*!***********************************!*\
  !*** ./src/popup/PopupManager.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupManager: () => (/* binding */ PopupManager)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PopupManager extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "popups", void 0);
    this.popups = [];
    this._addWidgetProperties(['popups']);
    this._addPreserveOnPropertyChangeProperties(['popups']);
  }
  _init(model) {
    super._init(model);
    this.session.layoutValidator.schedulePostValidateFunction(() => {
      this._openPopups(this.popups);
    });
  }
  setPopups(popups) {
    this.setProperty('popups', popups);
  }
  _setPopups(popups) {
    this._openPopups(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(popups, this.popups));
    this._destroyPopups(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(this.popups, popups));
    this._setProperty('popups', popups);
    // re-parent popups, since PopupManager is not a real widget but only used to sync data
    this.popups.forEach(popup => {
      if (popup.parent instanceof PopupManager) {
        popup.setParent(this.session.desktop);
      }
    });
  }
  _openPopups(popups) {
    popups.forEach(popup => {
      popup.open(); // Let the popup itself determine the entry point (important for popup windows)
    });
  }
  _destroyPopups(popups) {
    popups.forEach(popup => popup.destroy());
  }
}

/***/ }),

/***/ "./src/popup/PopupManagerAdapter.ts":
/*!******************************************!*\
  !*** ./src/popup/PopupManagerAdapter.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PopupManagerAdapter: () => (/* binding */ PopupManagerAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PopupManagerAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _syncPopups(popups) {
    // Wait for every other event in the current response to be processed first.
    // This ensures the anchor will be created first and not by the popup. If the popup created it, the popup would be used as parent.
    // Example case: the popup anchor is a menu widget and its parent should be a menu bar.
    // If the parent was the popup it would generate an endless loop in Widget#isRemovalPending().
    this.session.onEventsProcessed(() => this.widget.setPopups(popups));
  }
}

/***/ }),

/***/ "./src/popup/PopupManagerModel.ts":
/*!****************************************!*\
  !*** ./src/popup/PopupManagerModel.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/PopupModel.ts":
/*!*********************************!*\
  !*** ./src/popup/PopupModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/TouchPopup.ts":
/*!*********************************!*\
  !*** ./src/popup/TouchPopup.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TouchPopup: () => (/* binding */ TouchPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TouchPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "doneAction", void 0);
    _defineProperty(this, "htmlBody", void 0);
    _defineProperty(this, "$body", void 0);
    /**
     * the cloned field from the popup
     * @internal
     */
    _defineProperty(this, "_field", void 0);
    /** the original touch field from the form */
    _defineProperty(this, "_touchField", void 0);
    _defineProperty(this, "_touchFieldTooltip", void 0);
    /** the widget placed below the field */
    _defineProperty(this, "_widget", void 0);
    _defineProperty(this, "_$widgetContainer", void 0);
    _defineProperty(this, "_$header", void 0);
    _defineProperty(this, "_widgetContainerHtmlComp", void 0);
    _defineProperty(this, "_touchFieldPropertyChangeListener", void 0);
    this._touchField = null;
    this._touchFieldTooltip = null;
    this._field = null;
    this._widget = null;
    this._$widgetContainer = null;
    this._widgetContainerHtmlComp = null;
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
    this.withGlassPane = true;
    this._touchFieldPropertyChangeListener = this._onTouchFieldPropertyChange.bind(this);
  }
  _init(options) {
    super._init(options);
    this._touchField = options.field;
    let touchFieldTooltip = this._touchField.tooltip();
    if (touchFieldTooltip && touchFieldTooltip.rendered) {
      // Hide existing tooltip to not show it twice (it will be shown on the popup too). It may even throw an exception if the tooltip contains a (not cloned) menu
      this._touchFieldTooltip = touchFieldTooltip;
      this._touchFieldTooltip.remove();
    }
    // clone original touch field
    // original and clone both point to the same popup instance
    this._field = this._touchField.clone(this._fieldOverrides(), {
      delegateEventsToOriginal: this._initDelegatedEvents()
    });
    this._touchField.on('propertyChange', this._touchFieldPropertyChangeListener);
    this._initWidget(options);
    this.doneAction = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.Done')
    });
    this.doneAction.on('action', this._onCloseIconClick.bind(this));
  }
  _destroy() {
    this._touchField.off('propertyChange', this._touchFieldPropertyChangeListener);
    if (this._touchFieldTooltip && !this._touchFieldTooltip.destroyed) {
      // Make tooltip visible again if not destroyed in the meantime
      this._touchFieldTooltip.render(this._touchField._$tooltipParent());
    }
    super._destroy();
  }
  _fieldOverrides() {
    return {
      parent: this,
      labelVisible: false,
      fieldStyle: _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.CLASSIC,
      popup: this,
      statusVisible: false,
      menusVisible: false,
      // menus don't work (action on clone is not propagated to original, currentMenuTypes is not updated correctly) -> don't show it on popup
      embedded: true,
      touchMode: false,
      clearable: _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.ALWAYS
    };
  }
  _initDelegatedEvents() {
    return [];
  }
  _initWidget(options) {
    // NOP
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TouchPopupLayout(this);
  }
  prefLocation(verticalAlignment, horizontalAlignment) {
    let popupSize = this.htmlComp.prefSize(),
      windowWidth = this.$container.window().width(),
      x = Math.max(this.windowPaddingX, (windowWidth - popupSize.width) / 2);
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(x, 0);
  }
  _render() {
    this.$container = this.$parent.appendDiv('popup touch-popup');
    this.$body = this.$container.appendDiv('body');
    this.htmlBody = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    this.htmlBody.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout());
    this._$header = this.$body.appendDiv('touch-popup-header');
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this._$header, this.session);
    this._$header.appendDiv('touch-popup-title').textOrNbsp(this._touchField.label, 'empty');
    this.doneAction.render(this._$header);
    this._$widgetContainer = this.$body.appendDiv('touch-popup-widget-container');
    this._widgetContainerHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this._$widgetContainer, this.session);
    this._widgetContainerHtmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
    // field may render something into the widget container -> render after widget container and move to correct place
    this._field.render();
    // Move to top
    this._field.$container.insertBefore(this._$widgetContainer);
    this._field.$container.addClass('touch-popup-field');
    if (this._widget) {
      this._widget.render(this._$widgetContainer);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.validateRoot = true;
    this.htmlComp.setLayout(this._createLayout());
  }
  _handleGlassPanes() {
    super._handleGlassPanes();
    if (this._glassPaneRenderer) {
      this._glassPaneRenderer.eachGlassPane($pane => $pane.addClass('dark'));
    }
  }
  _onTouchFieldPropertyChange(event) {
    if (event.propertyName === 'errorStatus') {
      this._field.setErrorStatus(event.newValue);
    } else if (event.propertyName === 'lookupRow' && this._field instanceof _index__WEBPACK_IMPORTED_MODULE_0__.SmartField) {
      let smartfield = this._field;
      smartfield.setLookupRow(event.newValue);
    }
  }
  /**
   * Calls accept input on the embedded field.
   */
  _acceptInput() {
    let promise = this._field.acceptInput();
    if (promise) {
      promise.always(this.close.bind(this));
    } else {
      this.close();
    }
  }
  _onCloseIconClick(event) {
    this._acceptInput();
  }
}

/***/ }),

/***/ "./src/popup/TouchPopupLayout.ts":
/*!***************************************!*\
  !*** ./src/popup/TouchPopupLayout.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TouchPopupLayout: () => (/* binding */ TouchPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TouchPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  _setSize(prefSize) {
    super._setSize(prefSize);
    let htmlPopup = this.popup.htmlComp;
    let htmlBody = this.popup.htmlBody;
    let bodySize = prefSize.subtract(htmlPopup.insets());
    htmlBody.setSize(bodySize.subtract(htmlBody.margins()));
  }
  preferredLayoutSize($container, options) {
    let htmlComp = this.popup.htmlComp;
    let htmlBody = this.popup.htmlBody;
    let prefSize = htmlBody.prefSize(options).add(htmlComp.insets());
    prefSize.width = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEnvironment.get().formColumnWidth;
    return prefSize.add(htmlBody.margins());
  }
}

/***/ }),

/***/ "./src/popup/TouchPopupModel.ts":
/*!**************************************!*\
  !*** ./src/popup/TouchPopupModel.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/WidgetPopup.ts":
/*!**********************************!*\
  !*** ./src/popup/WidgetPopup.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetPopup: () => (/* binding */ WidgetPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class WidgetPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "closable", void 0);
    _defineProperty(this, "closeAction", void 0);
    _defineProperty(this, "movable", void 0);
    _defineProperty(this, "resizable", void 0);
    _defineProperty(this, "resizeModes", void 0);
    _defineProperty(this, "$dragHandle", void 0);
    _defineProperty(this, "content", void 0);
    /**
     * Action bar on the top right corner, is used to display the close action but may also be used by popups to add custom actions.
     * The bar will only be added automatically if the popup is closable.
     */
    _defineProperty(this, "$actions", void 0);
    _defineProperty(this, "_moveHandler", void 0);
    _defineProperty(this, "_resizeHandler", void 0);
    _defineProperty(this, "_autoPositionOrig", void 0);
    this.animateOpening = true;
    this.animateResize = true;
    this.animateRemoval = true;
    this.closable = false;
    this.closeAction = null;
    this.movable = false;
    this.resizable = false;
    this.resizeModes = null;
    this.content = null;
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
    this.windowResizeType = 'layoutAndPosition';
    this.$dragHandle = null;
    this.$actions = null;
    this._moveHandler = this._onMove.bind(this);
    this._resizeHandler = this._onResize.bind(this);
    this._autoPositionOrig = null;
    this._addWidgetProperties(['content']);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopupLayout(this);
  }
  _init(model) {
    super._init(model);
    this._setClosable(this.closable);
  }
  _render() {
    super._render();
    this.$container.addClass('widget-popup');
    // ignore this container for screen readers, the rendered content will have the relevant role
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'none');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderContent();
    this._renderClosable();
    this._renderMovable();
    this._renderResizable();
  }
  _remove() {
    this.$dragHandle = null;
    this.$actions = null;
    super._remove();
  }
  setContent(content) {
    this.setProperty('content', content);
  }
  _renderContent() {
    if (!this.content) {
      return;
    }
    this.content.render();
    this.content.$container.addClass('popup-widget');
    this.invalidateLayoutTree();
  }
  setClosable(closable) {
    this.setProperty('closable', closable);
  }
  _setClosable(closable) {
    this._setProperty('closable', closable);
    if (this.closable) {
      if (this.closeAction) {
        return;
      }
      this.closeAction = this._createCloseAction();
      this.closeAction.on('action', this._onCloseAction.bind(this));
    } else {
      if (!this.closeAction) {
        return;
      }
      this.closeAction.destroy();
      this.closeAction = null;
    }
  }
  _createCloseAction() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Action, {
      parent: this,
      cssClass: 'close-action menu-item',
      iconId: _index__WEBPACK_IMPORTED_MODULE_0__.icons.REMOVE,
      text: this.session.text('ui.Close'),
      textVisible: false
    });
  }
  _renderClosable() {
    if (this.closeAction) {
      if (!this.$actions) {
        this.$actions = this.$container.appendDiv('actions');
      }
      this.closeAction.render(this.$actions);
    } else {
      if (this.$actions && this.$actions.children().length === 0) {
        this.$actions.remove();
        this.$actions = null;
      }
    }
  }
  _onCloseAction(event) {
    this.close();
  }
  setResizable(resizable) {
    this.setProperty('resizable', resizable);
  }
  _renderResizable() {
    if (this.resizable) {
      this.$container.resizable({
        modes: this._determineResizeModes(),
        $container: this.$container,
        boundaries: this._calculateResizeBoundaries()
      }).on('resizeStep', this._resizeHandler);
    } else {
      this.$container.unresizable().off('resizeStep', this._resizeHandler);
      this.invalidateLayoutTree(); // Resize popup to preferred size
    }
  }
  _calculateResizeBoundaries() {
    let resizeBoundaries = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    if (!this.$arrow) {
      return resizeBoundaries;
    }
    let anchorMiddle = this._getAnchorMiddlePoint();
    if (!anchorMiddle) {
      return resizeBoundaries;
    }
    let arrowSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.$arrow);
    if (this._isVerticallyAligned()) {
      resizeBoundaries.top = anchorMiddle.y - arrowSize.height;
      resizeBoundaries.bottom = anchorMiddle.y + arrowSize.height;
    } else {
      resizeBoundaries.left = anchorMiddle.x - arrowSize.width;
      resizeBoundaries.right = anchorMiddle.x + arrowSize.width;
    }
    return resizeBoundaries;
  }
  _determineResizeModes() {
    if (!this.$arrow || this.resizeModes) {
      return this.resizeModes;
    }
    if (this.calculatedVerticalAlignment === _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.TOP) {
      return [_index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.WEST, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.EAST, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.NORTH];
    }
    if (this.calculatedVerticalAlignment === _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.BOTTOM) {
      return [_index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.WEST, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.EAST, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.SOUTH];
    }
    if (this.calculatedHorizontalAlignment === _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.LEFT) {
      return [_index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.NORTH, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.SOUTH, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.WEST];
    }
    if (this.calculatedHorizontalAlignment === _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.RIGHT) {
      return [_index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.NORTH, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.SOUTH, _index__WEBPACK_IMPORTED_MODULE_0__.Resizable.MODES.EAST];
    }
    return this.resizeModes;
  }
  _onResize(event) {
    let layout = this.htmlComp.layout;
    let autoSizeOrig = layout.autoSize;
    layout.autoSize = false;
    this.htmlComp.revalidateLayoutTree(false);
    layout.autoSize = autoSizeOrig;
    this._updateArrowPosition();
    return false;
  }
  position(switchIfNecessary) {
    if (!this.rendered) {
      return;
    }
    super.position(switchIfNecessary);
    if (this.resizable) {
      let resizable = this.$container.data('resizable');
      resizable.setBoundaries(this._calculateResizeBoundaries());
      resizable.setModes(this._determineResizeModes());
      this._updateArrowPosition();
    }
  }
  _updateArrowClass(verticalAlignment, horizontalAlignment) {
    super._updateArrowClass(verticalAlignment, horizontalAlignment);
    if (this.$arrow) {
      // make sure to remove css positioning which could have been applied in _updateArrowPosition()
      // otherwise the original positioning functions of popup.js may not work correctly anymore
      this.$arrow.cssLeft(null);
      this.$arrow.cssTop(null);
    }
  }
  _updateArrowPosition() {
    if (!this.$arrow) {
      return;
    }
    let anchorMiddlePoint = this._getAnchorMiddlePoint();
    if (!anchorMiddlePoint) {
      return;
    }
    this.$arrow.removeClass('leftedge rightedge topedge bottomedge');
    let arrowSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.$arrow);
    let arrowMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.$arrow);
    if (this._isVerticallyAligned()) {
      let verticalMarginShift = arrowMargins.top + arrowMargins.bottom;
      this.$arrow.cssTop(anchorMiddlePoint.y - (verticalMarginShift + this.$container.position().top + arrowSize.height / 2));
    } else {
      let horizontalMarginShift = arrowMargins.left + arrowMargins.right;
      this.$arrow.cssLeft(anchorMiddlePoint.x - (horizontalMarginShift + this.$container.position().left + arrowSize.width / 2));
    }
  }
  _getAnchorMiddlePoint() {
    let anchorBounds = this.getAnchorBounds();
    return anchorBounds ? anchorBounds.center() : null;
  }
  _isVerticallyAligned() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.calculatedHorizontalAlignment, _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.RIGHT);
  }
  setMovable(movable) {
    this.setProperty('movable', movable);
  }
  _renderMovable() {
    if (this.movable) {
      if (this.$dragHandle) {
        return;
      }
      this.$dragHandle = this.$container.prependDiv('drag-handle');
      this.$container.draggable(this.$dragHandle, jquery__WEBPACK_IMPORTED_MODULE_1___default().throttle(this._moveHandler, 1000 / 60)); // 60fps
    } else {
      if (!this.$dragHandle) {
        return;
      }
      this.$container.undraggable(this.$dragHandle);
      this.$dragHandle.remove();
      this.$dragHandle = null;
      let layout = this.htmlComp.layout;
      layout.autoPosition = this._autoPositionOrig;
      this._autoPositionOrig = null;
      this.invalidateLayoutTree(); // move popup to preferred position
    }
  }
  _onMove(newOffset) {
    // Disable automatic positioning as soon as the user drags the popup
    if (this._autoPositionOrig === null) {
      let layout = this.htmlComp.layout;
      this._autoPositionOrig = layout.autoPosition;
      layout.autoPosition = false;
    }
    this.trigger('move', newOffset);
  }
  set$Anchor($anchor) {
    if (this._autoPositionOrig && $anchor && this.$anchor !== $anchor) {
      // If a new anchor is set, the popup is positioned automatically -> reset flag to make animation work
      let layout = this.htmlComp.layout;
      layout.autoPosition = this._autoPositionOrig;
      this._autoPositionOrig = null;
    }
    super.set$Anchor($anchor);
  }
}

/***/ }),

/***/ "./src/popup/WidgetPopupAdapter.ts":
/*!*****************************************!*\
  !*** ./src/popup/WidgetPopupAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetPopupAdapter: () => (/* binding */ WidgetPopupAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetPopupAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupAdapter {}

/***/ }),

/***/ "./src/popup/WidgetPopupEventMap.ts":
/*!******************************************!*\
  !*** ./src/popup/WidgetPopupEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/popup/WidgetPopupLayout.ts":
/*!****************************************!*\
  !*** ./src/popup/WidgetPopupLayout.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetPopupLayout: () => (/* binding */ WidgetPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
  }
  _setSize(prefSize) {
    super._setSize(prefSize);
    let htmlPopup = this.popup.htmlComp;
    let htmlWidget = this.popup.content.htmlComp;
    let widgetSize = prefSize.subtract(htmlPopup.insets());
    htmlWidget.setSize(widgetSize.subtract(htmlWidget.margins()));
  }
  preferredLayoutSize($container, options) {
    let htmlComp = this.popup.htmlComp;
    let htmlWidget = this.popup.content.htmlComp;
    return htmlWidget.prefSize(options).add(htmlComp.insets()).add(htmlWidget.margins());
  }
}

/***/ }),

/***/ "./src/popup/WidgetPopupModel.ts":
/*!***************************************!*\
  !*** ./src/popup/WidgetPopupModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/resizable/Resizable.ts":
/*!************************************!*\
  !*** ./src/resizable/Resizable.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Resizable: () => (/* binding */ Resizable)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Resizable makes a DOM element resizable by adding resize handlers to all edges of the given model.$container.
 * The following events are triggered on the DOM element:
 * - resizeStep: triggered during resizing.
 * - resizeEnd: triggered when resizing ends.
 */
class Resizable {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "modes", void 0);
    _defineProperty(this, "boundaries", void 0);
    _defineProperty(this, "useOverlay", void 0);
    _defineProperty(this, "$container", void 0);
    _defineProperty(this, "$window", void 0);
    _defineProperty(this, "$resizableS", void 0);
    _defineProperty(this, "$resizableE", void 0);
    _defineProperty(this, "$resizableSE", void 0);
    _defineProperty(this, "$resizableW", void 0);
    _defineProperty(this, "$resizableSW", void 0);
    _defineProperty(this, "$resizableN", void 0);
    _defineProperty(this, "$resizableNW", void 0);
    _defineProperty(this, "$resizableNE", void 0);
    _defineProperty(this, "$resizingOverlay", void 0);
    _defineProperty(this, "_context", void 0);
    _defineProperty(this, "_mouseDownHandler", void 0);
    _defineProperty(this, "_mouseUpHandler", void 0);
    _defineProperty(this, "_mouseMoveHandler", void 0);
    _defineProperty(this, "_keyDownHandler", void 0);
    _defineProperty(this, "_resizeHandler", void 0);
    this._mouseDownHandler = this._onMouseDown.bind(this);
    this._mouseUpHandler = this._onMouseUp.bind(this);
    this._mouseMoveHandler = this._onMouseMove.bind(this);
    this._keyDownHandler = this._onKeyDown.bind(this);
    this._resizeHandler = this._resize.bind(this);
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('model', model);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('$container', model.$container);
    this.$container = model.$container;
    this.$window = model.$container.window();
    this.useOverlay = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.useOverlay, false);
    this.$container.addClass('resizable');
    this._appendResizeHandles();
    this.setModes(model.modes);
    this.setBoundaries(model.boundaries);
    this._installRemoveHandler();
  }
  setModes(modes) {
    let ensuredModes = modes || [Resizable.MODES.SOUTH, Resizable.MODES.EAST, Resizable.MODES.WEST, Resizable.MODES.NORTH];
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(ensuredModes, this.modes)) {
      return;
    }
    this.modes = ensuredModes;
    this._calculateResizeHandlersVisibility();
  }
  setBoundaries(boundaries) {
    this.boundaries = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(), boundaries);
    if (this._boundaryValueSet(this.boundaries.left)) {
      this.boundaries.left -= this.$container.cssMarginLeft();
    }
    if (this._boundaryValueSet(this.boundaries.right)) {
      this.boundaries.right -= this.$container.cssMarginRight();
    }
    if (this._boundaryValueSet(this.boundaries.top)) {
      this.boundaries.top -= this.$container.cssMarginTop();
    }
    if (this._boundaryValueSet(this.boundaries.bottom)) {
      this.boundaries.bottom -= this.$container.cssMarginBottom();
    }
  }
  _appendResizeHandles() {
    this.$resizableS = this._appendResizeHandle('s');
    this.$resizableE = this._appendResizeHandle('e');
    this.$resizableSE = this._appendResizeHandle('se');
    this.$resizableW = this._appendResizeHandle('w');
    this.$resizableSW = this._appendResizeHandle('sw');
    this.$resizableN = this._appendResizeHandle('n');
    this.$resizableNW = this._appendResizeHandle('nw');
    this.$resizableNE = this._appendResizeHandle('ne');
  }
  _appendResizeHandle(edge) {
    return this.$container.appendDiv(`resizable-handle resizable-${edge}`).data('edge', edge).on('mousedown', this._mouseDownHandler);
  }
  _calculateResizeHandlersVisibility() {
    this.$resizableS.setVisible(this._hasMode(Resizable.MODES.SOUTH));
    this.$resizableE.setVisible(this._hasMode(Resizable.MODES.EAST));
    this.$resizableSE.setVisible(this._hasMode(Resizable.MODES.SOUTH) && this._hasMode(Resizable.MODES.EAST));
    this.$resizableW.setVisible(this._hasMode(Resizable.MODES.WEST));
    this.$resizableSW.setVisible(this._hasMode(Resizable.MODES.SOUTH) && this._hasMode(Resizable.MODES.WEST));
    this.$resizableN.setVisible(this._hasMode(Resizable.MODES.NORTH));
    this.$resizableNW.setVisible(this._hasMode(Resizable.MODES.NORTH) && this._hasMode(Resizable.MODES.WEST));
    this.$resizableNE.setVisible(this._hasMode(Resizable.MODES.NORTH) && this._hasMode(Resizable.MODES.EAST));
  }
  _hasMode(mode) {
    return this.modes.some(m => m === mode);
  }
  _installRemoveHandler() {
    this.$container.on('remove', this.destroy.bind(this));
  }
  destroy() {
    this.$resizableS.remove();
    this.$resizableE.remove();
    this.$resizableSE.remove();
    this.$resizableW.remove();
    this.$resizableSW.remove();
    this.$resizableN.remove();
    this.$resizableNW.remove();
    this.$resizableNE.remove();
    this._cleanup();
  }
  _onMouseDown(event) {
    if (event.which !== 1 || this._context) {
      // Only accept left mouse button clicks (right one is reserved for context menu)
      // Also ensure resizing cannot be started twice (e.g. by pressing alt-tab, releasing the mouse button and pressing it again on the resizable)
      return;
    }
    let $resizable = this.$container;
    let $myWindow = $resizable.window();
    let $handle = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    let minWidth = $resizable.cssMinWidth();
    let minHeight = $resizable.cssMinHeight();
    let maxWidth = $resizable.cssMaxWidth();
    let maxHeight = $resizable.cssMaxHeight();
    let $offsetParent = $resizable.offsetParent();
    let initialBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($resizable, {
      exact: true
    }).translate(new _index__WEBPACK_IMPORTED_MODULE_0__.Point($offsetParent[0].scrollLeft, $offsetParent[0].scrollTop));
    this._context = {
      initialBounds: initialBounds,
      currentBounds: initialBounds.clone(),
      minBounds: new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(initialBounds.right() - minWidth, initialBounds.bottom() - minHeight, minWidth, minHeight),
      maxBounds: new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(Math.max(-$resizable.cssMarginLeft(), initialBounds.right() - maxWidth), Math.max(-$resizable.cssMarginTop(), initialBounds.bottom() - maxHeight), Math.min($myWindow.width() - $resizable[0].offsetLeft, maxWidth), Math.min($myWindow.height() - $resizable[0].offsetTop, maxHeight)),
      distance: [0, 0],
      edge: $handle.data('edge'),
      mousedownEvent: event
    };
    if (this.useOverlay) {
      this.$resizingOverlay = $resizable.parent().appendDiv('resizing-overlay');
      this.$resizingOverlay.css('border-radius', $resizable.css('border-radius'));
      this.$resizingOverlay.css('border-color', $resizable.css('--resizable-color'));
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(this.$resizingOverlay, initialBounds);
    }
    $resizable.addClass('resizing');
    this.$window.off('mouseup', this._mouseUpHandler).off('mousemove', this._mouseMoveHandler).on('mouseup', this._mouseUpHandler).on('mousemove', this._mouseMoveHandler).body().addClass(`${this._context.edge}-resize`);
    this.$window[0].removeEventListener('keydown', this._keyDownHandler, true);
    this.$window[0].addEventListener('keydown', this._keyDownHandler, true);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').addClass('dragging-in-progress');
  }
  _onMouseUp(event) {
    this.finish();
  }
  /**
   * Finishes the resizing by cleaning up all temporary states and triggering the `resizeEnd` event with the initial and new bounds.
   */
  finish() {
    this._cleanup();
    this._resizeEnd();
    this._context = null;
  }
  /**
   * Cancels the resizing if it is in progress.
   */
  cancel() {
    if (!this._context) {
      return;
    }
    this._context.currentBounds = this._context.initialBounds;
    this.finish();
  }
  _onKeyDown(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      this.cancel();
      event.stopPropagation();
    }
  }
  _cleanup() {
    this.$container.removeClass('resizing');
    if (this.$resizingOverlay) {
      this.$resizingOverlay.remove();
      this.$resizingOverlay = null;
    }
    this.$window.off('mouseup', this._mouseUpHandler).off('mousemove', this._mouseMoveHandler);
    this.$window[0].removeEventListener('keydown', this._keyDownHandler, true);
    if (this._context) {
      this.$window.body().removeClass(`${this._context.edge}-resize`);
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').removeClass('dragging-in-progress');
  }
  _onMouseMove(event) {
    let newBounds = this._computeBounds(event);
    if (newBounds) {
      this._resizeHandler(newBounds);
    }
  }
  _computeBounds(event) {
    let ctx = this._context;
    let newBounds = ctx.initialBounds.clone();
    let distance = this._calcDistance(ctx.mousedownEvent, event);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(ctx.edge, 'ne', 'e', 'se')) {
      newBounds.width = Math.max(ctx.minBounds.width, Math.min(ctx.maxBounds.width, ctx.initialBounds.width + distance[0]));
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(ctx.edge, 'nw', 'w', 'sw')) {
      // Resize to the left
      newBounds.x = Math.min(ctx.minBounds.x, Math.max(ctx.maxBounds.x, ctx.initialBounds.x + distance[0]));
      newBounds.width += ctx.initialBounds.x - newBounds.x;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(ctx.edge, 'sw', 's', 'se')) {
      newBounds.height = Math.max(ctx.minBounds.height, Math.min(ctx.maxBounds.height, ctx.initialBounds.height + distance[1]));
    } else if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(ctx.edge, 'nw', 'n', 'ne')) {
      // Resize to the bottom
      newBounds.y = Math.min(ctx.minBounds.y, Math.max(ctx.maxBounds.y, ctx.initialBounds.y + distance[1]));
      newBounds.height += ctx.initialBounds.y - newBounds.y;
    }
    return newBounds;
  }
  _resize(newBounds) {
    this._cropToBoundaries(newBounds);
    if (this._context.currentBounds.equals(newBounds)) {
      return;
    }
    this._context.currentBounds = newBounds;
    if (this.useOverlay) {
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(this.$resizingOverlay, newBounds);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds(this.$container, newBounds);
    }
    // 'resize' would be a better name, but it is a native event triggered by the browser when the window is resized
    // To not accidentally trigger event handlers listening for window resizes, another name is used.
    this.$container.trigger('resizeStep', {
      newBounds: newBounds,
      initialBounds: this._context.initialBounds
    });
  }
  _resizeEnd() {
    if (this._context.currentBounds.equals(this._context.initialBounds)) {
      return;
    }
    this.$container.trigger('resizeEnd', {
      newBounds: this._context.currentBounds,
      initialBounds: this._context.initialBounds
    });
  }
  _cropToBoundaries(newBounds) {
    if (this._boundaryValueSet(this.boundaries.left) && newBounds.x > this.boundaries.left) {
      newBounds.width -= this.boundaries.left - newBounds.x;
      newBounds.x = this.boundaries.left;
    }
    if (this._boundaryValueSet(this.boundaries.right) && newBounds.x + newBounds.width < this.boundaries.right) {
      newBounds.width = this.boundaries.right - newBounds.x;
    }
    if (this._boundaryValueSet(this.boundaries.top) && newBounds.y > this.boundaries.top) {
      newBounds.height -= this.boundaries.top - newBounds.y;
      newBounds.y = this.boundaries.top;
    }
    if (this._boundaryValueSet(this.boundaries.bottom) && newBounds.y + newBounds.height < this.boundaries.bottom) {
      newBounds.height = this.boundaries.bottom - newBounds.y;
    }
  }
  _boundaryValueSet(value) {
    return value > 0;
  }
  _calcDistance(eventA, eventB) {
    let distX = eventB.pageX - eventA.pageX,
      distY = eventB.pageY - eventA.pageY;
    return [distX, distY];
  }
}
_defineProperty(Resizable, "MODES", {
  SOUTH: 's',
  EAST: 'e',
  WEST: 'w',
  NORTH: 'n'
});

/***/ }),

/***/ "./src/resizable/ResizableModel.ts":
/*!*****************************************!*\
  !*** ./src/resizable/ResizableModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/router/Route.ts":
/*!*****************************!*\
  !*** ./src/router/Route.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Route: () => (/* binding */ Route)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class Route {
  constructor() {
    _defineProperty(this, "location", void 0);
    this.location = null;
  }
  /**
   * @returns Whether or not this instance can handle the given location.
   */
  matches(location) {
    return false;
  }
  /**
   * Called when the route is activated, stores the given location as instance variable.
   * This is useful for the case where a single instance of Route handles multiple locations.
   */
  activate(location) {
    this.location = location;
  }
  /**
   * Called when route is deactivated because another route is activated. This is the place
   * to perform clean-up operations.
   */
  deactivate() {
    // nop
  }
}

/***/ }),

/***/ "./src/router/router.ts":
/*!******************************!*\
  !*** ./src/router/router.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RouteChangeEvent: () => (/* binding */ RouteChangeEvent),
/* harmony export */   router: () => (/* binding */ router)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const router = {
  routes: [],
  events: new _index__WEBPACK_IMPORTED_MODULE_0__.EventSupport(),
  currentRoute: null,
  defaultLocation: null,
  /**
   * Default location is used, when no route is set in the URL when routes are activated initially.
   * Typically, this points to your 'home' page.
   */
  setDefaultLocation(location) {
    router.defaultLocation = '#' + location;
  },
  prepare($a, location) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(location, '#')) {
      location = '#' + location;
    }
    $a.attr('href', location).on('mousedown', event => {
      router.activate(location);
      return false; // prevent default
    });
  },
  activate(location) {
    if (!location) {
      let regexp = new RegExp('[^/]*$'); // match everything after last slash
      let matches = regexp.exec(document.location.href);
      location = matches[0];
    }
    // no route is set in the URL
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(location) || '/' === location) {
      location = router.defaultLocation;
    }
    for (let i = 0; i < router.routes.length; i++) {
      let route = router.routes[i];
      if (route.matches(location)) {
        if (route === router.currentRoute && route.location === location) {
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Route has not changed - do not activate route');
          return;
        }
        // deactivate old route
        if (router.currentRoute) {
          router.currentRoute.deactivate();
        }
        // activate new route
        router.currentRoute = route;
        router.currentRoute.activate(location);
        window.location.replace(location);
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('router: activated route for location ', location);
        router.events.trigger('routeChange', new RouteChangeEvent(route));
        return;
      }
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('router: no route registered for location ' + location);
  },
  register(route) {
    router.routes.push(route);
  },
  on(event, handler) {
    router.events.on(event, handler);
  },
  /**
   * Updates the location (URL) field in the browser.
   *
   * @param routeRef a string which identifies a route.
   */
  updateLocation(routeRef) {
    let location = '#' + routeRef;
    window.location.replace(location);
  }
};
class RouteChangeEvent extends _index__WEBPACK_IMPORTED_MODULE_0__.Event {
  constructor(route) {
    super({
      route: route
    });
    _defineProperty(this, "route", void 0);
  }
}
window.addEventListener('popstate', event => {
  router.activate(null);
  return false;
});

/***/ }),

/***/ "./src/scout.ts":
/*!**********************!*\
  !*** ./src/scout.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   scout: () => (/* binding */ scout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


let $activeElements = null;
/**
 * Creates a new object instance.
 *
 * Delegates the create call to {@link ObjectFactory.create}.
 */
function create(objectType, model, options) {
  return _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().create(objectType, model, options);
}
/**
 * Resolves the widget using the given widget id or HTML element.
 *
 * If the argument is a string or a number, it will search the widget hierarchy for the given id using {@link Widget.widget}.
 * If the argument is a {@link HTMLElement} or {@link JQuery} element, it will use {@link widgets.get(elem)} to get the widget which belongs to the given element.
 *
 * @param widgetIdOrElement
 *          a widget ID or an HTML or jQuery element
 * @param partId
 *          partId of the session the widget belongs to (optional, only relevant if the
 *          argument is a widget ID). If omitted, the first session is used.
 * @returns the widget for the given element or id
 */
function widget(widgetIdOrElement, partIdOrType) {
  if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(widgetIdOrElement)) {
    return null;
  }
  let $elem = widgetIdOrElement;
  if (typeof widgetIdOrElement === 'string' || typeof widgetIdOrElement === 'number') {
    // Find widget for ID
    let partId = typeof partIdOrType === 'string' ? partIdOrType : null;
    let session = scout.getSession(partId);
    if (session) {
      let id = _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(widgetIdOrElement);
      return session.root.widget(id);
    }
  }
  return _index__WEBPACK_IMPORTED_MODULE_0__.widgets.get($elem);
}
const scout = {
  objectFactories: new Map(),
  /**
   * Returns the first of the given arguments that is not null or undefined. If no such element
   * is present, the last argument is returned. If no arguments are given, undefined is returned.
   */
  nvl() {
    let result;
    for (let i = 0; i < arguments.length; i++) {
      result = i < 0 || arguments.length <= i ? undefined : arguments[i];
      if (result !== undefined && result !== null) {
        break;
      }
    }
    return result;
  },
  /**
   * Use this method in your functions to assert that a mandatory parameter is passed
   * to the function. Throws an error when value is not set.
   *
   * @param type if this optional parameter is set, the given value must be of this type (instanceof check)
   * @returns the value (for direct assignment)
   */
  assertParameter(parameterName, value, type) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      throw new Error('Missing required parameter \'' + parameterName + '\'');
    }
    if (type && !(value instanceof type)) {
      throw new Error('Parameter \'' + parameterName + '\' has wrong type');
    }
    return value;
  },
  /**
   * Use this method to assert that a mandatory property is set. Throws an error when value is not set.
   *
   * @param type if this parameter is set, the value must be of this type (instanceof check)
   * @returns the value (for direct assignment)
   */
  assertProperty(object, propertyName, type) {
    let value = object[propertyName];
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      throw new Error('Missing required property \'' + propertyName + '\'');
    }
    if (type && !(value instanceof type)) {
      throw new Error('Property \'' + propertyName + '\' has wrong type');
    }
    return value;
  },
  /**
   * Throws an error if the given value is null or undefined. Otherwise, the value is returned.
   *
   * @param value value to check
   * @param msg optional error message when the assertion fails
   */
  assertValue(value, msg) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      throw new Error(msg || 'Missing value');
    }
    return value;
  },
  /**
   * Throws an error if the given value is not an instance of the given type. Otherwise, the value is returned.
   *
   * @param value value to check
   * @param type type to check against with "instanceof"
   * @param msg optional error message when the assertion fails
   */
  assertInstance(value, type, msg) {
    if (!(value instanceof type)) {
      throw new Error(msg || 'Value has wrong type');
    }
    return value;
  },
  /**
   * Checks if one of the arguments from 1-n is equal to the first argument.
   * @param args to check against the value, may be an array or a variable argument list.
   */
  isOneOf(value) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    if (args.length === 0) {
      return false;
    }
    let argsToCheck = args;
    if (args.length === 1 && Array.isArray(args[0])) {
      argsToCheck = args[0];
    }
    return argsToCheck.indexOf(value) !== -1;
  },
  create,
  /**
   * Prepares the DOM for scout in the given document. This should be called once while initializing scout.
   * If the target document is not specified, the global "document" variable is used instead.
   *
   * This is used by apps (App, LoginApp, LogoutApp)
   *
   * Currently, it does the following:
   * - Remove the <noscript> tag (obviously there is no need for it).
   * - Remove <scout-text> tags (they must have been processed before, see texts.readFromDOM())
   * - Remove <scout-version> tag (it must have been processed before, see App._initVersion())
   * - Add a device / browser class to the body tag to allow for device specific CSS rules.
   * - Add browser locale to DOM so screen readers read text correctly (may get replaced if actual locale of user is loaded)
   * - If the browser is Google Chrome, add a special meta header to prevent automatic translation.
   */
  prepareDOM(targetDocument) {
    targetDocument = targetDocument || document;
    // Cleanup DOM
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('noscript', targetDocument).remove();
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('scout-text', targetDocument).remove();
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('scout-version', targetDocument).remove();
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('body', targetDocument).addDeviceClass();
    // Set locale of the document so screen readers read text correctly
    scout.setDocumentLocale(_index__WEBPACK_IMPORTED_MODULE_0__.locales.getNavigatorLocale());
    // Prevent "Do you want to translate this page?" in Google Chrome
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().browser === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Browser.CHROME) {
      let metaNoTranslate = '<meta name="google" content="notranslate" />';
      let $title = jquery__WEBPACK_IMPORTED_MODULE_1___default()('head > title', targetDocument);
      if ($title.length === 0) {
        // Add to end of head
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('head', targetDocument).append(metaNoTranslate);
      } else {
        $title.after(metaNoTranslate);
      }
    }
  },
  /**
   * Installs a global 'mousedown' interceptor to invoke 'aboutToBlurByMouseDown' on value field before anything else gets executed.
   */
  installGlobalMouseDownInterceptor(myDocument) {
    myDocument.addEventListener('mousedown', event => {
      _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.invokeValueFieldAboutToBlurByMouseDown(event.target);
    }, true); // true=the event handler is executed in the capturing phase
  },
  /**
   * Because Firefox does not set the active state of a DOM element when the mousedown event
   * for that element is prevented, we set an 'active' CSS class instead. This means in the
   * CSS we must deal with :active and with .active, where we need same behavior for the
   * active state across all browsers.
   *
   * Typically, you'd write something like this in your CSS:
   * ```
   *   button:active, button.active { ... }
   * ```
   */
  installSyntheticActiveStateHandler(myDocument) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().requiresSyntheticActiveState()) {
      $activeElements = [];
      jquery__WEBPACK_IMPORTED_MODULE_1___default()(myDocument).on('mousedown', event => {
        let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
        while ($element.length) {
          $activeElements.push($element.addClass('active'));
          $element = $element.parent();
        }
      }).on('mouseup', () => {
        $activeElements.forEach($element => {
          $element.removeClass('active');
        });
        $activeElements = [];
      });
    }
  },
  /**
   * Sets locale of the document, important for screen readers
   * @param locale
   */
  setDocumentLocale(locale) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(locale)) {
      document.documentElement.lang = locale.languageTag;
    }
  },
  widget,
  /**
   * Helper to get the model adapter for a given adapterId. If there is more than one
   * session, e.g. in case of portlets, the second argument specifies the partId of the session
   * to be queried. If not specified explicitly, the first session is used. If the session or
   * the adapter could not be found, null is returned.
   */
  adapter(adapterId, partId) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(adapterId)) {
      return null;
    }
    let session = scout.getSession(partId);
    if (session && session.modelAdapterRegistry) {
      return session.modelAdapterRegistry[adapterId];
    }
    return null;
  },
  /**
   * @returns the session for the given partId. If the partId is omitted, the first session is returned.
   */
  getSession(partId) {
    let sessions = _index__WEBPACK_IMPORTED_MODULE_0__.App.get().sessions;
    if (!sessions) {
      return null;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(partId)) {
      return sessions[0];
    }
    for (let i = 0; i < sessions.length; i++) {
      let session = sessions[i];
      // eslint-disable-next-line eqeqeq
      if (session.partId == partId) {
        // <-- compare with '==' is intentional! (NOSONAR)
        return session;
      }
    }
    return null;
  },
  /**
   * This method exports the adapter with the given ID as JSON, it returns a plain object containing the
   * configuration of the adapter. You can transform that object into JSON by calling <code>JSON.stringify</code>.
   * This method can only be called through the browser JavaScript console.
   * Here's an example of how to call the method:
   *
   * JSON.stringify(exportAdapter(4))
   */
  exportAdapter(adapterId, partId) {
    let session = scout.getSession(partId);
    if (session && session.modelAdapterRegistry) {
      let adapter = session.getModelAdapter(adapterId);
      if (!adapter) {
        return null;
      }
      let adapterData = cloneAdapterData(adapterId);
      resolveAdapterReferences(adapter, adapterData);
      adapterData.type = 'model'; // property 'type' is required for models.ts
      return adapterData;
    }
    // ----- Helper functions -----
    function cloneAdapterData(adapterId) {
      let adapterData = session.getAdapterData(adapterId);
      adapterData = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, adapterData);
      return adapterData;
    }
    function resolveAdapterReferences(adapter, adapterData) {
      let tmpAdapter, tmpAdapterData;
      adapter.widget.widgetProperties.forEach(widgetPropertyName => {
        let widgetPropertyValue = adapterData[widgetPropertyName];
        if (!widgetPropertyValue) {
          return; // nothing to do when property is null
        }
        if (Array.isArray(widgetPropertyValue)) {
          // value is an array of adapter IDs
          let adapterDataArray = [];
          widgetPropertyValue.forEach(adapterId => {
            tmpAdapter = session.getModelAdapter(adapterId);
            tmpAdapterData = cloneAdapterData(adapterId);
            resolveAdapterReferences(tmpAdapter, tmpAdapterData);
            adapterDataArray.push(tmpAdapterData);
          });
          adapterData[widgetPropertyName] = adapterDataArray;
        } else {
          // value is an adapter ID
          tmpAdapter = session.getModelAdapter(widgetPropertyValue);
          tmpAdapterData = cloneAdapterData(widgetPropertyValue);
          resolveAdapterReferences(tmpAdapter, tmpAdapterData);
          adapterData[widgetPropertyName] = tmpAdapterData;
        }
      });
      adapterData = adapter.exportAdapterData(adapterData);
    }
    return null;
  },
  /**
   * Reloads the entire browser window.
   */
  reloadPage(options) {
    options = options || {};
    if (options.schedule) {
      setTimeout(reloadPageImpl);
    } else {
      reloadPageImpl();
    }
    // ----- Helper functions -----
    function reloadPageImpl() {
      // Hide everything (on entire page, not only $entryPoint)
      if (scout.nvl(options.clearBody, true)) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').html('');
      }
      if (options.redirectUrl) {
        window.location.href = options.redirectUrl;
      } else {
        window.location.reload();
      }
    }
  },
  /**
   * @param factories Object that contains the object type as key and the that constructs the object as value.
   *          If you prefer using a class reference as object type rather than a string, please use {@link addObjectFactory} to register your factory.
   * @see create
   */
  addObjectFactories(factories) {
    for (let [objectType, factory] of Object.entries(factories)) {
      scout.addObjectFactory(objectType, factory);
    }
  },
  /**
   * @param objectType ObjectType to register the factory for.
   * @param factory Function that constructs the object.
   * @see create
   */
  addObjectFactory(objectType, factory) {
    scout.objectFactories.set(objectType, factory);
  },
  cloneShallow(template, properties, createUniqueId) {
    scout.assertParameter('template', template);
    let clone = Object.create(Object.getPrototypeOf(template));
    Object.getOwnPropertyNames(template).forEach(key => {
      clone[key] = template[key];
    });
    if (properties) {
      for (let key in properties) {
        clone[key] = properties[key];
      }
    }
    if (scout.nvl(createUniqueId, true)) {
      clone.id = _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().createUniqueId();
    }
    if (clone.cloneOf === undefined) {
      clone.cloneOf = template;
    }
    return clone;
  },
  /**
   * Enables or disables the layout spy that visualizes the cell bounds of the logical grid for debugging purposes.
   * The spy can be enabled on elements that belong to a widget using a {@link LogicalGridLayout}, e.g. {@link GroupBox}, {@link TileGrid}, etc.
   */
  setLogicalGridSpyEnabled(elem, enabled) {
    let layout;
    let widget = scout.widget(elem);
    if (widget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox) {
      layout = widget.htmlBody.layout;
      widget.htmlBody.invalidateLayoutTree(false);
    } else {
      layout = widget.htmlComp.layout;
      widget.htmlComp.invalidateLayoutTree(false);
    }
    if (!(layout instanceof _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayout)) {
      throw new Error('Layout needs to be a LogicalGridLayout');
    }
    layout.setSpyEnabled(enabled);
  }
};

/***/ }),

/***/ "./src/scrollbar/Scrollbar.ts":
/*!************************************!*\
  !*** ./src/scrollbar/Scrollbar.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Scrollbar: () => (/* binding */ Scrollbar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Scrollbar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "axis", void 0);
    _defineProperty(this, "borderless", void 0);
    _defineProperty(this, "mouseWheelNeedsShift", void 0);
    /** thumb body for layout purposes */
    _defineProperty(this, "$thumb", void 0);
    /** thumb handle */
    _defineProperty(this, "$thumbHandle", void 0);
    _defineProperty(this, "_scrollSize", void 0);
    _defineProperty(this, "_offsetSize", void 0);
    _defineProperty(this, "_dim", void 0);
    _defineProperty(this, "_dir", void 0);
    _defineProperty(this, "_dirReverse", void 0);
    _defineProperty(this, "_scrollDir", void 0);
    _defineProperty(this, "_thumbClipping", void 0);
    _defineProperty(this, "_onScrollHandler", void 0);
    _defineProperty(this, "_onScrollWheelHandler", void 0);
    _defineProperty(this, "_onScrollbarMouseDownHandler", void 0);
    _defineProperty(this, "_onTouchStartHandler", void 0);
    _defineProperty(this, "_onThumbMouseDownHandler", void 0);
    _defineProperty(this, "_onDocumentMousemoveHandler", void 0);
    _defineProperty(this, "_onDocumentMouseUpHandler", void 0);
    _defineProperty(this, "_onAncestorScrollOrResizeHandler", void 0);
    _defineProperty(this, "_fixScrollbarHandler", void 0);
    _defineProperty(this, "_unfixScrollbarHandler", void 0);
    _defineProperty(this, "_$thumb", void 0);
    _defineProperty(this, "_$thumbHandle", void 0);
    _defineProperty(this, "_$ancestors", void 0);
    this.$container = null;
    this.$thumb = null;
    this.$thumbHandle = null;
    this.axis = 'y';
    this.borderless = false;
    this.mouseWheelNeedsShift = false;
    this._scrollSize = null;
    this._offsetSize = null;
    this._dim = 'Height';
    this._dir = 'top';
    this._dirReverse = 'bottom';
    this._scrollDir = 'scrollTop';
    this._thumbClipping = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(0, 0, 0, 0);
    this._onScrollHandler = this._onScroll.bind(this);
    this._onScrollWheelHandler = this._onScrollWheel.bind(this);
    this._onScrollbarMouseDownHandler = this._onScrollbarMouseDown.bind(this);
    this._onTouchStartHandler = this._onTouchStart.bind(this);
    this._onThumbMouseDownHandler = this._onThumbMouseDown.bind(this);
    this._onDocumentMousemoveHandler = this._onDocumentMousemove.bind(this);
    this._onDocumentMouseUpHandler = this._onDocumentMouseUp.bind(this);
    this._onAncestorScrollOrResizeHandler = this.update.bind(this);
    this._fixScrollbarHandler = this._fixScrollbar.bind(this);
    this._unfixScrollbarHandler = this._unfixScrollbar.bind(this);
  }
  _render() {
    this._ensureParentPosition();
    // Create scrollbar and thumb
    this.$container = this.$parent.appendDiv('scrollbar').addClass(this.axis + '-axis');
    this._$thumb = this.$container.appendDiv('scrollbar-thumb').addClass(this.axis + '-axis');
    this._$thumbHandle = this._$thumb.appendDiv('scrollbar-thumb-handle').addClass(this.axis + '-axis');
    if (this.borderless) {
      this.$container.addClass('borderless');
    }
    // Init helper variables based on axis (x/y)
    this._dim = this.axis === 'x' ? 'Width' : 'Height';
    this._dir = this.axis === 'x' ? 'left' : 'top';
    this._dirReverse = this.axis === 'x' ? 'right' : 'bottom';
    this._scrollDir = this.axis === 'x' ? 'scrollLeft' : 'scrollTop';
    // Install listeners
    let scrollbars = this.$parent.data('scrollbars');
    if (!scrollbars) {
      throw new Error('Data "scrollbars" missing in ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(this.$parent) + '\nAncestors: ' + this.ancestorsToString(1));
    }
    this.$parent.on('wheel', this._onScrollWheelHandler).on('scroll', this._onScrollHandler).onPassive('touchstart', this._onTouchStartHandler);
    scrollbars.forEach(scrollbar => {
      scrollbar.on('scrollStart', this._fixScrollbarHandler);
      scrollbar.on('scrollEnd', this._unfixScrollbarHandler);
    });
    this.$container.on('mousedown', this._onScrollbarMouseDownHandler);
    this._$thumb.on('mousedown', this._onThumbMouseDownHandler);
    // Scrollbar might be clipped to prevent overlapping an ancestor. In order to reset this clipping the scrollbar needs
    // an update whenever a parent div is scrolled ore resized.
    this._$ancestors = this.$container.parents('div').on('scroll resize', this._onAncestorScrollOrResizeHandler);
  }
  _remove() {
    // Uninstall listeners
    this.$parent.off('wheel', this._onScrollWheelHandler).off('scroll', this._onScrollHandler).offPassive('touchstart', this._onTouchStartHandler);
    let scrollbars = this.$parent.data('scrollbars');
    if (scrollbars) {
      // Scrollbars may be undefined if this.$parent is detached -> don't fail
      scrollbars.forEach(scrollbar => {
        scrollbar.off('scrollStart', this._fixScrollbarHandler);
        scrollbar.off('scrollEnd', this._unfixScrollbarHandler);
      });
    }
    this.$container.off('mousedown', this._onScrollbarMouseDownHandler);
    this._$thumb.off('mousedown', '', this._onThumbMouseDownHandler);
    this._$ancestors.off('scroll resize', this._onAncestorScrollOrResizeHandler);
    this._$ancestors = null;
    super._remove();
  }
  _renderOnAttach() {
    super._renderOnAttach();
    this._ensureParentPosition();
  }
  _ensureParentPosition() {
    // Container with JS scrollbars must have either relative or absolute position
    // otherwise we cannot determine the correct dimension of the scrollbars
    if (this.$parent && this.$parent.isAttached()) {
      let cssPosition = this.$parent.css('position');
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(cssPosition, 'relative', 'absolute')) {
        this.$parent.css('position', 'relative');
      }
    }
  }
  /**
   * scroll by "diff" in px (positive and negative)
   */
  scroll(diff) {
    let posOld = Math.max(0, this.$parent[this._scrollDir]());
    this._scrollToAbsolutePoint(posOld + diff);
  }
  /**
   * scroll to absolute point (expressed as absolute point in px)
   */
  _scrollToAbsolutePoint(absolutePoint) {
    let scrollPos = Math.min(this._scrollSize - this._offsetSize + 1,
    // scrollPos can't be larger than the start of last page. Add +1 because at least chrome has issues to scroll to the very bottom if scrollTop is fractional
    Math.max(0, Math.round(absolutePoint))); // scrollPos can't be negative
    this.$parent[this._scrollDir](scrollPos);
  }
  /**
   * do not use this internal method (triggered by scroll event)
   */
  update() {
    if (!this.rendered) {
      return;
    }
    let margin = this.$container['cssMargin' + this.axis.toUpperCase()]();
    let border = this.$parent['cssBorderWidth' + this.axis.toUpperCase()]();
    let scrollPos = this.$parent[this._scrollDir]();
    let scrollLeft = this.$parent.scrollLeft();
    let scrollTop = this.$parent.scrollTop();
    this.reset();
    // parent dimensions
    // The browser reports these including the border width, but because child elements are always
    // positioned inside the border box, we have to subtract it manually. Otherwise, the scrollbar
    // will be positioned too far down/right and will be cut off at the end.
    this._offsetSize = this.$parent[0]['offset' + this._dim] - border;
    this._scrollSize = this.$parent[0]['scroll' + this._dim] - border;
    // calc size and range of thumb
    let thumbSize = Math.max(this._offsetSize * this._offsetSize / this._scrollSize - margin, 25);
    let thumbRange = this._offsetSize - thumbSize - margin;
    // set size of thumb
    this._$thumb.css(this._dim.toLowerCase(), thumbSize);
    // set location of thumb
    let posNew = scrollPos / (this._scrollSize - this._offsetSize) * thumbRange;
    this._$thumb.css(this._dir, posNew);
    // Add 1px to make sure scroll bar is not shown if width is a floating point value.
    // Even if we were using getBoundingClientRect().width to get an exact width,
    // it would not help because scroll size is always an integer
    let offsetFix = 1;
    // show scrollbar
    if (this._offsetSize + offsetFix >= this._scrollSize) {
      this.$container.css('display', 'none');
    } else {
      this.$container.css('display', '');
      // indicate that thumb movement is not possible
      if (this._isContainerTooSmallForThumb()) {
        this._$thumb.addClass('container-too-small-for-thumb');
      } else {
        this._$thumb.removeClass('container-too-small-for-thumb');
      }
    }
    this._clipWhenOverlappingAncestor();
    // Position the scrollbar(s)
    // Always update both to make sure every scrollbar (x and y) is positioned correctly
    this.$container.cssRight(-1 * scrollLeft);
    this.$container.cssBottom(-1 * scrollTop);
  }
  _resetClipping() {
    // Only reset dimension and position for the secondary axis,
    // for the scroll-axis these properties are set during update()
    if (this.axis === 'y') {
      this._$thumb.css('width', '').css('left', '');
    } else {
      this._$thumb.css('height', '').css('top', '');
    }
    this._$thumb.removeClass('clipped-left clipped-right clipped-top clipped-bottom');
    this._thumbClipping = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(0, 0, 0, 0);
  }
  /**
   * Make sure scrollbar does not appear outside an ancestor when fixed
   */
  _clipWhenOverlappingAncestor() {
    this._resetClipping();
    // Clipping is only needed when scrollbar has a fixed position.
    // Otherwise the over-size is handled by 'overflow: hidden;'.
    if (this.$container.css('position') === 'fixed') {
      let thumbBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this._$thumb);
      let thumbWidth = thumbBounds.width;
      let thumbHeight = thumbBounds.height;
      let thumbEndX = thumbBounds.x + thumbBounds.width;
      let thumbEndY = thumbBounds.y + thumbBounds.height;
      let biggestAncestorBeginX = 0;
      let biggestAncestorBeginY = 0;
      let smallestAncestorEndX = thumbEndX;
      let smallestAncestorEndY = thumbEndY;
      // Find nearest clip boundaries: It is not necessarily the boundary of the closest ancestor-div in the DOM,
      // because ancestor-divs themselves may be scrolled.
      this.$container.parents('div').each(function () {
        let $ancestor = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
        let ancestorBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($ancestor);
        if ($ancestor.css('overflow-x') !== 'visible') {
          if (ancestorBounds.x > biggestAncestorBeginX) {
            biggestAncestorBeginX = ancestorBounds.x;
          }
          let ancestorEndX = ancestorBounds.x + ancestorBounds.width;
          if (ancestorEndX < smallestAncestorEndX) {
            smallestAncestorEndX = ancestorEndX;
          }
        }
        if ($ancestor.css('overflow-y') !== 'visible') {
          if (ancestorBounds.y > biggestAncestorBeginY) {
            biggestAncestorBeginY = ancestorBounds.y;
          }
          let ancestorEndY = ancestorBounds.y + ancestorBounds.height;
          if (ancestorEndY < smallestAncestorEndY) {
            smallestAncestorEndY = ancestorEndY;
          }
        }
      });
      let clipLeft = 0;
      let clipRight = 0;
      let clipTop = 0;
      let clipBottom = 0;
      // clip left
      if (biggestAncestorBeginX > thumbBounds.x) {
        clipLeft = biggestAncestorBeginX - thumbBounds.x;
        thumbWidth -= clipLeft;
        this._$thumb.css('width', thumbWidth).css('left', _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(this._$thumb).x + clipLeft).addClass('clipped-left');
      }
      // clip top
      if (biggestAncestorBeginY > thumbBounds.y) {
        clipTop = biggestAncestorBeginY - thumbBounds.y;
        thumbHeight -= clipTop;
        this._$thumb.css('height', thumbHeight).css('top', _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds(this._$thumb).y + clipTop).addClass('clipped-top');
      }
      // clip right
      if (thumbEndX > smallestAncestorEndX) {
        clipRight = thumbEndX - smallestAncestorEndX;
        this._$thumb.css('width', thumbWidth - clipRight).addClass('clipped-right');
      }
      // clip bottom
      if (thumbEndY > smallestAncestorEndY) {
        clipBottom = thumbEndY - smallestAncestorEndY;
        this._$thumb.css('height', thumbHeight - clipBottom).addClass('clipped-bottom');
      }
      this._thumbClipping = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(clipTop, clipRight, clipBottom, clipLeft);
    }
  }
  /**
   * Resets thumb size and scrollbar position to make sure it does not extend the scrollSize
   */
  reset() {
    this._$thumb.css(this._dim.toLowerCase(), 0);
    this.$container.cssRight(0);
    this.$container.cssBottom(0);
  }
  /*
   * EVENT HANDLING
   */
  _onScroll(event) {
    this.update();
  }
  _onTouchStart(event) {
    // In hybrid mode scroll bar is moved by the scroll event.
    // On a mobile device scroll events are fired delayed so the update will be delayed as well.
    // This will lead to flickering and could be prevented by calling fixScrollbar. But unfortunately calling fix will stop the scroll pane from scrolling immediately, at least in Edge.
    // In order to reduce the flickering the current approach is to hide the scrollbars while scrolling (only in this specific hybrid touch scrolling)
    _index__WEBPACK_IMPORTED_MODULE_0__.events.onScrollStartEndDuringTouch(this.$parent, () => {
      if (!this.rendered) {
        return;
      }
      this.$container.css('opacity', 0);
    }, () => {
      if (!this.rendered) {
        return;
      }
      this.$container.css('opacity', '');
    });
  }
  _onScrollWheel(event) {
    if (!this.$container.isVisible()) {
      return true; // ignore scroll wheel event if there is no scroll bar visible
    }
    if (event.ctrlKey) {
      return true; // allow ctrl + mousewheel to zoom the page
    }
    if (this.mouseWheelNeedsShift !== event.shiftKey) {
      return true; // only scroll if shift modifier matches
    }
    let originalEvent = event.originalEvent;
    let delta = 0;
    if (this.axis === 'y') {
      delta = originalEvent.deltaY;
    } else if (this.axis === 'x') {
      delta = originalEvent.deltaX | originalEvent.deltaY;
    }
    this.notifyBeforeScroll();
    this.scroll(delta);
    this.notifyAfterScroll();
    return false;
  }
  _onScrollbarMouseDown(event) {
    this.notifyBeforeScroll();
    let clickableAreaSize = this.$container[this._dim.toLowerCase()]();
    let offset = this.$container.offset()[this._dir];
    let clicked = (this.axis === 'x' ? event.pageX : event.pageY) - offset;
    let percentage;
    if (this._isContainerTooSmallForThumb()) {
      percentage = Math.min(1, Math.max(0, clicked / clickableAreaSize)); // percentage can't be larger than 1, nor negative
      this._scrollToAbsolutePoint(percentage * this._scrollSize - Math.round(this._offsetSize / 2));
    } else {
      // move the thumb center to clicked point
      let thumbSize = this._$thumb['outer' + this._dim](true);
      let minPossible = Math.round(thumbSize / 2);
      let maxPossible = clickableAreaSize - Math.round(thumbSize / 2);
      let rawPercentage = (clicked - minPossible) * (1 / (maxPossible - minPossible));
      percentage = Math.min(1, Math.max(0, rawPercentage)); // percentage can't be larger than 1, nor negative
      this._scrollToAbsolutePoint(percentage * (this._scrollSize - this._offsetSize));
    }
    this.notifyAfterScroll();
  }
  _onThumbMouseDown(event) {
    // ignore event if container is too small for thumb movement
    if (this._isContainerTooSmallForThumb()) {
      return true; // let _onScrollbarMouseDown handle the click event
    }
    this.notifyBeforeScroll();
    // calculate thumbCenterOffset in px (offset from clicked point to thumb center)
    let clipped = this.axis === 'x' ? this._thumbClipping.horizontal() : this._thumbClipping.vertical();
    let thumbSize = clipped + this._$thumb['outer' + this._dim](true); // including border, margin and padding
    let thumbClippingOffset = this.axis === 'x' ? this._thumbClipping.left : this._thumbClipping.top;
    let thumbCenter = this._$thumb.offset()[this._dir] + Math.floor(thumbSize / 2) - thumbClippingOffset;
    let thumbCenterOffset = Math.round((this.axis === 'x' ? event.pageX : event.pageY) - thumbCenter);
    this._$thumb.addClass('scrollbar-thumb-move');
    this._$thumb.document().on('mousemove', {
      thumbCenterOffset: thumbCenterOffset
    }, this._onDocumentMousemoveHandler).one('mouseup', this._onDocumentMouseUpHandler);
    return false;
  }
  _onDocumentMousemove(event) {
    // Scrollbar may be removed in the meantime
    if (!this.rendered) {
      return;
    }
    // represents offset in px of clicked point in thumb to the center of the thumb (positive and negative)
    let thumbCenterOffset = event.data.thumbCenterOffset;
    let clipped = this.axis === 'x' ? this._thumbClipping.horizontal() : this._thumbClipping.vertical();
    let thumbSize = clipped + this._$thumb['outer' + this._dim](true); // including border, margin and padding
    let size = this.$container[this._dim.toLowerCase()]() - thumbSize; // size of div excluding margin/padding/border
    let offset = this.$container.offset()[this._dir] + thumbSize / 2;
    let movedTo = Math.min(size, Math.max(0, (this.axis === 'x' ? event.pageX : event.pageY) - offset - thumbCenterOffset));
    let percentage = Math.min(1,
    // percentage can't be larger than 1
    Math.max(0, movedTo / size)); // percentage can't be negative
    let posNew = percentage * (this._scrollSize - this._offsetSize);
    this._scrollToAbsolutePoint(posNew);
  }
  _onDocumentMouseUp(event) {
    let $document = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    $document.off('mousemove', this._onDocumentMousemoveHandler);
    if (this.rendered) {
      this._$thumb.removeClass('scrollbar-thumb-move');
    }
    this.notifyAfterScroll();
    return false;
  }
  notifyBeforeScroll() {
    this.trigger('scrollStart');
  }
  notifyAfterScroll() {
    this.trigger('scrollEnd');
  }
  /*
   * Fix Scrollbar
   */
  /**
   * Sets the position to fixed and updates left and top position
   * (This is necessary to prevent flickering in IE)
   */
  _fixScrollbar() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.fix(this.$container);
    this.update();
  }
  /**
   * Reverts the changes made by _fixScrollbar
   */
  _unfixScrollbar() {
    // true = do it immediately without a timeout.
    // This is important because scrollTop may be set during layout but before the element is positioned correctly (e.g. popup)
    // which could have the effect that the scroll bar is drown outside the widget
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.unfix(this.$container, null, true);
    this.update();
  }
  /*
   * INTERNAL METHODS
   */
  /**
   * If the thumb gets bigger than its container this method will return true, otherwise false
   */
  _isContainerTooSmallForThumb() {
    let thumbSize = this._$thumb['outer' + this._dim](true);
    let thumbMovableAreaSize = this.$container[this._dim.toLowerCase()]();
    return thumbSize >= thumbMovableAreaSize;
  }
}

/***/ }),

/***/ "./src/scrollbar/ScrollbarEventMap.ts":
/*!********************************************!*\
  !*** ./src/scrollbar/ScrollbarEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/scrollbar/ScrollbarModel.ts":
/*!*****************************************!*\
  !*** ./src/scrollbar/ScrollbarModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/scrollbar/VirtualScrolling.ts":
/*!*******************************************!*\
  !*** ./src/scrollbar/VirtualScrolling.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VirtualScrolling: () => (/* binding */ VirtualScrolling)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class VirtualScrolling {
  constructor(options) {
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "minRowHeight", void 0);
    _defineProperty(this, "viewRangeSize", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "$scrollable", void 0);
    this.enabled = true;
    this.minRowHeight = 0;
    this.viewRangeSize = 0;
    this.widget = null;
    this.$scrollable = null;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  setEnabled(enabled) {
    this.enabled = enabled;
  }
  set$Scrollable($scrollable) {
    if (this.$scrollable === $scrollable) {
      return;
    }
    this.$scrollable = $scrollable;
  }
  setMinRowHeight(minRowHeight) {
    if (this.minRowHeight === minRowHeight) {
      return;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(minRowHeight)) {
      throw new Error('minRowHeight is not a number: ' + minRowHeight);
    }
    this.minRowHeight = minRowHeight;
    if (this.widget.rendered) {
      this.setViewRangeSize(this.calculateViewRangeSize());
    }
  }
  setViewRangeSize(viewRangeSize, updateViewPort) {
    if (this.viewRangeSize === viewRangeSize) {
      return;
    }
    this.viewRangeSize = viewRangeSize;
    if (this.widget.rendered && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(updateViewPort, true)) {
      this.renderViewPort();
    }
  }
  /**
   * Calculates the optimal view range size (number of rows to be rendered).
   * It uses the default row height to estimate how many rows fit in the view port.
   * The view range size is this value * 2.
   */
  calculateViewRangeSize() {
    if (!this.enabled || this.$scrollable.length === 0) {
      return this.rowCount();
    }
    if (this.minRowHeight === 0) {
      throw new Error('Cannot calculate view range with rowHeight = 0');
    }
    return Math.ceil(this.$scrollable.height() / this.minRowHeight) * 2;
  }
  calculateCurrentViewRange() {
    if (!this.enabled) {
      return this.maxViewRange();
    }
    if (this.viewRangeSize === 0) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    }
    let rowIndex;
    if (this.$scrollable.length === 0) {
      return this.maxViewRange();
    }
    let scrollTop = this.$scrollable[0].scrollTop;
    let maxScrollTop = this.$scrollable[0].scrollHeight - this.$scrollable[0].clientHeight;
    let widgetBounds = this.widget.$container[0].getBoundingClientRect();
    let scrollableBounds = this.$scrollable[0].getBoundingClientRect();
    if (widgetBounds.height > 0 && (widgetBounds.bottom < scrollableBounds.top || widgetBounds.top > scrollableBounds.bottom)) {
      // If widget is not in the view port, no need to draw any row
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    }
    if (maxScrollTop === 0) {
      // no scrollbars visible
      rowIndex = 0;
    } else {
      rowIndex = this._rowIndexAtScrollTop(scrollTop);
    }
    return this.calculateViewRangeForRowIndex(rowIndex);
  }
  maxViewRange() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.rowCount());
  }
  /**
   * Returns a range of size {@link this.viewRangeSize}. Start of range is rowIndex - viewRangeSize / 4.
   * -> 1/4 of the rows are before the viewport 2/4 in the viewport 1/4 after the viewport,
   * assuming viewRangeSize is 2*number of possible rows in the viewport (see {@link calculateViewRangeSize}).
   */
  calculateViewRangeForRowIndex(rowIndex) {
    if (!this.enabled) {
      return this.maxViewRange();
    }
    let viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(),
      quarterRange = Math.floor(this.viewRangeSize / 4),
      diff;
    viewRange.from = Math.max(rowIndex - quarterRange, 0);
    viewRange.to = Math.min(viewRange.from + this.viewRangeSize, this.rowCount());
    // Try to use the whole viewRangeSize (extend from if necessary)
    diff = this.viewRangeSize - viewRange.size();
    if (diff > 0) {
      viewRange.from = Math.max(viewRange.to - this.viewRangeSize, 0);
    }
    return viewRange;
  }
  /**
   * Returns the index of the row which is at position scrollTop.
   */
  _rowIndexAtScrollTop(scrollTop) {
    let height = 0,
      rowCount = this.rowCount(),
      index = rowCount - 1;
    if (this.widget.$container[0] !== this.$scrollable[0]) {
      // If container itself is not scrollable but a parent, height must not start at 0
      height = scrollTop + (this.widget.$container.offset().top - this.$scrollable.offset().top);
    }
    for (let row = 0; row < rowCount; row++) {
      height += this.rowHeight(row);
      if (scrollTop < height) {
        index = row;
        break;
      }
    }
    return index;
  }
  rowHeight(row) {
    throw new Error('Function has to be provided by widget');
  }
  rowCount() {
    throw new Error('Function has to be provided by widget');
  }
  /**
   * Calculates and renders the rows which should be visible in the current viewport based on scroll top.
   */
  renderViewPort() {
    let viewRange = this.calculateCurrentViewRange();
    this._renderViewRange(viewRange);
  }
  renderViewRangeForRowIndex(rowIndex) {
    let viewRange = this.calculateViewRangeForRowIndex(rowIndex);
    this._renderViewRange(viewRange);
  }
  /**
   * Renders the rows visible in the viewport and removes the other rows
   */
  _renderViewRange(viewRange) {
    throw new Error('Function has to be provided by widget');
  }
}

/***/ }),

/***/ "./src/scrollbar/VirtualScrollingModel.ts":
/*!************************************************!*\
  !*** ./src/scrollbar/VirtualScrollingModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/scrollbar/scrollbars.ts":
/*!*************************************!*\
  !*** ./src/scrollbar/scrollbars.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   scrollbars: () => (/* binding */ scrollbars)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Static function to install a scrollbar on a container.
 * When the client supports pretty native scrollbars, we use them by default.
 * Otherwise, we install JS-based scrollbars. In that case the install-function
 * creates a new scrollbar.js. For native scrollbars we
 * must set some additional CSS styles.
 */
const scrollbars = {
  /** @internal */
  _$scrollables: {},
  intersectionObserver: null,
  getScrollables(session) {
    // return scrollables for given session
    if (session) {
      return scrollbars._$scrollables[session + ''] || [];
    }
    // return all scrollables, no matter to which session they belong
    let $scrollables = [];
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(scrollbars._$scrollables).forEach($scrollablesPerSession => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll($scrollables, $scrollablesPerSession);
    });
    return $scrollables;
  },
  pushScrollable(session, $container) {
    let key = session + '';
    if (scrollbars._$scrollables[key]) {
      if (scrollbars._$scrollables[key].indexOf($container) > -1) {
        // already pushed
        return;
      }
      scrollbars._$scrollables[key].push($container);
    } else {
      scrollbars._$scrollables[key] = [$container];
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Scrollable added: ' + $container.attr('class') + '. New length: ' + scrollbars._$scrollables[key].length);
  },
  removeScrollable(session, $container) {
    let initLength = 0;
    let key = session + '';
    if (scrollbars._$scrollables[key]) {
      initLength = scrollbars._$scrollables[key].length;
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.$remove(scrollbars._$scrollables[key], $container);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Scrollable removed: ' + $container.attr('class') + '. New length: ' + scrollbars._$scrollables[key].length);
      if (initLength === scrollbars._$scrollables[key].length) {
        throw new Error('scrollable could not be removed. Potential memory leak. ' + $container.attr('class'));
      }
    } else {
      throw new Error('scrollable could not be removed. Potential memory leak. ' + $container.attr('class'));
    }
  },
  install($container, options) {
    options = options || {};
    options.axis = options.axis || 'both';
    options.scrollShadow = options.scrollShadow || 'auto';
    // Don't use native as variable name because it will break minifying (reserved keyword)
    let nativeScrollbars = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.nativeScrollbars, _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().hasPrettyScrollbars());
    let hybridScrollbars = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.hybridScrollbars, _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().canHideScrollbars());
    if (nativeScrollbars) {
      scrollbars._installNative($container, options);
    } else if (hybridScrollbars) {
      $container.addClass('hybrid-scrollable');
      scrollbars._installNative($container, options);
      scrollbars._installJs($container, options);
    } else {
      $container.css('overflow', 'hidden');
      scrollbars._installJs($container, options);
    }
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($container);
    if (htmlContainer) {
      htmlContainer.scrollable = true;
    }
    $container.data('scrollable', true);
    $container.data('scroll-axis', options.axis);
    let session = options.session || options.parent.session;
    scrollbars.pushScrollable(session, $container);
    if (options.scrollShadow) {
      scrollbars.installScrollShadow($container, options);
    }
    return $container;
  },
  /** @internal */
  _installNative($container, options) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos()) {
      // On ios, container sometimes is not scrollable when installing too early
      // Happens often with nested scrollable containers (e.g. scrollable table inside a form inside a scrollable tree data)
      setTimeout(scrollbars._installNativeInternal.bind(this, $container, options));
    } else {
      scrollbars._installNativeInternal($container, options);
    }
  },
  /** @internal */
  _installNativeInternal($container, options) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('use native scrollbars for container ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput($container));
    if (options.axis === 'x') {
      $container.css('overflow-x', 'auto').css('overflow-y', 'hidden');
    } else if (options.axis === 'y') {
      $container.css('overflow-x', 'hidden').css('overflow-y', 'auto');
    } else {
      $container.css('overflow', 'auto');
    }
    $container.css('-webkit-overflow-scrolling', 'touch');
    // Under certain circumstances, browsers automatically make scroll containers focusable, e.g. https://developer.chrome.com/blog/keyboard-focusable-scrollers.
    // Because this interferes with Scout's focus management, we explicitly add a negative tabindex to disable this behavior.
    // The value '-2' (instead of '-1') means that the element is ignored by  the ':focusable' selector, see jquery-scout-selectors.js.
    if ($container.attr('tabindex') === undefined) {
      $container.attr('tabindex', '-2');
    }
  },
  installScrollShadow($container, options) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsIntersectionObserver()) {
      return;
    }
    let scrollShadowStyle = scrollbars._computeScrollShadowStyle(options);
    if (scrollShadowStyle.length === 0) {
      return;
    }
    let $shadow = $container.afterDiv('scroll-shadow');
    $shadow.toggleClass('large', scrollShadowStyle.indexOf('large') > -1);
    $shadow.toggleClass('gradient', scrollShadowStyle.indexOf('gradient') > -1);
    $shadow.data('scroll-shadow-parent', $container);
    $container.data('scroll-shadow', $shadow);
    $container.data('scroll-shadow-style', scrollShadowStyle);
    $container.data('scroll-shadow-customizer', options.scrollShadowCustomizer);
    let handler = () => scrollbars.updateScrollShadowWhileScrolling($container);
    $container.data('scroll-shadow-handler', handler);
    $container.on('scroll', handler);
    scrollbars.updateScrollShadow($container);
    scrollbars._installMutationObserver($container.entryPoint());
    scrollbars._installIntersectionObserver();
    scrollbars.intersectionObserver.observe($container[0]);
    // this is required in addition to the intersection observer because the observer events are handled asynchronously later after all the setTimeout calls.
    // Then the shadow might stay visible too long which has an impact on layout updates.
    let containerElement = $container[0];
    let visibleListener = e => {
      if (e.target === containerElement) {
        scrollbars._onScrollableVisibleChange(containerElement, e.type === 'show');
      }
    };
    $container.data('scroll-shadow-visible-listener', visibleListener);
    $container.on('hide show', visibleListener);
  },
  uninstallScrollShadow($container, session) {
    let $shadow = $container.data('scroll-shadow');
    if ($shadow) {
      $shadow.remove();
      $container.removeData('scroll-shadow');
    }
    $container.removeData('scroll-shadow-style');
    $container.removeData('scroll-shadow-customizer');
    let handler = $container.data('scroll-shadow-handler');
    if (handler) {
      $container.off('scroll', handler);
      $container.removeData('scroll-shadow-handler');
    }
    if (scrollbars.intersectionObserver) {
      scrollbars.intersectionObserver.unobserve($container[0]);
    }
    let visibleListener = $container.data('scroll-shadow-visible-listener');
    if (visibleListener) {
      $container.off('hide show', visibleListener);
    }
    if (!scrollbars._hasScrollShadow(session, $container.entryPoint(true))) {
      scrollbars._uninstallMutationObserver($container.entryPoint());
    }
    if (!scrollbars._hasScrollShadow(session)) {
      scrollbars._uninstallIntersectionObserver();
    }
  },
  _hasScrollShadow(session, entryPoint) {
    const $scrollables = scrollbars._$scrollables[session + ''];
    return $scrollables && $scrollables.some($scrollable => $scrollable.data('scroll-shadow') && (!entryPoint || $scrollable.entryPoint(true) === entryPoint));
  },
  /** @internal */
  _computeScrollShadowStyle(options) {
    let scrollShadow = options.scrollShadow;
    if (!scrollShadow) {
      return [];
    }
    if (typeof scrollShadow === 'string') {
      scrollShadow = scrollShadow.split(' ');
    }
    scrollShadow = scrollShadow.slice(); // copy to don't modify parameter
    if (scrollShadow.indexOf('none') > -1) {
      return [];
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAny(scrollShadow, ['y', 'x', 'top', 'right', 'bottom', 'left'])) {
      // If no position was set, determine it automatically based on the axis
      if (options.axis === 'both' || options.axis === 'y') {
        scrollShadow.push('y');
      }
      if (options.axis === 'both' || options.axis === 'x') {
        scrollShadow.push('x');
      }
    }
    if (scrollShadow.indexOf('y') > -1) {
      scrollShadow.push('top');
      scrollShadow.push('bottom');
    }
    if (scrollShadow.indexOf('x') > -1) {
      scrollShadow.push('left');
      scrollShadow.push('right');
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(scrollShadow, ['all', 'y', 'x', 'auto', 'none']);
    return scrollShadow;
  },
  updateScrollShadowWhileScrolling($container) {
    let $animatingParent = $container.findUp($elem => $elem.hasAnimationClass());
    if ($animatingParent.length > 0) {
      // If the container is scrolled while being animated, the shadow will likely get the wrong size and/or position if the animation changes the bounds.
      // The scroll event is mostly probably not triggered by the user directly but by the scrollable container itself, e.g. to reveal a focused / selected / checked element.
      $animatingParent.oneAnimationEnd(() => scrollbars.updateScrollShadow($container));
      return;
    }
    scrollbars.updateScrollShadow($container);
  },
  updateScrollShadow($container) {
    let $shadow = $container.data('scroll-shadow');
    if (!$shadow) {
      return;
    }
    let scrollTop = $container[0].scrollTop;
    let scrollLeft = $container[0].scrollLeft;
    let atTop = atStart(scrollTop);
    let atBottom = atEnd(scrollTop, $container[0].scrollHeight, $container[0].offsetHeight);
    let atLeft = atStart(scrollLeft);
    let atRight = atEnd(scrollLeft, $container[0].scrollWidth, $container[0].offsetWidth);
    let style = $container.data('scroll-shadow-style');
    $shadow.toggleClass('top', !atTop && style.indexOf('top') > -1);
    $shadow.toggleClass('bottom', !atBottom && style.indexOf('bottom') > -1);
    $shadow.toggleClass('left', !atLeft && style.indexOf('left') > -1);
    $shadow.toggleClass('right', !atRight && style.indexOf('right') > -1);
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setBounds($shadow, _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($container, {
      exact: true
    }).subtract(insets($shadow)));
    _index__WEBPACK_IMPORTED_MODULE_0__.graphics.setMargins($shadow, _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($container));
    $shadow.css('border-radius', $container.css('border-radius'));
    let customizer = $container.data('scroll-shadow-customizer');
    if (customizer) {
      customizer($container, $shadow);
    }
    function atStart(scrollPos) {
      return scrollPos === 0;
    }
    function atEnd(scrollPos, scrollSize, offsetSize) {
      return scrollPos + 1 >= scrollSize - offsetSize;
    }
    function insets($shadow) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Insets($shadow.cssPxValue('--scroll-shadow-inset-top'), $shadow.cssPxValue('--scroll-shadow-inset-right'), $shadow.cssPxValue('--scroll-shadow-inset-bottom'), $shadow.cssPxValue('--scroll-shadow-inset-left'));
    }
  },
  /**
   * Installs a dom mutation observer that tracks all scrollables in order to move the scroll shadow along with the scrollable.
   * @internal
   */
  _installMutationObserver($entryPoint) {
    if (!$entryPoint || !$entryPoint[0] || $entryPoint.data('mutation-observer')) {
      return;
    }
    const mutationObserver = new MutationObserver(scrollbars._onDomMutation);
    $entryPoint.data('mutation-observer', mutationObserver);
    mutationObserver.observe($entryPoint[0], {
      subtree: true,
      childList: true
    });
  },
  /** @internal */
  _onDomMutation(mutationList, observer) {
    mutationList.forEach(scrollbars._processDomMutation);
  },
  /** @internal */
  _processDomMutation(mutation) {
    // addedNodes if of type NodeList and therefore does not support array functions
    for (let i = 0; i < mutation.addedNodes.length; i++) {
      let elem = mutation.addedNodes[i];
      let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      if ($elem.data('scrollable')) {
        // Move scroll shadow after scrollable when scrollable was moved (=inserted again)
        let $scrollShadow = $elem.data('scroll-shadow');
        if ($scrollShadow) {
          $scrollShadow.insertAfter($elem);
        }
      }
    }
  },
  /** @internal */
  _uninstallMutationObserver($entryPoint) {
    if (!$entryPoint || !$entryPoint.data('mutation-observer')) {
      return;
    }
    $entryPoint.data('mutation-observer').disconnect();
    $entryPoint.removeData('mutation-observer');
  },
  /**
   * Installs an intersection observer that tracks the visibility of a scrollable in order to update the visibility of the scroll shadow accordingly.
   * @internal
   */
  _installIntersectionObserver() {
    if (scrollbars.intersectionObserver) {
      return;
    }
    scrollbars.intersectionObserver = new IntersectionObserver((entries, observer) => {
      entries.forEach(entry => scrollbars._onScrollableVisibleChange(entry.target, entry.intersectionRatio > 0));
    });
  },
  /** @internal */
  _uninstallIntersectionObserver() {
    if (!scrollbars.intersectionObserver) {
      return;
    }
    scrollbars.intersectionObserver.disconnect();
    scrollbars.intersectionObserver = null;
  },
  /** @internal */
  _onScrollableVisibleChange(element, visible) {
    let $element = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element);
    let $shadow = $element.data('scroll-shadow');
    if (!$shadow) {
      return;
    }
    $shadow.setVisible($element.isVisible());
  },
  hasScrollShadow($container, position) {
    if (!$container) {
      return false;
    }
    let $scrollShadow = $container.data('scroll-shadow');
    if (!$scrollShadow) {
      return false;
    }
    if (!position) {
      return true;
    }
    return $scrollShadow.hasClass(position);
  },
  isHybridScrolling($scrollable) {
    return $scrollable.hasClass('hybrid-scrollable');
  },
  isNativeScrolling($scrollable) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf('auto', $scrollable.css('overflow'), $scrollable.css('overflow-x'), $scrollable.css('overflow-y'));
  },
  isJsScrolling($scrollable) {
    return !!$scrollable.data('scrollbars');
  },
  getScrollAxis($scrollable) {
    return $scrollable.data('scroll-axis');
  },
  /** @internal */
  _installJs($container, options) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('installing JS-scrollbars for container ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput($container));
    let scrollbarArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure($container.data('scrollbars'));
    scrollbarArr.forEach(scrollbar => {
      scrollbar.destroy();
    });
    scrollbarArr = [];
    let scrollbar;
    if (options.axis === 'both') {
      let scrollbarModel = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options, {
        axis: 'y'
      });
      scrollbar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Scrollbar, scrollbarModel);
      scrollbarArr.push(scrollbar);
      scrollbarModel = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, scrollbarModel, {
        axis: 'x',
        mouseWheelNeedsShift: true
      });
      scrollbar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Scrollbar, scrollbarModel);
      scrollbarArr.push(scrollbar);
    } else {
      let scrollbarModel = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options, {
        axis: options.axis
      });
      scrollbar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Scrollbar, scrollbarModel);
      scrollbarArr.push(scrollbar);
    }
    $container.data('scrollbars', scrollbarArr);
    scrollbarArr.forEach(scrollbar => {
      scrollbar.render($container);
      scrollbar.update();
    });
  },
  /**
   * Removes the js scrollbars for the $container, if there are any.<p>
   */
  uninstall($container, session) {
    if (!$container.data('scrollable')) {
      // was not installed previously -> uninstalling not necessary
      return;
    }
    let scrollbarArr = $container.data('scrollbars');
    if (scrollbarArr) {
      scrollbarArr.forEach(scrollbar => {
        scrollbar.destroy();
      });
    }
    scrollbars.removeScrollable(session, $container);
    $container.removeData('scrollable');
    $container.removeData('scroll-axis');
    $container.css('overflow', '');
    $container.removeClass('hybrid-scrollable');
    $container.removeData('scrollbars');
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.optGet($container);
    if (htmlContainer) {
      htmlContainer.scrollable = false;
    }
    scrollbars.uninstallScrollShadow($container, session);
  },
  /**
   * Recalculates the scrollbar size and position.
   * @param $scrollable JQuery element that has .data('scrollbars'), when $scrollable is falsy the function returns immediately
   * @param immediate set to true to immediately update the scrollbar. If set to false, it will be queued in order to prevent unnecessary updates.
   */
  update($scrollable, immediate) {
    if (!$scrollable || !$scrollable.data('scrollable')) {
      return;
    }
    scrollbars.updateScrollShadow($scrollable);
    let scrollbarArr = $scrollable.data('scrollbars');
    if (!scrollbarArr) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isIos()) {
        scrollbars._handleIosPaintBug($scrollable);
      }
      return;
    }
    if (immediate) {
      scrollbars._update(scrollbarArr);
      return;
    }
    if ($scrollable.data('scrollbarUpdatePending')) {
      return;
    }
    // Executes the update later to prevent unnecessary updates
    setTimeout(() => {
      scrollbars._update(scrollbarArr);
      $scrollable.removeData('scrollbarUpdatePending');
    }, 0);
    $scrollable.data('scrollbarUpdatePending', true);
  },
  /** @internal */
  _update(scrollbarArr) {
    // Reset the scrollbars first to make sure they don't extend the scrollSize
    scrollbarArr.forEach(scrollbar => {
      if (scrollbar.rendered) {
        scrollbar.reset();
      }
    });
    scrollbarArr.forEach(scrollbar => {
      if (scrollbar.rendered) {
        scrollbar.update();
      }
    });
  },
  /**
   * IOS has problems with nested scrollable containers. Sometimes the outer container goes completely white hiding the elements behind.
   * This happens with the following case: Main box is scrollable but there are no scrollbars because content is smaller than container.
   * In the main box there is a tab box with a scrollable table. This table has scrollbars.
   * If the width of the tab box is adjusted (which may happen if the tab item is selected and eventually prefSize called), the main box will go white.
   * <p>
   * This happens only if -webkit-overflow-scrolling is set to touch.
   * To work around this bug the flag -webkit-overflow-scrolling will be removed if the scrollable component won't display any scrollbars
   * @internal
   */
  _handleIosPaintBug($scrollable) {
    if ($scrollable.data('scrollbarUpdatePending')) {
      return;
    }
    setTimeout(() => {
      workaround();
      $scrollable.removeData('scrollbarUpdatePending');
    });
    $scrollable.data('scrollbarUpdatePending', true);
    function workaround() {
      let size = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($scrollable).subtract(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($scrollable, {
        includePadding: false,
        includeBorder: true
      }));
      if ($scrollable[0].scrollHeight === size.height && $scrollable[0].scrollWidth === size.width) {
        $scrollable.css('-webkit-overflow-scrolling', '');
      } else {
        $scrollable.css('-webkit-overflow-scrolling', 'touch');
      }
    }
  },
  reset($scrollable) {
    let scrollbarArr = $scrollable.data('scrollbars');
    if (!scrollbarArr) {
      return;
    }
    scrollbarArr.forEach(scrollbar => scrollbar.reset());
  },
  /**
   * Scrolls the $scrollable to the given $element (must be a child of $scrollable)
   *
   * @param $scrollable
   *          the scrollable object
   * @param $element
   *          the element to scroll to
   * @param opts
   *          Shorthand version: If a string is passed instead
   *          of an object, the value is automatically converted to the option {@link ScrollToOptions.align}.
   */
  scrollTo($scrollable, $element, opts) {
    let options;
    if (typeof opts === 'string') {
      options = {
        align: opts
      };
    } else {
      options = scrollbars._createDefaultScrollToOptions(opts);
    }
    let align = options.align ? options.align.toLowerCase() : undefined;
    let scrollTo,
      scrollOffsetUp = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.scrollOffsetUp, align === 'center' ? 0 : 4),
      scrollOffsetDown = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.scrollOffsetDown, align === 'center' ? 0 : 8),
      scrollableH = $scrollable.height(),
      elementBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($element),
      scrollableBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($scrollable),
      elementY = elementBounds.y - scrollableBounds.y,
      elementH = elementBounds.height,
      elementTop = elementY - scrollOffsetUp,
      // relative to scrollable y
      elementBottom = elementY + elementH + scrollOffsetDown;
    //        ---          ^                     <-- elementTop
    //         |           | scrollOffsetUp
    //         |           v
    //   +------------+    ^                     <-- elementY
    //   |  element   |    | elementH
    //   +------------+    v
    //         |           ^
    //         |           | scrollOffsetDown
    //        ---          v                     <-- elementBottom
    if (!align) {
      // If the element is above the visible area it will be aligned to top.
      // If the element is below the visible area it will be aligned to bottom.
      // If the element is already in the visible area no scrolling is done.
      align = elementTop < 0 ? 'top' : elementBottom > scrollableH ? 'bottom' : undefined;
    }
    if (align === 'center') {
      // align center
      scrollTo = $scrollable.scrollTop() + elementTop - Math.max(0, (scrollableH - elementH) / 2);
    } else if (align === 'top') {
      // align top
      // Element is on the top of the view port -> scroll up
      scrollTo = $scrollable.scrollTop() + elementTop;
    } else if (align === 'bottom') {
      // align bottom
      // Element is on the Bottom of the view port -> scroll down
      // On IE, a fractional position gets truncated when using scrollTop -> ceil to make sure the full element is visible
      scrollTo = Math.ceil($scrollable.scrollTop() + elementBottom - scrollableH);
      // If the viewport is very small, make sure the element is not moved outside on top
      // Otherwise when calling this function again, since the element is on the top of the view port, the scroll pane would scroll down which results in flickering
      let elementTopNew = elementTop - (scrollTo - $scrollable.scrollTop());
      if (elementTopNew < 0) {
        scrollTo = scrollTo + elementTopNew;
      }
    }
    if (scrollTo !== undefined) {
      scrollbars.scrollTop($scrollable, scrollTo, options);
    }
  },
  /** @internal */
  _createDefaultScrollToOptions(options) {
    let defaults = {
      animate: false,
      stop: true
    };
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaults, options);
  },
  /**
   * Horizontally scrolls the $scrollable to the given $element (must be a child of $scrollable)
   */
  scrollHorizontalTo($scrollable, $element, options) {
    let scrollTo,
      scrollableW = $scrollable.width(),
      elementBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($element, true),
      elementLeft = elementBounds.x,
      elementW = elementBounds.width;
    if (elementLeft < 0) {
      scrollbars.scrollLeft($scrollable, $scrollable.scrollLeft() + elementLeft, options);
    } else if (elementLeft + elementW > scrollableW) {
      // On IE, a fractional position gets truncated when using scrollTop -> ceil to make sure the full element is visible
      scrollTo = Math.ceil($scrollable.scrollLeft() + elementLeft + elementW - scrollableW);
      scrollbars.scrollLeft($scrollable, scrollTo, options);
    }
  },
  /**
   * @param $scrollable the scrollable object
   * @param scrollTop the new scroll position
   */
  scrollTop($scrollable, scrollTop, options) {
    options = scrollbars._createDefaultScrollToOptions(options);
    let scrollbarElement = scrollbars.scrollbar($scrollable, 'y');
    if (scrollbarElement) {
      scrollbarElement.notifyBeforeScroll();
    }
    if (options.stop) {
      $scrollable.stop('scroll');
    }
    // Not animated
    if (!options.animate) {
      $scrollable.scrollTop(scrollTop);
      if (scrollbarElement) {
        scrollbarElement.notifyAfterScroll();
      }
      return;
    }
    // Animated
    scrollbars.animateScrollTop($scrollable, scrollTop);
    $scrollable.promise('scroll').always(() => {
      if (scrollbarElement) {
        scrollbarElement.notifyAfterScroll();
      }
    });
  },
  /**
   * @param $scrollable the scrollable object
   * @param scrollLeft the new scroll position
   */
  scrollLeft($scrollable, scrollLeft, options) {
    options = scrollbars._createDefaultScrollToOptions(options);
    let scrollbarElement = scrollbars.scrollbar($scrollable, 'x');
    if (scrollbarElement) {
      scrollbarElement.notifyBeforeScroll();
    }
    if (options.stop) {
      $scrollable.stop('scroll');
    }
    // Not animated
    if (!options.animate) {
      $scrollable.scrollLeft(scrollLeft);
      if (scrollbarElement) {
        scrollbarElement.notifyAfterScroll();
      }
      return;
    }
    // Animated
    scrollbars.animateScrollLeft($scrollable, scrollLeft);
    $scrollable.promise('scroll').always(() => {
      if (scrollbarElement) {
        scrollbarElement.notifyAfterScroll();
      }
    });
  },
  animateScrollTop($scrollable, scrollTop) {
    $scrollable.animate({
      scrollTop: scrollTop
    }, {
      queue: 'scroll'
    }).dequeue('scroll');
  },
  animateScrollLeft($scrollable, scrollLeft) {
    $scrollable.animate({
      scrollLeft: scrollLeft
    }, {
      queue: 'scroll'
    }).dequeue('scroll');
  },
  scrollbar($scrollable, axis) {
    let scrollbarArr = $scrollable.data('scrollbars') || [];
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(scrollbarArr, scrollbar => scrollbar.axis === axis);
  },
  scrollToBottom($scrollable, options) {
    scrollbars.scrollTop($scrollable, $scrollable[0].scrollHeight - $scrollable[0].offsetHeight, options);
  },
  /**
   * Computes whether the given location is in the viewport of the given $scrollables.
   *
   * @param $scrollables one or more scrollables to check against
   * @returns true if the location is visible in the current viewport of the $scrollables or if $scrollables is null.
   */
  isLocationInView(location, $scrollables) {
    if (!$scrollables || $scrollables.length === 0) {
      return true;
    }
    return $scrollables.toArray().every(scrollable => {
      let scrollableOffsetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(jquery__WEBPACK_IMPORTED_MODULE_1___default()(scrollable));
      return scrollableOffsetBounds.contains(location.x, location.y);
    });
  },
  /**
   * Clips the given bounds and removes the parts that are not in the current viewport of the given $scrollables.
   *
   * @param $scrollables one or more scrollables to check against
   * @returns the intersection between the bounds and the viewports of the $scrollables.
   *          If $scrollables is null or empty, the given bounds are returned without clipping.
   */
  intersectViewport(bounds, $scrollables) {
    if (!$scrollables || $scrollables.length === 0) {
      return bounds;
    }
    return $scrollables.toArray().reduce((prevBounds, scrollable) => {
      let scrollableOffsetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(jquery__WEBPACK_IMPORTED_MODULE_1___default()(scrollable));
      return prevBounds.intersect(scrollableOffsetBounds);
    }, bounds);
  },
  /**
   * Attaches the given handler to each scrollable parent, including $anchor if it is scrollable as well.
   * Make sure you remove the handlers when not needed anymore using offScroll.
   */
  onScroll($anchor, handler) {
    handler['$scrollParents'] = [];
    $anchor.scrollParents().each(function () {
      let $scrollParent = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      $scrollParent.on('scroll', handler);
      handler['$scrollParents'].push($scrollParent);
    });
  },
  offScroll(handler) {
    let $scrollParents = handler['$scrollParents'];
    if (!$scrollParents) {
      throw new Error('$scrollParents are not defined');
    }
    for (let i = 0; i < $scrollParents.length; i++) {
      let $elem = $scrollParents[i];
      $elem.off('scroll', handler);
    }
  },
  /**
   * Sets the position to fixed and updates left and top position.
   * This is necessary to prevent flickering in IE.
   */
  fix($elem) {
    if (!$elem.isVisible() || $elem.css('position') === 'fixed') {
      return;
    }
    // getBoundingClientRect used by purpose instead of graphics.offsetBounds to get exact values
    // Also important: offset() of jquery returns getBoundingClientRect().top + window.pageYOffset.
    // In case of IE and zoom = 125%, the pageYOffset is 1 because the height of the navigation is bigger than the height of the desktop which may be fractional.
    let bounds = $elem[0].getBoundingClientRect();
    $elem.css('position', 'fixed').cssLeft(bounds.left - $elem.cssMarginLeft()).cssTop(bounds.top - $elem.cssMarginTop()).cssWidth(bounds.width).cssHeight(bounds.height);
  },
  /**
   * Reverts the changes made by fix().
   */
  unfix($elem, timeoutId, immediate) {
    clearTimeout(timeoutId);
    if (immediate) {
      scrollbars._unfix($elem);
      return;
    }
    return setTimeout(() => {
      scrollbars._unfix($elem);
    }, 50);
  },
  /** @internal */
  _unfix($elem) {
    $elem.css({
      position: 'absolute',
      left: '',
      top: '',
      width: '',
      height: ''
    });
  },
  /**
   * Stores the position of all scrollables that belong to an optional session.
   * @param [session] when no session is given, scrollables from all sessions are stored
   */
  storeScrollPositions($container, session) {
    let $scrollables = scrollbars.getScrollables(session);
    if (!$scrollables) {
      return;
    }
    let scrollTop, scrollLeft;
    $scrollables.forEach($scrollable => {
      if ($container.isOrHas($scrollable[0])) {
        scrollTop = $scrollable.scrollTop();
        $scrollable.data('scrollTop', scrollTop);
        scrollLeft = $scrollable.scrollLeft();
        $scrollable.data('scrollLeft', $scrollable.scrollLeft());
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Stored scroll position for ' + $scrollable.attr('class') + '. Top: ' + scrollTop + '. Left: ' + scrollLeft);
      }
    });
  },
  /**
   * Restores the position of all scrollables that belong to an optional session.
   * @param session when no session is given, scrollables from all sessions are restored
   */
  restoreScrollPositions($container, session) {
    let $scrollables = scrollbars.getScrollables(session);
    if (!$scrollables) {
      return;
    }
    let scrollTop, scrollLeft;
    $scrollables.forEach($scrollable => {
      if ($container.isOrHas($scrollable[0])) {
        scrollTop = $scrollable.data('scrollTop');
        if (scrollTop) {
          $scrollable.scrollTop(scrollTop);
          $scrollable.removeData('scrollTop');
        }
        scrollLeft = $scrollable.data('scrollLeft');
        if (scrollLeft) {
          $scrollable.scrollLeft(scrollLeft);
          $scrollable.removeData('scrollLeft');
        }
        // Also make sure that scroll bar is up-to-date
        // Introduced for use case: Open large table page, edit entry, press f5
        // -> outline tab gets rendered, scrollbar gets updated with set timeout, outline tab gets detached
        // -> update event never had any effect because it executed after detaching (due to set timeout)
        scrollbars.update($scrollable);
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Restored scroll position for ' + $scrollable.attr('class') + '. Top: ' + scrollTop + '. Left: ' + scrollLeft);
      }
    });
  },
  setVisible($scrollable, visible) {
    if (!$scrollable || !$scrollable.data('scrollable')) {
      return;
    }
    let scrollbarArr = $scrollable.data('scrollbars');
    if (!scrollbarArr) {
      return;
    }
    scrollbarArr.forEach(scrollbar => {
      if (scrollbar.rendered) {
        scrollbar.$container.setVisible(visible);
      }
    });
  },
  opacity($scrollable, opacity) {
    if (!$scrollable || !$scrollable.data('scrollable')) {
      return;
    }
    let scrollbarArr = $scrollable.data('scrollbars');
    if (!scrollbarArr) {
      return;
    }
    scrollbarArr.forEach(scrollbar => {
      if (scrollbar.rendered) {
        scrollbar.$container.css('opacity', opacity);
      }
    });
  },
  /** @internal */
  _getCompleteChildRowsHeightRecursive(children, getChildren, isExpanded, defaultChildHeight) {
    let height = 0;
    children.forEach(child => {
      if (child.height) {
        height += child.height;
      } else {
        // fallback for children with unset height
        height += defaultChildHeight;
      }
      if (isExpanded(child) && getChildren(child).length > 0) {
        height += scrollbars._getCompleteChildRowsHeightRecursive(getChildren(child), getChildren, isExpanded, defaultChildHeight);
      }
    });
    return height;
  },
  ensureExpansionVisible(parent) {
    let isParentExpanded = parent.isExpanded(parent.element);
    let children = parent.getChildren(parent.element);
    let parentPositionTop = parent.$element.position().top;
    let parentHeight = parent.element.height;
    let scrollTopPos = parent.$scrollable.scrollTop();
    let scrollAxis = scrollbars.getScrollAxis(parent.$scrollable);
    let verticalScrolling = _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(scrollAxis, 'y', 'both');
    let horizontalScrolling = _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(scrollAxis, 'x', 'both');
    if (verticalScrolling) {
      if (isParentExpanded) {
        // parent is expanded and has children, the best effort approach to show the expansion
        let fullDataHeight = parent.$scrollable.height();
        // get childRowCount considering already expanded rows
        let childRowsHeight = 0;
        if (children.length > 0) {
          childRowsHeight = scrollbars._getCompleteChildRowsHeightRecursive(children, parent.getChildren, parent.isExpanded, parent.defaultChildHeight);
        }
        // + 1.5 since it's the parent's top position, and we want to scroll half a row further to show that there's something after the expansion
        let additionalHeight = childRowsHeight + 1.5 * parentHeight;
        let scrollTo = parentPositionTop + additionalHeight;
        // scroll as much as needed to show the expansion but make sure that the parent row (plus one more) is still visible
        let newScrollTop = scrollTopPos + Math.min(scrollTo - fullDataHeight, parentPositionTop - parentHeight);
        // only scroll down
        if (newScrollTop > scrollTopPos) {
          scrollbars.scrollTop(parent.$scrollable, newScrollTop, {
            animate: true,
            stop: false
          });
        }
      } else {
        // parent is not expanded, make sure that at least one node above the parent is visible
        if (parentPositionTop < parentHeight) {
          let minScrollTop = Math.max(scrollTopPos - (parentHeight - parentPositionTop), 0);
          scrollbars.scrollTop(parent.$scrollable, minScrollTop, {
            animate: true
          });
        }
      }
    }
    if (horizontalScrolling) {
      // at least 3 levels of hierarchy should be visible (only relevant for small fields)
      let minLevelLeft = Math.max(parent.element.level - 3, 0) * parent.nodePaddingLevel;
      scrollbars.scrollLeft(parent.$scrollable, minLevelLeft, {
        animate: true,
        stop: false
      });
    }
  }
};

/***/ }),

/***/ "./src/security/AccessControl.ts":
/*!***************************************!*\
  !*** ./src/security/AccessControl.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccessControl: () => (/* binding */ AccessControl)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class AccessControl extends _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor() {
    super();
    _defineProperty(this, "permissionsUrl", void 0);
    _defineProperty(this, "_permissionCollection", void 0);
    _defineProperty(this, "_permissionUpdateEventHandler", void 0);
    _defineProperty(this, "_reloadTimeoutId", void 0);
    _defineProperty(this, "_call", void 0);
    this.permissionsUrl = null;
    this._call = null;
    this._reloadTimeoutId = -1;
    this._permissionCollection = _index__WEBPACK_IMPORTED_MODULE_0__.PermissionCollection.ensure({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.PermissionCollectionType.NONE
    });
    this._permissionUpdateEventHandler = this._onPermissionUpdateNotify.bind(this);
  }
  init(model) {
    this.permissionsUrl = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('permissionsUrl', model.permissionsUrl);
  }
  bootstrap() {
    return this._subscribeForNotifications().then(() => this._load());
  }
  destroy() {
    this._unsubscribeFromNotifications();
  }
  _subscribeForNotifications() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.uiNotifications.subscribe('permissionsUpdate', this._permissionUpdateEventHandler);
  }
  _unsubscribeFromNotifications() {
    _index__WEBPACK_IMPORTED_MODULE_0__.uiNotifications.unsubscribe('permissionsUpdate', this._permissionUpdateEventHandler);
  }
  _onPermissionUpdateNotify(event) {
    const message = event.message;
    const reloadDelay = _index__WEBPACK_IMPORTED_MODULE_0__.uiNotifications.computeReloadDelay(message.reloadDelayWindow);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`About to refresh permission cache with a delay of ${reloadDelay}ms.`);
    if (this._reloadTimeoutId > 0) {
      // cancel current update and schedule a new one to ensure the newest changes from the backend are fetched in case the fetch has already started.
      clearTimeout(this._reloadTimeoutId);
    }
    this._reloadTimeoutId = setTimeout(() => {
      this._reloadTimeoutId = -1;
      this._load().catch(error => {
        // Log error
        _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ErrorHandler, {
          displayError: false
        }).handle(error);
      });
    }, reloadDelay);
  }
  _load() {
    return this._loadPermissionCollection().always(() => {
      this._call = null; // call ended. Not necessary anymore
    }).then(model => {
      // update permission collection
      this._permissionCollection = _index__WEBPACK_IMPORTED_MODULE_0__.PermissionCollection.ensure(model);
    });
  }
  _loadPermissionCollection() {
    var _this$_call;
    (_this$_call = this._call) === null || _this$_call === void 0 || _this$_call.abort(); // abort in case there is already a call running
    this._call = _index__WEBPACK_IMPORTED_MODULE_0__.ajax.createCallJson({
      url: this.permissionsUrl,
      type: 'GET',
      cache: true
    }, {
      maxRetries: -1,
      // unlimited retries
      retryIntervals: [300, 500, 1000, 5000]
    });
    return this._call.call();
  }
  check(permission, quick) {
    if (!this._permissionCollection) {
      return quick ? false : jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(false);
    }
    return this._permissionCollection.implies(permission, quick);
  }
  /**
   * Returns the granted {@link PermissionLevel} for a given permission instance `permission`.
   * - {@link Permission.Level.UNDEFINED} if `permission` is `null` or in general 'not an {@link Permission}'
   * - {@link Permission.Level.NONE} if no level at all is granted to `permission`
   * - {@link PermissionLevel} if the level can be determined exactly.
   * - {@link Permission.Level.UNDEFINED} if there are multiple granted permission levels possible and there is not enough data in the `permission` contained to determine the result closer.
   */
  getGrantedPermissionLevel(permission) {
    if (!this._permissionCollection) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.UNDEFINED;
    }
    return this._permissionCollection.getGrantedPermissionLevel(permission);
  }
}

/***/ }),

/***/ "./src/security/Permission.ts":
/*!************************************!*\
  !*** ./src/security/Permission.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Permission: () => (/* binding */ Permission)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Permission {
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "level", void 0);
    this.id = null;
    this.level = Permission.Level.UNDEFINED;
  }
  init(model) {
    model = model || {};
    this.id = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('id', _index__WEBPACK_IMPORTED_MODULE_0__.strings.nullIfEmpty(model.id));
    this.level = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.level, this.level);
  }
  implies(permission, quick) {
    if (this.matches(permission) && this.level !== Permission.Level.NONE) {
      return quick ? this._evalPermissionQuick(permission) : this._evalPermission(permission);
    }
    return quick ? false : $.resolvedPromise(false);
  }
  matches(permission) {
    return permission instanceof Permission && this.id === permission.id;
  }
  /**
   * Precondition: `matches(permission)`
   */
  _evalPermissionQuick(permission) {
    return true;
  }
  /**
   * Precondition: `matches(permission)`
   */
  _evalPermission(permission) {
    return $.resolvedPromise(this._evalPermissionQuick(permission));
  }
  /**
   * @returns a {@link Permission} with the given `id`.
   */
  static quick(id) {
    if (!id) {
      return null;
    }
    return Permission.ensure({
      id: id
    });
  }
  /**
   * Ensures that the given `permission` is of type {@link Permission}. If a model is provided, a new {@link Permission} will be created.
   */
  static ensure(permission) {
    if (!permission) {
      return permission;
    }
    if (permission instanceof Permission) {
      return permission;
    }
    // May return a specialized subclass of Permission
    if (!permission.objectType) {
      permission.objectType = Permission;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(permission);
  }
}
_defineProperty(Permission, "Level", {
  UNDEFINED: -1,
  NONE: 0,
  ALL: 100
});

/***/ }),

/***/ "./src/security/PermissionCollection.ts":
/*!**********************************************!*\
  !*** ./src/security/PermissionCollection.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PermissionCollection: () => (/* binding */ PermissionCollection),
/* harmony export */   PermissionCollectionType: () => (/* binding */ PermissionCollectionType)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PermissionCollection extends _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor() {
    super();
    _defineProperty(this, "permissions", void 0);
    _defineProperty(this, "type", void 0);
    this.permissions = new Map();
    this.type = PermissionCollectionType.DEFAULT;
  }
  init(model) {
    model = model || {};
    this.permissions = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.permissions, this.permissions);
    this.type = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.type, this.type);
    this._setPermissions(this.permissions);
    this._setType(this.type);
  }
  setPermissions(permissions) {
    this.setProperty('permissions', permissions);
  }
  _setPermissions(permissions) {
    permissions = PermissionCollection._ensurePermissionMap(permissions);
    this._setProperty('permissions', permissions);
  }
  setType(type) {
    this.setProperty('type', type);
  }
  _setType(type) {
    if (!Object.values(PermissionCollectionType).includes(type)) {
      type = PermissionCollectionType.DEFAULT;
    }
    this._setProperty('type', type);
  }
  implies(permission, quick) {
    if (!permission) {
      return quick ? false : $.resolvedPromise(false);
    }
    switch (this.type) {
      case PermissionCollectionType.DEFAULT:
        {
          const permissions = this.permissions.get(permission.id);
          if (!permissions || !permissions.size) {
            return quick ? false : $.resolvedPromise(false);
          }
          if (quick) {
            // check if at least one of the permissions implies permission
            for (const p of permissions) {
              if (p.implies(permission, quick)) {
                return true;
              }
            }
            return false;
          }
          const deferred = $.Deferred();
          // collect all promises
          const impliedPromises = [];
          for (const p of permissions) {
            impliedPromises.push(p.implies(permission, false).then(implies => {
              if (implies) {
                // resolve with true if first one implies
                deferred.resolve(true);
              }
            }));
          }
          // resolve with false if not already resolved (i.e. not implied by any permission)
          $.promiseAll(impliedPromises).then(values => deferred.resolve(false));
          return deferred.promise();
        }
      case PermissionCollectionType.ALL:
        return quick ? true : $.resolvedPromise(true);
      case PermissionCollectionType.NONE:
        return quick ? false : $.resolvedPromise(false);
    }
  }
  /**
   * Returns the granted {@link PermissionLevel} for a given permission instance `permission`.
   * - {@link Permission.Level.UNDEFINED} if `permission` is `null` or in general 'not an {@link Permission}'
   * - {@link Permission.Level.NONE} if no level at all is granted to `permission`
   * - {@link PermissionLevel} if the level can be determined exactly.
   * - {@link Permission.Level.UNDEFINED} if there are multiple granted permission levels possible and there is not enough data in the `permission` contained to determine the result closer.
   */
  getGrantedPermissionLevel(permission) {
    if (!permission || !(permission instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Permission)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.UNDEFINED;
    }
    switch (this.type) {
      case PermissionCollectionType.DEFAULT:
        {
          const permissions = this.permissions.get(permission.id);
          if (!permissions || !permissions.size) {
            return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.NONE;
          }
          const grantedLevels = new Set();
          for (const p of permissions) {
            if (p.matches(permission)) {
              grantedLevels.add(p.level);
            }
          }
          switch (grantedLevels.size) {
            case 0:
              return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.NONE;
            case 1:
              return grantedLevels.values().next().value;
            default:
              return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.UNDEFINED;
          }
        }
      case PermissionCollectionType.ALL:
        return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.ALL;
      case PermissionCollectionType.NONE:
        return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.NONE;
    }
  }
  /**
   * Ensures that the given `permissionCollection` is of type {@link PermissionCollection}. If a model is provided, a new {@link PermissionCollection} will be created.
   */
  static ensure(permissionCollection) {
    if (!permissionCollection) {
      return permissionCollection;
    }
    if (permissionCollection instanceof PermissionCollection) {
      return permissionCollection;
    }
    // May return a specialized subclass of PermissionCollection
    if (!permissionCollection.objectType) {
      permissionCollection.objectType = PermissionCollection;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(permissionCollection);
  }
  /**
   * Ensures that the given `permissionModelMapModel` is of type {@link PermissionMap}.
   *
   * @param permissionModelMapModel map/object of {@link Permission}s or their model grouped by `id`.
   */
  static _ensurePermissionMap(permissionModelMapModel) {
    // permissionModelMapModel is a map or an object
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isPojo(permissionModelMapModel)) {
      // permissionModelMapModel is an object, create a map containing the entries of the object
      permissionModelMapModel = new Map(Object.entries(permissionModelMapModel));
    }
    if (!(permissionModelMapModel instanceof Map)) {
      return new Map();
    }
    const permissionMap = new Map();
    // permissionModelMapModel is a map and its values are sets or arrays of Permission's or their model
    for (const [name, modelSetOrArray] of permissionModelMapModel) {
      if (!name || !modelSetOrArray) {
        continue;
      }
      if (Array.isArray(modelSetOrArray) && !modelSetOrArray.length) {
        continue;
      }
      if (modelSetOrArray instanceof Set && !modelSetOrArray.size) {
        continue;
      }
      // transform set or array of Permission's or their model into a set of Permission's
      const permissionSet = new Set();
      for (const model of modelSetOrArray) {
        // ensure that element is a Permission
        const permission = _index__WEBPACK_IMPORTED_MODULE_0__.Permission.ensure(model);
        if (permission) {
          permissionSet.add(permission);
        }
      }
      // only add if set has elements
      if (permissionSet.size) {
        permissionMap.set(name, permissionSet);
      }
    }
    return permissionMap;
  }
}
var PermissionCollectionType;
(function (PermissionCollectionType) {
  /**
   * Check if {@link Permission} is contained {@link PermissionCollection}.
   */
  PermissionCollectionType["DEFAULT"] = "DEFAULT";
  /**
   * All {@link Permission}s are implied.
   */
  PermissionCollectionType["ALL"] = "ALL";
  /**
   * No {@link Permission} is implied.
   */
  PermissionCollectionType["NONE"] = "NONE";
})(PermissionCollectionType || (PermissionCollectionType = {}));

/***/ }),

/***/ "./src/security/access.ts":
/*!********************************!*\
  !*** ./src/security/access.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   access: () => (/* binding */ access)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


let accessControl = null;
const access = {
  /**
   * Loads all permissions from the given url to a client cache.
   * @param permissionsUrl The url to fetch the permissions from.
   */
  bootstrap(permissionsUrl) {
    if (!permissionsUrl) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    if (!accessControl) {
      accessControl = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.AccessControl, {
        permissionsUrl
      });
    }
    return accessControl.bootstrap();
  },
  /**
   * Loads permissions from the main system using the url configuration of that {@link System}.
   */
  bootstrapSystem() {
    const url = _index__WEBPACK_IMPORTED_MODULE_0__.systems.getOrCreate().getEndpointUrl('permissions', 'permissions');
    return access.bootstrap(url);
  },
  tearDown() {
    if (!accessControl) {
      return;
    }
    accessControl.destroy();
    accessControl = null;
  },
  /**
   * Quick check (only local checks) `permission` against granted permissions of the current user.
   */
  quickCheck(permission) {
    return check(permission, true);
  },
  /**
   * Check `permission` against granted permissions of the current user.
   */
  check(permission) {
    return check(permission);
  },
  /**
   * Returns the granted {@link PermissionLevel} for a given permission instance `permission`.
   * - {@link Permission.Level.UNDEFINED} if `permission` is `null` or in general 'not an {@link Permission}'
   * - {@link Permission.Level.NONE} if no level at all is granted to `permission`
   * - {@link PermissionLevel} if the level can be determined exactly.
   * - {@link Permission.Level.UNDEFINED} if there are multiple granted permission levels possible and there is not enough data in the `permission` contained to determine the result closer.
   */
  getGrantedPermissionLevel(permission) {
    if (!accessControl) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.Permission.Level.UNDEFINED;
    }
    if (!(permission instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Permission)) {
      permission = _index__WEBPACK_IMPORTED_MODULE_0__.Permission.quick(permission);
    }
    return accessControl.getGrantedPermissionLevel(permission);
  },
  getPermissionsUrl() {
    return accessControl && accessControl.permissionsUrl;
  }
};
function check(permission, quick) {
  if (!accessControl) {
    return quick ? false : jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(false);
  }
  if (!(permission instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Permission)) {
    permission = _index__WEBPACK_IMPORTED_MODULE_0__.Permission.quick(permission);
  }
  return accessControl.check(permission, quick);
}

/***/ }),

/***/ "./src/session/BackgroundJobPollingStatus.ts":
/*!***************************************************!*\
  !*** ./src/session/BackgroundJobPollingStatus.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BackgroundJobPollingStatus: () => (/* binding */ BackgroundJobPollingStatus)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var BackgroundJobPollingStatus;
(function (BackgroundJobPollingStatus) {
  BackgroundJobPollingStatus["STOPPED"] = "stopped";
  BackgroundJobPollingStatus["RUNNING"] = "running";
  BackgroundJobPollingStatus["FAILURE"] = "failure";
})(BackgroundJobPollingStatus || (BackgroundJobPollingStatus = {}));

/***/ }),

/***/ "./src/session/BackgroundJobPollingSupport.ts":
/*!****************************************************!*\
  !*** ./src/session/BackgroundJobPollingSupport.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BackgroundJobPollingSupport: () => (/* binding */ BackgroundJobPollingSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BackgroundJobPollingSupport {
  constructor(enabled) {
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "status", void 0);
    this.enabled = !!enabled;
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED;
  }
  setFailed() {
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.FAILURE;
  }
  setRunning() {
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.RUNNING;
  }
  setStopped() {
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED;
  }
  isFailed() {
    return this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.FAILURE;
  }
  isRunning() {
    return this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.RUNNING;
  }
  isStopped() {
    return this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED;
  }
}

/***/ }),

/***/ "./src/session/BusyIndicator.ts":
/*!**************************************!*\
  !*** ./src/session/BusyIndicator.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BusyIndicator: () => (/* binding */ BusyIndicator)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BusyIndicator extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "cancellable", void 0);
    _defineProperty(this, "showTimeout", void 0);
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "details", void 0);
    _defineProperty(this, "cancelButton", void 0);
    _defineProperty(this, "boxButtons", void 0);
    _defineProperty(this, "_glassPaneRenderer", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$buttons", void 0);
    _defineProperty(this, "$label", void 0);
    _defineProperty(this, "$details", void 0);
    _defineProperty(this, "_busyIndicatorTimeoutId", void 0);
    this.cancellable = true;
    this.showTimeout = 2500;
    this.label = null;
    this.details = null;
    this.cancelButton = null;
    this.boxButtons = null;
    this._glassPaneRenderer = null;
    this.inheritAccessibility = false; // do not inherit enabled-state. BusyIndicator must always be enabled even if parent is disabled
    this.$content = null;
    this.$buttons = null;
    this.$label = null;
    this.$details = null;
    this._busyIndicatorTimeoutId = 0;
    this._addWidgetProperties(['boxButtons', 'cancelButton']);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.ClickActiveElementKeyStroke(this, [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER]), new _index__WEBPACK_IMPORTED_MODULE_0__.CloseKeyStroke(this, () => {
      if (!this.cancelButton) {
        return null;
      }
      return this.cancelButton.$container;
    })]);
  }
  _init(model) {
    super._init(model);
    this.label = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.label, this.session.text('ui.PleaseWait_'));
    if (this.cancellable) {
      this.boxButtons = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BoxButtons, {
        parent: this
      });
      this.cancelButton = this.boxButtons.addButton({
        text: this.session.text('Cancel')
      });
      this.cancelButton.one('action', event => this._onCancelClick(event));
    }
  }
  render($parent) {
    // Use entry point by default
    $parent = $parent || this.entryPoint();
    super.render($parent);
  }
  _render() {
    // Render busy indicator (still hidden by CSS, will be shown later in setTimeout.
    // But don't use .hidden, otherwise the box' size cannot be calculated correctly!)
    this.$container = this.$parent.appendDiv('busyindicator invisible');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'alertdialog');
    let $handle = this.$container.appendDiv('drag-handle');
    this.$container.draggable($handle);
    this.$content = this.$container.appendDiv('busyindicator-content');
    this.$label = this.$content.appendDiv('busyindicator-label');
    this.$details = this.$content.appendDiv('busyindicator-details');
    if (this.cancellable) {
      this.boxButtons.render();
      this.$buttons = this.boxButtons.$container;
      this.$buttons.addClass('busyindicator-buttons');
    } else {
      this.$content.addClass('no-buttons');
    }
    // Render properties
    this._renderLabel();
    this._renderDetails();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.$container, this.$label);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithDescription(this.$container, this.$details);
    // Prevent resizing when message-box is dragged off the viewport
    this.$container.addClass('calc-helper');
    this.$container.css('min-width', this.$container.width());
    this.$container.removeClass('calc-helper');
    // Now that all texts, paddings, widths etc. are set, we can calculate the position
    this._position();
    // Show busy box with a delay of 2.5 seconds (configurable by this.showTimeout).
    this._busyIndicatorTimeoutId = setTimeout(() => {
      this.$container.removeClass('invisible').addClassForAnimation('animate-open');
      // Validate first focusable element
      // Maybe, this is not required if problem with single-button form is solved (see FormController.js)
      this.session.focusManager.validateFocus();
    }, this.showTimeout);
    // Render modality glass-panes
    this._glassPaneRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.GlassPaneRenderer(this);
    this._glassPaneRenderer.renderGlassPanes();
    this._glassPaneRenderer.eachGlassPane($glassPane => $glassPane.addClass('busy'));
  }
  _postRender() {
    super._postRender();
    this.session.focusManager.installFocusContext(this.$container, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO);
  }
  _remove() {
    // Remove busy box (cancel timer in case it was not fired yet)
    clearTimeout(this._busyIndicatorTimeoutId);
    // Remove glasspane
    this._glassPaneRenderer.eachGlassPane($glassPane => $glassPane.removeClass('busy'));
    this._glassPaneRenderer.removeGlassPanes();
    this.session.focusManager.uninstallFocusContext(this.$container);
    super._remove();
  }
  /** @see BusyIndicatorModel.label */
  setLabel(label) {
    this.setProperty('label', label);
  }
  _renderLabel() {
    this.$label.text(this.label || '');
  }
  /** @see BusyIndicatorModel.details */
  setDetails(details) {
    this.setProperty('details', details);
  }
  _renderDetails() {
    this.$details.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(this.details)).setVisible(!!this.details);
  }
  _position() {
    this.$container.cssMarginLeft(-this.$container.outerWidth() / 2);
  }
  /**
   * Used by CloseKeyStroke
   */
  close() {
    if (this.cancelButton && this.cancelButton.$container && this.session.focusManager.requestFocus(this.cancelButton.$container)) {
      this.cancelButton.$container.focus();
      this.cancelButton.doAction();
    }
  }
  _onCancelClick(event) {
    this.trigger('cancel', event);
  }
  /**
   * Sets the busy indicator into cancelled state.
   */
  cancelled() {
    if (this.rendered) {
      // not closed yet
      this.$label.addClass('cancelled');
      if (this.$buttons) {
        this.$buttons.remove();
      }
      this.$content.addClass('no-buttons');
    }
  }
}

/***/ }),

/***/ "./src/session/BusyIndicatorEventMap.ts":
/*!**********************************************!*\
  !*** ./src/session/BusyIndicatorEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/BusySupport.ts":
/*!************************************!*\
  !*** ./src/session/BusySupport.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BusySupport: () => (/* binding */ BusySupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BusySupport {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "defaultBusyIndicatorModel", void 0);
    _defineProperty(this, "defaultRenderDelay", void 0);
    _defineProperty(this, "busyIndicator", void 0);
    _defineProperty(this, "_busyCounter", void 0);
    _defineProperty(this, "_busyIndicatorTimeoutId", void 0);
    _defineProperty(this, "_cancellationCallbacks", void 0);
    this.objectType = null;
    this.defaultBusyIndicatorModel = null;
    this.defaultRenderDelay = 50;
    this.busyIndicator = null;
    this._busyCounter = 0;
    this._busyIndicatorTimeoutId = null;
    this._cancellationCallbacks = [];
  }
  init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('model', model);
    const defaultIndicatorParent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('parent', model.parent);
    this.defaultBusyIndicatorModel = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      cancellable: false,
      parent: defaultIndicatorParent
    }, model.busyIndicatorModel);
    this.defaultRenderDelay = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.renderDelay, this.defaultRenderDelay);
  }
  /** @see BusySupportModel.renderDelay */
  setDefaultRenderDelay(delay) {
    this.defaultRenderDelay = delay;
  }
  /** @see BusySupportModel.busyIndicatorModel */
  setDefaultBusyIndicatorModel(model) {
    this.defaultBusyIndicatorModel = model;
  }
  isBusy() {
    return this._busyCounter > 0;
  }
  /**
   * Changes the busy state
   *
   * @param options A boolean indicating if busy or not to show the busy indicator with the default settings (as passed when creating this instance) and without a cancellation callback.
   * Or a {@link BusyIndicatorOptions} object which allows to customize the behavior and style of the indicator and to pass a cancellation callback.
   */
  setBusy(options) {
    let optionsObj;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(options)) {
      optionsObj = options;
    } else {
      optionsObj = {
        busy: !!options
      };
    }
    optionsObj.renderDelay = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(optionsObj.renderDelay, this.defaultRenderDelay);
    if (optionsObj.busy) {
      this._busyCounter++;
      if (optionsObj.onCancel && !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.contains(this._cancellationCallbacks, optionsObj.onCancel)) {
        this._cancellationCallbacks.push(optionsObj.onCancel);
      }
      if (this._busyCounter === 1) {
        this._startBusy(optionsObj);
      }
    } else {
      if (this._busyCounter > 0) {
        if (optionsObj.force) {
          this._busyCounter = 0;
        } else {
          this._busyCounter--;
        }
      }
      if (this._busyCounter === 0) {
        this._cancellationCallbacks = []; // reset callback list for next busy round
        this._stopBusy();
      }
    }
  }
  _startBusy(options) {
    if (this.busyIndicator) {
      return; // already busy
    }
    const model = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this.defaultBusyIndicatorModel, options.busyIndicatorModel, {
      parent: options.parent
    });
    this.busyIndicator = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BusyIndicator, model);
    this.busyIndicator.one('cancel', this._onBusyIndicatorCancel.bind(this));
    if (options.renderDelay > 0) {
      // Don't show the busy indicator immediately
      this._busyIndicatorTimeoutId = setTimeout(() => {
        this._busyIndicatorTimeoutId = null;
        this._renderBusy();
      }, options.renderDelay);
    } else {
      this._renderBusy();
    }
  }
  _renderBusy() {
    var _this$busyIndicator;
    if (!((_this$busyIndicator = this.busyIndicator) !== null && _this$busyIndicator !== void 0 && (_this$busyIndicator = _this$busyIndicator.parent) !== null && _this$busyIndicator !== void 0 && _this$busyIndicator.rendered)) {
      return;
    }
    this.busyIndicator.render();
  }
  _stopBusy() {
    if (this.busyIndicator) {
      this.busyIndicator.destroy();
      this.busyIndicator = null;
    }
    if (this._busyIndicatorTimeoutId) {
      clearTimeout(this._busyIndicatorTimeoutId);
      this._busyIndicatorTimeoutId = null;
    }
  }
  _onBusyIndicatorCancel(event) {
    // Set "canceling" state in busy indicator (after 100ms, would not look good otherwise)
    setTimeout(() => {
      var _this$busyIndicator2;
      return (_this$busyIndicator2 = this.busyIndicator) === null || _this$busyIndicator2 === void 0 ? void 0 : _this$busyIndicator2.cancelled();
    }, 100);
    this._cancellationCallbacks.forEach(callback => callback(event));
  }
}

/***/ }),

/***/ "./src/session/BusySupportModel.ts":
/*!*****************************************!*\
  !*** ./src/session/BusySupportModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/Locale.ts":
/*!*******************************!*\
  !*** ./src/session/Locale.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Locale: () => (/* binding */ Locale)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Locale {
  constructor(model) {
    _defineProperty(this, "languageTag", void 0);
    /**
     * The language part of the {@link languageTag}, e.g. `"en"` or `"de"`.
     * This value is automatically derived from the language tag when constructing a Locale instance.
     */
    _defineProperty(this, "language", void 0);
    /**
     * The country part of the {@link languageTag}, e.g. `"US"` or `"CH"`.
     * This value is automatically derived from the language tag when constructing a Locale instance.
     */
    _defineProperty(this, "country", void 0);
    _defineProperty(this, "displayLanguage", void 0);
    _defineProperty(this, "displayCountry", void 0);
    _defineProperty(this, "decimalFormatPatternDefault", void 0);
    _defineProperty(this, "decimalFormatSymbols", void 0);
    _defineProperty(this, "decimalFormat", void 0);
    _defineProperty(this, "dateFormatPatternDefault", void 0);
    _defineProperty(this, "dateFormatSymbols", void 0);
    _defineProperty(this, "timeFormatPatternDefault", void 0);
    _defineProperty(this, "dateFormat", void 0);
    model = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model, Locale.DEFAULT);
    this.languageTag = model.languageTag;
    let tags = _index__WEBPACK_IMPORTED_MODULE_0__.locales.splitLanguageTag(this.languageTag);
    this.language = tags[0];
    this.country = tags[1];
    this.displayLanguage = model.displayLanguage;
    this.displayCountry = model.displayCountry;
    this.decimalFormatPatternDefault = model.decimalFormatPatternDefault;
    this.decimalFormatSymbols = model.decimalFormatSymbols;
    if (this.decimalFormatPatternDefault && this.decimalFormatSymbols) {
      this.decimalFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DecimalFormat(this, this.decimalFormatPatternDefault);
    }
    this.dateFormatPatternDefault = model.dateFormatPatternDefault;
    this.dateFormatSymbols = model.dateFormatSymbols;
    this.timeFormatPatternDefault = model.timeFormatPatternDefault;
    if (this.dateFormatPatternDefault && this.dateFormatSymbols) {
      this.dateFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(this, this.dateFormatPatternDefault);
    }
  }
  /**
   * Creates a new {@link Locale} based on given input. If no input is given, the default Locale is returned (en-US).
   * @param locale The locale or null for the default locale.
   * @returns the given Locale, a new Locale based on the model given or the default Locale if the input is null.
   */
  static ensure(locale) {
    if (!locale) {
      return new Locale(Locale.DEFAULT);
    }
    if (locale instanceof Locale) {
      return locale;
    }
    return new Locale(locale);
  }
}
_defineProperty(Locale, "DEFAULT", {
  languageTag: 'en-US',
  decimalFormatPatternDefault: '#,##0.###',
  dateFormatPatternDefault: 'MM/dd/yyyy',
  timeFormatPatternDefault: 'h:mm a',
  decimalFormatSymbols: {
    decimalSeparator: '.',
    groupingSeparator: ',',
    minusSign: '-'
  },
  dateFormatSymbols: {
    months: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
    monthsShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
    weekdays: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
    weekdaysShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
    am: 'AM',
    pm: 'PM'
  }
});

/***/ }),

/***/ "./src/session/LocaleModel.ts":
/*!************************************!*\
  !*** ./src/session/LocaleModel.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/ModelAdapter.ts":
/*!*************************************!*\
  !*** ./src/session/ModelAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ModelAdapter: () => (/* binding */ ModelAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * A model adapter is the connector with the server, it takes the events sent from the server and calls the corresponding methods on the widget.
 * It also sends events to the server whenever an action happens on the widget.
 */
class ModelAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "attached", void 0);
    _defineProperty(this, "destroyed", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "_enabledBeforeOffline", void 0);
    /**
     * Widget properties which should be sent to server on property change.
     */
    _defineProperty(this, "_remoteProperties", void 0);
    /**
     * Properties that need to be synced in a specific order.
     */
    _defineProperty(this, "_orderedProperties", void 0);
    _defineProperty(this, "_widgetListener", void 0);
    _defineProperty(this, "_propertyChangeEventFilter", void 0);
    _defineProperty(this, "_widgetEventTypeFilter", void 0);
    this.id = null;
    this.objectType = null;
    this.initialized = false;
    this.attached = false;
    this.destroyed = false;
    this.widget = null;
    this._enabledBeforeOffline = true;
    this._remoteProperties = [];
    this._orderedProperties = [];
    this._widgetListener = null;
    this._propertyChangeEventFilter = new _index__WEBPACK_IMPORTED_MODULE_0__.PropertyChangeEventFilter();
    this._widgetEventTypeFilter = new _index__WEBPACK_IMPORTED_MODULE_0__.WidgetEventTypeFilter();
    this.session = null;
  }
  init(model) {
    this._init(model);
    this.initialized = true;
  }
  _init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('id', model.id);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('session', model.session);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    this.session.registerModelAdapter(this);
  }
  destroy() {
    this._detachWidget();
    this.widget.destroy();
    this.widget = null;
    this.session.unregisterModelAdapter(this);
    this.destroyed = true;
  }
  createWidget(adapterData, parent) {
    let model = this._initModel(adapterData, parent);
    this.widget = this._createWidget(model);
    this._attachWidget();
    this._postCreateWidget();
    return this.widget;
  }
  /**
   * Override this method to do something right after the widget has been created and has been
   * attached to the remote adapter. The default impl. does nothing.
   */
  /** @internal */
  _postCreateWidget() {
    // NOP
  }
  _initModel(m, parent) {
    // Make a copy to prevent a modification of the given model
    let deepCopy = this.session.adapterExportEnabled;
    let model = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(deepCopy, {}, m);
    // Fill in the missing default values
    _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(model);
    model.parent = parent;
    model.owner = parent; // Set it explicitly because server sends owner in inspector mode -> ignore the owner sent by server.
    model.modelAdapter = this;
    if (model.global) {
      // Use the root adapter as owner if global is set to true
      model.owner = this.session.getModelAdapter('1').widget;
    }
    this._initProperties(model);
    return model;
  }
  /**
   * Override this method to call _sync* methods of the ModelAdapter _before_ the widget is created.
   */
  _initProperties(model) {
    // NOP
  }
  /**
   * @returns A new widget instance. The default impl. uses calls scout.create() with property objectType from given model.
   */
  _createWidget(model) {
    let widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(model);
    widget._addCloneProperties(['modelClass', 'classId']);
    return widget;
  }
  /** @internal */
  _attachWidget() {
    if (this._widgetListener) {
      return;
    }
    this._widgetListener = {
      func: this._onWidgetEventInternal.bind(this)
    };
    this.widget.addListener(this._widgetListener);
    this.attached = true;
    this.trigger('attach');
  }
  _detachWidget() {
    if (!this._widgetListener) {
      return;
    }
    this.widget.removeListener(this._widgetListener);
    this._widgetListener = null;
    this.attached = false;
    this.trigger('detach');
  }
  goOffline() {
    this.widget.visitChildren(child => {
      if (child.modelAdapter) {
        child.modelAdapter._goOffline();
      }
    });
  }
  _goOffline() {
    // NOP may be implemented by subclasses
  }
  goOnline() {
    this.widget.visitChildren(child => {
      if (child.modelAdapter) {
        child.modelAdapter._goOnline();
      }
    });
  }
  _goOnline() {
    // NOP may be implemented by subclasses
  }
  isRemoteProperty(propertyName) {
    return this._remoteProperties.indexOf(propertyName) > -1;
  }
  _addRemoteProperties(properties) {
    this._addProperties('_remoteProperties', properties);
  }
  _removeRemoteProperties(properties) {
    this._removeProperties('_remoteProperties', properties);
  }
  _addOrderedProperties(properties) {
    this._addProperties('_orderedProperties', properties);
  }
  _addProperties(propertyName, properties) {
    if (Array.isArray(properties)) {
      this[propertyName] = this[propertyName].concat(properties);
    } else {
      this[propertyName].push(properties);
    }
  }
  _removeProperties(propertyName, properties) {
    properties = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(this[propertyName], properties);
  }
  /**
   * Creates an Event object from the current adapter instance and sends the event by using the Session#sendEvent() method.
   * Local objects may set a different remoteHandler to call custom code instead of the Session#sendEvent() method.
   *
   * @param type of event
   * @param data of event
   */
  _send(type, data, options) {
    // Legacy fallback with all options as arguments
    let opts = {};
    if (arguments.length > 2) {
      if (options !== null && typeof options === 'object') {
        opts = options;
      } else {
        // eslint-disable-next-line prefer-rest-params
        opts.delay = arguments[2];
        // eslint-disable-next-line prefer-rest-params
        opts.coalesce = arguments[3];
        // eslint-disable-next-line prefer-rest-params
        opts.showBusyIndicator = arguments[4];
      }
    }
    options = opts;
    // (End legacy fallback)
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.RemoteEvent(this.id, type, data);
    // The following properties will not be sent to the server, see Session._requestToJson().
    if (options.coalesce !== undefined) {
      event.coalesce = options.coalesce;
    }
    if (options.showBusyIndicator !== undefined) {
      event.showBusyIndicator = options.showBusyIndicator;
    }
    if (options.newRequest !== undefined) {
      event.newRequest = options.newRequest;
    }
    this.session.sendEvent(event, options.delay);
  }
  /**
   * Sends the given value as property event to the server.
   */
  _sendProperty(propertyName, value) {
    let data = {};
    data[propertyName] = value;
    this._send('property', data);
  }
  /**
   * Adds a custom filter for events.
   */
  addFilterForWidgetEvent(filter) {
    this._widgetEventTypeFilter.addFilter(filter);
  }
  /**
   * Adds a filter which only checks the type of the event.
   */
  addFilterForWidgetEventType(eventType) {
    this._widgetEventTypeFilter.addFilterForEventType(eventType);
  }
  /**
   * Adds a filter which checks the name and value of every property in the given properties.
   */
  addFilterForProperties(properties) {
    this._propertyChangeEventFilter.addFilterForProperties(properties);
  }
  /**
   * Adds a filter which only checks the property name and ignores the value.
   */
  addFilterForPropertyName(propertyName) {
    this._propertyChangeEventFilter.addFilterForPropertyName(propertyName);
  }
  _isPropertyChangeEventFiltered(propertyName, value) {
    if (value instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget) {
      // In case of a remote widget property use the id, otherwise it would always return false
      value = value.id;
    }
    return this._propertyChangeEventFilter.filter(propertyName, value);
  }
  _isWidgetEventFiltered(event) {
    return this._widgetEventTypeFilter.filter(event);
  }
  resetEventFilters() {
    this._propertyChangeEventFilter.reset();
    this._widgetEventTypeFilter.reset();
  }
  _onWidgetPropertyChange(event) {
    let propertyName = event.propertyName;
    let value = event.newValue;
    // TODO [7.0] cgu This does not work if value will be converted into another object (e.g DateRange.ensure(selectionRange) in Planner.js)
    // -> either do the check in this._send() or extract ensure into separate method and move the call of addFilterForProperties.
    // The advantage of the first one would be simpler filter functions (e.g. this.widget.nodesToIds(this.widget.selectedNodes) in Tree.js)
    if (this._isPropertyChangeEventFiltered(propertyName, value)) {
      return;
    }
    if (this.isRemoteProperty(propertyName)) {
      value = this._prepareRemoteProperty(propertyName, value);
      this._callSendProperty(propertyName, value);
    }
  }
  _prepareRemoteProperty(propertyName, value) {
    if (!value || !this.widget.isWidgetProperty(propertyName)) {
      return value;
    }
    if (!Array.isArray(value)) {
      return value.modelAdapter.id;
    }
    return value.map(widget => {
      return widget.modelAdapter.id;
    });
  }
  _callSendProperty(propertyName, value) {
    let sendFuncName = '_send' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
    if (this[sendFuncName]) {
      this[sendFuncName](value);
    } else {
      this._sendProperty(propertyName, value);
    }
  }
  _onWidgetDestroy(event) {
    this.destroy();
  }
  /**
   * Do not override this method. Widget event filtering is done here, before _onWidgetEvent is called.
   */
  _onWidgetEventInternal(event) {
    if (!this._isWidgetEventFiltered(event)) {
      this._onWidgetEvent(event);
    }
  }
  _onWidgetEvent(event) {
    if (event.type === 'destroy') {
      this._onWidgetDestroy(event);
    } else if (event.type === 'propertyChange') {
      this._onWidgetPropertyChange(event);
    }
  }
  _syncPropertiesOnPropertyChange(newProperties) {
    let orderedPropertyNames = this._orderPropertyNamesOnSync(newProperties);
    orderedPropertyNames.forEach(propertyName => {
      let value = newProperties[propertyName];
      let syncFuncName = '_sync' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
      if (this[syncFuncName]) {
        this[syncFuncName](value);
      } else {
        this._writeProperty(propertyName, value);
      }
    });
  }
  _writeProperty(propertyName, value) {
    this.widget.callSetter(propertyName, value);
  }
  /**
   * Orders the properties based on {@link _orderedProperties}.
   *
   * @returns the ordered property names.
   */
  _orderPropertyNamesOnSync(newProperties) {
    let propertyNames = Object.keys(newProperties);
    if (this._orderedProperties.length > 0) {
      propertyNames = propertyNames.sort(this._createPropertySortFunc(this._orderedProperties));
    }
    return propertyNames;
  }
  _createPropertySortFunc(order) {
    return (a, b) => {
      let ia = order.indexOf(a);
      let ib = order.indexOf(b);
      if (ia > -1 && ib > -1) {
        // both are in the list
        return ia - ib;
      }
      if (ia > -1) {
        // B is not in list
        return -1;
      }
      if (ib > -1) {
        // A is not in list
        return 1;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.comparators.TEXT.compare(a, b); // both are not in list
    };
  }
  /**
   * Called by {@link Session} for every event from the model
   */
  onModelEvent(event) {
    if (!event) {
      return;
    }
    if (event.type === 'property') {
      // Special handling for 'property' type
      this.onModelPropertyChange(event);
    } else {
      this.onModelAction(event);
    }
  }
  /**
   * Processes the JSON event from the server and calls the corresponding setter of the widget for each property.
   */
  onModelPropertyChange(event) {
    this.addFilterForProperties(event.properties);
    this._syncPropertiesOnPropertyChange(event.properties);
  }
  onModelAction(event) {
    if (event.type === 'scrollToTop') {
      this.widget.scrollToTop({
        animate: event.animate
      });
    } else if (event.type === 'reveal') {
      this.widget.reveal({
        animate: event.animate
      });
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Model action "' + event.type + '" is not supported by model-adapter ' + this.objectType);
    }
  }
  toString() {
    return 'ModelAdapter[objectType=' + this.objectType + ' id=' + this.id + ']';
  }
  /**
   * This method is used to modify adapterData before the data is exported (as used for JSON export).
   */
  exportAdapterData(adapterData) {
    // use last part of class-name as ID (because that's better than having only a number for ID)
    let modelClass = adapterData.modelClass;
    if (modelClass) {
      let pos = Math.max(0, modelClass.lastIndexOf('$') + 1, modelClass.lastIndexOf('.') + 1);
      adapterData.id = modelClass.substring(pos);
    }
    delete adapterData.owner;
    delete adapterData.classId;
    delete adapterData.modelClass;
    return adapterData;
  }
  /**
   * Static method to modify the prototype of Widget.
   */
  static modifyWidgetPrototype(event) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // _createChild
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Widget, '_createChild', function (model) {
      if (model instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Widget) {
        return model;
      }
      // Remote case
      // If the widget has a model adapter use getOrCreateWidget of the session to resolve the child widget
      // The model normally is a String containing the (remote) object ID.
      // If it is not a string it may be a local model -> use default local case instead
      if (this.modelAdapter && typeof model === 'string') {
        return this.session.getOrCreateWidget(model, this);
      }
      // Local case (default)
      return this._createChildOrig(model);
    }, true); // <-- true = keep original function
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', ModelAdapter.modifyWidgetPrototype);

/***/ }),

/***/ "./src/session/ModelAdapterEventMap.ts":
/*!*********************************************!*\
  !*** ./src/session/ModelAdapterEventMap.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/ModelAdapterModel.ts":
/*!******************************************!*\
  !*** ./src/session/ModelAdapterModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/PropertyChangeEventFilter.ts":
/*!**************************************************!*\
  !*** ./src/session/PropertyChangeEventFilter.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PropertyChangeEventFilter: () => (/* binding */ PropertyChangeEventFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PropertyChangeEventFilter {
  constructor() {
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "_filterProperties", void 0);
    _defineProperty(this, "_defaultFilter", void 0);
    this._filterProperties = {};
    this._defaultFilter = this._propertiesFilter.bind(this);
    this.filters = [this._defaultFilter];
  }
  addFilterForProperties(properties) {
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.copyProperties(properties, this._filterProperties);
  }
  addFilter(filterFunc) {
    this.filters.push(filterFunc);
  }
  filter(propertyName, value) {
    return this.filters.some(filterFunc => filterFunc(propertyName, value));
  }
  /**
   * Will accept the property if the name matches, it won't check the value.
   */
  addFilterForPropertyName(filteredPropertyName) {
    this.filters.push((propertyName, value) => propertyName === filteredPropertyName);
  }
  _propertiesFilter(propertyName, value) {
    if (!this._filterProperties.hasOwnProperty(propertyName)) {
      return false;
    }
    let filterPropertyValue = this._filterProperties[propertyName];
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(filterPropertyValue, value);
  }
  reset() {
    this._filterProperties = {};
    this.filters = [this._defaultFilter];
  }
}

/***/ }),

/***/ "./src/session/Reconnector.ts":
/*!************************************!*\
  !*** ./src/session/Reconnector.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Reconnector: () => (/* binding */ Reconnector)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Reconnector {
  constructor(session) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "started", void 0);
    /**
     * Delay before first ping in ms. Default is 1000.
     */
    _defineProperty(this, "initialDelay", void 0);
    /**
     * Interval to be used between pings (indefinite retries) in ms. Default is 3000.
     */
    _defineProperty(this, "interval", void 0);
    /**
     * Minimal assumed ping duration (to prevent flickering of the reconnect notification when AJAX call fails very fast) in ms. Default is 1000.
     */
    _defineProperty(this, "minPingDuration", void 0);
    _defineProperty(this, "pingStartTimestamp", void 0);
    this.session = session;
    this.started = false;
    this.initialDelay = 1000;
    this.interval = 3000;
    this.minPingDuration = 1000;
  }
  start() {
    if (this.started) {
      return;
    }
    jquery__WEBPACK_IMPORTED_MODULE_0___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_0___default().log.trace('[ajax reconnector] start');
    this.started = true;
    this._schedulePing(this.initialDelay);
  }
  stop() {
    this.started = false;
  }
  _schedulePing(delay) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_0___default().log.trace('[ajax reconnector] schedule ping() in ' + delay + ' ms');
    setTimeout(this._ping.bind(this), delay);
  }
  //
  //   [START]
  //      |
  //      v
  // +---------+          .--------.  (yes)
  // | _ping() | ------> < success? > ------> [END]
  // +---------+          '--------'
  //      ^                   |(no)
  //      |                   |
  //      +-------------------+
  //
  _ping() {
    this.session.onReconnecting();
    let pingAjaxOptions = this.session.defaultAjaxOptions(this.session._newRequest({
      ping: true
    }));
    jquery__WEBPACK_IMPORTED_MODULE_0___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_0___default().log.trace('[ajax reconnector] ' + pingAjaxOptions.type + ' "' + pingAjaxOptions.url + '"');
    this.pingStartTimestamp = Date.now();
    jquery__WEBPACK_IMPORTED_MODULE_0___default().ajax(pingAjaxOptions).done(this._onPingDone.bind(this)).fail(this._onPingFail.bind(this));
  }
  _onPingDone(data, textStatus, jqXHR) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_0___default().log.trace('[ajax reconnector] ping success -> connection re-established!');
    this.session.onReconnectingSucceeded();
    this.stop();
  }
  _onPingFail(jqXHR, textStatus, errorThrown) {
    let handleFailedPing = function handleFailedPing() {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_0___default().log.trace('[ajax reconnector] ping failed');
      this.session.onReconnectingFailed();
      this._schedulePing(this.interval);
    }.bind(this);
    let pingDuration = Date.now() - this.pingStartTimestamp;
    if (pingDuration < this.minPingDuration) {
      // Wait at least a certain time before informing about connection failure (to prevent flickering of the reconnecting notification)
      setTimeout(handleFailedPing, this.minPingDuration - pingDuration);
    } else {
      handleFailedPing();
    }
  }
}

/***/ }),

/***/ "./src/session/RemoteEvent.ts":
/*!************************************!*\
  !*** ./src/session/RemoteEvent.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteEvent: () => (/* binding */ RemoteEvent)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class RemoteEvent {
  constructor(target, type, data) {
    _defineProperty(this, "target", void 0);
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "showBusyIndicator", void 0);
    _defineProperty(this, "coalesce", void 0);
    _defineProperty(this, "newRequest", void 0);
    _defineProperty(this, "properties", void 0);
    _index__WEBPACK_IMPORTED_MODULE_1__.scout.assertParameter('target', target);
    _index__WEBPACK_IMPORTED_MODULE_1__.scout.assertParameter('type', type);
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, data);
    this.target = target;
    this.type = type;
  }
}

/***/ }),

/***/ "./src/session/ResponseQueue.ts":
/*!**************************************!*\
  !*** ./src/session/ResponseQueue.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ResponseQueue: () => (/* binding */ ResponseQueue)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ResponseQueue {
  constructor(session) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "queue", void 0);
    _defineProperty(this, "lastProcessedSequenceNo", void 0);
    _defineProperty(this, "nextExpectedSequenceNo", void 0);
    _defineProperty(this, "force", void 0);
    _defineProperty(this, "forceTimeoutId", void 0);
    this.session = session;
    this.queue = [];
    this.lastProcessedSequenceNo = 0;
    this.nextExpectedSequenceNo = 1;
    this.force = false;
    this.forceTimeoutId = null;
  }
  /**
   * Timeout in milliseconds after which the response queue is processed even when a sequence number is still missing.
   * This should prevent an infinitely blocked UI, but (optimistically) assumes that the missed response was not important.
   *
   * This value should be slightly larger than the {@link Session#POLLING_GRACE_PERIOD} to give the retry mechanism a
   * chance to retrieve a missed response after a network interruption.
   */

  add(response) {
    let sequenceNo = response && response['#'];
    // Ignore responses that were already processed (duplicate detection)
    if (sequenceNo && sequenceNo <= this.lastProcessedSequenceNo) {
      return;
    }
    // "Fast-forward" the expected sequence no. when a combined response is received
    if (sequenceNo && response.combined) {
      this.lastProcessedSequenceNo = Math.max(sequenceNo - 1, this.lastProcessedSequenceNo);
      this.nextExpectedSequenceNo = Math.max(sequenceNo, this.nextExpectedSequenceNo);
    }
    if (!sequenceNo || this.queue.length === 0) {
      // Handle messages without sequenceNo in the order they were received
      this.queue.push(response);
    } else {
      // Insert at correct position (ascending order)
      let newQueue = [];
      let responseToInsert = response;
      for (let i = 0; i < this.queue.length; i++) {
        let el = this.queue[i];
        if (el['#']) {
          if (responseToInsert && el['#'] > sequenceNo) {
            // insert at position
            newQueue.push(response);
            responseToInsert = null;
          }
          if (el['#'] <= this.lastProcessedSequenceNo) {
            // skip obsolete elements (may happen when a combined response is added to the queue)
            continue;
          }
        }
        newQueue.push(el);
      }
      if (responseToInsert) {
        // no element with bigger seqNo found -> insert as last element
        newQueue.push(responseToInsert);
      }
      this.queue = newQueue;
    }
  }
  process(response) {
    if (response) {
      this.add(response);
    }
    // Process the queue in ascending order
    let responseSuccess = true;
    let missingResponse = false;
    let nonProcessedResponses = [];
    for (let i = 0; i < this.queue.length; i++) {
      let el = this.queue[i];
      let sequenceNo = el['#'];
      // For elements with a sequence number, check if they are in the expected order
      if (sequenceNo) {
        if (this.nextExpectedSequenceNo && !this.force && !missingResponse) {
          missingResponse = this._checkMissingResponse(sequenceNo);
        }
        if (missingResponse) {
          // Sequence is not complete, process those messages later
          nonProcessedResponses.push(el);
          continue;
        }
      }
      // Handle the element
      let success = this._handleResponse(el);
      // Only return success value of the response that was passed to the process() call
      if (response && el === response) {
        responseSuccess = success;
      }
      // Update the expected next sequenceNo
      if (sequenceNo) {
        this.lastProcessedSequenceNo = sequenceNo;
        this.nextExpectedSequenceNo = sequenceNo + 1;
      }
    }
    // Keep non-processed events (because they are not in sequence) in the queue
    this.queue = nonProcessedResponses;
    this._checkTimeout();
    return responseSuccess;
  }
  size() {
    return this.queue.length;
  }
  _handleResponse(response) {
    return this.session.processJsonResponseInternal(response);
  }
  _checkMissingResponse(sequenceNo) {
    return this.nextExpectedSequenceNo !== sequenceNo;
  }
  _checkTimeout() {
    // If there are non-processed elements, schedule a job that forces the processing of those
    // elements after a certain timeout to prevent the "blocked forever syndrome" if a response
    // was lost on the network.
    if (this.queue.length === 0) {
      clearTimeout(this.forceTimeoutId);
      this.forceTimeoutId = null;
    } else if (!this.forceTimeoutId) {
      this.forceTimeoutId = setTimeout(() => {
        try {
          this._logTimeout();
        } catch (error) {
          // nop
        }
        this.force = true;
        try {
          this.process();
        } finally {
          this.force = false;
          this.forceTimeoutId = null;
        }
      }, ResponseQueue.FORCE_TIMEOUT);
    }
  }
  _logTimeout() {
    this.session.sendLogRequest('Expected response #' + this.nextExpectedSequenceNo + ' still missing after ' + ResponseQueue.FORCE_TIMEOUT + ' ms. Forcing response queue to process ' + this.size() + ' elements: ' + this.queueToString());
  }
  prepareRequest(request) {
    request['#ACK'] = this.lastProcessedSequenceNo;
  }
  prepareHttpRequest(ajaxOptions) {
    ajaxOptions.headers = ajaxOptions.headers || {};
    ajaxOptions.headers['X-Scout-#ACK'] = this.lastProcessedSequenceNo + '';
  }
  queueToString() {
    return '[' + this.queue.map(el => '#' + el['#']).join(', ') + ']';
  }
}
_defineProperty(ResponseQueue, "FORCE_TIMEOUT", (_index__WEBPACK_IMPORTED_MODULE_0__.Session.POLLING_GRACE_PERIOD + 5) * 1000);

/***/ }),

/***/ "./src/session/Session.ts":
/*!********************************!*\
  !*** ./src/session/Session.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Session: () => (/* binding */ Session)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Session extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "partId", void 0);
    _defineProperty(this, "url", void 0);
    _defineProperty(this, "userAgent", void 0);
    _defineProperty(this, "locale", void 0);
    _defineProperty(this, "textMap", void 0);
    /** true after desktop has been completely rendered */
    _defineProperty(this, "ready", void 0);
    /** true when 'beforeOnload' event has been triggered */
    _defineProperty(this, "unloading", void 0);
    /** true after unload event has been received from the window */
    _defineProperty(this, "unloaded", void 0);
    _defineProperty(this, "loggedOut", void 0);
    _defineProperty(this, "inspector", void 0);
    _defineProperty(this, "persistent", void 0);
    _defineProperty(this, "offline", void 0);
    _defineProperty(this, "inDevelopmentMode", void 0);
    _defineProperty(this, "desktop", void 0);
    _defineProperty(this, "layoutValidator", void 0);
    _defineProperty(this, "focusManager", void 0);
    _defineProperty(this, "keyStrokeManager", void 0);
    _defineProperty(this, "modelAdapter", void 0);
    /** assigned by server on session startup (OWASP recommendation, see https://www.owasp.org/index.php/Cross-Site_Request_Forgery_%28CSRF%29_Prevention_Cheat_Sheet#General_Recommendation:_Synchronizer_Token_Pattern). */
    _defineProperty(this, "uiSessionId", void 0);
    _defineProperty(this, "clientSessionId", void 0);
    _defineProperty(this, "forceNewClientSession", void 0);
    _defineProperty(this, "remoteUrl", void 0);
    _defineProperty(this, "unloadUrl", void 0);
    _defineProperty(this, "modelAdapterRegistry", void 0);
    _defineProperty(this, "sharedVariableMap", void 0);
    _defineProperty(this, "ajaxCalls", void 0);
    _defineProperty(this, "asyncEvents", void 0);
    _defineProperty(this, "currentEvent", void 0);
    _defineProperty(this, "responseQueue", void 0);
    _defineProperty(this, "requestsPendingCounter", void 0);
    _defineProperty(this, "suppressErrors", void 0);
    /** ms */
    _defineProperty(this, "requestTimeoutCancel", void 0);
    /** ms, depends on polling interval, will therefore be initialized on startup */
    _defineProperty(this, "requestTimeoutPoll", void 0);
    /** ms */
    _defineProperty(this, "requestTimeoutPing", void 0);
    _defineProperty(this, "backgroundJobPollingSupport", void 0);
    _defineProperty(this, "reconnector", void 0);
    _defineProperty(this, "processingEvents", void 0);
    /** This property is enabled by URL parameter &adapterExportEnabled=1. Default is false */
    _defineProperty(this, "adapterExportEnabled", void 0);
    _defineProperty(this, "requestSequenceNo", void 0);
    _defineProperty(this, "ajaxCallOptions", void 0);
    _defineProperty(this, "rootAdapter", void 0);
    _defineProperty(this, "root", void 0);
    _defineProperty(this, "widget", void 0);
    // same as root
    _defineProperty(this, "$entryPoint", void 0);
    _defineProperty(this, "_adapterDataCache", void 0);
    _defineProperty(this, "_deferredEventTypes", void 0);
    _defineProperty(this, "_deferred", void 0);
    _defineProperty(this, "_fatalMessagesOnScreen", void 0);
    _defineProperty(this, "_retryRequest", void 0);
    _defineProperty(this, "_queuedRequest", void 0);
    _defineProperty(this, "_asyncDelay", void 0);
    _defineProperty(this, "_sendTimeoutId", void 0);
    _defineProperty(this, "_cancellationHandler", void 0);
    this.$entryPoint = null;
    this.partId = '0';
    this.url = new _index__WEBPACK_IMPORTED_MODULE_0__.URL();
    this.userAgent = new _index__WEBPACK_IMPORTED_MODULE_0__.UserAgent({
      deviceType: _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type,
      touch: _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch(),
      standalone: _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isStandalone()
    });
    this.locale = new _index__WEBPACK_IMPORTED_MODULE_0__.Locale(); // Ensure there is always a locale even if not passed and startup request fails
    this.textMap = new _index__WEBPACK_IMPORTED_MODULE_0__.TextMap();
    this.ready = false;
    this.unloading = false;
    this.unloaded = false;
    this.loggedOut = false;
    this.inspector = false;
    this.persistent = false;
    this.offline = false;
    this.inDevelopmentMode = false;
    this.desktop = null;
    this.layoutValidator = new _index__WEBPACK_IMPORTED_MODULE_0__.LayoutValidator();
    this.focusManager = null;
    this.keyStrokeManager = null;
    this.uiSessionId = null;
    this.clientSessionId = this._getClientSessionIdFromStorage();
    this.forceNewClientSession = false;
    this.remoteUrl = 'json';
    this.unloadUrl = 'unload';
    this.modelAdapterRegistry = {};
    this.ajaxCalls = [];
    this.asyncEvents = [];
    this.currentEvent = null;
    this.responseQueue = new _index__WEBPACK_IMPORTED_MODULE_0__.ResponseQueue(this);
    this.requestsPendingCounter = 0;
    this.suppressErrors = false;
    this.requestTimeoutCancel = 5000;
    this.requestTimeoutPoll = 75000;
    this.requestTimeoutPing = 5000;
    this.backgroundJobPollingSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingSupport(true);
    this.reconnector = new _index__WEBPACK_IMPORTED_MODULE_0__.Reconnector(this);
    this.processingEvents = false;
    this.adapterExportEnabled = false;
    this.sharedVariableMap = {};
    this._adapterDataCache = {};
    this._deferred = null;
    this._fatalMessagesOnScreen = {};
    this._retryRequest = null;
    this._queuedRequest = null;
    this.requestSequenceNo = 0;
    this.rootAdapter = new _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter();
    this.ajaxCallOptions = null;
    this.rootAdapter.init({
      session: this,
      id: '1',
      objectType: 'RootAdapter'
    });
    let rootParent = new _index__WEBPACK_IMPORTED_MODULE_0__.NullWidget();
    rootParent.session = this;
    rootParent.initialized = true;
    this.root = this.rootAdapter.createWidget({
      session: this,
      id: '1',
      objectType: 'NullWidget'
    }, rootParent);
    this.widget = this.root;
    this._cancellationHandler = e => this._sendCancelRequest();
  }
  // Corresponds to constants in JsonResponse

  init(model) {
    let options = model || {};
    if (!options.$entryPoint) {
      throw new Error('$entryPoint is not defined');
    }
    this.$entryPoint = options.$entryPoint;
    this.partId = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.portletPartId, this.partId);
    this.forceNewClientSession = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.url.getParameter('forceNewClientSession'), options.forceNewClientSession);
    if (this.forceNewClientSession) {
      this.clientSessionId = null;
    } else {
      this.clientSessionId = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.clientSessionId, this.clientSessionId);
    }
    this.userAgent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.userAgent, this.userAgent);
    this.suppressErrors = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.suppressErrors, this.suppressErrors);
    if (options.locale) {
      this._setLocaleAndTexts(_index__WEBPACK_IMPORTED_MODULE_0__.Locale.ensure(options.locale));
    }
    if (options.backgroundJobPollingEnabled === false) {
      this.backgroundJobPollingSupport.enabled = false;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this.reconnector, options.reconnectorOptions);
    this.ajaxCallOptions = options.ajaxCallOptions;
    // Set inspector flag by looking at URL params. This is required when running in offline mode.
    // In online mode, the server may override this flag again, see _processStartupResponse().
    if (this.url.getParameter('debug') === 'true' || this.url.getParameter('inspector') === 'true') {
      this.inspector = true;
    }
    if (this.url.getParameter('adapterExportEnabled') === 'true') {
      this.adapterExportEnabled = true;
    }
    // Install focus management for this session (cannot be created in constructor, because this.$entryPoint is required)
    this.focusManager = new _index__WEBPACK_IMPORTED_MODULE_0__.FocusManager({
      session: this,
      active: options.focusManagerActive
    });
    this.keyStrokeManager = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeManager, {
      session: this
    });
  }
  _throwError(message) {
    if (!this.suppressErrors) {
      throw new Error(message);
    }
  }
  /**
   * @param name The name of the shared variable.
   * @returns the value of the shared variable with given name.
   */
  getSharedVariable(name) {
    return this.sharedVariableMap[name];
  }
  unregisterModelAdapter(modelAdapter) {
    delete this.modelAdapterRegistry[modelAdapter.id];
  }
  registerModelAdapter(modelAdapter) {
    if (modelAdapter.id === undefined) {
      throw new Error('modelAdapter.id must be defined');
    }
    this.modelAdapterRegistry[modelAdapter.id] = modelAdapter;
  }
  getModelAdapter(id) {
    return this.modelAdapterRegistry[id];
  }
  getWidget(adapterId) {
    if (!adapterId) {
      return null;
    }
    if (typeof adapterId !== 'string') {
      throw new Error('typeof adapterId must be string');
    }
    let adapter = this.getModelAdapter(adapterId);
    if (!adapter) {
      return null;
    }
    return adapter.widget;
  }
  getOrCreateWidget(adapterId, parent, strict) {
    if (!adapterId) {
      return null;
    }
    if (typeof adapterId !== 'string') {
      throw new Error('typeof adapterId must be string');
    }
    let widget = this.getWidget(adapterId);
    if (widget) {
      return widget;
    }
    let adapterData = this._getAdapterData(adapterId);
    if (!adapterData) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(strict, true)) {
        throw new Error('no adapterData found for adapterId=' + adapterId);
      }
      return null;
    }
    let adapter = this.createModelAdapter(adapterData);
    return adapter.createWidget(adapterData, parent);
  }
  createModelAdapter(adapterData) {
    let objectType = adapterData.objectType;
    let createOpts = {};
    let objectInfo = _index__WEBPACK_IMPORTED_MODULE_0__.TypeDescriptor.parse(objectType);
    if (objectInfo.modelVariant) {
      objectType = objectInfo.objectType.toString() + 'Adapter' + _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.MODEL_VARIANT_SEPARATOR + objectInfo.modelVariant.toString();
      // If no adapter exists for the given variant then create an adapter without variant.
      // Mostly variant is only essential for the widget, not the adapter
      createOpts.variantLenient = true;
    } else {
      objectType = objectInfo.objectType.toString() + 'Adapter';
    }
    // TODO [7.0] bsh, cgu: Add classId/modelClass? Think about if IDs should be different for widgets (maybe prefix with 'w')
    let adapterModel = {
      id: adapterData.id,
      session: this
    };
    let adapter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(objectType, adapterModel, createOpts);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('created new adapter ' + adapter);
    return adapter;
  }
  /**
   * Sends the request asynchronously and processes the response later.<br>
   * Furthermore, the request is sent delayed. If send is called multiple times
   * during the same user interaction, the events are collected and sent in one
   * request at the end of the user interaction
   */
  sendEvent(event, delay) {
    delay = delay || 0;
    this.asyncEvents = this._coalesceEvents(this.asyncEvents, event);
    this.asyncEvents.push(event);
    // Use the specified delay, except another event is already scheduled. In that case, use the minimal delay.
    // This ensures that an event with a long delay doesn't hold back another event with a short delay.
    this._asyncDelay = Math.min(delay, _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this._asyncDelay, delay));
    clearTimeout(this._sendTimeoutId);
    this._sendTimeoutId = setTimeout(() => {
      this._sendTimeoutId = null;
      this._asyncDelay = null;
      if (this.areRequestsPending()) {
        // do not send if there are any requests pending because the order matters -> prevents race conditions
        return;
      }
      this._sendNow();
    }, this._asyncDelay);
  }
  _sendStartupRequest() {
    // Build startup request (see JavaDoc for JsonStartupRequest.java for details)
    let request = this._newRequest({
      startup: true
    });
    if (this.partId) {
      request.partId = this.partId;
    }
    if (this.clientSessionId) {
      request.clientSessionId = this.clientSessionId;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.App.get().version) {
      request.version = _index__WEBPACK_IMPORTED_MODULE_0__.App.get().version;
    }
    request.userAgent = this.userAgent;
    request.sessionStartupParams = this._createSessionStartupParams();
    // Send request
    let ajaxOptions = this.defaultAjaxOptions(request);
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().ajax(ajaxOptions).catch(onAjaxFail.bind(this)).then(onAjaxDone.bind(this));
    // ----- Helper methods -----
    function onAjaxDone(data) {
      return this._processStartupResponse(data).then(() => {
        if (data.error) {
          return jquery__WEBPACK_IMPORTED_MODULE_1___default().rejectedPromise(data);
        }
        return data;
      });
    }
    function onAjaxFail(jqXHR, textStatus, errorThrown) {
      this._processErrorResponse(jqXHR, textStatus, errorThrown, request);
      for (var _len = arguments.length, args = new Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
        args[_key - 3] = arguments[_key];
      }
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().rejectedPromise(jqXHR, textStatus, errorThrown, ...args);
    }
  }
  /**
   * Creates an object to send to the server as "startupParams".
   *
   * Default params:
   * "url":
   *   browser URL (without query and hash part)
   * "geolocationServiceAvailable":
   *   true if browser supports geolocation services
   *
   * Additionally, all query parameters from the URL are put in the resulting object.
   */
  _createSessionStartupParams() {
    let params = {
      url: this.url.baseUrlRaw,
      geolocationServiceAvailable: _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsGeolocation()
    };
    // Extract query parameters from URL and put them in the resulting object
    let urlParameterMap = this.url.parameterMap;
    for (let prop in urlParameterMap) {
      params[prop] = urlParameterMap[prop];
    }
    return params;
  }
  _processStartupResponse(data) {
    var _config$get, _config$get2;
    // Handle errors from server
    if (data.error) {
      let isFatalError = this._processErrorJsonResponse(data.error);
      if (isFatalError) {
        return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
      }
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromSessionStorage('scout:versionMismatch');
    if (!data.startupData) {
      throw new Error('Missing startupData');
    }
    // Mark session as persistent (means a persistent session cookie is used and the client session will be restored after a browser restart)
    this.persistent = data.startupData.persistent;
    // true if the UiServer runs in development mode (see Platform.get().inDevelopmentMode())
    this.inDevelopmentMode = !!((_config$get = _index__WEBPACK_IMPORTED_MODULE_0__.config.get('scout.devMode')) !== null && _config$get !== void 0 && _config$get.value);
    // Store clientSessionId in sessionStorage (to send the same ID again on page reload)
    this.clientSessionId = data.startupData.clientSessionId;
    this._storeClientSessionIdInStorage(this.clientSessionId);
    // Assign server generated uiSessionId. It must be sent along with all further requests.
    this.uiSessionId = data.startupData.uiSessionId;
    // Destroy UI session on server when page is closed or reloaded
    jquery__WEBPACK_IMPORTED_MODULE_1___default()(window).on('beforeunload.' + this.uiSessionId, this._onWindowBeforeUnload.bind(this)).on('unload.' + this.uiSessionId, this._onWindowUnload.bind(this));
    // Special case: Page must be reloaded on startup (e.g. theme changed)
    if (data.startupData.reloadPage) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage();
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // Enable inspector mode if server requests it (e.g. when server is running in development mode)
    if (data.startupData.inspector) {
      this.inspector = true;
    }
    // Init request timeout for poller
    this.requestTimeoutPoll = (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl((_config$get2 = _index__WEBPACK_IMPORTED_MODULE_0__.config.get('scout.ui.backgroundPollingMaxWaitTime')) === null || _config$get2 === void 0 ? void 0 : _config$get2.value, 60) + Session.POLLING_GRACE_PERIOD) * 1000;
    // Register UI session
    this.modelAdapterRegistry[this.uiSessionId] = this; // TODO [7.0] cgu: maybe better separate session object from event processing, create ClientSession.js?. If yes, desktop should not have root adapter as parent, see 406
    // Store adapters to adapter data cache
    if (data.adapterData) {
      this._copyAdapterData(data.adapterData);
    }
    this._setLocaleAndTexts(_index__WEBPACK_IMPORTED_MODULE_0__.Locale.ensure(data.startupData.locale), data.startupData.textMap);
    // create session adapter
    let clientSessionModel = this._getAdapterData(data.startupData.clientSession);
    this.modelAdapter = this.createModelAdapter(clientSessionModel);
    this.modelAdapter._initProperties(clientSessionModel);
    // Create the desktop
    this.desktop = this.getOrCreateWidget(clientSessionModel.desktop, this.rootAdapter.widget);
    _index__WEBPACK_IMPORTED_MODULE_0__.App.get()._triggerDesktopReady(this.desktop);
    const def = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this.render(() => this._renderDesktopImpl(data)).then(() => this.onRequestsDone(() => def.resolve())); // wait for all remaining events to be processed
    return def.promise();
  }
  _renderDesktopImpl(data) {
    this._renderDesktop();
    // In case the server sent additional events, process them
    if (data.events) {
      this.processingEvents = true;
      try {
        this._processEvents(data.events);
      } finally {
        this.processingEvents = false;
      }
    }
    // Ensure layout is valid (explicitly layout immediately and don't wait for setTimeout to run to make layouting invisible to the user)
    this.layoutValidator.validate();
    this.focusManager.validateFocus();
    // Start poller
    this._resumeBackgroundJobPolling();
    this.ready = true;
    _index__WEBPACK_IMPORTED_MODULE_0__.App.get()._triggerSessionReady(this);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session initialized. Detected ' + _index__WEBPACK_IMPORTED_MODULE_0__.Device.get());
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('size of _adapterDataCache after session has been initialized: ' + _index__WEBPACK_IMPORTED_MODULE_0__.objects.countOwnProperties(this._adapterDataCache));
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('size of modelAdapterRegistry after session has been initialized: ' + _index__WEBPACK_IMPORTED_MODULE_0__.objects.countOwnProperties(this.modelAdapterRegistry));
    }
  }
  _storeClientSessionIdInStorage(clientSessionId) {
    let key = 'scout:clientSessionId';
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromSessionStorage(key);
    _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromLocalStorage(key);
    if (this.persistent) {
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToLocalStorage(key, clientSessionId);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToSessionStorage(key, clientSessionId);
    }
  }
  _getClientSessionIdFromStorage() {
    let key = 'scout:clientSessionId';
    let id = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage(key);
    if (!id) {
      // If the session is persistent it was stored in the local storage (cannot check for this.persistent here because it is not known yet)
      id = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromLocalStorage(key);
    }
    return id;
  }
  render(renderFunc) {
    // Render desktop after fonts have been preloaded (this fixes initial layouting issues when font icons are not yet ready)
    if (_index__WEBPACK_IMPORTED_MODULE_0__.fonts.loadingComplete) {
      renderFunc();
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.fonts.preloader().then(renderFunc);
  }
  _sendUnloadRequest() {
    let request = this._newRequest({
      unload: true,
      showBusyIndicator: false
    });
    // Send request
    this._sendRequest(request);
  }
  _sendNow() {
    if (this.asyncEvents.length === 0) {
      // Nothing to send -> return
      return;
    }
    // If an event requires a new request, only the previous events are sent now.
    // The next requests are send the next time _sendNow is called (-> when the response to the current request arrives)
    let events = [];
    this.asyncEvents.some((event, i) => {
      if (event.newRequest && events.length > 0) {
        return true;
      }
      events.push(event);
      return false;
    });
    let request = this._newRequest({
      events: events
    });
    // Busy indicator required when at least one event requests it
    request.showBusyIndicator = request.events.some(event => _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(event.showBusyIndicator, true));
    this.responseQueue.prepareRequest(request);
    // Send request
    this._sendRequest(request);
    // Remove the events which are sent now from the list, keep the ones which are sent later
    this.asyncEvents = this.asyncEvents.slice(events.length);
  }
  _coalesceEvents(previousEvents, event) {
    if (!event.coalesce) {
      return previousEvents;
    }
    let filter = jquery__WEBPACK_IMPORTED_MODULE_1___default().negate(event.coalesce).bind(event);
    return previousEvents.filter(filter);
  }
  _sendRequest(request) {
    if (!request) {
      return; // nothing to send
    }
    if (this.loggedOut) {
      // Don't send any JSON requests when we are logged out. They would fail since the UI session
      // no longer exists. This could happen when views are open and the client session is stopped.
      // Destroying the form adapters makes the Desktop send an "activeForm = null" event.
      return;
    }
    if (this.offline && !request.unload) {
      // In Firefox, "offline" is already true when page is unloaded
      this._handleSendWhenOffline(request);
      return;
    }
    if (request.unload && navigator.sendBeacon) {
      // The unload request must _not_ be sent asynchronously, because the browser would cancel
      // it when the page unload is completed. Because the support for synchronous AJAX request
      // will apparently be dropped eventually, we use the "sendBeacon" method to send the unload
      // request to the server (we don't expect an answer). Not all browsers support this method,
      // therefore we check for its existence and fall back to (legacy) synchronous AJAX call
      // when it is missing. More information:
      // - http://stackoverflow.com/questions/15479103/can-beforeunload-unload-be-used-to-send-xmlhttprequests-reliably
      // - https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/7nKMdg_ALcc
      // - https://developer.mozilla.org/en-US/docs/Web/API/Navigator/sendBeacon
      navigator.sendBeacon(this.unloadUrl + '/' + this.uiSessionId, '');
      return;
    }
    let ajaxOptions = this.defaultAjaxOptions(request);
    let busyHandling = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(request.showBusyIndicator, true);
    if (request.unload) {
      ajaxOptions.async = false;
    }
    this._performUserAjaxRequest(ajaxOptions, busyHandling, request);
  }
  _handleSendWhenOffline(request) {
    // No need to queue the request when request does not contain events (e.g. log request, unload request)
    if (!request.events) {
      return;
    }
    // Merge request with queued event
    if (this._queuedRequest) {
      if (this._queuedRequest.events) {
        // 1. Remove request events from queued events
        request.events.forEach(event => {
          this._queuedRequest.events = this._coalesceEvents(this._queuedRequest.events, event);
        });
        // 2. Add request events to end of queued events
        this._queuedRequest.events = this._queuedRequest.events.concat(request.events);
      } else {
        this._queuedRequest.events = request.events;
      }
    } else {
      this._queuedRequest = request;
    }
    this.layoutValidator.validate();
  }
  defaultAjaxOptions(request) {
    request = request || this._newRequest();
    let url = this._decorateUrl(this.remoteUrl, request);
    let ajaxOptions = {
      type: 'POST',
      dataType: 'json',
      contentType: 'application/json; charset=UTF-8',
      cache: false,
      url: url,
      data: this._requestToJson(request)
    };
    // Ensure that certain request don't run forever. When a timeout occurs, the session
    // is put into offline mode. Note that normal requests should NOT be limited, because
    // the server processing might take very long (e.g. long-running database query).
    ajaxOptions.timeout = 0; // "infinite"
    if (request.cancel) {
      ajaxOptions.timeout = this.requestTimeoutCancel;
    }
    if (request.ping) {
      ajaxOptions.timeout = this.requestTimeoutPing;
    }
    if (request.pollForBackgroundJobs) {
      ajaxOptions.timeout = this.requestTimeoutPoll;
    }
    return ajaxOptions;
  }
  _decorateUrl(url, request) {
    let urlHint = null;
    // Add dummy URL parameter as marker (for debugging purposes)
    if (request.unload) {
      urlHint = 'unload';
    } else if (request.pollForBackgroundJobs) {
      urlHint = 'poll';
    } else if (request.ping) {
      urlHint = 'ping';
    } else if (request.cancel) {
      urlHint = 'cancel';
    } else if (request.log) {
      urlHint = 'log';
    } else if (request.syncResponseQueue) {
      urlHint = 'sync';
    }
    if (urlHint) {
      url = new _index__WEBPACK_IMPORTED_MODULE_0__.URL(url).addParameter(urlHint).toString();
    }
    return url;
  }
  _getRequestName(request, defaultName) {
    if (request) {
      if (request.unload) {
        return 'unload';
      } else if (request.pollForBackgroundJobs) {
        return 'pollForBackgroundJobs';
      } else if (request.ping) {
        return 'ping';
      } else if (request.cancel) {
        return 'cancel';
      } else if (request.log) {
        return 'log';
      } else if (request.syncResponseQueue) {
        return 'syncResponseQueue';
      }
    }
    return defaultName;
  }
  _requestToJson(request) {
    return JSON.stringify(request, function (key, value) {
      // Replacer function that filter certain properties from the resulting JSON string.
      // See https://developer.mozilla.org/de/docs/Web/JavaScript/Reference/Global_Objects/JSON/stringify
      let ignore = this === request && key === 'showBusyIndicator' || this instanceof _index__WEBPACK_IMPORTED_MODULE_0__.RemoteEvent && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(key, 'showBusyIndicator', 'coalesce', 'newRequest');
      return ignore ? undefined : value;
    });
  }
  _callAjax(callOptions) {
    let defaultOptions = {
      retryIntervals: [100, 500, 500, 500]
    };
    let ajaxCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.AjaxCall, jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(defaultOptions, callOptions, this.ajaxCallOptions), {
      ensureUniqueId: false
    });
    this.registerAjaxCall(ajaxCall);
    return ajaxCall.call().always(this.unregisterAjaxCall.bind(this, ajaxCall));
  }
  _performUserAjaxRequest(ajaxOptions, busyHandling, request) {
    if (busyHandling) {
      this._setBusy(true);
    }
    this.setRequestPending(true);
    let jsError = null,
      success = false;
    this._callAjax({
      ajaxOptions: ajaxOptions,
      name: this._getRequestName(request, 'user request')
    }).done(onAjaxDone.bind(this)).fail(onAjaxFail.bind(this)).always(onAjaxAlways.bind(this));
    // ----- Helper methods -----
    function onAjaxDone(data) {
      try {
        // Busy handling is remove _before_ processing the response, otherwise the focus cannot be set
        // correctly, because the glasspane of the busy indicator is still visible.
        // The second check prevents flickering of the busy indicator if there is a scheduled request
        // that will be sent immediately afterward (see onAjaxAlways).
        if (busyHandling && !this.areBusyIndicatedEventsQueued()) {
          this._setBusy(false);
        }
        success = this.responseQueue.process(data);
      } catch (err) {
        jsError = jsError || err;
      }
    }
    function onAjaxFail(ajaxError) {
      try {
        if (busyHandling) {
          this._setBusy(false);
        }
        this._processErrorResponse(ajaxError.jqXHR, ajaxError.textStatus, ajaxError.errorThrown, request);
      } catch (err) {
        jsError = jsError || err;
      }
    }
    // Variable arguments:
    // "done" --> data, textStatus, jqXHR
    // "fail" --> jqXHR, textStatus, errorThrown
    function onAjaxAlways(data, textStatus, errorThrown) {
      this.setRequestPending(false);
      // "success" is false when either
      // a) an HTTP error occurred or
      // b) a JSON response with the error flag set (UI processing error) was returned
      if (success) {
        this._resumeBackgroundJobPolling();
        this._fireRequestFinished(data);
        if (this._retryRequest) {
          // Send retry request first
          let retryRequest = this._retryRequest;
          this._retryRequest = null;
          this.responseQueue.prepareRequest(retryRequest);
          this._sendRequest(retryRequest);
        } else if (this._queuedRequest) {
          // Send events that happened while being offline
          let queuedRequest = this._queuedRequest;
          this._queuedRequest = null;
          this.responseQueue.prepareRequest(queuedRequest);
          this._sendRequest(queuedRequest);
        }
        // If there already is a request pending, send it now
        // But only if it should not be sent delayed
        if (!this._sendTimeoutId) {
          this._sendNow();
        }
      } else {
        // Ensure busy is false when an error occurred, and we won't be sending more requests.
        // It could still be true when here were more busy indicated events in the queue when
        // the error response was received (e.g. when selecting some table rows just when the
        // server is restarted).
        this._setBusy(false);
      }
      this.layoutValidator.validate();
      // Throw previously caught error
      if (jsError) {
        throw jsError;
      }
    }
  }
  _setBusy(busy) {
    var _this$desktop;
    (_this$desktop = this.desktop) === null || _this$desktop === void 0 || _this$desktop.setBusy({
      busy: busy,
      force: true,
      renderDelay: 500,
      // longer delay as otherwise the cursor flickers on every backend call
      busyIndicatorModel: {
        cancellable: true
      },
      onCancel: this._cancellationHandler
    });
  }
  registerAjaxCall(ajaxCall) {
    this.ajaxCalls.push(ajaxCall);
  }
  unregisterAjaxCall(ajaxCall) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.ajaxCalls, ajaxCall);
  }
  interruptAllAjaxCalls() {
    // Because the error handlers alter the "this.ajaxCalls" array,
    // the loop must operate on a copy of the original array!
    this.ajaxCalls.slice().forEach(ajaxCall => ajaxCall.pendingCall && ajaxCall.pendingCall.abort());
  }
  abortAllAjaxCalls() {
    // Because the error handlers alter the "this.ajaxCalls" array,
    // the loop must operate on a copy of the original array!
    this.ajaxCalls.slice().forEach(ajaxCall => ajaxCall.abort());
  }
  /**
   * (Re-)starts background job polling when not started yet or when an error occurred while polling.
   * In the latter case, polling is resumed when a user-initiated request has been successful.
   */
  _resumeBackgroundJobPolling() {
    if (this.backgroundJobPollingSupport.enabled && this.backgroundJobPollingSupport.status !== _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.RUNNING) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Resume background jobs polling request, status was=' + this.backgroundJobPollingSupport.status);
      this._pollForBackgroundJobs();
    }
  }
  /**
   * Polls the results of jobs running in the background. Note: we cannot use the _sendRequest method here
   * since we don't want any busy handling in case of background jobs. The request may take a while, since
   * the server doesn't return until either a time-out occurs or there's something in the response when
   * a model job is done and no request initiated by a user is running.
   */
  _pollForBackgroundJobs() {
    this.backgroundJobPollingSupport.setRunning();
    let request = this._newRequest({
      pollForBackgroundJobs: true
    });
    this.responseQueue.prepareRequest(request);
    let ajaxOptions = this.defaultAjaxOptions(request);
    this._callAjax({
      ajaxOptions: ajaxOptions,
      name: this._getRequestName(request, 'request')
    }).done(onAjaxDone.bind(this)).fail(onAjaxFail.bind(this));
    // --- Helper methods ---
    function onAjaxDone(data) {
      if (data.error) {
        if (data.error.code === Session.JsonResponseError.SESSION_TIMEOUT) {
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session timeout, stopped polling for background jobs');
          this.backgroundJobPollingSupport.setStopped();
        } else {
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Polling request failed. Interrupt polling until the next user-initiated request succeeds');
          this.backgroundJobPollingSupport.setFailed();
        }
        // Don't schedule a new polling request, when an error occurs
        // when the next user-initiated request succeeds, we re-enable polling
        // otherwise the polling would ping the server to death in case of an error
        if (this.areRequestsPending()) {
          // Add response to queue, handle later by _performUserAjaxRequest()
          this.responseQueue.add(data);
        } else {
          // No user request pending, handle immediately
          this.responseQueue.process(data);
        }
      } else if (data.sessionTerminated) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session terminated, stopped polling for background jobs');
        this.backgroundJobPollingSupport.setStopped();
        // If we are not yet logged out, redirect to the logout URL (the session that initiated the
        // session invalidation will receive a dedicated logout event, redirect is handled there).
        if (!this.loggedOut && data.redirectUrl) {
          this.logout(data.redirectUrl);
        }
      } else {
        try {
          // No need to change backgroundJobPollingSupport state, it should still be RUNNING
          if (this.areRequestsPending()) {
            // Add response to queue, handle later by _performUserAjaxRequest()
            this.responseQueue.add(data);
          } else {
            // No user request pending, handle immediately
            this.responseQueue.process(data);
            this.layoutValidator.validate();
          }
          setTimeout(this._pollForBackgroundJobs.bind(this));
        } catch (error) {
          this.backgroundJobPollingSupport.setFailed();
          throw error;
        }
      }
    }
    function onAjaxFail(ajaxError) {
      this.backgroundJobPollingSupport.setFailed();
      this._processErrorResponse(ajaxError.jqXHR, ajaxError.textStatus, ajaxError.errorThrown, request);
    }
  }
  /**
   * Do NOT call this method directly, always use the response queue:
   * ```
   *   session.responseQueue.process(data);
   * ```
   * Otherwise, the response queue's expected sequence number will get out of sync.
   */
  processJsonResponseInternal(data) {
    let success = true;
    if (data.error) {
      let isFatalError = this._processErrorJsonResponse(data.error);
      success = !isFatalError;
    }
    if (success) {
      this._processSuccessResponse(data);
    }
    return success;
  }
  _processSuccessResponse(message) {
    if (message.adapterData) {
      this._copyAdapterData(message.adapterData);
    }
    if (message.events) {
      this.processingEvents = true;
      try {
        this._processEvents(message.events);
      } finally {
        this.processingEvents = false;
      }
    }
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled()) {
      let cacheSize = _index__WEBPACK_IMPORTED_MODULE_0__.objects.countOwnProperties(this._adapterDataCache);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('size of _adapterDataCache after response has been processed: ' + cacheSize);
      cacheSize = _index__WEBPACK_IMPORTED_MODULE_0__.objects.countOwnProperties(this.modelAdapterRegistry);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('size of modelAdapterRegistry after response has been processed: ' + cacheSize);
    }
  }
  _copyAdapterData(adapterData) {
    let count = 0;
    let prop;
    for (prop in adapterData) {
      this._adapterDataCache[prop] = adapterData[prop];
      count++;
    }
    if (count > 0) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Stored ' + count + ' properties in adapterDataCache');
    }
  }
  _processErrorResponse(jqXHR, textStatus, errorThrown, request) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('errorResponse: status=' + jqXHR.status + ', textStatus=' + textStatus + ', errorThrown=' + errorThrown);
    let offlineError = _index__WEBPACK_IMPORTED_MODULE_0__.AjaxCall.isOfflineError(jqXHR, textStatus, errorThrown);
    if (offlineError) {
      if (this.ready) {
        this.goOffline();
        if (request && !request.pollForBackgroundJobs && !this._retryRequest) {
          this._retryRequest = request;
        }
        return;
      }
      // Not ready yet (startup request)
      errorThrown = errorThrown || this.optText('ui.ConnectionInterrupted', 'Connection interrupted');
    }
    // Show error message
    let boxOptions = {
      header: this.optText('ui.NetworkError', 'Network error'),
      body: _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', jqXHR.status + '' || '', errorThrown),
      yesButtonText: this.optText('ui.Reload', 'Reload'),
      yesButtonAction: () => _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage(),
      iconId: _index__WEBPACK_IMPORTED_MODULE_0__.icons.SLIPPERY
    };
    this.showFatalMessage(boxOptions, jqXHR.status + '.net');
  }
  _processErrorJsonResponse(jsonError) {
    let isFatalError = true;
    if (jsonError.code === Session.JsonResponseError.VERSION_MISMATCH) {
      let loopDetection = _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.getItemFromSessionStorage('scout:versionMismatch');
      if (!loopDetection) {
        _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToSessionStorage('scout:versionMismatch', 'yes');
        // Reload page -> everything should then be up-to-date
        _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage();
        return isFatalError;
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromSessionStorage('scout:versionMismatch');
    }
    if (this.loggedOut) {
      // When the session is terminated via user request (logout button), the poller might return
      // with a code 20. If we are already logged out, there is no need to show a message box.
      return isFatalError;
    }
    // Default values for fatal message boxes
    let boxOptions = {
      header: this.optText('ui.ServerError', 'Server error') + ' (' + this.optText('ui.ErrorCodeX', 'Code ' + jsonError.code, jsonError.code + '') + ')',
      body: jsonError.message,
      yesButtonText: this.optText('ui.Reload', 'Reload'),
      yesButtonAction: () => {
        _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage();
      }
    };
    // Customize for specific error codes
    if (jsonError.code === Session.JsonResponseError.STARTUP_FAILED) {
      // there are no texts yet if session startup failed
      boxOptions.header = jsonError.message;
      boxOptions.body = null;
      boxOptions.yesButtonText = 'Retry';
      boxOptions.iconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.SLIPPERY;
    } else if (jsonError.code === Session.JsonResponseError.SESSION_TIMEOUT) {
      boxOptions.header = this.optText('ui.SessionTimeout', boxOptions.header);
      boxOptions.body = this.optText('ui.SessionExpiredMsg', boxOptions.body);
      boxOptions.iconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.HOURGLASS;
    } else if (jsonError.code === Session.JsonResponseError.UI_PROCESSING) {
      boxOptions.header = this.optText('ui.UnexpectedProblem', boxOptions.header);
      boxOptions.body = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n\n', this.optText('ui.InternalProcessingErrorMsg', boxOptions.body, ' (' + this.optText('ui.ErrorCodeX', 'Code 20', '20') + ')'), this.optText('ui.UiInconsistentMsg', ''));
      boxOptions.iconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.SLIPPERY;
      if (this.inDevelopmentMode) {
        boxOptions.noButtonText = this.optText('ui.Ignore', 'Ignore');
      }
    } else if (jsonError.code === Session.JsonResponseError.UNSAFE_UPLOAD) {
      boxOptions.header = this.optText('ui.UnsafeUpload', boxOptions.header);
      boxOptions.body = this.optText('ui.UnsafeUploadMsg', boxOptions.body);
      boxOptions.yesButtonText = this.optText('ui.Ok', 'Ok');
      boxOptions.yesButtonAction = null; // NOP
      isFatalError = false; // unsafe upload allows the application to continue
    } else if (jsonError.code === Session.JsonResponseError.REJECTED_UPLOAD) {
      boxOptions.header = this.optText('ui.RejectedUpload', boxOptions.header);
      boxOptions.body = this.optText('ui.RejectedUploadMsg', boxOptions.body);
      boxOptions.yesButtonText = this.optText('ui.Ok', 'Ok');
      boxOptions.yesButtonAction = null; // NOP
      isFatalError = false; // rejected upload allows the application to continue
    }
    this.showFatalMessage(boxOptions, jsonError.code + '');
    return isFatalError;
  }
  _fireRequestFinished(message) {
    if (!this._deferred) {
      return;
    }
    if (message.events) {
      for (let i = 0; i < message.events.length; i++) {
        this._deferredEventTypes.push(message.events[i].type);
      }
    }
    if (this.requestsPendingCounter === 0) {
      this._deferred.resolve(this._deferredEventTypes);
      this._deferred = null;
      this._deferredEventTypes = null;
    }
  }
  /**
   * Shows a UI-only message box.
   *
   * @param options
   *          Options for the message box, see MessageBox
   * @param errorCode
   *          If defined, a second call to this method with the same errorCode will
   *          do nothing. Can be used to prevent double messages for the same error.
   */
  showFatalMessage(options, errorCode) {
    if (!errorCode) {
      errorCode = _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler.getJsErrorCode();
    }
    if (this._fatalMessagesOnScreen[errorCode]) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    this._fatalMessagesOnScreen[errorCode] = true;
    options = options || {};
    let model = {
        session: this,
        parent: this.desktop || new _index__WEBPACK_IMPORTED_MODULE_0__.NullWidget(),
        iconId: options.iconId,
        severity: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.severity, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR),
        header: options.header,
        body: options.body,
        hiddenText: options.hiddenText,
        yesButtonText: options.yesButtonText,
        noButtonText: options.noButtonText,
        cancelButtonText: options.cancelButtonText
      },
      messageBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MessageBox, model),
      $entryPoint = options.entryPoint || this.$entryPoint;
    messageBox.on('action', event => {
      delete this._fatalMessagesOnScreen[errorCode];
      messageBox.destroy();
      let option = event.option;
      if (option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.YES && options.yesButtonAction) {
        options.yesButtonAction.apply(this);
      } else if (option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.NO && options.noButtonAction) {
        options.noButtonAction.apply(this);
      } else if (option === _index__WEBPACK_IMPORTED_MODULE_0__.MessageBox.Buttons.CANCEL && options.cancelButtonAction) {
        options.cancelButtonAction.apply(this);
      }
    });
    messageBox.render($entryPoint);
    return messageBox.when('action').then(() => undefined);
  }
  isFatalMessageShown() {
    return Object.keys(this._fatalMessagesOnScreen).length > 0;
  }
  uploadFiles(target, files, uploadProperties, maxTotalSize, allowedTypes) {
    let formData = new FormData(),
      acceptedFiles = [];
    if (uploadProperties) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().each(uploadProperties, (key, value) => {
        formData.append(key, value);
      });
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().each(files, (index, value) => {
      if (!allowedTypes || allowedTypes.length === 0 || _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(value.type, allowedTypes)) {
        /*
         * - see ClipboardField for comments on "scoutName"
         * - Some Browsers (e.g. Edge) handle an empty string as filename as if the filename is not set and therefore introduce a default filename like 'blob'.
         *   To counter this, we introduce an empty filename string. The string consists of characters that can not occur in regular filenames, to prevent collisions.
         */
        let filename = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value.scoutName, value.name, Session.EMPTY_UPLOAD_FILENAME);
        formData.append('files', value, filename);
        acceptedFiles.push(value);
      }
    });
    // 50 MB as default maximum size
    maxTotalSize = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(maxTotalSize, _index__WEBPACK_IMPORTED_MODULE_0__.FileInput.DEFAULT_MAXIMUM_UPLOAD_SIZE);
    // very large files must not be sent to server otherwise the whole system might crash (for all users).
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.files.validateMaximumUploadSize(acceptedFiles, maxTotalSize)) {
      let boxOptions = {
        header: this.text('ui.FileSizeLimitTitle'),
        body: _index__WEBPACK_IMPORTED_MODULE_0__.files.getErrorMessageMaximumUploadSizeExceeded(this, maxTotalSize),
        yesButtonText: this.optText('Ok', 'Ok')
      };
      this.showFatalMessage(boxOptions);
      return false;
    }
    let uploadAjaxOptions = {
      type: 'POST',
      url: 'upload/' + this.uiSessionId + '/' + target.id,
      cache: false,
      // Don't touch the data (do not convert it to string)
      processData: false,
      // Do not automatically add content type (otherwise, multipart boundary would be missing)
      contentType: false,
      data: formData
    };
    this.responseQueue.prepareHttpRequest(uploadAjaxOptions);
    let busyHandling = !this.areRequestsPending();
    this._performUserAjaxRequest(uploadAjaxOptions, busyHandling);
    return true;
  }
  goOffline() {
    if (this.offline) {
      return; // already offline
    }
    this.offline = true;
    // Abort pending ajax requests.
    this.abortAllAjaxCalls();
    // In Firefox, the current async polling request is interrupted immediately when the page is unloaded. Therefore,
    // an offline message would appear at once on the desktop. When reloading the page, all elements are cleared anyway,
    // thus we wait some short period of time before displaying the message and starting the reconnector. If
    // we find that goOffline() was called because of request unloading, we skip the unnecessary part. Note that
    // FF doesn't guarantee that _onWindowUnload() is called before this setTimeout() function is called. Therefore,
    // we have to look at another property "unloading" that is set earlier in _onWindowBeforeUnload().
    setTimeout(() => {
      if (this.unloading || this.unloaded) {
        return;
      }
      this.rootAdapter.goOffline();
      this.reconnector.start();
    }, 100);
  }
  goOnline() {
    this.offline = false;
    this.rootAdapter.goOnline();
    let request = this._newRequest({
      syncResponseQueue: true
    });
    this.responseQueue.prepareRequest(request);
    this._sendRequest(request); // implies "_resumeBackgroundJobPolling", and also sends queued request
  }
  onReconnecting() {
    if (this.desktop) {
      this.desktop.onReconnecting();
    }
  }
  onReconnectingSucceeded() {
    if (this.desktop) {
      this.desktop.onReconnectingSucceeded();
    }
    this.goOnline();
  }
  onReconnectingFailed() {
    if (this.desktop) {
      this.desktop.onReconnectingFailed();
    }
  }
  listen() {
    if (!this._deferred) {
      this._deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
      this._deferredEventTypes = [];
    }
    return this._deferred;
  }
  /**
   * Executes the given callback when pending requests are finished, or immediately if there are no requests pending.
   * @param func callback function
   * @param vararg arguments to pass to the callback function
   */
  onRequestsDone(func) {
    for (var _len2 = arguments.length, vararg = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      vararg[_key2 - 1] = arguments[_key2];
    }
    if (this.areRequestsPending() || this.areEventsQueued()) {
      this.listen().done(onEventsProcessed);
    } else {
      func.apply(this, vararg);
    }
    function onEventsProcessed() {
      func.apply(this, vararg);
    }
  }
  /**
   * Executes the given callback when all events of the current response are processed. Executes it immediately if no events are being processed.
   * @param func callback function
   * @param vararg arguments to pass to the callback function
   */
  onEventsProcessed(func) {
    for (var _len3 = arguments.length, vararg = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
      vararg[_key3 - 1] = arguments[_key3];
    }
    if (this.processingEvents) {
      this.one('eventsProcessed', execFunc);
    } else {
      execFunc();
    }
    function execFunc() {
      func.apply(this, vararg);
    }
  }
  areEventsQueued() {
    return this.asyncEvents.length > 0;
  }
  areBusyIndicatedEventsQueued() {
    return this.asyncEvents.some(event => _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(event.showBusyIndicator, true));
  }
  areResponsesQueued() {
    return this.responseQueue.size() > 0;
  }
  areRequestsPending() {
    return this.requestsPendingCounter > 0;
  }
  setRequestPending(pending) {
    if (pending) {
      this.requestsPendingCounter++;
    } else {
      this.requestsPendingCounter--;
    }
    // In "inspector" mode, add/remove a marker attribute to the $entryPoint that
    // can be used to detect pending server calls by UI testing tools, e.g. Selenium
    if (this.inspector) {
      this.$entryPoint.toggleAttr('data-request-pending', pending, 'true');
    }
  }
  _sendCancelRequest() {
    let request = this._newRequest({
      cancel: true,
      showBusyIndicator: false
    });
    this._sendRequest(request);
  }
  /**
   * Sends a request containing the log message for logging purpose.
   * The request is sent immediately (does not await pending requests).
   * @param message the log message
   * @param level the log level used to log the message. Default is {@link LogLevel.ERROR}.
   */
  sendLogRequest(message, level) {
    let request = this._newRequest({
      log: true,
      message: message,
      level: _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(level, _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.ERROR)
    });
    if (this.currentEvent) {
      request.event = {
        target: this.currentEvent.target,
        type: this.currentEvent.type
      };
    }
    // Do not use _sendRequest to make sure a log request has no side effects and will be sent only once
    jquery__WEBPACK_IMPORTED_MODULE_1___default().ajax(this.defaultAjaxOptions(request));
  }
  /** @internal */
  _newRequest(requestData) {
    let request = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      uiSessionId: this.uiSessionId
    }, requestData);
    // Certain requests do not require a sequence number
    if (!request.log && !request.syncResponseQueue) {
      request['#'] = this.requestSequenceNo++;
    }
    return request;
  }
  _processEvents(events) {
    let i = 0;
    while (i < events.length) {
      let event = events[i];
      this.currentEvent = event;
      let adapter = this.getModelAdapter(event.target);
      if (!adapter) {
        // Sometimes events seem to happen "too early", e.g. when a "requestFocus" event for a field is
        // encountered before the "showForm" event has been processed. If the target adapter cannot be
        // resolved, we try the other events first, expecting them to trigger the creation of the event
        // adapter. As soon as an event could be processed successfully, we try our postponed event again.
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Postponing \'' + event.type + '\' for adapter with ID ' + event.target);
        i++;
        continue;
      }
      // Remove the successful event and reset the pointer to the start of the remaining events (to
      // retry previously postponed events).
      events.splice(i, 1);
      i = 0;
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Processing event \'' + event.type + '\' for adapter with ID ' + event.target);
      adapter.onModelEvent(event);
      adapter.resetEventFilters();
    }
    this.currentEvent = null;
    // If there are still events whose target could not be resolved, throw an error
    if (events.length) {
      throw new Error('Could not resolve event targets: [' + events.map(event => {
        let msg = 'target: ' + event.target + ', type: ' + event.type;
        if (event.properties) {
          msg += ', properties: ' + Object.keys(event.properties);
        }
        return '"' + msg + '"';
      }, this).join(', ') + ']');
    }
    this.trigger('eventsProcessed');
  }
  start() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session starting...');
    // Send startup request
    return this._sendStartupRequest();
  }
  onModelEvent(event) {
    if (event.type === 'localeChanged') {
      this._onLocaleChanged(event);
    } else if (event.type === 'logout') {
      this._onLogout(event);
    } else if (event.type === 'disposeAdapter') {
      this._onDisposeAdapter(event);
    } else if (event.type === 'reloadPage') {
      this._onReloadPage(event);
    } else {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Model action "' + event.type + '" is not supported by UI session');
    }
  }
  resetEventFilters() {
    // NOP
  }
  destroy() {
    // NOP
  }
  exportAdapterData(adapterData) {
    return adapterData;
  }
  _onLocaleChanged(event) {
    let locale = _index__WEBPACK_IMPORTED_MODULE_0__.Locale.ensure(event.locale);
    let textMap = new _index__WEBPACK_IMPORTED_MODULE_0__.TextMap(event.textMap);
    this.switchLocale(locale, textMap);
  }
  /**
   * @param locale the new locale
   * @param textMap the new textMap. If not defined, the existing textMap for the new locale is used.
   */
  switchLocale(locale, textMap) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('locale', locale, _index__WEBPACK_IMPORTED_MODULE_0__.Locale);
    this._setLocaleAndTexts(locale, textMap);
    // TODO [7.0] bsh: inform components to reformat display text? also check Collator in comparators.TEXT
    this.trigger('localeSwitch', {
      locale: this.locale
    });
  }
  _setLocaleAndTexts(locale, textMap) {
    this.locale = locale;
    this.textMap = _index__WEBPACK_IMPORTED_MODULE_0__.texts.get(locale.languageTag);
    this.textMap.addAll(textMap);
    // set document locale so screen readers read text correctly
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.setDocumentLocale(locale);
  }
  /** @internal */
  _renderDesktop() {
    this.desktop.render(this.$entryPoint);
    this.desktop.invalidateLayoutTree(false);
  }
  _onLogout(event) {
    this.logout(event.redirectUrl);
  }
  logout(logoutUrl) {
    this.loggedOut = true;
    // TODO [7.0] bsh: Check if there is a better solution (e.g. send a flag from server "action" = [ "redirect" | "closeWindow" ])
    if (this.forceNewClientSession) {
      this.desktop.$container.window(true).close();
    } else {
      // remember current url to not lose query parameters (such as debug; however, ignore deep links)
      let url = new _index__WEBPACK_IMPORTED_MODULE_0__.URL();
      url.removeParameter('dl'); // deeplink
      url.removeParameter('i'); // deeplink info
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.setItemToSessionStorage('scout:loginUrl', url.toString());
      // Clear everything and reload the page. We wrap that in setTimeout() to allow other events to be executed normally before.
      setTimeout(() => {
        _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage({
          redirectUrl: logoutUrl
        });
      });
    }
  }
  _onDisposeAdapter(event) {
    // Model adapter was disposed on server -> dispose it on the UI, too
    let adapter = this.getModelAdapter(event.adapter);
    if (adapter) {
      // adapter may be null if it was never sent to the UI, e.g. a form that was opened and closed in the same request
      adapter.destroy();
    }
  }
  _onReloadPage(event) {
    // Don't clear the body, because other events might be processed before reload, and it could cause errors when all DOM elements are already removed.
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.reloadPage({
      clearBody: false
    });
  }
  _onWindowBeforeUnload(evt) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session before unloading...');
    // TODO [7.0] bsh: Cancel pending requests
    // Set a flag that indicates unloading before _onWindowUnload() is called.
    // See goOffline() why this is necessary.
    this.unloading = true;
    setTimeout(() => {
      // Because there is no callback when the unloading was cancelled, we always
      // reset the flag after a short period of time.
      this.unloading = false;
    }, 200);
  }
  _onWindowUnload() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Session unloading...');
    this.unloaded = true;
    // Close popup windows
    if (this.desktop && this.desktop.formController) {
      this.desktop.formController.closePopupWindows();
    }
    // Destroy UI session on server (only when the server did not initiate the logout, otherwise the UI session would already be disposed)
    if (!this.loggedOut) {
      this._sendUnloadRequest();
    }
    if (this.loggedOut && this.persistent) {
      _index__WEBPACK_IMPORTED_MODULE_0__.webstorage.removeItemFromLocalStorage('scout:clientSessionId');
    }
  }
  /**
   * Returns the adapter-data sent with the JSON response from the adapter-data cache. Note that this operation
   * removes the requested element from the cache, thus you cannot request the same ID twice. Typically, once
   * you've requested an element from this cache an adapter for that ID is created and stored in the adapter
   * registry which too exists on this session object.
   */
  _getAdapterData(id) {
    let adapterData = this._adapterDataCache[id];
    let deleteAdapterData = !this.adapterExportEnabled;
    if (deleteAdapterData) {
      delete this._adapterDataCache[id];
    }
    return adapterData;
  }
  getAdapterData(id) {
    return this._adapterDataCache[id];
  }
  /**
   * Returns the text for the given key.
   *
   * @param textKey key to look up the text
   * @param args texts to replace the placeholders specified by {0}, {1}, etc.
   */
  text(textKey) {
    for (var _len4 = arguments.length, args = new Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
      args[_key4 - 1] = arguments[_key4];
    }
    return this.textMap.get(textKey, ...args);
  }
  /**
   * Returns the text for the given key.
   *
   * @param textKey key to look up the text
   * @param defaultValue the text to return if the key has not been found.
   * @param args texts to replace the placeholders specified by {0}, {1}, etc.
   */
  optText(textKey, defaultValue) {
    for (var _len5 = arguments.length, args = new Array(_len5 > 2 ? _len5 - 2 : 0), _key5 = 2; _key5 < _len5; _key5++) {
      args[_key5 - 2] = arguments[_key5];
    }
    return this.textMap.optGet(textKey, defaultValue, ...args);
  }
  textExists(textKey) {
    return this.textMap.exists(textKey);
  }
}
_defineProperty(Session, "JsonResponseError", {
  STARTUP_FAILED: 5,
  SESSION_TIMEOUT: 10,
  UI_PROCESSING: 20,
  UNSAFE_UPLOAD: 30,
  REJECTED_UPLOAD: 31,
  VERSION_MISMATCH: 40
});
// Placeholder string for an empty filename
_defineProperty(Session, "EMPTY_UPLOAD_FILENAME", '*empty*');
/**
 * Additional waiting time in seconds before a polling request is cancelled after it has exceeded
 * the expected maximum duration (see property 'scout.ui.backgroundPollingMaxWaitTime').
 */
_defineProperty(Session, "POLLING_GRACE_PERIOD", 15);

/***/ }),

/***/ "./src/session/SessionAdapter.ts":
/*!***************************************!*\
  !*** ./src/session/SessionAdapter.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SessionAdapter: () => (/* binding */ SessionAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SessionAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _initProperties(model) {
    super._initProperties(model);
    this.session.sharedVariableMap = model.sharedVariableMap || {};
  }
  _writeProperty(propertyName, value) {
    // directly write property here as no widget.callSetter is available.
    this.session[propertyName] = value;
  }
}

/***/ }),

/***/ "./src/session/SessionEventMap.ts":
/*!****************************************!*\
  !*** ./src/session/SessionEventMap.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/SessionModel.ts":
/*!*************************************!*\
  !*** ./src/session/SessionModel.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/SharedVariables.ts":
/*!****************************************!*\
  !*** ./src/session/SharedVariables.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/UserAgent.ts":
/*!**********************************!*\
  !*** ./src/session/UserAgent.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UserAgent: () => (/* binding */ UserAgent)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UserAgent {
  constructor(model) {
    _defineProperty(this, "deviceType", void 0);
    _defineProperty(this, "touch", void 0);
    _defineProperty(this, "standalone", void 0);
    model = model || {};
    if (!model.deviceType) {
      throw new Error('deviceType needs to be defined');
    }
    this.deviceType = model.deviceType;
    this.touch = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.touch, false);
    this.standalone = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.standalone, false);
  }
}

/***/ }),

/***/ "./src/session/UserAgentModel.ts":
/*!***************************************!*\
  !*** ./src/session/UserAgentModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/session/WidgetEventTypeFilter.ts":
/*!**********************************************!*\
  !*** ./src/session/WidgetEventTypeFilter.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetEventTypeFilter: () => (/* binding */ WidgetEventTypeFilter)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class WidgetEventTypeFilter {
  constructor() {
    _defineProperty(this, "filters", void 0);
    this.filters = [];
  }
  addFilter(filterFunc) {
    this.filters.push(filterFunc);
  }
  addFilterForEventType(eventType) {
    this.filters.push(event => event.type === eventType);
  }
  filter(event) {
    return this.filters.some(filterFunc => filterFunc(event));
  }
  reset() {
    this.filters = [];
  }
}

/***/ }),

/***/ "./src/slider/Slider.ts":
/*!******************************!*\
  !*** ./src/slider/Slider.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Slider: () => (/* binding */ Slider)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Slider extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "value", void 0);
    _defineProperty(this, "minValue", void 0);
    _defineProperty(this, "maxValue", void 0);
    _defineProperty(this, "step", void 0);
    _defineProperty(this, "tabbable", void 0);
    _defineProperty(this, "_mouseMoveHandler", this._onMouseMove.bind(this));
    _defineProperty(this, "_mouseUpHandler", this._onMouseUp.bind(this));
    _defineProperty(this, "$window", void 0);
    _defineProperty(this, "$track", void 0);
    _defineProperty(this, "$thumb", void 0);
    this.value = null;
    this.minValue = null;
    this.maxValue = null;
    this.step = null;
    this.tabbable = true;
    this.$track = null;
    this.$thumb = null;
  }
  _init(options) {
    super._init(options);
    this.value = options.value;
    this.minValue = options.minValue;
    this.maxValue = options.maxValue;
    this.step = options.step;
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.SliderNavigationKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.SliderShiftNavigationKeyStroke(this)]);
  }
  _render() {
    this.$container = this.$parent.appendDiv('slider').on('blur', this._onBlur.bind(this)).on('focus', this._onFocus.bind(this));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SliderLayout(this));
    this.$track = this.$container.appendDiv('slider-track');
    this.$thumb = this.$container.appendDiv('slider-thumb');
    this.$window = this.$container.window();
    this.$container.on('mousedown touchstart', this._onMouseDown.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'slider');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderValue();
    this._renderMinValue();
    this._renderMaxValue();
    this._renderStep();
    this._renderTabbable();
  }
  _remove() {
    this.$track = null;
    this.$thumb = null;
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler);
    super._remove();
  }
  _onFocus(event) {
    this.setFocused(true);
  }
  _onBlur(event) {
    this.setFocused(false);
  }
  setValue(value) {
    this.setProperty('value', value);
  }
  _renderValue() {
    this._setThumbPosition(this._valueToLocalPosition(this._limitValue(this.value)));
    this.$container.attr('aria-valuenow', this.value);
  }
  setMinValue(minValue) {
    this.setProperty('minValue', minValue);
  }
  _renderMinValue() {
    this._update();
    this.$container.attr('aria-valuemin', this.minValue);
  }
  setMaxValue(maxValue) {
    this.setProperty('maxValue', maxValue);
  }
  _renderMaxValue() {
    this._update();
    this.$container.attr('aria-valuemax', this.maxValue);
  }
  setStep(step) {
    this.setProperty('step', step);
  }
  _renderStep() {
    this._update();
  }
  setTabbable(tabbable) {
    this.setProperty('tabbable', tabbable);
  }
  _renderTabbable() {
    this.$container.setTabbable(this.tabbable && this.enabledComputed && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.rendered) {
      this._renderTabbable();
    }
  }
  _onMouseDown(event) {
    if (!this.enabledComputed) {
      return null;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler).on('mousemove touchmove', this._mouseMoveHandler).on('mouseup touchend touchcancel', this._mouseUpHandler);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').addClass('dragging-in-progress');
    this._moveThumbTo(event.pageX);
  }
  _onMouseMove(event) {
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._moveThumbTo(event.pageX);
  }
  _onMouseUp(event) {
    this.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').removeClass('dragging-in-progress');
  }
  _moveThumbTo(pageX) {
    const value = this._normalizeValue(this._localPositionToValue(pageX - this.$container.offset().left));
    this._setThumbPosition(this._valueToLocalPosition(value));
    this.setValue(value);
  }
  _setThumbPosition(position) {
    const borderLeft = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.borders(this.$container).left;
    this.$thumb.cssLeft(position - borderLeft);
    this.$track.cssWidth(position - borderLeft);
  }
  move(moveBy) {
    this.setValue(this._normalizeValue(this.value + moveBy));
  }
  /** @internal called by SliderLayout */
  _update() {
    if (this.rendered) {
      this._setThumbPosition(this._valueToLocalPosition(this.value));
    }
  }
  _valueToLocalPosition(value) {
    if (this.maxValue === this.minValue) {
      return this.$container.cssWidth() / 2;
    }
    // Offset thumb on either side by half its width, so it does not stick out of the slider area
    const offset = this.$thumb.cssWidth() / 2;
    const minPosition = offset;
    const maxPosition = this.$container.cssWidth() - offset;
    let position = (value - this.minValue) / (this.maxValue - this.minValue) * (this.$container.cssWidth() - this.$thumb.cssWidth()) + offset;
    return Math.round(Math.max(minPosition, Math.min(maxPosition, position)));
  }
  _localPositionToValue(position) {
    const offset = this.$thumb.cssWidth() / 2;
    const minPosition = offset;
    const maxPosition = this.$container.cssWidth() - offset;
    if (position <= minPosition) {
      return this.minValue;
    }
    if (position >= maxPosition) {
      return this.maxValue;
    }
    return (position - offset) / (this.$container.cssWidth() - this.$thumb.cssWidth()) * (this.maxValue - this.minValue) + this.minValue;
  }
  _normalizeValue(value) {
    return this._limitValue(this._calculateSteppedValue(value));
  }
  _limitValue(value) {
    return Math.min(Math.max(value, this.minValue), this.maxValue);
  }
  _calculateSteppedValue(value) {
    if (!this.step) {
      // 0 or not set
      return value;
    }
    const stepsFromMin = Math.round((value - this.minValue) / this.step);
    const steppedValue = stepsFromMin * this.step + this.minValue;
    return Math.round(steppedValue * Slider.FLOATING_POINT_ERROR_CORRECTION) / Slider.FLOATING_POINT_ERROR_CORRECTION;
  }
}
_defineProperty(Slider, "FLOATING_POINT_ERROR_CORRECTION", 100000000);

/***/ }),

/***/ "./src/slider/SliderAdapter.ts":
/*!*************************************!*\
  !*** ./src/slider/SliderAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderAdapter: () => (/* binding */ SliderAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SliderAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['value']);
  }
}

/***/ }),

/***/ "./src/slider/SliderEventMap.ts":
/*!**************************************!*\
  !*** ./src/slider/SliderEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/slider/SliderLayout.ts":
/*!************************************!*\
  !*** ./src/slider/SliderLayout.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderLayout: () => (/* binding */ SliderLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SliderLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(slider) {
    super();
    _defineProperty(this, "slider", void 0);
    this.slider = slider;
  }
  layout($container) {
    this.slider._update();
  }
}

/***/ }),

/***/ "./src/slider/SliderModel.ts":
/*!***********************************!*\
  !*** ./src/slider/SliderModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/slider/SliderNavigationKeyStroke.ts":
/*!*************************************************!*\
  !*** ./src/slider/SliderNavigationKeyStroke.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderNavigationKeyStroke: () => (/* binding */ SliderNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SliderNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(slider) {
    super();
    this.field = slider;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP, _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME, _index__WEBPACK_IMPORTED_MODULE_0__.keys.END];
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
    this.renderingHints.render = false;
    this.repeatable = true;
  }
  handle(event) {
    switch (event.which) {
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT:
        this.field.move(-Math.abs(this.field.step));
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT:
        this.field.move(Math.abs(this.field.step));
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN:
        this.field.move(-this._calculatePageMoveUnits(this.field));
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP:
        this.field.move(this._calculatePageMoveUnits(this.field));
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME:
        this.field.move(this.field.minValue - this.field.maxValue);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.END:
        this.field.move(this.field.maxValue - this.field.minValue);
        break;
    }
  }
  _calculatePageMoveUnits(slider) {
    const PAGE_STEPS = 10;
    return (slider.maxValue - slider.minValue) / PAGE_STEPS;
  }
}

/***/ }),

/***/ "./src/slider/SliderShiftNavigationKeyStroke.ts":
/*!******************************************************!*\
  !*** ./src/slider/SliderShiftNavigationKeyStroke.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderShiftNavigationKeyStroke: () => (/* binding */ SliderShiftNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var _SliderNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./SliderNavigationKeyStroke */ "./src/slider/SliderNavigationKeyStroke.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SliderShiftNavigationKeyStroke extends _SliderNavigationKeyStroke__WEBPACK_IMPORTED_MODULE_1__.SliderNavigationKeyStroke {
  constructor(slider) {
    super(slider);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.shift = true;
  }
  handle(event) {
    switch (event.which) {
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT:
        this.field.move(-this._calculatePageMoveUnits(this.field));
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT:
        this.field.move(this._calculatePageMoveUnits(this.field));
        break;
    }
  }
}

/***/ }),

/***/ "./src/splitter/Splitter.ts":
/*!**********************************!*\
  !*** ./src/splitter/Splitter.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Splitter: () => (/* binding */ Splitter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Splitter extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "splitHorizontal", void 0);
    _defineProperty(this, "position", void 0);
    _defineProperty(this, "orientation", void 0);
    _defineProperty(this, "layoutData", void 0);
    _defineProperty(this, "$anchor", void 0);
    _defineProperty(this, "$root", void 0);
    /** distance from cursor to splitter, makes resizing smoother by preventing initial 'jump' */
    _defineProperty(this, "_cursorOffset", void 0);
    _defineProperty(this, "_mouseDownHandler", void 0);
    _defineProperty(this, "_$window", void 0);
    _defineProperty(this, "_$body", void 0);
    this.splitHorizontal = true;
    this.$anchor = null;
    this.$root = null;
    this.position = null;
    this.orientation = 'top';
    this.layoutData = null;
    this._cursorOffset = null;
    this._mouseDownHandler = this._onMouseDown.bind(this);
    this._$window = null;
    this._$body = null;
  }
  _init(model) {
    super._init(model);
    this.setPosition(this.position);
  }
  _render() {
    this.$container = this.$parent.appendDiv('splitter').addClass(this.splitHorizontal ? 'x-axis' : 'y-axis');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this._$window = this.$parent.window();
    this._$body = this.$parent.body();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderPosition();
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.enabledComputed) {
      this.$container.on('mousedown', this._mouseDownHandler);
    } else {
      this.$container.off('mousedown', this._mouseDownHandler);
    }
  }
  _renderVisible() {
    super._renderVisible();
    if (this.initialized) {
      this._renderPosition();
    }
  }
  setLayoutData(layoutData) {
    super.setLayoutData(layoutData);
    this.layoutData = layoutData;
  }
  getLayoutData() {
    return this.layoutData;
  }
  /**
   * Sets the splitter position to the specified newSize (in pixels).
   * If the newSize is not specified, the size is calculated automatically by reading the this.$anchor element's bounds.
   *
   * @returns the effective position in pixel.
   */
  setPosition(position) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(position)) {
      position = this._derivePositionFromAnchor();
    }
    if (position !== this.position) {
      this._setPosition(position);
    }
    return position;
  }
  /**
   * Derives the position from $anchor element's bounds
   */
  _derivePositionFromAnchor() {
    if (!this.$anchor) {
      return null;
    }
    let anchorBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$anchor, {
      exact: true
    });
    if (this.splitHorizontal) {
      return anchorBounds.x + anchorBounds.width;
    }
    return anchorBounds.y + anchorBounds.height;
  }
  _setPosition(position) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(position)) {
      return;
    }
    if (position === this.position) {
      return;
    }
    this.position = position;
    this.trigger('positionChange', {
      position: position
    });
    if (this.rendered) {
      this._renderPosition();
    }
  }
  _renderPosition() {
    if (this.position === null || !this.visible) {
      return;
    }
    let splitterSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.$container, true);
    if (this.splitHorizontal) {
      let x = this.position - splitterSize.width / 2;
      if (this.orientation === 'right') {
        this.$container.cssRight(x);
      } else {
        this.$container.cssLeft(x);
      }
    } else {
      let y = this.position - splitterSize.height / 2;
      if (this.orientation === 'bottom') {
        this.$container.cssBottom(y);
      } else {
        this.$container.cssTop(y);
      }
    }
  }
  _onMouseDown(event) {
    // The calculation of the offset bounds looks a bit complicated, because we cannot
    // use "scout.graphics.offsetBounds($el, true)" here. This method would only consider
    // any margins in the size, not the position.
    let splitterMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.$container);
    let splitterOffsetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$container);
    splitterOffsetBounds.x -= splitterMargins.left;
    splitterOffsetBounds.y -= splitterMargins.top;
    splitterOffsetBounds.width += splitterMargins.horizontal();
    splitterOffsetBounds.height += splitterMargins.vertical();
    let splitterCenter = splitterOffsetBounds.center();
    // Add listeners (we add them to the window to make sure we get the mouseup event even when the cursor it outside the window)
    this._$window.on('mousemove.splitter', this._onMouseMove.bind(this)).one('mouseup', this._onMouseUp.bind(this));
    // Ensure the correct cursor is always shown while moving
    this._$body.addClass(this.splitHorizontal ? 'col-resize' : 'row-resize');
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').addClass('dragging-in-progress');
    this._cursorOffset = {
      left: splitterCenter.x - event.pageX,
      top: splitterCenter.y - event.pageY
    };
    this.trigger('moveStart', {
      position: this._getSplitterPosition(event)
    });
    // Prevent text selection in a form
    event.preventDefault();
  }
  _getSplitterPosition(event) {
    let rootBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$root || this.$parent);
    if (this.splitHorizontal) {
      let x = event.pageX + this._cursorOffset.left - rootBounds.x;
      return this.orientation === 'right' ? rootBounds.width - x : x;
    }
    let y = event.pageY + this._cursorOffset.top - rootBounds.y;
    return this.orientation === 'bottom' ? rootBounds.height - y : y;
  }
  _onMouseMove(event) {
    let splitterPosition = this._getSplitterPosition(event);
    // fire event
    let moveEvent = this.trigger('move', {
      position: splitterPosition
    });
    if (moveEvent.defaultPrevented) {
      return;
    }
    this._setPosition(moveEvent.position);
  }
  _onMouseUp(event) {
    // Remove listeners and reset cursor
    this._$window.off('mousemove.splitter');
    this._$body.removeClass(this.splitHorizontal ? 'col-resize' : 'row-resize');
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').removeClass('dragging-in-progress');
    this.trigger('moveEnd', {
      position: this.position
    });
  }
}

/***/ }),

/***/ "./src/splitter/SplitterEventMap.ts":
/*!******************************************!*\
  !*** ./src/splitter/SplitterEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/splitter/SplitterModel.ts":
/*!***************************************!*\
  !*** ./src/splitter/SplitterModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/status/DefaultStatus.ts":
/*!*************************************!*\
  !*** ./src/status/DefaultStatus.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DefaultStatus: () => (/* binding */ DefaultStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * The DefaultStatus class is used add programmatic Status triggered by business logic
 * in cases where you don't want or don't have to implement your own Status subclass.
 */
class DefaultStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {
  constructor(model) {
    super(model);
  }
  /**
   * @returns a {@link DefaultStatus} object with severity ERROR.
   */
  static error(model) {
    return new DefaultStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ensureModel(model, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR));
  }
  /**
   * @returns a {@link DefaultStatus} object with severity WARNING.
   */
  static warning(model) {
    return new DefaultStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ensureModel(model, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING));
  }
  /**
   * @returns a {@link DefaultStatus} object with severity INFO.
   */
  static info(model) {
    return new DefaultStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ensureModel(model, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO));
  }
}

/***/ }),

/***/ "./src/status/NotificationBadgeStatus.ts":
/*!***********************************************!*\
  !*** ./src/status/NotificationBadgeStatus.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NotificationBadgeStatus: () => (/* binding */ NotificationBadgeStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class NotificationBadgeStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {
  constructor(model) {
    super(jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO
    }, model));
  }
  cssClass() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', _index__WEBPACK_IMPORTED_MODULE_0__.Status.cssClassForSeverity(this.severity), 'notification-badge');
  }
  /**
   * @returns {NotificationBadgeStatus} a clone of this Status instance.
   */
  clone() {
    let modelClone = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this);
    return new NotificationBadgeStatus(modelClone);
  }
  equals(o) {
    if (!(o instanceof NotificationBadgeStatus)) {
      return false;
    }
    return super.equals(o);
  }
}

/***/ }),

/***/ "./src/status/ParsingFailedStatus.ts":
/*!*******************************************!*\
  !*** ./src/status/ParsingFailedStatus.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ParsingFailedStatus: () => (/* binding */ ParsingFailedStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ParsingFailedStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {
  constructor(model) {
    super(model);
  }
  /**
   * @returns a {@link ParsingFailedStatus} object with severity ERROR.
   */
  static error(model) {
    return new ParsingFailedStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ensureModel(model, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR));
  }
}

/***/ }),

/***/ "./src/status/Status.ts":
/*!******************************!*\
  !*** ./src/status/Status.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Status: () => (/* binding */ Status)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Status {
  constructor(model) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "message", void 0);
    _defineProperty(this, "severity", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "code", void 0);
    _defineProperty(this, "children", void 0);
    _defineProperty(this, "deletable", void 0);
    _defineProperty(this, "uiState", void 0);
    this.message = null;
    this.severity = Status.Severity.ERROR;
    this.iconId = null;
    this.code = 0;
    this.children = null;
    this.deletable = true;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    // severity may be a string (e.g. if set in a model json file) -> convert to real severity
    if (typeof this.severity === 'string') {
      let currentSeverity = this.severity;
      this.severity = Status.Severity[currentSeverity.toUpperCase()];
    }
    // children
    if (model && model.children && Array.isArray(model.children)) {
      this.children = model.children.map(child => Status.ensure(child));
    }
  }
  cssClass() {
    return Status.cssClassForSeverity(this.severity);
  }
  /**
   * @returns true if severity is OK or INFO, false if severity is WARNING or ERROR.
   */
  isValid() {
    return this.severity === Status.Severity.OK || this.severity === Status.Severity.INFO;
  }
  isError() {
    return this.severity === Status.Severity.ERROR;
  }
  isWarning() {
    return this.severity === Status.Severity.WARNING;
  }
  isInfo() {
    return this.severity === Status.Severity.INFO;
  }
  isOk() {
    return this.severity === Status.Severity.OK;
  }
  /**
   * @returns status including all children recursively as flat array.
   */
  asFlatList() {
    return Status.asFlatList(this);
  }
  /**
   * @returns a clone of this Status instance.
   */
  clone() {
    let modelClone = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this);
    return new Status(modelClone);
  }
  equals(o) {
    if (!(o instanceof Status)) {
      return false;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.equalsRecursive(this.children, o.children)) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.propertiesEquals(this, o, ['severity', 'message', 'invalidDate', 'invalidTime']);
  }
  /**
   * Note: we cannot 'overload' this function, because predicates and status-types are both functions,
   * thus we cannot distinguish them by type or instanceof.
   *
   * @returns whether or not this status contains a child with the give type
   */
  containsStatus(statusType) {
    return this.containsStatusByPredicate(status => status instanceof statusType);
  }
  containsStatusByPredicate(predicate) {
    return this.asFlatList().some(predicate);
  }
  addStatus(status) {
    if (this.hasChildren()) {
      this.children.push(status);
    } else {
      this.children = [status];
    }
    this._updateProperties();
  }
  /**
   * Removes all children of the given type from this status. The type is checked by inheritance.
   */
  removeAllStatus(statusType) {
    this.removeAllStatusByPredicate(status => status instanceof statusType);
  }
  removeAllStatusByPredicate(predicate) {
    if (this.hasChildren()) {
      this.children.forEach(status => {
        status.removeAllStatusByPredicate(predicate);
      });
      this.children = this.children.filter(status => {
        // when status is not deletable we must add it as child again, thus --> true
        if (!status.deletable) {
          return true;
        }
        return !predicate(status); // negate predicate
      });
      this._updateProperties();
    }
  }
  _updateProperties() {
    if (!this.hasChildren()) {
      this.message = null;
      this.severity = Status.Severity.OK;
      this.code = 0;
      return;
    }
    let firstStatus = this.asFlatList().sort((a, b) => {
      return calcPriority(b) - calcPriority(a);
      function calcPriority(status) {
        let multiplier = 1;
        if (status instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus) {
          multiplier = 4;
        } else if (status instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ValidationFailedStatus) {
          multiplier = 2;
        }
        return multiplier * status.severity;
      }
    })[0];
    this.message = firstStatus.message;
    this.severity = firstStatus.severity;
    this.code = firstStatus.code;
  }
  /**
   * @returns whether this status has children (= multi status)
   */
  hasChildren() {
    return !!(this.children && this.children.length > 0);
  }
  /**
   * In some cases we need to transform an error status without children to a multi-status with children.
   * @returns If this instance already has children, a clone of the instance. Otherwise, a new instance with the current instance as first child.
   */
  ensureChildren() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isArray(this.children)) {
      return this.clone();
    }
    let childStatus = this;
    let newStatus = this.clone();
    newStatus.children = [childStatus];
    newStatus._updateProperties();
    return newStatus;
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  /**
   * Null-safe static clone method.
   */
  static clone(original) {
    return original ? original.clone() : null;
  }
  static cssClassForSeverity(severity) {
    let cssSeverity,
      Severity = Status.Severity;
    switch (severity) {
      case Severity.OK:
        cssSeverity = 'ok';
        break;
      case Severity.INFO:
        cssSeverity = 'info';
        break;
      case Severity.WARNING:
        cssSeverity = 'warning';
        break;
      case Severity.ERROR:
        cssSeverity = 'error';
        break;
    }
    return cssSeverity;
  }
  static animateStatusMessage($status, message) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.endsWith(message, '...')) {
      let $ellipsis = $status.makeSpan('ellipsis');
      for (let i = 0; i < 3; i++) {
        $ellipsis.append($status.makeSpan('animate-dot delay-' + i, '.'));
      }
      message = message.substring(0, message.length - 3);
      $status.empty().text(message).append($ellipsis);
    } else {
      $status.text(message);
    }
  }
  /**
   * @returns a {@link Status} object with severity OK.
   */
  static ok(model) {
    return new Status(Status.ensureModel(model, Status.Severity.OK));
  }
  /**
   * @returns a {@link Status} object with severity INFO.
   */
  static info(model) {
    return new Status(Status.ensureModel(model, Status.Severity.INFO));
  }
  /**
   * @returns a {@link Status} object with severity WARNING.
   */
  static warning(model) {
    return new Status(Status.ensureModel(model, Status.Severity.WARNING));
  }
  /**
   * @returns a {@link Status} object with severity ERROR.
   */
  static error(model) {
    return new Status(Status.ensureModel(model, Status.Severity.ERROR));
  }
  static ensureModel(model, severity) {
    if (typeof model === 'string') {
      model = {
        message: model
      };
    } else {
      model = model || {};
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, model, {
      severity: severity
    });
  }
  /**
   * @returns all {@link  Status} objects as flat array (recursively goes through the status hierarchy)
   */
  static asFlatList(status) {
    if (!status) {
      return [];
    }
    let list = [];
    if (status.hasChildren()) {
      status.children.forEach(childStatus => {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(list, Status.asFlatList(childStatus));
      });
      list.sort((s1, s2) => {
        if (s1 instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NotificationBadgeStatus) {
          if (s2 instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NotificationBadgeStatus) {
            return 0;
          }
          return -1;
        }
        if (s2 instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NotificationBadgeStatus) {
          return 1;
        }
        return 0;
      });
    } else {
      list.push(status);
    }
    return list;
  }
  /**
   * Returns a constructor function for the given class-name.
   *
   * @returns Status constructor
   */
  static classForName(className) {
    return {
      Status: Status,
      DefaultStatus: _index__WEBPACK_IMPORTED_MODULE_0__.DefaultStatus,
      NotificationBadgeStatus: _index__WEBPACK_IMPORTED_MODULE_0__.NotificationBadgeStatus,
      ParsingFailedStatus: _index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus,
      ValidationFailedStatus: _index__WEBPACK_IMPORTED_MODULE_0__.ValidationFailedStatus
    }[className];
  }
  static ensure(status) {
    if (!status) {
      return status;
    }
    if (status instanceof Status) {
      return status;
    }
    // May return a specialized subclass of Status
    if (!status.objectType) {
      status.objectType = Status;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(status);
  }
}
_defineProperty(Status, "Severity", {
  OK: 0x01,
  INFO: 0x100,
  WARNING: 0x10000,
  ERROR: 0x1000000
});
_defineProperty(Status, "SEVERITY_CSS_CLASSES", 'error warning info ok');

/***/ }),

/***/ "./src/status/StatusModel.ts":
/*!***********************************!*\
  !*** ./src/status/StatusModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/status/ValidationFailedStatus.ts":
/*!**********************************************!*\
  !*** ./src/status/ValidationFailedStatus.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ValidationFailedStatus: () => (/* binding */ ValidationFailedStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ValidationFailedStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {
  constructor(model) {
    super(model);
  }
}

/***/ }),

/***/ "./src/switch/Switch.ts":
/*!******************************!*\
  !*** ./src/switch/Switch.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Switch: () => (/* binding */ Switch)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Switch extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "activated", void 0);
    _defineProperty(this, "label", void 0);
    _defineProperty(this, "labelHtmlEnabled", void 0);
    _defineProperty(this, "labelVisible", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "iconVisible", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "tabbable", void 0);
    _defineProperty(this, "$label", void 0);
    _defineProperty(this, "$button", void 0);
    this.activated = false;
    this.label = null;
    this.labelHtmlEnabled = false;
    this.labelVisible = null;
    this.tooltipText = null;
    this.iconVisible = false;
    this.displayStyle = Switch.DisplayStyle.DEFAULT;
    this.tabbable = false;
    this.$label = null;
    this.$button = null;
  }
  _init(model) {
    super._init(model);
    this.resolveTextKeys(['label', 'tooltipText']);
  }
  _render() {
    this.$container = this.$parent.appendDiv('switch').on('mousedown', this._onSwitchMouseDown.bind(this));
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.$label = this.$container.appendDiv('switch-label');
    this.$button = this.$container.appendDiv('switch-button');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderActivated();
    this._renderLabel();
    this._renderTooltipText();
    this._renderIconVisible();
    this._renderDisplayStyle();
    this._renderTabbable();
  }
  _remove() {
    this.$label = null;
    this.$button = null;
    super._remove();
  }
  _renderEnabled() {
    super._renderEnabled();
    if (this.rendered) {
      this._renderTabbable();
    }
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.SwitchToggleKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.SwitchNavigationKeyStroke(this)]);
  }
  setActivated(activated) {
    this.setProperty('activated', activated);
  }
  _renderActivated() {
    this.$button.toggleClass('activated', !!this.activated);
  }
  setLabel(label) {
    this.setProperty('label', label);
  }
  _renderLabel() {
    if (this.labelHtmlEnabled) {
      this.$label.html(this.label);
    } else {
      this.$label.text(this.label);
    }
    this._renderLabelVisible();
  }
  setLabelHtmlEnabled(labelHtmlEnabled) {
    this.setProperty('labelHtmlEnabled', labelHtmlEnabled);
  }
  _renderLabelHtmlEnabled() {
    this._renderLabel();
  }
  setLabelVisible(labelVisible) {
    this.setProperty('labelVisible', labelVisible);
  }
  _renderLabelVisible() {
    let labelVisible = _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.labelVisible) ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.label) : !!this.labelVisible;
    this.$label.setVisible(labelVisible);
    this.invalidateLayoutTree();
  }
  setTooltipText(tooltipText) {
    this.setProperty('tooltipText', tooltipText);
  }
  _renderTooltipText() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$container, {
        parent: this,
        text: this.tooltipText,
        $anchor: this.$button
      });
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$container);
    }
  }
  setIconVisible(iconVisible) {
    this.setProperty('iconVisible', iconVisible);
  }
  _renderIconVisible() {
    this.$button.toggleClass('icon-visible', !!this.iconVisible);
  }
  setDisplayStyle(displayStyle) {
    this.setProperty('displayStyle', displayStyle);
  }
  _renderDisplayStyle() {
    this.$container.toggleClass('style-default', this.displayStyle === Switch.DisplayStyle.DEFAULT);
    this.$container.toggleClass('style-slider', this.displayStyle === Switch.DisplayStyle.SLIDER);
    this.invalidateLayoutTree();
  }
  setTabbable(tabbable) {
    this.setProperty('tabbable', tabbable);
  }
  _renderTabbable() {
    let tabbable = this.tabbable && this.enabledComputed && !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch();
    this.$container.setTabbable(tabbable);
    this.$container.toggleClass('unfocusable', !!tabbable);
  }
  _onSwitchMouseDown(event) {
    if (event.button !== 0) {
      // 0 = main button
      return;
    }
    this.toggleSwitch(event);
  }
  /**
   * @param originalEvent original event that caused the toggle
   * @param activated if set, the `activated` property is set to this value.
   *           Otherwise, it is set to opposite of the current value.
   */
  toggleSwitch(originalEvent, activated) {
    if (!this.enabledComputed) {
      return;
    }
    let oldValue = this.activated;
    let newValue = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(activated, !this.activated);
    let event = this.trigger('switch', {
      originalEvent: originalEvent,
      oldValue: oldValue,
      newValue: newValue
    });
    if (!event.defaultPrevented) {
      this.setActivated(newValue);
    }
    // When the action is clicked the user wants to execute the action and not see the tooltip -> cancel the task
    // If it is already displayed it will stay
    this.$container && _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$container);
  }
}
_defineProperty(Switch, "DisplayStyle", {
  DEFAULT: 'default',
  SLIDER: 'slider'
});

/***/ }),

/***/ "./src/switch/SwitchAdapter.ts":
/*!*************************************!*\
  !*** ./src/switch/SwitchAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SwitchAdapter: () => (/* binding */ SwitchAdapter)
/* harmony export */ });
/* harmony import */ var _session_ModelAdapter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../session/ModelAdapter */ "./src/session/ModelAdapter.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SwitchAdapter extends _session_ModelAdapter__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['activated']);
  }
}

/***/ }),

/***/ "./src/switch/SwitchEventMap.ts":
/*!**************************************!*\
  !*** ./src/switch/SwitchEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/switch/SwitchModel.ts":
/*!***********************************!*\
  !*** ./src/switch/SwitchModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/switch/SwitchNavigationKeyStroke.ts":
/*!*************************************************!*\
  !*** ./src/switch/SwitchNavigationKeyStroke.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SwitchNavigationKeyStroke: () => (/* binding */ SwitchNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SwitchNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
    this.renderingHints.render = false;
  }
  handle(event) {
    this.field.toggleSwitch(event, event.which !== _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT);
  }
}

/***/ }),

/***/ "./src/switch/SwitchToggleKeyStroke.ts":
/*!*********************************************!*\
  !*** ./src/switch/SwitchToggleKeyStroke.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SwitchToggleKeyStroke: () => (/* binding */ SwitchToggleKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SwitchToggleKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(field) {
    super();
    this.field = field;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.stopPropagation = true;
    this.stopImmediatePropagation = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => this.field.$button;
  }
  handle(event) {
    this.field.toggleSwitch(event);
  }
}

/***/ }),

/***/ "./src/system/System.ts":
/*!******************************!*\
  !*** ./src/system/System.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   System: () => (/* binding */ System)
/* harmony export */ });
/* harmony import */ var _scout__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../scout */ "./src/scout.ts");
/* harmony import */ var _util_strings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/strings */ "./src/util/strings.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Represents a REST backend system.
 */
class System {
  constructor() {
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "name", void 0);
    _defineProperty(this, "baseUrl", void 0);
    _defineProperty(this, "hasUiBackend", void 0);
    _defineProperty(this, "_endpointUrls", void 0);
    this.name = null;
    this.baseUrl = 'api';
    this.hasUiBackend = false;
    this._endpointUrls = new Map();
  }
  init(model) {
    _scout__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('name', model.name);
    this.name = model.name;
    this.hasUiBackend = _scout__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.hasUiBackend, model.name === System.MAIN_SYSTEM);
    this.baseUrl = _scout__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.baseUrl, this.baseUrl);
    if (model.endpointUrls) {
      for (const [key, value] of Object.entries(model.endpointUrls)) {
        if (value) {
          this._endpointUrls.set(key, value);
        }
      }
    }
  }
  /**
   * Sets a new base URL. This is the (typically relative) URL under which all REST endpoints of this system are available.
   * @param baseUrl The new base URL.
   */
  setBaseUrl(baseUrl) {
    this.baseUrl = baseUrl;
  }
  /**
   * Specifies if this system has a Scout UI backend.
   */
  setHasUiBackend(hasUiBackend) {
    this.hasUiBackend = hasUiBackend;
  }
  /**
   * Sets the URL relative to the base URL of this system for a named endpoint.
   * @param endpointName The endpoint identifier for which the relative URL should be updated.
   * @param endpointUrl The new endpoint url relative to the {@link baseUrl} of this system.
   */
  setEndpointUrl(endpointName, endpointUrl) {
    if (!endpointName) {
      return;
    }
    if (endpointUrl) {
      this._endpointUrls.set(endpointName, endpointUrl);
    } else {
      this._endpointUrls.delete(endpointName);
    }
  }
  /**
   * @returns the endpoints to load config properties.
   */
  getConfigEndpointUrls() {
    let urls = [];
    let defaultBackendUrl = 'config-properties';
    if (this.hasUiBackend) {
      urls.push('res/config-properties.json');
      defaultBackendUrl = null; // by default only fetch from UI server. Only use both if explicitly requested
    }
    let backendConfigResource = this.getEndpointUrl('config-properties', defaultBackendUrl);
    if (backendConfigResource) {
      urls.push(backendConfigResource);
    }
    return urls;
  }
  /**
   * @returns The full URL including the {@link baseUrl} to the endpoint with given name. The result is always without trailing slash.
   */
  getEndpointUrl(endpointName, defaultEndpoint) {
    let customizedEndpointUrl = this._endpointUrls.get(endpointName);
    let relEndpointUrl = customizedEndpointUrl || defaultEndpoint;
    if (!relEndpointUrl) {
      return null;
    }
    return this._concatPath(this.baseUrl, relEndpointUrl);
  }
  _concatPath(a, b) {
    a = _util_strings__WEBPACK_IMPORTED_MODULE_1__.strings.removeSuffix(a, '/');
    b = _util_strings__WEBPACK_IMPORTED_MODULE_1__.strings.removeSuffix(_util_strings__WEBPACK_IMPORTED_MODULE_1__.strings.removePrefix(b, '/'), '/');
    return _util_strings__WEBPACK_IMPORTED_MODULE_1__.strings.join('/', a, b);
  }
}
/**
 * The default system name. It is configured to have a UI backend (see {@link setHasUiBackend}).
 */
_defineProperty(System, "MAIN_SYSTEM", 'main');

/***/ }),

/***/ "./src/system/systems.ts":
/*!*******************************!*\
  !*** ./src/system/systems.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   systems: () => (/* binding */ systems)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Utility to retrieve and create {@link System} instances.
 * A {@link System} represents a REST backend (typically Scout UI or server backend).
 */
const systems = {
  _systemsMap: new Map(),
  /**
   * Retrieves (and creates if not yet existing) the {@link System} with given name.
   * @param name The optional name of the System. If omitted, {@link System.MAIN_SYSTEM} is used.
   * @param baseUrl The base URL of the REST resources of the system. This is the (typically relative) URL under which all the REST endpoints are available. If omitted, 'api' is used as a default.
   */
  getOrCreate(name, baseUrl) {
    name = name || _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM;
    let system = systems._systemsMap.get(name);
    if (system) {
      if (baseUrl) {
        system.setBaseUrl(baseUrl);
      }
      return system;
    }
    system = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.System, {
      name,
      baseUrl
    });
    systems._systemsMap.set(name, system);
    return system;
  },
  /**
   * @param name The optional name of the system. If omitted, {@link System.MAIN_SYSTEM} is used.
   * @returns true if a system with given name is already registered.
   */
  exists(name) {
    return systems._systemsMap.has(name || _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM);
  }
};

/***/ }),

/***/ "./src/tabbox/SimpleTab.ts":
/*!*********************************!*\
  !*** ./src/tabbox/SimpleTab.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTab: () => (/* binding */ SimpleTab)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SimpleTab extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "view", void 0);
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "subTitle", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "closable", void 0);
    _defineProperty(this, "saveNeeded", void 0);
    _defineProperty(this, "saveNeededVisible", void 0);
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "$title", void 0);
    _defineProperty(this, "$subTitle", void 0);
    _defineProperty(this, "$iconContainer", void 0);
    _defineProperty(this, "$statusContainer", void 0);
    _defineProperty(this, "$close", void 0);
    _defineProperty(this, "$titleLine", void 0);
    _defineProperty(this, "$saveNeeded", void 0);
    _defineProperty(this, "$statusIcons", void 0);
    _defineProperty(this, "_statusContainerUsageCounter", void 0);
    _defineProperty(this, "_viewPropertyChangeListener", void 0);
    _defineProperty(this, "_viewRemoveListener", void 0);
    _defineProperty(this, "_glassPaneContribution", void 0);
    this.view = null;
    this.title = null;
    this.subTitle = null;
    this.iconId = null;
    this.cssClass = null;
    this.closable = false;
    this.saveNeeded = false;
    this.saveNeededVisible = false;
    this.status = null;
    this.selected = false;
    this.$title = null;
    this.$subTitle = null;
    this.$iconContainer = null;
    this.$statusContainer = null;
    this.$statusIcons = [];
    this._statusContainerUsageCounter = 0;
    this._viewPropertyChangeListener = this._onViewPropertyChange.bind(this);
    this._viewRemoveListener = this._onViewRemove.bind(this);
    this._glassPaneContribution = element => {
      if (!this.$close) {
        return null;
      }
      // glass pane will be added as direct child which does not prevent clicks and hover effects -> glasspane-parent marker needed
      this.$close.addClass('glasspane-parent');
      return this.$close;
    };
  }
  _init(model) {
    super._init(model);
    this.view = model.view;
    this.title = this.view ? this.view.title : model.title;
    this.subTitle = this.view ? this.view.subTitle : model.subTitle;
    this.iconId = this.view ? this.view.iconId : model.iconId;
    this.cssClass = this.view ? this.view.cssClass : model.cssClass;
    this.closable = this.view ? this.view.closable : model.closable;
    this.saveNeeded = this.view ? this.view.saveNeeded : model.saveNeeded;
    this.saveNeededVisible = this.view ? this.view.saveNeededVisible : model.saveNeededVisible;
    this.status = this.view ? this.view.status : model.status;
    if (this.view) {
      this._installViewListeners();
      this.view.addGlassPaneContribution(this._glassPaneContribution);
    }
  }
  renderAfter($parent, sibling) {
    this.render($parent);
    if (sibling) {
      this.$container.insertAfter(sibling.$container);
    }
  }
  _render() {
    this.$container = this.$parent.prependDiv('simple-tab');
    this.$container.on('mousedown', this._onMouseDown.bind(this));
    this.$titleLine = this.$container.appendDiv('title-line');
    this.$iconContainer = this.$titleLine.appendDiv('icon-container');
    this.$title = this.$titleLine.appendDiv('title');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$title, {
      parent: this
    });
    this.$statusContainer = this.$titleLine.appendDiv('status-container');
    this.$subTitle = this.$container.appendDiv('sub-title');
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis(this.$subTitle, {
      parent: this
    });
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTitle();
    this._renderSubTitle();
    this._renderIconId();
    this._renderCssClass();
    this._renderClosable();
    this._renderSaveNeeded();
    this._renderStatus();
    this._renderSelected();
  }
  _remove() {
    this.$close = null;
    super._remove();
  }
  setTitle(title) {
    this.setProperty('title', title);
  }
  _renderTitle() {
    this.$title.textOrNbsp(this.title);
  }
  setSubTitle(subTitle) {
    this.setProperty('subTitle', subTitle);
  }
  _renderSubTitle() {
    this.$subTitle.text(this.subTitle);
  }
  setIconId(iconId) {
    this.setProperty('iconId', iconId);
  }
  _renderIconId() {
    this.$iconContainer.icon(this.iconId);
  }
  setClosable(closable) {
    this.setProperty('closable', closable);
  }
  _renderClosable() {
    if (this.closable) {
      if (this.$close) {
        return;
      }
      this.$container.addClass('closable');
      this.$close = this.$container.appendDiv('closer').on('click', this._onClose.bind(this));
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$close, 'button');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.$close, this.session.text('ui.Close'));
    } else {
      if (!this.$close) {
        return;
      }
      this.$container.removeClass('closable');
      this.$close.remove();
      this.$close = null;
    }
  }
  setSaveNeededVisible(saveNeededVisible) {
    if (this.saveNeededVisible === saveNeededVisible) {
      return;
    }
    this._setProperty('saveNeededVisible', saveNeededVisible);
    if (this.rendered) {
      this._renderSaveNeeded();
    }
  }
  setSaveNeeded(saveNeeded) {
    if (this.saveNeeded === saveNeeded) {
      return;
    }
    this._setProperty('saveNeeded', saveNeeded);
    if (this.rendered) {
      this._renderSaveNeeded();
    }
  }
  _renderSaveNeeded() {
    if (this.saveNeeded && this.saveNeededVisible) {
      this.$container.addClass('save-needed');
      if (this.$saveNeeded) {
        return;
      }
      this.$saveNeeded = this.$statusContainer.prependDiv('status save-needer');
      this._statusContainerUsageCounter++;
    } else {
      if (!this.$saveNeeded) {
        return;
      }
      this.$container.removeClass('save-needed');
      this.$saveNeeded.remove();
      this.$saveNeeded = null;
      this._statusContainerUsageCounter--;
    }
  }
  setStatus(status) {
    this.setProperty('status', status);
  }
  _renderStatus() {
    this._statusContainerUsageCounter -= this.$statusIcons.length === 0 ? 0 : 1;
    this.$statusIcons.forEach($statusIcon => $statusIcon.remove());
    this.$statusIcons = [];
    if (this.status) {
      this.status.asFlatList().forEach(status => {
        if (!status || !status.iconId && !status.message) {
          return;
        }
        if (status.iconId) {
          let $statusIcon = this.$statusContainer.appendIcon(status.iconId, 'status');
          if (status.cssClass()) {
            $statusIcon.addClass(status.cssClass());
          }
          this.$statusIcons.push($statusIcon);
        }
        if (status.message) {
          let $statusMessage = this.$statusContainer.appendSpan('status message');
          if (status.cssClass()) {
            $statusMessage.addClass(status.cssClass());
          }
          let $text = $statusMessage.appendSpan('text', status.message);
          _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis($text, {
            parent: this
          });
          this.$statusIcons.push($statusMessage);
        }
      });
    }
    this._statusContainerUsageCounter += this.$statusIcons.length === 0 ? 0 : 1;
    this.$container.toggleClass('has-status', this._statusContainerUsageCounter > 0);
  }
  select() {
    this.setSelected(true);
  }
  deselect() {
    this.setSelected(false);
  }
  setSelected(selected) {
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    this.$container.toggleClass('selected', this.selected);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$titleLine, this.selected ? 'heading' : null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.level(this.$titleLine, this.selected ? 1 : null);
  }
  _onMouseDown(event) {
    if (this.$close && this.$close.isOrHas(event.target)) {
      return;
    }
    this.trigger('click');
    // When the tab is clicked the user wants to execute the action and not see the tooltip
    if (this.$title) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$title);
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.close(this.$title);
    }
    if (this.$subTitle) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.cancel(this.$subTitle);
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.close(this.$subTitle);
    }
    event.preventDefault();
  }
  _onClose(event) {
    if (this.view) {
      this.view.abort();
    }
  }
  getMenuText() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' \u2013 ', this.title, this.subTitle);
  }
  _installViewListeners() {
    this.view.on('propertyChange', this._viewPropertyChangeListener);
    this.view.on('remove', this._viewRemoveListener);
  }
  _uninstallViewListeners() {
    this.view.off('propertyChange', this._viewPropertyChangeListener);
    this.view.off('remove', this._viewRemoveListener);
  }
  _onViewPropertyChange(event) {
    if (event.propertyName === 'title') {
      this.setTitle(this.view.title);
    } else if (event.propertyName === 'subTitle') {
      this.setSubTitle(this.view.subTitle);
    } else if (event.propertyName === 'iconId') {
      this.setIconId(this.view.iconId);
    } else if (event.propertyName === 'cssClass') {
      this.setCssClass(event.newValue);
    } else if (event.propertyName === 'saveNeeded') {
      this.setSaveNeeded(event.newValue);
    } else if (event.propertyName === 'saveNeededVisible') {
      this.setSaveNeededVisible(event.newValue);
    } else if (event.propertyName === 'closable') {
      this.setClosable(event.newValue);
    } else if (event.propertyName === 'status') {
      this.setStatus(event.newValue);
    }
  }
  /**
   * We cannot not bind the 'remove' event of the view to the remove function
   * of this tab, because in bench-mode the tab is never rendered
   * and thus the _remove function is never called.
   */
  _onViewRemove(event) {
    this._uninstallViewListeners();
    if (this.rendered) {
      this.remove();
    } else {
      this.trigger('remove');
    }
  }
}

/***/ }),

/***/ "./src/tabbox/SimpleTabArea.ts":
/*!*************************************!*\
  !*** ./src/tabbox/SimpleTabArea.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabArea: () => (/* binding */ SimpleTabArea)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SimpleTabArea extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "tabs", void 0);
    _defineProperty(this, "_selectedViewTab", void 0);
    _defineProperty(this, "_tabClickHandler", void 0);
    this.displayStyle = SimpleTabArea.DisplayStyle.DEFAULT;
    this.tabs = [];
    this._selectedViewTab = null;
  }
  _init(model) {
    super._init(model);
    this._tabClickHandler = this._onTabClick.bind(this);
  }
  _render() {
    this.$container = this.$parent.appendDiv('simple-tab-area');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabAreaLayout(this);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderDisplayStyle();
    this._renderTabs();
  }
  setDisplayStyle(displayStyle) {
    this.setProperty('displayStyle', displayStyle);
  }
  _renderDisplayStyle() {
    this.$container.toggleClass('spread-even', this.displayStyle === SimpleTabArea.DisplayStyle.SPREAD_EVEN);
    this.invalidateLayoutTree();
  }
  _renderTabs() {
    // reverse since tab.renderAfter() called without sibling=true argument (see _renderTab)
    // will _prepend_ themselves into the container.
    this.tabs.slice().reverse().forEach(tab => this._renderTab(tab));
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.tabs);
  }
  _renderTab(tab) {
    tab.renderAfter(this.$container);
  }
  _renderVisible() {
    this.$container.setVisible(this.visible && this.tabs.length > 0);
    this.invalidateLayoutTree();
  }
  _onTabClick(event) {
    this.selectTab(event.source);
  }
  getTabs() {
    return this.tabs;
  }
  getVisibleTabs() {
    return this.tabs.filter(tab => {
      // Layout operates on dom elements directly -> check dom visibility
      if (tab.$container) {
        return tab.$container.isVisible();
      }
      return tab.visible;
    });
  }
  selectTab(viewTab) {
    if (this._selectedViewTab === viewTab) {
      return;
    }
    this.deselectTab(this._selectedViewTab);
    this._selectedViewTab = viewTab;
    if (viewTab) {
      // Select the new view tab.
      viewTab.select();
    }
    this.trigger('tabSelect', {
      viewTab: viewTab
    });
    if (viewTab && viewTab.rendered && !viewTab.$container.isVisible()) {
      this.invalidateLayoutTree();
    }
  }
  deselectTab(viewTab) {
    if (!viewTab) {
      return;
    }
    if (this._selectedViewTab !== viewTab) {
      return;
    }
    this._selectedViewTab.deselect();
  }
  getSelectedTab() {
    return this._selectedViewTab;
  }
  addTab(tab, sibling) {
    let insertPosition = -1;
    if (sibling) {
      insertPosition = this.tabs.indexOf(sibling);
    }
    this.tabs.splice(insertPosition + 1, 0, tab);
    tab.on('click', this._tabClickHandler);
    if (this.rendered) {
      this._renderVisible();
      tab.renderAfter(this.$container, sibling);
      _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.getTabs());
      this.invalidateLayoutTree();
    }
  }
  destroyTab(tab) {
    let index = this.tabs.indexOf(tab);
    if (index > -1) {
      this.tabs.splice(index, 1);
      tab.destroy();
      tab.off('click', this._tabClickHandler);
      if (this.rendered) {
        this._renderVisible();
        _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.getTabs());
        this.invalidateLayoutTree();
      }
    }
  }
}
_defineProperty(SimpleTabArea, "DisplayStyle", {
  DEFAULT: 'default',
  SPREAD_EVEN: 'spreadEven'
});

/***/ }),

/***/ "./src/tabbox/SimpleTabAreaEventMap.ts":
/*!*********************************************!*\
  !*** ./src/tabbox/SimpleTabAreaEventMap.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabAreaLayout.ts":
/*!*******************************************!*\
  !*** ./src/tabbox/SimpleTabAreaLayout.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabAreaLayout: () => (/* binding */ SimpleTabAreaLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SimpleTabAreaLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabArea) {
    super();
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "tabWidth", void 0);
    _defineProperty(this, "tabMinWidth", void 0);
    _defineProperty(this, "overflowTabItemWidth", void 0);
    _defineProperty(this, "_$overflowTab", void 0);
    _defineProperty(this, "_overflowTabsIndizes", void 0);
    this.tabArea = tabArea;
    this._$overflowTab = null;
    this._overflowTabsIndizes = [];
    this.tabWidth = null;
    this.tabMinWidth = null;
    this.overflowTabItemWidth = null;
  }
  layout($container) {
    let htmlContainer = this.tabArea.htmlComp,
      containerSize = htmlContainer.size({
        exact: true
      }),
      $tabs = htmlContainer.$comp.children('.simple-tab'),
      numTabs = this.tabArea.getTabs().length,
      smallPrefSize = this.smallPrefSize();
    containerSize = containerSize.subtract(htmlContainer.insets());
    this._initSizes();
    // Reset tabs
    if (this._$overflowTab) {
      this._$overflowTab.remove();
    }
    $tabs.setVisible(true);
    this._overflowTabsIndizes = [];
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.tabArea.getTabs());
    // All tabs fit in container -> no overflow menu necessary
    if (smallPrefSize.width <= containerSize.width) {
      $container.removeClass('overflown');
      return;
    }
    // Not all tabs fit in container -> put tabs into overflow menu
    $container.addClass('overflown');
    containerSize.width -= this.overflowTabItemWidth;
    // check how many tabs fit into remaining containerSize.width
    let numVisibleTabs = Math.floor(containerSize.width / this.tabMinWidth);
    let numOverflowTabs = numTabs - numVisibleTabs;
    let selectedIndex = 0;
    $tabs.each((i, tab) => {
      if (jquery__WEBPACK_IMPORTED_MODULE_1___default()(tab).hasClass('selected')) {
        selectedIndex = i;
      }
    });
    // determine visible range
    let rightEnd;
    let leftEnd = selectedIndex - Math.floor(numVisibleTabs / 2);
    if (leftEnd < 0) {
      leftEnd = 0;
      rightEnd = numVisibleTabs - 1;
    } else {
      rightEnd = leftEnd + numVisibleTabs - 1;
      if (rightEnd > numTabs - 1) {
        rightEnd = numTabs - 1;
        leftEnd = rightEnd - numVisibleTabs + 1;
      }
    }
    this._$overflowTab = htmlContainer.$comp.appendDiv('simple-overflow-tab-item').on('mousedown', this._onOverflowTabItemMouseDown.bind(this));
    this._$overflowTab.appendDiv('num-tabs').text(numOverflowTabs);
    $tabs.each((i, tab) => {
      if (i < leftEnd || i > rightEnd) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()(tab).setVisible(false);
        this._overflowTabsIndizes.push(i);
      }
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.tabArea.getVisibleTabs());
  }
  smallPrefSize() {
    let options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    this._initSizes();
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      minTabWidth: this.tabMinWidth
    }, options);
    return this.preferredLayoutSize(this.tabArea.$container, options);
  }
  preferredLayoutSize($container, options) {
    this._initSizes();
    let minTabWidth = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.minTabWidth, 0) || _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.tabWidth, 0);
    let numTabs = this.tabArea.getTabs().length;
    let minWidth = numTabs * minTabWidth;
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      useCssSize: true
    }, options);
    let prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize(this.tabArea.$container, options);
    if (options.widthHint && this.tabArea.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea.DisplayStyle.SPREAD_EVEN) {
      minWidth = Math.max(options.widthHint, minWidth);
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(minWidth, prefSize.height);
  }
  /**
   * Reads the default sizes from CSS -> the tabs need to specify a width and a min-width.
   * The layout expects all tabs to have the same width.
   */
  _initSizes() {
    if (this.tabWidth != null && this.tabMinWidth != null && this.overflowTabItemWidth != null) {
      return;
    }
    let $tab = this.tabArea.$container.children('.simple-tab').eq(0);
    if ($tab.length === 0) {
      return;
    }
    $tab = $tab.clone().addClass('selected'); // Non selected items have a margin, selected ones don't -> we need to get the width incl. margin
    let tabAreaClasses = this.tabArea.$container.attr('class');
    let tabItemClasses = $tab.attr('class');
    if (this.tabWidth === null) {
      this.tabWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize([tabAreaClasses, tabItemClasses], 'width', 'width', 0);
    }
    if (this.tabMinWidth === null) {
      this.tabMinWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize([tabAreaClasses, tabItemClasses], 'min-width', 'minWidth');
    }
    if (this.overflowTabItemWidth === null) {
      this.overflowTabItemWidth = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize([tabAreaClasses, 'simple-overflow-tab-item'], 'min-width', 'minWidth');
      this.overflowTabItemWidth += _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize([tabAreaClasses, 'simple-overflow-tab-item'], 'margin-left', 'marginLeft');
      this.overflowTabItemWidth += _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize([tabAreaClasses, 'simple-overflow-tab-item'], 'margin-right', 'marginRight');
    }
  }
  _onOverflowTabItemMouseDown(event) {
    let tabArea = this.tabArea;
    let overflowMenus = [];
    let $overflowTabItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    if ($overflowTabItem.data('popup')) {
      $overflowTabItem.data('popup').close();
      return;
    }
    this._overflowTabsIndizes.forEach(i => {
      let tab = this.tabArea.getTabs()[i];
      let menu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
        parent: this.tabArea,
        text: tab.getMenuText()
      });
      menu.on('action', function () {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(SimpleTabAreaLayout#_onMouseDownOverflow) tab=' + this);
        tabArea.selectTab(this);
      }.bind(tab));
      overflowMenus.push(menu);
    });
    let popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this.tabArea,
      menuItems: overflowMenus,
      cloneMenuItems: false,
      $anchor: $overflowTabItem,
      closeOnAnchorMouseDown: false
    });
    $overflowTabItem.addClass('selected');
    $overflowTabItem.data('popup', popup);
    popup.one('remove', () => {
      $overflowTabItem.removeClass('selected');
      $overflowTabItem.data('popup', null);
    });
    popup.open();
  }
}

/***/ }),

/***/ "./src/tabbox/SimpleTabAreaModel.ts":
/*!******************************************!*\
  !*** ./src/tabbox/SimpleTabAreaModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabBox.ts":
/*!************************************!*\
  !*** ./src/tabbox/SimpleTabBox.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabBox: () => (/* binding */ SimpleTabBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SimpleTabBox extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "viewStack", void 0);
    _defineProperty(this, "currentView", void 0);
    _defineProperty(this, "controller", void 0);
    _defineProperty(this, "layoutData", void 0);
    _defineProperty(this, "viewContent", void 0);
    _defineProperty(this, "$viewContent", void 0);
    _defineProperty(this, "$tabArea", void 0);
    _defineProperty(this, "_removeViewInProgress", void 0);
    _defineProperty(this, "_viewDestroyedHandler", void 0);
    this._addWidgetProperties(['tabArea']);
    this.tabArea = null;
    this.viewStack = [];
    this.currentView = null;
    this.controller = null;
    this._removeViewInProgress = 0;
  }
  _init(model) {
    super._init(model);
    this.cssClass = model.cssClass;
    if (!this.controller) {
      // default controller
      this.controller = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBoxController);
    }
    // link
    this.controller.install(this, this.tabArea);
    this.tabArea = this.controller.tabArea;
    this._viewDestroyedHandler = this._onViewDestroyed.bind(this);
  }
  _render() {
    this.$container = this.$parent.appendDiv('simple-tab-box');
    if (this.cssClass) {
      this.$container.addClass(this.cssClass);
    }
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBoxLayout(this));
    this.htmlComp.layoutData = this.layoutData;
    // render content
    this.$viewContent = this.$container.appendDiv('tab-content');
    this.viewContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$viewContent, this.session);
    this.viewContent.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabViewContentLayout(this));
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTabArea();
    this._renderView(this.currentView);
  }
  _renderTabArea() {
    this.tabArea.render();
    this.$tabArea = this.tabArea.$container;
    this.$tabArea.insertBefore(this.$viewContent);
  }
  _renderView(view) {
    if (!view) {
      return;
    }
    if (view.rendered) {
      return;
    }
    view.render(this.$viewContent);
    view.$container.addClass('view');
  }
  postRender() {
    if (this.viewStack.length > 0 && !this.currentView) {
      this.activateView(this.viewStack[this.viewStack.length - 1]);
    }
  }
  activateView(view) {
    if (view === this.currentView) {
      return;
    }
    if (this.currentView) {
      this.currentView.detach();
      this.trigger('viewDeactivate', {
        view: this.currentView
      });
      this.currentView = null;
    }
    // ensure rendered
    if (this.rendered) {
      this._renderView(view);
    }
    if (view && !view.attached) {
      view.attach();
    }
    this.currentView = view;
    this.trigger('viewActivate', {
      view: view
    });
    if (this.rendered) {
      this.viewContent.invalidateLayoutTree();
    }
  }
  setLayoutData(layoutData) {
    super.setLayoutData(layoutData);
    this.layoutData = layoutData;
  }
  getLayoutData() {
    return this.layoutData;
  }
  /**
   * @param bringToTop whether the view should be placed on top of the view stack. the view tab will be selected. Default is true.
   */
  addView(view, bringToTop) {
    let activate = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(bringToTop, true);
    // add to view stack
    let siblingView = this._addToViewStack(view, activate);
    // track focus when a view gets removed ond re-rendered.
    view.setTrackFocus(true);
    view.setParent(this);
    this.trigger('viewAdd', {
      view: view,
      siblingView: siblingView
    });
    if (activate) {
      this.activateView(view);
    }
  }
  /**
   * @returns the view which is going to be the sibling to insert the new view tab after.
   */
  _addToViewStack(view, bringToTop) {
    let sibling;
    let index = this.viewStack.indexOf(view);
    if (index > -1) {
      return this.viewStack[index - 1];
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabBoxController.hasViewTab(view)) {
      // first
      this.viewStack.unshift(view);
      this._addDestroyListener(view);
      return sibling;
    }
    if (!this.currentView || !bringToTop) {
      // end
      sibling = this.viewStack[this.viewStack.length - 1];
      this.viewStack.push(view);
      this._addDestroyListener(view);
      return sibling;
    }
    let currentIndex = this.viewStack.indexOf(this.currentView);
    sibling = this.viewStack[currentIndex];
    // it does not matter when index is -1 will be inserted at first position
    this.viewStack.splice(currentIndex + 1, 0, view);
    return sibling;
  }
  _addDestroyListener(view) {
    view.one('destroy', this._viewDestroyedHandler);
  }
  _removeDestroyListener(view) {
    view.off('destroy', this._viewDestroyedHandler);
  }
  _onViewDestroyed(event) {
    let view = event.source;
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.viewStack, view);
    if (this.currentView === view) {
      if (this.rendered) {
        view.remove();
      }
      this.currentView = null;
    }
  }
  removeView(view, showSiblingView) {
    if (!view) {
      return;
    }
    // track focus when a view gets removed ond re-rendered.
    view.setTrackFocus(false);
    showSiblingView = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(showSiblingView, true);
    let index = this.viewStack.indexOf(view);
    let viewToActivate;
    // if current view is the view to remove reset current view
    if (this.currentView === view) {
      this.currentView = null;
    } else {
      // Don't change selected view if not the selected view was removed
      showSiblingView = false;
    }
    if (index > -1) {
      // activate previous
      if (showSiblingView) {
        if (index - 1 >= 0) {
          viewToActivate = this.viewStack[index - 1];
        } else if (index + 1 < this.viewStack.length) {
          viewToActivate = this.viewStack[index + 1];
        }
      }
      // remove
      this.viewStack.splice(index, 1);
      if (view.rendered) {
        this._removeViewInProgress++;
        view.remove();
        this._removeViewInProgress--;
      }
      this.trigger('viewRemove', {
        view: view
      });
      if (this._removeViewInProgress === 0) {
        if (viewToActivate) {
          this.activateView(viewToActivate);
        }
        if (this.rendered) {
          this.viewContent.invalidateLayoutTree();
        }
      }
    }
  }
  getController() {
    return this.controller;
  }
  viewCount() {
    return this.viewStack.length;
  }
  hasViews() {
    return this.viewStack.length > 0;
  }
  hasView(view) {
    return this.viewStack.filter(v => v === view).length > 0;
  }
  getViews(displayViewId) {
    return this.viewStack.filter(view => {
      if (!displayViewId) {
        return true;
      }
      return displayViewId === view.displayViewId;
    });
  }
}

/***/ }),

/***/ "./src/tabbox/SimpleTabBoxController.ts":
/*!**********************************************!*\
  !*** ./src/tabbox/SimpleTabBoxController.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabBoxController: () => (/* binding */ SimpleTabBoxController)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * The {@link SimpleTabBoxController} is used to link a {@link SimpleTabBox} with a {@link SimpleTabArea}.
 * There are {@link SimpleTabBox} with more than one {@link SimpleTabArea} to be actualized.
 * Therefore, the linking is separated in a controller.
 * The controller basically listens to 'viewAdd', 'viewRemove', 'viewActivate', 'viewDeactivate' on the {@link SimpleTabBox} and
 * updates the {@link SimpleTabArea}.
 */
class SimpleTabBoxController {
  constructor() {
    _defineProperty(this, "tabBox", void 0);
    _defineProperty(this, "tabArea", void 0);
    _defineProperty(this, "_viewAddHandler", void 0);
    _defineProperty(this, "_viewRemoveHandler", void 0);
    _defineProperty(this, "_viewActivateHandler", void 0);
    _defineProperty(this, "_viewDeactivateHandler", void 0);
    _defineProperty(this, "_viewTabSelectHandler", void 0);
    this.tabBox = null;
    this._viewAddHandler = this._onViewAdd.bind(this);
    this._viewRemoveHandler = this._onViewRemove.bind(this);
    this._viewActivateHandler = this._onViewActivate.bind(this);
    this._viewDeactivateHandler = this._onViewDeactivate.bind(this);
    this.tabArea = null;
    this._viewTabSelectHandler = this._onViewTabSelect.bind(this);
  }
  init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  install(tabBox, tabArea) {
    this.uninstall();
    this.tabBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('tabBox', tabBox);
    this.tabArea = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(tabArea, this.tabBox.tabArea);
    if (!this.tabArea) {
      this.tabArea = this.createTabArea();
    }
    this._installListeners();
  }
  uninstall() {
    this._uninstallListeners();
  }
  _installListeners() {
    this.tabBox.on('viewAdd', this._viewAddHandler);
    this.tabBox.on('viewRemove', this._viewRemoveHandler);
    this.tabBox.on('viewActivate', this._viewActivateHandler);
    this.tabBox.on('viewDeactivate', this._viewDeactivateHandler);
    this.tabArea.on('tabSelect', this._viewTabSelectHandler);
  }
  _uninstallListeners() {
    if (this.tabBox) {
      this.tabBox.off('viewAdd', this._viewAddHandler);
      this.tabBox.off('viewRemove', this._viewRemoveHandler);
      this.tabBox.off('viewActivate', this._viewActivateHandler);
      this.tabBox.off('viewDeactivate', this._viewDeactivateHandler);
    }
    if (this.tabArea) {
      this.tabArea.off('tabSelect', this._viewTabSelectHandler);
    }
  }
  createTabArea() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SimpleTabArea, {
      parent: this.tabBox
    });
  }
  /** @internal */
  _onViewAdd(event) {
    let view = event.view;
    if (!SimpleTabBoxController.hasViewTab(view)) {
      return;
    }
    let viewTab = this.getTab(view);
    if (!viewTab && this._shouldCreateTabForView(view)) {
      let siblingView = event.siblingView;
      let siblingViewTab = this.getTab(siblingView); // the sibling to insert the tab after.
      viewTab = this._createTab(view);
      this.tabArea.addTab(viewTab, siblingViewTab);
    }
  }
  _shouldCreateTabForView(view) {
    return true;
  }
  _onViewRemove(event) {
    let view = event.view;
    if (!view) {
      return;
    }
    let viewTab = this.getTab(view);
    if (viewTab) {
      this.tabArea.destroyTab(viewTab);
    }
  }
  /** @internal */
  _onViewActivate(event) {
    let viewTab = this.getTab(event.view);
    // also reset selection if no view tab of the view is found.
    this.tabArea.selectTab(viewTab);
  }
  _onViewDeactivate(event) {
    let viewTab = this.getTab(event.view);
    // also reset selection if no view tab of the view is found.
    this.tabArea.deselectTab(viewTab);
  }
  _onViewTabSelect(event) {
    if (!event.viewTab) {
      return;
    }
    let view = event.viewTab.view;
    this.tabBox.activateView(view);
  }
  _createTab(view) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SimpleTab, {
      parent: this.tabArea,
      view: view
    });
  }
  getTab(view) {
    if (!view) {
      return;
    }
    let viewTab = null;
    this.tabArea.getTabs().some(tab => {
      if (tab.view === view) {
        viewTab = tab;
        return true;
      }
      return false;
    });
    return viewTab;
  }
  getTabs() {
    return this.tabArea.getTabs();
  }
  static hasViewTab(view) {
    return view && (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(view.title) || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(view.subTitle) || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(view.iconId));
  }
}

/***/ }),

/***/ "./src/tabbox/SimpleTabBoxControllerModel.ts":
/*!***************************************************!*\
  !*** ./src/tabbox/SimpleTabBoxControllerModel.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabBoxEventMap.ts":
/*!********************************************!*\
  !*** ./src/tabbox/SimpleTabBoxEventMap.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabBoxLayout.ts":
/*!******************************************!*\
  !*** ./src/tabbox/SimpleTabBoxLayout.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabBoxLayout: () => (/* binding */ SimpleTabBoxLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SimpleTabBoxLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabBox) {
    super();
    _defineProperty(this, "tabBox", void 0);
    this.tabBox = tabBox;
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      htmlViewContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.tabBox.$viewContent);
    let containerSize = htmlContainer.availableSize({
      exact: true
    }).subtract(htmlContainer.insets());
    let tabAreaSize = this._layoutTabArea(containerSize);
    let viewContentSize = containerSize.subtract(htmlViewContent.margins());
    viewContentSize.height -= tabAreaSize.height;
    htmlViewContent.setSize(viewContentSize);
  }
  /**
   * @returns used of the tab area
   */
  _layoutTabArea(containerSize) {
    if (!this.tabBox.rendered) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, 0);
    }
    // expected the tab area is layouted dynamically only
    let htmlViewTabs = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.tabBox.$tabArea),
      prefSize = htmlViewTabs.prefSize(),
      margins = htmlViewTabs.margins();
    let size = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, prefSize.height + margins.top + margins.bottom);
    htmlViewTabs.setSize(size);
    return size;
  }
  /**
   * Preferred size of the tab-box aligns every tab-item in a single line, so that each item is visible.
   */
  preferredLayoutSize($container, options) {
    options = options || {};
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      htmlViewContent = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.tabBox.$viewContent),
      htmlViewTabs = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(this.tabBox.$tabArea),
      viewTabsSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(),
      viewContentSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    // HeightHint not supported
    options.heightHint = null;
    if (htmlViewTabs.isVisible()) {
      viewTabsSize = htmlViewTabs.prefSize().add(htmlViewTabs.margins());
    }
    viewContentSize = htmlViewContent.prefSize(options).add(htmlContainer.insets()).add(htmlViewContent.margins());
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(Math.max(viewTabsSize.width, viewContentSize.width), viewContentSize.height + viewTabsSize.height);
  }
}

/***/ }),

/***/ "./src/tabbox/SimpleTabBoxModel.ts":
/*!*****************************************!*\
  !*** ./src/tabbox/SimpleTabBoxModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabEventMap.ts":
/*!*****************************************!*\
  !*** ./src/tabbox/SimpleTabEventMap.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabModel.ts":
/*!**************************************!*\
  !*** ./src/tabbox/SimpleTabModel.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tabbox/SimpleTabViewContentLayout.ts":
/*!**************************************************!*\
  !*** ./src/tabbox/SimpleTabViewContentLayout.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleTabViewContentLayout: () => (/* binding */ SimpleTabViewContentLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class SimpleTabViewContentLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tabBox) {
    super();
    _defineProperty(this, "tabBox", void 0);
    this.tabBox = tabBox;
  }
  layout($container) {
    let currentView = this.tabBox.currentView;
    if (!currentView || !currentView.rendered || !currentView.htmlComp) {
      return;
    }
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let size = htmlContainer.availableSize({
      exact: true
    }).subtract(htmlContainer.insets()).subtract(currentView.htmlComp.margins());
    currentView.htmlComp.setSize(size);
  }
  preferredLayoutSize($container, options) {
    let currentView = this.tabBox.currentView;
    if (!currentView || !currentView.rendered || !currentView.htmlComp) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    }
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    return currentView.htmlComp.prefSize().add(htmlContainer.insets()).add(currentView.htmlComp.margins());
  }
}

/***/ }),

/***/ "./src/table/AbstractTableAccessibilityRenderer.ts":
/*!*********************************************************!*\
  !*** ./src/table/AbstractTableAccessibilityRenderer.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractTableAccessibilityRenderer: () => (/* binding */ AbstractTableAccessibilityRenderer)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class AbstractTableAccessibilityRenderer {
  constructor() {
    _defineProperty(this, "rowRole", void 0);
    _defineProperty(this, "cellRole", void 0);
    _defineProperty(this, "renderTable", void 0);
    _defineProperty(this, "renderRow", void 0);
    _defineProperty(this, "renderRowGroup", void 0);
    _defineProperty(this, "renderCell", void 0);
    this.renderTable = null;
    this.renderRow = null;
    this.renderRowGroup = null;
    this.renderCell = null;
    this.rowRole = null;
    this.cellRole = null;
  }
}

/***/ }),

/***/ "./src/table/DefaultTableAccessibilityRenderer.ts":
/*!********************************************************!*\
  !*** ./src/table/DefaultTableAccessibilityRenderer.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DefaultTableAccessibilityRenderer: () => (/* binding */ DefaultTableAccessibilityRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DefaultTableAccessibilityRenderer extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableAccessibilityRenderer {
  constructor() {
    super();
    this.renderTable = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'grid');
    this.renderRow = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'row');
    this.renderRowGroup = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'rowgroup');
    this.renderCell = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'gridcell');
    this.rowRole = 'row';
    this.cellRole = 'gridcell';
  }
}

/***/ }),

/***/ "./src/table/FilterFieldsGroupBox.ts":
/*!*******************************************!*\
  !*** ./src/table/FilterFieldsGroupBox.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FilterFieldsGroupBox: () => (/* binding */ FilterFieldsGroupBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FilterFieldsGroupBox extends _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox {
  constructor() {
    super();
    _defineProperty(this, "filter", void 0);
    this.gridColumnCount = 1;
    this.cssClass = 'filter-fields';
  }
  _init(model) {
    super._init(model);
    this.filter.addFilterFields(this);
  }
  _renderProperties() {
    super._renderProperties();
    this.filter.modifyFilterFields();
  }
  addFilterField(objectType, text) {
    let field = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(objectType, {
      parent: this,
      label: this.session.text(text),
      statusVisible: false,
      labelWidthInPixel: 50
    });
    this.addField0(field);
    return field;
  }
  // Info from awe, cgu: Added '0' to the name to avoid temporarily to avoid naming conflict with FormField#addField
  // This should be refactored in a future release
  addField0(field) {
    this.fields.push(field);
    this._prepareFields();
  }
  linkFieldsWithTitle($filterFieldsText) {
    this.filter.linkFieldsWithTitle($filterFieldsText);
  }
}

/***/ }),

/***/ "./src/table/FilterFieldsGroupBoxModel.ts":
/*!************************************************!*\
  !*** ./src/table/FilterFieldsGroupBoxModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/HierarchicalTableAccessibilityRenderer.ts":
/*!*************************************************************!*\
  !*** ./src/table/HierarchicalTableAccessibilityRenderer.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HierarchicalTableAccessibilityRenderer: () => (/* binding */ HierarchicalTableAccessibilityRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HierarchicalTableAccessibilityRenderer extends _index__WEBPACK_IMPORTED_MODULE_0__.DefaultTableAccessibilityRenderer {
  constructor() {
    super();
    this.renderTable = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'treegrid');
  }
}

/***/ }),

/***/ "./src/table/KeyTableFilter.ts":
/*!*************************************!*\
  !*** ./src/table/KeyTableFilter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KeyTableFilter: () => (/* binding */ KeyTableFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class KeyTableFilter {
  /**
   * @param keySupplier An optional function that extracts the key from a table row. The default expects the row object to have a "lookupRow" property and returns its "key" property.
   */
  constructor(keySupplier) {
    _defineProperty(this, "acceptedKeys", void 0);
    _defineProperty(this, "keySupplier", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "alwaysAcceptedRowIds", void 0);
    this.acceptedKeys = [];
    this.keySupplier = keySupplier || (row => row.lookupRow && row.lookupRow.key);
    this.active = true;
    this.alwaysAcceptedRowIds = [];
  }
  accept(row) {
    if (!this.active || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.acceptedKeys) || this.alwaysAcceptedRowIds.indexOf(row.id) !== -1) {
      return true;
    }
    let key = this.keySupplier(row);
    return this.acceptedKeys.indexOf(key) !== -1;
  }
  setAcceptedKeys() {
    for (var _len = arguments.length, acceptedKeys = new Array(_len), _key = 0; _key < _len; _key++) {
      acceptedKeys[_key] = arguments[_key];
    }
    this.acceptedKeys = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(acceptedKeys);
  }
  setActive(active) {
    this.active = active;
  }
  setAlwaysAcceptedRowIds() {
    for (var _len2 = arguments.length, rowIds = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      rowIds[_key2] = arguments[_key2];
    }
    this.alwaysAcceptedRowIds = rowIds;
  }
}

/***/ }),

/***/ "./src/table/LimitedResultTableStatus.ts":
/*!***********************************************!*\
  !*** ./src/table/LimitedResultTableStatus.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LimitedResultTableStatus: () => (/* binding */ LimitedResultTableStatus)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LimitedResultTableStatus extends _index__WEBPACK_IMPORTED_MODULE_0__.Status {
  constructor(model) {
    super(model);
  }
  static info(message) {
    return new LimitedResultTableStatus(_index__WEBPACK_IMPORTED_MODULE_0__.Status.ensureModel(message, _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO));
  }
}

/***/ }),

/***/ "./src/table/ListBoxTableAccessibilityRenderer.ts":
/*!********************************************************!*\
  !*** ./src/table/ListBoxTableAccessibilityRenderer.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ListBoxTableAccessibilityRenderer: () => (/* binding */ ListBoxTableAccessibilityRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ListBoxTableAccessibilityRenderer extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableAccessibilityRenderer {
  constructor() {
    super();
    this.renderTable = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'listbox');
    this.renderRow = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'option');
    this.renderRowGroup = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, 'group');
    this.renderCell = $elem => _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($elem, null);
    this.rowRole = 'option';
  }
}

/***/ }),

/***/ "./src/table/Table.ts":
/*!****************************!*\
  !*** ./src/table/Table.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Table: () => (/* binding */ Table)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Table extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "autoResizeColumns", void 0);
    _defineProperty(this, "columnAddable", void 0);
    _defineProperty(this, "columnLayoutDirty", void 0);
    _defineProperty(this, "columns", void 0);
    _defineProperty(this, "contextColumn", void 0);
    _defineProperty(this, "checkable", void 0);
    _defineProperty(this, "displayViewId", void 0);
    // set by DesktopBench
    _defineProperty(this, "checkableStyle", void 0);
    _defineProperty(this, "cellEditorPopup", void 0);
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "openFieldPopupOnCellEdit", void 0);
    _defineProperty(this, "compactHandler", void 0);
    _defineProperty(this, "compactColumn", void 0);
    _defineProperty(this, "dropType", void 0);
    _defineProperty(this, "dropMaximumSize", void 0);
    _defineProperty(this, "dragAndDropHandler", void 0);
    _defineProperty(this, "groupingStyle", void 0);
    _defineProperty(this, "header", void 0);
    _defineProperty(this, "tableStatus", void 0);
    _defineProperty(this, "rowBorders", void 0);
    _defineProperty(this, "headerEnabled", void 0);
    _defineProperty(this, "headerVisible", void 0);
    _defineProperty(this, "headerMenusEnabled", void 0);
    _defineProperty(this, "hasReloadHandler", void 0);
    /**
     * Defines whether hierarchical mode is active, meaning the table is grouping rows with the same {@link TableRow.parentRow} and allowing the user to expand and collapse these groups.
     *
     * The property returns true if there is at least one row with a parent row, false otherwise.
     */
    _defineProperty(this, "hierarchical", void 0);
    _defineProperty(this, "hierarchicalStyle", void 0);
    _defineProperty(this, "keyStrokes", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "menuBarVisible", void 0);
    _defineProperty(this, "contextMenu", void 0);
    _defineProperty(this, "multiCheck", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "multilineText", void 0);
    _defineProperty(this, "scrollToSelection", void 0);
    _defineProperty(this, "selectedRows", void 0);
    _defineProperty(this, "sortEnabled", void 0);
    _defineProperty(this, "tableControls", void 0);
    _defineProperty(this, "tableStatusVisible", void 0);
    _defineProperty(this, "tableTileGridMediator", void 0);
    _defineProperty(this, "tileMode", void 0);
    _defineProperty(this, "tileTableHeader", void 0);
    _defineProperty(this, "tileProducer", void 0);
    _defineProperty(this, "footer", void 0);
    _defineProperty(this, "footerVisible", void 0);
    _defineProperty(this, "filters", void 0);
    /**
     * Contains all rows of the table.
     */
    _defineProperty(this, "rows", void 0);
    /**
     * Contains only the root rows of the table.
     * If the table is not {@link hierarchical}, it is the same as {@link rows}.
     */
    _defineProperty(this, "rootRows", void 0);
    /**
     * Contains only the rows that are expanded and accepted by all filters.
     */
    _defineProperty(this, "visibleRows", void 0);
    _defineProperty(this, "estimatedRowCount", void 0);
    _defineProperty(this, "maxRowCount", void 0);
    _defineProperty(this, "aggregateRowHeight", void 0);
    _defineProperty(this, "truncatedCellTooltipEnabled", void 0);
    _defineProperty(this, "checkableColumn", void 0);
    _defineProperty(this, "rowIconColumn", void 0);
    _defineProperty(this, "uiCssClass", void 0);
    /** visible rows by id */
    _defineProperty(this, "visibleRowsMap", void 0);
    _defineProperty(this, "rowLevelPadding", void 0);
    /** rows by id */
    _defineProperty(this, "rowsMap", void 0);
    _defineProperty(this, "rowHeight", void 0);
    _defineProperty(this, "rowWidth", void 0);
    /** read-only, set by _calculateRowInsets(), also used in TableHeader.js */
    _defineProperty(this, "rowInsets", void 0);
    /** read-only, set by _calculateRowInsets(), also used in TableLayout.js */
    _defineProperty(this, "rowMargins", void 0);
    _defineProperty(this, "rowIconVisible", void 0);
    _defineProperty(this, "rowIconColumnWidth", void 0);
    _defineProperty(this, "staticMenus", void 0);
    _defineProperty(this, "selectionHandler", void 0);
    _defineProperty(this, "tooltips", void 0);
    _defineProperty(this, "tableNodeColumn", void 0);
    _defineProperty(this, "updateBuffer", void 0);
    /**
     * Initial value must be > 0 to make prefSize work (if it is 0, no filler will be generated).
     * If rows have a variable height, prefSize is only correct for 10 rows.
     * Layout will adjust this value depending on the view port size.
     */
    _defineProperty(this, "viewRangeSize", void 0);
    _defineProperty(this, "viewRangeDirty", void 0);
    _defineProperty(this, "viewRangeRendered", void 0);
    _defineProperty(this, "virtual", void 0);
    _defineProperty(this, "textFilterEnabled", void 0);
    _defineProperty(this, "filterSupport", void 0);
    _defineProperty(this, "filteredElementsDirty", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    _defineProperty(this, "accessibilityRenderer", void 0);
    _defineProperty(this, "organizer", void 0);
    _defineProperty(this, "$data", void 0);
    _defineProperty(this, "$emptyData", void 0);
    _defineProperty(this, "$fillBefore", void 0);
    _defineProperty(this, "$fillAfter", void 0);
    /** @internal */
    _defineProperty(this, "_renderViewportBlocked", void 0);
    /** @internal */
    _defineProperty(this, "_filterMenusHandler", void 0);
    /** @internal */
    _defineProperty(this, "_aggregateRows", void 0);
    _defineProperty(this, "_filteredRows", void 0);
    _defineProperty(this, "_maxLevel", void 0);
    _defineProperty(this, "_animationRowLimit", void 0);
    _defineProperty(this, "_blockLoadThreshold", void 0);
    _defineProperty(this, "_doubleClickSupport", void 0);
    _defineProperty(this, "_permanentHeadSortColumns", void 0);
    _defineProperty(this, "_permanentTailSortColumns", void 0);
    _defineProperty(this, "_popupOpenHandler", void 0);
    _defineProperty(this, "_rerenderViewPortAfterAttach", void 0);
    _defineProperty(this, "_renderViewPortAfterAttach", void 0);
    _defineProperty(this, "_triggerRowsSelectedPending", void 0);
    _defineProperty(this, "_animateAggregateRows", void 0);
    _defineProperty(this, "_postAttachActions", void 0);
    _defineProperty(this, "_desktopPropertyChangeHandler", void 0);
    _defineProperty(this, "_menuInheritAccessibilityChangeHandler", void 0);
    _defineProperty(this, "_imageLoadListener", void 0);
    _defineProperty(this, "_insertedRows", void 0);
    _defineProperty(this, "_$mouseDownRow", void 0);
    _defineProperty(this, "_mouseDownRowId", void 0);
    _defineProperty(this, "_mouseDownColumn", void 0);
    this.autoResizeColumns = false;
    this.columnAddable = true;
    this.columnLayoutDirty = false;
    this.columns = [];
    this.contextColumn = null;
    this.checkable = false;
    this.checkableStyle = Table.CheckableStyle.CHECKBOX;
    this.cellEditorPopup = null;
    this.compact = false;
    this.compactHandler = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableCompactHandler, {
      table: this
    });
    this.compactColumn = null;
    this.dropType = _index__WEBPACK_IMPORTED_MODULE_0__.DropType.NONE;
    this.dropMaximumSize = _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.DEFAULT_DROP_MAXIMUM_SIZE;
    this.groupingStyle = Table.GroupingStyle.TOP;
    this.header = null;
    this.headerEnabled = true;
    this.headerVisible = true;
    this.headerMenusEnabled = true;
    this.hasReloadHandler = false;
    this.hierarchical = false;
    this.hierarchicalStyle = Table.HierarchicalStyle.DEFAULT;
    this.keyStrokes = [];
    this.menus = [];
    this.menuBar = null;
    this.menuBarVisible = true;
    this.contextMenu = null;
    this.multiCheck = true;
    this.multiSelect = true;
    this.multilineText = false;
    this.scrollToSelection = false;
    this.scrollTop = 0;
    this.selectedRows = [];
    this.sortEnabled = true;
    this.tableControls = [];
    this.tableStatusVisible = false;
    this.tableTileGridMediator = null;
    this.tileMode = false;
    this.tileTableHeader = null;
    this.tileProducer = null;
    this.footer = null;
    this.footerVisible = false;
    this.filters = [];
    this.rows = [];
    this.rootRows = [];
    this.visibleRows = [];
    this.estimatedRowCount = 0;
    this.maxRowCount = 0;
    this.truncatedCellTooltipEnabled = null;
    this.visibleRowsMap = {};
    this.rowLevelPadding = 0;
    this.rowsMap = {};
    this.rowHeight = 0;
    this.rowWidth = 0;
    this.rowInsets = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    this.rowMargins = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets();
    this.rowIconVisible = false;
    this.rowIconColumnWidth = _index__WEBPACK_IMPORTED_MODULE_0__.Column.NARROW_MIN_WIDTH;
    this.staticMenus = [];
    this.selectionHandler = new _index__WEBPACK_IMPORTED_MODULE_0__.TableSelectionHandler(this);
    this.tooltips = [];
    this._filteredRows = [];
    this.tableNodeColumn = null;
    this._maxLevel = 0;
    this._aggregateRows = [];
    this._animationRowLimit = 25;
    this._blockLoadThreshold = 25;
    this.updateBuffer = new _index__WEBPACK_IMPORTED_MODULE_0__.TableUpdateBuffer(this);
    this.viewRangeSize = 10;
    this.viewRangeDirty = false;
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    this.virtual = true;
    this.textFilterEnabled = true;
    this.filterSupport = this._createFilterSupport();
    this.filteredElementsDirty = false;
    this.defaultMenuTypes = [Table.MenuType.EmptySpace];
    this.accessibilityRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.DefaultTableAccessibilityRenderer();
    this.organizer = null;
    this._doubleClickSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.DoubleClickSupport();
    this._permanentHeadSortColumns = [];
    this._permanentTailSortColumns = [];
    this._filterMenusHandler = this._filterMenus.bind(this);
    this._popupOpenHandler = this._onDesktopPopupOpen.bind(this);
    this._rerenderViewPortAfterAttach = false;
    this._renderViewPortAfterAttach = false;
    this._postAttachActions = [];
    this._desktopPropertyChangeHandler = this._onDesktopPropertyChange.bind(this);
    this._menuInheritAccessibilityChangeHandler = this._updateMenusEnabled.bind(this);
    this._addWidgetProperties(['tableControls', 'menus', 'keyStrokes', 'staticMenus', 'tileTableHeader', 'tableTileGridMediator']);
    this.$data = null;
    this.$emptyData = null;
    this.$fillBefore = null;
    this.$fillAfter = null;
  }
  // TODO [7.0] cgu create StringColumn.js incl. defaultValues from defaultValues.json

  _init(model) {
    super._init(model);
    this.resolveConsts([{
      property: 'hierarchicalStyle',
      constType: Table.HierarchicalStyle
    }, {
      property: 'checkableStyle',
      constType: Table.CheckableStyle
    }, {
      property: 'groupingStyle',
      constType: Table.GroupingStyle
    }]);
    this._initOrganizer(model.organizer === undefined); // auto-create unless explicitly defined in the model
    this._initColumns();
    this.rows.forEach((row, i) => {
      this.rows[i] = this._initRow(row);
    });
    this.setFilters(this.filters);
    this._updateRowStructure({
      updateTree: true
    });
    this.menuBar = this._createMenuBar();
    this.menuBar.on('propertyChange:visible', () => this._refreshMenuBarClasses());
    this._setSelectedRows(this.selectedRows);
    this._setKeyStrokes(this.keyStrokes);
    this._setMenus(this.menus);
    this._setTableControls(this.tableControls);
    this._setTableStatus(this.tableStatus);
    this._calculateValuesForBackgroundEffect();
    this._setTileMode(this.tileMode);
    this._setTileTableHeader(this.tileTableHeader);
    this._sortWhileInit(); // required in case the rows are already provided in the initial model
    this._updateMenusEnabled();
  }
  _initRow(row) {
    let tableRow;
    if (row instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableRow) {
      tableRow = row;
    } else {
      tableRow = this._createRow(row);
    }
    this.rowsMap[tableRow.id] = tableRow;
    this.trigger('rowInit', {
      row: tableRow
    });
    return tableRow;
  }
  _createRow(rowModel) {
    let model = rowModel || {};
    model.objectType = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.objectType, _index__WEBPACK_IMPORTED_MODULE_0__.TableRow);
    model.parent = this;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(model);
  }
  _initColumns() {
    let cols = this.columns;
    this.columns = cols.map((colModel, index) => {
      let column;
      let columnOrModel = colModel;
      columnOrModel.session = this.session;
      if (columnOrModel instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Column) {
        column = columnOrModel;
        column._setTable(this);
      } else {
        columnOrModel.table = this;
        column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(columnOrModel);
      }
      if (column.index < 0) {
        column.index = index;
      }
      if (column.checkable) {
        // set checkable column if this column is the checkable one
        this.checkableColumn = column;
      }
      return column;
    });
    // Add gui only checkbox column at the beginning
    this._setCheckable(this.checkable);
    // Add gui only row icon column at the beginning
    if (this.rowIconVisible) {
      this._insertRowIconColumn();
    }
    this._setCompact(this.compact);
    this._calculateTableNodeColumn();
    // Sync head and tail sort columns
    this._setHeadAndTailSortColumns();
    this.columnLayoutDirty = true;
  }
  _destroy() {
    this._destroyOrganizer();
    this._destroyColumns();
    super._destroy();
  }
  _destroyColumns() {
    this.columns.forEach(column => column.destroy());
    this.checkableColumn = null;
    this.compactColumn = null;
    this.rowIconColumn = null;
    this.columns = [];
  }
  _calculateTableNodeColumn() {
    let candidateColumns = this.visibleColumns().filter(column => column.nodeColumnCandidate);
    let tableNodeColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(candidateColumns);
    if (this.tableNodeColumn && this.tableNodeColumn !== tableNodeColumn) {
      // restore
      this.tableNodeColumn.minWidth = this.tableNodeColumn['__initialMinWidth'];
    }
    this.tableNodeColumn = tableNodeColumn;
    if (this.tableNodeColumn) {
      this.tableNodeColumn['__initialMinWidth'] = this.tableNodeColumn.minWidth;
      this.tableNodeColumn.minWidth = this.rowLevelPadding * this._maxLevel + this.tableNodeColumn.tableNodeLevel0CellPadding + 8;
      if (this.tableNodeColumn.minWidth > this.tableNodeColumn.width) {
        if (this._isDataRendered()) {
          this.resizeColumn(this.tableNodeColumn, this.tableNodeColumn.minWidth);
        } else {
          this.tableNodeColumn.width = this.tableNodeColumn.minWidth;
        }
      }
    }
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this,
      $container: () => {
        if (this.$container.hasClass('knight-rider-loading')) {
          return this.$container;
        }
        return this.$data;
      }
    });
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this._initTableKeyStrokeContext();
  }
  _initTableKeyStrokeContext() {
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationDownKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationPageUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationPageDownKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationHomeKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationEndKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationCollapseKeyStroke(this, _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, '←'), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationCollapseKeyStroke(this, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SUBTRACT, '-'), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationExpandKeyStroke(this, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, '→'), new _index__WEBPACK_IMPORTED_MODULE_0__.TableNavigationExpandKeyStroke(this, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ADD, '+'), new _index__WEBPACK_IMPORTED_MODULE_0__.TableStartCellEditKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableSelectAllKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableRefreshKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableToggleRowKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TableCopyKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuKeyStroke(this, this.showContextMenu, this), new _index__WEBPACK_IMPORTED_MODULE_0__.AppLinkKeyStroke(this, this.handleAppLinkAction)]);
  }
  _insertBooleanColumn() {
    // don't add checkbox column when we're in checkableStyle mode
    if (this.checkableStyle === Table.CheckableStyle.TABLE_ROW) {
      return;
    }
    let column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn, {
      session: this.session,
      fixedWidth: true,
      fixedPosition: true,
      guiOnly: true,
      nodeColumnCandidate: false,
      headerMenuEnabled: false,
      showSeparator: false,
      width: _index__WEBPACK_IMPORTED_MODULE_0__.Column.NARROW_MIN_WIDTH,
      table: this
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this.columns, column, 0);
    this.checkableColumn = column;
  }
  _insertRowIconColumn() {
    let position = 0,
      column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.IconColumn, {
        session: this.session,
        fixedWidth: true,
        fixedPosition: true,
        guiOnly: true,
        nodeColumnCandidate: false,
        headerMenuEnabled: false,
        showSeparator: false,
        width: this.rowIconColumnWidth,
        table: this
      });
    if (this.columns[0] === this.checkableColumn) {
      position = 1;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this.columns, column, position);
    this.rowIconColumn = column;
  }
  handleAppLinkAction(event) {
    let $appLink = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    let column = this._columnAtX($appLink.offset().left);
    let row = $appLink.findUp($elem => $elem.hasClass('table-row'), this.$container).data('row');
    this._triggerAppLinkAction(column, row, $appLink.data('ref'), $appLink);
  }
  /** @internal */
  _isDataRendered() {
    return this.rendered && this.$data !== null;
  }
  _render() {
    this.$container = this.$parent.appendDiv('table').addDeviceClass();
    this.accessibilityRenderer.renderTable(this.$container);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TableLayout(this));
    if (this.uiCssClass) {
      this.$container.addClass(this.uiCssClass);
    }
    if (this.tileMode) {
      this._renderTileMode();
    } else {
      this._renderData();
    }
    this.session.desktop.on('popupOpen', this._popupOpenHandler);
    this.session.desktop.on('propertyChange', this._desktopPropertyChangeHandler);
  }
  /** @internal */
  _renderData() {
    this.$data = this.$container.appendDiv('table-data');
    this.accessibilityRenderer.renderRowGroup(this.$data);
    this.$data.on('mousedown', '.table-row', this._onRowMouseDown.bind(this)).on('mouseup', '.table-row', this._onRowMouseUp.bind(this)).on('dblclick', '.table-row', this._onRowDoubleClick.bind(this)).on('contextmenu', event => event.preventDefault());
    this._installScrollbars({
      axis: 'both'
    });
    this._installImageListeners();
    this._installCellTooltipSupport();
    this._calculateRowInsets();
    this._updateRowWidth();
    this._updateRowHeight();
    this._renderViewport();
    if (this.scrollToSelection) {
      this.revealSelection();
    }
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTableHeader();
    this._renderMenuBarVisible();
    this._renderFooterVisible();
    this._renderCheckableStyle();
    this._renderHierarchicalStyle();
    this._renderTextFilterEnabled();
    this._renderMultiSelect();
    this._renderMultiCheck();
  }
  _setCssClass(cssClass) {
    super._setCssClass(cssClass);
    // calculate row level padding
    let paddingClasses = ['table-row-level-padding'];
    if (this.cssClass) {
      paddingClasses.push(this.cssClass);
    }
    let classes = paddingClasses.reduce((acc, cssClass) => acc + ' ' + cssClass, '');
    this.setRowLevelPadding(_index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize(classes, 'width', 'width', 15));
  }
  /** @internal */
  _removeData() {
    this._removeAggregateRows();
    this._uninstallImageListeners();
    this._uninstallCellTooltipSupport();
    this._uninstallScrollbars();
    this._removeRows();
    this.$fillBefore = null;
    this.$fillAfter = null;
    this.$data.remove();
    this.$data = null;
    this.$emptyData = null;
  }
  _remove() {
    this.session.desktop.off('propertyChange', this._desktopPropertyChangeHandler);
    this.session.desktop.off('popupOpen', this._popupOpenHandler);
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.uninstallDragAndDropHandler(this);
    // TODO [7.0] cgu do not delete header, implement according to footer
    this.header = null;
    if (this.$data) {
      this._removeData();
    }
    this.filterSupport.remove();
    super._remove();
  }
  setRowLevelPadding(rowLevelPadding) {
    this.setProperty('rowLevelPadding', rowLevelPadding);
  }
  _renderRowLevelPadding() {
    this._rerenderViewport();
  }
  setTableControls(controls) {
    this.setProperty('tableControls', controls);
  }
  _renderTableControls() {
    if (this.footer) {
      this.footer._renderControls();
    }
  }
  _setTableControls(controls) {
    let i;
    for (i = 0; i < this.tableControls.length; i++) {
      this.keyStrokeContext.unregisterKeyStroke(this.tableControls[i]);
    }
    this._setProperty('tableControls', controls);
    for (i = 0; i < this.tableControls.length; i++) {
      this.keyStrokeContext.registerKeyStroke(this.tableControls[i]);
    }
    this._updateFooterVisibility();
    this.tableControls.forEach(control => {
      control.tableFooter = this.footer;
    });
  }
  /**
   * When an IMG has been loaded we must update the stored height in the model-row.
   * Note: we don't change the width of the row or table.
   */
  _onImageLoadOrError(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    if ($target.data('measure') === 'in-progress') {
      // Ignore events created by autoOptimizeWidth measurement (see ColumnOptimalWidthMeasurer)
      // Using event.stopPropagation() is not possible because the image load event does not bubble
      return;
    }
    $target.toggleClass('broken', event.type === 'error');
    let $row = $target.closest('.table-row');
    let row = $row.data('row');
    if (!row) {
      return; // row was removed while loading the image
    }
    let oldRowHeight = row.height;
    row.height = this._measureRowHeight($row);
    if (oldRowHeight !== row.height) {
      this.invalidateLayoutTree();
    }
  }
  _onRowMouseDown(event) {
    this._doubleClickSupport.mousedown(event);
    this._$mouseDownRow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    this._mouseDownRowId = this._$mouseDownRow.data('row').id;
    this._mouseDownColumn = this._columnAtX(event.pageX);
    this._$mouseDownRow.window().one('mouseup', () => {
      this._$mouseDownRow = null;
      this._mouseDownRowId = null;
      this._mouseDownColumn = null;
    });
    this.setContextColumn(this._columnAtX(event.pageX));
    // The row referenced by this._$mouseDownRow might become invalid in the onMouseDown event (e.g. if the event removes all rows).
    // Hence, we put the row aside before the event.
    let row = this._$mouseDownRow.data('row');
    this.selectionHandler.onMouseDown(event);
    this._$mouseDownRow = row.$row;
    let isRightClick = event.which === 3;
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    // handle expansion
    if (this._isRowControl($target)) {
      if (row.expanded) {
        this.collapseRow(row);
      } else {
        this.expandRow(row);
      }
    }
    // For checkableStyle TABLE_ROW & CHECKBOX_TABLE_ROW only: check row if left click OR clicked row was not checked yet
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.checkableStyle, Table.CheckableStyle.TABLE_ROW, Table.CheckableStyle.CHECKBOX_TABLE_ROW) && (!isRightClick || !row.checked) && !jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).is('.table-row-control') &&
    // Click on BooleanColumns should not trigger a row check. The only exception is if the BooleanColumn is the checkableColumn of this table (handled in BooleanColumn.js)
    !($target.hasClass('checkable') || $target.parent().hasClass('checkable'))) {
      this.checkRow(row, !row.checked);
    }
    if (isRightClick) {
      event.preventDefault();
      this.showContextMenu({
        pageX: event.pageX,
        pageY: event.pageY
      });
    }
    // set active descendant to the clicked row, so it is announced by screen readers.
    // This should be done last so selection state/focus/etc. is all set correctly before
    // the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.$container, row.$row);
  }
  _isRowControl($target) {
    return $target.hasClass('table-row-control') || $target.parent().hasClass('table-row-control');
  }
  _onRowMouseUp(event) {
    let $appLink,
      mouseButton = event.which;
    if (this._doubleClickSupport.doubleClicked()) {
      // Don't execute on double click events
      return;
    }
    let $mouseUpRow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    this.selectionHandler.onMouseUp(event);
    if (!this._$mouseDownRow || this._mouseDownRowId !== $mouseUpRow.data('row').id) {
      // Don't accept if mouse up happens on another row than mouse down, or mousedown didn't happen on a row at all
      return;
    }
    let $row = $mouseUpRow;
    let column = this._columnAtX(event.pageX);
    if (column !== this._mouseDownColumn) {
      // Don't execute click / appLinks when the mouse gets pressed and moved outside a cell
      return;
    }
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    if (this._isRowControl($target)) {
      // Don't start cell editor or trigger click if row control was clicked (expansion itself is handled by the mouse down handler)
      return;
    }
    let row = $row.data('row'); // read row before the $row potentially could be replaced by the column specific logic on mouse up
    if (mouseButton === 1) {
      column.onMouseUp(event, $row);
      $appLink = this._find$AppLink(event);
    }
    if ($appLink) {
      this._triggerAppLinkAction(column, row, $appLink.data('ref'), $appLink);
    } else {
      this._triggerRowClick(event, row, mouseButton, column);
    }
  }
  _onRowDoubleClick(event) {
    let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget),
      column = this._columnAtX(event.pageX);
    this.doRowAction($row.data('row'), column);
  }
  showContextMenu(options) {
    this.session.onRequestsDone(this._showContextMenu.bind(this, options));
  }
  _showContextMenu(options) {
    options = options || {};
    if (!this._isDataRendered() || !this.attached) {
      // check needed because function is called asynchronously
      return;
    }
    if (this.selectedRows.length === 0) {
      return;
    }
    let menuItems = this._filterMenusForContextMenu();
    if (menuItems.length === 0) {
      return;
    }
    let pageX = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.pageX, null);
    let pageY = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.pageY, null);
    if (pageX === null || pageY === null) {
      let rowToDisplay = this.isRowSelectedAndVisible(this.selectionHandler.lastActionRow) ? this.selectionHandler.lastActionRow : this.getLastSelectedAndVisibleRow();
      if (rowToDisplay !== null) {
        let $rowToDisplay = rowToDisplay.$row;
        let offset = $rowToDisplay.offset();
        let dataOffsetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$data);
        offset.left += this.$data.scrollLeft();
        pageX = offset.left + 10;
        pageY = offset.top + $rowToDisplay.outerHeight() / 2;
        pageY = Math.min(Math.max(pageY, dataOffsetBounds.y + 1), dataOffsetBounds.bottom() - 1);
      } else {
        pageX = this.$data.offset().left + 10;
        pageY = this.$data.offset().top + 10;
      }
    }
    // Prevent firing of 'onClose'-handler during contextMenu.open()
    // (Can lead to null-access when adding a new handler to this.contextMenu)
    if (this.contextMenu) {
      this.contextMenu.close();
    }
    this.contextMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      menuItems: menuItems,
      location: {
        x: pageX,
        y: pageY
      },
      $anchor: this.$data,
      menuFilter: this._filterMenusHandler
    });
    this.contextMenu.open();
  }
  isRowSelectedAndVisible(row) {
    if (!this.isRowSelected(row) || !row.$row) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(row.$row).intersects(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$data));
  }
  getLastSelectedAndVisibleRow() {
    for (let i = this.viewRangeRendered.to; i >= this.viewRangeRendered.from; i--) {
      if (this.isRowSelectedAndVisible(this.rows[i])) {
        return this.rows[i];
      }
    }
    return null;
  }
  onColumnVisibilityChanged() {
    this.columnLayoutDirty = true;
    this._calculateTableNodeColumn();
    this.trigger('columnStructureChanged');
    // Rebuild aggregate rows. This computes missing aggregate values for previously hidden columns. It is also a convenient
    // way to fix the column indices. The aggregate table control was already updated via 'columnStructureChanged' event.
    this._group(false);
    if (this._isDataRendered()) {
      this._updateRowWidth();
      this.redraw();
    }
  }
  _onScroll(event) {
    let scrollTop = this.$data[0].scrollTop;
    let scrollLeft = this.$data[0].scrollLeft;
    if (this.scrollTop !== scrollTop) {
      this._renderViewport();
    }
    this.scrollTop = scrollTop;
    this.scrollLeft = scrollLeft;
  }
  _renderTableStatus() {
    this.trigger('statusChanged');
  }
  setContextColumn(contextColumn) {
    this.setProperty('contextColumn', contextColumn);
  }
  _hasVisibleTableControls() {
    return this.tableControls.some(control => control.visible);
  }
  hasAggregateTableControl() {
    return this.tableControls.some(control => control instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AggregateTableControl);
  }
  _createHeader() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeader, {
      parent: this,
      table: this,
      enabled: this.headerEnabled,
      headerMenusEnabled: this.headerMenusEnabled
    });
  }
  _createFooter() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableFooter, {
      parent: this,
      table: this
    });
  }
  _initOrganizer() {
    let autoCreate = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    let organizer = this.organizer || (autoCreate ? this._createOrganizer() : null);
    this._setOrganizer(organizer);
  }
  _createOrganizer() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableOrganizer);
  }
  _destroyOrganizer() {
    this.setOrganizer(null);
  }
  setOrganizer(organizer) {
    this.setProperty('organizer', organizer);
  }
  _setOrganizer(organizer) {
    if (this.organizer) {
      this.organizer.uninstall();
    }
    this._setProperty('organizer', organizer);
    if (this.organizer) {
      this.organizer.install(this);
    }
  }
  _installCellTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$data, {
      parent: this,
      selector: '.table-cell',
      text: this._cellTooltipText.bind(this),
      htmlEnabled: this._isCellTooltipHtmlEnabled.bind(this),
      arrowPosition: 50,
      arrowPositionUnit: '%',
      clipOrigin: true,
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible()
    });
  }
  _uninstallCellTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$data);
  }
  /** @internal */
  _cellTooltipText($cell) {
    let tooltipText,
      $row = $cell.parent(),
      column = this.columnFor$Cell($cell, $row),
      row = $row.data('row');
    if (row) {
      let cell = this.cell(column, row);
      tooltipText = cell.tooltipText;
    }
    if (tooltipText) {
      return tooltipText;
    }
    if (this._isAggregatedTooltip($cell) && $cell.text().trim()) {
      let $textSpan = $cell.children('.text');
      let $iconSpan = $cell.children('.table-cell-icon');
      let iconAvailableButHidden = $iconSpan.length && !$iconSpan.isVisible();
      if ($textSpan.length && $textSpan.isContentTruncated() || iconAvailableButHidden) {
        let $clone = $cell.clone();
        $clone.children('.table-cell-icon').setVisible(true);
        if ($cell.css('direction') === 'rtl') {
          let childrenHtml = $clone.children().get().map(c => c.outerHTML).reverse();
          return _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('', ...childrenHtml);
        }
        return $clone.html();
      }
    }
    if (this._isTruncatedCellTooltipEnabled(column) && $cell.isContentTruncated()) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText($cell.html(), {
        trim: true,
        removeFontIcons: true
      });
    }
  }
  /** @see TableModel.truncatedCellTooltipEnabled */
  setTruncatedCellTooltipEnabled(truncatedCellTooltipEnabled) {
    this.setProperty('truncatedCellTooltipEnabled', truncatedCellTooltipEnabled);
  }
  /**
   * Decides if a cell tooltip should be shown for a truncated cell.
   */
  _isTruncatedCellTooltipEnabled(column) {
    if (this.truncatedCellTooltipEnabled === null) {
      // Show cell tooltip only if it is not possible to resize the column.
      return !this.headerVisible || !this.headerEnabled || column.fixedWidth;
    }
    return this.truncatedCellTooltipEnabled;
  }
  _isAggregatedTooltip($cell) {
    let $row = $cell.parent();
    return $row.data('aggregateRow') /* row in the table */ || $row.hasClass('table-aggregate'); /* aggregate table control */
  }
  _isCellTooltipHtmlEnabled($cell) {
    return this._isAggregatedTooltip($cell);
  }
  reload(reloadReason) {
    if (!this.hasReloadHandler) {
      return;
    }
    this._removeRows();
    if (this._isDataRendered()) {
      this._removeAggregateRows();
      this._renderFiller();
    }
    this._triggerReload(reloadReason);
  }
  setLoading(loading) {
    if (!loading && this.updateBuffer.isBuffering()) {
      // Don't abort loading while buffering, the buffer will do it at the end
      return;
    }
    super.setLoading(loading);
  }
  exportToClipboard() {
    this._triggerClipboardExport();
  }
  /**
   * JS implementation of AbstractTable.execCopy(rows)
   */
  _exportToClipboard() {
    _index__WEBPACK_IMPORTED_MODULE_0__.clipboard.copyText({
      parent: this,
      text: this._selectedRowsToText()
    });
  }
  _selectedRowsToText() {
    let columns = this.visibleColumns();
    return this.selectedRows.map(row => {
      return columns.map(column => {
        let cell = column.cell(row);
        let text;
        if (column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn) {
          text = cell.value ? 'X' : '';
        } else if (cell.htmlEnabled) {
          text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(cell.text);
        } else {
          text = cell.text;
        }
        // unwrap
        return this._unwrapText(text);
      }).join('\t');
    }).join('\n');
  }
  _unwrapText(text) {
    // Same implementation as in AbstractTable#unwrapText(String)
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(text).split(/[\n\r]/).map(line => line.replace(/\t/g, ' ')).map(line => line.trim()).filter(line => !!line.length).join(' ');
  }
  /** @see TableModel.multiSelect */
  setMultiSelect(multiSelect) {
    this.setProperty('multiSelect', multiSelect);
  }
  toggleSelection() {
    if (this.selectedRows.length === this.visibleRows.length) {
      this.deselectAll();
    } else {
      this.selectAll();
    }
  }
  selectAll() {
    this.selectRows(this.visibleRows);
  }
  deselectAll() {
    this.selectRows([]);
  }
  checkAll(checked, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(options, {
      checked: checked
    });
    this.checkRows(this.visibleRows, opts);
  }
  uncheckAll(options) {
    this.checkAll(false, options);
  }
  updateScrollbars() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$data);
  }
  _sort(animateAggregateRows) {
    let sortColumns = this._sortColumns();
    // Initialize comparators
    if (!this._isSortingPossible(sortColumns)) {
      return false;
    }
    this.clearAggregateRows(animateAggregateRows);
    if (!sortColumns.length) {
      // no sort column defined.
      return true;
    }
    // add all visible columns as fallback sorting to guarantee same sorting as in Java.
    sortColumns = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(sortColumns, this.columns);
    this._sortImpl(sortColumns);
    this._triggerRowOrderChanged();
    if (this._isDataRendered()) {
      this._renderRowOrderChanges();
    }
    // Do it after row order has been rendered, because renderRowOrderChanges re-renders the whole viewport which would destroy the animation
    this._group(animateAggregateRows);
    // Sort was possible -> return true
    return true;
  }
  /**
   * @returns whether or not sorting is possible. Asks each column to answer this question by calling Column#isSortingPossible.
   */
  _isSortingPossible(sortColumns) {
    return sortColumns.every(column => column.isSortingPossible());
  }
  _sortColumns() {
    let sortColumns = [];
    for (let c = 0; c < this.columns.length; c++) {
      let column = this.columns[c];
      let sortIndex = column.sortIndex;
      if (sortIndex >= 0) {
        sortColumns[sortIndex] = column;
      }
    }
    return sortColumns;
  }
  _sortImpl(sortColumns) {
    let sortFunction = (row1, row2) => {
      for (let s = 0; s < sortColumns.length; s++) {
        let column = sortColumns[s];
        let result = column.compare(row1, row2);
        if (column.sortActive && !column.sortAscending) {
          // only consider sortAscending flag when sort is active
          // columns with !sortActive are always sorted ascending (sortAscending represents last state for those, thus not considered)
          result = -result;
        }
        if (result !== 0) {
          return result;
        }
      }
      return 0;
    };
    if (this.hierarchical) {
      // sort tree and set flat row array afterward.
      this._sortHierarchical(sortFunction);
      let sortedFlatRows = [];
      this.visitRows(row => sortedFlatRows.push(row));
      this.rows = sortedFlatRows;
    } else {
      // sort the flat rows and set the rootRows afterward.
      this.rows.sort(sortFunction);
      this.rootRows = this.rows;
    }
    this._updateRowStructure({
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
  }
  /**
   * Pre-order (top-down) traversal of all rows in this table (if hierarchical).
   */
  visitRows(visitFunc, rows, level) {
    level = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(level, 0);
    rows = rows || this.rootRows;
    rows.forEach(row => {
      visitFunc(row, level);
      this.visitRows(visitFunc, row.childRows, level + 1);
    });
  }
  _sortHierarchical(sortFunc, rows) {
    rows = rows || this.rootRows;
    rows.sort(sortFunc);
    rows.forEach(row => this._sortHierarchical(sortFunc, row.childRows));
  }
  _renderRowOrderChanges() {
    let animate,
      $rows = this.$rows(),
      oldRowPositions = {};
    // store old position
    // animate only if every row is rendered, otherwise some rows would be animated and some not
    if ($rows.length === this.visibleRows.length) {
      $rows.each((index, elem) => {
        let rowWasInserted = false,
          $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
          row = $row.data('row');
        // Prevent the order animation for newly inserted rows (to not confuse the user)
        if (this._insertedRows) {
          for (let i = 0; i < this._insertedRows.length; i++) {
            if (this._insertedRows[i].id === row.id) {
              rowWasInserted = true;
              break;
            }
          }
        }
        if (!rowWasInserted) {
          animate = true;
          oldRowPositions[row.id] = $row.offset().top;
        }
      });
    }
    this._rerenderViewport();
    // If aggregate rows are being removed by animation, rerenderViewport does not delete them -> reorder
    // This may happen if grouping gets deactivated and another column will get the new first sort column
    this._order$AggregateRows();
    // Ensure selected row is visible after ordering
    if (this.scrollToSelection) {
      this.revealSelection();
    }
    // for less than animationRowLimit rows: move to old position and then animate
    if (animate) {
      $rows = this.$rows();
      $rows.each((index, elem) => {
        let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
          row = $row.data('row'),
          oldTop = oldRowPositions[row.id];
        if (oldTop !== undefined) {
          $row.css('top', oldTop - $row.offset().top).animate({
            top: 0
          }, {
            progress: function () {
              this._triggerRowOrderChanged(row, true);
              this.updateScrollbars();
            }.bind(this)
          });
        }
      });
    }
  }
  /** @see TableModel.sortEnabled */
  setSortEnabled(sortEnabled) {
    this.setProperty('sortEnabled', sortEnabled);
  }
  /**
   * @param column the column to sort by.
   * @param direction the sorting direction. Either 'asc' or 'desc'. If not specified the direction specified by the column is used {@link Column.sortAscending}.
   * @param multiSort true to add the column to the list of sorted columns. False to use this column exclusively as sort column (reset other columns). Default is false.
   * @param remove true to remove the column from the sort columns. Default is false.
   */
  sort(column, direction, multiSort, remove) {
    multiSort = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(multiSort, false);
    remove = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(remove, false);
    // Animate if sort removes aggregate rows
    let animateAggregateRows = !multiSort;
    if (remove) {
      this._removeSortColumn(column);
    } else {
      this._addSortColumn(column, direction, multiSort);
    }
    if (this.header) {
      this.header.onSortingChanged();
    }
    let sorted = this._sort(animateAggregateRows);
    let data = {
      column: column,
      sortAscending: column.sortAscending
    };
    if (remove) {
      data.sortingRemoved = true;
    }
    if (multiSort) {
      data.multiSort = true;
    }
    if (!sorted) {
      // Delegate sorting to server when it is not possible on client side
      data.sortingRequested = true;
      // hint to animate the aggregate after the row order changed event
      this._animateAggregateRows = animateAggregateRows;
    }
    this.trigger('sort', data);
  }
  _addSortColumn(column, direction, multiSort) {
    direction = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(direction, column.sortAscending ? 'asc' : 'desc');
    multiSort = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(multiSort, true);
    this._updateSortIndexForColumn(column, multiSort);
    // Reset grouped flag if column should be sorted exclusively
    if (!multiSort) {
      let groupColCount = this._groupedColumns().length;
      let sortColCount = this._sortColumns().length;
      if (sortColCount === 1 && groupColCount === 1) {
        // special case: if it is the only sort column and also grouped, do not remove grouped property.
      } else {
        column.grouped = false;
      }
    }
    column.sortAscending = direction === 'asc';
    column.sortActive = true;
  }
  /**
   * Intended to be called for new sort columns.
   * Sets the sortIndex of the given column and its siblings.
   */
  _updateSortIndexForColumn(column, multiSort) {
    let sortIndex = -1;
    if (multiSort) {
      // if not already sorted set the appropriate sort index (check for sortIndex necessary if called by _onColumnHeadersUpdated)
      if (!column.sortActive || column.sortIndex === -1) {
        sortIndex = Math.max(-1, _index__WEBPACK_IMPORTED_MODULE_0__.arrays.max(this.columns.map(c => c.sortIndex === undefined || c.initialAlwaysIncludeSortAtEnd ? -1 : c.sortIndex)));
        column.sortIndex = sortIndex + 1;
        // increase sortIndex for all permanent tail columns (a column has been added in front of them)
        this._permanentTailSortColumns.forEach(c => {
          c.sortIndex++;
        });
      }
    } else {
      // do not update sort index for permanent head/tail sort columns, their order is fixed (see ColumnSet.java)
      if (!(column.initialAlwaysIncludeSortAtBegin || column.initialAlwaysIncludeSortAtEnd)) {
        column.sortIndex = this._permanentHeadSortColumns.length;
      }
      // remove sort index for siblings (ignore permanent head/tail columns, only if not multi sort)
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
        if (siblingColumn.sortActive) {
          this._removeSortColumnInternal(siblingColumn);
        }
      });
      // set correct sort index for all permanent tail sort columns
      let deviation = column.initialAlwaysIncludeSortAtBegin || column.initialAlwaysIncludeSortAtEnd ? 0 : 1;
      this._permanentTailSortColumns.forEach((c, index) => {
        c.sortIndex = this._permanentHeadSortColumns.length + deviation + index;
      });
    }
  }
  _removeSortColumn(column) {
    if (column.initialAlwaysIncludeSortAtBegin || column.initialAlwaysIncludeSortAtEnd) {
      return;
    }
    // Adjust sibling columns with higher index
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
      if (siblingColumn.sortIndex > column.sortIndex) {
        siblingColumn.sortIndex = siblingColumn.sortIndex - 1;
      }
    });
    this._removeSortColumnInternal(column);
  }
  _removeSortColumnInternal(column) {
    if (column.initialAlwaysIncludeSortAtBegin || column.initialAlwaysIncludeSortAtEnd) {
      return;
    }
    column.sortActive = false;
    column.grouped = false;
    column.sortIndex = -1;
  }
  isGroupingPossible(column) {
    let possible = true;
    if (this.hierarchical) {
      return false;
    }
    if (!this.sortEnabled) {
      // grouping without sorting is not possible
      return false;
    }
    if (this._permanentHeadSortColumns && this._permanentHeadSortColumns.length === 0) {
      // no permanent head sort columns. grouping ok.
      return true;
    }
    if (column.initialAlwaysIncludeSortAtBegin) {
      possible = true;
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this._permanentHeadSortColumns, column, c => {
        if (c.sortIndex < column.sortIndex) {
          possible = possible && c.grouped;
        }
      });
      return possible;
    }
    if (column.initialAlwaysIncludeSortAtEnd) {
      // it is a tail sort column. Grouping does not make sense.
      return false;
    }
    // column itself is not a head or tail sort column. Therefore, all head sort columns must be grouped.
    this._permanentHeadSortColumns.forEach(c => {
      possible = possible && c.grouped;
    });
    return possible;
  }
  isAggregationPossible(column) {
    if (!(column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn)) {
      return false;
    }
    if (column.grouped) {
      // Aggregation is not possible if column is grouped
      return false;
    }
    if (!column.allowedAggregationFunctions || column.allowedAggregationFunctions.length <= 1) {
      // Aggregation is not possible if no aggregation functions are allowed or only exactly one aggregation is pre-defined.
      return false;
    }
    // Aggregation is possible if it is grouped by another column or aggregation control is available
    return this.isGrouped() || this.hasAggregateTableControl();
  }
  changeAggregation(column, func) {
    this.changeAggregations([column], [func]);
  }
  changeAggregations(columns, functions) {
    columns.forEach((column, i) => {
      let func = functions[i];
      if (column.aggregationFunction !== func) {
        column.setAggregationFunction(func);
        this._triggerAggregationFunctionChanged(column);
      }
    });
    this._group();
  }
  _addGroupColumn(column, direction, multiGroup) {
    let sortIndex = -1;
    if (!this.isGroupingPossible(column)) {
      return;
    }
    direction = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(direction, column.sortAscending ? 'asc' : 'desc');
    multiGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(multiGroup, true);
    if (!(column.initialAlwaysIncludeSortAtBegin || column.initialAlwaysIncludeSortAtEnd)) {
      // do not update sort index for permanent head/tail sort columns, their order is fixed (see ColumnSet.java)
      if (multiGroup) {
        sortIndex = Math.max(-1, _index__WEBPACK_IMPORTED_MODULE_0__.arrays.max(this.columns.map(c => c.sortIndex === undefined || c.initialAlwaysIncludeSortAtEnd || !c.grouped ? -1 : c.sortIndex)));
        if (!column.sortActive) {
          // column was not yet present: insert at determined position
          // and move all subsequent nodes by one.
          // add just after all other grouping columns in column set.
          column.sortIndex = sortIndex + 1;
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
            if (siblingColumn.sortActive && !(siblingColumn.initialAlwaysIncludeSortAtBegin || siblingColumn.initialAlwaysIncludeSortAtEnd) && siblingColumn.sortIndex > sortIndex) {
              siblingColumn.sortIndex++;
            }
          });
          // increase sortIndex for all permanent tail columns (a column has been added in front of them)
          this._permanentTailSortColumns.forEach(c => {
            c.sortIndex++;
          });
        } else {
          // column already sorted, update position:
          // move all sort columns between the newly determined sort-index and the old sort-index by one.
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
            if (siblingColumn.sortActive && !(siblingColumn.initialAlwaysIncludeSortAtBegin || siblingColumn.initialAlwaysIncludeSortAtEnd) && siblingColumn.sortIndex > sortIndex && siblingColumn.sortIndex < column.sortIndex) {
              siblingColumn.sortIndex++;
            }
          });
          column.sortIndex = sortIndex + 1;
        }
      } else {
        // no multi-group:
        sortIndex = this._permanentHeadSortColumns.length;
        if (column.sortActive) {
          // column already sorted, update position:
          // move all sort columns between the newly determined sort-index and the old sort-index by one.
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
            if (siblingColumn.sortActive && !(siblingColumn.initialAlwaysIncludeSortAtBegin || siblingColumn.initialAlwaysIncludeSortAtEnd) && siblingColumn.sortIndex >= sortIndex && siblingColumn.sortIndex < column.sortIndex) {
              siblingColumn.sortIndex++;
            }
          });
          column.sortIndex = sortIndex;
        } else {
          // not sorted yet
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
            if (siblingColumn.sortActive && !(siblingColumn.initialAlwaysIncludeSortAtBegin || siblingColumn.initialAlwaysIncludeSortAtEnd) && siblingColumn.sortIndex >= sortIndex) {
              siblingColumn.sortIndex++;
            }
          });
          column.sortIndex = sortIndex;
          // increase sortIndex for all permanent tail columns (a column has been added in front of them)
          this._permanentTailSortColumns.forEach(c => {
            c.sortIndex++;
          });
        }
        // remove all other grouped properties:
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.eachSibling(this.columns, column, siblingColumn => {
          if (siblingColumn.sortActive && !(siblingColumn.initialAlwaysIncludeSortAtBegin || siblingColumn.initialAlwaysIncludeSortAtEnd) && siblingColumn.sortIndex >= sortIndex) {
            siblingColumn.grouped = false;
          }
        });
      }
      column.sortAscending = direction === 'asc';
      column.sortActive = true;
    } else if (column.initialAlwaysIncludeSortAtBegin) {
      // do not change order or direction. just set grouped to true.
      column.grouped = true;
    }
    column.grouped = true;
  }
  _removeGroupColumn(column) {
    column.grouped = false;
    if (column.initialAlwaysIncludeSortAtBegin) {
      // head sort case: remove all groupings after this column.
      this.columns.forEach(c => {
        if (c.sortIndex >= column.sortIndex) {
          c.grouped = false;
        }
      });
    }
    this._removeSortColumn(column);
  }
  _buildRowDiv(row) {
    let rowWidth = this.rowWidth;
    let rowClass = 'table-row';
    if (row.cssClass) {
      rowClass += ' ' + row.cssClass;
    }
    if (!row.enabled) {
      rowClass += ' disabled';
    }
    if (row.checked && this.checkableStyle === Table.CheckableStyle.TABLE_ROW) {
      rowClass += ' checked';
    }
    // if a row is not filterAccepted it must be visible since any of its child rows are filter accepted.
    if (!row.filterAccepted) {
      rowClass += ' filter-not-accepted';
    }
    if (this.hierarchical && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(row.childRows)) {
      rowClass += ' leaf';
    }
    let ariaAttributes = '';
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.accessibilityRenderer.rowRole)) {
      let selected = this.isRowSelected(row) === true;
      let checked = String(row.checked === true);
      let disabled = !row.enabled;
      ariaAttributes = ' role="' + this.accessibilityRenderer.rowRole + '"';
      if (selected) {
        ariaAttributes += ' aria-selected="true"';
      }
      if (disabled) {
        ariaAttributes += ' aria-disabled = "true"';
      }
      if (this.checkable) {
        ariaAttributes += ' aria-checked="' + checked + '"';
      }
      if (this.hierarchical && row.expandable) {
        let expanded = row.expanded;
        ariaAttributes += ' aria-expanded="' + expanded + '"';
      }
    }
    let rowDiv = '<div' + ariaAttributes + ' class="' + rowClass + '" style="width: ' + rowWidth + 'px">';
    for (let i = 0; i < this.columns.length; i++) {
      let column = this.columns[i];
      if (column.visible) {
        rowDiv += column.buildCellForRow(row);
      }
    }
    rowDiv += '</div>';
    return rowDiv;
  }
  _calculateRowInsets() {
    let $tableRowDummy = this.$data.appendDiv('table-row');
    this.rowMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($tableRowDummy);
    this.rowBorders = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.borders($tableRowDummy);
    $tableRowDummy.remove();
  }
  /** @internal */
  _updateRowWidth() {
    this.rowWidth = this.visibleColumns().reduce((sum, column) => {
      if (this.autoResizeColumns) {
        return sum + column.width;
      }
      // Ensure the row is as long as all cells. Only necessary to use the _realWidth if the device.hasTableCellZoomBug().
      // If autoResizeColumns is enabled, it is not possible to do a proper calculation with this bug
      // -> Use regular width and live with the consequence that the last cell of a table with many columns is not fully visible
      return sum + column.realWidthIfAvailable();
    }, this.rowBorders.horizontal());
  }
  /**
   * A html element with display: table-cell gets the wrong width in Chrome when zoom is enabled, see
   * https://bugs.chromium.org/p/chromium/issues/detail?id=740502.
   * Because the table header items don't use display: table-cell, theirs width is correct.
   * -> Header items and table cells are not in sync which is normally not a big deal but gets visible very well with a lot of columns.
   * This method reads the real width and stores it on the column so that the header can use it when setting the header item's size.
   * It is also necessary to update the row width accordingly otherwise it would be cut at the very right.
   * @internal
   */
  _updateRealColumnWidths($row) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().hasTableCellZoomBug()) {
      return false;
    }
    let changed = false;
    $row = $row || this.$rows().eq(0);
    this.visibleColumns().forEach((column, colIndex) => {
      if (this._updateRealColumnWidth(column, colIndex, $row)) {
        changed = true;
      }
    });
    return changed;
  }
  _updateRealColumnWidth(column, colIndex, $row) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().hasTableCellZoomBug()) {
      return false;
    }
    $row = $row || this.$rows().eq(0);
    let $cell = this.$cell(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(colIndex, column), $row);
    if ($cell.length === 0 && column._realWidth !== null) {
      column._realWidth = null;
      return true;
    }
    let realWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($cell, {
      exact: true
    }).width;
    if (realWidth !== column._realWidth) {
      column._realWidth = realWidth;
      return true;
    }
    return false;
  }
  _updateRowHeight() {
    let $emptyRow = this.$data.appendDiv('table-row');
    let $emptyAggrRow = this._build$AggregateRow().appendTo(this.$data);
    $emptyRow.appendDiv('table-cell').html('&nbsp;');
    $emptyAggrRow.appendDiv('table-cell table-aggregate-cell').appendSpan('text').html('&nbsp;');
    this.rowHeight = this._measureRowHeight($emptyRow);
    this.aggregateRowHeight = this._measureRowHeight($emptyAggrRow);
    $emptyRow.remove();
    $emptyAggrRow.remove();
  }
  /**
   * Updates the row heights for every visible row and aggregate row and clears the height of the others
   */
  _updateRowHeights() {
    this.rows.forEach(row => {
      if (!row.$row) {
        row.height = null;
      } else {
        row.height = this._measureRowHeight(row.$row);
      }
    });
    this._aggregateRows.forEach(aggregateRow => {
      if (!aggregateRow.$row) {
        aggregateRow.height = null;
      } else {
        aggregateRow.height = this._measureRowHeight(aggregateRow.$row);
      }
    });
  }
  _renderRowsInRange(range) {
    let rowString = '',
      numRowsRendered = 0,
      prepend = false;
    let rows = this.visibleRows;
    if (rows.length === 0) {
      return;
    }
    let maxRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.rows.length);
    range = maxRange.intersect(range);
    if (this.viewRangeRendered.size() > 0 && !range.intersect(this.viewRangeRendered).equals(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0))) {
      throw new Error('New range must not intersect with existing.');
    }
    if (range.to <= this.viewRangeRendered.from) {
      prepend = true;
    }
    let newRange = this.viewRangeRendered.union(range);
    if (newRange.length === 2) {
      throw new Error('Can only prepend or append rows to the existing range. Existing: ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    this._removeEmptyData();
    // Build $rows (as string instead of jQuery objects due to efficiency reasons)
    for (let r = range.from; r < range.to; r++) {
      let row = rows[r];
      rowString += this._buildRowDiv(row);
      numRowsRendered++;
    }
    // append block of rows
    let $rows = this.$data.makeElement(rowString);
    if (prepend) {
      if (this.$fillBefore) {
        $rows = $rows.insertAfter(this.$fillBefore);
      } else {
        $rows = $rows.prependTo(this.$data);
      }
    } else if (this.$fillAfter) {
      $rows = $rows.insertBefore(this.$fillAfter);
    } else {
      $rows = $rows.appendTo(this.$data);
    }
    $rows.each((index, rowObject) => {
      let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(rowObject);
      // Workaround for Chrome bug, see _updateRealColumnWidths
      // Can be removed when Chrome bug is resolved.
      // This is only necessary once (when the first row is rendered)
      if (this.viewRangeRendered.size() === numRowsRendered && this._updateRealColumnWidths($row)) {
        this._updateRowWidth();
        if (this.header && this.header.rendered) {
          this.header.resizeHeaderItems();
        }
      }
      $row.cssWidth(this.rowWidth);
      // End workaround
      let row = rows[range.from + index];
      Table.linkRowToDiv(row, $row);
      this._installRow(row);
    });
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numRowsRendered + ' new rows rendered from ' + range);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this._rowsRenderedInfo());
    }
  }
  _rowsRenderedInfo() {
    let numRenderedRows = this.$rows().length,
      renderedRowsRange = '(' + this.viewRangeRendered + ')';
    return numRenderedRows + ' rows rendered ' + renderedRowsRange;
  }
  /**
   * Moves the row to the top.
   */
  moveRowToTop(row) {
    let rowIndex = this.rows.indexOf(row);
    this.moveRow(rowIndex, 0);
  }
  /**
   * Moves the row to the bottom.
   */
  moveRowToBottom(row) {
    let rowIndex = this.rows.indexOf(row);
    this.moveRow(rowIndex, this.rows.length - 1);
  }
  /**
   * Moves the row one up, disregarding filtered rows.
   */
  moveRowUp(row) {
    let rowIndex = this.rows.indexOf(row),
      targetIndex = rowIndex - 1;
    if (this.hierarchical) {
      // find index with same parent
      let siblings = this.rows.filter(candidate => row.parentRow === candidate.parentRow),
        rowIndexSiblings = siblings.indexOf(row),
        sibling = siblings[rowIndexSiblings - 1];
      if (sibling) {
        targetIndex = this.rows.indexOf(sibling);
      } else {
        targetIndex = 0;
      }
    }
    this.moveRow(rowIndex, targetIndex);
  }
  /**
   * Moves the row one down, disregarding filtered rows.
   */
  moveRowDown(row) {
    let rowIndex = this.rows.indexOf(row),
      targetIndex = rowIndex + 1;
    if (this.hierarchical) {
      // find index with same parent
      let siblings = this.rows.filter(candidate => row.parentRow === candidate.parentRow),
        rowIndexSiblings = siblings.indexOf(row),
        sibling = siblings[rowIndexSiblings + 1];
      if (sibling) {
        targetIndex = this.rows.indexOf(sibling);
      } else {
        targetIndex = this.rows.length;
      }
    }
    this.moveRow(rowIndex, targetIndex);
  }
  moveVisibleRowUp(row) {
    let rowIndex = this.rows.indexOf(row),
      visibleIndex = this.visibleRows.indexOf(row),
      sibling,
      targetIndex;
    if (this.hierarchical) {
      let siblings = this.visibleRows.filter(candidate => row.parentRow === candidate.parentRow);
      sibling = siblings[siblings.indexOf(row) - 1];
      if (sibling) {
        targetIndex = this.rows.indexOf(sibling);
      } else {
        // no previous sibling
        return;
      }
    } else {
      sibling = this.visibleRows[visibleIndex - 1];
      if (!sibling) {
        // no previous sibling
        return;
      }
      targetIndex = this.rows.indexOf(sibling);
    }
    this.moveRow(rowIndex, targetIndex);
  }
  moveVisibleRowDown(row) {
    let rowIndex = this.rows.indexOf(row),
      visibleIndex = this.visibleRows.indexOf(row),
      sibling,
      targetIndex;
    if (this.hierarchical) {
      let siblings = this.visibleRows.filter(candidate => row.parentRow === candidate.parentRow);
      sibling = siblings[siblings.indexOf(row) + 1];
      if (sibling) {
        targetIndex = this.rows.indexOf(sibling);
      } else {
        // no following sibling
        return;
      }
    } else {
      sibling = this.visibleRows[visibleIndex + 1];
      if (!sibling) {
        // no following sibling
        return;
      }
      targetIndex = this.rows.indexOf(sibling);
    }
    this.moveRow(rowIndex, targetIndex);
  }
  moveRow(sourceIndex, targetIndex) {
    let rowCount = this.rows.length;
    sourceIndex = Math.max(sourceIndex, 0);
    sourceIndex = Math.min(sourceIndex, rowCount - 1);
    targetIndex = Math.max(targetIndex, 0);
    targetIndex = Math.min(targetIndex, rowCount - 1);
    if (sourceIndex === targetIndex) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.move(this.rows, sourceIndex, targetIndex);
    this.updateRowOrder(this.rows);
  }
  _removeRowsInRange(range) {
    let numRowsRemoved = 0,
      rows = this.visibleRows;
    let maxRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, rows.length);
    range = maxRange.intersect(range);
    let newRange = this.viewRangeRendered.subtract(range);
    if (newRange.length === 2) {
      throw new Error('Can only remove rows at the beginning or end of the existing range. ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    for (let i = range.from; i < range.to; i++) {
      let row = rows[i];
      this._removeRow(row);
      numRowsRemoved++;
    }
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numRowsRemoved + ' rows removed from ' + range + '.');
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this._rowsRenderedInfo());
    }
  }
  /**
   * @deprecated use {@link _removeAllRows} to only remove DOM elements, otherwise use {@link deleteAllRows}
   */
  removeAllRows() {
    this._removeAllRows();
  }
  _removeAllRows() {
    if (this._isDataRendered()) {
      this.$rows().each((i, elem) => {
        let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
        if ($row.hasClass('hiding')) {
          // Do not remove rows which are removed using an animation
          // row.$row may already point to a new row -> don't call removeRow to not accidentally remove the new row
          return;
        }
        let row = $row.data('row');
        this._removeRow(row);
      });
    }
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
  }
  /**
   *
   * @param rows if undefined, all rows are removed
   */
  _removeRows(rows) {
    if (!rows) {
      this._removeAllRows();
      return;
    }
    let tableAttached = this.isAttachedAndRendered();
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    rows.forEach(row => {
      let rowIndex = this.visibleRows.indexOf(row);
      if (rowIndex === -1) {
        // row is not visible
        return;
      }
      let rowRendered = Boolean(row.$row);
      let rowInViewRange = this.viewRangeRendered.contains(rowIndex);
      // Note: these checks can only be done, when table is rendered _and_ attached. When the table is detached it can
      // still add rows, but these new rows are not rendered while the table is detached. Thus, this check would fail,
      // when a row that has been added in detached state is removed again while table is still detached.
      if (tableAttached) {
        // if row is not rendered but its row-index is inside the view range -> inconsistency
        if (!rowRendered && rowInViewRange) {
          throw new Error('Inconsistency found while removing row. Row is undefined but inside rendered view range. RowIndex: ' + rowIndex);
        }
        // if row is rendered but its row-index is not inside the view range -> inconsistency
        if (rowRendered && !rowInViewRange) {
          throw new Error('Inconsistency found while removing row. Row is rendered but not inside rendered view range. RowIndex: ' + rowIndex);
        }
      }
      this._removeRow(row);
      // Adjust view range if row is inside or before range
      if (rowInViewRange || rowIndex < this.viewRangeRendered.from) {
        if (rowIndex < this.viewRangeRendered.from) {
          this.viewRangeRendered.from--;
          this.viewRangeRendered.to--;
        } else if (rowIndex <= this.viewRangeRendered.to) {
          this.viewRangeRendered.to--;
        }
      }
    });
  }
  /**
   * Just removes the row, does NOT adjust this.viewRangeRendered
   */
  _removeRow(row) {
    var _tooltipSupport$toolt;
    let $row = row.$row;
    if (!$row) {
      return;
    }
    let tooltipSupport = this.$data.data('tooltipSupport');
    if ($row.isOrHas(tooltipSupport === null || tooltipSupport === void 0 || (_tooltipSupport$toolt = tooltipSupport.tooltip) === null || _tooltipSupport$toolt === void 0 ? void 0 : _tooltipSupport$toolt.$anchor)) {
      tooltipSupport.close();
    }
    this._destroyTooltipsForRow(row);
    this._destroyCellEditorForRow(row);
    // Do not remove rows which are removed using an animation
    if (!$row.hasClass('hiding')) {
      $row.remove();
      row.$row = null;
    }
  }
  /**
   * Animates the rendering of a row by setting it to invisible before doing a slideDown animation. The row needs to already be rendered.
   */
  _showRow(row) {
    let $row = row.$row;
    if (!$row) {
      return;
    }
    if ($row.is('.showing')) {
      return;
    }
    $row.hide(); // intentionally don't use setVisible(false) here
    $row.addClass('showing');
    $row.removeClass('hiding');
    $row.stop().slideDown({
      duration: 250,
      complete: () => {
        $row.removeClass('showing');
        this.updateScrollbars();
      }
    });
  }
  /**
   * Animates the removal of a row by doing a slideUp animation. The row will be removed after the animation finishes.
   */
  _hideRow(row) {
    let $row = row.$row;
    if (!$row) {
      return;
    }
    if ($row.is('.hiding')) {
      return;
    }
    $row.addClass('hiding');
    $row.removeClass('showing');
    $row.stop().slideUp({
      duration: 250,
      complete: () => {
        if (!row.$row) {
          // ignore already removed rows
          return;
        }
        $row.remove();
        if ($row[0] === row.$row[0]) {
          // Only set to null if row still is linked to the original $row
          // If row got rendered again while the animation is still running, row.$row points to the new $row
          row.$row = null;
        }
        this.updateScrollbars();
      }
    });
  }
  /**
   * This method should be used after a row is added to the DOM (new rows, updated rows). The 'row'
   * is expected to be linked with the corresponding '$row' (row.$row and $row.data('row')).
   */
  _installRow(row) {
    row.height = this._measureRowHeight(row.$row);
    if (row.hasError) {
      this._showCellErrorForRow(row);
    }
    // Reopen editor popup (closed when row was removed)
    if (this.cellEditorPopup && !this.cellEditorPopup.rendered && this.cellEditorPopup.row.id === row.id) {
      let editorField = this.cellEditorPopup.cell.field;
      this.startCellEdit(this.cellEditorPopup.column, row, editorField);
    }
  }
  /** @internal */
  _calcRowLevelPadding(row) {
    if (!row) {
      return -this.rowLevelPadding;
    }
    return this._calcRowLevelPadding(row.parentRow) + this.rowLevelPadding;
  }
  _showCellErrorForRow(row) {
    for (let column of this.visibleColumns()) {
      let cell = this.cell(column, row);
      if (cell.errorStatus) {
        this._showCellError(row, this.$cell(column, row.$row), cell.errorStatus);
      }
    }
  }
  _showCellError(row, $cell, errorStatus) {
    let text = errorStatus.message;
    let tooltip = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableTooltip, {
      parent: this,
      text: text,
      autoRemove: false,
      $anchor: $cell,
      table: this
    });
    tooltip.render();
    // link to be able to remove it when row gets deleted
    tooltip.row = row;
    this.tooltips.push(tooltip);
  }
  /**
   * @returns the column at position x (e.g. from event.pageX)
   */
  _columnAtX(x) {
    let columnOffsetRight = 0,
      columnOffsetLeft = this.$data.offset().left + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$data).left + this.rowBorders.left + this.rowMargins.left,
      scrollLeft = this.$data.scrollLeft();
    if (x < columnOffsetLeft) {
      // Clicked left of first column (on selection border) --> return first column
      return this.columns[0];
    }
    columnOffsetLeft -= scrollLeft;
    let visibleColumns = this.visibleColumns();
    let column = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(visibleColumns, column => {
      columnOffsetRight = columnOffsetLeft + column.width;
      if (x >= columnOffsetLeft && x < columnOffsetRight) {
        return true;
      }
      columnOffsetLeft = columnOffsetRight;
    });
    if (!column) {
      // No column found (clicked right of last column, on selection border) --> return last column
      column = visibleColumns[visibleColumns.length - 1];
    }
    return column;
  }
  _find$AppLink(event) {
    let $start = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    let $stop = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let $appLink = $start.findUp($elem => $elem.hasClass('app-link'), $stop);
    if ($appLink.length > 0) {
      return $appLink;
    }
    return null;
  }
  /** @internal */
  _filterMenus(menuItems, destination, onlyVisible, enableDisableKeyStrokes, notAllowedTypes) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filterAccordingToSelection('Table', this.selectedRows.length, menuItems, destination, {
      onlyVisible,
      enableDisableKeyStrokes,
      notAllowedTypes,
      defaultMenuTypes: this.defaultMenuTypes
    });
  }
  /** @internal */
  _filterMenusForContextMenu() {
    return this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU, true, false, ['Header']);
  }
  setStaticMenus(staticMenus) {
    this.setProperty('staticMenus', staticMenus);
    this._updateMenuBar();
  }
  _removeMenus() {
    // menubar takes care of removal
  }
  notifyRowSelectionFinished() {
    if (this._triggerRowsSelectedPending) {
      this._triggerRowsSelected();
      this._triggerRowsSelectedPending = false;
    }
    this.session.onRequestsDone(() => {
      this._updateMenuBar();
      this._updateMenusEnabled();
    });
  }
  /** @internal */
  _triggerRowClick(originalEvent, row, mouseButton, column) {
    this.trigger('rowClick', {
      originalEvent: originalEvent,
      row: row,
      mouseButton: mouseButton,
      column: column
    });
  }
  _triggerRowAction(row, column) {
    this.trigger('rowAction', {
      row: row,
      column: column
    });
  }
  /**
   * Starts cell editing for the cell at the given column and row, but only if editing is allowed.
   * @see prepareCellEdit
   */
  focusCell(column, row) {
    let openFieldPopupOnCellEdit = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    let cell = this.cell(column, row);
    if (this.enabledComputed && row.enabled && cell.editable) {
      this.prepareCellEdit(column, row, openFieldPopupOnCellEdit);
    }
  }
  /**
   * Creates a cell editor for the cell at the given column and row, ensures the row is selected and passes the editor
   * to {@link #startCellEdit} which starts the editing by rendering the editor in a {@link CellEditorPopup}.<br>
   * If the completion of a previous cell edit is still in progress, the preparation is delayed until the completion is finished.
   *
   * @param openFieldPopupOnCellEdit true to instruct the editor to open its control popup when the editor is rendered.
   *    This only has an effect if the editor has a popup (e.g. SmartField or DateField).
   * @returns The promise will be resolved when the preparation has been finished.
   */
  prepareCellEdit(column, row, openFieldPopupOnCellEdit) {
    let promise = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    if (this.cellEditorPopup) {
      promise = this.cellEditorPopup.waitForCompleteCellEdit();
    }
    return promise.then(this.prepareCellEditInternal.bind(this, column, row, openFieldPopupOnCellEdit));
  }
  /**
   * @param openFieldPopupOnCellEdit when this parameter is set to true, the field instance may use this property (passed to onCellEditorRendered of the field)
   * to decide whether it should open a popup immediately after it is rendered. This is used for Smart- and DateFields. Default is false.
   */
  prepareCellEditInternal(column, row, openFieldPopupOnCellEdit) {
    this.openFieldPopupOnCellEdit = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(openFieldPopupOnCellEdit, false);
    let event = this.trigger('prepareCellEdit', {
      column: column,
      row: row
    });
    if (!event.defaultPrevented) {
      this.selectRow(row);
      let field = column.createEditor(row);
      this.startCellEdit(column, row, field);
    }
  }
  /**
   * @returns a cell for the given column and row. Row Icon column and cell icon column don't have cells --> generate one.
   */
  cell(column, row) {
    // @ts-expect-error
    if (column === this.rowIconColumn) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, {
        iconId: row.iconId,
        cssClass: _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', 'row-icon-cell', row.cssClass)
      });
    }
    // @ts-expect-error
    if (column === this.checkableColumn) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, {
        value: row.checked,
        editable: true,
        cssClass: row.cssClass
      });
    }
    if (column === this.compactColumn) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, {
        text: row.compactValue,
        htmlEnabled: true
      });
    }
    return row.cells[column.index];
  }
  cellByCellIndex(cellIndex, row) {
    return this.cell(this.columns[cellIndex], row);
  }
  cellValue(column, row) {
    let cell = this.cell(column, row);
    if (!cell) {
      return cell;
    }
    if (cell.value !== undefined) {
      return cell.value;
    }
    return null;
  }
  cellText(column, row) {
    let cell = this.cell(column, row);
    if (!cell) {
      return '';
    }
    return cell.text || '';
  }
  /**
   *
   * @returns the next editable position in the table, starting from the cell at (currentColumn / currentRow).
   * A position is an object containing row and column (cell has no reference to a row or column due to memory reasons).
   */
  nextEditableCellPos(currentColumn, currentRow, reverse) {
    let colIndex = this.columns.indexOf(currentColumn);
    let startColumnIndex = colIndex + 1;
    if (reverse) {
      startColumnIndex = colIndex - 1;
    }
    let pos = this.nextEditableCellPosForRow(startColumnIndex, currentRow, reverse);
    if (pos) {
      return pos;
    }
    let predicate = row => {
      if (!row.$row) {
        return false;
      }
      startColumnIndex = 0;
      if (reverse) {
        startColumnIndex = this.columns.length - 1;
      }
      pos = this.nextEditableCellPosForRow(startColumnIndex, row, reverse);
      if (pos) {
        return true;
      }
    };
    let rowIndex = this.rows.indexOf(currentRow);
    let startRowIndex = rowIndex + 1;
    if (reverse) {
      startRowIndex = rowIndex - 1;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFrom(this.rows, startRowIndex, predicate, reverse);
    return pos;
  }
  nextEditableCellPosForRow(startColumnIndex, row, reverse) {
    let predicate = column => {
      if (!column.visible || column.guiOnly) {
        // does not support tabbing
        return false;
      }
      let cell = this.cell(column, row);
      return this.enabledComputed && row.enabled && cell.editable;
    };
    let column = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFrom(this.columns, startColumnIndex, predicate, reverse);
    if (column) {
      return {
        column: column,
        row: row
      };
    }
  }
  clearAggregateRows(animate) {
    // Remove "hasAggregateRow" markers from real rows
    this._aggregateRows.forEach(aggregateRow => {
      if (aggregateRow.prevRow) {
        aggregateRow.prevRow.aggregateRowAfter = null;
      }
      if (aggregateRow.nextRow) {
        aggregateRow.nextRow.aggregateRowBefore = null;
      }
    });
    if (this._isDataRendered()) {
      this._removeAggregateRows(animate);
      this._renderSelection(); // fix selection borders
    }
    this._aggregateRows = [];
  }
  /**
   * @internal
   * Executes the aggregate function with the given funcName for each visible column, but only if the Column
   * has that function, which is currently only the case for NumberColumns.
   *
   * @param states is a reference to an Array containing the results for each visible column
   * @param row (optional) if set, an additional cell-value parameter is passed to the aggregate function
   */
  _forEachVisibleColumn(funcName, states, row) {
    let value;
    this.visibleColumns().forEach((column, i) => {
      if (column[funcName]) {
        if (row) {
          value = column.cellValueOrTextForCalculation(row);
        }
        states[i] = column[funcName](states[i], value);
      } else {
        states[i] = undefined;
      }
    });
  }
  /** @internal */
  _group(animate) {
    let firstRow,
      lastRow,
      groupColumns = this._groupedColumns(),
      onTop = this.groupingStyle === Table.GroupingStyle.TOP,
      states = [];
    this.clearAggregateRows();
    if (!groupColumns.length) {
      return;
    }
    let rows = this.visibleRows;
    this._forEachVisibleColumn('aggrStart', states);
    rows.forEach((row, r) => {
      if (!firstRow) {
        firstRow = row;
      }
      this._forEachVisibleColumn('aggrStep', states, row);
      // test if sum should be shown, if yes: reset sum-array
      let nextRow = rows[r + 1];
      // test if group is finished
      let newGroup = r === rows.length - 1 || this._isNewGroup(groupColumns, row, nextRow);
      // if group is finished: add group row
      if (newGroup) {
        // finish aggregation
        this._forEachVisibleColumn('aggrFinish', states);
        // append sum row
        this._addAggregateRow(states, onTop ? lastRow : row, onTop ? firstRow : nextRow);
        // reset after group
        this._forEachVisibleColumn('aggrStart', states);
        firstRow = null;
        lastRow = row;
      }
    });
    if (this._isDataRendered()) {
      this._renderAggregateRows(animate);
      this._renderSelection(); // fix selection borders
    }
  }
  _isNewGroup(groupedColumns, row, nextRow) {
    let newRow = false;
    if (!nextRow) {
      return true; // row is last row
    }
    for (let i = 0; i < groupedColumns.length; i++) {
      let col = groupedColumns[i];
      let hasCellTextForGroupingFunction = col && col.cellTextForGrouping && typeof col.cellTextForGrouping === 'function';
      newRow = newRow || hasCellTextForGroupingFunction && col.cellTextForGrouping(row) !== col.cellTextForGrouping(nextRow); // NOSONAR
      newRow = newRow || !hasCellTextForGroupingFunction && this.cellText(col, row) !== this.cellText(col, nextRow);
      if (newRow) {
        return true;
      }
    }
    return false;
  }
  _groupedColumns() {
    return this.columns.filter(col => col.grouped);
  }
  /**
   * Inserts a new aggregation row between 'prevRow' and 'nextRow'.
   *
   * @param contents cells of the new aggregate row
   * @param prevRow row _before_ the new aggregate row
   * @param nextRow row _after_ the new aggregate row
   */
  _addAggregateRow(contents, prevRow, nextRow) {
    let aggregateRow = {
      contents: contents.slice(),
      prevRow: prevRow,
      nextRow: nextRow
    };
    this._aggregateRows.push(aggregateRow);
    if (prevRow) {
      prevRow.aggregateRowAfter = aggregateRow;
    }
    if (nextRow) {
      nextRow.aggregateRowBefore = aggregateRow;
    }
  }
  _removeAggregateRows(animate) {
    if (this._aggregateRows.length === 0) {
      return;
    }
    animate = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(animate, false);
    if (!animate) {
      this._aggregateRows.forEach(aggregateRow => this._removeRow(aggregateRow));
      this.updateScrollbars();
    } else {
      this._aggregateRows.forEach(aggregateRow => this._hideRow(aggregateRow));
    }
  }
  _renderAggregateRows(animate) {
    let onTop = this.groupingStyle === Table.GroupingStyle.TOP,
      insertFunc = onTop ? 'insertBefore' : 'insertAfter';
    animate = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(animate, false);
    this._aggregateRows.forEach(aggregateRow => {
      let refRow = onTop ? aggregateRow.nextRow : aggregateRow.prevRow;
      if (!refRow || !refRow.$row) {
        if (aggregateRow.$row) {
          // corresponding refRow is no longer rendered (e.g. outside view range) -> remove aggregateRow
          this._removeRow(aggregateRow);
        }
        return;
      }
      if (aggregateRow.$row) {
        // already rendered, no need to update again (necessary for subsequent renderAggregateRows calls (e.g. in insertRows -> renderRows)
        return;
      }
      let $aggregateRow = this._build$AggregateRow(aggregateRow);
      $aggregateRow[insertFunc](refRow.$row).width(this.rowWidth);
      this.visibleColumns().map(column => jquery__WEBPACK_IMPORTED_MODULE_1___default()(column.buildCellForAggregateRow(aggregateRow)).appendTo($aggregateRow)).forEach($c => this._resizeAggregateCell($c));
      aggregateRow.height = this._measureRowHeight($aggregateRow);
      aggregateRow.$row = $aggregateRow;
      if (animate) {
        this._showRow(aggregateRow);
      }
    });
  }
  /** @internal */
  _build$AggregateRow(aggregateRow) {
    let onTop = this.groupingStyle === Table.GroupingStyle.TOP;
    let $aggregateRow = this.$container.makeDiv('table-aggregate-row').data('aggregateRow', aggregateRow);
    this.accessibilityRenderer.renderRow($aggregateRow);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.description($aggregateRow, this.session.text('ui.Aggregation'));
    $aggregateRow.toggleClass('grouping-style-top', onTop);
    $aggregateRow.toggleClass('grouping-style-bottom', !onTop);
    return $aggregateRow;
  }
  groupColumn(column, multiGroup, direction, remove) {
    multiGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(multiGroup, false);
    remove = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(remove, false);
    if (remove) {
      this._removeGroupColumn(column);
    }
    if (!this.isGroupingPossible(column)) {
      return;
    }
    if (!remove) {
      this._addGroupColumn(column, direction, multiGroup);
    }
    if (this.header) {
      this.header.onSortingChanged();
    }
    let sorted = this._sort(true);
    let data = {
      column: column,
      groupAscending: column.sortAscending
    };
    if (remove) {
      data.groupingRemoved = true;
    }
    if (multiGroup) {
      data.multiGroup = true;
    }
    if (!sorted) {
      // Delegate sorting to server when it is not possible on client side
      data.groupingRequested = true;
      // hint to animate the aggregate after the row order changed event
      this._animateAggregateRows = true;
    }
    this.trigger('group', data);
  }
  removeColumnGrouping(column) {
    if (column) {
      this.groupColumn(column, false, 'asc', true);
    }
  }
  removeAllColumnGroupings() {
    this.columns.filter(column => column.grouped).forEach(this.removeColumnGrouping.bind(this));
  }
  /**
   * @returns true if at least one column has grouped=true
   */
  isGrouped() {
    return this.columns.some(column => column.grouped);
  }
  setColumnBackgroundEffect(column, effect) {
    column.setBackgroundEffect(effect);
  }
  /**
   * Updates the background effect of every column, if column.backgroundEffect is set.
   * Meaning: Recalculates the min / max values and renders the background effect again.
   */
  _updateBackgroundEffect() {
    this.columns.forEach(column => {
      if (!column.backgroundEffect) {
        return;
      }
      column.updateBackgroundEffect();
    });
  }
  /**
   * Recalculates the values necessary for the background effect of every column, if column.backgroundEffect is set
   */
  _calculateValuesForBackgroundEffect() {
    this.columns.forEach(column => {
      if (!column.backgroundEffect) {
        return;
      }
      column.calculateMinMaxValues();
    });
  }
  _markAutoOptimizeWidthColumnsAsDirty() {
    this.columns.forEach(column => {
      column.autoOptimizeWidthRequired = true;
    });
  }
  _markAutoOptimizeWidthColumnsAsDirtyIfNeeded(autoOptimizeWidthColumns, oldRow, newRow) {
    let marked = false;
    for (let i = autoOptimizeWidthColumns.length - 1; i >= 0; i--) {
      let column = autoOptimizeWidthColumns[i];
      if (this.cellValue(column, oldRow) !== this.cellValue(column, newRow)) {
        column.autoOptimizeWidthRequired = true;
        // Remove column from list since it is now marked and does not have to be processed next time
        autoOptimizeWidthColumns.splice(i, 1);
        marked = true;
      }
    }
    return marked;
  }
  /** @see TableModel.multiCheck */
  setMultiCheck(multiCheck) {
    this.setProperty('multiCheck', multiCheck);
  }
  checkedRows() {
    return this.rows.filter(row => row.checked);
  }
  checkRow(row, checked, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(options, {
      checked: checked
    });
    this.checkRows([row], opts);
  }
  checkRows(rows, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      checked: true,
      checkOnlyEnabled: true
    }, options);
    let checkedRows = [];
    // use enabled computed because when the parent of the table is disabled, it should not be allowed to check rows
    if (!this.checkable || !this.enabledComputed && opts.checkOnlyEnabled) {
      return;
    }
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    rows.forEach(row => {
      if (!row.enabled && opts.checkOnlyEnabled || row.checked === opts.checked) {
        return;
      }
      if (!this.multiCheck && opts.checked) {
        for (let i = 0; i < this.rows.length; i++) {
          if (this.rows[i].checked) {
            this.rows[i].checked = false;
            checkedRows.push(this.rows[i]);
          }
        }
      }
      row.checked = opts.checked;
      checkedRows.push(row);
    });
    if (this._isDataRendered()) {
      checkedRows.forEach(row => this._renderRowChecked(row));
    }
    this._triggerRowsChecked(checkedRows);
  }
  uncheckRow(row, options) {
    this.uncheckRows([row], options);
  }
  uncheckRows(rows, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      checked: false
    }, options);
    this.checkRows(rows, opts);
  }
  isTableNodeColumn(column) {
    return this.hierarchical && this.tableNodeColumn === column;
  }
  collapseRow(row) {
    this.collapseRows(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(row));
  }
  collapseAll() {
    this.expandRowsInternal(this.rootRows, false, true);
  }
  expandAll() {
    this.expandRowsInternal(this.rootRows, true, true);
  }
  collapseRows(rows, recursive) {
    this.expandRowsInternal(rows, false, recursive);
  }
  expandRow(row, recursive) {
    this.expandRows(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(row), recursive);
  }
  expandRows(rows, recursive) {
    this.expandRowsInternal(rows, true, recursive);
  }
  /**
   * @param rows {@link rootRows} are used if not specified.
   * @param expanded Default is true.
   * @param recursive Default is false.
   */
  expandRowsInternal(rows, expanded, recursive) {
    let changedRows = [],
      rowsForAnimation = [];
    rows = rows || this.rootRows;
    expanded = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(expanded, true);
    recursive = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(recursive, false);
    if (recursive) {
      // collect rows
      this.visitRows(row => {
        let changed = row.expanded !== expanded;
        if (changed) {
          row.expanded = expanded;
          changedRows.push(row);
          if (row.$row) {
            rowsForAnimation.push(row);
          }
        }
      }, rows);
    } else {
      changedRows = rows.filter(row => {
        let changed = row.expanded !== expanded;
        if (changed && row.$row) {
          rowsForAnimation.push(row);
        }
        row.expanded = expanded;
        return changed;
      });
    }
    if (changedRows.length === 0) {
      return;
    }
    this._updateRowStructure({
      visibleRows: true
    });
    this._triggerRowsExpanded(changedRows);
    if (this._isDataRendered()) {
      this._renderRowDelta();
      rowsForAnimation.forEach(row => row.animateExpansion());
      if (rows[0].$row) {
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.ensureExpansionVisible({
          element: rows[0],
          $element: rows[0].$row,
          $scrollable: this.get$Scrollable(),
          isExpanded: element => element.expanded,
          getChildren: parent => parent.childRows.filter(row => row.filterAccepted),
          defaultChildHeight: this.rowHeight
        });
      }
    }
  }
  doRowAction(row, column) {
    if (this.selectedRows.length !== 1 || this.selectedRows[0] !== row) {
      // Only allow row action if the selected row was double-clicked because the handler of the event expects a selected row.
      // This may happen if the user modifies the selection using ctrl or shift while double-clicking.
      return;
    }
    column = column || this.columns[0];
    if (!row || !column) {
      return;
    }
    this._triggerRowAction(row, column);
  }
  insertRow(row) {
    this.insertRows([row]);
  }
  insertRows(rows) {
    let rowsArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    if (rowsArr.length === 0) {
      return;
    }
    let wasEmpty = this.rows.length === 0;
    // Update model
    rowsArr.forEach((rowData, i) => {
      let row = this._initRow(rowData);
      row.status = _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.INSERTED;
      rowsArr[i] = row;
      // Always insert new rows at the end, if the order is wrong a rowOrderChanged event will follow
      this.rows.push(row);
    });
    let newRows = rowsArr;
    this.filterSupport.applyFilters(newRows);
    this._updateRowStructure({
      updateTree: true,
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
    // Notify changed filter if there are user filters and at least one of the new rows is accepted by them
    if (this.filterCount() > 0 && newRows.some(row => row.filterAccepted)) {
      this._triggerFilter();
    }
    this._calculateValuesForBackgroundEffect();
    this._markAutoOptimizeWidthColumnsAsDirty();
    // this event should be triggered before the rowOrderChanged event (triggered by the _sort function).
    this._triggerRowsInserted(newRows);
    this._sortAfterInsert(wasEmpty);
    // Update HTML
    if (this._isDataRendered()) {
      if (this.hierarchical) {
        this._renderRowOrderChanges();
      }
      // Remember inserted rows for future events like rowOrderChanged
      if (!this._insertedRows) {
        this._insertedRows = newRows;
        setTimeout(() => {
          this._insertedRows = null;
        }, 0);
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(this._insertedRows, newRows);
      }
      this.viewRangeDirty = true;
      this._renderViewport();
      this.invalidateLayoutTree();
    }
  }
  _sortAfterInsert(wasEmpty) {
    this._sort();
  }
  _sortWhileInit() {
    // Only in Scout JS mode. Modified for Scout Classic (see TableAdapter).
    this._sort();
  }
  /**
   * Replaces all current rows by the given ones and tries to restore the selection afterward (see {@link restoreSelection}).
   */
  replaceRows(rows) {
    const selectedKeys = this.getSelectedKeys();
    this.deleteAllRows();
    this.insertRows(rows);
    this.restoreSelection(selectedKeys);
  }
  deleteRow(row) {
    this.deleteRows([row]);
  }
  deleteRows(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    if (rows.length === 0) {
      return;
    }
    let invalidate,
      filterChanged,
      removedRows = [];
    this.visitRows(row => {
      if (!this.rowsMap[row.id]) {
        return;
      }
      removedRows.push(row);
      // Update HTML
      if (this._isDataRendered()) {
        // Cancel cell editing if cell editor belongs to a cell of the deleted row
        if (this.cellEditorPopup && this.cellEditorPopup.row.id === row.id) {
          this.cellEditorPopup.cancelEdit();
        }
        this._removeRows(row);
        invalidate = true;
      }
      // Update model
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.rows, row);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.visibleRows, row);
      if (this.filterCount() > 0 && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._filteredRows, row)) {
        filterChanged = true;
      }
      delete this.rowsMap[row.id];
      if (this.selectionHandler.lastActionRow === row) {
        this.selectionHandler.clearLastSelectedRowMarker();
      }
    }, rows);
    this.deselectRows(removedRows);
    this._updateRowStructure({
      updateTree: true,
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
    if (filterChanged) {
      this._triggerFilter();
    }
    this._group();
    this._updateBackgroundEffect();
    this._markAutoOptimizeWidthColumnsAsDirty();
    this._triggerRowsDeleted(rows);
    if (invalidate) {
      this._renderViewport();
      // Update markers and filler because row may be removed by removeRows. RenderViewport doesn't do it if view range is already correctly rendered.
      this._renderRangeMarkers();
      this._renderFiller();
      this._renderEmptyData();
      this.invalidateLayoutTree();
    }
  }
  deleteAllRows() {
    let filterChanged = this.filterCount() > 0 && this._filteredRows.length > 0,
      rows = this.rows;
    // Update HTML
    if (this._isDataRendered()) {
      // Cancel cell editing
      if (this.cellEditorPopup) {
        this.cellEditorPopup.cancelEdit();
      }
      this.selectionHandler.clearLastSelectedRowMarker();
      this._removeRows();
    }
    // Update model
    this.rows = [];
    this.rowsMap = {};
    this._filteredRows = [];
    this.deselectAll();
    this._updateRowStructure({
      updateTree: true,
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
    if (filterChanged) {
      this._triggerFilter();
    }
    this._markAutoOptimizeWidthColumnsAsDirty();
    this._group();
    this._updateBackgroundEffect();
    this._triggerAllRowsDeleted(rows);
    // Update HTML
    if (this._isDataRendered()) {
      this._renderFiller();
      this._renderViewport();
      this._renderEmptyData();
      this.invalidateLayoutTree();
    }
  }
  updateRow(row) {
    this.updateRows([row]);
  }
  updateRows(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    if (rows.length === 0) {
      return;
    }
    if (this.updateBuffer.isBuffering()) {
      this.updateBuffer.buffer(rows);
      return;
    }
    let filterChanged, expansionChanged, autoOptimizeWidthColumnsDirty;
    let autoOptimizeWidthColumns = this.columns.filter(column => column.autoOptimizeWidth && !column.autoOptimizeWidthRequired);
    let rowsToIndex = {};
    this.rows.forEach((row, index) => {
      rowsToIndex[row.id] = index;
    });
    let oldRowsMap = {};
    let structureChanged = false;
    let updatedRows = rows.map(rowOrModel => {
      let parentRowId = rowOrModel.parentRow;
      let oldRow = this.rowsMap[rowOrModel.id];
      if (!oldRow) {
        throw new Error('Update event received for non existing row. RowId: ' + rowOrModel.id);
      }
      // collect old rows
      oldRowsMap[rowOrModel.id] = oldRow;
      // check structure changes
      if (rowOrModel.parentRow) {
        if (typeof rowOrModel.parentRow === 'string') {
          parentRowId = rowOrModel.parentRow;
        } else if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(rowOrModel.parentRow.id)) {
          parentRowId = rowOrModel.parentRow.id;
        }
      }
      structureChanged = structureChanged || _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(oldRow['_parentRowId'], null) !== _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(parentRowId, null);
      expansionChanged = expansionChanged || oldRow.expanded !== _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(rowOrModel.expanded, false);
      let row = this._initRow(rowOrModel);
      // Check if cell values have changed
      if (row.status === _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.NON_CHANGED) {
        row.cells.some((cell, i) => {
          let oldCell = oldRow.cells[i];
          if (!oldCell || oldCell.value !== cell.value) {
            row.status = _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.UPDATED;
            return true; // break "some()" loop
          }
          return false;
        });
      }
      // selection
      if (this.selectionHandler.lastActionRow === oldRow) {
        this.selectionHandler.lastActionRow = row;
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.replace(this.selectedRows, oldRow, row);
      // replace row use index lookup for performance reasons
      this.rows[rowsToIndex[row.id]] = row;
      // filter
      row.filterAccepted = oldRow.filterAccepted;
      if (this.filterCount() > 0) {
        filterChanged = this._applyFiltersForRow(row) || filterChanged;
      }
      // Check if cell content changed and if yes mark auto optimize width column as dirty
      autoOptimizeWidthColumnsDirty = this._markAutoOptimizeWidthColumnsAsDirtyIfNeeded(autoOptimizeWidthColumns, oldRow, row);
      return row;
    });
    this._updateRowStructure({
      updateTree: true,
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
    this._updateMenusEnabled();
    this._triggerRowsUpdated(updatedRows);
    if (this._isDataRendered()) {
      this._renderUpdateRows(updatedRows, oldRowsMap);
      if (structureChanged) {
        this._renderRowOrderChanges();
      }
    }
    if (filterChanged) {
      this._triggerFilter();
    }
    if (filterChanged || expansionChanged) {
      this._renderRowDelta();
    }
    this._sortAfterUpdate();
    this._updateBackgroundEffect();
    this.invalidateLayoutTree(); // this will also update the scroll-bars
  }
  _renderUpdateRows(rows, oldRowsMap) {
    let tooltipSupport = this.$data.data('tooltipSupport');
    // render row and replace div in DOM
    rows.forEach(row => {
      var _$updatedTooltipCell;
      let oldRow = oldRowsMap[row.id];
      if (!oldRow.$row || oldRow.$row.hasClass('hiding')) {
        // If row is not rendered or being removed by an animation, don't try to update it.
        // If it were updated during animated removal, the new row would immediately be inserted again, so the removal would not work.
        return;
      }
      let $updatedRow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this._buildRowDiv(row));
      $updatedRow.copyCssClasses(oldRow.$row, Table.SELECTION_CLASSES + ' first last');
      // Check if the cell tooltip is currently pointing to a cell in this row. If yes, update its $anchor to the corresponding cell
      // in the new row. Otherwise, the tooltip position will be wrong, because the old anchor is no longer part of the DOM.
      let $updatedTooltipCell = null;
      if (tooltipSupport !== null && tooltipSupport !== void 0 && tooltipSupport.tooltip) {
        let $oldRowCells = oldRow.$row.children('.table-cell');
        let oldTooltipCellIndex = $oldRowCells.index(tooltipSupport.tooltip.$anchor);
        if (oldTooltipCellIndex !== -1) {
          $updatedTooltipCell = $updatedRow.children('.table-cell').eq(oldTooltipCellIndex);
        }
      }
      oldRow.$row.replaceWith($updatedRow);
      Table.linkRowToDiv(row, $updatedRow);
      this._destroyTooltipsForRow(row);
      this._destroyCellEditorForRow(row);
      this._installRow(row);
      if ((_$updatedTooltipCell = $updatedTooltipCell) !== null && _$updatedTooltipCell !== void 0 && _$updatedTooltipCell.length) {
        tooltipSupport.update($updatedTooltipCell);
      }
      if (oldRow.$row.hasClass('showing') && oldRow.$row.outerHeight() < row.$row.outerHeight() / 3) {
        // If the row was being shown by an animation, start the animation again for the new row, otherwise row would immediately appear without animation.
        // Do it only, if the current running time of the animation does not exceed 33% (this won't be correct if the height of the new and old rows differ).
        // Goal: if the update happens immediately after the animation started, the new row will be animated nicely. If the update happens later, don't start the animation again from the start.
        this._showRow(row);
      }
    });
  }
  _sortAfterUpdate() {
    this._sort();
  }
  /**
   * @deprecated use {@link hierarchical} instead
   */
  isHierarchical() {
    return this.hierarchical;
  }
  _setHierarchical(hierarchical) {
    if (this.hierarchical === hierarchical) {
      return;
    }
    // Has to be called before the property is set! Otherwise, the grouping will not completely be removed, since isGroupingPossible() will return false.
    if (hierarchical) {
      this.removeAllColumnGroupings();
    }
    if (hierarchical && !(this.accessibilityRenderer instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HierarchicalTableAccessibilityRenderer)) {
      this.accessibilityRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.HierarchicalTableAccessibilityRenderer();
    }
    this._setProperty('hierarchical', hierarchical);
  }
  /**
   * The given rows must be rows of this table in desired order.
   */
  updateRowOrder(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    if (rows.length !== this.rows.length) {
      throw new Error('Row order may not be updated because lengths of the arrays differ.');
    }
    // update model (make a copy so that original array stays untouched)
    this.rows = rows.slice();
    this._updateRowStructure({
      updateTree: true,
      filteredRows: true,
      applyFilters: false,
      visibleRows: true
    });
    this.clearAggregateRows(this._animateAggregateRows);
    if (this._isDataRendered()) {
      this._renderRowOrderChanges();
    }
    this._triggerRowOrderChanged();
    this._group(this._animateAggregateRows);
    this._animateAggregateRows = false;
  }
  _destroyTooltipsForRow(row) {
    for (let i = this.tooltips.length - 1; i >= 0; i--) {
      if (this.tooltips[i].row.id === row.id) {
        this.tooltips[i].destroy();
        this.tooltips.splice(i, 1);
      }
    }
  }
  _destroyCellEditorForRow(row) {
    if (this.cellEditorPopup && this.cellEditorPopup.rendered && this.cellEditorPopup.row.id === row.id) {
      this.cellEditorPopup.destroy();
    }
  }
  startCellEdit(column, row, field) {
    if (field.destroyed) {
      // May happen if the action was postponed and the field destroyed in the meantime using endCellEdit.
      return;
    }
    if (!this._isDataRendered()) {
      this._postRenderActions.push(this.startCellEdit.bind(this, column, row, field));
      return;
    }
    if (!this.$container.isAttached()) {
      this._postAttachActions.push(this.startCellEdit.bind(this, column, row, field));
      return;
    }
    this.trigger('startCellEdit', {
      column: column,
      row: row,
      field: field
    });
    this.ensureRowRendered(row);
    let popup = column.startCellEdit(row, field);
    this.cellEditorPopup = popup;
    this.$container.toggleClass('has-cell-editor-popup', !!popup);
    if (!popup.rendered) {
      this.cancelCellEdit();
    }
    return popup;
  }
  /**
   * @param saveEditorValue when this parameter is set to true, the value of the editor field is set as
   *    new value on the edited cell. In remote case this parameter is always false, because the cell
   *    value is updated by an updateRow event instead. Default is false.
   */
  endCellEdit(field, saveEditorValue) {
    if (!this.cellEditorPopup) {
      // the cellEditorPopup could already be removed by scrolling (out of view range) or be removed by update rows
      field.destroy();
      return;
    }
    // Remove the cell-editor popup prior to destroying the field, so that the cell-editor-popup's focus context is
    // uninstalled first and the focus can be restored onto the last focused element of the surrounding focus context.
    // Otherwise, if the currently focused field is removed from DOM, the $entryPoint would be focused first, which can
    // be avoided if removing the popup first.
    // Also, Column.setCellValue needs to be called _after_ cellEditorPopup is set to null
    // because in updateRows we check if the popup is still there and start cell editing mode again.
    this._destroyCellEditorPopup(this._updateCellFromEditor.bind(this, this.cellEditorPopup, field, saveEditorValue));
  }
  _updateCellFromEditor(cellEditorPopup, field, saveEditorValue) {
    saveEditorValue = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(saveEditorValue, false);
    if (saveEditorValue) {
      let column = cellEditorPopup.column;
      column.updateCellFromEditor(cellEditorPopup.row, field);
    }
    field.destroy();
  }
  /**
   * Completes the cell editing with the following steps:
   * - Triggers the `completeCellEdit` event. If `preventDefault()` is called on the event, the following steps are not executed.
   * - Updates the cell value with the value from the cell editor.
   * - Closes the cell editor.
   */
  completeCellEdit() {
    if (!this.cellEditorPopup) {
      // No editing in progress
      return;
    }
    let field = this.cellEditorPopup.cell.field;
    let event = this.trigger('completeCellEdit', {
      field: field,
      row: this.cellEditorPopup.row,
      column: this.cellEditorPopup.column,
      cell: this.cellEditorPopup.cell
    });
    if (!event.defaultPrevented) {
      this.endCellEdit(field, true);
    }
  }
  /**
   * Cancels the cell editing with the following steps:
   * - Triggers the `cancelCellEdit` event. If `preventDefault()` is called on the event, the following step is not executed.
   * - Closes the cell editor without updating the cell's value.
   */
  cancelCellEdit() {
    if (!this.cellEditorPopup) {
      // No editing in progress
      return;
    }
    let field = this.cellEditorPopup.cell.field;
    let event = this.trigger('cancelCellEdit', {
      field: field,
      row: this.cellEditorPopup.row,
      column: this.cellEditorPopup.column,
      cell: this.cellEditorPopup.cell
    });
    if (!event.defaultPrevented) {
      this.endCellEdit(field);
    }
  }
  scrollTo(row, options) {
    if (this.viewRangeRendered.size() === 0) {
      // Cannot scroll to a row no row is rendered
      return;
    }
    this.ensureRowRendered(row);
    if (!row.$row) {
      // Row may not be visible due to the filter -> don't try to scroll because it would fail
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.$data, row.$row, options);
  }
  scrollPageUp() {
    let newScrollTop = Math.max(0, this.$data[0].scrollTop - this.$data.height());
    this.setScrollTop(newScrollTop);
  }
  scrollPageDown() {
    let newScrollTop = Math.min(this.$data[0].scrollHeight, this.$data[0].scrollTop + this.$data.height());
    this.setScrollTop(newScrollTop);
  }
  setScrollTop(scrollTop) {
    this.setProperty('scrollTop', scrollTop);
    // call _renderViewport to make sure rows are rendered immediately. The browser fires the scroll event handled by onDataScroll delayed
    if (this._isDataRendered()) {
      this._renderViewport();
    }
  }
  /** @internal */
  _renderScrollTop() {
    if (this.rendering) {
      // Not necessary to do it while rendering since it will be done by the layout
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.get$Scrollable(), this.scrollTop);
  }
  get$Scrollable() {
    if (this.$data) {
      return this.$data;
    }
    return this.$container;
  }
  /** @see TableModel.scrollToSelection */
  setScrollToSelection(scrollToSelection) {
    this.setProperty('scrollToSelection', scrollToSelection);
  }
  revealSelection() {
    if (!this._isDataRendered()) {
      // Execute delayed because table may be not layouted yet
      this.session.layoutValidator.schedulePostValidateFunction(this.revealSelection.bind(this));
      return;
    }
    if (this.selectedRows.length > 0) {
      this.scrollTo(this.selectedRows[0]);
    }
  }
  revealChecked() {
    let firstCheckedRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.rows, row => row.checked);
    if (firstCheckedRow) {
      this.scrollTo(firstCheckedRow);
    }
  }
  rowById(id) {
    return this.rowsMap[id];
  }
  rowsByIds(ids) {
    return ids.map(this.rowById.bind(this));
  }
  rowsToIds(rows) {
    return rows.map(row => row.id);
  }
  /**
   * Checks whether the given row is contained in the table. Uses the id of the row for the lookup.
   */
  hasRow(row) {
    return Boolean(this.rowsMap[row === null || row === void 0 ? void 0 : row.id]);
  }
  /**
   * render borders and selection of row. default select if no argument or false is passed in deselect
   * model has to be updated before calling this method.
   */
  _renderSelection(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows || this.selectedRows);
    // helper function adds/removes a class for a row only if necessary, return 1 if classes have been changed
    let addOrRemoveClassIfNeededFunc = ($row, condition, classname) => {
      let hasClass = $row.hasClass(classname);
      if (condition && !hasClass) {
        $row.addClass(classname);
        return 1;
      } else if (!condition && hasClass) {
        $row.removeClass(classname);
        return 1;
      }
      return 0;
    };
    this._renderNoRowsSelectedMarker();
    for (let i = 0; i < rows.length; i++) {
      // traditional for loop, elements might be added during loop
      let row = rows[i];
      if (!row.$row) {
        continue;
      }
      let thisRowSelected = this.selectedRows.indexOf(row) !== -1,
        visibleRows = this.visibleRows,
        previousIndex = visibleRows.indexOf(row) - 1,
        previousRowSelected = previousIndex >= 0 && this.selectedRows.indexOf(visibleRows[previousIndex]) !== -1,
        followingIndex = visibleRows.indexOf(row) + 1,
        followingRowSelected = followingIndex < visibleRows.length && this.selectedRows.indexOf(visibleRows[followingIndex]) !== -1;
      // Don't collapse selection borders if two consecutively selected (real) rows are separated by an aggregation row
      if (thisRowSelected && previousRowSelected && row.aggregateRowBefore) {
        previousRowSelected = false;
      }
      if (thisRowSelected && followingRowSelected && row.aggregateRowAfter) {
        followingRowSelected = false;
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.selected(row.$row, thisRowSelected || null);
      let classChanged = addOrRemoveClassIfNeededFunc(row.$row, thisRowSelected, 'selected') + addOrRemoveClassIfNeededFunc(row.$row, thisRowSelected && !previousRowSelected && followingRowSelected, 'select-top') + addOrRemoveClassIfNeededFunc(row.$row, thisRowSelected && previousRowSelected && !followingRowSelected, 'select-bottom') + addOrRemoveClassIfNeededFunc(row.$row, thisRowSelected && !previousRowSelected && !followingRowSelected, 'select-single') + addOrRemoveClassIfNeededFunc(row.$row, thisRowSelected && previousRowSelected && followingRowSelected, 'select-middle');
      if (classChanged > 0 && previousRowSelected && rows.indexOf(visibleRows[previousIndex]) === -1) {
        rows.push(visibleRows[previousIndex]);
      }
      if (classChanged > 0 && followingRowSelected && rows.indexOf(visibleRows[followingIndex]) === -1) {
        rows.push(visibleRows[followingIndex]);
      }
    }
    // Make sure the cell editor popup is correctly layouted because selection changes the cell bounds
    if (this.cellEditorPopup && this.cellEditorPopup.rendered && this.selectedRows.indexOf(this.cellEditorPopup.row) > -1) {
      this.cellEditorPopup.position();
      this.cellEditorPopup.pack();
    }
  }
  /** @internal */
  _removeSelection() {
    this.$container.addClass('no-rows-selected');
    this.selectedRows.forEach(row => {
      if (!row.$row) {
        return;
      }
      row.$row.select(false);
      row.$row.toggleClass(Table.SELECTION_CLASSES, false);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.selected(row.$row, null);
    });
  }
  _renderNoRowsSelectedMarker() {
    this.$container.toggleClass('no-rows-selected', this.selectedRows.length === 0);
  }
  addRowToSelection(row, ongoingSelection) {
    if (this.selectedRows.indexOf(row) > -1) {
      return;
    }
    ongoingSelection = ongoingSelection !== undefined ? ongoingSelection : true;
    this.selectedRows.push(row);
    if (row.$row && this._isDataRendered()) {
      row.$row.select(true);
      this._renderSelection(row);
      if (this.scrollToSelection) {
        this.revealSelection();
      }
    }
    this._triggerRowsSelectedPending = true;
    if (!ongoingSelection) {
      this.notifyRowSelectionFinished();
    }
  }
  removeRowFromSelection(row, ongoingSelection) {
    ongoingSelection = ongoingSelection !== undefined ? ongoingSelection : true;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.selectedRows, row)) {
      if (this._isDataRendered()) {
        this._renderSelection(row);
      }
      if (!ongoingSelection) {
        this._triggerRowsSelected();
      } else {
        this._triggerRowsSelectedPending = true;
      }
    }
  }
  selectRow(row, debounceSend) {
    this.selectRows(row, debounceSend);
  }
  selectRows(rows, debounceSend) {
    // Exclude rows that are currently not visible because of a filter (they cannot be selected)
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows).filter(row => Boolean(this.visibleRowsMap[row.id]));
    let selectedEqualRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.equalsIgnoreOrder(rows, this.selectedRows);
    // TODO [7.0] cgu: maybe make sure selectedRows are in correct order, this would make logic in AbstractTableNavigationKeyStroke or renderSelection easier
    // but requires some effort (remember rowIndex, keep array in order after sort, ... see java Table)
    if (selectedEqualRows) {
      return;
    }
    if (this._isDataRendered()) {
      this._removeSelection();
    }
    if (!this.multiSelect && rows.length > 1) {
      rows = [rows[0]];
    }
    this.selectedRows = rows; // (Note: direct assignment is safe because the initial filtering created a copy of the original array)
    this._triggerRowsSelected(debounceSend);
    this._updateMenusEnabled();
    this._updateMenuBar();
    if (this._isDataRendered()) {
      this._renderSelection();
      if (this.scrollToSelection) {
        this.revealSelection();
      }
    }
  }
  deselectRow(row) {
    this.deselectRows(row);
  }
  deselectRows(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    let selectedRows = this.selectedRows.slice(); // copy
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(selectedRows, rows)) {
      this.selectRows(selectedRows);
    }
  }
  isRowSelected(row) {
    return this.selectedRows.indexOf(row) > -1;
  }
  /**
   * Restores the selection by the given selectedKeys. Rows matching these given values (see {@link getRowsByKey}) will be selected.
   * If the table is {@link hierarchical} all parent rows of selected rows will be expanded.
   *
   * @param selectedKeys array of key values (see {@link TableRow.getKeyValues}) of the rows to select.
   */
  restoreSelection(selectedKeys) {
    const rows = this.getRowsByKey(selectedKeys);
    if (this.hierarchical) {
      // collect all parentRows of selectedRows and expand them
      const parentRows = new Set();
      const remaining = new Set(rows);
      for (const r of remaining) {
        const parentRow = r.parentRow;
        if (!parentRow) {
          continue;
        }
        parentRows.add(parentRow);
        // the iterator will iterate over newly added elements
        // therefore new elements added here will be processed
        remaining.add(parentRow);
      }
      this.expandRows([...parentRows]);
    }
    this.selectRows(rows);
  }
  /**
   * Get the key values (see {@link TableRow.getKeyValues}) of all selected rows.
   */
  getSelectedKeys() {
    var _this$selectedRows;
    if (!((_this$selectedRows = this.selectedRows) !== null && _this$selectedRows !== void 0 && _this$selectedRows.length)) {
      return [];
    }
    return this.selectedRows.map(row => row.getKeyValues());
  }
  /**
   * Get rows by comparing the given keys with the key values (see {@link TableRow.getKeyValues}) of the current rows.
   *
   * @param keys array of key values (see {@link TableRow.getKeyValues}).
   */
  getRowsByKey(keys) {
    var _keys;
    if (!((_keys = keys) !== null && _keys !== void 0 && _keys.length)) {
      return [];
    }
    keys = [...keys];
    const rows = [];
    for (const row of this.rows) {
      let index = -1;
      try {
        index = keys.findIndex(key => _index__WEBPACK_IMPORTED_MODULE_0__.objects.equalsRecursive(key, row.getKeyValues()));
      } catch (e) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Unable to find row.', e);
      }
      if (index !== -1) {
        keys.splice(index, 1);
        rows.push(row);
        if (!keys.length) {
          break;
        }
      }
    }
    return rows;
  }
  /**
   * @see getRowsByKey
   *
   * @param keys key values (see {@link TableRow.getKeyValues}).
   */
  getRowByKey(key) {
    if (!key) {
      return null;
    }
    return this.getRowsByKey([key])[0];
  }
  filterCount() {
    return this.filters.length;
  }
  filteredRows() {
    return this._filteredRows;
  }
  $rows(includeAggrRows) {
    let selector = '.table-row';
    if (includeAggrRows) {
      selector += ', .table-aggregate-row';
    }
    return this.$data.find(selector);
  }
  $aggregateRows() {
    return this.$data.find('.table-aggregate-row');
  }
  /**
   * @returns the first selected row of this table or null when no row is selected
   */
  selectedRow() {
    if (this.selectedRows.length > 0) {
      return this.selectedRows[0];
    }
    return null;
  }
  $selectedRows() {
    if (!this.$data) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default()();
    }
    return this.$data.find('.selected');
  }
  $cellsForColIndex(colIndex, includeAggrRows) {
    let selector = '.table-row > div:nth-of-type(' + colIndex + ')';
    if (includeAggrRows) {
      selector += ', .table-aggregate-row > div:nth-of-type(' + colIndex + ')';
    }
    return this.$data.find(selector);
  }
  $cellsForRow($row) {
    return $row.children('.table-cell');
  }
  /**
   * @param column or columnIndex
   */
  $cell(column, $row) {
    let columnIndex;
    if (typeof column !== 'number') {
      columnIndex = this.visibleColumns().indexOf(column);
    } else {
      columnIndex = column;
    }
    return $row.children('.table-cell').eq(columnIndex);
  }
  columnById(columnId, type) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.columns, column => column.id === columnId);
  }
  /**
   * @param $cell the $cell to get the column for
   * @param $row the $row which contains the $cell. If not passed it will be determined automatically
   * @returns the column for the given $cell
   */
  columnFor$Cell($cell, $row) {
    $row = $row || $cell.parent();
    let cellIndex = this.$cellsForRow($row).index($cell);
    return this.visibleColumns()[cellIndex];
  }
  columnsByIds(columnIds) {
    return columnIds.map(id => this.columnById(id));
  }
  getVisibleRows() {
    return this.visibleRows;
  }
  _updateRowStructure(options) {
    let updateTree = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.updateTree, false),
      updateFilteredRows = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.filteredRows, updateTree),
      applyFilters = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.applyFilters, updateFilteredRows),
      filtersChanged = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.filtersChanged, false),
      updateVisibleRows = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.visibleRows, updateFilteredRows);
    if (updateTree) {
      this._rebuildTreeStructure();
    }
    if (updateFilteredRows) {
      this._updateFilteredRows(applyFilters, filtersChanged);
    }
    if (updateVisibleRows) {
      this._updateVisibleRows();
    }
  }
  _rebuildTreeStructure() {
    let hierarchical = false;
    this.rows.forEach(row => {
      row.childRows = [];
      hierarchical = hierarchical || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(row.parentRow);
    });
    if (!hierarchical) {
      this.rootRows = this.rows;
      this._setHierarchical(hierarchical);
      return;
    }
    this._setHierarchical(hierarchical);
    this.rootRows = [];
    this.rows.forEach(row => {
      let parentRow;
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(row.parentRow)) {
        // root row
        row.parentRow = null;
        row['_parentRowId'] = null;
        this.rootRows.push(row);
        return;
      }
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(row.parentRow.id)) {
        parentRow = this.rowsMap[row.parentRow.id];
      } else {
        // expect id
        let parentRowId = row.parentRow;
        parentRow = this.rowsMap[parentRowId];
      }
      if (parentRow) {
        row.parentRow = parentRow;
        row['_parentRowId'] = parentRow.id;
        parentRow.childRows.push(row);
      } else {
        // do not allow unresolvable parent rows.
        throw new Error('Parent row ' + row.parentRow + ' of row ' + row.id + ' cannot be resolved.');
      }
    });
    // traverse row tree to have minimal order of rows.
    this._maxLevel = 0;
    this.rows = [];
    this.visitRows((row, level) => {
      row.hierarchyLevel = level;
      this._maxLevel = Math.max(level, this._maxLevel);
      this.rows.push(row);
    });
    this._calculateTableNodeColumn();
  }
  _updateFilteredRows(applyFilters, changed) {
    changed = Boolean(changed);
    applyFilters = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(applyFilters, true);
    this._filteredRows = this.rows.filter(row => {
      if (applyFilters) {
        changed = this._applyFiltersForRow(row) || changed;
      }
      return row.filterAccepted;
    });
    if (changed) {
      this._triggerFilter();
    }
  }
  _updateVisibleRows() {
    this.visibleRows = this._computeVisibleRows();
    // rebuild the rows by id map of visible rows
    this.visibleRowsMap = this.visibleRows.reduce((map, row) => {
      map[row.id] = row;
      return map;
    }, {});
    if (this.initialized) {
      // deselect not visible rows
      let notVisibleRows = this.selectedRows.filter(selectedRow => !this.visibleRowsMap[selectedRow.id]);
      this.deselectRows(notVisibleRows);
    }
  }
  _computeVisibleRows(rows) {
    let visibleRows = [];
    rows = rows || this.rootRows;
    rows.forEach(row => {
      let visibleChildRows = this._computeVisibleRows(row.childRows);
      if (row.filterAccepted) {
        visibleRows.push(row);
      } else if (visibleChildRows.length > 0) {
        visibleRows.push(row);
      }
      row.expandable = visibleChildRows.length > 0;
      if (row.expanded) {
        visibleRows = visibleRows.concat(visibleChildRows);
      }
    });
    return visibleRows;
  }
  visibleChildRows(row) {
    return row.childRows.filter(child => Boolean(this.visibleRowsMap[child.id]));
  }
  _renderRowDelta() {
    if (!this._isDataRendered()) {
      return;
    }
    let renderedRows = [];
    let rowsToHide = [];
    this.$rows().each((i, elem) => {
      let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let row = $row.data('row');
      if (this.visibleRows.indexOf(row) < 0) {
        // remember for remove animated
        row.$row.detach();
        rowsToHide.push(row);
      } else {
        if ($row.hasClass('hiding')) {
          // If a row is shown again while the hide animation is still running, complete the hide animation first to ensure the same model row will never be rendered twice.
          // In order to get a show animation for that case, don't add this row to the list of renderedRows.
          $row.stop(false, true);
        } else {
          renderedRows.push(row);
        }
      }
    });
    this._rerenderViewport();
    // insert rows to remove animated
    rowsToHide.forEach(row => row.$row.insertAfter(this.$fillBefore));
    // Rows removed by an animation are still there, new rows were appended -> reset correct row order
    this._order$Rows().insertAfter(this.$fillBefore);
    // Also make sure aggregate rows are at the correct position (_renderAggregateRows does nothing because they are already rendered)
    this._order$AggregateRows();
    // remove animated
    rowsToHide.forEach(row => this._hideRow(row));
    this.$rows().each((i, elem) => {
      let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      let row = $row.data('row');
      if ($row.hasClass('hiding')) {
        // Do not remove rows which are removed using an animation
        // row.$row may already point to a new row -> don't call removeRow to not accidentally remove the new row
        return;
      }
      if (renderedRows.indexOf(row) < 0) {
        this._showRow(row);
      }
    });
    this._renderScrollTop();
    this._renderEmptyData();
  }
  /**
   * Sorts the given $rows according to the row index
   */
  _order$Rows($rows) {
    // Find rows using jquery because this.filteredRows() may be empty but there may be $rows which are getting removed by animation
    $rows = $rows || this.$rows();
    return $rows.sort((elem1, elem2) => {
      let $row1 = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem1),
        $row2 = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem2),
        row1 = $row1.data('row'),
        row2 = $row2.data('row');
      return this.rows.indexOf(row1) - this.rows.indexOf(row2);
    });
  }
  _order$AggregateRows($rows) {
    // Find aggregate rows using jquery because
    // this._aggregateRows may be empty but there may be $aggregateRows which are getting removed by animation
    $rows = $rows || this.$aggregateRows();
    $rows.each((i, elem) => {
      let $aggrRow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
        aggregateRow = $aggrRow.data('aggregateRow');
      if (!aggregateRow || !aggregateRow.prevRow) {
        return;
      }
      $aggrRow.insertAfter(aggregateRow.prevRow.$row);
    });
  }
  /**
   * @returns true if row state has changed, false if not
   */
  _applyFiltersForRow(row) {
    return this.filterSupport.applyFiltersForElement(row);
  }
  /**
   * @returns labels of the currently active Filters that provide a createLabel() function
   */
  filteredBy() {
    let filteredBy = [];
    this.filters.forEach(filter => {
      // check if filter supports label
      if (filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter) {
        filteredBy.push(filter.createLabel());
      }
    });
    return filteredBy;
  }
  resetUserFilter() {
    let applyFilter = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    this.filters.filter(filter => filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter).forEach(filter => this.removeFilter(filter, applyFilter));
    this._triggerFilterReset();
  }
  hasUserFilter() {
    return this.filters.filter(filter => filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter).length > 0;
  }
  resizeToFit(column, maxWidth) {
    if (column.fixedWidth) {
      return;
    }
    let returnValue = column.calculateOptimalWidth();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(returnValue)) {
      // Function returned a promise -> delay resizing
      returnValue.always(this._resizeToFit.bind(this, column, maxWidth));
    } else {
      this._resizeToFit(column, maxWidth, returnValue);
    }
  }
  _resizeToFit(column, maxWidth, calculatedSize) {
    if (calculatedSize === -1) {
      // Calculation has been aborted -> don't resize
      return;
    }
    if (maxWidth && maxWidth > 0 && calculatedSize > maxWidth) {
      calculatedSize = maxWidth;
    }
    if (column.width !== calculatedSize) {
      this.resizeColumn(column, calculatedSize);
    }
    column.autoOptimizeWidthRequired = false;
    this._triggerColumnResizedToFit(column);
  }
  /**
   * @param filter The filter to add.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  addFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    if (filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter) {
      let previousFilter = this.getFilter(filter.createKey());
      this.filterSupport.removeFilter(previousFilter, false);
    }
    let added = this.filterSupport.addFilter(filter, applyFilter);
    if (added && added.length) {
      this.trigger('filterAdded', {
        filter: added[0]
      });
    }
  }
  /**
   * @param filter The filter to remove.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  removeFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let removed = this.filterSupport.removeFilter(filter, applyFilter);
    if (removed && removed.length) {
      this.trigger('filterRemoved', {
        filter: removed[0]
      });
    }
  }
  removeFilterByKey(key) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.removeFilter(this.getFilter(key), applyFilter);
  }
  getFilter(key) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.filters, f => {
      if (!(f instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter)) {
        return false;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(f.createKey(), key);
    });
  }
  /**
   * @param filter The new filters.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   * @see TableModel.filters
   */
  setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.resetUserFilter(false);
    let tableFilters = filters.map(filter => this._ensureFilter(filter));
    let result = this.filterSupport.setFilters(tableFilters, applyFilter);
    let filtersAdded = result.filtersAdded;
    let filtersRemoved = result.filtersRemoved;
    filtersAdded.forEach(filter => this.trigger('filterAdded', {
      filter: filter
    }));
    filtersRemoved.forEach(filter => this.trigger('filtersRemoved', {
      filter: filter
    }));
  }
  _ensureFilter(filter) {
    if (filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter || !filter['objectType']) {
      return filter;
    }
    let filterModel = filter;
    // @ts-expect-error
    if (filterModel.column) {
      // @ts-expect-error
      filterModel.column = this.columnById(filterModel.column);
    }
    filterModel.table = this;
    filterModel.session = this.session;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(filterModel);
  }
  filter() {
    this.filterSupport.filter();
  }
  _filter(options) {
    this._updateRowStructure(jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options, {
      filteredRows: true
    }));
    this._renderRowDelta();
    this._group();
    this.revealSelection();
  }
  _createFilterSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FilterSupport({
      widget: this,
      $container: () => this.$container,
      getElementsForFiltering: () => this.rows,
      createTextFilter: () => _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter, {
        session: this.session,
        table: this
      }),
      updateTextFilterText: (filter, text) => {
        if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(filter.text, text)) {
          return false;
        }
        filter.text = text;
        return true;
      }
    });
  }
  /** @see TableModel.textFilterEnabled */
  setTextFilterEnabled(textFilterEnabled) {
    this.setProperty('textFilterEnabled', textFilterEnabled);
  }
  isTextFilterFieldVisible() {
    return this.textFilterEnabled && !this.footerVisible;
  }
  _renderTextFilterEnabled() {
    this.filterSupport.renderFilterField();
  }
  _renderMultiSelect() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.multiselectable(this.$container, this.multiSelect || this.multiCheck ? true : null);
  }
  _renderMultiCheck() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.multiselectable(this.$container, this.multiSelect || this.multiCheck ? true : null);
  }
  updateFilteredElements(result, opts) {
    if (this.filteredElementsDirty) {
      this._filter({
        filteredRows: true,
        applyFilters: false,
        filtersChanged: true
      });
      this.filteredElementsDirty = false;
    }
  }
  /**
   * Resizes the given column to the new size.
   *
   * @param column column to resize
   * @param width new column size
   */
  resizeColumn(column, width) {
    if (column.fixedWidth) {
      return;
    }
    width = Math.floor(width);
    column.setWidth(width);
    if (this._isDataRendered()) {
      this._renderResizeColumn(column, width);
    }
    this._triggerColumnResized(column);
  }
  _renderResizeColumn(column, width) {
    let visibleColumnIndex = this.visibleColumns().indexOf(column);
    if (visibleColumnIndex !== -1) {
      let colNum = visibleColumnIndex + 1;
      this.$cellsForColIndex(colNum, true).css('min-width', width).css('max-width', width);
      this._updateRealColumnWidth(column);
      this._updateRowWidth();
      this.$rows(true).css('width', this.rowWidth);
      // If resized column contains cells with wrapped text, view port needs to be updated
      // Remove row height for non-rendered rows because it may have changed due to resizing (wrap text)
      this._updateRowHeights();
      this._renderFiller();
      this._renderViewport();
      this.updateScrollbars();
      this._renderEmptyData();
    }
    this._aggregateRows.forEach(aggregateRow => {
      if (aggregateRow.$row) {
        this._resizeAggregateCell(this.$cell(column, aggregateRow.$row));
      }
    });
    this.findDesktop().repositionTooltips();
  }
  /** @internal */
  _resizeAggregateCell($cell) {
    // A resize of aggregate columns might also be necessary if the current resize column itself does not contain any content.
    // E.g. when having 3 columns: first and last have content, middle column is empty. While resizing the middle column,
    // it might happen that the overlapping content from the first and the last collide. Therefore, always update aggregate columns
    // closest to $cell.
    let range = this._getAggrCellRange($cell);
    this._updateAggrCell(range[0]);
    if (range.length > 1) {
      this._updateAggrCell(range[range.length - 1]);
    }
  }
  /**
   * @internal
   * Gets the aggregation cell range. this is the range from one aggregation cell with content to the next (or the table end).
   * @param $cell The cell to get the surrounding range
   * @returns All cells of the range to which the given cell belongs
   */
  _getAggrCellRange($cell) {
    let $cells = [],
      $row = $cell.parent(),
      visibleColumns = this.visibleColumns(),
      $start = $cell,
      direction;
    let hasContent = $c => !$c.hasClass('empty');
    if (hasContent($cell)) {
      direction = $cell.hasClass('halign-right') ? -1 : 1; // do not use column.horizontalAlignment here because it might be different in the aggregation row (e.g. when the first column is a number column).
    } else {
      direction = 1; // after start has been found: always walk to the right
      let colIndex = visibleColumns.indexOf(this.columnFor$Cell($cell));
      for (let pos = colIndex - 1; pos >= 0; pos--) {
        $start = this.$cell(visibleColumns[pos], $row);
        if (hasContent($start)) {
          break; // next column with content reached
        }
      }
    }
    $cells.push($start);
    let startIndex = visibleColumns.indexOf(this.columnFor$Cell($start));
    for (let pos = startIndex + direction; pos >= 0 && pos < visibleColumns.length; pos += direction) {
      let $curCell = this.$cell(visibleColumns[pos], $row);
      $cells.push($curCell);
      if (hasContent($curCell)) {
        break; // next column with content reached
      }
    }
    return $cells;
  }
  /**
   * Updates the width and icon visibility of an aggregate cell in groupingStyle=title
   * @param $cell The aggregation cell that should be updated.
   */
  _updateAggrCell($cell) {
    let $cellText = $cell.children('.text');
    if (!$cellText || !$cellText.length || $cell.hasClass('empty')) {
      return; // nothing to update (empty cell)
    }
    let $icon = $cell.children('.table-cell-icon').first();
    let cellWidth = this._getAggrCellWidth($cell, $icon);
    cellWidth = this._updateAggrIconVisibility($icon, $cellText, cellWidth);
    $cellText.cssMaxWidth(cellWidth);
  }
  _getWidthWithMarginCached($element) {
    if (!$element || !$element.length) {
      return 0;
    }
    let widthKey = 'widthWithMargin';
    let precomputed = $element.data(widthKey);
    if (precomputed) {
      return precomputed;
    }
    let originallyVisible = $element.isVisible();
    if (!originallyVisible) {
      $element.setVisible(true); // set visible so that the width can be read
    }
    let width = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($element, {
      includeMargin: true
    }).width;
    if (!originallyVisible) {
      $element.setVisible(false); // restore original visibility
    }
    $element.data(widthKey, width); // cache width
    return width;
  }
  /**
   * Gets the computed space that is available to the content of the cell.
   *
   * @param $cell The aggregation cell for which the info should be computed
   * @param $icon The icon of the cell. May be null.
   * @returns The unused space available into flow direction of the cell til the end of the table or the next cell with content.
   */
  _getAggrCellWidth($cell, $icon) {
    let cellSpaceForText = $cell.cssMaxWidth() - $cell.cssPaddingX();
    if ($icon && $icon.length && $icon.isVisible()) {
      cellSpaceForText -= this._getWidthWithMarginCached($icon);
    }
    let range = this._getAggrCellRange($cell);
    for (let i = 1; i < range.length; i++) {
      let $aggrCell = range[i];
      let cellIsEmpty = $aggrCell.hasClass('empty');
      if (cellIsEmpty) {
        // consume full space available
        cellSpaceForText += $aggrCell.cssMaxWidth();
      } else {
        // first neighbour with content found
        let growsTowardsEachOthers = $cell.hasClass('halign-right') !== $aggrCell.hasClass('halign-right');
        if (growsTowardsEachOthers) {
          // cells grow towards each other: use the free space of the cell
          let cellWidth = $aggrCell.cssMaxWidth();
          let cellConsumedSpace = $aggrCell.children().toArray().map(item => jquery__WEBPACK_IMPORTED_MODULE_1___default()(item)).filter($item => $item.isVisible()).map($item => _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($item, {
            includeMargin: true
          }).width).reduce((a, b) => a + b, 0) + $cell.cssPaddingLeft();
          let cellAvailSpace = cellWidth - cellConsumedSpace;
          if ($aggrCell.hasClass('halign-center')) {
            // if the cell uses center-alignment, the available space is consumed by left and right side
            // -> only half of the space is available as overflow
            cellAvailSpace /= 2;
          }
          cellSpaceForText += cellAvailSpace;
        }
        break;
      }
    }
    return Math.max(0, cellSpaceForText);
  }
  /**
   * Sets the aggregation cell icon visible or not depending on the space available.
   * If the available space is big enough to hold the content of the cell text and the icon, the icon will become visible. Otherwise, the icon will be hidden.
   * This way no ellipsis will be shown as long as there is enough space for the text only.
   *
   * @param $icon The icon for which the visibility should be changed
   * @param $cellText The element holding the text of the cell. Required to compute if there is still enough space for text and icon or not
   * @param spaceAvailableForText The newly computed space available for the cell text.
   * @returns The new space available for the text. If the visibility of the icon changed, more or less space might become available.
   */
  _updateAggrIconVisibility($icon, $cellText, spaceAvailableForText) {
    if (!$icon || !$icon.length) {
      return spaceAvailableForText;
    }
    let isIconVisible = $icon.isVisible();
    let iconWidth = this._getWidthWithMarginCached($icon);
    let cellTextWidth = this._getWidthWithMarginCached($cellText);
    let spaceForIcon = spaceAvailableForText - cellTextWidth + (isIconVisible ? iconWidth : 0);
    let newIsIconVisible = spaceForIcon > iconWidth;
    if (newIsIconVisible === isIconVisible) {
      return spaceAvailableForText;
    }
    $icon.setVisible(newIsIconVisible);
    return spaceAvailableForText + (newIsIconVisible ? -iconWidth : iconWidth);
  }
  moveColumn(column, visibleOldPos, visibleNewPos, dragged) {
    // If there are fixed columns, don't allow moving the column onto the other side of the fixed columns
    visibleNewPos = this._considerFixedPositionColumns(visibleOldPos, visibleNewPos);
    // Translate position of 'visible columns' array to position in 'all columns' array
    let visibleColumns = this.visibleColumns();
    let newColumn = visibleColumns[visibleNewPos];
    let newPos = this.columns.indexOf(newColumn);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.columns, column);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this.columns, column, newPos);
    visibleColumns = this.visibleColumns();
    visibleNewPos = visibleColumns.indexOf(column); // we must re-evaluate visible columns
    this._calculateTableNodeColumn();
    this._triggerColumnMoved(column, visibleOldPos, visibleNewPos, dragged);
    // move aggregated rows
    this._aggregateRows.forEach(aggregateRow => _index__WEBPACK_IMPORTED_MODULE_0__.arrays.move(aggregateRow.contents, visibleOldPos, visibleNewPos));
    // move cells
    if (this._isDataRendered()) {
      this._rerenderViewport();
    }
  }
  /**
   * Ensures the given newPos does not pass a fixed column boundary (necessary when moving columns)
   */
  _considerFixedPositionColumns(visibleOldPos, visibleNewPos) {
    let fixedColumnIndex = -1;
    if (visibleNewPos > visibleOldPos) {
      // move to right
      fixedColumnIndex = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndexFrom(this.visibleColumns(), visibleOldPos, col => col.fixedPosition);
      if (fixedColumnIndex > -1) {
        visibleNewPos = Math.min(visibleNewPos, fixedColumnIndex - 1);
      }
    } else {
      // move to left
      fixedColumnIndex = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndexFromReverse(this.visibleColumns(), visibleOldPos, col => col.fixedPosition);
      if (fixedColumnIndex > -1) {
        visibleNewPos = Math.max(visibleNewPos, fixedColumnIndex + 1);
      }
    }
    return visibleNewPos;
  }
  _renderColumnOrderChanges(oldColumnOrder) {
    let $cell,
      that = this;
    if (this.header) {
      this.header.onOrderChanged(oldColumnOrder);
    }
    // move cells
    this.$rows(true).each(function () {
      let $row = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      let $orderedCells = jquery__WEBPACK_IMPORTED_MODULE_1___default()();
      let $cells = $row.children();
      for (let i = 0; i < that.columns.length; i++) {
        let column = that.columns[i];
        // Find $cell for given column
        for (let j = 0; j < oldColumnOrder.length; j++) {
          if (oldColumnOrder[j] === column) {
            $cell = $cells[j];
            break;
          }
        }
        $orderedCells.push($cell);
      }
      $row.prepend($orderedCells);
    });
  }
  _triggerRowsInserted(rows) {
    this.trigger('rowsInserted', {
      rows: rows
    });
  }
  _triggerRowsDeleted(rows) {
    this.trigger('rowsDeleted', {
      rows: rows
    });
  }
  _triggerRowsUpdated(rows) {
    this.trigger('rowsUpdated', {
      rows: rows
    });
  }
  _triggerAllRowsDeleted(rows) {
    this.trigger('allRowsDeleted', {
      rows: rows
    });
  }
  _triggerRowsSelected(debounce) {
    this.trigger('rowsSelected', {
      debounce: debounce
    });
  }
  _triggerRowsChecked(rows) {
    this.trigger('rowsChecked', {
      rows: rows
    });
  }
  _triggerRowsExpanded(rows) {
    this.trigger('rowsExpanded', {
      rows: rows
    });
  }
  _triggerFilter() {
    this.trigger('filter');
  }
  _triggerFilterReset() {
    this.trigger('filterReset');
  }
  _triggerAppLinkAction(column, row, ref, $appLink) {
    this.trigger('appLinkAction', {
      column: column,
      row: row,
      ref: ref,
      $appLink: $appLink
    });
  }
  _triggerReload(reloadReason) {
    this.trigger('reload', {
      reloadReason: reloadReason
    });
  }
  _triggerClipboardExport() {
    let event = this.trigger('clipboardExport');
    if (!event.defaultPrevented) {
      this._exportToClipboard();
    }
  }
  _triggerRowOrderChanged(row, animating) {
    let event = {
      row: row,
      animating: animating
    };
    this.trigger('rowOrderChanged', event);
  }
  _triggerColumnResized(column) {
    let event = {
      column: column
    };
    this.trigger('columnResized', event);
  }
  _triggerColumnResizedToFit(column) {
    let event = {
      column: column
    };
    this.trigger('columnResizedToFit', event);
  }
  _triggerColumnMoved(column, oldPos, newPos, dragged) {
    let event = {
      column: column,
      oldPos: oldPos,
      newPos: newPos,
      dragged: dragged
    };
    this.trigger('columnMoved', event);
  }
  _triggerAggregationFunctionChanged(column) {
    let event = {
      column: column
    };
    this.trigger('aggregationFunctionChanged', event);
  }
  /** @see TableModel.headerVisible */
  setHeaderVisible(visible) {
    this.setProperty('headerVisible', visible);
  }
  _renderHeaderVisible() {
    this._renderTableHeader();
  }
  /** @see TableModel.headerEnabled */
  setHeaderEnabled(headerEnabled) {
    this.setProperty('headerEnabled', headerEnabled);
  }
  _renderHeaderEnabled() {
    // Rebuild the table header when this property changes
    this._removeTableHeader();
    this._renderTableHeader();
  }
  /** @see TableModel.headerMenusEnabled */
  setHeaderMenusEnabled(headerMenusEnabled) {
    this.setProperty('headerMenusEnabled', headerMenusEnabled);
    if (this.header) {
      this.header.setHeaderMenusEnabled(this.headerMenusEnabled);
    }
  }
  hasPermanentHeadOrTailSortColumns() {
    return this._permanentHeadSortColumns.length !== 0 || this._permanentTailSortColumns.length !== 0;
  }
  _setHeadAndTailSortColumns() {
    // find all sort columns (head and tail sort columns should always be included)
    let sortColumns = this.columns.filter(c => c.sortIndex >= 0);
    sortColumns.sort((a, b) => a.sortIndex - b.sortIndex);
    this._permanentHeadSortColumns = [];
    this._permanentTailSortColumns = [];
    sortColumns.forEach(c => {
      if (c.initialAlwaysIncludeSortAtBegin) {
        this._permanentHeadSortColumns.push(c);
      } else if (c.initialAlwaysIncludeSortAtEnd) {
        this._permanentTailSortColumns.push(c);
      }
    });
  }
  /** @see TableModel.tileMode */
  setTileMode(tileMode) {
    this.setProperty('tileMode', tileMode);
  }
  _setTileMode(tileMode) {
    if (tileMode) {
      this._ensureMediator();
      if (!this.tileTableHeader) {
        this._setTileTableHeader(this._createTileTableHeader());
      }
      this.tableTileGridMediator.loadTiles();
      this.tableTileGridMediator.activate();
    }
    this._setProperty('tileMode', tileMode);
    if (!tileMode && this.tableTileGridMediator) {
      this.tableTileGridMediator.deactivate();
    }
  }
  _ensureMediator() {
    if (!this.tableTileGridMediator) {
      this.tableTileGridMediator = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableTileGridMediator, {
        parent: this,
        gridColumnCount: 6
      });
    }
  }
  _renderTileMode() {
    if (this.tableTileGridMediator) {
      this.tableTileGridMediator.renderTileMode();
    }
  }
  createTiles(rows) {
    return rows.map(row => {
      let tile = this.createTileForRow(row);
      this._adaptTile(tile);
      tile.rowId = row.id;
      return tile;
    });
  }
  _adaptTile(tile) {
    tile.setGridDataHints({
      weightX: 0
    });
  }
  createTileForRow(row) {
    if (this.tileProducer) {
      return this.tileProducer(row);
    }
    throw new Error('Cannot create a tile without a producer.');
  }
  /** @see TableModel.tileProducer */
  setTileProducer(tileProducer) {
    this.setProperty('tileProducer', tileProducer);
  }
  _setTileTableHeader(tileTableHeader) {
    if (tileTableHeader) {
      tileTableHeader.addCssClass('tile-table-header');
    }
    this._setProperty('tileTableHeader', tileTableHeader);
  }
  _createTileTableHeader() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileTableHeaderBox, {
      parent: this
    });
  }
  /** @see TableModel.rowIconVisible */
  setRowIconVisible(rowIconVisible) {
    this.setProperty('rowIconVisible', rowIconVisible);
  }
  _setRowIconVisible(rowIconVisible) {
    this._setProperty('rowIconVisible', rowIconVisible);
    let column = this.rowIconColumn;
    if (this.rowIconVisible && !column) {
      this._insertRowIconColumn();
      this._calculateTableNodeColumn();
      this.trigger('columnStructureChanged');
    } else if (!this.rowIconVisible && column) {
      column.destroy();
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.columns, column);
      this.rowIconColumn = null;
      this._calculateTableNodeColumn();
      this.trigger('columnStructureChanged');
    }
  }
  _renderRowIconVisible() {
    this.columnLayoutDirty = true;
    this._updateRowWidth();
    this.redraw();
  }
  _renderRowIconColumnWidth() {
    if (!this.rowIconVisible) {
      return;
    }
    this._renderRowIconVisible();
  }
  /** @see TableModel.rowIconColumnWidth */
  setRowIconColumnWidth(width) {
    this.setProperty('rowIconColumnWidth', width);
  }
  _setRowIconColumnWidth(width) {
    this._setProperty('rowIconColumnWidth', width);
    let column = this.rowIconColumn;
    if (column) {
      column.width = width;
    }
  }
  _setSelectedRows(selectedRows) {
    if (typeof selectedRows[0] === 'string') {
      selectedRows = this.rowsByIds(selectedRows);
    }
    this._setProperty('selectedRows', selectedRows);
  }
  /** @see TableModel.menus */
  setMenus(menus) {
    this.setProperty('menus', menus);
  }
  _setMenus(menus) {
    this.updateKeyStrokes(menus, this.menus);
    this.menus.forEach(menu => menu.off('propertyChange:inheritAccessibility', this._menuInheritAccessibilityChangeHandler));
    this._setProperty('menus', menus);
    this._updateMenuBar();
    this._updateMenusEnabled();
    this.menus.forEach(menu => menu.on('propertyChange:inheritAccessibility', this._menuInheritAccessibilityChangeHandler));
    if (this.header) {
      this.header.updateMenuBar();
    }
  }
  setMenuBarVisible(visible) {
    this.setProperty('menuBarVisible', visible);
  }
  _setMenuBarVisible(visible) {
    this._setProperty('menuBarVisible', visible);
    this._updateMenuBar();
  }
  _renderMenuBarVisible() {
    if (this.menuBarVisible) {
      this.menuBar.render();
      this._refreshMenuBarPosition();
    } else {
      this.menuBar.remove();
    }
    this._updateMenuBar();
    this.invalidateLayoutTree();
  }
  /** @internal */
  _refreshMenuBarPosition() {
    this.$container.removeClass('menubar-top');
    this.$container.removeClass('menubar-bottom');
    if (this.menuBarVisible && this.menuBar.rendered) {
      if (this.menuBar.position === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP) {
        this.menuBar.$container.prependTo(this.$container);
        this.$container.addClass('menubar-top');
      } else {
        this.menuBar.$container.appendTo(this.$container);
        this.$container.addClass('menubar-bottom');
      }
    }
  }
  _createMenuBar() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.MenuItemsOrder(this.session, 'Table', this.defaultMenuTypes),
      menuFilter: this._filterMenusHandler,
      cssClass: 'bounded'
    });
  }
  _updateMenuBar() {
    if (this.menuBarVisible) {
      // Do not update menuBar while it is invisible, the menus may now be managed by another widget.
      // -> this makes sure the parent is not accidentally set to the table, the other widget should remain responsible
      let notAllowedTypes = ['Header'];
      let menuItems = this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.MENU_BAR, false, true, notAllowedTypes);
      menuItems = this.staticMenus.concat(menuItems);
      this.menuBar.setMenuItems(menuItems);
    } else {
      this.menuBar.setMenuItems([]);
    }
    this._refreshMenuBarClasses();
    if (this.contextMenu) {
      let contextMenuItems = this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU, true, false, ['Header']);
      this.contextMenu.updateMenuItems(contextMenuItems);
    }
  }
  _refreshMenuBarClasses() {
    if (!this.$container) {
      return;
    }
    this.$container.toggleClass('has-menubar', this.menuBar && this.menuBar.visible);
    this.$container.toggleClass('menubar-top', this.menuBar && this.menuBar.position === _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
    this.$container.toggleClass('menubar-bottom', this.menuBar && this.menuBar.position !== _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.TOP);
  }
  /**
   * Updates the enabled state of single- and multi-selection menus based on the enabled state of the selected row(s).
   *
   * To make a menu independent of the enabled state of its ancestors (including the row), {@link Widget.inheritAccessibility} can be set to false.
   * To make a menu only independent of the enabled state of the row, but it should still consider the enabled state of the table and its ancestors, setting the dependent dimension can be prevented as follows:
   * ```
   * menu.on('propertyChange:enabled-dependent', event => event.preventDefault());
   * ```
   */
  _updateMenusEnabled() {
    const menus = this._filterMenusForContextMenu();
    let selectedRowsEnabled = this.selectedRows.every(row => row.enabled);
    for (const menu of menus) {
      menu.setPropertyDimension('enabled', 'dependent', !menu.inheritAccessibility || selectedRowsEnabled);
    }
  }
  _setKeyStrokes(keyStrokes) {
    this.updateKeyStrokes(keyStrokes, this.keyStrokes);
    this._setProperty('keyStrokes', keyStrokes);
  }
  setTableStatus(status) {
    this.setProperty('tableStatus', status);
  }
  /**
   * If the rows of this table are limited, the tableStatus is set to the corresponding message.
   * {@link rows.length} and {@link estimatedRowCount} of this table are taken into account to create the status message.
   * @param limitedResult Specifies if the rows of this table are limited.
   */
  setLimitedResultTableStatus(limitedResult) {
    if (!limitedResult) {
      if (this.tableStatus instanceof _index__WEBPACK_IMPORTED_MODULE_0__.LimitedResultTableStatus) {
        this.setTableStatus(null);
      }
      return;
    }
    const estimatedRowCount = this.estimatedRowCount;
    const numRows = this.rows.length;
    const decimalFormat = this.session.locale.decimalFormat;
    const showingRowCountText = decimalFormat.format(numRows);
    let message;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE) {
      if (estimatedRowCount > 0) {
        const estimatedRowCountText = decimalFormat.format(estimatedRowCount);
        message = this.session.text('MaxOutlineRowWarningMobileWithEstimatedRowCount', showingRowCountText, estimatedRowCountText);
      } else {
        message = this.session.text('MaxOutlineRowWarningMobile', showingRowCountText);
      }
    } else {
      if (estimatedRowCount > 0) {
        const estimatedRowCountText = decimalFormat.format(estimatedRowCount);
        message = this.session.text('MaxOutlineRowWarningWithEstimatedRowCount', showingRowCountText, estimatedRowCountText);
      } else {
        message = this.session.text('MaxOutlineRowWarning', showingRowCountText);
      }
    }
    this.setTableStatus(_index__WEBPACK_IMPORTED_MODULE_0__.LimitedResultTableStatus.info(message));
  }
  _setTableStatus(status) {
    status = _index__WEBPACK_IMPORTED_MODULE_0__.Status.ensure(status);
    this._setProperty('tableStatus', status);
  }
  /** @see TableModel.tableStatusVisible */
  setTableStatusVisible(visible) {
    this.setProperty('tableStatusVisible', visible);
    this._updateFooterVisibility();
  }
  _updateFooterVisibility() {
    this.setFooterVisible(this.tableStatusVisible || this._hasVisibleTableControls());
  }
  /** @see TableModel.hierarchicalStyle */
  setHierarchicalStyle(style) {
    this.setProperty('hierarchicalStyle', style);
  }
  _renderHierarchicalStyle() {
    this.$container.toggleClass('structured', Table.HierarchicalStyle.STRUCTURED === this.hierarchicalStyle);
  }
  /** @see TableModel.footerVisible */
  setFooterVisible(visible) {
    this._setProperty('footerVisible', visible);
    if (visible && !this.footer) {
      this.footer = this._createFooter();
    }
    // relink table controls to new footer
    this.tableControls.forEach(control => {
      control.tableFooter = this.footer;
    });
    if (this.rendered) {
      this._renderFooterVisible();
    }
    if (!visible && this.footer) {
      this.footer.destroy();
      this.footer = null;
    }
  }
  /**
   * Renders the background effect of every column, if column.backgroundEffect is set
   */
  _renderBackgroundEffect() {
    this.columns.forEach(column => {
      if (!column.backgroundEffect) {
        return;
      }
      column._renderBackgroundEffect();
    });
  }
  _renderRowChecked(row) {
    if (!this.checkable) {
      return;
    }
    if (!row.$row) {
      return;
    }
    let $styleElem;
    if (this.checkableStyle === Table.CheckableStyle.TABLE_ROW) {
      $styleElem = row.$row;
    } else {
      if (!this.checkableColumn) {
        throw new Error('checkableColumn not set');
      }
      $styleElem = this.checkableColumn.$checkBox(row.$row);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(row.$row, row.checked); // also set the row to aria checked
    }
    $styleElem.toggleClass('checked', row.checked);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked($styleElem, row.checked);
  }
  /** @see TableModel.checkable */
  setCheckable(checkable) {
    this.setProperty('checkable', checkable);
  }
  _setCheckable(checkable) {
    this._setProperty('checkable', checkable);
    this._updateCheckableColumn();
  }
  _updateCheckableColumn() {
    let column = this.checkableColumn;
    let showCheckBoxes = this.checkable && _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.checkableStyle, Table.CheckableStyle.CHECKBOX, Table.CheckableStyle.CHECKBOX_TABLE_ROW);
    if (showCheckBoxes && !column) {
      this._insertBooleanColumn();
      this._calculateTableNodeColumn();
      this.trigger('columnStructureChanged');
    } else if (!showCheckBoxes && column && column.guiOnly) {
      column.destroy();
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.columns, column);
      this.checkableColumn = null;
      this._calculateTableNodeColumn();
      this.trigger('columnStructureChanged');
    }
  }
  _renderCheckable() {
    this.columnLayoutDirty = true;
    this._updateRowWidth();
    this.redraw();
  }
  setCheckableStyle(checkableStyle) {
    this.setProperty('checkableStyle', checkableStyle);
  }
  _setCheckableStyle(checkableStyle) {
    this._setProperty('checkableStyle', checkableStyle);
    this._updateCheckableColumn();
  }
  _renderCheckableStyle() {
    this.$container.toggleClass('checkable', _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.checkableStyle, Table.CheckableStyle.TABLE_ROW, Table.CheckableStyle.CHECKBOX_TABLE_ROW));
    this.$container.toggleClass('table-row-check', this.checkableStyle === Table.CheckableStyle.TABLE_ROW);
    if (this._isDataRendered()) {
      this._updateRowWidth();
      this.redraw();
    }
  }
  /** @see TableModel.compact */
  setCompact(compact) {
    this.setProperty('compact', compact);
  }
  _setCompact(compact) {
    this._setProperty('compact', compact);
    this._updateCompactColumn();
    if (this.compactHandler) {
      this.compactHandler.handle(this.compact);
    }
  }
  _updateCompactColumn() {
    let column = this.compactColumn;
    if (this.compact && !column) {
      this._insertCompactColumn();
      return true;
    }
    if (!this.compact && column) {
      column.destroy();
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.columns, column);
      this.compactColumn = null;
      return true;
    }
    return false;
  }
  _insertCompactColumn() {
    let column = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CompactColumn, {
      session: this.session,
      table: this,
      guiOnly: true,
      headerMenuEnabled: false
    });
    this.columns.push(column); // Insert after the other ui columns
    this.compactColumn = column;
  }
  _renderCompact() {
    this.columnLayoutDirty = true;
    this._updateRowWidth();
    this.redraw();
  }
  setGroupingStyle(groupingStyle) {
    this.setProperty('groupingStyle', groupingStyle);
  }
  _setGroupingStyle(groupingStyle) {
    this._setProperty('groupingStyle', groupingStyle);
    this._group();
  }
  _renderGroupingStyle() {
    this._rerenderViewport();
  }
  redraw() {
    if (!this._isDataRendered()) {
      return;
    }
    this._rerenderHeaderColumns();
    this._rerenderViewport();
    this.invalidateLayoutTree();
  }
  _rerenderHeaderColumns() {
    if (this.header) {
      this.header.rerenderColumns();
      this.invalidateLayoutTree();
    }
  }
  /** @internal */
  _renderTableHeader() {
    if (this.tileMode) {
      return;
    }
    let changed = false;
    if (this.headerVisible && !this.header) {
      this.header = this._createHeader();
      this.header.render();
      this._renderEmptyData();
      changed = true;
    } else if (!this.headerVisible && this.header) {
      this._removeTableHeader();
      this._removeEmptyData();
      changed = true;
    }
    this.$container.toggleClass('header-invisible', !this.header);
    if (changed) {
      this.invalidateLayoutTree();
    }
  }
  _removeTableHeader() {
    if (this.header) {
      this.header.destroy();
      this.header = null;
    }
  }
  /**
   * @param width optional width of emptyData, if omitted the width is set to the header's scrollWidth.
   */
  _renderEmptyData() {
    if (!this.header || this.visibleRows.length > 0) {
      return;
    }
    if (!this.$emptyData) {
      this.$emptyData = this.$data.appendDiv().html('&nbsp;');
    }
    this.$emptyData.css('min-width', this.rowWidth).css('max-width', this.rowWidth);
    this.updateScrollbars();
  }
  _removeEmptyData() {
    if (this.header && this.visibleRows.length === 0) {
      return;
    }
    if (this.$emptyData) {
      this.$emptyData.remove();
      this.$emptyData = null;
      this.updateScrollbars();
    }
  }
  _renderFooterVisible() {
    if (!this.footer) {
      return;
    }
    if (this.footerVisible) {
      this._renderFooter();
    } else {
      this._removeFooter();
    }
    this.invalidateLayoutTree();
    this.filterSupport.renderFilterField();
  }
  _renderFooter() {
    if (this.footer.rendered) {
      return;
    }
    this.footer.render();
  }
  _removeFooter() {
    if (!this.footer.rendered) {
      return;
    }
    this.footer.remove();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._installOrUninstallDragAndDropHandler();
    let enabled = this.enabledComputed;
    if (!this.tileMode) {
      this.$data.setEnabled(enabled);
    }
    this.$container.setTabbableOrFocusable(enabled);
  }
  _renderDisabledStyle() {
    super._renderDisabledStyle();
    this._renderDisabledStyleInternal(this.$data);
  }
  /** @see TableModel.autoResizeColumns */
  setAutoResizeColumns(autoResizeColumns) {
    this.setProperty('autoResizeColumns', autoResizeColumns);
  }
  _renderAutoResizeColumns() {
    if (!this.autoResizeColumns && _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().hasTableCellZoomBug()) {
      // Clear real width so that row width is updated correctly by the table layout if autoResizeColumns is disabled on the fly
      this.visibleColumns().forEach((column, colIndex) => {
        column._realWidth = null;
      });
    }
    this.columnLayoutDirty = true;
    this.invalidateLayoutTree();
  }
  /** @see TableModel.multilineText */
  setMultilineText(multilineText) {
    this.setProperty('multilineText', multilineText);
  }
  _renderMultilineText() {
    this._markAutoOptimizeWidthColumnsAsDirty();
    this.redraw();
  }
  /** @see TableModel.dropType */
  setDropType(dropType) {
    this.setProperty('dropType', dropType);
  }
  /** @see TableModel.maxRowCount */
  setMaxRowCount(maxRowCount) {
    this.setProperty('maxRowCount', maxRowCount);
  }
  /** @see TableModel.estimatedRowCount */
  setEstimatedRowCount(estimatedRowCount) {
    this.setProperty('estimatedRowCount', estimatedRowCount);
  }
  _renderDropType() {
    this._installOrUninstallDragAndDropHandler();
  }
  /** @see TableModel.dropMaximumSize */
  setDropMaximumSize(dropMaximumSize) {
    this.setProperty('dropMaximumSize', dropMaximumSize);
  }
  _installOrUninstallDragAndDropHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.installOrUninstallDragAndDropHandler({
      target: this,
      doInstall: () => this.dropType && this.enabledComputed,
      selector: '.table-data,.table-row',
      onDrop: event => this.trigger('drop', event),
      dropType: () => this.dropType,
      additionalDropProperties: event => {
        let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
        let properties = {
          rowId: ''
        };
        if ($target.hasClass('table-row')) {
          let row = $target.data('row');
          properties.rowId = row.id;
        }
        return properties;
      }
    });
  }
  /**
   * This listener is used to invalidate table layout when an image icon has been loaded (which happens async in the browser).
   */
  _installImageListeners() {
    this._imageLoadListener = this._onImageLoadOrError.bind(this);
    // Image events don't bubble -> use capture phase instead
    this.$data[0].addEventListener('load', this._imageLoadListener, true);
    this.$data[0].addEventListener('error', this._imageLoadListener, true);
  }
  _uninstallImageListeners() {
    this.$data[0].removeEventListener('load', this._imageLoadListener, true);
    this.$data[0].removeEventListener('error', this._imageLoadListener, true);
  }
  /**
   * Calculates the optimal view range size (number of rows to be rendered).
   * It uses the default row height to estimate how many rows fit in the view port.
   * The view range size is this value * 2.
   */
  calculateViewRangeSize() {
    // Make sure row height is up-to-date (row height may be different after zooming)
    this._updateRowHeight();
    if (this.rowHeight === 0) {
      throw new Error('Cannot calculate view range with rowHeight = 0');
    }
    return Math.ceil(this.$data.outerHeight() / this.rowHeight) * 2;
  }
  setViewRangeSize(viewRangeSize) {
    if (this.viewRangeSize === viewRangeSize) {
      return;
    }
    this._setProperty('viewRangeSize', viewRangeSize);
    if (this._isDataRendered()) {
      this._renderViewport();
    }
  }
  _calculateCurrentViewRange() {
    let rowIndex,
      scrollTop = this.$data[0].scrollTop,
      maxScrollTop = this.$data[0].scrollHeight - this.$data[0].clientHeight;
    if (maxScrollTop === 0) {
      // no scrollbars visible
      rowIndex = 0;
    } else {
      rowIndex = this._rowIndexAtScrollTop(scrollTop);
    }
    return this._calculateViewRangeForRowIndex(rowIndex);
  }
  /**
   * Returns the index of the row which is at position scrollTop.
   * @internal
   */
  _rowIndexAtScrollTop(scrollTop) {
    let height = 0,
      index = -1;
    this.visibleRows.some((row, i) => {
      height += this._heightForRow(row);
      if (scrollTop < height) {
        index = i;
        return true;
      }
      return false;
    });
    return index;
  }
  _heightForRow(row) {
    let height = 0;
    let aggregateRow = row.aggregateRowBefore;
    if (this.groupingStyle === Table.GroupingStyle.BOTTOM) {
      aggregateRow = row.aggregateRowAfter;
    }
    if (row.height) {
      height = row.height;
    } else {
      height = this.rowHeight;
    }
    // Add height of aggregate row as well
    if (aggregateRow) {
      if (aggregateRow.height) {
        height += aggregateRow.height;
      } else {
        height += this.aggregateRowHeight;
      }
    }
    return height;
  }
  _measureRowHeight($row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($row, {
      includeMargin: true,
      exact: true
    }).height;
  }
  /**
   * Returns a range of size this.viewRangeSize. Start of range is rowIndex - viewRangeSize / 4.
   * -> 1/4 of the rows are before the viewport 2/4 in the viewport 1/4 after the viewport,
   * assuming viewRangeSize is 2*number of possible rows in the viewport (see calculateViewRangeSize).
   */
  _calculateViewRangeForRowIndex(rowIndex) {
    // regular / non-virtual scrolling? -> all rows are already rendered in the DOM
    if (!this.virtual) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.visibleRows.length);
    }
    let viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(),
      quarterRange = Math.floor(this.viewRangeSize / 4);
    viewRange.from = Math.max(rowIndex - quarterRange, 0);
    viewRange.to = Math.min(viewRange.from + this.viewRangeSize, this.visibleRows.length);
    // Try to use the whole viewRangeSize (extend from if necessary)
    let diff = this.viewRangeSize - viewRange.size();
    if (diff > 0) {
      viewRange.from = Math.max(viewRange.to - this.viewRangeSize, 0);
    }
    return viewRange;
  }
  /**
   * Calculates and renders the rows which should be visible in the current viewport based on scroll top.
   * @internal
   */
  _renderViewport() {
    if (!this.isAttachedAndRendered()) {
      // if table is not attached the correct viewPort can not be evaluated. Mark for render after attach.
      this._renderViewPortAfterAttach = true;
      return;
    }
    if (this._renderViewportBlocked) {
      return;
    }
    if (this.visibleColumns().length === 0) {
      return;
    }
    if (!this.$container.isEveryParentVisible()) {
      // If the table is invisible, the height of the rows cannot be determined.
      // In that case, the table won't be layouted either -> as soon as it will be layouted, renderViewport will be called again
      this.invalidateLayoutTree();
      return;
    }
    let viewRange = this._calculateCurrentViewRange();
    this._renderViewRange(viewRange);
    this._renderLastRowAtBottomMarker();
    this._renderNoRowsSelectedMarker(); // Necessary to call it here if there are no rows at all
  }
  _rerenderViewport() {
    if (!this.isAttachedAndRendered()) {
      // if table is not attached the correct viewPort can not be evaluated. Mark for rerender after attach.
      this._rerenderViewPortAfterAttach = true;
      return;
    }
    this._removeRows();
    this._removeAggregateRows();
    this._renderFiller();
    this._renderViewport();
  }
  _renderViewRangeForRowIndex(rowIndex) {
    let viewRange = this._calculateViewRangeForRowIndex(rowIndex);
    this._renderViewRange(viewRange);
  }
  /**
   * Renders the rows visible in the viewport and removes the other rows
   */
  _renderViewRange(viewRange) {
    if (viewRange.from === this.viewRangeRendered.from && viewRange.to === this.viewRangeRendered.to && !this.viewRangeDirty) {
      // Range already rendered -> do nothing
      return;
    }
    this._removeRangeMarkers();
    let rangesToRender = viewRange.subtract(this.viewRangeRendered);
    let rangesToRemove = this.viewRangeRendered.subtract(viewRange);
    rangesToRemove.forEach(range => this._removeRowsInRange(range));
    rangesToRender.forEach(range => this._renderRowsInRange(range));
    // check if at least last and first row in range got correctly rendered
    if (this.viewRangeRendered.size() > 0) {
      let rows = this.visibleRows;
      let firstRow = rows[this.viewRangeRendered.from];
      let lastRow = rows[this.viewRangeRendered.to - 1];
      if (!firstRow.$row || !lastRow.$row) {
        throw new Error('Rows not rendered as expected. ' + this.viewRangeRendered + '. First: ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(firstRow.$row) + '. Last: ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(lastRow.$row) + '. Length: visibleRows=' + this.visibleRows.length + ' rows=' + this.rows.length);
      }
    }
    this._renderRangeMarkers();
    this._renderAggregateRows();
    this._renderFiller();
    this._renderEmptyData();
    this._renderBackgroundEffect();
    this._renderSelection();
    this.viewRangeDirty = false;
  }
  _renderLastRowAtBottomMarker() {
    if (this.$rows().is(':animated')) {
      // Don't change state if rows are animated (e.g. by filtering) because the last row may temporarily be at the end but will be moved up by animation.
      // State will be updated before the animation runs.
      return;
    }
    let lastVisibleRow = this._lastVisibleRow();
    if (lastVisibleRow && lastVisibleRow.$row) {
      // Use ceil because position may be fractional (offsetBounds uses ceil for the height only)
      this.$data.toggleClass('last-row-at-bottom', Math.ceil(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(lastVisibleRow.$row).bottom()) >= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$data).bottom());
    } else {
      this.$data.removeClass('last-row-at-bottom');
    }
  }
  _lastVisibleRow() {
    return this.visibleRows[this.visibleRows.length - 1];
  }
  _removeRangeMarkers() {
    this._modifyRangeMarkers('removeClass');
  }
  _renderRangeMarkers() {
    this._modifyRangeMarkers('addClass');
  }
  _modifyRangeMarkers(funcName) {
    if (this.viewRangeRendered.size() === 0) {
      return;
    }
    let visibleRows = this.visibleRows;
    modifyRangeMarker(visibleRows[this.viewRangeRendered.from], 'first');
    modifyRangeMarker(visibleRows[this.viewRangeRendered.to - 1], 'last');
    function modifyRangeMarker(row, cssClass) {
      if (row && row.$row) {
        row.$row[funcName](cssClass);
      }
    }
  }
  /**
   * Renders the view range that contains the given row.<br>
   * Does nothing if the row is already rendered or not visible (e.g. due to filtering).
   */
  ensureRowRendered(row) {
    if (row.$row) {
      return;
    }
    let rowIndex = this.visibleRows.indexOf(row);
    if (rowIndex < 0) {
      return;
    }
    this._renderViewRangeForRowIndex(rowIndex);
  }
  _renderFiller() {
    if (!this.$fillBefore) {
      this.$fillBefore = this.$data.prependDiv('table-data-fill');
      this._applyFillerStyle(this.$fillBefore);
    }
    let fillBeforeHeight = this._calculateFillerHeight(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.viewRangeRendered.from));
    this.$fillBefore.cssHeight(fillBeforeHeight);
    this.$fillBefore.cssWidth(this.rowWidth);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillBefore height: ' + fillBeforeHeight);
    if (!this.$fillAfter) {
      this.$fillAfter = this.$data.appendDiv('table-data-fill');
      this._applyFillerStyle(this.$fillAfter);
    }
    let fillAfterHeight = this._calculateFillerHeight(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.viewRangeRendered.to, this.visibleRows.length));
    this.$fillAfter.cssHeight(fillAfterHeight);
    this.$fillAfter.cssWidth(this.rowWidth);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillAfter height: ' + fillAfterHeight);
  }
  _applyFillerStyle($filler) {
    let lineColor = $filler.css('background-color');
    // In order to get a 1px border we need to get the right value in percentage for the linear gradient
    let lineWidth = ((1 - 1 / this.rowHeight) * 100).toFixed(2) + '%';
    $filler.css({
      background: 'linear-gradient(to bottom, transparent, transparent ' + lineWidth + ', ' + lineColor + ' ' + lineWidth + ', ' + lineColor + ')',
      backgroundSize: '100% ' + this.rowHeight + 'px',
      backgroundColor: 'transparent'
    });
  }
  _calculateFillerHeight(range) {
    let totalHeight = 0;
    for (let i = range.from; i < range.to; i++) {
      let row = this.visibleRows[i];
      totalHeight += this._heightForRow(row);
    }
    return totalHeight;
  }
  containsAggregatedNumberColumn() {
    if (!this.initialized) {
      return false;
    }
    return this.visibleColumns().some(column => column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn && column.aggregationFunction !== 'none');
  }
  /**
   * Rebuilds the header.<br>
   * Does not modify the rows, it expects a deleteAll and insert operation to follow which will do the job.
   */
  updateColumnStructure(columns) {
    this._destroyColumns();
    this.columns = columns;
    this._initColumns();
    this.trigger('columnStructureChanged');
    if (this._isDataRendered()) {
      this._updateRowWidth();
      this.$rows(true).css('width', this.rowWidth);
      this._rerenderHeaderColumns();
      this._renderEmptyData();
    }
  }
  updateColumnOrder(columns) {
    if (columns.length !== this.columns.length) {
      throw new Error('Column order may not be updated because lengths of the arrays differ.');
    }
    let oldColumnOrder = this.columns.slice();
    for (let i = 0; i < columns.length; i++) {
      let column = columns[i];
      let currentPosition = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndex(this.columns, element => element.id === column.id);
      if (currentPosition < 0) {
        throw new Error('Column with id ' + column.id + 'not found.');
      }
      if (currentPosition !== i) {
        // Update model
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.move(this.columns, currentPosition, i);
      }
    }
    if (this._isDataRendered()) {
      this._renderColumnOrderChanges(oldColumnOrder);
    }
  }
  /**
   * @param columns array of columns which were updated.
   */
  updateColumnHeaders(columns) {
    let oldColumnState;
    // Update model columns
    for (let i = 0; i < columns.length; i++) {
      let column = this.columnById(columns[i].id);
      oldColumnState = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(oldColumnState, column);
      column.text = columns[i].text;
      column.headerTooltipText = columns[i].headerTooltipText;
      column.headerTooltipHtmlEnabled = columns[i].headerTooltipHtmlEnabled;
      column.headerCssClass = columns[i].headerCssClass;
      column.headerHtmlEnabled = columns[i].headerHtmlEnabled;
      column.headerBackgroundColor = columns[i].headerBackgroundColor;
      column.headerForegroundColor = columns[i].headerForegroundColor;
      column.headerFont = columns[i].headerFont;
      column.headerIconId = columns[i].headerIconId;
      column.sortActive = columns[i].sortActive;
      column.sortAscending = columns[i].sortAscending;
      if (column.grouped && !columns[i].grouped) {
        this._removeGroupColumn(column);
      }
      column.grouped = columns[i].grouped;
      if (!column.sortActive && column.sortIndex !== -1) {
        // Adjust indices of other sort columns (if a sort column in the middle got removed, there won't necessarily be an event for the other columns)
        this._removeSortColumn(column);
      } else if (column.grouped && column.sortActive && column.sortIndex === -1) {
        this._addGroupColumn(column);
      } else if (column.sortActive && column.sortIndex === -1) {
        // Necessary if there is a tail sort column (there won't be an event for the tail sort column if another sort column was added before)
        this._addSortColumn(column);
      } else {
        column.sortIndex = columns[i].sortIndex;
      }
      if (this._isDataRendered() && this.header) {
        this.header.updateHeader(column, oldColumnState);
      }
    }
  }
  _attach() {
    this.$parent.append(this.$container);
    super._attach();
  }
  /**
   * Method invoked when this is a 'detailTable' and the outline content is displayed.
   */
  _postAttach() {
    this._rerenderViewportAfterAttach();
    let htmlParent = this.htmlComp.getParent();
    this.htmlComp.setSize(htmlParent.size());
    super._postAttach();
  }
  _renderOnAttach() {
    super._renderOnAttach();
    this._rerenderViewportAfterAttach();
    this._renderViewportAfterAttach();
    let actions = this._postAttachActions;
    this._postAttachActions = [];
    actions.forEach(action => action());
  }
  _rerenderViewportAfterAttach() {
    if (this._rerenderViewPortAfterAttach) {
      this._rerenderViewport();
      this._rerenderViewPortAfterAttach = false;
      this._renderViewPortAfterAttach = false;
    }
  }
  _renderViewportAfterAttach() {
    if (this._renderViewPortAfterAttach) {
      this._renderViewport();
      this._renderViewPortAfterAttach = false;
    }
  }
  /**
   * Method invoked when this is a 'detailTable' and the outline content is not displayed anymore.
   */
  _detach() {
    this.$container.detach();
    // Detach helper stores the current scroll pos and restores in attach.
    // To make it work scrollTop needs to be reset here otherwise viewport won't be rendered by _onDataScroll
    super._detach();
  }
  /**
   * @param callback function to be called right after the popup is destroyed
   */
  _destroyCellEditorPopup(callback) {
    // When a cell editor popup is open and table is detached, we close the popup immediately
    // and don't wait for the model event 'endCellEdit'. By doing this we can avoid problems
    // with invalid focus contexts.
    // However: when 'completeCellEdit' is already scheduled, we must wait because Scout classic
    // must send a request to the server first #249385.
    if (!this.cellEditorPopup) {
      return;
    }
    let destroyEditor = () => {
      this.cellEditorPopup.destroy();
      this.cellEditorPopup = null;
      if (this.$container) {
        this.$container.removeClass('has-cell-editor-popup');
      }
      if (callback) {
        callback();
      }
    };
    let promise = this.cellEditorPopup.waitForCompleteCellEdit();
    if (promise.state() === 'resolved') {
      // Do it immediately if promise has already been resolved.
      // This makes sure updateRow does not immediately reopen the editor after closing.
      destroyEditor();
    } else {
      promise.then(destroyEditor);
    }
  }
  /** @see TableModel.virtual */
  setVirtual(virtual) {
    this._setProperty('virtual', virtual);
  }
  setCellValue(column, row, value) {
    column.setCellValue(row, value);
  }
  setCellText(column, row, displayText) {
    column.setCellText(row, displayText);
  }
  setCellErrorStatus(column, row, errorStatus) {
    column.setCellErrorStatus(row, errorStatus);
  }
  /**
   * @param includeGuiColumns true to also include columns created by the UI (e.g. {@link rowIconColumn} or {@link checkableColumn}). Default is true.
   * @param includeCompacted true to also include the columns that are invisible because they are compacted. Default is false which means compacted columns are not returned.
   */
  visibleColumns(includeGuiColumns, includeCompacted) {
    return this.filterColumns(column => _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(includeCompacted, false) ? column.visibleIgnoreCompacted : column.visible, includeGuiColumns);
  }
  /**
   * @param includeGuiColumns true to also include columns created by the UI (e.g. {@link rowIconColumn} or {@link checkableColumn}). Default is true.
   */
  displayableColumns(includeGuiColumns) {
    return this.filterColumns(column => column.displayable, includeGuiColumns);
  }
  /**
   * @returns all columns marked as primaryKey column (see {@link Column.primaryKey})
   */
  primaryKeyColumns() {
    return this.filterColumns(column => column.primaryKey);
  }
  /**
   * @returns all columns marked as summary column (see {@link Column.summary})
   */
  summaryColumns() {
    return this.filterColumns(column => column.summary);
  }
  /**
   * @param includeGuiColumns true to also include columns created by the UI (e.g. {@link rowIconColumn} or {@link checkableColumn}). Default is true.
   */
  filterColumns(filter, includeGuiColumns) {
    includeGuiColumns = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(includeGuiColumns, true);
    return this.columns.filter(column => filter(column) && (includeGuiColumns || !column.guiOnly));
  }
  // same as on Tree.prototype._onDesktopPopupOpen
  _onDesktopPopupOpen(event) {
    let popup = event.popup;
    if (!this.isFocusable(false)) {
      return;
    }
    // Set table style to focused if a context menu or a menu bar popup opens, so that it looks as it still has the focus
    if (this.has(popup) && popup instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
      this.$container.addClass('focused');
      popup.one('destroy', () => {
        if (this._isDataRendered()) {
          this.$container.removeClass('focused');
        }
      });
    }
  }
  _onDesktopPropertyChange(event) {
    // The height of the menuBar changes by css when switching to or from the dense mode
    if (event.propertyName === 'dense') {
      this.menuBar.invalidateLayoutTree();
    }
  }
  markRowsAsNonChanged(rows) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows || this.rows).forEach(row => {
      row.status = _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.NON_CHANGED;
    });
  }
  isColumnAddable(insertAfterColumn) {
    if (this.organizer) {
      return this.organizer.isColumnAddable(insertAfterColumn);
    }
    return false;
  }
  isColumnRemovable(column) {
    if (this.organizer) {
      return this.organizer.isColumnRemovable(column);
    }
    return false;
  }
  isColumnModifiable(column) {
    if (this.organizer) {
      return this.organizer.isColumnModifiable(column);
    }
    return false;
  }
  isCustomizable() {
    // TODO bsh [js-table] Delegate to this.customizer
    return false;
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static parseHorizontalAlignment(alignment) {
    if (alignment > 0) {
      return 'right';
    }
    if (alignment === 0) {
      return 'center';
    }
    return 'left';
  }
  static linkRowToDiv(row, $row) {
    if (row) {
      row.$row = $row;
    }
    if ($row) {
      $row.data('row', row);
    }
  }
}
_defineProperty(Table, "MenuType", {
  /**
   * The menu is always visible and displayed first in the {@link MenuBar}.
   * The menu won't be displayed in the context menu.
   */
  EmptySpace: 'Table.EmptySpace',
  /**
   * The menu is only visible if exactly one row has been selected.
   * The menu is also displayed in the context menu.
   */
  SingleSelection: 'Table.SingleSelection',
  /**
   * The menu is only visible if at least two row have been selected.
   * The menu is also displayed in the context menu.
   */
  MultiSelection: 'Table.MultiSelection',
  /**
   * The menu is displayed in the {@link TableHeader} on the right side.
   */
  Header: 'Table.Header'
});
_defineProperty(Table, "HierarchicalStyle", {
  DEFAULT: 'default',
  STRUCTURED: 'structured'
});
_defineProperty(Table, "GroupingStyle", {
  /**
   * Aggregate row is rendered on top of the row-group.
   */
  TOP: 'top',
  /**
   * Aggregate row is rendered on the bottom of the row-group (default).
   */
  BOTTOM: 'bottom'
});
_defineProperty(Table, "CheckableStyle", {
  /**
   * When row is checked a boolean column with a checkbox is inserted into the table.
   */
  CHECKBOX: 'checkbox',
  /**
   * When a row is checked the table-row is marked as checked. By default, a background
   * color is set on the table-row when the row is checked.
   */
  TABLE_ROW: 'tableRow',
  /**
   * Like the CHECKBOX Style but a click anywhere on the row triggers the check.
   */
  CHECKBOX_TABLE_ROW: 'checkbox_table_row'
});
/**
 * This enum defines the reload-reasons for a table reload operation
 */
_defineProperty(Table, "ReloadReason", {
  /**
   * No specific reason, just reload data using the current search settings, the current row limits and the current
   * filter (Default)
   */
  UNSPECIFIED: 'unspecified',
  /**
   * Some search parameters changed or the search was reset and the search was triggered
   */
  SEARCH: 'search',
  /**
   * The user requested loading more data than his soft limit, up to the application specific hard limit
   */
  OVERRIDE_ROW_LIMIT: 'overrideRowLimit',
  /**
   * The user requested loading no more data than his soft limit;
   */
  RESET_ROW_LIMIT: 'resetRowLimit',
  /**
   * The column structure of the table was changed
   */
  ORGANIZE_COLUMNS: 'organizeColumns',
  /**
   * Any call to IPage#dataChanged
   */
  DATA_CHANGED_TRIGGER: 'dataChangedTrigger'
});
_defineProperty(Table, "SELECTION_CLASSES", 'select-middle select-top select-bottom select-single selected');

/***/ }),

/***/ "./src/table/TableAdapter.ts":
/*!***********************************!*\
  !*** ./src/table/TableAdapter.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableAdapter: () => (/* binding */ TableAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TableAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    /** @internal */
    _defineProperty(this, "_rebuildingTable", void 0);
    this._addRemoteProperties(['contextColumn']);
  }
  _initProperties(model) {
    super._initProperties(model);
    model.compactHandler = null; // Disable Scout JS compact handling, will be done on the server
    model.organizer = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RemoteTableOrganizer); // table is organized on the server in classic mode
  }
  /** @internal */
  _postCreateWidget() {
    // if a newly created table has already a user-filter defined, we need to fire the filter event after creation
    // because the original event had been fired before the event-handler was registered.
    if (this.widget.hasUserFilter()) {
      this._onWidgetFilter();
    }
  }
  _sendRowsSelected(rowIds, debounceSend) {
    let eventData = {
      rowIds: rowIds
    };
    // send delayed to avoid a lot of requests while selecting
    // coalesce: only send the latest selection changed event for a field
    this._send('rowsSelected', eventData, {
      delay: debounceSend ? 250 : 0,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type;
      }
    });
  }
  _sendRowClick(rowId, mouseButton, columnId) {
    let data = {
      rowId: rowId,
      columnId: columnId,
      mouseButton: mouseButton
    };
    this._send('rowClick', data);
  }
  _onWidgetRowsSelected(event) {
    let rowIds = this.widget.rowsToIds(this.widget.selectedRows);
    this._sendRowsSelected(rowIds, event.debounce);
  }
  _onWidgetRowClick(event) {
    let columnId;
    if (event.column !== undefined) {
      columnId = event.column.id;
    }
    this._sendRowClick(event.row.id, event.mouseButton, columnId);
  }
  _onWidgetFilterAdded(event) {
    let filter = event.filter;
    if (!(filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter) || filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter && filter.column.guiOnly) {
      return;
    }
    this._send('filterAdded', filter.createFilterAddedEventData());
  }
  _onWidgetFilterRemoved(event) {
    let filter = event.filter;
    if (!(filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter) || filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter && filter.column.guiOnly) {
      return;
    }
    this._send('filterRemoved', filter.createFilterRemovedEventData());
  }
  _onWidgetColumnResized(event) {
    this._sendColumnResized(event.column);
  }
  _sendColumnResized(column) {
    if (column.fixedWidth || column.guiOnly || this.widget.autoResizeColumns) {
      return;
    }
    let eventData = {
      columnId: column.id,
      width: column.width
    };
    // send delayed to avoid a lot of requests while resizing
    // coalesce: only send the latest resize event for a column
    this._send('columnResized', eventData, {
      delay: 750,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type && this.columnId === previous.columnId;
      },
      showBusyIndicator: false
    });
  }
  _onWidgetAggregationFunctionChanged(event) {
    this._sendAggregationFunctionChanged(event.column);
  }
  _sendAggregationFunctionChanged(column) {
    if (column.guiOnly) {
      return;
    }
    let data = {
      columnId: column.id,
      aggregationFunction: column.aggregationFunction
    };
    this._send('aggregationFunctionChanged', data);
  }
  _onWidgetColumnBackgroundEffectChanged(event) {
    this._sendColumnBackgroundEffectChanged(event.column);
  }
  _sendColumnBackgroundEffectChanged(column) {
    if (column.guiOnly) {
      return;
    }
    let data = {
      columnId: column.id,
      backgroundEffect: column.backgroundEffect
    };
    this._send('columnBackgroundEffectChanged', data);
  }
  _onWidgetColumnOrganizeAction(event) {
    this._send('columnOrganizeAction', {
      action: event.action,
      columnId: event.column.id
    });
  }
  _onWidgetColumnMoved(event) {
    let index = event.newPos;
    this.widget.columns.forEach((iteratingColumn, i) => {
      // Adjust index if column is only known on the gui
      if (iteratingColumn.guiOnly) {
        index--;
      }
    });
    this._sendColumnMoved(event.column, index);
  }
  _sendColumnMoved(column, index) {
    if (column.guiOnly) {
      return;
    }
    let data = {
      columnId: column.id,
      index: index
    };
    this._send('columnMoved', data);
  }
  _onWidgetPrepareCellEdit(event) {
    event.preventDefault();
    this._sendPrepareCellEdit(event.row, event.column);
  }
  _sendPrepareCellEdit(row, column) {
    if (column.guiOnly) {
      return;
    }
    let data = {
      rowId: row.id,
      columnId: column.id
    };
    this._send('prepareCellEdit', data);
  }
  _onWidgetCompleteCellEdit(event) {
    event.preventDefault();
    this._sendCompleteCellEdit();
  }
  _sendCompleteCellEdit() {
    this._send('completeCellEdit');
  }
  _onWidgetCancelCellEdit(event) {
    event.preventDefault();
    this._sendCancelCellEdit();
  }
  _sendCancelCellEdit() {
    this._send('cancelCellEdit');
  }
  _onWidgetRowsChecked(event) {
    this._sendRowsChecked(event.rows);
  }
  _sendRowsChecked(rows) {
    let data = {
      rows: []
    };
    for (let i = 0; i < rows.length; i++) {
      data.rows.push({
        rowId: rows[i].id,
        checked: rows[i].checked
      });
    }
    this._send('rowsChecked', data);
  }
  _onWidgetRowsExpanded(event) {
    this._sendRowsExpanded(event.rows);
  }
  _sendRowsExpanded(rows) {
    let data = {
      rows: rows.map(row => {
        return {
          rowId: row.id,
          expanded: row.expanded
        };
      })
    };
    this._send('rowsExpanded', data);
  }
  _onWidgetFilter() {
    let rowIds = this.widget.rowsToIds(this.widget.filteredRows());
    this._sendFilter(rowIds);
  }
  _sendFilter(rowIds) {
    let eventData = {};
    if (rowIds.length === this.widget.rows.length) {
      eventData.remove = true;
    } else {
      eventData.rowIds = rowIds;
    }
    // send with timeout, mainly for incremental load of a large table
    // coalesce: only send last event (don't coalesce remove and 'add' events, the UI server needs both)
    this._send('filter', eventData, {
      delay: 250,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type && this.remove === previous.remove;
      },
      showBusyIndicator: false
    });
  }
  _onWidgetSort(event) {
    if (event.column.guiOnly) {
      return;
    }
    this._send('sort', {
      columnId: event.column.id,
      sortAscending: event.sortAscending,
      sortingRemoved: event.sortingRemoved,
      multiSort: event.multiSort,
      sortingRequested: event.sortingRequested
    });
  }
  _onWidgetGroup(event) {
    if (event.column.guiOnly) {
      return;
    }
    this._send('group', {
      columnId: event.column.id,
      groupAscending: event.groupAscending,
      groupingRemoved: event.groupingRemoved,
      multiGroup: event.multiGroup,
      groupingRequested: event.groupingRequested
    });
  }
  _onWidgetRowAction(event) {
    this._sendRowAction(event.row, event.column);
  }
  _sendRowAction(row, column) {
    if (column.guiOnly) {
      // Send row action with a real column
      // If there is only one guiOnly column (e.g. CompactColumn), sent column will be null
      column = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.widget.columns, col => !col.guiOnly);
    }
    let columnId = column ? column.id : null;
    this._send('rowAction', {
      rowId: row.id,
      columnId: columnId
    });
  }
  _onWidgetAppLinkAction(event) {
    this._sendAppLinkAction(event.column, event.ref);
  }
  _sendAppLinkAction(column, ref) {
    this._send('appLinkAction', {
      columnId: column.id,
      ref: ref
    });
  }
  _sendContextColumn(contextColumn) {
    if (contextColumn.guiOnly) {
      contextColumn = null;
      this.widget.contextColumn = null;
    }
    let columnId = null;
    if (contextColumn) {
      columnId = contextColumn.id;
    }
    this._send('property', {
      contextColumn: columnId
    });
  }
  _onWidgetReload(event) {
    let data = {
      reloadReason: event.reloadReason
    };
    this._send('reload', data);
  }
  _onWidgetExportToClipboard(event) {
    this._send('clipboardExport');
    event.preventDefault();
  }
  _onWidgetEvent(event) {
    if (event.type === 'rowsSelected') {
      this._onWidgetRowsSelected(event);
    } else if (event.type === 'rowsChecked') {
      this._onWidgetRowsChecked(event);
    } else if (event.type === 'rowsExpanded') {
      this._onWidgetRowsExpanded(event);
    } else if (event.type === 'filter') {
      this._onWidgetFilter();
    } else if (event.type === 'sort') {
      this._onWidgetSort(event);
    } else if (event.type === 'group') {
      this._onWidgetGroup(event);
    } else if (event.type === 'rowClick') {
      this._onWidgetRowClick(event);
    } else if (event.type === 'rowAction') {
      this._onWidgetRowAction(event);
    } else if (event.type === 'prepareCellEdit') {
      this._onWidgetPrepareCellEdit(event);
    } else if (event.type === 'completeCellEdit') {
      this._onWidgetCompleteCellEdit(event);
    } else if (event.type === 'cancelCellEdit') {
      this._onWidgetCancelCellEdit(event);
    } else if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else if (event.type === 'clipboardExport') {
      this._onWidgetExportToClipboard(event);
    } else if (event.type === 'reload') {
      this._onWidgetReload(event);
    } else if (event.type === 'filterAdded') {
      this._onWidgetFilterAdded(event);
    } else if (event.type === 'filterRemoved') {
      this._onWidgetFilterRemoved(event);
    } else if (event.type === 'columnResized') {
      this._onWidgetColumnResized(event);
    } else if (event.type === 'columnMoved') {
      this._onWidgetColumnMoved(event);
    } else if (event.type === 'columnBackgroundEffectChanged') {
      this._onWidgetColumnBackgroundEffectChanged(event);
    } else if (event.type === 'columnOrganizeAction') {
      this._onWidgetColumnOrganizeAction(event);
    } else if (event.type === 'aggregationFunctionChanged') {
      this._onWidgetAggregationFunctionChanged(event);
    } else if (event.type === 'drop' && this.widget.dragAndDropHandler) {
      this.widget.dragAndDropHandler.uploadFiles(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onRowsInserted(rows) {
    this.widget.insertRows(rows);
    this._rebuildingTable = false;
  }
  _onRowsDeleted(rowIds) {
    let rows = this.widget.rowsByIds(rowIds);
    this.addFilterForWidgetEventType('rowsSelected');
    this.widget.deleteRows(rows);
  }
  _onAllRowsDeleted() {
    this.addFilterForWidgetEventType('rowsSelected');
    this.widget.deleteAllRows();
  }
  _onRowsUpdated(rows) {
    this.widget.updateRows(rows);
  }
  _onRowsSelected(rowIds) {
    let rows = this.widget.rowsByIds(rowIds);
    this.addFilterForWidgetEventType('rowsSelected');
    this.widget.selectRows(rows);
    // TODO [7.0] cgu what is this for? seems wrong here
    this.widget.selectionHandler.clearLastSelectedRowMarker();
  }
  _onRowsChecked(rows) {
    let checkedRows = [],
      uncheckedRows = [];
    rows.forEach(rowData => {
      let row = this.widget.rowById(rowData.id);
      if (rowData.checked) {
        checkedRows.push(row);
      } else {
        uncheckedRows.push(row);
      }
    });
    this.addFilterForWidgetEventType('rowsChecked');
    this.widget.checkRows(checkedRows, {
      checked: true,
      checkOnlyEnabled: false
    });
    this.widget.uncheckRows(uncheckedRows, {
      checkOnlyEnabled: false
    });
  }
  _onRowsExpanded(rows) {
    let expandedRows = [],
      collapsedRows = [];
    rows.forEach(rowData => {
      let row = this.widget.rowById(rowData.id);
      if (rowData.expanded) {
        expandedRows.push(row);
      } else {
        collapsedRows.push(row);
      }
    });
    this.addFilterForWidgetEventType('rowsExpanded');
    this.widget.expandRows(expandedRows);
    this.widget.collapseRows(collapsedRows);
  }
  _onRowOrderChanged(rowIds) {
    let rows = this.widget.rowsByIds(rowIds);
    this.widget.updateRowOrder(rows);
  }
  _onColumnStructureChanged(columns) {
    this._rebuildingTable = true;
    this.widget.updateColumnStructure(columns);
  }
  _onColumnOrderChanged(columnIds) {
    let columns = this.widget.columnsByIds(columnIds);
    this.widget.updateColumnOrder(columns);
  }
  _onColumnHeadersUpdated(columns) {
    columns.forEach(column => _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(column));
    this.widget.updateColumnHeaders(columns);
    if (this.widget.tileMode && this.widget.tableTileGridMediator) {
      // grouping might have changed, trigger re-init of the groups on the tileGrid in tileMode
      this.widget.tableTileGridMediator._onTableGroup();
      // removing of a group column doesn't cause a rowOrderChange, nonetheless aggregation columns might need to be removed.
      this.widget.updateRowOrder(this.widget.rows);
    }
  }
  _onStartCellEdit(columnId, rowId, fieldId) {
    let column = this.widget.columnById(columnId),
      row = this.widget.rowById(rowId),
      field = this.session.getOrCreateWidget(fieldId, this.widget);
    this.widget.startCellEdit(column, row, field);
  }
  _onEndCellEdit(fieldId) {
    let field = this.session.getModelAdapter(fieldId);
    if (!field) {
      throw new Error('Field adapter could not be resolved. Id: ' + fieldId);
    }
    this.widget.endCellEdit(field.widget);
  }
  _onRequestFocus() {
    this.widget.focus();
  }
  _onScrollToSelection() {
    this.widget.revealSelection();
  }
  _onColumnBackgroundEffectChanged(event) {
    event.eventParts.forEach(function (eventPart) {
      let column = this.widget.columnById(eventPart.columnId),
        backgroundEffect = eventPart.backgroundEffect;
      this.addFilterForWidgetEvent(widgetEvent => {
        return widgetEvent.type === 'columnBackgroundEffectChanged' && widgetEvent.column.id === column.id && widgetEvent.column.backgroundEffect === backgroundEffect;
      });
      column.setBackgroundEffect(backgroundEffect);
    }, this);
  }
  _onRequestFocusInCell(event) {
    let row = this.widget.rowById(event.rowId),
      column = this.widget.columnById(event.columnId);
    this.widget.focusCell(column, row);
  }
  _onAggregationFunctionChanged(event) {
    let columns = [],
      functions = [];
    event.eventParts.forEach(function (eventPart) {
      let func = eventPart.aggregationFunction,
        column = this.widget.columnById(eventPart.columnId);
      this.addFilterForWidgetEvent(widgetEvent => {
        return widgetEvent.type === 'aggregationFunctionChanged' && widgetEvent.column.id === column.id && widgetEvent.column.aggregationFunction === func;
      });
      columns.push(column);
      functions.push(func);
    }, this);
    this.widget.changeAggregations(columns, functions);
  }
  _onFiltersChanged(filters) {
    this.addFilterForWidgetEventType('filterAdded');
    this.addFilterForWidgetEventType('filterRemoved');
    this.widget.setFilters(filters);
    // do not re-filter while the table is being rebuilt (because column.index in filter and row.cells may be inconsistent)
    if (!this._rebuildingTable) {
      this.widget.filter();
    }
  }
  onModelAction(event) {
    if (event.type === 'rowsInserted') {
      this._onRowsInserted(event.rows);
    } else if (event.type === 'rowsDeleted') {
      this._onRowsDeleted(event.rowIds);
    } else if (event.type === 'allRowsDeleted') {
      this._onAllRowsDeleted();
    } else if (event.type === 'rowsSelected') {
      this._onRowsSelected(event.rowIds);
    } else if (event.type === 'rowOrderChanged') {
      this._onRowOrderChanged(event.rowIds);
    } else if (event.type === 'rowsUpdated') {
      this._onRowsUpdated(event.rows);
    } else if (event.type === 'filtersChanged') {
      this._onFiltersChanged(event.filters);
    } else if (event.type === 'rowsChecked') {
      this._onRowsChecked(event.rows);
    } else if (event.type === 'rowsExpanded') {
      this._onRowsExpanded(event.rows);
    } else if (event.type === 'columnStructureChanged') {
      this._onColumnStructureChanged(event.columns);
    } else if (event.type === 'columnOrderChanged') {
      this._onColumnOrderChanged(event.columnIds);
    } else if (event.type === 'columnHeadersUpdated') {
      this._onColumnHeadersUpdated(event.columns);
    } else if (event.type === 'startCellEdit') {
      this._onStartCellEdit(event.columnId, event.rowId, event.fieldId);
    } else if (event.type === 'endCellEdit') {
      this._onEndCellEdit(event.fieldId);
    } else if (event.type === 'requestFocus') {
      this._onRequestFocus();
    } else if (event.type === 'scrollToSelection') {
      this._onScrollToSelection();
    } else if (event.type === 'aggregationFunctionChanged') {
      this._onAggregationFunctionChanged(event);
    } else if (event.type === 'columnBackgroundEffectChanged') {
      this._onColumnBackgroundEffectChanged(event);
    } else if (event.type === 'requestFocusInCell') {
      this._onRequestFocusInCell(event);
    } else {
      super.onModelAction(event);
    }
  }
  exportAdapterData(adapterData) {
    adapterData = super.exportAdapterData(adapterData);
    delete adapterData.selectedRows;
    adapterData.rows = [];
    adapterData.columns.forEach(column => {
      delete column.classId;
      delete column.modelClass;
    });
    return adapterData;
  }
  _initRowModel(rowModel) {
    let model = rowModel || {};
    model.objectType = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.objectType, 'TableRow');
    _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(model);
    return model;
  }
  static _createRowRemote(rowModel) {
    if (this.modelAdapter) {
      rowModel = this.modelAdapter._initRowModel(rowModel);
    }
    return this._createRowOrig(rowModel);
  }
  /**
   * Static method to modify the prototype of Table.
   */
  static modifyTablePrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_createRow', TableAdapter._createRowRemote, true);
    // _sortWhileInit
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_sortWhileInit', function () {
      if (this.modelAdapter) {
        // Scout classic: not necessary to sort in init as the rows are already sorted on the Java UI. Only apply grouping here.
        this._group();
      } else {
        this._sortWhileInitOrig();
      }
    }, true);
    // _sortAfterInsert
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_sortAfterInsert', function (wasEmpty) {
      if (this.modelAdapter) {
        // There will only be a row order changed event if table was not empty.
        // If it was empty, there will be NO row order changed event (tableEventBuffer) -> inserted rows are already in correct order -> no sort necessary but group is
        if (wasEmpty) {
          this._group();
        }
      } else {
        this._sortAfterInsertOrig(wasEmpty);
      }
    }, true);
    // _sortAfterUpdate
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_sortAfterUpdate', function () {
      if (this.modelAdapter) {
        this._group();
      } else {
        this._sortAfterUpdateOrig();
      }
    }, true);
    // uiSortPossible
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_isSortingPossible', function (sortColumns) {
      if (this.modelAdapter) {
        // In a JS only app the flag 'uiSortPossible' is never set and thus defaults to true. Additionally, we check if each column can install
        // its comparator used to sort. If installation failed for some reason, sorting is not possible. In a remote app the server sets the
        // 'uiSortPossible' flag, which decides if the column must be sorted by the server or can be sorted by the client.
        let uiSortPossible = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.uiSortPossible, true);
        return uiSortPossible && this._isSortingPossibleOrig(sortColumns);
      }
      return this._isSortingPossibleOrig(sortColumns);
    }, true);
    // sort
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, 'sort', function (column, direction, multiSort, remove) {
      if (this.modelAdapter && column.guiOnly) {
        return;
      }
      this.sortOrig(column, direction, multiSort, remove);
    }, true);
    // no js default tileTableHeader in classic mode
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, '_createTileTableHeader', function () {
      if (this.modelAdapter) {
        return null;
      }
      return this._createTileTableHeaderOrig();
    }, true);
    // not used in classic mode since tiles are created by the server
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Table, 'createTiles', function (rows) {
      if (this.modelAdapter) {
        return null;
      }
      return this.createTilesOrig(rows);
    }, true);
  }
  static modifyColumnPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // init
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Column, 'init', function (model) {
      if (model.table && model.table.modelAdapter && !model.guiOnly) {
        // Fill in the missing default values only in remote case, don't do it JS case to not accidentally set undefined properties (e.g. uiSortEnabled)
        model = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, model);
        _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(model);
      }
      this.initOrig(model);
    }, true);
    // _ensureCell
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Column, '_ensureCell', function (vararg) {
      if (this.table.modelAdapter) {
        // Note: we do almost the same thing as in _ensureCellOrig, the difference is that
        // we treat a plain object always as cell-model and we always must apply defaultValues
        // to this cell model. In the JS only case a plain-object has no special meaning and
        // can be used as cell-value in the same way as a scalar value. Also, we must not apply
        // defaultValues in JS only case, because it would destroy the 'undefined' state of the
        // cell properties, which is required because the Column checks, whether it should apply
        // defaults from the Column instance to a cell, or use the values from the cell.
        let model;
        if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(vararg)) {
          model = vararg;
          model.value = this._ensureValue(model.value);
          // Parse the value if a text but no value is provided. The server does only set the text if value and text are equal.
          // It is also necessary for custom columns which don't have a UI representation and never send the value.
          // Do not parse the value if there is an error status.
          // If editing fails, the display text will be the user input, the value unchanged, and the server will set the error status.
          if (model.text && model.value === undefined && !model.errorStatus) {
            model.value = this._ensureValue(model.text);
          }
          // use null instead of undefined
          if (model.value === undefined) {
            model.value = null;
          }
        } else {
          model = {
            value: this._ensureValue(vararg)
          };
        }
        _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(model, 'Cell');
        return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, model);
      }
      return this._ensureCellOrig(vararg);
    }, true);
    // uiSortPossible
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Column, 'isSortingPossible', function () {
      if (this.table.modelAdapter) {
        // Returns whether this column can be used to sort on the client side. In a JS only app the flag 'uiSortPossible'
        // is never set and defaults to true. As a side effect of this function a comparator is installed.
        // The comparator returns false if it could not be installed which means sorting should be delegated to server (e.g. collator is not available).
        // In a remote app the server sets the 'uiSortPossible' flag, which decides if the column must be sorted by the
        // server or can be sorted by the client.
        let uiSortPossible = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.uiSortPossible, true);
        return uiSortPossible && this.installComparator();
      }
      return this.isSortingPossibleOrig();
    }, true);
  }
  static modifyBooleanColumnPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // _toggleCellValue
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn, '_toggleCellValue', function (row, cell) {
      if (this.table.modelAdapter) {
        // NOP - do nothing, since server will handle the click, see Java AbstractTable#interceptRowClickSingleObserver
      } else {
        this._toggleCellValueOrig(row, cell);
      }
    }, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TableAdapter.modifyTablePrototype);
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TableAdapter.modifyColumnPrototype);
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TableAdapter.modifyBooleanColumnPrototype);

/***/ }),

/***/ "./src/table/TableCompactHandler.ts":
/*!******************************************!*\
  !*** ./src/table/TableCompactHandler.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableCompactHandler: () => (/* binding */ TableCompactHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableCompactHandler {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "useOnlyVisibleColumns", void 0);
    _defineProperty(this, "maxContentLines", void 0);
    _defineProperty(this, "_oldStates", void 0);
    _defineProperty(this, "_updateHandler", void 0);
    this.table = null;
    this.useOnlyVisibleColumns = true;
    this.maxContentLines = 3;
    this._oldStates = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this._updateHandler = null;
  }
  init(model) {
    $.extend(this, model);
  }
  setUseOnlyVisibleColumns(useOnlyVisibleColumns) {
    this.useOnlyVisibleColumns = useOnlyVisibleColumns;
  }
  setMaxContentLines(maxContentLines) {
    this.maxContentLines = maxContentLines;
  }
  handle(compact) {
    if (compact) {
      this._compactColumns(true);
      this._attachTableHandler();
    } else {
      this._detachTableHandler();
      this._compactColumns(false);
    }
    this._adjustTable(compact);
    if (compact) {
      this.updateValues(this.table.rows);
    }
  }
  _adjustTable(compact) {
    if (compact) {
      this._cacheAndSetProperty('headerVisible', () => this.table.headerVisible, () => this.table.setHeaderVisible(false));
      this._cacheAndSetProperty('autoResizeColumns', () => this.table.autoResizeColumns, () => this.table.setAutoResizeColumns(true));
    } else {
      this._resetProperty('headerVisible', value => this.table.setHeaderVisible(value));
      this._resetProperty('autoResizeColumns', value => this.table.setAutoResizeColumns(value));
    }
  }
  _cacheAndSetProperty(propertyName, getter, setter) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this._oldStates[propertyName])) {
      this._oldStates[propertyName] = getter();
    }
    setter();
  }
  _resetProperty(propertyName, setter) {
    let oldState = this._oldStates[propertyName];
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(oldState)) {
      setter(oldState);
      delete this._oldStates[propertyName];
    }
  }
  _compactColumns(compact) {
    this.table.displayableColumns(false).forEach(column => column.setCompacted(compact, false));
    this.table.onColumnVisibilityChanged();
  }
  _attachTableHandler() {
    if (this._updateHandler == null) {
      this._updateHandler = this._onTableEvent.bind(this);
      this.table.on('rowsInserted rowsUpdated columnStructureChanged', this._updateHandler);
    }
  }
  _detachTableHandler() {
    if (this._updateHandler != null) {
      this.table.off('rowsInserted rowsUpdated columnStructureChanged', this._updateHandler);
      this._updateHandler = null;
    }
  }
  updateValues(rows) {
    if (rows.length === 0) {
      return;
    }
    let columns = this._getColumns();
    rows.forEach(row => this._updateValue(columns, row));
  }
  _updateValue(columns, row) {
    row.setCompactValue(this.buildValue(columns, row));
  }
  buildValue(columns, row) {
    return this._buildValue(this._createBean(columns, row));
  }
  _createBean(columns, row) {
    let bean = new _index__WEBPACK_IMPORTED_MODULE_0__.CompactBean();
    this._processColumns(columns, row, bean);
    this._postProcessBean(bean);
    return bean;
  }
  _processColumns(columns, row, bean) {
    columns.forEach((column, i) => this._processColumn(column, i, row, bean));
  }
  _getColumns() {
    return this.table.filterColumns(column => this._acceptColumn(column));
  }
  _acceptColumn(column) {
    return !column.guiOnly && (!this.useOnlyVisibleColumns || column.visibleIgnoreCompacted);
  }
  _processColumn(column, index, row, bean) {
    this._updateBean(bean, column, index, row);
  }
  /**
   * @param bean
   *          the bean for the current row
   * @param column
   *          the currently processed column
   * @param index
   *          visible column index of the currently processed column
   * @param row
   *          the current row
   */
  _updateBean(bean, column, index, row) {
    if (this._acceptColumnForTitle(column, index)) {
      bean.setTitleLine(this._createCompactLine(column, index, row));
    } else if (this._acceptColumnForTitleSuffix(column, index)) {
      bean.setTitleSuffixLine(this._createCompactLine(column, index, row));
    } else if (this._acceptColumnForSubtitle(column, index)) {
      bean.setSubtitleLine(this._createCompactLine(column, index, row));
    } else {
      bean.addContentLine(this._createCompactLine(column, index, row));
    }
  }
  _acceptColumnForTitle(column, index) {
    return index === 0;
  }
  _acceptColumnForSubtitle(column, index) {
    return index === 1;
  }
  _acceptColumnForTitleSuffix(column, index) {
    return false;
  }
  _createCompactLine(column, index, row) {
    let headerCell;
    if (this._showLabel(column, index, row)) {
      headerCell = column.headerCell();
    }
    let cell = column.cell(row);
    let line = new _index__WEBPACK_IMPORTED_MODULE_0__.CompactLine(headerCell, cell);
    this._adaptCompactLine(line, column, headerCell, cell);
    return line;
  }
  _showLabel(column, index, row) {
    return !this._acceptColumnForTitle(column, index) && !this._acceptColumnForSubtitle(column, index) && !this._acceptColumnForTitleSuffix(column, index);
  }
  _adaptCompactLine(line, column, headerCell, cell) {
    if (column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn) {
      let text = '';
      let value = cell.value;
      if (value) {
        text = 'X';
      } else if (value === null) {
        text = '?';
      }
      line.textBlock.setText(text);
    }
  }
  _postProcessBean(bean) {
    bean.transform({
      maxContentLines: this.maxContentLines
    });
    // If only title is set move it to content. A title without content does not look good.
    if (bean.title && !bean.subtitle && !bean.titleSuffix && !bean.content) {
      bean.setContent(bean.title);
      bean.setTitle('');
    }
  }
  _buildValue(bean) {
    let hasHeader = bean.title + bean.titleSuffix + bean.subtitle ? ' has-header' : '';
    let moreLink = bean.moreContent ? `<div class="compact-cell-more"><span class="more-link link">${this.table.session.text('More')}</span></div>` : '';
    return `
<div class="compact-cell-header">
  <div class="compact-cell-title">
    <span class="left">${bean.title}</span>
    <span class="right">${bean.titleSuffix}</span>
    </div>
  <div class="compact-cell-subtitle">${bean.subtitle}</div>
</div>
<div class="compact-cell-content${hasHeader}">${bean.content}</div>
<div class="compact-cell-more-content hidden${hasHeader}">${bean.moreContent}</div>
  ${moreLink}`;
  }
  _onTableEvent(event) {
    let rows;
    if (event.type === 'columnStructureChanged') {
      rows = this.table.rows;
    } else {
      rows = event.rows;
    }
    this.updateValues(rows);
  }
}

/***/ }),

/***/ "./src/table/TableCompactHandlerModel.ts":
/*!***********************************************!*\
  !*** ./src/table/TableCompactHandlerModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableEventMap.ts":
/*!************************************!*\
  !*** ./src/table/TableEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableFooter.ts":
/*!**********************************!*\
  !*** ./src/table/TableFooter.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableFooter: () => (/* binding */ TableFooter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TableFooter extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "filterText", void 0);
    _defineProperty(this, "animating", void 0);
    _defineProperty(this, "open", void 0);
    _defineProperty(this, "resizing", void 0);
    _defineProperty(this, "selectedControl", void 0);
    _defineProperty(this, "searchFieldKeyStrokeContext", void 0);
    _defineProperty(this, "$controlContent", void 0);
    _defineProperty(this, "$controlContainer", void 0);
    _defineProperty(this, "$resizer", void 0);
    _defineProperty(this, "$clearIcon", void 0);
    /** @internal */
    _defineProperty(this, "_$controls", void 0);
    /** @internal */
    _defineProperty(this, "_$info", void 0);
    /** @internal */
    _defineProperty(this, "_compactStyle", void 0);
    /** @internal */
    _defineProperty(this, "_tableInfoTooltip", void 0);
    /** @internal */
    _defineProperty(this, "_tableStatusTooltip", void 0);
    /** @internal */
    _defineProperty(this, "_$infoLoad", void 0);
    /** @internal */
    _defineProperty(this, "_$infoSelection", void 0);
    _defineProperty(this, "_tableRowsChangedHandler", void 0);
    _defineProperty(this, "_tableFilterHandler", void 0);
    _defineProperty(this, "_tableFilterAddedHandler", void 0);
    _defineProperty(this, "_tableFilterRemovedHandler", void 0);
    _defineProperty(this, "_tableRowsSelectedHandler", void 0);
    _defineProperty(this, "_tableStatusChangedHandler", void 0);
    _defineProperty(this, "_tablePropertyChangeHandler", void 0);
    _defineProperty(this, "_focusFilterFieldKeyStroke", void 0);
    _defineProperty(this, "_autoHideTableStatusTooltipTimeoutId", void 0);
    _defineProperty(this, "_$window", void 0);
    _defineProperty(this, "_$body", void 0);
    _defineProperty(this, "_$infoFilter", void 0);
    _defineProperty(this, "_$infoTableStatus", void 0);
    _defineProperty(this, "_$infoTableStatusIcon", void 0);
    _defineProperty(this, "_$textFilter", void 0);
    this._compactStyle = false;
    this.animating = false;
    this.open = false;
    this.resizing = false;
    this.table = null;
    this._tableRowsChangedHandler = this._onTableRowsChanged.bind(this);
    this._tableFilterHandler = this._onTableFilter.bind(this);
    this._tableFilterAddedHandler = this._onTableFilterAdded.bind(this);
    this._tableFilterRemovedHandler = this._onTableFilterRemoved.bind(this);
    this._tableRowsSelectedHandler = this._onTableRowsSelected.bind(this);
    this._tableStatusChangedHandler = this._onTableStatusChanged.bind(this);
    this._tablePropertyChangeHandler = this._onTablePropertyChange.bind(this);
  }
  _init(options) {
    super._init(options);
    // Keystroke context for the search field.
    this.searchFieldKeyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.InputFieldKeyStrokeContext();
    this.searchFieldKeyStrokeContext.$bindTarget = () => this._$textFilter;
    this.searchFieldKeyStrokeContext.$scopeTarget = () => this._$textFilter;
    this._focusFilterFieldKeyStroke = null;
  }
  _render() {
    let filter, $filter;
    this.$container = this.$parent.appendDiv('table-footer');
    this._$window = this.$parent.window();
    this._$body = this.$parent.body();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TableFooterLayout(this));
    // --- container for an open control ---
    this.$controlContainer = this.$container.appendDiv('table-control-container').hide();
    this.$controlContent = this.$controlContainer.appendDiv('table-control-content focus-boundary');
    // --- table controls section ---
    this._$controls = this.$container.appendDiv('table-controls');
    // --- info section ---
    this._$info = this.$container.appendDiv('table-info');
    // text filter
    $filter = this._$info.appendDiv('table-filter');
    this._$textFilter = _index__WEBPACK_IMPORTED_MODULE_0__.fields.makeTextField(this.$container, 'table-text-filter').appendTo($filter).on('input', '', this._createOnFilterFieldInputFunction().bind(this)).placeholder(this.session.text('ui.FilterBy_'));
    this.table.$container.data('filter-field', this._$textFilter);
    this._focusFilterFieldKeyStroke = new _index__WEBPACK_IMPORTED_MODULE_0__.FocusFilterFieldKeyStroke(this.table);
    this.table.keyStrokeContext.registerKeyStroke(this._focusFilterFieldKeyStroke);
    filter = this.table.getFilter(_index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter.TYPE);
    if (filter) {
      this._$textFilter.val(filter.text);
    }
    this.$clearIcon = $filter.appendSpan('clear-icon unfocusable action text-field-icon').on('mousedown', this._onDeleteFilterMouseDown.bind(this));
    // load info ("X rows loaded, click to reload")
    this._$infoLoad = this._$info.appendDiv('table-info-item table-info-load').on('click', '', this._onInfoLoadClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this._$infoLoad, 'status');
    // filter info ("X rows filtered by Y, click to remove filter")
    this._$infoFilter = this._$info.appendDiv('table-info-item table-info-filter').on('click', '', this._onInfoFilterClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this._$infoFilter, 'status');
    // selection info ("X rows selected, click to select all/none")
    this._$infoSelection = this._$info.appendDiv('table-info-item table-info-selection').on('click', '', this._onInfoSelectionClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this._$infoSelection, 'status');
    // table status
    this._$infoTableStatus = this._$info.appendDiv('table-info-item table-info-status').on('mousedown', this._onStatusMouseDown.bind(this));
    this._$infoTableStatusIcon = this._$infoTableStatus.appendSpan('icon font-icon');
    // ------
    this._renderControls();
    this._renderInfo();
    this._updateInfoVisibility();
    this.table.on('rowsInserted', this._tableRowsChangedHandler);
    this.table.on('rowsDeleted', this._tableRowsChangedHandler);
    this.table.on('allRowsDeleted', this._tableRowsChangedHandler);
    this.table.on('filter', this._tableFilterHandler);
    this.table.on('filterAdded', this._tableFilterAddedHandler);
    this.table.on('filterRemoved', this._tableFilterRemovedHandler);
    this.table.on('rowsSelected', this._tableRowsSelectedHandler);
    this.table.on('statusChanged', this._tableStatusChangedHandler);
    this.table.on('propertyChange', this._tablePropertyChangeHandler);
    this.session.keyStrokeManager.installKeyStrokeContext(this.searchFieldKeyStrokeContext);
  }
  getFocusableElement() {
    return this._$textFilter;
  }
  _renderProperties() {
    this._updateHasFilterText();
  }
  _remove() {
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.searchFieldKeyStrokeContext);
    this._hideTableStatusTooltip();
    this.$resizer = null;
    this.$controlContainer.stop(false, true);
    this.animating = false; // Animation may not be started yet due to the delay, hence complete callback may not be executed -> make sure the flag is reset anyway
    this.open = false;
    this.table.keyStrokeContext.unregisterKeyStroke(this._focusFilterFieldKeyStroke);
    this._focusFilterFieldKeyStroke = null;
    this.table.off('rowsInserted', this._tableRowsChangedHandler);
    this.table.off('rowsDeleted', this._tableRowsChangedHandler);
    this.table.off('allRowsDeleted', this._tableRowsChangedHandler);
    this.table.off('filter', this._tableFilterHandler);
    this.table.off('filterAdded', this._tableFilterAddedHandler);
    this.table.off('filterRemoved', this._tableFilterRemovedHandler);
    this.table.off('rowsSelected', this._tableRowsSelectedHandler);
    this.table.off('statusChanged', this._tableStatusChangedHandler);
    this.table.off('propertyChange', this._tablePropertyChangeHandler);
    super._remove();
  }
  _renderResizerVisible() {
    if (this.selectedControl.resizerVisible) {
      this._renderResizer();
      this.$controlContainer.addClass('has-resizer');
    } else if (this.$resizer) {
      this.$resizer.remove();
      this.$resizer = null;
      this.$controlContainer.removeClass('has-resizer');
    }
  }
  _renderResizer() {
    if (this.$resizer) {
      return;
    }
    this.$resizer = this.$controlContainer.prependDiv('table-control-resize').on('mousedown', '', resize.bind(this));
    function resize(event) {
      // Remember current height and start position
      let startHeight = this.$controlContainer.height(),
        startX = Math.floor(event.pageY);
      this._$window.on('mousemove.tablefooter', resizeMove.bind(this)).one('mouseup', resizeEnd.bind(this));
      this._$body.addClass('row-resize');
      this.resizing = true;
      function resizeMove(event) {
        if (!this.rendered) {
          // footer may be removed in the meantime
          return;
        }
        // Calculate position delta
        let x = Math.floor(event.pageY);
        let dx = x - startX;
        // Ensure control container does not get bigger than the table
        let maxHeight = this.table.$container.height() - this.table.footer.$container.height();
        // Calculate new height of table control container
        let newHeight = Math.min(startHeight - dx, maxHeight);
        this.$controlContainer.height(newHeight);
        let controlContainerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$controlContainer);
        this.$controlContent.outerHeight(newHeight - controlContainerInsets.vertical());
        this._revalidateTableLayout();
      }
      function resizeEnd() {
        if (this.selectedControl && this.rendered && this.$controlContainer.height() < 100) {
          this.selectedControl.setSelected(false);
        }
        this._$window.off('mousemove.tablefooter');
        this._$body.removeClass('row-resize');
        this.resizing = false;
      }
      return false;
    }
  }
  /** @internal */
  _renderControls() {
    let controls = this.table.tableControls;
    if (controls) {
      controls.forEach(control => {
        control.setParent(this);
        control.render(this._$controls);
      });
    } else {
      this._$controls.empty();
    }
  }
  /** @internal */
  _renderInfo() {
    this._renderInfoLoad();
    this._renderInfoTableStatus();
    this._renderInfoFilter();
    this._renderInfoSelection();
  }
  _renderInfoLoad() {
    let $info = this._$infoLoad,
      numRows = this.table.rows.length,
      estRows = this.table.estimatedRowCount,
      maxRows = this.table.maxRowCount;
    $info.empty();
    let $infoButton;
    if (!this._compactStyle) {
      if (numRows <= 1) {
        $info.appendSpan().text(this.session.text('ui.NumRowLoaded', this.computeCountInfo(numRows)));
      } else if (estRows && estRows > numRows) {
        $info.appendSpan().text(this.session.text('ui.NumRowsLoaded', this.computeCountInfo(numRows, estRows)));
      } else {
        $info.appendSpan().text(this.session.text('ui.NumRowsLoaded', this.computeCountInfo(numRows)));
      }
      if (this.table.hasReloadHandler) {
        if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableMaxResultsHelper).isLoadMoreDataPossible(numRows, estRows, maxRows)) {
          if (estRows < maxRows) {
            $infoButton = $info.appendSpan('table-info-button').text(this.session.text('ui.LoadAllData')).appendTo($info);
          } else {
            $infoButton = $info.appendSpan('table-info-button').text(this.session.text('ui.LoadNData', this.computeCountInfo(maxRows))).appendTo($info);
          }
        } else {
          $infoButton = $info.appendSpan('table-info-button').text(this.session.text('ui.ReloadData')).appendTo($info);
        }
      }
    } else {
      if (numRows <= 1) {
        $info.appendSpan().text(this.session.text('ui.NumRowLoadedMin'));
      } else {
        $info.appendSpan().text(this.session.text('ui.NumRowsLoadedMin'));
      }
      $infoButton = $info.appendSpan('table-info-button').text(this.computeCountInfo(numRows));
    }
    $info.setEnabled(this.table.hasReloadHandler);
    // hide info button from screen reader, screen reader users use shortcuts
    if ($infoButton) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden($infoButton, true);
    }
    if (!this.htmlComp.layouting) {
      this.invalidateLayoutTree(false);
    }
  }
  _renderInfoFilter() {
    let $info = this._$infoFilter;
    let numRowsFiltered = this.table.filteredRows().length;
    let filteredBy = this.table.filteredBy().join(', '); // filteredBy() returns an array
    $info.empty();
    let $infoButton;
    if (!this._compactStyle) {
      if (filteredBy) {
        if (numRowsFiltered <= 1) {
          $info.appendSpan().text(this.session.text('ui.NumRowFilteredBy', this.computeCountInfo(numRowsFiltered), filteredBy));
        } else {
          $info.appendSpan().text(this.session.text('ui.NumRowsFilteredBy', this.computeCountInfo(numRowsFiltered), filteredBy));
        }
      } else {
        if (numRowsFiltered <= 1) {
          $info.appendSpan().text(this.session.text('ui.NumRowFiltered', this.computeCountInfo(numRowsFiltered)));
        } else {
          $info.appendSpan().text(this.session.text('ui.NumRowsFiltered', this.computeCountInfo(numRowsFiltered)));
        }
      }
      if (this.table.hasUserFilter()) {
        $infoButton = $info.appendSpan('table-info-button').text(this.session.text('ui.RemoveFilter')).appendTo($info);
      }
    } else {
      if (numRowsFiltered <= 1) {
        $info.appendSpan().text(this.session.text('ui.NumRowFilteredMin'));
      } else {
        $info.appendSpan().text(this.session.text('ui.NumRowsFilteredMin'));
      }
      $infoButton = $info.appendSpan('table-info-button').text(this.computeCountInfo(numRowsFiltered));
    }
    // hide info button from screen reader, screen reader users use shortcuts
    if ($infoButton) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden($infoButton, true);
    }
    if (!this.htmlComp.layouting) {
      this.invalidateLayoutTree(false);
    }
  }
  _renderInfoSelection() {
    let $info = this._$infoSelection,
      numRows = this.table.filteredRows().length,
      numRowsSelected = this.table.selectedRows.length,
      all = numRows > 0 && numRows === numRowsSelected;
    $info.empty();
    let $infoButton;
    if (!this._compactStyle) {
      if (numRowsSelected <= 1) {
        $info.appendSpan().text(this.session.text('ui.NumRowSelected', this.computeCountInfo(numRowsSelected)));
      } else {
        $info.appendSpan().text(this.session.text('ui.NumRowsSelected', this.computeCountInfo(numRowsSelected)));
      }
      $infoButton = $info.appendSpan('table-info-button').text(this.session.text(all ? 'ui.SelectNone' : 'ui.SelectAll')).appendTo($info);
    } else {
      if (numRowsSelected <= 1) {
        $info.appendSpan().text(this.session.text('ui.NumRowSelectedMin'));
      } else {
        $info.appendSpan().text(this.session.text('ui.NumRowsSelectedMin'));
      }
      $infoButton = $info.appendSpan('table-info-button').text(this.computeCountInfo(numRowsSelected));
    }
    // hide info button from screen reader, screen reader users use shortcuts
    if ($infoButton) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden($infoButton, true);
    }
    if (!this.htmlComp.layouting) {
      this.invalidateLayoutTree(false);
    }
  }
  _renderInfoTableStatus() {
    let $info = this._$infoTableStatus;
    let tableStatus = this.table.tableStatus;
    $info.removeClass(_index__WEBPACK_IMPORTED_MODULE_0__.Status.SEVERITY_CSS_CLASSES);
    if (tableStatus) {
      $info.addClass(tableStatus.cssClass());
    }
    if (!this.htmlComp.layouting) {
      this.invalidateLayoutTree(false);
    }
  }
  _updateInfoVisibility() {
    this._updateInfoFilterVisibility();
    this._updateInfoSelectionVisibility();
    this._updateInfoTableStatusVisibility();
  }
  _updateInfoFilterVisibility() {
    let visible = this.table.filteredBy().length > 0;
    this._setInfoVisible(this._$infoFilter, visible);
  }
  _updateInfoSelectionVisibility() {
    let visible = this.table.multiSelect;
    this._setInfoVisible(this._$infoSelection, visible);
  }
  _updateInfoTableStatusVisibility() {
    let visible = this.table.tableStatus;
    if (visible) {
      // If the uiState of the tableStatus was not set to hidden (either manually by the
      // user or automatically by a timeout or other event), show the tooltip when the
      // "info visible" animation has finished. Otherwise, we don't show the tooltip to
      // not disturb the user.
      let complete = null;
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.table.tableStatus.uiState, 'user-hidden', 'auto-hidden')) {
        this._$infoTableStatus.addClass('tooltip-active'); // color icon before animation starts
        complete = function () {
          // Same check is required again, because this function is called asynchronously
          if (this.table.tableStatus && !_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this.table.tableStatus.uiState, 'user-hidden', 'auto-hidden')) {
            this._showTableStatusTooltip();
          }
        }.bind(this);
      }
      this._setInfoVisible(this._$infoTableStatus, true, complete);
    } else {
      this._hideTableStatusTooltip();
      this._setInfoVisible(this._$infoTableStatus, false);
    }
  }
  _setInfoVisible($info, visible, complete) {
    if ($info.isVisible() === visible && !(visible && $info.hasClass('hiding'))) {
      if (complete) {
        complete();
      }
      return;
    }
    let animate = this.rendered; // Animate only on a user interaction, no while the table gets rendered
    if (!animate) {
      $info.setVisible(visible);
      return;
    }
    if (visible) {
      let animationOpts = {
        progress: this.revalidateLayout.bind(this),
        complete: () => {
          if (complete) {
            complete();
          }
        }
      };
      // Save complete function so that layout may use it
      $info.data('animationComplete', animationOpts.complete);
      // If info is shown the first time, set the width to 0 to make animation work
      if ($info[0].style.width === '') {
        $info.cssWidth(0);
      }
      $info.stop().removeClass('hiding').setVisible(true).cssWidthToContentAnimated(animationOpts);
    } else {
      // Mark element as hiding so that the layout does not try to resize it
      $info.addClass('hiding');
      $info.stop().animate({
        width: 0
      }, {
        progress: this.revalidateLayout.bind(this),
        complete: () => {
          $info.removeClass('hiding');
          $info.setVisible(false);
        }
      });
    }
  }
  _toggleTableInfoTooltip($info, tooltipType) {
    if (this._tableInfoTooltip) {
      this._tableInfoTooltip.destroy();
    } else {
      this._tableInfoTooltip = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(tooltipType, {
        parent: this,
        tableFooter: this,
        arrowPosition: 50,
        arrowPositionUnit: '%',
        $anchor: $info
      });
      this._tableInfoTooltip.one('destroy', () => {
        this._tableInfoTooltip = null;
      });
      this._tableInfoTooltip.render();
    }
  }
  /**
   * Meaning is '3 of 10 rows'
   * @param n row count
   * @param m total count, optional.
   */
  computeCountInfo(n, m) {
    n = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(n, 0);
    if (m) {
      return this.session.text('ui.TableRowCount', this.session.text('ui.CountOfApproxTotal', this.session.locale.decimalFormat.format(n), this.session.locale.decimalFormat.format(m)));
    }
    if (n === 0) {
      if (this._compactStyle) {
        return this.session.text('ui.TableRowCount', this.session.locale.decimalFormat.format(0));
      }
      return this.session.text('ui.TableRowCount0');
    } else if (n === 1) {
      return this.session.text('ui.TableRowCount1');
    }
    return this.session.text('ui.TableRowCount', this.session.locale.decimalFormat.format(n));
  }
  /* open, close and resize of the container */
  _revalidateTableLayout() {
    this.table.htmlComp.revalidateLayoutTree();
  }
  openControlContainer(control) {
    if (this.open) {
      // Calling open again may resize the container -> don't return
    }
    let currentControl = this.$controlContent.data('control');
    if (this.animating && currentControl !== control) {
      // Make sure the existing content is removed if the close animation was aborted and another control selected while the container is still closing
      // (The done callback won't be executed when calling stop(true))
      currentControl.onControlContainerClosed();
    }
    this.animating = true;
    this.open = true;
    let allowedControlHeight = this.computeControlContainerHeight(this.table, control);
    let insets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$controlContainer);
    this.$controlContent.outerHeight(allowedControlHeight - insets.vertical());
    // If container is opened the first time, set the height to 0 to make animation work
    if (this.$controlContainer[0].style.height === '') {
      this.$controlContainer.outerHeight(0);
    }
    if (this.$controlContainer.outerHeight() > allowedControlHeight) {
      // Container gets smaller -> layout first to prevent having a white area
      this.table.invalidateLayoutTree();
    }
    // open container, stop existing (close) animations before
    // use delay to make sure form is rendered and layouted with new size
    this.$controlContainer.stop(true).show().delay(1).animate({
      height: allowedControlHeight
    }, {
      duration: this.rendered ? control.animateDuration : 0,
      complete: function () {
        this.animating = false;
        control.onControlContainerOpened();
        this.table.invalidateLayoutTree();
      }.bind(this)
    });
  }
  closeControlContainer(control, options) {
    if (!this.open) {
      return;
    }
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, {
      animate: true
    }, options);
    this.open = false;
    this.animating = true;
    this.table.invalidateLayoutTree();
    let completeFunc = function () {
      this.animating = false;
      this.$controlContainer.hide();
      control.onControlContainerClosed();
    }.bind(this);
    if (options.animate) {
      this.$controlContainer.stop(true).show().animate({
        height: 0
      }, {
        duration: control.animateDuration,
        complete: completeFunc
      });
    } else {
      completeFunc();
    }
  }
  computeControlContainerHeight(table, control, growControl) {
    let menuBarHeight = 0,
      footerHeight = 0,
      containerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(table.$container).height,
      controlContainerHeight = 0,
      dataMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(table.$data, table.$container)),
      dataMarginsHeight = dataMargins.top + dataMargins.bottom,
      menuBar = table.menuBar,
      footer = table.footer,
      htmlContainer = table.htmlComp,
      containerSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    if (!footer) {
      return;
    }
    if (table.menuBarVisible && menuBar.visible) {
      let htmlMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(menuBar.$container);
      menuBarHeight = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize).height;
    }
    // Layout table footer and add size of footer (including the control content) to 'height'
    footerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(footer.$container).height;
    if (footer.open) {
      if (footer.animating) {
        // Layout may be called when container stays open but changes its size using an animation.
        // At that time the controlContainer has not yet the final size, therefore measuring is not possible, but not necessary anyway.
        controlContainerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(control && control.height, controlContainerHeight);
      } else {
        // Measure the real height
        controlContainerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(footer.$controlContainer).height;
        // Expand control height? (but only if not resizing)
        if (!footer.resizing && growControl) {
          controlContainerHeight = Math.max(control && control.height, controlContainerHeight);
        }
      }
    }
    // Crop control height (don't do it if table does not have the correct size yet)
    if (this.table.htmlComp.layouted) {
      let maxControlHeight = containerHeight - (dataMarginsHeight + menuBarHeight + footerHeight);
      controlContainerHeight = Math.min(controlContainerHeight, maxControlHeight);
    }
    return controlContainerHeight;
  }
  _hideTableStatusTooltip() {
    clearTimeout(this._autoHideTableStatusTooltipTimeoutId);
    if (this._tableStatusTooltip) {
      this._tableStatusTooltip.destroy();
    }
  }
  _showTableStatusTooltip() {
    // Remove existing tooltip (might have the wrong css class)
    if (this._tableStatusTooltip) {
      this._tableStatusTooltip.destroy();
      this._tableStatusTooltip = null;
    }
    // Check needed because the table footer might already be removed again when this
    // callback is executed (e.g. when the user clicks on another page while the opening
    // animation is still running).
    if (!this.rendered && !this.rendering) {
      return;
    }
    let tableStatus = this.table.tableStatus;
    let text = tableStatus ? tableStatus.message : null;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text)) {
      return; // Refuse to show empty tooltip
    }
    // Create new tooltip
    this._tableStatusTooltip = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tooltip, {
      parent: this,
      text: text,
      severity: tableStatus.severity,
      autoRemove: !tableStatus.isError(),
      $anchor: this._$infoTableStatusIcon
    });
    this._tableStatusTooltip.one('destroy', () => {
      this._tableStatusTooltip = null;
    });
    this._tableStatusTooltip.render();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this._tableStatusTooltip.$content, 'alert');
    // Adjust icon style
    this._$infoTableStatus.addClass('tooltip-active');
    this._tableStatusTooltip.on('remove', () => {
      this._$infoTableStatus.removeClass('tooltip-active');
      // When the tooltip is removed (e.g. because of the auto-remove timeout, or
      // The user clicked somewhere) set the uiStatus accordingly. Otherwise, it
      // might pop up again when the table layout is revalidated.
      clearTimeout(this._autoHideTableStatusTooltipTimeoutId);
      if (this.table.tableStatus && !this.table.tableStatus.isError()) {
        this.table.tableStatus.uiState = 'auto-hidden';
      }
    });
    // Auto-hide unimportant messages
    clearTimeout(this._autoHideTableStatusTooltipTimeoutId);
    if (!tableStatus.isError() && !tableStatus.isWarning() && !tableStatus.uiState) {
      // Already set status to 'auto-hidden', in case the user changes outline before timeout elapses
      this.table.tableStatus.uiState = 'auto-hidden';
      this._autoHideTableStatusTooltipTimeoutId = setTimeout(() => this._hideTableStatusTooltip(), 5000);
    }
  }
  _updateHasFilterText() {
    this._$textFilter.toggleClass('has-text', !!this._$textFilter.val());
  }
  onControlSelected(control) {
    let previousControl = this.selectedControl;
    this.selectedControl = control;
    if (control) {
      this._renderResizerVisible();
      if (previousControl && previousControl.height !== control.height) {
        this.openControlContainer(control);
      }
    }
  }
  _onStatusMouseDown(event) {
    // Toggle tooltip
    if (this._tableStatusTooltip) {
      this._hideTableStatusTooltip();
      this.table.tableStatus.uiState = 'user-hidden';
    } else {
      this._showTableStatusTooltip();
      if (this._tableStatusTooltip.rendered) {
        this.table.tableStatus.uiState = 'user-shown';
      }
    }
  }
  _createOnFilterFieldInputFunction() {
    let debounceFunction = jquery__WEBPACK_IMPORTED_MODULE_1___default().debounce(this._applyFilter.bind(this));
    return function (event) {
      this._updateHasFilterText();
      // debounced filter
      debounceFunction();
    };
  }
  _onDeleteFilterMouseDown(event) {
    this._$textFilter.val('');
    this._updateHasFilterText();
    this._applyFilter();
    event.preventDefault();
  }
  _applyFilter() {
    let filterText = this._$textFilter.val();
    if (this.filterText !== filterText) {
      this.filterText = filterText;
      if (filterText) {
        let filter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter, {
          session: this.session,
          table: this.table
        });
        filter.text = filterText;
        this.table.addFilter(filter);
      } else {
        this.table.removeFilterByKey(_index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter.TYPE);
      }
    }
  }
  _onInfoLoadClick() {
    if (!this._$infoLoad.isEnabled()) {
      return;
    }
    if (this._compactStyle) {
      this._toggleTableInfoTooltip(this._$infoLoad, 'TableInfoLoadTooltip');
    } else {
      let numRows = this.table.rows.length;
      let estRows = this.table.estimatedRowCount;
      let maxRows = this.table.maxRowCount;
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableMaxResultsHelper).isLoadMoreDataPossible(numRows, estRows, maxRows)) {
        this.table.reload(_index__WEBPACK_IMPORTED_MODULE_0__.Table.ReloadReason.OVERRIDE_ROW_LIMIT);
      } else {
        this.table.reload();
      }
    }
  }
  _onInfoFilterClick() {
    if (this._compactStyle) {
      this._toggleTableInfoTooltip(this._$infoFilter, 'TableInfoFilterTooltip');
    } else {
      this.table.resetUserFilter();
    }
  }
  _onInfoSelectionClick() {
    if (this._compactStyle) {
      this._toggleTableInfoTooltip(this._$infoSelection, 'TableInfoSelectionTooltip');
    } else {
      this.table.toggleSelection();
    }
  }
  _onTableRowsChanged(event) {
    this._renderInfoLoad();
  }
  _onTableFilter(event) {
    this._renderInfoFilter();
    this._updateInfoFilterVisibility();
    this._renderInfoSelection();
  }
  _onTableFilterAdded(event) {
    this._renderInfoFilter();
    this._updateInfoFilterVisibility();
    if (event.filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter && event.filter.filterType === _index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter.TYPE) {
      // Do not update the content when the value does not change. This is the case when typing text in
      // the UI. If we called val() unconditionally, the current cursor position will get lost.
      let textFilter = event.filter;
      let currentText = this._$textFilter.val();
      if (currentText !== textFilter.text) {
        this._$textFilter.val(textFilter.text);
        this._updateHasFilterText();
        this._applyFilter();
      }
    }
  }
  _onTableFilterRemoved(event) {
    this._renderInfoFilter();
    this._updateInfoFilterVisibility();
    if (event.filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter && event.filter.filterType === _index__WEBPACK_IMPORTED_MODULE_0__.TableTextUserFilter.TYPE) {
      this._$textFilter.val('');
      this._updateHasFilterText();
      this._applyFilter();
    }
  }
  _onTableRowsSelected(event) {
    this._renderInfoSelection();
  }
  _onTableStatusChanged(event) {
    this._renderInfoTableStatus();
    this._updateInfoTableStatusVisibility();
  }
  _onTablePropertyChange(event) {
    if (event.propertyName === 'multiSelect') {
      this._updateInfoSelectionVisibility();
    }
  }
}

/***/ }),

/***/ "./src/table/TableFooterLayout.ts":
/*!****************************************!*\
  !*** ./src/table/TableFooterLayout.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableFooterLayout: () => (/* binding */ TableFooterLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TableFooterLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tableFooter) {
    super();
    _defineProperty(this, "_tableFooter", void 0);
    this._tableFooter = tableFooter;
  }
  layout($container) {
    let contentFits,
      $controls = this._tableFooter._$controls,
      $info = this._tableFooter._$info,
      $infoItems = $info.find('.table-info-item'),
      containerWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($container).width;
    let controlsWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($controls, true).width;
    let infoWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($info, true).width;
    // Remove width to make sure elements are as width as they want to be
    $infoItems.each(function () {
      let $item = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      // Do not touch items which are being hidden to make sure they can properly animate width to 0
      if ($item.isVisible() && !$item.hasClass('hiding')) {
        $item.data('oldWidth', $item.outerWidth());
        $item.css('width', 'auto');
      }
    });
    $info.css('max-width', '');
    // Always try to use max space first
    if (this._tableFooter._compactStyle) {
      this._tableFooter._compactStyle = false;
      this._tableFooter._renderInfo();
    }
    infoWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($info, true).width;
    if (controlsWidth + infoWidth <= containerWidth) {
      // Make sure table info tooltip is not shown anymore (only available in compact style)
      if (this._tableFooter._tableInfoTooltip) {
        this._tableFooter._tableInfoTooltip.destroy();
      }
      contentFits = true;
    }
    if (!contentFits) {
      // If elements don't fit, try to minimize table-info
      this._tableFooter._compactStyle = true;
      this._tableFooter._renderInfo();
      infoWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($info, true).width;
      if (controlsWidth + infoWidth <= containerWidth) {
        contentFits = true;
      }
      // Make sure info section does not overlap controls
      $info.css('max-width', Math.max(containerWidth - controlsWidth - $info.cssMarginX(), 0));
    }
    // don't animate on the first layouting -> only animate on user interactions
    let animated = this._tableFooter.htmlComp.layouted;
    this._setInfoItemsSize($infoItems, animated);
    // Let table controls update their content according to the new footer size
    this._tableFooter.table.tableControls.forEach(control => control.revalidateLayout());
  }
  _setInfoItemsSize($infoItems, animated) {
    $infoItems.each(function () {
      let $item = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
      if ($item.isVisible() && !$item.hasClass('hiding')) {
        // Make sure complete function of already scheduled animation will be executed
        let existingComplete = $item.data('animationComplete');
        if (animated) {
          $item.stop().cssWidthAnimated($item.data('oldWidth'), $item.outerWidth(), {
            complete: existingComplete
          });
          $item.removeData('oldWidth');
        } else {
          $item.cssWidth($item.outerWidth());
        }
      }
    });
  }
}

/***/ }),

/***/ "./src/table/TableFooterModel.ts":
/*!***************************************!*\
  !*** ./src/table/TableFooterModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeader.ts":
/*!**********************************!*\
  !*** ./src/table/TableHeader.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableHeader: () => (/* binding */ TableHeader)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TableHeader extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "headerMenusEnabled", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "dragging", void 0);
    _defineProperty(this, "columnMoved", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "tableHeaderMenu", void 0);
    _defineProperty(this, "headerLabelId", void 0);
    _defineProperty(this, "$menuBarContainer", void 0);
    _defineProperty(this, "$filler", void 0);
    _defineProperty(this, "_tableDataScrollHandler", void 0);
    _defineProperty(this, "_tableAddFilterRemovedHandler", void 0);
    _defineProperty(this, "_tableColumnResizedHandler", void 0);
    _defineProperty(this, "_tableColumnMovedHandler", void 0);
    _defineProperty(this, "_renderedColumns", void 0);
    _defineProperty(this, "_$window", void 0);
    _defineProperty(this, "_$body", void 0);
    _defineProperty(this, "_fixTimeout", void 0);
    this.dragging = false;
    this.headerMenusEnabled = true;
    this.table = null;
    this.headerLabelId = null;
    this._tableDataScrollHandler = this._onTableDataScroll.bind(this);
    this._tableAddFilterRemovedHandler = this._onTableAddFilterRemoved.bind(this);
    this._tableColumnResizedHandler = this._onTableColumnResized.bind(this);
    this._tableColumnMovedHandler = this._onTableColumnMoved.bind(this);
    this._renderedColumns = [];
  }
  _init(options) {
    super._init(options);
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      tabbable: false,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.GroupBoxMenuItemsOrder()
    });
    this.menuBar.on('propertyChange', this._onMenuBarPropertyChange.bind(this));
    this.updateMenuBar();
  }
  _render() {
    this.$container = this.table.$data.beforeDiv('table-header').cssBorderLeftWidth(this.table.rowBorders.left || '');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'row');
    // Filler is necessary to make sure the header is always as large as the table data, otherwise horizontal scrolling does not work correctly
    this.$filler = this.$container.appendDiv('table-header-item filler').css('visibility', 'hidden');
    // Required to make "height: 100%" rule work. menuBarContainer and menuBar itself must have the same visibility.
    // Otherwise, they could cover the sorting/filter icons on the table-header of the column.
    this.$menuBarContainer = this.$container.appendDiv('menubar-container').setVisible(this.menuBar.visible);
    this.menuBar.render(this.$menuBarContainer);
    this._$window = this.$container.window();
    this._$body = this.$container.body();
    this._renderColumns();
    this.table.$data.on('scroll', this._tableDataScrollHandler);
    this.table.on('filterAdded', this._tableAddFilterRemovedHandler);
    this.table.on('filterRemoved', this._tableAddFilterRemovedHandler);
    this.table.on('columnResized', this._tableColumnResizedHandler);
    this.table.on('columnMoved', this._tableColumnMovedHandler);
  }
  _remove() {
    this.table.$data.off('scroll', this._tableDataScrollHandler);
    this.table.off('filterAdded', this._tableAddFilterRemovedHandler);
    this.table.off('filterRemoved', this._tableAddFilterRemovedHandler);
    this.table.off('columnResized', this._tableColumnResizedHandler);
    this.table.off('columnMoved', this._tableColumnMovedHandler);
    this._removeColumns();
    super._remove();
  }
  rerenderColumns() {
    this._removeColumns();
    this._renderColumns();
  }
  _renderColumns() {
    let visibleColumns = this._visibleColumns();
    visibleColumns.forEach(this._renderColumn, this);
    if (visibleColumns.length === 0) {
      // If there are no columns, make the filler visible and make sure the header is as large as normally using nbsp
      this.$filler.css('visibility', 'visible').html('&nbsp;').addClass('empty');
    }
    this._reconcileScrollPos();
  }
  _renderColumn(column, index) {
    let columnWidth = column.realWidthIfAvailable(),
      visibleColumns = this._visibleColumns(),
      isFirstColumn = index === 0,
      isLastColumn = index === visibleColumns.length - 1;
    let $header = this.$filler.beforeDiv('table-header-item').setEnabled(this.enabled) // enabledComputed not used on purpose
    .data('column', column);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($header, 'columnheader');
    let margins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($header);
    columnWidth -= margins.horizontal();
    $header.cssMinWidth(columnWidth).cssMaxWidth(columnWidth);
    // add label id to header item text, so table cells can reference it for screen readers
    this.headerLabelId = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.createUniqueId('lbl');
    $header.appendSpan('table-header-item-text').attr('id', this.headerLabelId);
    if (this.enabled) {
      // enabledComputed not used on purpose
      $header.on('click', this._onHeaderItemClick.bind(this)).on('mousedown', this._onHeaderItemMouseDown.bind(this));
    }
    if (this.session.inspector) {
      _index__WEBPACK_IMPORTED_MODULE_0__.inspector.applyInfo(column, $header);
    }
    if (isFirstColumn) {
      $header.addClass('first');
    }
    if (isLastColumn) {
      $header.addClass('last');
    }
    column.$header = $header;
    this._installHeaderItemTooltip(column);
    this._decorateHeader(column);
    let showSeparator = column.showSeparator;
    if (isLastColumn && !this.enabled) {
      // enabledComputed not used on purpose
      showSeparator = false;
    }
    if (showSeparator) {
      let $separator = this.$filler.beforeDiv('table-header-resize');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($separator, 'none');
      if (column.fixedWidth || !this.enabled) {
        // enabledComputed not used on purpose
        $separator.setEnabled(false);
      } else {
        $separator.on('mousedown', '', this._onSeparatorMouseDown.bind(this)).on('dblclick', this._onSeparatorDblclick.bind(this));
      }
      column.$separator = $separator;
    }
    this._renderedColumns.push(column);
  }
  _removeColumns() {
    this._renderedColumns.slice().forEach(this._removeColumn, this);
  }
  _removeColumn(column) {
    if (column.$header) {
      column.$header.remove();
      column.$header = null;
    }
    if (column.$separator) {
      column.$separator.remove();
      column.$separator = null;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._renderedColumns, column);
  }
  resizeHeaderItem(column) {
    if (!column) {
      // May be undefined if there are no columns
      return;
    }
    if (!column.$header) {
      // May be undefined if called when header item is not rendered yet (e.g. coming from _adjustColumnMinWidth)
      return;
    }
    let $header = column.$header,
      columnWidth = column.realWidthIfAvailable(),
      margins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($header),
      menuBarWidth = this.menuBar.visible ? this.$menuBarContainer.outerWidth(true) : 0,
      visibleColumns = this._visibleColumns(),
      visibleColumnIndex = visibleColumns.indexOf(column),
      isLastColumn = visibleColumnIndex === visibleColumns.length - 1;
    columnWidth -= margins.horizontal();
    if (isLastColumn && menuBarWidth > 0) {
      let remainingHeaderSpace = this.$container.width() - this.table.rowWidth + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.$container).right;
      if (remainingHeaderSpace < menuBarWidth) {
        let adjustment = menuBarWidth;
        if (column.$separator) {
          adjustment += column.$separator.width();
        }
        if (remainingHeaderSpace > 0) {
          adjustment -= remainingHeaderSpace;
        }
        let origColumnWidth = columnWidth;
        columnWidth = Math.max(columnWidth - adjustment, column.minWidth);
        this.$filler.cssWidth(origColumnWidth - columnWidth);
      }
    }
    $header.cssMinWidth(columnWidth).cssMaxWidth(columnWidth);
  }
  /**
   * Resizes all header items to theirs desired widths.
   */
  resizeHeaderItems() {
    this._visibleColumns().forEach(this.resizeHeaderItem.bind(this));
  }
  _reconcileScrollPos() {
    // When scrolling horizontally scroll header as well
    let scrollLeft = this.table.get$Scrollable().scrollLeft(),
      lastColumn = this._lastVisibleColumn();
    this.resizeHeaderItem(lastColumn);
    this.$container.scrollLeft(scrollLeft);
    this.$menuBarContainer.cssRight(-1 * scrollLeft);
  }
  _arrangeHeaderItems($headers) {
    let that = this;
    $headers.each(function () {
      // move to old position and then animate
      jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).css('left', jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('old-pos') - jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).offset().left).animate({
        left: 0
      }, {
        progress: function (animation, progress, remainingMs) {
          let $headerItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
          if (!$headerItem.isSelected()) {
            return;
          }
          // make sure selected header item is visible
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollHorizontalTo(that.table.$data, $headerItem);
          // move menu
          if (that.tableHeaderMenu && that.tableHeaderMenu.rendered) {
            that.tableHeaderMenu.position();
          }
        }
      });
    });
  }
  _installHeaderItemTooltip(column) {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(column.$header, {
      parent: this,
      text: this._headerItemTooltipText.bind(this),
      arrowPosition: 50,
      arrowPositionUnit: '%',
      originProducer: this._headerItemTooltipOrigin.bind(this),
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible(),
      htmlEnabled: this._headerItemTooltipHtmlEnabled.bind(this)
    });
  }
  _installHeaderItemTooltips() {
    this._visibleColumns().forEach(this._installHeaderItemTooltip, this);
  }
  _uninstallHeaderItemTooltip(column) {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(column.$header);
  }
  _uninstallHeaderItemTooltips() {
    this._visibleColumns().forEach(this._uninstallHeaderItemTooltip, this);
  }
  _headerItemTooltipText($col) {
    let column = $col.data('column');
    if (column && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(column.headerTooltipText)) {
      return column.headerTooltipText;
    }
    let $text = $col.children('.table-header-item-text');
    if ($text.isContentTruncated() || !this._textInView($text)) {
      // Show a tooltip if the content is truncated (text shows an ellipsis) or if the text is partially out of view because of the horizontal scroll position of the table
      let text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText($text.html(), {
        trim: true
      });
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(text)) {
        return text;
      }
    }
    return null;
  }
  _textInView($text) {
    let textBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($text);
    let containerBounds = this._offsetBoundsWithoutMenuBar();
    return textBounds.right() <= containerBounds.right() && textBounds.x >= containerBounds.x;
  }
  /**
   * @returns the part of the header item that is visible in the current viewport of the table so the tooltip won't point to an invisible part of the header item
   */
  _headerItemTooltipOrigin($col) {
    let headerItemBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($col);
    let containerBounds = this._offsetBoundsWithoutMenuBar();
    return containerBounds.intersect(headerItemBounds);
  }
  _offsetBoundsWithoutMenuBar() {
    let containerBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$container);
    containerBounds.width -= _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.$menuBarContainer).width;
    return containerBounds;
  }
  _headerItemTooltipHtmlEnabled($col) {
    let column = $col.data('column');
    return column.headerTooltipHtmlEnabled;
  }
  setHeaderMenusEnabled(headerMenusEnabled) {
    this.setProperty('headerMenusEnabled', headerMenusEnabled);
  }
  _renderHeaderMenusEnabled() {
    this._visibleColumns().forEach(column => this._decorateHeader(column));
  }
  openHeaderMenu(column) {
    if (this.tableHeaderMenu) {
      // Make sure existing header menu is closed first
      this.closeHeaderMenu();
    }
    this.tableHeaderMenu = column.createTableHeaderMenu(this);
    this.tableHeaderMenu.open();
    // Trigger events on column to make it possible to react to the opening of the menu
    column.trigger('headerMenuOpen', {
      menu: this.tableHeaderMenu
    });
    this.tableHeaderMenu.one('destroy', () => {
      column.trigger('headerMenuClose', {
        menu: this.tableHeaderMenu
      });
    });
  }
  closeHeaderMenu() {
    this.tableHeaderMenu.destroy();
    this.tableHeaderMenu = null;
  }
  findHeaderItems() {
    return this.$container.find('.table-header-item:not(.filler)');
  }
  /**
   * Updates the column headers visualization of the text, sorting and styling state
   * @param oldColumnState only necessary when the css class was updated
   */
  updateHeader(column, oldColumnState) {
    if (!column.visible) {
      return;
    }
    this._decorateHeader(column, oldColumnState);
  }
  _decorateHeader(column, oldColumnState) {
    this._renderColumnCssClass(column, oldColumnState);
    this._renderColumnText(column);
    this._renderColumnIconId(column);
    this._renderColumnState(column);
    this._renderColumnLegacyStyle(column);
    this._renderColumnHeaderMenuEnabled(column);
    this._renderColumnHorizontalAlignment(column);
    this._renderColumnTooltipText(column);
  }
  _renderColumnCssClass(column, oldColumnState) {
    let $header = column.$header;
    if (oldColumnState) {
      $header.removeClass(oldColumnState.headerCssClass);
    }
    $header.addClass(column.headerCssClass);
  }
  _renderColumnText(column) {
    let text = column.text,
      $header = column.$header,
      $headerText = $header.children('.table-header-item-text');
    if (!column.headerHtmlEnabled) {
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(text);
    }
    // Make sure empty header is as height as the others to make it properly clickable
    $headerText.htmlOrNbsp(text, 'empty');
    this._updateColumnIconAndTextStyle(column);
  }
  _renderColumnTooltipText(column) {
    // add tooltip as invisible text for screen readers
    if (column.$header && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(column.headerTooltipText)) {
      let $descriptionElement = column.$header.appendDiv().addClass('text').text(column.headerTooltipText);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly($descriptionElement);
    }
  }
  _renderColumnIconId(column) {
    column.$header.icon(column.headerIconId);
    this._updateColumnIconAndTextStyle(column);
  }
  _renderColumnHorizontalAlignment(column) {
    column.$header.removeClass('halign-left halign-center halign-right');
    column.$header.addClass('halign-' + _index__WEBPACK_IMPORTED_MODULE_0__.Table.parseHorizontalAlignment(column.horizontalAlignment));
  }
  _updateColumnIconAndTextStyle(column) {
    let $icon = column.$header.data('$icon'),
      $text = column.$header.children('.table-header-item-text');
    if ($icon) {
      $icon.toggleClass('with-text', !!column.text);
    }
    // Make text invisible if there is an icon but no text
    $text.setVisible(!($icon && $text.html() === '&nbsp;'));
    // Mark icon-only columns to prevent ellipsis (like IconColumn.js does for table cells)
    column.$header.toggleClass('table-header-item-icon-only', !!(column.headerIconId && !column.text));
  }
  _renderColumnLegacyStyle(column) {
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyStyle(column, column.$header, 'header');
  }
  _renderColumnHeaderMenuEnabled(column) {
    column.$header.toggleClass('disabled', !this._isHeaderMenuEnabled(column) || !this.enabled); // enabledComputed not used on purpose
  }
  _renderColumnState(column) {
    let $header = column.$header,
      filtered = this.table.getFilter(column.id);
    $header.children('.table-header-item-state').remove();
    let $state = $header.appendSpan('table-header-item-state');
    $state.empty();
    $header.removeClass('sort-asc sort-desc sorted group-asc group-desc grouped filtered');
    $state.removeClass('sort-asc sort-desc sorted group-asc group-desc grouped filtered');
    let accessibleStateText = '';
    if (column.sortActive) {
      let sortDirection = column.sortAscending ? 'asc' : 'desc';
      accessibleStateText += this.session.text('ui.Sorting') + ' ' + (column.sortAscending ? this.session.text('ui.ascending') : this.session.text('ui.descending'));
      if (column.grouped) {
        $header.addClass('group-' + sortDirection);
      }
      $header.addClass('sorted sort-' + sortDirection);
      $state.addClass('sorted sort-' + sortDirection);
    }
    if (column.grouped || filtered) {
      // contains group and filter symbols
      let $left = $state.appendDiv('left');
      if (column.grouped) {
        $header.addClass('grouped');
        $state.addClass('grouped');
        let $g = $left.appendDiv().text('G');
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden($g, true);
        accessibleStateText += ' ' + this.session.text('ui.Grouping');
      }
      if (filtered) {
        $header.addClass('filtered');
        $state.addClass('filtered');
        let $f = $left.appendDiv().text('F');
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden($f, true);
        accessibleStateText += ' ' + this.session.text('ui.Filter');
      }
    }
    let $accessibleState = $state.appendDiv().addClass('text').text(accessibleStateText);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.screenReaderOnly($accessibleState);
    // Contains sort arrow
    let sortArrow = $state.appendDiv('right');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.hidden(sortArrow, true);
    this._adjustColumnMinWidth(column);
  }
  /**
   * Makes sure state is fully visible by adjusting width (happens if column.minWidth is < DEFAULT_MIN_WIDTH)
   */
  _adjustColumnMinWidth(column) {
    let filtered = this.table.getFilter(column.id);
    if (column.sortActive || column.grouped || filtered) {
      if (column.minWidth < _index__WEBPACK_IMPORTED_MODULE_0__.Column.DEFAULT_MIN_WIDTH) {
        column.__minWidthWithoutState = column.minWidth;
        column.__widthWithoutState = column.width;
        column.minWidth = _index__WEBPACK_IMPORTED_MODULE_0__.Column.DEFAULT_MIN_WIDTH;
      }
      if (column.width < column.minWidth) {
        this.table.resizeColumn(column, column.minWidth);
      }
    } else {
      // Reset to previous min width if no state is visible
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(column.__minWidthWithoutState)) {
        column.minWidth = column.__minWidthWithoutState;
        // Resize to previous min width, assuming user has not manually changed the size because column is still as width as default_min_width
        if (column.width === _index__WEBPACK_IMPORTED_MODULE_0__.Column.DEFAULT_MIN_WIDTH) {
          this.table.resizeColumn(column, column.__widthWithoutState);
        }
        column.__minWidthWithoutState = null;
        column.__widthWithoutState = null;
      }
    }
  }
  updateMenuBar() {
    let menuItems = this.table._filterMenus(this.table.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.HEADER);
    this.menuBar.setHiddenByUi(!this.enabled); // enabledComputed not used on purpose
    this.menuBar.setMenuItems(menuItems);
  }
  _onTableColumnResized(event) {
    let column = event.column,
      lastColumn = this._lastVisibleColumn();
    this.resizeHeaderItem(column);
    if (lastColumn !== column) {
      this.resizeHeaderItem(lastColumn);
    }
  }
  onSortingChanged() {
    this._visibleColumns().forEach(this._renderColumnState, this);
  }
  _onTableColumnMoved(event) {
    let column = event.column,
      oldPos = event.oldPos,
      newPos = event.newPos,
      $header = column.$header,
      $headers = this.findHeaderItems(),
      $moveHeader = $headers.eq(oldPos),
      $moveResize = $moveHeader.next('.table-header-resize'),
      visibleColumns = this._visibleColumns(),
      lastColumnPos = visibleColumns.length - 1;
    // store old position of header
    $headers.each(function () {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('old-pos', jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).offset().left);
    });
    // change order in dom of header
    if (newPos < oldPos) {
      $headers.eq(newPos).before($moveHeader);
    } else {
      $headers.eq(newPos).after($moveHeader);
      $moveHeader.before($moveHeader.next('.table-header-resize'));
    }
    // The resizer belongs to a column which is especially relevant for fixed width columns where resizer is disabled -> ensure it is always positioned after the header
    $moveHeader.after($moveResize);
    // Update first/last markers
    if ($headers.length > 0) {
      $headers.eq(0).removeClass('first');
      $headers.eq($headers.length - 1).removeClass('last');
    }
    if (visibleColumns.length > 0) {
      visibleColumns[0].$header.addClass('first');
      visibleColumns[lastColumnPos].$header.addClass('last');
    }
    // Update header size due to header menu items if moved from or to last position
    if (oldPos === lastColumnPos || newPos === lastColumnPos) {
      visibleColumns.forEach(column => this.resizeHeaderItem(column));
    }
    // move to old position and then animate
    if (event.dragged) {
      $header.css('left', parseInt($header.css('left'), 0) + $header.data('old-pos') - $header.offset().left).addClass('releasing').animateAVCSD('left', 0, () => $header.removeClass('releasing'));
    } else {
      this._arrangeHeaderItems($headers);
    }
  }
  _visibleColumns() {
    return this.table.visibleColumns();
  }
  _lastVisibleColumn() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(this._visibleColumns());
  }
  onOrderChanged(oldColumnOrder) {
    let $headers = this.findHeaderItems();
    // store old position of headers
    $headers.each(function () {
      jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('old-pos', jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).offset().left);
    });
    // change order in dom of header
    this._visibleColumns().forEach(column => {
      let $header = column.$header;
      let $headerResize = $header.next('.table-header-resize');
      this.$container.append($header);
      this.$container.append($headerResize);
    });
    // ensure filler is at the end
    this.$container.append(this.$filler);
    this._arrangeHeaderItems($headers);
  }
  /**
   * Header menus are enabled when property is enabled on the header itself and on the column too.
   */
  _isHeaderMenuEnabled(column) {
    return !!(column.headerMenuEnabled && this.headerMenusEnabled);
  }
  _onHeaderItemClick(event) {
    let $headerItem = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget),
      column = $headerItem.data('column');
    if (this.dragging || this.columnMoved) {
      this.dragging = false;
      this.columnMoved = false;
    } else if (this.table.sortEnabled && (event.shiftKey || event.ctrlKey || !this._isHeaderMenuEnabled(column))) {
      this.table.sort(column, $headerItem.hasClass('sort-asc') ? 'desc' : 'asc', event.shiftKey);
    } else if (this.tableHeaderMenu && this.tableHeaderMenu.isOpenFor($headerItem)) {
      this.closeHeaderMenu();
    } else if (this._isHeaderMenuEnabled(column)) {
      this.openHeaderMenu(column);
    }
    return false;
  }
  _onHeaderItemMouseDown(event) {
    if (event.button > 0) {
      return; // ignore buttons other than the main (left) mouse button
    }
    let diff = 0,
      that = this,
      startX = Math.floor(event.pageX),
      $header = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget),
      column = $header.data('column'),
      oldPos = this._visibleColumns().indexOf(column),
      newPos = oldPos,
      move = $header.outerWidth(),
      $otherHeaders = $header.siblings('.table-header-item:not(.filler)');
    if (column.fixedPosition) {
      // Don't allow moving a column with fixed position
      return;
    }
    this.dragging = false;
    // firefox fires a click action after a column has been dropped at the new location, chrome doesn't -> we need a hint to avoid menu gets opened after drop
    this.columnMoved = false;
    // start drag & drop events
    this._$window.on('mousemove.tableheader', '', dragMove).one('mouseup', '', dragEnd);
    function dragMove(event) {
      diff = Math.floor(event.pageX) - startX;
      if (-2 < diff && diff < 2) {
        // Don't move if it was no movement or just a very small one
        return;
      }
      that.dragging = true;
      // change css of dragged header
      $header.addClass('moving');
      that.$container && that.$container.addClass('moving');
      // move dragged header
      $header.css('left', diff);
      // find other affected headers
      let middle = realMiddle($header);
      $otherHeaders.each(function (i) {
        let $otherHeader = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this);
        let m = realMiddle($otherHeader);
        if (middle < m && i < oldPos) {
          $otherHeader.css('left', move);
        } else if (middle > m && i >= oldPos) {
          $otherHeader.css('left', -move);
        } else {
          $otherHeader.css('left', 0);
        }
      });
      if (that.tableHeaderMenu) {
        that.tableHeaderMenu.destroy();
        that.tableHeaderMenu = null;
      }
      // Don't show tooltips while dragging
      that.rendered && that._uninstallHeaderItemTooltips();
    }
    function realWidth($div) {
      let html = $div.html(),
        width = $div.html('<span>' + html + '</span>').find('span:first').width();
      $div.html(html);
      return width;
    }
    /**
     * @returns the middle of the text (not the middle of the whole header item)
     */
    function realMiddle($div) {
      if ($div.hasClass('halign-right')) {
        return $div.offset().left + $div.outerWidth() - realWidth($div) / 2;
      }
      return $div.offset().left + realWidth($div) / 2;
    }
    function dragEnd(event) {
      that._$window && that._$window.off('mousemove.tableheader');
      // in case of no movement: return
      if (!that.dragging) {
        return true;
      }
      // find new position of dragged header
      let h = diff < 0 ? $otherHeaders : jquery__WEBPACK_IMPORTED_MODULE_1___default()($otherHeaders.get().reverse());
      h.each(function (i) {
        if (jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).css('left') !== '0px') {
          newPos = that._visibleColumns().indexOf(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('column'));
          return false;
        }
      });
      // move column
      if (newPos > -1 && oldPos !== newPos) {
        that.table.moveColumn($header.data('column'), oldPos, newPos, true);
        that.dragging = false;
        that.columnMoved = true;
      } else {
        $header.addClass('releasing');
        $header.animateAVCSD('left', '', () => {
          that.dragging = false;
          $header.removeClass('releasing');
        });
      }
      // reset css of dragged header
      $otherHeaders.each(function () {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).css('left', '');
      });
      $header.removeClass('moving');
      that.$container && that.$container.removeClass('moving');
      // Reinstall tooltips
      that.rendered && that._installHeaderItemTooltips();
    }
  }
  _onSeparatorDblclick(event) {
    if (event.button > 0) {
      return; // ignore buttons other than the main (left) mouse button
    }
    if (event.shiftKey) {
      // Optimize all columns
      this._visibleColumns().forEach(function (column) {
        this.table.resizeToFit(column);
      }, this);
    } else {
      // Optimize the column left of the separator
      let $header = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).prev(),
        column = $header.data('column');
      this.table.resizeToFit(column);
    }
  }
  _onSeparatorMouseDown(event) {
    if (event.button > 0) {
      return; // ignore buttons other than the main (left) mouse button
    }
    let startX = Math.floor(event.pageX),
      $header = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).prev(),
      column = $header.data('column'),
      that = this,
      headerWidth = column.width;
    // Install resize helpers. Those helpers make sure the header and the data element keep their
    // current width until the resizing has finished. Otherwise, make a column smaller while the
    // table has been horizontally scrolled to the right would behave very strange.
    let $headerColumnResizedHelper = this.$container.appendDiv('table-column-resize-helper').css('width', this.table.rowWidth + this.table.rowBorders.horizontal());
    let $dataColumnResizedHelper = this.table.$data.appendDiv('table-column-resize-helper').css('width', this.table.rowWidth);
    this._$window.on('mousemove.tableheader', resizeMove).one('mouseup', resizeEnd);
    this._$body.addClass('col-resize');
    // Prevent text selection in a form, don't stop propagation to allow others (e.g. cell editor) to react
    event.preventDefault();
    function resizeMove(event) {
      let diff = Math.floor(event.pageX) - startX,
        wHeader = headerWidth + diff;
      wHeader = Math.max(wHeader, column.minWidth);
      if (that.rendered && wHeader !== column.width) {
        that.table.resizeColumn(column, wHeader);
      }
    }
    function resizeEnd(event) {
      // Remove resize helpers
      $headerColumnResizedHelper.remove();
      $dataColumnResizedHelper.remove();
      that._$window && that._$window.off('mousemove.tableheader');
      that._$body && that._$body.removeClass('col-resize');
      if (that.table.rendered && column.width !== headerWidth) {
        that.table.resizeColumn(column, column.width);
      }
    }
  }
  _onTableDataScroll() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.fix(this.$menuBarContainer);
    this._reconcileScrollPos();
    this._fixTimeout = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.unfix(this.$menuBarContainer, this._fixTimeout);
  }
  _onMenuBarPropertyChange(event) {
    if (this.rendered && event.propertyName === 'visible') {
      this.$menuBarContainer.setVisible(event.newValue);
    }
  }
  _onTableAddFilterRemoved(event) {
    if (!(event.filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter)) {
      return;
    }
    let column = event.filter.column;
    // Check for column.$header because column may have been removed in the meantime due to a structure changed event -> don't try to render state
    if (event.filter.filterType === _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter.TYPE && column.$header) {
      this._renderColumnState(column);
    }
  }
}

/***/ }),

/***/ "./src/table/TableHeaderEventMap.ts":
/*!******************************************!*\
  !*** ./src/table/TableHeaderEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderMenu.ts":
/*!**************************************!*\
  !*** ./src/table/TableHeaderMenu.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableHeaderMenu: () => (/* binding */ TableHeaderMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableHeaderMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "column", void 0);
    _defineProperty(this, "tableHeader", void 0);
    _defineProperty(this, "compact", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "filterTable", void 0);
    _defineProperty(this, "filter", void 0);
    _defineProperty(this, "filterCheckedMode", void 0);
    _defineProperty(this, "filterSortMode", void 0);
    _defineProperty(this, "hasFilterTable", void 0);
    _defineProperty(this, "hasFilterFields", void 0);
    _defineProperty(this, "leftGroups", void 0);
    _defineProperty(this, "moveGroup", void 0);
    _defineProperty(this, "hierarchyGroup", void 0);
    _defineProperty(this, "toBeginButton", void 0);
    _defineProperty(this, "forwardButton", void 0);
    _defineProperty(this, "backwardButton", void 0);
    _defineProperty(this, "toEndButton", void 0);
    _defineProperty(this, "sortingGroup", void 0);
    _defineProperty(this, "sortAscButton", void 0);
    _defineProperty(this, "sortDescButton", void 0);
    _defineProperty(this, "sortAscAddButton", void 0);
    _defineProperty(this, "sortDescAddButton", void 0);
    _defineProperty(this, "columnActionsGroup", void 0);
    _defineProperty(this, "addColumnButton", void 0);
    _defineProperty(this, "removeColumnButton", void 0);
    _defineProperty(this, "modifyColumnButton", void 0);
    _defineProperty(this, "groupButton", void 0);
    _defineProperty(this, "groupAddButton", void 0);
    _defineProperty(this, "barChartButton", void 0);
    _defineProperty(this, "colorGradient1Button", void 0);
    _defineProperty(this, "colorGradient2Button", void 0);
    _defineProperty(this, "collapseAllButton", void 0);
    _defineProperty(this, "expandAllButton", void 0);
    _defineProperty(this, "sumButton", void 0);
    _defineProperty(this, "averageButton", void 0);
    _defineProperty(this, "minimumButton", void 0);
    _defineProperty(this, "maximumButton", void 0);
    _defineProperty(this, "filterFieldsGroupBox", void 0);
    _defineProperty(this, "$rightGroups", void 0);
    _defineProperty(this, "$headerItem", void 0);
    _defineProperty(this, "$columnActions", void 0);
    _defineProperty(this, "$columnFilters", void 0);
    _defineProperty(this, "$filterTableGroup", void 0);
    _defineProperty(this, "$filterToggleChecked", void 0);
    _defineProperty(this, "$filterTableGroupTitle", void 0);
    _defineProperty(this, "$filterSortOrder", void 0);
    _defineProperty(this, "$filterFieldsGroup", void 0);
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "_onColumnMovedHandler", void 0);
    _defineProperty(this, "_tableFilterHandler", void 0);
    _defineProperty(this, "_tableHeaderScrollHandler", void 0);
    _defineProperty(this, "_filterTableRowsCheckedHandler", void 0);
    this.column = null;
    this.tableHeader = null;
    this.table = null;
    this.filter = null;
    this.filterCheckedMode = TableHeaderMenu.CheckedMode.ALL;
    this.filterSortMode = TableHeaderMenu.SortMode.ALPHABETICALLY;
    this.hasFilterTable = false;
    this.hasFilterFields = false;
    this.animateOpening = true;
    this.animateRemoval = true;
    this.focusableContainer = true;
    this.leftGroups = [];
    this.moveGroup = null;
    this.toBeginButton = null;
    this.forwardButton = null;
    this.backwardButton = null;
    this.toEndButton = null;
    this.sortingGroup = null;
    this.sortDescButton = null;
    this.sortAscAddButton = null;
    this.sortDescAddButton = null;
    this.columnActionsGroup = null;
    this.addColumnButton = null;
    this.removeColumnButton = null;
    this.modifyColumnButton = null;
    this.groupButton = null;
    this.groupAddButton = null;
    this.barChartButton = null;
    this.colorGradient1Button = null;
    this.colorGradient2Button = null;
    this.collapseAllButton = null;
    this.expandAllButton = null;
    this.sumButton = null;
    this.averageButton = null;
    this.minimumButton = null;
    this.maximumButton = null;
    this.$rightGroups = [];
    this.$headerItem = null;
    this.$columnActions = null;
    this.$columnFilters = null;
    this.$filterTableGroup = null;
    this.$filterToggleChecked = null;
    this.$filterTableGroupTitle = null;
    this.$filterSortOrder = null;
    this.$filterFieldsGroup = null;
    this._onColumnMovedHandler = this._onColumnMoved.bind(this);
    this._tableHeaderScrollHandler = this._onAnchorScroll.bind(this);
    this.on('locationChange', this._onLocationChange.bind(this));
    // Make sure the actions are not disabled even if the table is disabled
    // To disable the menu use headerEnabled or headerMenusEnabled
    this.inheritAccessibility = false;
  }
  _init(options) {
    options.scrollType = options.scrollType || 'none';
    super._init(options);
    this.tableHeader = options.tableHeader;
    this.column = options.column;
    this.table = this.tableHeader.table;
    this.$headerItem = this.$anchor;
    this.table.on('columnMoved', this._onColumnMovedHandler);
    // Filtering
    this.filter = this.table.getFilter(this.column.id);
    if (!this.filter) {
      this.filter = this.column.createFilter();
    }
    // always recalculate available values to make sure new/updated/deleted rows are considered
    this.filter.calculate();
    this.filter.on('filterFieldsChanged', this._updateFilterTable.bind(this));
    this._updateFilterTableCheckedMode();
    this.hasFilterTable = this.filter.availableValues.length > 0;
    this.hasFilterFields = this.filter.hasFilterFields;
    if (this.hasFilterTable) {
      this._tableFilterHandler = this._onFilterTableChanged.bind(this);
      this.table.on('filterAdded', this._tableFilterHandler);
      this.table.on('filterRemoved', this._tableFilterHandler);
      this._filterTableRowsCheckedHandler = this._onFilterTableRowsChecked.bind(this);
    }
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuLayout(this);
  }
  _render() {
    this.leftGroups = [];
    this.$rightGroups = [];
    this.$headerItem.select(true);
    this.$container = this.$parent.appendDiv('popup table-header-menu');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.$body = this.$container.appendDiv('table-header-menu-body');
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$body, this.session);
    this._installScrollbars({
      axis: 'y',
      scrollShadow: 'none'
    });
    this.$columnActions = this.$body.appendDiv('table-header-menu-actions');
    // only add right column if filter has a filter-table or filter-fields
    if (this.hasFilterTable || this.hasFilterFields) {
      this.$columnFilters = this.$body.appendDiv('table-header-menu-filters');
      let htmlColumnFilters = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$columnFilters, this.session);
      htmlColumnFilters.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout());
    }
    this.tableHeader.$container.on('scroll', this._tableHeaderScrollHandler);
    // -- Left column -- //
    // Moving
    let movableColumns = this.table.visibleColumns().filter(column => !column.fixedPosition);
    if (movableColumns.length > 1 && !this.column.fixedPosition) {
      this.leftGroups.push(this._renderMovingGroup());
    }
    // Sorting
    if (this.table.sortEnabled) {
      this.leftGroups.push(this._renderSortingGroup());
    }
    // Add/remove/change columns
    if (this._isColumnActionsGroupVisible()) {
      this.leftGroups.push(this._renderColumnActionsGroup());
    }
    // Grouping
    // column.grouped check necessary to make ungroup possible, even if grouping is not possible anymore
    if (this.table.isGroupingPossible(this.column) || this.column.grouped) {
      this.leftGroups.push(this._renderGroupingGroup());
    }
    // Expand/Collapse
    this.leftGroups.push(this._renderHierarchyGroup());
    // Aggregation
    if (this.table.isAggregationPossible(this.column)) {
      this.leftGroups.push(this._renderAggregationGroup());
    }
    // Coloring
    if (this.column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
      this.leftGroups.push(this._renderColoringGroup());
    }
    // -- Right column -- //
    // Filter table
    if (this.hasFilterTable) {
      this.$rightGroups.push(this._renderFilterTable());
    }
    // Filter fields
    if (this.hasFilterFields) {
      this.$rightGroups.push(this._renderFilterFields());
    }
    this._onColumnMoved();
    // Set table style to focused, so that it looks as it still has the focus.
    if (this.table.enabled) {
      this.table.$container.addClass('focused');
    }
  }
  validateFocus() {
    if (this.filterFieldsGroupBox) {
      this.filterFieldsGroupBox.focus();
    }
    // Super call will focus container if no element has been focused yet
    super.validateFocus();
  }
  get$Scrollable() {
    return this.$body;
  }
  _updateFirstLast() {
    addFirstLastClass(this.leftGroups.filter(group => group.visible));
    addFirstLastClass(this.$rightGroups);
    function addFirstLastClass(groups) {
      groups.forEach((group, index, arr) => {
        toggleCssClass(group, 'first', index === 0);
        toggleCssClass(group, 'last', index === arr.length - 1);
      });
    }
    // Note: we should refactor code for filter-fields and filter-table so they could also
    // work with a model-class (like the button menu groups). Currently this would cause to much work.
    function toggleCssClass(group, cssClass, condition) {
      let $container = group instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup ? group.$container : group;
      $container.toggleClass(cssClass, condition);
    }
  }
  _remove() {
    if (this.filterTable) {
      this.filterTable.off('rowsChecked', this._filterTableRowsCheckedHandler);
    }
    if (this.tableHeader.rendered) {
      this.tableHeader.$container.off('scroll', this._tableHeaderScrollHandler);
    }
    this.$headerItem.select(false);
    this.table.off('columnMoved', this._onColumnMovedHandler);
    this.table.off('filterAdded', this._tableFilterHandler);
    this.table.off('filterRemoved', this._tableFilterHandler);
    super._remove();
    // table may have been removed in the meantime
    if (this.table.rendered) {
      this.table.$container.removeClass('focused');
    }
  }
  _renderMovingGroup() {
    let table = this.table,
      column = this.column,
      pos = table.visibleColumns().indexOf(column);
    this.moveGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
      parent: this,
      textKey: 'ui.Move',
      cssClass: 'first'
    });
    this.toBeginButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.moveGroup,
      text: '${textKey:ui.toBegin}',
      cssClass: 'move move-top'
    });
    this.toBeginButton.on('action', () => {
      table.moveColumn(column, pos, 0);
      pos = table.visibleColumns().indexOf(column);
    });
    this.forwardButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.moveGroup,
      text: '${textKey:ui.forward}',
      cssClass: 'move move-up'
    });
    this.forwardButton.on('action', () => {
      table.moveColumn(column, pos, Math.max(pos - 1, 0));
      pos = table.visibleColumns().indexOf(column);
    });
    this.backwardButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.moveGroup,
      text: '${textKey:ui.backward}',
      cssClass: 'move move-down'
    });
    this.backwardButton.on('action', () => {
      table.moveColumn(column, pos, Math.min(pos + 1, table.header.findHeaderItems().length - 1));
      pos = table.visibleColumns().indexOf(column);
    });
    this.toEndButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.moveGroup,
      text: '${textKey:ui.toEnd}',
      cssClass: 'move move-bottom'
    });
    this.toEndButton.on('action', () => {
      table.moveColumn(column, pos, table.header.findHeaderItems().length - 1);
      pos = table.visibleColumns().indexOf(column);
    });
    this.moveGroup.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.toBeginButton.$container, this.moveGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.forwardButton.$container, this.moveGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.backwardButton.$container, this.moveGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.toEndButton.$container, this.moveGroup.$text);
    return this.moveGroup;
  }
  _onColumnMoved() {
    let table = this.table,
      column = this.column;
    if (this.moveGroup) {
      let visibleColumns = table.visibleColumns();
      let columnIndex = table.visibleColumns().indexOf(column);
      let forwardEnabled = visibleColumns[columnIndex - 1] && !visibleColumns[columnIndex - 1].fixedPosition;
      let backwardEnabled = visibleColumns[columnIndex + 1] && !visibleColumns[columnIndex + 1].fixedPosition;
      this.toBeginButton.setEnabled(forwardEnabled);
      this.forwardButton.setEnabled(forwardEnabled);
      this.backwardButton.setEnabled(backwardEnabled);
      this.toEndButton.setEnabled(backwardEnabled);
    }
    this.hierarchyGroup.setVisible(this.table.isTableNodeColumn(column));
    this._updateFirstLast();
  }
  _isColumnActionsGroupVisible() {
    return this.table.isColumnAddable(this.column) || this.table.isColumnRemovable(this.column) || this.table.isColumnModifiable(this.column);
  }
  _renderColumnActionsGroup() {
    let column = this.column,
      menuPopup = this;
    this.columnActionsGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
      parent: this,
      textKey: 'ui.Column'
    });
    this.addColumnButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.columnActionsGroup,
      text: '${textKey:ui.addColumn}',
      cssClass: 'add-column',
      visible: this.table.isColumnAddable(this.column)
    });
    this.addColumnButton.on('action', onClick.bind(this, 'add'));
    this.removeColumnButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.columnActionsGroup,
      text: '${textKey:ui.removeColumn}',
      cssClass: 'remove-column',
      visible: this.table.isColumnRemovable(this.column)
    });
    this.removeColumnButton.on('action', onClick.bind(this, 'remove'));
    this.modifyColumnButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.columnActionsGroup,
      text: '${textKey:ui.changeColumn}',
      cssClass: 'change-column',
      visible: this.table.isColumnModifiable(this.column)
    });
    this.modifyColumnButton.on('action', onClick.bind(this, 'modify'));
    this.columnActionsGroup.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.addColumnButton.$container, this.columnActionsGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.removeColumnButton.$container, this.columnActionsGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.modifyColumnButton.$container, this.columnActionsGroup.$text);
    return this.columnActionsGroup;
    function onClick(action) {
      menuPopup.close();
      this.table.trigger('columnOrganizeAction', {
        action: action,
        column: column
      });
    }
  }
  _renderSortingGroup() {
    var _this$sortAscButton, _this$sortDescButton;
    let table = this.table,
      column = this.column,
      menuPopup = this;
    this.sortingGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
      parent: this,
      textKey: 'ColumnSorting'
    });
    if (!table.hasPermanentHeadOrTailSortColumns()) {
      this.sortAscButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
        parent: this.sortingGroup,
        text: '${textKey:ui.ascending}',
        cssClass: 'sort sort-asc',
        direction: 'asc',
        toggleAction: true
      });
      this.sortAscButton.on('action', onSortClick.bind(this.sortAscButton));
      this.sortDescButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
        parent: this.sortingGroup,
        text: '${textKey:ui.descending}',
        cssClass: 'sort sort-desc',
        direction: 'desc',
        toggleAction: true
      });
      this.sortDescButton.on('action', onSortClick.bind(this.sortDescButton));
    }
    this.sortAscAddButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.sortingGroup,
      text: '${textKey:ui.ascendingAdditionally}',
      cssClass: 'sort sort-asc-add',
      direction: 'asc',
      toggleAction: true
    });
    this.sortAscAddButton.on('action', onSortAdditionalClick.bind(this.sortAscAddButton));
    this.sortDescAddButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.sortingGroup,
      text: '${textKey:ui.descendingAdditionally}',
      cssClass: 'sort sort-desc-add',
      direction: 'desc',
      toggleAction: true
    });
    this.sortDescAddButton.on('action', onSortAdditionalClick.bind(this.sortDescAddButton));
    this._updateSortingSelectedState();
    this.sortingGroup.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$sortAscButton = this.sortAscButton) === null || _this$sortAscButton === void 0 ? void 0 : _this$sortAscButton.$container, this.sortingGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$sortDescButton = this.sortDescButton) === null || _this$sortDescButton === void 0 ? void 0 : _this$sortDescButton.$container, this.sortingGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.sortAscAddButton.$container, this.sortingGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.sortDescAddButton.$container, this.sortingGroup.$text);
    return this.sortingGroup;
    function onSortClick() {
      menuPopup.close();
      sort(this.direction, false, !this.selected);
    }
    function onSortAdditionalClick() {
      menuPopup.close();
      sort(this.direction, true, !this.selected);
    }
    function sort(direction, multiSort, remove) {
      table.sort(column, direction, multiSort, remove);
      menuPopup._updateSortingSelectedState();
    }
  }
  _updateSortingSelectedState() {
    if (!this.table.sortEnabled) {
      return;
    }
    let showAddCommands = false,
      sortCount = this._sortColumnCount();
    this.sortingGroup.children.forEach(button => button.setSelected(false));
    if (sortCount === 1 && !this.table.hasPermanentHeadOrTailSortColumns()) {
      if (this.column.sortActive) {
        if (this.column.sortAscending) {
          this.sortAscButton.setSelected(true);
        } else {
          this.sortDescButton.setSelected(true);
        }
      } else {
        showAddCommands = true;
      }
    } else if (sortCount > 1 || this.table.hasPermanentHeadOrTailSortColumns()) {
      showAddCommands = true;
      if (this.column.sortActive) {
        if (this.column.sortAscending) {
          this.sortAscAddButton.setSelected(true);
        } else {
          this.sortDescAddButton.setSelected(true);
        }
        let addIcon = this.column.sortIndex + 1 + '';
        this.sortAscAddButton.setIconId(addIcon);
        this.sortDescAddButton.setIconId(addIcon);
      }
    }
    this.sortAscAddButton.setVisible(showAddCommands);
    this.sortDescAddButton.setVisible(showAddCommands);
  }
  _renderGroupingGroup() {
    let menuPopup = this,
      table = this.table,
      column = this.column,
      groupCount = this._groupColumnCount();
    let group = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
      parent: this,
      textKey: 'ui.Grouping'
    });
    this.groupButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: group,
      text: '${textKey:ui.groupingApply}',
      cssClass: 'group',
      additional: false,
      toggleAction: true
    });
    this.groupButton.on('action', groupColumn.bind(this.groupButton));
    this.groupAddButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: group,
      text: '${textKey:ui.additionally}',
      cssClass: 'group-add',
      additional: true,
      toggleAction: true
    });
    this.groupAddButton.on('action', groupColumn.bind(this.groupAddButton));
    if (groupCount === 0) {
      this.groupAddButton.setVisible(false);
    } else if (groupCount === 1 && this.column.grouped) {
      this.groupButton.setSelected(true);
      this.groupAddButton.setVisible(false);
    } else if (groupCount > 1) {
      this.groupAddButton.setVisible(true);
    }
    if (table.hasPermanentHeadOrTailSortColumns() && groupCount > 0) {
      // If table has permanent head columns, other columns may not be grouped exclusively -> only enable add button (equally done for sort buttons)
      this.groupButton.setVisible(false);
      this.groupAddButton.setVisible(true);
    }
    if (this.column.grouped) {
      if (groupCount === 1) {
        this.groupAddButton.setSelected(true);
      } else if (groupCount > 1) {
        this.groupAddButton.setSelected(true);
        this.groupAddButton.setIconId(this.column.sortIndex + 1 + '');
      }
    }
    group.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.groupButton.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.groupAddButton.$container, group.$text);
    // Action added the invisible label as aria-label to the button, because header buttons are labelled more sophisticated, remove the label added by action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.groupButton.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.groupAddButton.$container, null);
    return group;
    function groupColumn() {
      let direction = column.sortIndex >= 0 && !column.sortAscending ? 'desc' : 'asc';
      menuPopup.close();
      table.groupColumn(column, this.additional, direction, !this.selected);
    }
  }
  _renderHierarchyGroup() {
    let table = this.table,
      menuPopup = this;
    this.hierarchyGroup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
      parent: this,
      textKey: 'ui.Hierarchy',
      visible: this.table.isTableNodeColumn(this.column)
    });
    this.collapseAllButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.hierarchyGroup,
      text: '${textKey:ui.CollapseAll}',
      cssClass: 'hierarchy-collapse-all',
      enabled: !!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(table.rows, row => row.expanded && !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(row.childRows))
    });
    this.collapseAllButton.on('action', () => {
      menuPopup.close();
      table.collapseAll();
    });
    this.expandAllButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: this.hierarchyGroup,
      text: '${textKey:ui.ExpandAll}',
      cssClass: 'hierarchy-expand-all',
      enabled: !!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(table.rows, row => !row.expanded && !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(row.childRows))
    });
    this.expandAllButton.on('action', () => {
      menuPopup.close();
      table.expandAll();
    });
    this.hierarchyGroup.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.collapseAllButton.$container, this.hierarchyGroup.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.expandAllButton.$container, this.hierarchyGroup.$text);
    // Action added the invisible label as aria-label to the button, because header buttons are labelled more sophisticated, remove the label added by action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.collapseAllButton.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label(this.expandAllButton.$container, null);
    return this.hierarchyGroup;
  }
  _renderAggregationGroup() {
    var _this$sumButton, _this$averageButton, _this$minimumButton, _this$maximumButton, _this$sumButton2, _this$averageButton2, _this$minimumButton2, _this$maximumButton2;
    let table = this.table,
      column = this.column,
      aggregation = column.aggregationFunction,
      menuPopup = this,
      group = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
        parent: this,
        textKey: 'ui.Aggregation'
      }),
      allowedAggregationFunctions = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(column.allowedAggregationFunctions),
      isAggregationNoneAllowed = allowedAggregationFunctions.indexOf('none') !== -1;
    this.sumButton = createHeaderMenuButtonForAggregationFunction('${textKey:ui.Sum}', 'sum');
    this.averageButton = createHeaderMenuButtonForAggregationFunction('${textKey:ui.Average}', 'avg');
    this.minimumButton = createHeaderMenuButtonForAggregationFunction('${textKey:ui.Minimum}', 'min');
    this.maximumButton = createHeaderMenuButtonForAggregationFunction('${textKey:ui.Maximum}', 'max');
    group.children.forEach(button => button.setSelected(button.aggregation === aggregation));
    group.render(this.$columnActions);
    // link buttons with the group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$sumButton = this.sumButton) === null || _this$sumButton === void 0 ? void 0 : _this$sumButton.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$averageButton = this.averageButton) === null || _this$averageButton === void 0 ? void 0 : _this$averageButton.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$minimumButton = this.minimumButton) === null || _this$minimumButton === void 0 ? void 0 : _this$minimumButton.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$maximumButton = this.maximumButton) === null || _this$maximumButton === void 0 ? void 0 : _this$maximumButton.$container, group.$text);
    // Action added the invisible label as aria-label to the button, because header buttons are labelled more sophisticated, remove the label added by action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$sumButton2 = this.sumButton) === null || _this$sumButton2 === void 0 ? void 0 : _this$sumButton2.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$averageButton2 = this.averageButton) === null || _this$averageButton2 === void 0 ? void 0 : _this$averageButton2.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$minimumButton2 = this.minimumButton) === null || _this$minimumButton2 === void 0 ? void 0 : _this$minimumButton2.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$maximumButton2 = this.maximumButton) === null || _this$maximumButton2 === void 0 ? void 0 : _this$maximumButton2.$container, null);
    return group;
    function createHeaderMenuButtonForAggregationFunction(text, aggregation) {
      if (allowedAggregationFunctions.indexOf(aggregation) !== -1) {
        let aggrButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
          parent: group,
          text: text,
          cssClass: 'aggregation-function ' + aggregation,
          aggregation: aggregation,
          toggleAction: isAggregationNoneAllowed
        });
        aggrButton.on('action', onClick.bind(aggrButton));
        return aggrButton;
      }
      return null;
    }
    function onClick() {
      menuPopup.close();
      table.changeAggregation(column, this.aggregation === aggregation ? 'none' : this.aggregation);
    }
  }
  _renderColoringGroup() {
    var _this$barChartButton, _this$colorGradient1B, _this$colorGradient2B, _this$barChartButton2;
    let table = this.table,
      column = this.column,
      menuPopup = this,
      backgroundEffect = column.backgroundEffect,
      group = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuGroup, {
        parent: this,
        textKey: 'ui.Coloring'
      });
    this.colorGradient1Button = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: group,
      text: '${textKey:ui.fromRedToGreen}',
      cssClass: 'color color-gradient1',
      backgroundEffect: 'colorGradient1',
      toggleAction: true
    });
    this.colorGradient1Button.on('action', onClick.bind(this.colorGradient1Button));
    this.colorGradient2Button = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
      parent: group,
      text: '${textKey:ui.fromGreenToRed}',
      cssClass: 'color color-gradient2',
      backgroundEffect: 'colorGradient2',
      toggleAction: true
    });
    this.colorGradient2Button.on('action', onClick.bind(this.colorGradient2Button));
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssGradient()) {
      this.barChartButton = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenuButton, {
        parent: group,
        text: '${textKey:ui.withBarChart}',
        cssClass: 'color color-bar-chart',
        backgroundEffect: 'barChart',
        toggleAction: true
      });
      this.barChartButton.on('action', onClick.bind(this.barChartButton));
    }
    group.children.forEach(button => button.setSelected(button.backgroundEffect === backgroundEffect));
    group.render(this.$columnActions);
    // link buttons with the move group header, the header is updated with the text of the action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.colorGradient1Button.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.colorGradient2Button.$container, group.$text);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel((_this$barChartButton = this.barChartButton) === null || _this$barChartButton === void 0 ? void 0 : _this$barChartButton.$container, group.$text);
    // Action added the invisible label as aria-label to the button, because header buttons are labelled more sophisticated, remove the label added by action
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$colorGradient1B = this.colorGradient1Button) === null || _this$colorGradient1B === void 0 ? void 0 : _this$colorGradient1B.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$colorGradient2B = this.colorGradient2Button) === null || _this$colorGradient2B === void 0 ? void 0 : _this$colorGradient2B.$container, null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.label((_this$barChartButton2 = this.barChartButton) === null || _this$barChartButton2 === void 0 ? void 0 : _this$barChartButton2.$container, null);
    return group;
    function onClick() {
      menuPopup.close();
      table.setColumnBackgroundEffect(column, !this.selected ? null : this.backgroundEffect);
    }
  }
  _renderFilterTable() {
    this.$filterTableGroup = this.$columnFilters.appendDiv('table-header-menu-group first');
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$filterTableGroup, this.session);
    htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout());
    let $filterActions = this.$filterTableGroup.appendDiv('table-header-menu-filter-actions');
    this.$filterSortOrder = $filterActions.appendDiv('link table-header-menu-toggle-sort-order').on('click', this._onSortModeClick.bind(this)).addClass(this.filterSortMode.cssClass);
    this.$filterToggleChecked = $filterActions.appendDiv('link table-header-menu-filter-toggle-checked').text(this.session.text(this.filterCheckedMode.text)).on('click', this._onFilterCheckedModeClick.bind(this));
    this.$filterTableGroupTitle = this.$filterTableGroup.appendDiv('table-header-menu-group-text').text(this._filterByText());
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$filterTableGroupTitle, this.session);
    this.filterTable = this._createFilterTable();
    this.filterTable.accessibilityRenderer = new _index__WEBPACK_IMPORTED_MODULE_0__.ListBoxTableAccessibilityRenderer();
    this.filterTable.on('rowsChecked', this._filterTableRowsCheckedHandler);
    let tableRows = [];
    this.filter.availableValues.forEach(filterValue => {
      let tableRow = {
        cells: [_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, {
          text: this.filter.column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn ? filterValue.text : null,
          value: this.filter.column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn ? filterValue.key : filterValue.text,
          iconId: filterValue.iconId,
          htmlEnabled: filterValue.htmlEnabled,
          cssClass: filterValue.cssClass
        }), filterValue.count, filterValue.key === null ? 1 : 0 // empty cell should always be at the bottom
        ],
        checked: this.filter.selectedValues.indexOf(filterValue.key) > -1,
        dataMap: {
          filterValue: filterValue
        }
      };
      tableRows.push(tableRow);
    });
    this.filterTable.insertRows(tableRows);
    this.filterTable.render(this.$filterTableGroup);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.filterTable.$container, this.$filterTableGroupTitle);
    // must do this in a setTimeout, since table/popup is not visible yet (same as Table#revealSelection).
    setTimeout(this.filterTable.revealChecked.bind(this.filterTable));
    return this.$filterTableGroup;
  }
  _createFilterTable() {
    let objectType = _index__WEBPACK_IMPORTED_MODULE_0__.Column;
    if (this.column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
      objectType = _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Table, {
      parent: this,
      headerVisible: false,
      multiSelect: false,
      autoResizeColumns: true,
      checkable: true,
      cssClass: 'table-header-menu-filter-table',
      checkableStyle: _index__WEBPACK_IMPORTED_MODULE_0__.Table.CheckableStyle.TABLE_ROW,
      // column-texts are not visible since header is not visible
      columns: [{
        objectType: objectType,
        text: 'filter-value',
        width: 120,
        sortActive: true,
        sortIndex: 1,
        horizontalAlignment: -1
      }, {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn,
        text: 'aggregate-count',
        cssClass: 'table-header-menu-filter-number-column',
        width: 50,
        minWidth: 32,
        autoOptimizeWidth: true
      }, {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn,
        displayable: false,
        sortActive: true,
        sortIndex: 0
      }]
    });
  }
  /**
   * @returns the title-text used for the filter-table
   */
  _filterByText() {
    let text = this.session.text('ui.Filter'),
      numSelected = this.filter.selectedValues.length,
      numFilters = this.filter.availableValues.length;
    if (numSelected && numFilters) {
      text += ' ' + this.session.text('ui.FilterInfoXOfY', numSelected + '', numFilters + '');
    } else if (numFilters) {
      text += ' ' + this.session.text('ui.FilterInfoCount', numFilters + '');
    }
    return text;
  }
  _onFilterCheckedModeClick() {
    let checkedMode = TableHeaderMenu.CheckedMode;
    let checkAll = this.filterCheckedMode.checkAll;
    this.filter.selectedValues = [];
    if (this.filterCheckedMode === checkedMode.ALL) {
      this.filterCheckedMode = checkedMode.NONE;
      this.filter.availableValues.forEach(filterValue => this.filter.selectedValues.push(filterValue.key));
    } else {
      this.filterCheckedMode = checkedMode.ALL;
    }
    this.filterTable.checkAll(checkAll);
    this._updateFilterTableActions();
  }
  _onSortModeClick() {
    let sortMode = TableHeaderMenu.SortMode;
    if (this.filterSortMode === sortMode.ALPHABETICALLY) {
      // sort by amount
      this.filterTable.sort(this.filterTable.columns[1], 'desc');
      this.filterSortMode = sortMode.AMOUNT;
    } else {
      // sort alphabetically (first by invisible column to make sure empty cells are always at the bottom)
      this.filterTable.sort(this.filterTable.columns[2], 'asc');
      this.filterTable.sort(this.filterTable.columns[0], 'asc', true);
      this.filterSortMode = sortMode.ALPHABETICALLY;
    }
    this._updateFilterTableActions();
  }
  _updateFilterTable() {
    if (this.filter.filterActive()) {
      this.table.addFilter(this.filter);
    } else {
      this.table.removeFilterByKey(this.column.id);
    }
  }
  _updateFilterTableActions() {
    // checked mode
    this.$filterToggleChecked.text(this.session.text(this.filterCheckedMode.text));
    // sort mode
    let sortMode = TableHeaderMenu.SortMode;
    let sortAlphabetically = this.filterSortMode === TableHeaderMenu.SortMode.ALPHABETICALLY;
    this.$filterSortOrder.toggleClass(sortMode.ALPHABETICALLY.cssClass, sortAlphabetically);
    this.$filterSortOrder.toggleClass(sortMode.AMOUNT.cssClass, !sortAlphabetically);
  }
  _renderFilterFields() {
    this.filterFieldsGroupBox = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.FilterFieldsGroupBox, {
      parent: this,
      filter: this.filter
    });
    this.$filterFieldsGroup = this.$columnFilters.appendDiv('table-header-menu-group');
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$filterFieldsGroup, this.session);
    htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout());
    let $filterFieldsText = this.$filterFieldsGroup.appendDiv('table-header-menu-group-text').text(this.filter.filterFieldsTitle());
    htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install($filterFieldsText, this.session);
    this.filterFieldsGroupBox.render(this.$filterFieldsGroup);
    this.filterFieldsGroupBox.linkFieldsWithTitle($filterFieldsText);
    return this.$filterFieldsGroup;
  }
  isOpenFor($headerItem) {
    return this.rendered && this.belongsTo($headerItem);
  }
  _countColumns(propertyName) {
    return this.table.visibleColumns().reduce((sum, column) => sum + (column[propertyName] ? 1 : 0), 0);
  }
  _sortColumnCount() {
    return this._countColumns('sortActive');
  }
  _groupColumnCount() {
    return this._countColumns('grouped');
  }
  _renderCompact() {
    this.$body.toggleClass('compact', this.compact);
    this.invalidateLayoutTree();
  }
  setCompact(compact) {
    this.setProperty('compact', compact);
  }
  _onLocationChange(event) {
    let headerItemBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$headerItem),
      $tableHeaderContainer = this.tableHeader.$container;
    this.$container.setVisible(true);
    let containerBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$container);
    // menu must only be visible if the header item is in view (menu gets repositioned when the table gets scrolled -> make sure it won't be displayed outside of the table)
    // check left side of the header item (necessary if header item is moved outside on the left side of the table)
    let inView = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(headerItemBounds.x, headerItemBounds.y), $tableHeaderContainer);
    if (!inView) {
      // if left side of the header is not in view, check if right side of the header and the menu, both must be visible)
      // check right side of the header item (necessary if header item is moved outside on the right side of the table)
      inView = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(headerItemBounds.x + headerItemBounds.width, headerItemBounds.y + headerItemBounds.height), $tableHeaderContainer);
      // check right side of the menu (necessary if header item is larger than menu, and if header item is moved outside on the left side of the table)
      inView = inView && _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(containerBounds.x + containerBounds.width, containerBounds.y), $tableHeaderContainer);
    }
    this.$container.setVisible(inView);
  }
  _onAnchorScroll(event) {
    this.position();
  }
  _onFilterTableRowsChecked(event) {
    this.filter.selectedValues = [];
    this.filterTable.rows.forEach(row => {
      if (row.checked) {
        this.filter.selectedValues.push(row.dataMap.filterValue.key);
      }
    });
    this._updateFilterTable();
  }
  _onFilterTableChanged() {
    this.$filterTableGroupTitle.text(this._filterByText());
    this._updateFilterTableCheckedMode();
    this._updateFilterTableActions();
  }
  // When no filter value is selected, we change the selection mode to ALL
  // since it makes no sense to choose NONE when no value is currently selected
  _updateFilterTableCheckedMode() {
    if (this.filter.selectedValues.length === 0) {
      this.filterCheckedMode = TableHeaderMenu.CheckedMode.ALL;
    } else {
      this.filterCheckedMode = TableHeaderMenu.CheckedMode.NONE;
    }
  }
  _onMouseDownOutside(event) {
    // close popup only if source of event is not $headerItem or one of it's children.
    if (this.$headerItem.isOrHas(event.target)) {
      return;
    }
    this.close();
  }
}
_defineProperty(TableHeaderMenu, "CheckedMode", {
  ALL: {
    checkAll: true,
    text: 'ui.SelectAllFilter'
  },
  NONE: {
    checkAll: false,
    text: 'ui.SelectNoneFilter'
  }
});
_defineProperty(TableHeaderMenu, "SortMode", {
  ALPHABETICALLY: {
    text: 'ui.SortAlphabeticallyFilter',
    cssClass: 'table-header-menu-toggle-sort-order-alphabetically'
  },
  AMOUNT: {
    text: 'ui.SortByAmountFilter',
    cssClass: 'table-header-menu-toggle-sort-order-amount'
  }
});

/***/ }),

/***/ "./src/table/TableHeaderMenuButton.ts":
/*!********************************************!*\
  !*** ./src/table/TableHeaderMenuButton.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableHeaderMenuButton: () => (/* binding */ TableHeaderMenuButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableHeaderMenuButton extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    _defineProperty(this, "aggregation", void 0);
    _defineProperty(this, "backgroundEffect", void 0);
    _defineProperty(this, "direction", void 0);
    _defineProperty(this, "additional", void 0);
    _defineProperty(this, "$icon", void 0);
    this.textVisible = false;
    this.tabbable = true;
    this.actionStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Action.ActionStyle.BUTTON;
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.ActionExecKeyStroke(this));
  }
  _render() {
    super._render();
    this.$container = this.$container.addClass('table-header-menu-command button').unfocusable().on('focusin', this._onFocusIn.bind(this)).on('focusout', this._onFocusOut.bind(this)).on('mouseenter', this._onMouseOver.bind(this)).on('mouseleave', this._onMouseOut.bind(this));
    this.$icon = this.$container.appendSpan('icon font-icon');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderToggleAction();
  }
  _onMouseOver() {
    this._appendActionText();
  }
  _onMouseOut() {
    this.parent.resetText();
  }
  _onFocusIn(event) {
    super._onFocusIn(event);
    this._appendActionText();
  }
  _onFocusOut() {
    this.parent.resetText();
  }
  _renderToggleAction() {
    super._renderToggleAction();
    this.$container.toggleClass('togglable', this.toggleAction);
  }
  // Show 'remove' text when button is already selected
  _appendActionText() {
    let text = this.selected ? this.session.text('ui.remove') : this.text;
    this.parent.appendText(text);
  }
  _resetText() {
    this.parent.resetText();
  }
  _renderIconId() {
    if (this.iconId) {
      this.$icon.attr('data-icon', this.iconId);
    } else {
      this.$icon.removeAttr('data-icon');
    }
  }
}

/***/ }),

/***/ "./src/table/TableHeaderMenuButtonModel.ts":
/*!*************************************************!*\
  !*** ./src/table/TableHeaderMenuButtonModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderMenuEventMap.ts":
/*!**********************************************!*\
  !*** ./src/table/TableHeaderMenuEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderMenuGroup.ts":
/*!*******************************************!*\
  !*** ./src/table/TableHeaderMenuGroup.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableHeaderMenuGroup: () => (/* binding */ TableHeaderMenuGroup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableHeaderMenuGroup extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "textKey", void 0);
    _defineProperty(this, "last", void 0);
    _defineProperty(this, "$text", void 0);
    this.text = null;
    this.textKey = null;
    this.last = false;
  }
  _init(options) {
    super._init(options);
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, this.session.text(this.textKey));
  }
  _render() {
    this.$container = this.$parent.appendDiv('table-header-menu-group buttons');
    this.$text = this.$container.appendDiv('table-header-menu-group-text');
    if (this.cssClass) {
      this.$container.addClass(this.cssClass);
    }
    this._renderText();
    this.children.forEach(child => child.render());
    _index__WEBPACK_IMPORTED_MODULE_0__.widgets.updateFirstLastMarker(this.children);
  }
  appendText(text) {
    this.text = this.session.text(this.textKey) + ' ' + text;
    if (this.rendered) {
      this._renderText();
    }
  }
  resetText() {
    this.text = this.session.text(this.textKey);
    if (this.rendered) {
      this._renderText();
    }
  }
  _renderText() {
    this.$text.text(this.text);
  }
  setLast(last) {
    this.setProperty('last', last);
  }
  _renderLast() {
    this.$container.toggleClass('last', this.last);
  }
}

/***/ }),

/***/ "./src/table/TableHeaderMenuGroupEventMap.ts":
/*!***************************************************!*\
  !*** ./src/table/TableHeaderMenuGroupEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderMenuGroupModel.ts":
/*!************************************************!*\
  !*** ./src/table/TableHeaderMenuGroupModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderMenuLayout.ts":
/*!********************************************!*\
  !*** ./src/table/TableHeaderMenuLayout.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableHeaderMenuLayout: () => (/* binding */ TableHeaderMenuLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableHeaderMenuLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  /**
   * When this layout method is called we've calculated the pref. size before. Layout does this:
   * - layout the filter-fields (their size is fixed)
   * - use the remaining height to layout the filter table
   */
  layout($container) {
    super.layout($container);
    if (!this.popup.hasFilterFields && !this.popup.hasFilterTable) {
      return;
    }
    let filterColumnSize,
      $filterColumn = this.popup.$columnFilters,
      filterColumnInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($filterColumn),
      filterColumnMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins($filterColumn),
      filterFieldGroupSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    if (this.popup.$body.hasClass('compact')) {
      // height is auto -> read pref size
      filterColumnSize = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($filterColumn).prefSize();
    } else {
      // make filter column as height as body (since body is scrollable pref size is calculated which takes TABLE_MAX_HEIGHT into account)
      filterColumnSize = this.preferredLayoutSize($container).subtract(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($container));
      filterColumnSize = filterColumnSize.subtract(filterColumnMargins);
    }
    // width is always set with css
    filterColumnSize.width = $filterColumn.cssWidth();
    // Set explicit height, necessary if there is no filter table
    $filterColumn.cssHeight(filterColumnSize.height);
    // TODO [7.0] cgu this code could be written a lot easier -> replace following code (filter fields, filter table) with HtmlComponent.get($filterColumn).setSize(filterColumnSize);
    // Same for pref size. To implement max height of table, the RowLayout could read css max-height
    // Filter fields
    if (this.popup.hasFilterFields) {
      let $filterFieldsGroup = this.popup.$filterFieldsGroup,
        filterFieldHtmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($filterFieldsGroup.find('.form-field'));
      // Layout filter field(s) and get size
      filterFieldHtmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(filterColumnSize.width - filterColumnInsets.horizontal(), this._filterFieldsGroupBoxHeight()));
      filterFieldGroupSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($filterFieldsGroup, true);
    }
    // Filter table
    if (this.popup.hasFilterTable) {
      let $filterTableGroup = this.popup.$filterTableGroup,
        filterTableContainerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($filterTableGroup),
        filterTableHtmlComp = this.popup.filterTable.htmlComp;
      let filterTableContainerHeight = filterColumnSize.height - filterColumnInsets.vertical();
      // subtract height of filter-fields container
      filterTableContainerHeight -= filterFieldGroupSize.height;
      // subtract group-title height
      filterTableContainerHeight -= this._groupTitleHeight($filterTableGroup);
      // subtract insets of table container
      filterTableContainerHeight -= filterTableContainerInsets.vertical();
      // limit height of table
      filterTableContainerHeight = Math.min(filterTableContainerHeight, TableHeaderMenuLayout.TABLE_MAX_HEIGHT);
      // Layout filter table
      filterTableHtmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(filterColumnSize.width - filterColumnInsets.horizontal(), filterTableContainerHeight));
    }
    // fix width of actions column, so it doesn't become wider when user
    // hovers over a button and thus the text of the group changes.
    this._setMaxWidth();
    let actionColumnSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.popup.$columnActions);
    this._setMaxWidth(actionColumnSize.width);
  }
  _adjustSizeWithAnchor(prefSize) {
    let htmlComp = this.popup.htmlComp,
      windowPaddingX = this.popup.windowPaddingX,
      popupMargins = htmlComp.margins(),
      popupBounds = htmlComp.offsetBounds(),
      $window = this.popup.$container.window(),
      windowWidth = $window.width();
    let maxWidth = windowWidth - popupMargins.horizontal() - popupBounds.x - windowPaddingX;
    let compact = popupBounds.width > maxWidth;
    if (compact) {
      this.popup.$body.addClass('compact');
      prefSize = this.preferredLayoutSize(this.popup.$container);
    }
    return super._adjustSizeWithAnchor(prefSize);
  }
  // group title (size used for table + field container)
  _groupTitleHeight($group) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($group.find('.table-header-menu-group-text'), true).height;
  }
  _filterFieldsGroupBoxHeight() {
    return this.popup.filterFieldsGroupBox.htmlComp.prefSize().height;
  }
  /**
   * The preferred layout size of this widget is
   * + size of table (but height is limited to TABLE_MAX_HEIGHT, if table becomes too large)
   * + size of filter-fields
   * + paddings of surrounding containers
   */
  preferredLayoutSize($container, options) {
    let rightColumnHeight = 0,
      leftColumnHeight = 0,
      containerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($container),
      oldMaxWidth = this._getMaxWidth();
    this._setMaxWidth(); // temp. remove max-width so we can determine pref. size
    leftColumnHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.popup.$columnActions, true).height;
    // Filter table
    if (this.popup.hasFilterTable) {
      let $filterTableGroup = this.popup.$filterTableGroup,
        filterTableHeight = this.popup.filterTable.htmlComp.size(true).height,
        filterTableContainerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($filterTableGroup);
      // limit height of table
      filterTableHeight = Math.min(filterTableHeight, TableHeaderMenuLayout.TABLE_MAX_HEIGHT);
      // size of container with table
      let filterTableContainerHeight = filterTableHeight;
      // add group-title height
      filterTableContainerHeight += this._groupTitleHeight($filterTableGroup);
      // add insets of container
      filterTableContainerHeight += filterTableContainerInsets.vertical();
      rightColumnHeight += filterTableContainerHeight;
    }
    // Filter fields
    if (this.popup.hasFilterFields) {
      let $filterFieldsGroup = this.popup.$filterFieldsGroup,
        filterFieldContainerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($filterFieldsGroup);
      // size of group-box with 1 or 2 filter fields
      let filterFieldContainerHeight = this._filterFieldsGroupBoxHeight();
      // add group-title height
      filterFieldContainerHeight += this._groupTitleHeight($filterFieldsGroup);
      // add insets of container
      filterFieldContainerHeight += filterFieldContainerInsets.vertical();
      rightColumnHeight += filterFieldContainerHeight;
    }
    if (this.popup.hasFilterFields || this.popup.hasFilterTable) {
      let filterColumnMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(this.popup.$columnFilters);
      let filterColumnInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.popup.$columnFilters);
      rightColumnHeight += filterColumnMargins.vertical();
      rightColumnHeight += filterColumnInsets.vertical();
    }
    // Use height of left or right column as preferred size (and add insets of container)
    let prefSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($container);
    if (!this.popup.$body.hasClass('compact')) {
      prefSize.height = Math.max(leftColumnHeight, rightColumnHeight) + containerInsets.vertical();
    } else {
      prefSize.height = leftColumnHeight + rightColumnHeight + containerInsets.vertical();
    }
    // restore max-width
    this._setMaxWidth(oldMaxWidth);
    return prefSize;
  }
  _getMaxWidth() {
    return parseInt(this.popup.$columnActions.css('max-width'), 10);
  }
  _setMaxWidth(maxWidth) {
    this.popup.$columnActions.css('max-width', maxWidth || '');
  }
}
_defineProperty(TableHeaderMenuLayout, "TABLE_MAX_HEIGHT", 330);

/***/ }),

/***/ "./src/table/TableHeaderMenuModel.ts":
/*!*******************************************!*\
  !*** ./src/table/TableHeaderMenuModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableHeaderModel.ts":
/*!***************************************!*\
  !*** ./src/table/TableHeaderModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableInfoFilterTooltip.ts":
/*!*********************************************!*\
  !*** ./src/table/TableInfoFilterTooltip.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableInfoFilterTooltip: () => (/* binding */ TableInfoFilterTooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableInfoFilterTooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip {
  constructor() {
    super(...arguments);
    _defineProperty(this, "tableFooter", void 0);
  }
  _init(options) {
    super._init(options);
    this.tableFooter = options.tableFooter;
    let removeFilterMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.RemoveFilter')
    });
    removeFilterMenu.on('action', this._onRemoveFilterClick.bind(this));
    this.setMenus(removeFilterMenu);
  }
  _renderText() {
    let table = this.tableFooter.table,
      numRowsFiltered = table.filteredRows().length,
      filteredBy = table.filteredBy().join(', '); // filteredBy() returns an array
    this.$content.appendSpan().text(this.session.text('ui.NumRowsFilteredBy', this.tableFooter.computeCountInfo(numRowsFiltered), filteredBy));
  }
  _onRemoveFilterClick() {
    this.tableFooter.table.resetUserFilter();
    this.destroy();
  }
}

/***/ }),

/***/ "./src/table/TableInfoFilterTooltipModel.ts":
/*!**************************************************!*\
  !*** ./src/table/TableInfoFilterTooltipModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableInfoLoadTooltip.ts":
/*!*******************************************!*\
  !*** ./src/table/TableInfoLoadTooltip.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableInfoLoadTooltip: () => (/* binding */ TableInfoLoadTooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableInfoLoadTooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip {
  constructor() {
    super(...arguments);
    _defineProperty(this, "tableFooter", void 0);
  }
  _init(options) {
    super._init(options);
    this.tableFooter = options.tableFooter;
    let reloadDataMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.ReloadData')
    });
    reloadDataMenu.on('action', this._onReloadClick.bind(this));
    this.setMenus(reloadDataMenu);
  }
  _renderText() {
    let table = this.tableFooter.table,
      numRows = table.rows.length;
    this.$content.text(this.session.text('ui.NumRowsLoaded', this.tableFooter.computeCountInfo(numRows)));
  }
  _onReloadClick() {
    this.tableFooter.table.reload();
    this.destroy();
  }
}

/***/ }),

/***/ "./src/table/TableInfoLoadTooltipModel.ts":
/*!************************************************!*\
  !*** ./src/table/TableInfoLoadTooltipModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableInfoSelectionTooltip.ts":
/*!************************************************!*\
  !*** ./src/table/TableInfoSelectionTooltip.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableInfoSelectionTooltip: () => (/* binding */ TableInfoSelectionTooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableInfoSelectionTooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip {
  constructor() {
    super(...arguments);
    _defineProperty(this, "tableFooter", void 0);
  }
  _init(options) {
    super._init(options);
    this.tableFooter = options.tableFooter;
    let selectNoneMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.SelectNone')
    });
    selectNoneMenu.on('action', this._onSelectNoneClick.bind(this));
    let selectAllMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Menu, {
      parent: this,
      text: this.session.text('ui.SelectAll')
    });
    selectAllMenu.on('action', this._onSelectAllClick.bind(this));
    this.setMenus([selectNoneMenu, selectAllMenu]);
  }
  _renderText() {
    let table = this.tableFooter.table,
      numRowsSelected = table.selectedRows.length;
    this.$content.text(this.session.text('ui.NumRowsSelected', this.tableFooter.computeCountInfo(numRowsSelected)));
  }
  _onSelectNoneClick() {
    this.tableFooter.table.deselectAll();
    this.destroy();
  }
  _onSelectAllClick() {
    this.tableFooter.table.selectAll();
    this.destroy();
  }
}

/***/ }),

/***/ "./src/table/TableInfoSelectionTooltipModel.ts":
/*!*****************************************************!*\
  !*** ./src/table/TableInfoSelectionTooltipModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableLayout.ts":
/*!**********************************!*\
  !*** ./src/table/TableLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableLayout: () => (/* binding */ TableLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(table) {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "_dataHeightPositive", void 0);
    this.table = table;
    this._dataHeightPositive = false;
  }
  layout($container) {
    let menuBarHeight = 0,
      footerHeight = 0,
      headerHeight = 0,
      tileTableHeight = 0,
      controlContainerHeight = 0,
      tileAccordion = this.table.tableTileGridMediator ? this.table.tableTileGridMediator.tileAccordion : null,
      $data = this.table.$data,
      dataMargins = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.margins(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl($data, this.table.$container)),
      dataMarginsHeight = dataMargins.top + dataMargins.bottom,
      menuBar = this.table.menuBar,
      footer = this.table.footer,
      header = this.table.header,
      tileTableHeader = this.table.tileTableHeader,
      visibleColumns = this.table.visibleColumns(),
      lastColumn = visibleColumns[visibleColumns.length - 1],
      htmlContainer = this.table.htmlComp,
      containerSize = htmlContainer.availableSize({
        exact: true
      }).subtract(htmlContainer.insets());
    if (this.table.menuBarVisible && menuBar.visible) {
      let htmlMenuBar = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get(menuBar.$container);
      let menuBarSize = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize);
      htmlMenuBar.setSize(menuBarSize);
      menuBarHeight = menuBarSize.height;
    }
    $container.css('--menubar-height', menuBarHeight + 'px');
    if (header) {
      headerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(header.$container).height;
      if (header.menuBar) {
        header.menuBar.validateLayout();
      }
    }
    if (footer) {
      // Layout table footer and add size of footer (including the control content) to 'height'
      footerHeight = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(footer.$container).height;
      controlContainerHeight = footer.computeControlContainerHeight(this.table, footer.selectedControl, !this._dataHeightPositive);
      let controlContainerInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(footer.$controlContainer);
      if (!footer.animating) {
        // closing or opening: height is about to be changed
        footer.$controlContainer.cssHeight(controlContainerHeight);
        footer.$controlContent.outerHeight(controlContainerHeight - controlContainerInsets.vertical());
        footer.revalidateLayout();
      }
    }
    if (tileTableHeader && tileTableHeader.visible) {
      let groupBoxSize = tileTableHeader.htmlComp.prefSize({
        widthHint: containerSize.width
      });
      groupBoxSize.width = containerSize.width;
      groupBoxSize = groupBoxSize.subtract(tileTableHeader.htmlComp.margins());
      tileTableHeader.htmlComp.setSize(groupBoxSize);
      tileTableHeight = groupBoxSize.height;
    }
    let controlsHeight = dataMarginsHeight + menuBarHeight + controlContainerHeight + footerHeight + headerHeight + tileTableHeight;
    let dataHeight = containerSize.height - controlsHeight;
    $container.css('--controls-height', controlsHeight + 'px');
    if ($data) {
      $data.css('height', 'calc(100% - ' + controlsHeight + 'px)');
      this._dataHeightPositive = $data.height() > 0;
    } else {
      if (tileAccordion && tileAccordion.htmlComp) {
        tileAccordion.htmlComp.setSize(new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(containerSize.width, dataHeight));
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(tileAccordion.$container);
        this._dataHeightPositive = dataHeight > 0;
      }
    }
    if (!this.table.tileMode) {
      this._layoutColumns();
      // Size of last column may have to be adjusted due to the header menu items
      if (header) {
        header.resizeHeaderItem(lastColumn);
      }
      this.table.setViewRangeSize(this.table.calculateViewRangeSize());
      if (!htmlContainer.layouted) {
        this.table._renderScrollTop();
      }
      // Always render viewport (not only when viewRangeSize changes), because view range depends on scroll position and data height
      this.table._renderViewport();
      // Render scroll top again to make sure the data is really at the correct position after rendering viewport.
      // Somehow table.$data[0].scrollTop changes during _renderViewport sometimes (e.g. when there are aggregate rows)
      if (!htmlContainer.layouted) {
        this.table._renderScrollTop();
      }
      if (this.table.cellEditorPopup && this.table.cellEditorPopup.rendered) {
        this.table.cellEditorPopup.position();
        this.table.cellEditorPopup.pack();
      }
      this.table.updateScrollbars();
    }
  }
  _layoutColumns(widthHint) {
    this._autoOptimizeColumnsWidths();
    let htmlContainer = this.table.htmlComp;
    let columnLayoutDirty = this.table.columnLayoutDirty || !htmlContainer.sizeCached;
    if (!columnLayoutDirty) {
      let width = widthHint || htmlContainer.size().width;
      columnLayoutDirty = htmlContainer.sizeCached.width !== width;
    }
    // Auto resize only if table width or column structure has changed
    if (columnLayoutDirty) {
      if (this.table.autoResizeColumns) {
        this._autoResizeColumns(widthHint);
      }
      // This is already done in _renderRowsInRange, but it is necessary here as well if the zoom level changes dynamically (or autoResizeColumns toggles)
      this._updateRealColumnWidths();
      this.table.columnLayoutDirty = false;
    }
  }
  /**
   * Workaround for Chrome bug, see {@link Table._updateRealColumnWidths}
   */
  _updateRealColumnWidths() {
    if (this.table._updateRealColumnWidths()) {
      this.table._updateRowWidth();
      if (this.table.header && this.table.header.rendered) {
        this.table.header.resizeHeaderItems();
      }
      this.table.$rows(true).css('width', this.table.rowWidth);
    }
  }
  /**
   * Resizes all visible columns with autoOptimizeWidth set to true, if necessary (means if autoOptimizeWidthRequired is true)
   */
  _autoOptimizeColumnsWidths() {
    this.table.visibleColumns().forEach(column => {
      if (column.autoOptimizeWidth && column.autoOptimizeWidthRequired) {
        this.table.resizeToFit(column, column.autoOptimizeMaxWidth);
      }
    });
  }
  /**
   * Resizes the visible columns to make them use all the available space.
   */
  _autoResizeColumns(widthHint) {
    let newWidth,
      weight,
      relevantColumns = [],
      currentWidth = 0,
      totalInitialWidth = 0,
      tableWidth = widthHint || this.table.$data.width(),
      availableWidth = Math.floor(tableWidth - (this.table.rowBorders.horizontal() + this.table.rowMargins.horizontal()));
    // Don't resize fixed and auto optimize width columns
    this.table.visibleColumns().forEach(column => {
      if (column.fixedWidth || column.autoOptimizeWidth) {
        availableWidth -= column.width;
      } else {
        relevantColumns.push(column);
        currentWidth += column.width;
        totalInitialWidth += column.initialWidth;
      }
    });
    if (availableWidth === currentWidth) {
      // Columns already use the available space, no need to resize
      return;
    }
    let remainingWidth = availableWidth;
    // First, filter columns which would get smaller than their minimal size
    let minWidthColumns = relevantColumns.filter(column => {
      // Use initial width as preferred width for auto resize columns.
      // This makes sure the column doesn't get too small on small screens. The user can still make the column smaller though.
      let minWidth = Math.max(column.minWidth, column.initialWidth);
      if (totalInitialWidth === 0) {
        weight = 1 / relevantColumns.length;
      } else {
        weight = column.initialWidth / totalInitialWidth;
      }
      newWidth = Math.floor(weight * remainingWidth);
      if (newWidth < minWidth) {
        newWidth = minWidth;
        remainingWidth = Math.max(remainingWidth - newWidth, 0);
        return true;
      }
      return false;
    });
    // Resize them to their minimal width
    minWidthColumns.forEach((column, index) => {
      let minWidth = Math.max(column.minWidth, column.initialWidth);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(relevantColumns, column);
      newWidth = minWidth;
      totalInitialWidth -= column.initialWidth;
      // If this is the last column, add remaining space (due to rounding) to this column
      if (index === minWidthColumns.length - 1 && remainingWidth > 0 && relevantColumns.length === 0) {
        newWidth += remainingWidth;
        remainingWidth = 0;
      }
      if (newWidth !== column.width) {
        this.table.resizeColumn(column, newWidth);
      }
    });
    // Then resize the others
    availableWidth = remainingWidth;
    relevantColumns.forEach((column, index) => {
      if (totalInitialWidth === 0) {
        weight = 1 / relevantColumns.length;
      } else {
        weight = column.initialWidth / totalInitialWidth;
      }
      newWidth = Math.floor(weight * availableWidth);
      remainingWidth -= newWidth;
      // If this is the last column, add remaining space (due to rounding) to this column
      if (index === relevantColumns.length - 1 && remainingWidth > 0) {
        newWidth += remainingWidth;
        remainingWidth = 0;
      }
      if (newWidth !== column.width) {
        this.table.resizeColumn(column, newWidth);
      }
    });
  }
  preferredLayoutSize($container, options) {
    if (this.table.tileMode) {
      // Use RowLayout to calculate preferredLayoutSize of TileTableHeader, TileAccordion and Footer.
      return new _index__WEBPACK_IMPORTED_MODULE_0__.RowLayout().preferredLayoutSize($container, options);
    }
    // If autoResizeColumns and text wrap is enabled, the height of the table depends on the width
    this._layoutColumns(options.widthHint);
    // If table was not visible during renderViewport, the rows are not rendered yet (see _renderViewport)
    // -> make sure rows are rendered otherwise preferred height cannot be determined
    this.table._renderViewport();
    return super.preferredLayoutSize($container, options);
  }
}

/***/ }),

/***/ "./src/table/TableMatrix.ts":
/*!**********************************!*\
  !*** ./src/table/TableMatrix.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableMatrix: () => (/* binding */ TableMatrix)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableMatrix {
  constructor(table, session) {
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "locale", void 0);
    _defineProperty(this, "_allData", void 0);
    _defineProperty(this, "_allAxis", void 0);
    _defineProperty(this, "_rows", void 0);
    _defineProperty(this, "_table", void 0);
    this.session = session;
    this.locale = session.locale;
    this._allData = [];
    this._allAxis = [];
    this._rows = table.rows;
    this._table = table;
  }
  /**
   * add data axis
   */
  addData(data, dataGroup) {
    // @ts-expect-error
    let dataAxis = {},
      locale = this.locale;
    // collect all axis
    this._allData.push(dataAxis);
    // copy column for later access
    dataAxis.column = data;
    // data always is number
    dataAxis.format = n => locale.decimalFormat.format(n);
    // count, sum, avg
    if (dataGroup === TableMatrix.NumberGroup.COUNT) {
      dataAxis.norm = f => 1;
      dataAxis.group = array => array.length;
    } else if (dataGroup === TableMatrix.NumberGroup.SUM) {
      dataAxis.norm = f => {
        if (isNaN(f) || f === null || f === '') {
          return null;
        }
        return parseFloat(f);
      };
      dataAxis.group = array => array.reduce((a, b) => a + b);
    } else if (dataGroup === TableMatrix.NumberGroup.AVG) {
      dataAxis.norm = f => {
        if (isNaN(f) || f === null || f === '') {
          return null;
        }
        return parseFloat(f);
      };
      dataAxis.group = array => {
        let sum = array.reduce((a, b) => a + b);
        let count = array.reduce((a, b) => b === null ? a : a + 1, 0);
        if (count === 0) {
          return null;
        }
        return sum / count;
      };
    }
    return dataAxis;
  }
  // add x or y Axis
  addAxis(axis, axisGroup) {
    // @ts-expect-error
    let keyAxis = [],
      locale = this.locale,
      session = this.session,
      getText = this.session.text.bind(this.session),
      emptyCell = getText('ui.EmptyCell');
    // collect all axis
    this._allAxis.push(keyAxis);
    keyAxis.column = axis;
    // normalized string data
    keyAxis.normTable = [];
    keyAxis.sortCodeMap = {};
    // add a key to the axis
    keyAxis.add = k => {
      if (keyAxis.indexOf(k) === -1) {
        keyAxis.push(k);
      }
    };
    // default functions
    keyAxis.reorder = () => {
      keyAxis.sort((a, b) => {
        // make sure -empty- is at the bottom
        if (a === null) {
          return 1;
        }
        if (b === null) {
          return -1;
        }
        let sortCodeA = keyAxis.sortCodeMap[a],
          sortCodeB = keyAxis.sortCodeMap[b];
        if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(sortCodeA) || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(sortCodeB)) {
          return _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC.compare(sortCodeA, sortCodeB);
        }
        // sort others
        return a - b;
      });
    };
    keyAxis.norm = f => {
      if (f === null || f === '') {
        return null;
      }
      let index = keyAxis.normTable.indexOf(f);
      if (index === -1) {
        return keyAxis.normTable.push(f) - 1;
      }
      return index;
    };
    keyAxis.format = n => {
      if (n === null) {
        return emptyCell;
      }
      return keyAxis.normTable[n];
    };
    keyAxis.deterministicKeyToKey = deterministicKey => keyAxis.norm(deterministicKey);
    keyAxis.keyToDeterministicKey = key => {
      if (key === null) {
        return null;
      }
      return keyAxis.format(key);
    };
    keyAxis.normDeterministic = f => keyAxis.keyToDeterministicKey(keyAxis.norm(f));
    // norm and format depends of datatype and group functionality
    if (axis instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
      if (axisGroup === TableMatrix.DateGroup.NONE) {
        keyAxis.norm = f => {
          if (f === null || f === '') {
            return null;
          }
          return f.getTime();
        };
        keyAxis.format = n => {
          if (n === null) {
            return null;
          }
          let format = axis.format;
          if (format) {
            format = _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat.ensure(locale, format);
          } else {
            format = locale.dateFormat;
          }
          return format.format(new Date(n));
        };
      } else if (axisGroup === TableMatrix.DateGroup.YEAR) {
        keyAxis.norm = f => {
          if (f === null || f === '') {
            return null;
          }
          return f.getFullYear();
        };
        keyAxis.format = n => {
          if (n === null) {
            return emptyCell;
          }
          return String(n);
        };
      } else if (axisGroup === TableMatrix.DateGroup.MONTH) {
        keyAxis.norm = f => {
          if (f === null || f === '') {
            return null;
          }
          return f.getMonth();
        };
        keyAxis.format = n => {
          if (n === null) {
            return emptyCell;
          }
          return locale.dateFormatSymbols.months[n];
        };
      } else if (axisGroup === TableMatrix.DateGroup.WEEKDAY) {
        keyAxis.norm = f => {
          if (f === null || f === '') {
            return null;
          }
          return (f.getDay() + 7 - locale.dateFormatSymbols.firstDayOfWeek) % 7;
        };
        keyAxis.format = n => {
          if (n === null) {
            return emptyCell;
          }
          return locale.dateFormatSymbols.weekdaysOrdered[n];
        };
      } else if (axisGroup === TableMatrix.DateGroup.DATE) {
        keyAxis.norm = f => {
          if (f === null || f === '') {
            return null;
          }
          return _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(f).getTime();
        };
        keyAxis.format = n => {
          if (n === null) {
            return emptyCell;
          }
          return _index__WEBPACK_IMPORTED_MODULE_0__.dates.format(new Date(n), locale, locale.dateFormatPatternDefault);
        };
      }
      keyAxis.deterministicKeyToKey = deterministicKey => deterministicKey;
      keyAxis.keyToDeterministicKey = key => key;
      keyAxis.normDeterministic = f => keyAxis.norm(f);
    } else if (axis instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
      keyAxis.norm = f => {
        if (isNaN(f) || f === null || f === '') {
          return null;
        }
        return parseFloat(f);
      };
      keyAxis.format = n => {
        if (isNaN(n) || n === null) {
          return emptyCell;
        }
        return axis.decimalFormat.format(n);
      };
      keyAxis.deterministicKeyToKey = deterministicKey => deterministicKey;
      keyAxis.keyToDeterministicKey = key => key;
      keyAxis.normDeterministic = f => keyAxis.norm(f);
    } else if (axis instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn) {
      keyAxis.norm = f => {
        if (axis.triStateEnabled && f === null) {
          return -1;
        }
        if (f === true) {
          return 1;
        }
        return 0;
      };
      keyAxis.format = n => {
        if (n === -1) {
          return getText('ui.BooleanColumnGroupingMixed');
        }
        if (n === 0) {
          return getText('ui.BooleanColumnGroupingFalse');
        }
        if (n === 1) {
          return getText('ui.BooleanColumnGroupingTrue');
        }
      };
      keyAxis.deterministicKeyToKey = deterministicKey => deterministicKey;
      keyAxis.keyToDeterministicKey = key => key;
      keyAxis.normDeterministic = f => keyAxis.norm(f);
    } else if (axis instanceof _index__WEBPACK_IMPORTED_MODULE_0__.IconColumn) {
      keyAxis.isIcon = true;
    } else {
      keyAxis.reorder = () => {
        let comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.TEXT;
        comparator.install(session);
        keyAxis.sort((a, b) => {
          // make sure -empty- is at the bottom
          if (a === null) {
            return 1;
          }
          if (b === null) {
            return -1;
          }
          let sortCodeA = keyAxis.sortCodeMap[a],
            sortCodeB = keyAxis.sortCodeMap[b];
          if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(sortCodeA) || !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(sortCodeB)) {
            return _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC.compare(sortCodeA, sortCodeB);
          }
          // sort others
          return comparator.compare(keyAxis.format(a), keyAxis.format(b));
        });
      };
    }
    return keyAxis;
  }
  /**
   * @returns a cube containing the results
   */
  calculate() {
    let cube = {},
      length = 0;
    // collect data from table
    for (let r = 0; r < this._rows.length; r++) {
      let row = this._rows[r];
      // collect keys of x, y axis from row
      let keys = [];
      for (let k = 0; k < this._allAxis.length; k++) {
        let column = this._allAxis[k].column;
        let key = column.cellValueOrTextForCalculation(row);
        let normKey = this._allAxis[k].norm(key);
        if (normKey !== undefined) {
          this._allAxis[k].add(normKey);
          let cell = column.cell(row);
          if (cell.sortCode !== null) {
            this._allAxis[k].sortCodeMap[normKey] = cell.sortCode;
          }
          keys.push(normKey);
        }
      }
      let keysString = JSON.stringify(keys);
      // collect values of data axis from row
      let values = [];
      for (let v = 0; v < this._allData.length; v++) {
        let data = this._table.cellValue(this._allData[v].column, row);
        let normData = this._allData[v].norm(data);
        if (normData !== undefined) {
          values.push(normData);
        }
      }
      // build cube
      if (cube[keysString]) {
        cube[keysString].push(values);
      } else {
        cube[keysString] = [values];
        length++;
      }
    }
    // group values and find sum, min and max of data axis
    for (let v = 0; v < this._allData.length; v++) {
      let data = this._allData[v];
      data.total = 0;
      data.min = null;
      data.max = null;
      for (let k in cube) {
        if (cube.hasOwnProperty(k)) {
          let allCell = cube[k],
            subCell = [];
          for (let i = 0; i < allCell.length; i++) {
            subCell.push(allCell[i][v]);
          }
          let newValue = this._allData[v].group(subCell);
          cube[k][v] = newValue;
          data.total += newValue;
          if (newValue === null) {
            continue;
          }
          if (newValue < data.min || data.min === null) {
            data.min = newValue;
          }
          if (newValue > data.max || data.min === null) {
            data.max = newValue;
          }
        }
      }
      // To calculate correct y axis scale data.max must not be 0. If data.max===0-> log(data.max)=-infinity
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(data.max, 0) === 0) {
        data.max = 0.1;
      }
      let f = Math.ceil(Math.log(data.max) / Math.LN10) - 1;
      data.max = Math.ceil(data.max / Math.pow(10, f)) * Math.pow(10, f);
      data.max = Math.ceil(data.max / 4) * 4;
    }
    // find dimensions and sort for x, y axis
    for (let k = 0; k < this._allAxis.length; k++) {
      let key = this._allAxis[k];
      key.min = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.min(key);
      key.max = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.max(key);
      // null value should be handled as first value (in charts)
      if (key.indexOf(null) !== -1) {
        key.max = key.max + 1;
      }
      key.reorder();
    }
    // access function used by chart
    cube.getValue = keys => {
      let keysString = JSON.stringify(keys);
      if (cube.hasOwnProperty(keysString)) {
        return cube[keysString];
      }
      return null;
    };
    cube.length = length;
    return cube; // cast necessary because in this method cube temporary contains an Array<number | number[]>. But in the end it is reduced to only number[].
  }
  /**
   *
   * @returns Array holding an entry for each column. Each entry consists of an array with the column at index 0 and the count at index 1.
   */
  columnCount(filterNumberColumns) {
    let columns = this.columns(filterNumberColumns),
      colCount = [],
      count = 0;
    for (let c = 0; c < columns.length; c++) {
      let column = columns[c];
      colCount.push([column, []]);
      let values = colCount[count][1];
      for (let r = 0; r < this._rows.length; r++) {
        let row = this._rows[r];
        let cellValue = column.cellValueOrTextForCalculation(row);
        if (values.indexOf(cellValue) === -1) {
          values.push(cellValue);
        }
      }
      colCount[count][1] = values.length;
      count++;
    }
    return colCount;
  }
  isEmpty() {
    return this._rows.length === 0 || this.columns().length === 0;
  }
  /**
   * @returns valid columns for table-matrix (not instance of NumberColumn and not guiOnly)
   * @param filterNumberColumns whether or not to filter NumberColumn, default is true
   */
  columns(filterNumberColumns) {
    filterNumberColumns = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(filterNumberColumns, true);
    return this._table.visibleColumns(false, true).filter(column => {
      if (filterNumberColumns && column instanceof _index__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
        return false;
      }
      return true;
    });
  }
  /**
   * Table rows and columns are not always in a consistent state.
   * @returns true, if table is in a valid, consistent state
   */
  isMatrixValid() {
    return this._table.rows.length === 0 || this._table.filterColumns(() => true, false).length === this._table.rows[0].cells.length;
  }
}
_defineProperty(TableMatrix, "DateGroup", {
  NONE: 0,
  YEAR: 256,
  MONTH: 257,
  WEEKDAY: 258,
  DATE: 259
});
_defineProperty(TableMatrix, "NumberGroup", {
  COUNT: -1,
  SUM: 1,
  AVG: 2
});

/***/ }),

/***/ "./src/table/TableMaxResultsHelper.ts":
/*!********************************************!*\
  !*** ./src/table/TableMaxResultsHelper.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableMaxResultsHelper: () => (/* binding */ TableMaxResultsHelper)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableMaxResultsHelper {
  /**
   * Checks if more data could be loaded into the table.
   * @param numRows The number of currently loaded rows of the table.
   * @param estRows The number of estimated rows that would be available.
   * @param maxRows The number of maximum rows that are allowed to be loaded.
   * @returns true if a estRows and maxRows are available and the currently loaded number of rows (numRows) is smaller than the two. This means more data could be loaded.
   */
  isLoadMoreDataPossible(numRows, estRows, maxRows) {
    return estRows > 0 && maxRows > 0 && numRows < estRows && numRows < maxRows;
  }
  /**
   * Adds a DataObject contribution of type {@link MaxRowCountContributionDo} to the given dataObject.
   * @param dataObject The DataObject to which the contribution should be added.
   * @param table The table to read the maxRowCount property that should be used in the contribution.
   */
  addMaxRowCountContribution(dataObject, table) {
    const maxRowCountContribution = this.buildMaxRowCountContribution(table);
    if (maxRowCountContribution) {
      dataObject = dataObject || {};
      // see ScoutDataObjectModule.DEFAULT_CONTRIBUTIONS_ATTRIBUTE_NAME
      _index__WEBPACK_IMPORTED_MODULE_0__.dataObjects.addContribution(maxRowCountContribution, dataObject);
    }
    return dataObject;
  }
  /**
   * Reads the maximum number of rows for the given table and converts it to a {@link MaxRowCountContributionDo}.
   * @returns the {@link MaxRowCountContributionDo} if there is a valid maxRowCount for the given table or null if no row count constraint is used.
   */
  buildMaxRowCountContribution(table) {
    const maxOutlineRowCount = this.getMaxTableRowCount(table);
    if (maxOutlineRowCount > 0) {
      return {
        _type: 'scout.MaxRowCountContribution',
        hint: maxOutlineRowCount
      };
    }
    return null;
  }
  /**
   * Gets the maximum number of rows for the given table.
   */
  getMaxTableRowCount(table) {
    return table.maxRowCount;
  }
}

/***/ }),

/***/ "./src/table/TableModel.ts":
/*!*********************************!*\
  !*** ./src/table/TableModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableRow.ts":
/*!*******************************!*\
  !*** ./src/table/TableRow.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRow: () => (/* binding */ TableRow)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRow {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "cells", void 0);
    _defineProperty(this, "checked", void 0);
    _defineProperty(this, "compactValue", void 0);
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "filterAccepted", void 0);
    _defineProperty(this, "height", void 0);
    _defineProperty(this, "hasError", void 0);
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "parentRow", void 0);
    _defineProperty(this, "parent", void 0);
    _defineProperty(this, "childRows", void 0);
    _defineProperty(this, "expanded", void 0);
    _defineProperty(this, "status", void 0);
    _defineProperty(this, "nodeId", void 0);
    _defineProperty(this, "hierarchyLevel", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "aggregateRowAfter", void 0);
    _defineProperty(this, "aggregateRowBefore", void 0);
    _defineProperty(this, "lookupRow", void 0);
    _defineProperty(this, "$row", void 0);
    /**
     * The child page that corresponds to this table row. Only set for rows in the `detailTable` of page, see {@link Page#linkWithRow}.
     */
    _defineProperty(this, "page", void 0);
    _defineProperty(this, "expandable", void 0);
    this.$row = null;
    this.aggregateRowAfter = null;
    this.cells = [];
    this.checked = false;
    this.compactValue = null;
    this.enabled = true;
    this.filterAccepted = true;
    this.height = null;
    this.hasError = false;
    this.id = null;
    this.initialized = false;
    this.parentRow = null;
    this.parent = null;
    this.childRows = [];
    this.expanded = false;
    this.status = TableRow.Status.NON_CHANGED;
    this.hierarchyLevel = 0;
  }
  init(model) {
    this._init(model);
    this.initialized = true;
  }
  _init(model) {
    if (!model.parent) {
      throw new Error('missing property \'parent\'');
    }
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
    this._initCells();
  }
  _initCells() {
    this.getTable().columns.forEach(column => {
      if (!column.guiOnly) {
        let cell = this.cells[column.index];
        cell = column.initCell(cell, this);
        this.cells[column.index] = cell;
      }
    });
  }
  animateExpansion() {
    let $row = this.$row;
    if (!$row) {
      return;
    }
    let $rowControl = $row.find('.table-row-control');
    if (this.expanded) {
      $rowControl.addClassForAnimation('expand-rotate');
    } else {
      $rowControl.addClassForAnimation('collapse-rotate');
    }
  }
  hasFilterAcceptedChildren() {
    return this.childRows.some(childRow => childRow.filterAccepted || childRow.hasFilterAcceptedChildren());
  }
  getTable() {
    return this.parent;
  }
  setCompactValue(compactValue) {
    this.compactValue = compactValue;
  }
  setFilterAccepted(filterAccepted) {
    this.filterAccepted = filterAccepted;
  }
  setEnabled(enabled) {
    this.enabled = enabled;
  }
  /**
   * Get the key values of this row. If there are columns flagged with {@link Column.primaryKey} only those values are used, otherwise all values are used.
   */
  getKeyValues() {
    var _this$cells;
    if (!((_this$cells = this.cells) !== null && _this$cells !== void 0 && _this$cells.length)) {
      return [];
    }
    let columns = this.getTable().primaryKeyColumns();
    if (!columns.length) {
      columns = this.getTable().columns;
    }
    return columns.map(column => this.getTable().cellValue(column, this));
  }
}
_defineProperty(TableRow, "Status", {
  NON_CHANGED: 'nonChanged',
  INSERTED: 'inserted',
  UPDATED: 'updated'
});

/***/ }),

/***/ "./src/table/TableRowDetail.ts":
/*!*************************************!*\
  !*** ./src/table/TableRowDetail.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRowDetail: () => (/* binding */ TableRowDetail)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRowDetail extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "page", void 0);
    _defineProperty(this, "row", void 0);
    _defineProperty(this, "_tableRowsUpdatedHandler", void 0);
    _defineProperty(this, "_tableRowsInsertedHandler", void 0);
    this.table = null;
    this.page = null;
    this.row = null;
    this._tableRowsUpdatedHandler = this._onTableRowsUpdated.bind(this);
    this._tableRowsInsertedHandler = this._onTableRowsInserted.bind(this);
  }
  _init(model) {
    super._init(model);
    this.row = this.page.row;
    this.table.on('rowsUpdated', this._tableRowsUpdatedHandler);
    this.table.on('rowsInserted', this._tableRowsInsertedHandler);
  }
  _destroy() {
    this.table.off('rowsUpdated', this._tableRowsUpdatedHandler);
    this.table.off('rowsInserted', this._tableRowsInsertedHandler);
    super._destroy();
  }
  _render() {
    this.$container = this.$parent.appendDiv('table-row-detail');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this._renderRow();
  }
  _renderRow() {
    this.table.visibleColumns().forEach(this._renderCell.bind(this));
    this.invalidateLayoutTree();
  }
  _renderCell(column) {
    let cell = this.table.cell(column, this.row);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(cell.text) && !cell.iconId) {
      return;
    }
    let headerText;
    if (column.headerHtmlEnabled) {
      headerText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(column.text);
    } else {
      headerText = column.text;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(headerText)) {
      if (column.headerTooltipHtmlEnabled) {
        headerText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(column.headerTooltipText);
      } else {
        headerText = column.headerTooltipText;
      }
    }
    let cellText = column.cellTextForRowDetail(this.row);
    let $field = this.$container.appendDiv('table-row-detail-field');
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(headerText)) {
      $field.appendSpan('table-row-detail-name').text(headerText + ': ');
    }
    let iconId = cell.iconId;
    let hasCellText = !_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(cellText);
    if (iconId) {
      let $icon = $field.appendIcon(iconId, 'table-row-detail-icon');
      $icon.toggleClass('with-text', hasCellText);
    }
    if (hasCellText) {
      $field.appendSpan('table-row-detail-value').html(cellText);
    }
  }
  _refreshRow() {
    this.$container.empty();
    this._renderRow();
  }
  _onTableRowsUpdated(event) {
    if (!this.rendered) {
      return;
    }
    let rows = event.rows;
    let row = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(rows, row => row.id === this.row.id);
    if (!row) {
      return;
    }
    this.row = row;
    this._refreshRow();
  }
  /**
   * If the table is reloaded without reloading the corresponding nodes,
   * the insert events need to be handled to refresh the table row detail.
   */
  _onTableRowsInserted(event) {
    if (!this.rendered) {
      return;
    }
    if (event.source.rows.indexOf(this.page.row) < 0) {
      return;
    }
    this.row = this.page.row;
    this._refreshRow();
  }
}

/***/ }),

/***/ "./src/table/TableRowDetailModel.ts":
/*!******************************************!*\
  !*** ./src/table/TableRowDetailModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableRowModel.ts":
/*!************************************!*\
  !*** ./src/table/TableRowModel.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableRowTileMapping.ts":
/*!******************************************!*\
  !*** ./src/table/TableRowTileMapping.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRowTileMapping: () => (/* binding */ TableRowTileMapping)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRowTileMapping extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "tableRow", void 0);
    _defineProperty(this, "tile", void 0);
    this.tableRow = null;
    this.tile = null;
    this._addWidgetProperties(['tile']);
  }
}

/***/ }),

/***/ "./src/table/TableRowTileMappingAdapter.ts":
/*!*************************************************!*\
  !*** ./src/table/TableRowTileMappingAdapter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRowTileMappingAdapter: () => (/* binding */ TableRowTileMappingAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRowTileMappingAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/table/TableRowTileMappingModel.ts":
/*!***********************************************!*\
  !*** ./src/table/TableRowTileMappingModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableSelectionHandler.ts":
/*!********************************************!*\
  !*** ./src/table/TableSelectionHandler.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableSelectionHandler: () => (/* binding */ TableSelectionHandler)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Enhances the table with selection behaviour.<p>
 *
 * If mouseMoveSelectionEnabled is set to true, the user can select the rows by moving the mouse with pressed left mouse button.
 *
 */
class TableSelectionHandler {
  constructor(table) {
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "mouseMoveSelectionEnabled", void 0);
    _defineProperty(this, "lastActionRow", void 0);
    _defineProperty(this, "mouseOverHandler", void 0);
    _defineProperty(this, "select", void 0);
    _defineProperty(this, "counterDebug", void 0);
    _defineProperty(this, "fromIndex", void 0);
    _defineProperty(this, "toIndex", void 0);
    _defineProperty(this, "_mouseDown", void 0);
    /** Index of the row that got a 'mouseover' event previously (needed to determine if the user is going up or down) */
    _defineProperty(this, "_prevSelectedRowIndex", void 0);
    /** The index of the selected row with the greatest distance to fromIndex (needed to efficiently clear the selection) */
    _defineProperty(this, "_maxSelectedRowIndex", void 0);
    this.table = table;
    this.mouseMoveSelectionEnabled = true;
    this._mouseDown = false;
    this.lastActionRow = null;
    this.mouseOverHandler = null;
    this.select = true;
    this.counterDebug = 0;
    this.fromIndex = -1;
    this.toIndex = -1;
    this._prevSelectedRowIndex = -1;
    this._maxSelectedRowIndex = -1;
  }
  clearLastSelectedRowMarker() {
    this.lastActionRow = null;
  }
  // TODO [7.0] bsh: Table Selection | Try to merge this with TableKeystrokeContext
  onMouseDown(event) {
    let $row = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.currentTarget);
    let row = $row.data('row');
    let oldSelectedState = $row.isSelected();
    let rows = this.table.visibleRows;
    this._mouseDown = true;
    this.select = true;
    if (this.table.multiSelect && event.shiftKey) {
      // when a selected row in the middle of a selection-block has
      // been clicked while shift is pressed -> do nothing
      if (this.table.selectedRows.indexOf(row) > -1) {
        return;
      }
      if (this.table.selectedRows.length === 0) {
        // Shift-click was pressed without selection -> behave like normal click
        this.lastActionRow = row;
      }
      if (!this.lastActionRow) {
        // The last action row may have been cleared, e.g. when rows have been replaced. In that case, simply assume
        // the first or the last of the currently selected rows as being the last action row to make shift-click
        // behave as expected (depending on which row is nearer from the clicked row).
        let thisRowIndex = rows.indexOf(row);
        let firstSelectedRow = this.table.selectedRows[0];
        let lastSelectedRow = this.table.selectedRows[this.table.selectedRows.length - 1];
        if (thisRowIndex <= (rows.indexOf(firstSelectedRow) + rows.indexOf(lastSelectedRow)) / 2) {
          this.lastActionRow = firstSelectedRow;
        } else {
          this.lastActionRow = lastSelectedRow;
        }
        this._maxSelectedRowIndex = rows.indexOf(lastSelectedRow);
        this._prevSelectedRowIndex = rows.indexOf(this.lastActionRow);
      }
      this.fromIndex = rows.indexOf(this.lastActionRow);
    } else if (event.ctrlKey) {
      this.select = !oldSelectedState;
    } else {
      // Click on the already selected row must not clear the selection it to avoid another selection event sent to the server
      // Right click on already selected rows must not clear the selection
      if (!oldSelectedState || this.table.selectedRows.length > 1 && event.which !== 3) {
        this.table._removeSelection();
        this.table.selectedRows = [];
      }
    }
    if (this.fromIndex < 0) {
      this.fromIndex = rows.indexOf(row);
    }
    if (event.which !== 3 || !oldSelectedState) {
      this.toIndex = rows.indexOf(row);
      this.handleSelection(event);
      this.table.notifyRowSelectionFinished();
    }
    if (this.mouseMoveSelectionEnabled && event.which !== 3) {
      this.table.$data.off('mouseover', this.mouseOverHandler);
      this.mouseOverHandler = this.onMouseOver.bind(this);
      this.table.$data.on('mouseover', '.table-row', this.mouseOverHandler);
      // This additionally window listener is necessary to track the clicks outside of a table row.
      // If the mouse is released on a table row, onMouseUp gets called by the table's mouseUp listener.
    }
    $row.window().one('mouseup.selectionHandler', this.onMouseUp.bind(this));
    this.lastActionRow = row;
  }
  onMouseOver(event) {
    let $row = jquery__WEBPACK_IMPORTED_MODULE_0___default()(event.currentTarget);
    let row = $row.data('row');
    let rows = this.table.visibleRows;
    this.toIndex = rows.indexOf(row);
    this.handleSelection(event);
    this.lastActionRow = row;
  }
  handleSelection(event) {
    let rowsToUnselect;
    let rows = this.table.visibleRows;
    if (this.table.multiSelect) {
      // Multi-selection -> expand/shrink selection
      let thisIndex = this.toIndex;
      let goingUp = thisIndex < this._prevSelectedRowIndex;
      let goingDown = thisIndex > this._prevSelectedRowIndex;
      let beforeFromSelection = this._prevSelectedRowIndex < this.fromIndex;
      let afterFromSelection = this._prevSelectedRowIndex > this.fromIndex;
      // In 'ctrlKey' mode, the un-selection is done via 'select=false'
      // Also prevent unselect in shiftKey mode, because otherwise we'd could
      // possibly have unwanted gaps within the selection block (see #172929).
      if (!event.ctrlKey) {
        // If we are going _towards_ the startIndex, unselect all rows between the current row and the
        // selected row with the greatest distance (this._maxSelectedRowIndex).
        if (goingUp && afterFromSelection) {
          rowsToUnselect = rows.slice(thisIndex + 1, this._maxSelectedRowIndex + 1);
        } else if (goingDown && beforeFromSelection) {
          rowsToUnselect = rows.slice(this._maxSelectedRowIndex, thisIndex);
        }
        // when shift is pressed: only unselect when first or last row (but not in the middle of the selection, see #172929)
        if (rowsToUnselect && event.shiftKey) {
          let selectionIndizes = this.getMinMaxSelectionIndizes();
          rowsToUnselect = rowsToUnselect.reduce((aggr, row) => {
            let rowIndex = rows.indexOf(row);
            if (_index__WEBPACK_IMPORTED_MODULE_1__.scout.isOneOf(rowIndex, selectionIndizes[0], selectionIndizes[1])) {
              aggr.push(row);
            }
            return aggr;
          }, []);
        }
        if (rowsToUnselect) {
          rowsToUnselect.forEach(row => this.table.removeRowFromSelection(row, true));
        }
      }
      // Adjust the indexes
      this._maxSelectedRowIndex = goingUp ? Math.min(this._maxSelectedRowIndex, thisIndex) : goingDown ? Math.max(this._maxSelectedRowIndex, thisIndex) : thisIndex;
      this._prevSelectedRowIndex = thisIndex;
    } else {
      // Single selection -> unselect previously selected row
      if (this.select) {
        this.table._removeSelection();
        this.table.selectedRows = [];
      }
      // Adjust the indexes
      this.fromIndex = this.toIndex;
    }
    // Set the new selection
    this._selectRange(this.fromIndex, this.toIndex, this.select);
  }
  _selectRange(fromIndex, toIndex, select) {
    let rows = this.table.visibleRows;
    let startIndex = Math.min(fromIndex, toIndex);
    let endIndex = Math.max(fromIndex, toIndex) + 1;
    let actionRows = rows.slice(startIndex, endIndex);
    // set/remove selection
    if (select) {
      actionRows.forEach(row => this.table.addRowToSelection(row, true));
    } else {
      actionRows.forEach(row => this.table.removeRowFromSelection(row, true));
    }
  }
  getMinMaxSelectionIndizes() {
    let selectedRows = this.table.selectedRows,
      allRows = this.table.visibleRows;
    if (!selectedRows || selectedRows.length === 0) {
      return [-1, -1];
    }
    let min = -1,
      max = -1;
    selectedRows.forEach(row => {
      let index = allRows.indexOf(row);
      if (min === -1 || index < min) {
        min = index;
      }
      if (max === -1 || index > max) {
        max = index;
      }
    });
    return [min, max];
  }
  onMouseUp(event) {
    if (!this._mouseDown) {
      // May happen when selecting elements with chrome dev tools
      return;
    }
    if (!this.table.rendered) {
      // May happen when the table is removed between the mouse down and the mouse up event
      // (e.g. when the user clicks 3 times very fast --> table is removed after double click).
      return;
    }
    this._mouseDown = false;
    this.table.$data.off('mouseover', this.mouseOverHandler);
    this.fromIndex = -1;
    this.toIndex = -1;
    this.select = true;
    this.table.notifyRowSelectionFinished();
  }
}

/***/ }),

/***/ "./src/table/TableTileGridMediator.ts":
/*!********************************************!*\
  !*** ./src/table/TableTileGridMediator.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableTileGridMediator: () => (/* binding */ TableTileGridMediator)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Delegates events between the {@link Table} and it's internal {@link TileGrid}.
 */
class TableTileGridMediator extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "tileAccordion", void 0);
    _defineProperty(this, "tiles", void 0);
    _defineProperty(this, "tileMappings", void 0);
    /** tiles by rowId */
    _defineProperty(this, "tilesMap", void 0);
    /** groupId by tile */
    _defineProperty(this, "groupForTileMap", void 0);
    /** always stores the last table state before tileMode activation */
    _defineProperty(this, "tableState", void 0);
    /** properties for internal tileAccordion */
    _defineProperty(this, "exclusiveExpand", void 0);
    _defineProperty(this, "gridColumnCount", void 0);
    _defineProperty(this, "tileGridLayoutConfig", void 0);
    _defineProperty(this, "withPlaceholders", void 0);
    _defineProperty(this, "_isUpdatingTiles", void 0);
    _defineProperty(this, "_tableHierarchyFilter", void 0);
    _defineProperty(this, "_tileFilters", void 0);
    _defineProperty(this, "_destroyHandler", void 0);
    _defineProperty(this, "_tileAccordionPropertyChangeHandler", void 0);
    _defineProperty(this, "_tileAccordionActionHandler", void 0);
    _defineProperty(this, "_tileAccordionClickHandler", void 0);
    _defineProperty(this, "_tableFilterAddedHandler", void 0);
    _defineProperty(this, "_tableFilterRemovedHandler", void 0);
    _defineProperty(this, "_tableFilterHandler", void 0);
    _defineProperty(this, "_tableGroupHandler", void 0);
    _defineProperty(this, "_tableRowsSelectedHandler", void 0);
    _defineProperty(this, "_tableRowsInsertedHandler", void 0);
    _defineProperty(this, "_tableRowsDeletedHandler", void 0);
    _defineProperty(this, "_tableAllRowsDeletedHandler", void 0);
    _defineProperty(this, "_tableRowOrderChangedHandler", void 0);
    _defineProperty(this, "_tablePropertyChangeHandler", void 0);
    this.table = null;
    this.tileAccordion = null;
    this.tiles = [];
    this.tileMappings = [];
    this.tilesMap = {};
    this.groupForTileMap = {};
    this.tableState = {};
    this.exclusiveExpand = false;
    this.gridColumnCount = null;
    this.tileGridLayoutConfig = null;
    this.withPlaceholders = null;
    this._isUpdatingTiles = false;
    this._tableHierarchyFilter = null;
    this._tileFilters = [];
    this._destroyHandler = this._uninstallListeners.bind(this);
    this._tileAccordionPropertyChangeHandler = this._onTileAccordionPropertyChange.bind(this);
    this._tileAccordionActionHandler = this._onTileAccordionAction.bind(this);
    this._tileAccordionClickHandler = this._onTileAccordionClick.bind(this);
    this._tableFilterAddedHandler = this._onTableFilterAdded.bind(this);
    this._tableFilterRemovedHandler = this._onTableFilterRemoved.bind(this);
    this._tableFilterHandler = this._onTableFilter.bind(this);
    this._tableGroupHandler = this._onTableGroup.bind(this);
    this._tableRowsSelectedHandler = this._onTableRowsSelected.bind(this);
    this._tableRowsInsertedHandler = this._onTableRowsInserted.bind(this);
    this._tableRowsDeletedHandler = this._onTableRowsDeleted.bind(this);
    this._tableAllRowsDeletedHandler = this._onTableAllRowsDeleted.bind(this);
    this._tableRowOrderChangedHandler = this._onTableRowOrderChangedHandler.bind(this);
    this._tablePropertyChangeHandler = this._onTablePropertyChange.bind(this);
    this._addWidgetProperties(['tileAccordion', 'tiles', 'tileMappings']);
  }
  init(model) {
    super._init(model);
    this.table = this.parent;
    this._setTileGridLayoutConfig(this.tileGridLayoutConfig);
    if (!this.tileAccordion) {
      this.tileAccordion = this._createTileAccordion();
      this._installListeners();
    }
    this.tableState.headerVisible = this.table.headerVisible;
    this._setTiles(this.tiles);
    this._setTileMappings(this.tileMappings);
  }
  _installListeners() {
    this.tileAccordion.on('propertyChange', this._tileAccordionPropertyChangeHandler);
    this.tileAccordion.on('tileAction', this._tileAccordionActionHandler);
    this.tileAccordion.on('tileClick', this._tileAccordionClickHandler);
    this.table.on('filterAdded', this._tableFilterAddedHandler);
    this.table.on('filterRemoved', this._tableFilterRemovedHandler);
    this.table.on('filter', this._tableFilterHandler);
    this.table.on('group', this._tableGroupHandler);
    this.table.on('rowsSelected', this._tableRowsSelectedHandler);
    this.table.on('rowsInserted', this._tableRowsInsertedHandler);
    this.table.on('rowsDeleted', this._tableRowsDeletedHandler);
    this.table.on('allRowsDeleted', this._tableAllRowsDeletedHandler);
    this.table.on('rowOrderChanged', this._tableRowOrderChangedHandler);
    this.table.on('propertyChange', this._tablePropertyChangeHandler);
    this.tileAccordion.on('destroy', this._destroyHandler);
    this.table.on('destroy', this._destroyHandler);
  }
  _uninstallListeners() {
    this.tileAccordion.off('propertyChange', this._tileAccordionPropertyChangeHandler);
    this.tileAccordion.off('tileAction', this._tileAccordionActionHandler);
    this.tileAccordion.off('tileClick', this._tileAccordionClickHandler);
    this.table.off('filterAdded', this._tableFilterAddedHandler);
    this.table.off('filterRemoved', this._tableFilterRemovedHandler);
    this.table.off('filter', this._tableFilterHandler);
    this.table.off('group', this._tableGroupHandler);
    this.table.off('rowsSelected', this._tableRowsSelectedHandler);
    this.table.off('rowsInserted', this._tableRowsInsertedHandler);
    this.table.off('rowsDeleted', this._tableRowsDeletedHandler);
    this.table.off('allRowsDeleted', this._tableAllRowsDeletedHandler);
    this.table.off('rowOrderChanged', this._tableRowOrderChangedHandler);
    this.table.off('propertyChange', this._tablePropertyChangeHandler);
    this.tileAccordion.off('destroy', this._destroyHandler);
    this.table.off('destroy', this._destroyHandler);
  }
  setGridColumnCount(gridColumnCount) {
    this.setProperty('gridColumnCount', gridColumnCount);
    if (this.tileAccordion) {
      this.tileAccordion.setGridColumnCount(gridColumnCount);
    }
  }
  setTileGridLayoutConfig(tileGridLayoutConfig) {
    this.setProperty('tileGridLayoutConfig', tileGridLayoutConfig);
  }
  _setTileGridLayoutConfig(tileGridLayoutConfig) {
    tileGridLayoutConfig = _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig.ensure(tileGridLayoutConfig);
    this._setProperty('tileGridLayoutConfig', tileGridLayoutConfig);
    if (this.tileAccordion) {
      this.tileAccordion.setTileGridLayoutConfig(tileGridLayoutConfig);
    }
  }
  setWithPlaceholders(withPlaceholders) {
    this.setProperty('withPlaceholders', withPlaceholders);
    if (this.tileAccordion) {
      this.tileAccordion.setWithPlaceholders(withPlaceholders);
    }
  }
  _setTileMappings(tableRowTileMappings) {
    this._setProperty('tileMappings', tableRowTileMappings);
    if (!tableRowTileMappings) {
      return;
    }
    let tiles = tableRowTileMappings.map(this.resolveMapping, this);
    this._setTiles(tiles);
  }
  setTiles(tiles) {
    this.setProperty('tiles', tiles);
  }
  _setTiles(tiles) {
    this._isUpdatingTiles = true;
    // remove all new tiles from this.tiles to prevent reused tiles from being destroyed in reset()
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(this.tiles, tiles);
    this.reset();
    this._setTilesInternal(tiles);
    this._isUpdatingTiles = false;
  }
  _setTilesInternal(tiles) {
    // check if all tiles are already available in the table
    let tableRowMissing = tiles.some(tile => this.table.rowsMap[tile.rowId] === undefined);
    if (tableRowMissing) {
      if (this.table.initialized) {
        // wait for next insertRows event on the table to execute this function again
        this.table.one('rowsInserted', this._setTilesInternal.bind(this, tiles));
      } else {
        // if table is not initialized already wait for the init event
        this.table.one('init', this._setTilesInternal.bind(this, tiles));
      }
      return;
    }
    this._refreshTilesMap(tiles);
    // create simplified grouping for tile accordion, grouping on the table can be left as is.
    this._initGroups(tiles);
    this._setProperty('tiles', tiles);
    this.tileAccordion.setTiles(this.tiles);
    this._updateGroupVisibility();
    this._syncSelectionFromTableToTile();
  }
  // only used in ScoutJS, see TableAdapter.modifyTablePrototype()
  loadTiles() {
    // hierarchy is not supported in tile mode. There is no way to visualize a parent-child hierarchy in the tileGrid. Therefore, only top level rows are displayed.
    let rows = this.table.rows.filter(row => !row.parentRow);
    let tiles = this.table.createTiles(rows);
    if (tiles) {
      this.setTiles(tiles);
    }
  }
  resolveMapping(tableRowTileMapping) {
    let tile = tableRowTileMapping.tile;
    tile.rowId = tableRowTileMapping.tableRow;
    tile.setParent(this);
    tile.setOwner(this);
    return tile;
  }
  // update tilesMap with the given tiles or recreate tilesMap completely in case of null given
  _refreshTilesMap(tiles) {
    if (!tiles) {
      tiles = this.tiles;
      this.tilesMap = {};
    }
    tiles.forEach(tile => {
      this.tilesMap[tile.rowId] = tile;
    });
  }
  getTilesForRows(rows) {
    return rows.map(row => this.tilesMap[row.id]).filter(t => !!t);
  }
  _initGroups(tiles) {
    let primaryGroupingColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.table.columns, column => column.grouped && column.sortIndex === 0);
    tiles.forEach(tile => {
      let row = this.table.rowsMap[tile.rowId];
      let groupId = primaryGroupingColumn ? primaryGroupingColumn.cellTextForGrouping(row) : 'default';
      groupId = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(groupId, ''); // use empty group to avoid NPE
      this.groupForTileMap[row.id] = groupId;
      // check if group already exists, otherwise create it
      let group = this.tileAccordion.getGroupById(groupId);
      if (!group) {
        group = this._createTileGroup(groupId, primaryGroupingColumn, row);
        this._adaptTileGrid(group.body);
        this.tileAccordion.insertGroup(group);
      }
      tile.parent = group;
    });
  }
  _adaptTileGrid(tileGrid) {
    // The table contains the menu items -> pass them to the showContextMenu function of the tileGrid.
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.mandatoryFunction(tileGrid, '_showContextMenu');
    let origShowContextMenu = tileGrid._showContextMenu;
    tileGrid._showContextMenu = options => {
      _index__WEBPACK_IMPORTED_MODULE_0__.objects.mandatoryFunction(this.table, '_filterMenusForContextMenu');
      options.menuItems = this.table._filterMenusForContextMenu();
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(this.table, '_filterMenusHandler');
      options.menuFilter = this.table._filterMenusHandler;
      origShowContextMenu.call(tileGrid, options);
    };
    // Use the table's keyStrokeContext $bindTarget for each tileGrid as well, to ensure that in tileMode the tileGrids
    // keyStrokes work when the focus is in the tableHeader/Footer (or just outside the actual TileGrid).
    // Adapt all keyStrokes to stop propagation. This is necessary since several tileGrids now use the same $bindTarget and the keyStroke
    // should only be executed once. The TileGridSelectionHandler takes care of the correct selection behaviour.
    tileGrid.keyStrokeContext.$bindTarget = this.table.keyStrokeContext.$bindTarget;
    tileGrid.keyStrokeContext.keyStrokes.forEach(ks => {
      ks.stopPropagation = true;
      ks.stopImmediatePropagation = true;
    });
  }
  _createTileAccordion() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileAccordion, {
      parent: this.table,
      virtual: true,
      selectable: true,
      multiSelect: this.table.multiSelect,
      exclusiveExpand: this.exclusiveExpand,
      gridColumnCount: this.gridColumnCount,
      tileGridLayoutConfig: this.tileGridLayoutConfig,
      withPlaceholders: this.withPlaceholders
    });
  }
  _createTileGroup(groupId, primaryGroupingColumn, row) {
    let htmlEnabled, title, iconId;
    if (primaryGroupingColumn) {
      htmlEnabled = primaryGroupingColumn.htmlEnabled;
      let cell = primaryGroupingColumn.createAggrGroupCell(row);
      title = cell.text;
      iconId = cell.iconId;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Group, {
      parent: this.tileAccordion,
      id: groupId,
      headerVisible: groupId !== 'default',
      title: title,
      titleHtmlEnabled: htmlEnabled,
      iconId: iconId,
      body: {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.TileGrid,
        scrollable: false
      }
    });
  }
  activate() {
    this.tableState.headerVisible = this.table.headerVisible;
    this.table.setHeaderVisible(false);
    if (this.table.tileTableHeader) {
      this.table.tileTableHeader.setVisible(true);
    }
    // hide aggregation table control
    this.table.tableControls.forEach(control => {
      if (control instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AggregateTableControl) {
        this.tableState.aggregateTableControlSelected = control.selected;
        control.setSelected(false, {
          closeWhenUnselected: true,
          animate: false
        });
        control.setVisible(false);
      }
    });
    this.tableState.loadingSupportContainer = this.table.loadingSupport.options$Container;
    this.table.loadingSupport.options$Container = function () {
      return this.tileAccordion.$container;
    }.bind(this);
    // check if there exists a hierarchy within the tableRows
    let hasHierarchy = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.table.rows, row => !!row.parentRow) !== null;
    if (hasHierarchy) {
      // add the hierarchyFilter since the tileMode doesn't support hierarchy
      this._tableHierarchyFilter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileTableHierarchyFilter, {
        table: this.table
      });
      this.table.addFilter(this._tableHierarchyFilter);
    }
    // doesn't depend upon any tile data, therefore execute on activation
    this._syncFiltersFromTableToTile();
    this._syncScrollTopFromTableToTile();
  }
  deactivate() {
    // show aggregation table control
    this.table.tableControls.forEach(control => {
      if (control instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AggregateTableControl) {
        control.setVisible(true);
      }
    });
    // use _setProperty to avoid instant rendering, render manually later on (this is necessary since TableHeader depends upon table.$data)
    this.table._setProperty('headerVisible', this.tableState.headerVisible);
    if (this.table.tileTableHeader) {
      this.table.tileTableHeader.setVisible(false);
    }
    if (this.tableState.loadingSupportContainer) {
      this.table.loadingSupport.options$Container = this.tableState.loadingSupportContainer;
    }
    if (this._tableHierarchyFilter) {
      this.table.removeFilter(this._tableHierarchyFilter);
      this._tableHierarchyFilter = null;
    }
    this._syncScrollTopFromTileGridToTable();
    // complete reset
    this.reset();
  }
  reset() {
    this.tilesMap = {};
    this.groupForTileMap = {};
    this.tileAccordion.deleteAllTiles();
    this.tileAccordion.deleteAllGroups();
    // destroy tiles manually since owner is the mediator thus the tileGrid can't destroy them
    this.tiles.forEach(tile => tile.destroy());
  }
  renderTileMode() {
    if (this.table.tileMode) {
      // if the table was previously in tileMode this is not necessary...
      if (this.table.$data) {
        this.table._removeData();
      }
      this._renderTileTableHeader();
      this._renderTileAccordion();
    } else {
      this._removeTileTableHeader();
      this._removeTileAccordion();
      this.table._renderData();
      this.table._renderTableHeader();
      // restore selected state of the aggregationTableControl here since it depends on table.$data
      if (this.tableState.aggregateTableControlSelected) {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.table.tableControls, control => control instanceof _index__WEBPACK_IMPORTED_MODULE_0__.AggregateTableControl).setSelected(true);
      }
    }
    this.table._refreshMenuBarPosition();
  }
  destroy() {
    // destroy tiles manually since owner is the mediator thus the tileGrid can't destroy them
    this.tiles.forEach(tile => tile.destroy());
    this.tileAccordion.destroy();
    this.tileAccordion = null;
  }
  insertTiles(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    if (tiles.length === 0) {
      return;
    }
    this.setTiles(this.tiles.concat(tiles));
  }
  deleteTiles(tiles) {
    if (!tiles) {
      tiles = this.tiles.slice();
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(this.tiles, tiles);
    tiles.forEach(tile => {
      delete this.tilesMap[tile.rowId];
      delete this.groupForTileMap[tile.rowId];
      let group = this.tileAccordion.getGroupByTile(tile);
      if (group) {
        // if there's only one left remove the group (tile is removed later)
        if (group.body.tiles.length === 1) {
          this.tileAccordion.deleteGroup(group);
        }
      }
      tile.destroy();
    });
    this.tileAccordion.deleteTiles(tiles);
  }
  _onTileAccordionPropertyChange(event) {
    if (!this.table.tileMode) {
      return;
    }
    if (event.propertyName === 'selectedTiles') {
      this._syncSelectionFromTileGridToTable(event.source.getSelectedTiles());
      if (this.tileAccordion.rendered) {
        // Depending on the tiles content, selecting tiles with shift can lead to a mix of selecting the tiles content
        // and the tiles itself, which doesn't look nice. Remove the text selection when selection tiles to avoid this.
        this.tileAccordion.$container.document(true).getSelection().removeAllRanges();
      }
    } else if (event.propertyName === 'filteredTiles') {
      this._updateGroupVisibility();
    }
  }
  _onTileAccordionAction(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.table.doRowAction(this.table.rowsMap[event.tile.rowId]);
  }
  _onTileAccordionClick(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.table._triggerRowClick(event.originalEvent, this.table.rowsMap[event.tile.rowId], event.mouseButton);
  }
  _onTableRowsSelected(event) {
    if (!this.table.tileMode) {
      return;
    }
    this._syncSelectionFromTableToTile();
  }
  _onTableRowsInserted(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.insertTiles(this.table.createTiles(event.rows));
  }
  _onTableRowsDeleted(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.deleteTiles(this.getTilesForRows(event.rows));
  }
  _onTableAllRowsDeleted(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.deleteTiles();
  }
  _onTableRowOrderChangedHandler(event) {
    // ignore event when not in tileMode or when this.tilesMap is not (yet) initialized correctly
    if (!this.table.tileMode || jquery__WEBPACK_IMPORTED_MODULE_1___default().isEmptyObject(this.tilesMap)) {
      return;
    }
    this.tiles = this.table.rows.map(row => this.tilesMap[row.id]);
    this.tileAccordion.setTiles(this.tiles);
  }
  /** @internal */
  _onTableGroup(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.tileAccordion.deleteAllGroups();
    this._initGroups(this.tiles);
    this.tileAccordion.setTiles(this.tiles);
  }
  _onTableFilterAdded(event) {
    if (!this.table.tileMode) {
      return;
    }
    this._addFilter(event.filter);
  }
  _onTableFilterRemoved(event) {
    if (!this.table.tileMode) {
      return;
    }
    this._removeFilterByPredicate(f => f.tableFilter === event.filter);
  }
  _addFilter(tableFilter) {
    let tileFilter = {
      tableFilter: tableFilter,
      table: this.table,
      accept: tile => {
        let rowForTile = this.table.rowsMap[tile.rowId];
        if (rowForTile) {
          return tableFilter.accept(rowForTile);
        }
        return false;
      }
    };
    this._removeFilterByPredicate(f => f.tableFilter === tableFilter, false);
    if (tableFilter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter) {
      let key = tableFilter.createKey();
      this._removeFilterByPredicate(f => f.tableFilter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter && _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(f.tableFilter.createKey(), key), false);
    }
    this._tileFilters.push(tileFilter);
    this.tileAccordion.addFilter(tileFilter);
  }
  _removeFilterByPredicate(predicate) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let filter = this._tileFilters.find(predicate);
    if (filter) {
      this.tileAccordion.removeFilter(filter, applyFilter);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._tileFilters, filter);
    }
  }
  _onTableFilter(event) {
    if (!this.table.tileMode) {
      return;
    }
    this.tileAccordion.filter();
  }
  _syncSelectionFromTableToTile() {
    if (this.tileAccordion) {
      this.tileAccordion.selectTiles(this.getTilesForRows(this.table.selectedRows));
    }
  }
  _syncSelectionFromTileGridToTable(selectedTiles) {
    if (!this._isUpdatingTiles) {
      let selectedRows = selectedTiles.map(tile => this.table.rowsMap[tile.rowId]).filter(t => Boolean(t));
      this.table.selectRows(selectedRows);
    }
  }
  _updateGroupVisibility() {
    this.tileAccordion.groups.forEach(group => {
      // Make groups invisible if a tile filter is active and no tiles match (= no tiles are visible)
      let body = group.body;
      let groupEmpty = body.filters.length > 0 && body.filteredTiles.length === 0;
      group.setVisible(!groupEmpty);
      group.setTitleSuffix(body.filteredTiles.length + '');
    });
  }
  _syncScrollTopFromTableToTile() {
    let rowIndex = this.table._rowIndexAtScrollTop(this.table.scrollTop);
    if (rowIndex <= 0) {
      return;
    }
    let tile = this.tilesMap[this.table.rows[rowIndex].id];
    if (!tile) {
      return;
    }
    // reset scrollTop on tileAccordion, otherwise it would overwrite the synced scrollTop
    this.tileAccordion.scrollTop = null;
    let options = {
      align: 'top'
    };
    if (!tile.rendered) {
      // Execute delayed because table may be not layouted yet
      this.table.session.layoutValidator.schedulePostValidateFunction(tile.reveal.bind(tile, options));
      return;
    }
    tile.reveal(options);
  }
  _syncScrollTopFromTileGridToTable() {
    let tile = this.tileAccordion.tileAtScrollTop(this.tileAccordion.scrollTop);
    if (tile) {
      let options = {
        align: 'top'
      };
      if (!this.table._isDataRendered()) {
        this.table.session.layoutValidator.schedulePostValidateFunction(this.table.scrollTo.bind(this.table, this.table.rowsMap[tile.rowId], options));
      } else {
        this.table.scrollTo(this.table.rowsMap[tile.rowId], options);
      }
    }
  }
  _syncFiltersFromTableToTile() {
    if (this.tileAccordion) {
      this.tileAccordion.setFilters([]);
      this.table.filters.forEach(tableFilter => this._addFilter(tableFilter));
    }
  }
  _onTablePropertyChange(event) {
    if (event.propertyName === 'multiSelect') {
      this.tileAccordion.setMultiSelect(event.newValue);
    }
  }
  _renderTileTableHeader() {
    if (this.table.tileTableHeader) {
      this.table.tileTableHeader.render();
    }
  }
  _removeTileTableHeader() {
    if (this.table.tileTableHeader) {
      this.table.tileTableHeader.remove();
    }
  }
  _renderTileAccordion() {
    if (!this.tileAccordion.rendered) {
      this.tileAccordion.render();
    }
  }
  _removeTileAccordion() {
    if (this.tileAccordion.rendered) {
      this.tileAccordion.remove();
    }
  }
}

/***/ }),

/***/ "./src/table/TableTileGridMediatorAdapter.ts":
/*!***************************************************!*\
  !*** ./src/table/TableTileGridMediatorAdapter.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableTileGridMediatorAdapter: () => (/* binding */ TableTileGridMediatorAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableTileGridMediatorAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  /**
   * Static method to modify the prototype of TableTileGridMediatorAdapter.
   */
  static modifyTableTileGridMediator() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // tiles are already provided by the backend in classic mode
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.TableTileGridMediator, 'loadTiles', function () {
      if (this.modelAdapter) {
        // nop in classic mode
        return;
      }
      return this.loadTilesOrig();
    }, true);
    // handled by the java mediator
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.TableTileGridMediator, '_onTableRowsInserted', function (event) {
      if (this.modelAdapter) {
        // nop in classic mode
        return;
      }
      return this._onTableRowsInsertedOrig(event);
    }, true);
    // handled by the java mediator
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.TableTileGridMediator, '_onTableRowsDeleted', function (event) {
      if (this.modelAdapter) {
        // nop in classic mode
        return;
      }
      return this._onTableRowsDeletedOrig(event);
    }, true);
    // handled by the java mediator
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.TableTileGridMediator, '_onTableAllRowsDeleted', function (event) {
      if (this.modelAdapter) {
        // nop in classic mode
        return;
      }
      return this._onTableAllRowsDeletedOrig(event);
    }, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TableTileGridMediatorAdapter.modifyTableTileGridMediator);

/***/ }),

/***/ "./src/table/TableTileGridMediatorEventMap.ts":
/*!****************************************************!*\
  !*** ./src/table/TableTileGridMediatorEventMap.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableTileGridMediatorModel.ts":
/*!*************************************************!*\
  !*** ./src/table/TableTileGridMediatorModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableTooltip.ts":
/*!***********************************!*\
  !*** ./src/table/TableTooltip.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableTooltip: () => (/* binding */ TableTooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableTooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip {
  constructor() {
    super(...arguments);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "row", void 0);
    _defineProperty(this, "_rowOrderChangedFunc", void 0);
  }
  _init(options) {
    super._init(options);
    this.table = options.table;
  }
  _render() {
    super._render();
    this._rowOrderChangedFunc = event => {
      if (event.animating) {
        // row is only set while animating
        if (event.row === this.row) {
          this.position();
        }
      } else {
        this.position();
      }
    };
    this.table.on('rowOrderChanged', this._rowOrderChangedFunc);
  }
  _remove() {
    super._remove();
    this.table.off('rowOrderChanged', this._rowOrderChangedFunc);
  }
}

/***/ }),

/***/ "./src/table/TableTooltipModel.ts":
/*!****************************************!*\
  !*** ./src/table/TableTooltipModel.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TableUpdateBuffer.ts":
/*!****************************************!*\
  !*** ./src/table/TableUpdateBuffer.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableUpdateBuffer: () => (/* binding */ TableUpdateBuffer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableUpdateBuffer {
  constructor(table) {
    _defineProperty(this, "promises", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "_rowMap", void 0);
    this._rowMap = {};
    this.promises = [];
    this.table = table;
  }
  /**
   * The buffer is active if it contains at least one promise. When all promises resolve the buffer will be processed.
   */
  pushPromise(promise) {
    this.promises.push(promise);
    // Also make sure viewport is not rendered as long as update events are buffered
    // Otherwise the other cells might already be visible during buffering
    this.table._renderViewportBlocked = true;
    this.table.setLoading(true);
    let handler = () => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.promises, promise);
      // process immediately when all promises have resolved
      if (this.promises.length === 0) {
        this.process();
      }
    };
    // Use then instead of always to ensure it is always executed asynchronous, even for null values
    promise.then(handler, handler);
  }
  isBuffering() {
    return this.promises.length > 0;
  }
  buffer(rows) {
    rows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(rows);
    // Don't buffer duplicate rows
    rows.forEach(row => {
      this._rowMap[row.id] = row;
    });
  }
  /**
   * Calls {@link Table.updateRows} with the buffered rows and renders the viewport if the rendering was blocked.
   */
  process() {
    if (this.table.destroyed) {
      return;
    }
    try {
      let rows = _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this._rowMap).filter(row => this.table.hasRow(row)); // ignore old buffered rows that have been removed in the meantime
      this.table.updateRows(rows);
    } catch (err) {
      _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler.handle(err); // otherwise error is ignored
      throw err; // let the promise fail
    } finally {
      this._rowMap = {};
      this.table.setLoading(false);
      this.table._renderViewportBlocked = false;
    }
    // Update the viewport as well if rendering was blocked
    if (this.table._isDataRendered()) {
      this.table._renderViewport();
    }
  }
}

/***/ }),

/***/ "./src/table/TextTableFilter.ts":
/*!**************************************!*\
  !*** ./src/table/TextTableFilter.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextTableFilter: () => (/* binding */ TextTableFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TextTableFilter {
  /**
   * @param textSupplier - An optional function that extracts the text from a table row. The default expects the row object to have a "lookupRow" property and returns the "text" property.
   */
  constructor(textSupplier) {
    _defineProperty(this, "acceptedText", void 0);
    _defineProperty(this, "textSupplier", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "alwaysAcceptedRowIds", void 0);
    this.acceptedText = null;
    this.textSupplier = textSupplier || (row => row.lookupRow && row.lookupRow.text);
    this.active = true;
    this.alwaysAcceptedRowIds = [];
  }
  accept(row) {
    if (!this.active || _index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.acceptedText) || this.alwaysAcceptedRowIds.indexOf(row.id) !== -1) {
      return true;
    }
    let text = this.textSupplier(row);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text)) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(text.toLowerCase(), this.acceptedText.toLowerCase());
  }
  setAcceptedText(acceptedText) {
    this.acceptedText = acceptedText;
  }
  setActive(active) {
    this.active = active;
  }
  setAlwaysAcceptedRowIds() {
    for (var _len = arguments.length, rowIds = new Array(_len), _key = 0; _key < _len; _key++) {
      rowIds[_key] = arguments[_key];
    }
    this.alwaysAcceptedRowIds = rowIds;
  }
}

/***/ }),

/***/ "./src/table/TileTableHeaderBox.ts":
/*!*****************************************!*\
  !*** ./src/table/TileTableHeaderBox.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTableHeaderBox: () => (/* binding */ TileTableHeaderBox)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileTableHeaderBox extends _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "groupByField", void 0);
    _defineProperty(this, "sortByField", void 0);
    _defineProperty(this, "isGrouping", void 0);
    _defineProperty(this, "isSorting", void 0);
    _defineProperty(this, "_tableGroupHandler", void 0);
    _defineProperty(this, "_tableSortHandler", void 0);
    _defineProperty(this, "_destroyHandler", void 0);
    this.table = null;
    this.labelVisible = false;
    this.statusVisible = false;
    this.gridColumnCount = 7;
    this.bodyLayoutConfig = _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.ensure({
      hgap: 8
    });
    this.groupByField = null;
    this.sortByField = null;
    this._tableGroupHandler = this._onTableGroup.bind(this);
    this._tableSortHandler = this._onTableSort.bind(this);
    this._destroyHandler = this._uninstallListeners.bind(this);
  }
  _installListeners() {
    this.table.on('group', this._tableGroupHandler);
    this.table.on('sort', this._tableSortHandler);
    this.table.one('destroy', this._destroyHandler);
  }
  _uninstallListeners() {
    this.table.off('group', this._tableGroupHandler);
    this.table.off('sort', this._tableSortHandler);
  }
  _init(model) {
    super._init(model);
    this.table = this.parent;
    this._installListeners();
    this.insertField(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderField, {
      id: 'PlaceholderField',
      parent: this,
      gridDataHints: {
        w: 5
      }
    }));
    // Group By Field
    this.groupByField = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SmartField, {
      id: 'GroupByField',
      parent: this,
      label: this.session.text('GroupBy'),
      labelPosition: _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD,
      clearable: _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.ALWAYS,
      statusVisible: false,
      displayStyle: _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.DisplayStyle.DROPDOWN
    });
    this.groupByField.setLookupCall(this._createGroupByLookupCall());
    this.groupByField.setVisible(!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.groupByField.lookupCall.data));
    this.groupByField.on('propertyChange', this._onGroupingChange.bind(this));
    this.insertField(this.groupByField);
    // Sort By Field
    this.sortByField = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SmartField, {
      id: 'SortByField',
      parent: this,
      label: this.session.text('SortBy'),
      labelPosition: _index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.ON_FIELD,
      clearable: _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.ALWAYS,
      statusVisible: false,
      displayStyle: _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.DisplayStyle.DROPDOWN
    });
    this.sortByField.setLookupCall(this._createSortByLookupCall());
    this.sortByField.setVisible(!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(this.sortByField.lookupCall.data));
    this.sortByField.on('propertyChange', this._onSortingChange.bind(this));
    this.insertField(this.sortByField);
    // it's okay to sync the fields here, _onGroupingChange/_onSortingChange will return early since the tileMode property is not set yet at this point
    this._syncSortingGroupingFields();
  }
  _findSortByLookupRowForKey(key) {
    let lookupCall = this.sortByField.lookupCall;
    return lookupCall.data.map(lookupRow => lookupRow[0]).find(rowKey => rowKey.column === key.column && rowKey.asc === key.asc);
  }
  _createGroupByLookupCall() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileTableHeaderGroupByLookupCall, {
      session: this.session,
      table: this.table
    });
  }
  _createSortByLookupCall() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileTableHeaderSortByLookupCall, {
      session: this.session,
      table: this.table
    });
  }
  _onGroupingChange(event) {
    if (!this.table.tileMode) {
      return;
    }
    if (event.propertyName === 'value') {
      this.isGrouping = true;
      if (event.newValue !== null) {
        let column = event.newValue;
        let direction = column.sortIndex >= 0 && !column.sortAscending ? 'desc' : 'asc';
        this.table.groupColumn(column, false, direction, false);
      } else {
        let column = event.oldValue;
        this.table.groupColumn(column, false, null, true);
      }
      this.isGrouping = false;
    }
  }
  _onSortingChange(event) {
    if (!this.table.tileMode) {
      return;
    }
    if (event.propertyName === 'value') {
      this.isSorting = true;
      if (event.newValue !== null) {
        let newValue = event.newValue;
        this.table.sort(newValue.column, newValue.asc ? 'asc' : 'desc', false, false);
      } else {
        let oldValue = event.oldValue;
        this.table.sort(oldValue.column, null, false, true);
      }
      this.isSorting = false;
    }
  }
  _syncSortingGroupingFields() {
    let primaryGroupingColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.table.visibleColumns(), column => column.grouped && column.sortIndex === 0);
    if (primaryGroupingColumn) {
      this.groupByField.setValue(primaryGroupingColumn);
    } else {
      this.groupByField.setValue(null);
    }
    let primarySortingColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.table.visibleColumns(), column => column.sortActive && column.sortIndex === 0);
    if (primarySortingColumn) {
      this.sortByField.setValue(this._findSortByLookupRowForKey({
        column: primarySortingColumn,
        asc: primarySortingColumn.sortAscending
      }));
    } else {
      this.sortByField.setValue(null);
    }
  }
  _onTableGroup(event) {
    if (!this.isGrouping) {
      this._syncSortingGroupingFields();
    }
  }
  _onTableSort(event) {
    if (!this.isSorting) {
      this._syncSortingGroupingFields();
    }
  }
}

/***/ }),

/***/ "./src/table/TileTableHeaderBoxModel.ts":
/*!**********************************************!*\
  !*** ./src/table/TileTableHeaderBoxModel.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TileTableHeaderGroupByLookupCall.ts":
/*!*******************************************************!*\
  !*** ./src/table/TileTableHeaderGroupByLookupCall.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTableHeaderGroupByLookupCall: () => (/* binding */ TileTableHeaderGroupByLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileTableHeaderGroupByLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.StaticLookupCall {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    this.table = null;
  }
  _init(model) {
    super._init(model);
  }
  _data() {
    let lookupRows = [];
    lookupRows.push([null, this.session.text('NoGrouping'), 'BOLD']);
    this.table.visibleColumns(false, true).forEach(column => {
      if (this.table.isGroupingPossible(column)) {
        lookupRows.push([column, _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(column.text, column.headerTooltipText)]);
      }
    });
    return lookupRows;
  }
  _dataToLookupRow(data) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, {
      key: data[0],
      text: data[1],
      font: data[2]
    });
  }
}

/***/ }),

/***/ "./src/table/TileTableHeaderGroupByLookupCallModel.ts":
/*!************************************************************!*\
  !*** ./src/table/TileTableHeaderGroupByLookupCallModel.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TileTableHeaderSortByLookupCall.ts":
/*!******************************************************!*\
  !*** ./src/table/TileTableHeaderSortByLookupCall.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTableHeaderSortByLookupCall: () => (/* binding */ TileTableHeaderSortByLookupCall)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileTableHeaderSortByLookupCall extends _index__WEBPACK_IMPORTED_MODULE_0__.StaticLookupCall {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    this.table = null;
  }
  _data() {
    let lookupRows = [];
    this.table.visibleColumns(false, true).forEach(column => {
      if (column.isSortingPossible()) {
        lookupRows.push([{
          column: column,
          asc: true
        }, _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(column.text, column.headerTooltipText) + ' (' + this.session.text('ui.ascending') + ')', _index__WEBPACK_IMPORTED_MODULE_0__.icons.LONG_ARROW_UP_BOLD]);
        lookupRows.push([{
          column: column,
          asc: false
        }, _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(column.text, column.headerTooltipText) + ' (' + this.session.text('ui.descending') + ')', _index__WEBPACK_IMPORTED_MODULE_0__.icons.LONG_ARROW_DOWN_BOLD]);
      }
    });
    return lookupRows;
  }
  _dataToLookupRow(data) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupRow, {
      key: data[0],
      text: data[1],
      iconId: data[2]
    });
  }
}

/***/ }),

/***/ "./src/table/TileTableHeaderSortByLookupCallModel.ts":
/*!***********************************************************!*\
  !*** ./src/table/TileTableHeaderSortByLookupCallModel.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/TileTableHierarchyFilter.ts":
/*!***********************************************!*\
  !*** ./src/table/TileTableHierarchyFilter.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTableHierarchyFilter: () => (/* binding */ TileTableHierarchyFilter)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

class TileTableHierarchyFilter {
  constructor() {
    _defineProperty(this, "table", void 0);
  }
  init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(this, model);
  }
  accept(row) {
    return !row.parentRow;
  }
  createLabel() {
    return this.table.session.text('ui.TileView');
  }
}

/***/ }),

/***/ "./src/table/columns/AlphanumericSortingStringColumn.ts":
/*!**************************************************************!*\
  !*** ./src/table/columns/AlphanumericSortingStringColumn.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AlphanumericSortingStringColumn: () => (/* binding */ AlphanumericSortingStringColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AlphanumericSortingStringColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.ALPHANUMERIC;
  }
}

/***/ }),

/***/ "./src/table/columns/BeanColumn.ts":
/*!*****************************************!*\
  !*** ./src/table/columns/BeanColumn.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BeanColumn: () => (/* binding */ BeanColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BeanColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  buildCellForRow(row) {
    let cell = this.cell(row);
    let cssClass = this._cellCssClass(cell);
    let style = this._cellStyle(cell);
    let $cell = jquery__WEBPACK_IMPORTED_MODULE_1___default()(super._buildCell(cell, '', style, cssClass));
    let value = this.table.cellValue(this, row);
    if (cell.errorStatus) {
      row.hasError = true;
    }
    this._renderValue($cell, value);
    return $cell[0].outerHTML;
  }
  /**
   * Override to render the value.
   * If you have a large table you should consider overriding buildCellForRow instead and create the html as string instead of using jquery.
   */
  _renderValue($cell, value) {
    // to be implemented by the subclass
  }
  _plainTextForRow(row) {
    let cell = this.table.cell(this, row);
    if (!cell.plainText) {
      // Convert to plain text and cache it because rendering is expensive
      let html = this.buildCellForRow(row);
      cell.plainText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(html);
    }
    return cell.plainText;
  }
  /**
   * Default approach reads the html using buildCellForRow and uses _preprocessTextForGrouping to generate the value. Just using text() does not work because new lines get omitted.
   * If this approach does not work for a specific bean column, just override this method.
   */
  cellValueOrTextForCalculation(row) {
    let plainText = this._plainTextForRow(row);
    return this._preprocessTextForCalculation(plainText);
  }
  cellTextForGrouping(row) {
    let plainText = this._plainTextForRow(row);
    return this._preprocessTextForGrouping(plainText);
  }
  cellTextForTextFilter(row) {
    let plainText = this._plainTextForRow(row);
    return this._preprocessTextForTextFilter(plainText);
  }
  compare(row1, row2) {
    let plainText1 = this._plainTextForRow(row1);
    let plainText2 = this._plainTextForRow(row2);
    return this.comparator.compareIgnoreCase(plainText1, plainText2);
  }
}

/***/ }),

/***/ "./src/table/columns/BooleanColumn.ts":
/*!********************************************!*\
  !*** ./src/table/columns/BooleanColumn.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BooleanColumn: () => (/* binding */ BooleanColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * May be an ordinary boolean column or the table's checkable column (table.checkableColumn)
 * Difference: the table's checkable column represents the row.checked state, other boolean columns represent their own value.
 */
class BooleanColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    _defineProperty(this, "triStateEnabled", void 0);
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC;
    this.filterType = 'ColumnUserFilter';
    this.horizontalAlignment = 0;
    this.minWidth = _index__WEBPACK_IMPORTED_MODULE_0__.Column.SMALL_MIN_WIDTH;
    this.triStateEnabled = false;
    this.textBased = false;
  }
  _formatValue(value, row) {
    if (this.triStateEnabled && value === null) {
      return '?';
    }
    return value ? 'X' : '';
  }
  buildCell(cell, row) {
    let content = '',
      enabled = row.enabled,
      tableNodeColumn = this.table.isTableNodeColumn(this),
      rowPadding = 0;
    if (tableNodeColumn) {
      rowPadding = this.table._calcRowLevelPadding(row);
    }
    if (cell.empty) {
      // if cell wants to be really empty (e.g. no checkbox icon, use logic of base class)
      return super.buildCell(cell, row);
    }
    enabled = enabled && cell.editable;
    let cssClass = this._cellCssClass(cell, tableNodeColumn);
    let style = this._cellStyle(cell, tableNodeColumn, rowPadding);
    if (!enabled) {
      cssClass += ' disabled';
    }
    let checkBoxCssClass = 'check-box';
    let ariaChecked = '';
    if (cell.value === true) {
      checkBoxCssClass += ' checked';
      ariaChecked = 'aria-checked="true"';
    }
    if (cell.value === false) {
      ariaChecked = 'aria-checked="false"';
    }
    if (this.triStateEnabled && cell.value !== true && cell.value !== false) {
      checkBoxCssClass += ' undefined';
      ariaChecked = 'aria-checked="mixed"';
    }
    if (!enabled) {
      checkBoxCssClass += ' disabled';
    }
    if (tableNodeColumn && row.expandable) {
      this.tableNodeColumn = true;
      content = this._expandIcon(row.expanded, rowPadding) + content;
      if (row.expanded) {
        cssClass += ' expanded';
      }
    }
    // empty aria label added so screen readers finds the checkbox in the column (adding &nbsp in the div content would work, too)
    content = content + '<div aria-label=" " role="checkbox" ' + ariaChecked + ' class="' + checkBoxCssClass + '"></div>';
    return this._buildCell(cell, content, style, cssClass);
  }
  $checkBox($row) {
    let $cell = this.table.$cell(this, $row);
    return $cell.children('.check-box');
  }
  _cellCssClass(cell, tableNode) {
    let cssClass = super._cellCssClass(cell);
    cssClass = cssClass.replace(' editable', '');
    cssClass += ' checkable';
    if (tableNode) {
      cssClass += ' table-node';
    }
    return cssClass;
  }
  /**
   * This function does intentionally _not_ call the super function (prepareCellEdit) because we don't want to
   * show an editor for BooleanColumns when user clicks on a cell.
   */
  onMouseUp(event, $row) {
    let row = $row.data('row'),
      cell = this.cell(row);
    if (this.table.checkableColumn === this) {
      this.table.checkRow(row, !row.checked);
    } else if (this.isCellEditable(row, cell, event)) {
      this._toggleCellValue(row, cell);
    }
  }
  /**
   * In a remote app this function is overridden, the default implementation is the local case.
   * @see TableAdapter
   */
  _toggleCellValue(row, cell) {
    let prepareEvent = this.table.trigger('prepareCellEdit', {
      column: this,
      row: row
    });
    if (prepareEvent.defaultPrevented) {
      return;
    }
    let value = cell.value;
    let newValue = !value;
    if (this.triStateEnabled) {
      if (value === false) {
        newValue = true;
      } else if (value === true) {
        newValue = null;
      } else if (value === null) {
        newValue = false;
      }
    }
    let dummyField = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField, {
      parent: this.table,
      value: newValue
    });
    let completeEvent = this.table.trigger('completeCellEdit', {
      field: dummyField,
      row: row,
      column: this,
      cell: cell
    });
    if (!completeEvent.defaultPrevented) {
      this.setCellValue(row, newValue);
    }
    dummyField.destroy();
  }
  _createEditor(row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CheckBoxField, {
      parent: this.table,
      triStateEnabled: this.triStateEnabled
    });
  }
  /**
   * @override
   */
  cellTextForGrouping(row) {
    let cell = this.cell(row);
    if (this.triStateEnabled && cell.value === null) {
      return this.session.text('ui.BooleanColumnGroupingMixed');
    }
    if (cell.value === true) {
      return this.session.text('ui.BooleanColumnGroupingTrue');
    }
    return this.session.text('ui.BooleanColumnGroupingFalse');
  }
  setTriStateEnabled(triStateEnabled) {
    if (this.triStateEnabled === triStateEnabled) {
      return;
    }
    this.triStateEnabled = triStateEnabled;
    this.table.rows.forEach(row => this._updateCellText(row, this.cell(row)));
  }
}

/***/ }),

/***/ "./src/table/columns/Column.ts":
/*!*************************************!*\
  !*** ./src/table/columns/Column.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Column: () => (/* binding */ Column)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Column extends _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor() {
    super();
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "autoOptimizeWidth", void 0);
    /** true if content of the column changed and width has to be optimized */
    _defineProperty(this, "autoOptimizeWidthRequired", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "autoOptimizeMaxWidth", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "editable", void 0);
    _defineProperty(this, "removable", void 0);
    _defineProperty(this, "modifiable", void 0);
    _defineProperty(this, "fixedWidth", void 0);
    _defineProperty(this, "fixedPosition", void 0);
    _defineProperty(this, "grouped", void 0);
    _defineProperty(this, "headerCssClass", void 0);
    _defineProperty(this, "headerIconId", void 0);
    _defineProperty(this, "headerHtmlEnabled", void 0);
    _defineProperty(this, "headerTooltipText", void 0);
    _defineProperty(this, "headerBackgroundColor", void 0);
    _defineProperty(this, "headerForegroundColor", void 0);
    _defineProperty(this, "headerFont", void 0);
    _defineProperty(this, "headerTooltipHtmlEnabled", void 0);
    _defineProperty(this, "horizontalAlignment", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "initialAlwaysIncludeSortAtBegin", void 0);
    _defineProperty(this, "initialAlwaysIncludeSortAtEnd", void 0);
    _defineProperty(this, "index", void 0);
    _defineProperty(this, "primaryKey", void 0);
    _defineProperty(this, "guiOnly", void 0);
    _defineProperty(this, "mandatory", void 0);
    _defineProperty(this, "optimalWidthMeasurer", void 0);
    _defineProperty(this, "sortActive", void 0);
    _defineProperty(this, "checkable", void 0);
    _defineProperty(this, "sortAscending", void 0);
    _defineProperty(this, "sortIndex", void 0);
    _defineProperty(this, "summary", void 0);
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "initialWidth", void 0);
    _defineProperty(this, "minWidth", void 0);
    _defineProperty(this, "showSeparator", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "tableNodeColumn", void 0);
    _defineProperty(this, "maxLength", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "textWrap", void 0);
    _defineProperty(this, "filterType", void 0);
    _defineProperty(this, "comparator", void 0);
    _defineProperty(this, "visible", void 0);
    _defineProperty(this, "textBased", void 0);
    _defineProperty(this, "headerMenuEnabled", void 0);
    _defineProperty(this, "tableNodeLevel0CellPadding", void 0);
    _defineProperty(this, "expandableIconLevel0CellPadding", void 0);
    _defineProperty(this, "nodeColumnCandidate", void 0);
    /** Set by TableHeader */
    _defineProperty(this, "$header", void 0);
    _defineProperty(this, "$separator", void 0);
    /**
     * Contains the width the cells of the column really have (only set in Chrome due to a Chrome bug, see Table._updateRealColumnWidths)
     * @internal
     */
    _defineProperty(this, "_realWidth", void 0);
    _defineProperty(this, "_tableColumnsChangedHandler", void 0);
    this.autoOptimizeWidth = false;
    this.autoOptimizeWidthRequired = false;
    this.autoOptimizeMaxWidth = -1;
    this.removable = true;
    this.cssClass = null;
    this.editable = false;
    this.modifiable = true;
    this.fixedWidth = false;
    this.fixedPosition = false;
    this.grouped = false;
    this.headerCssClass = null;
    this.headerIconId = null;
    this.headerHtmlEnabled = false;
    this.headerTooltipText = null;
    this.headerTooltipHtmlEnabled = false;
    this.horizontalAlignment = -1;
    this.htmlEnabled = false;
    this.index = -1;
    this.primaryKey = false;
    this.mandatory = false;
    this.optimalWidthMeasurer = new _index__WEBPACK_IMPORTED_MODULE_0__.ColumnOptimalWidthMeasurer(this);
    this.sortActive = null;
    this.sortAscending = true;
    this.sortIndex = -1;
    this.summary = false;
    this.type = 'text';
    this.width = 60;
    this.initialWidth = undefined;
    this.minWidth = Column.DEFAULT_MIN_WIDTH;
    this.showSeparator = true;
    this.table = null;
    this.tableNodeColumn = false;
    this.maxLength = 4000;
    this.text = null;
    this.textWrap = false;
    this.filterType = 'TextColumnUserFilter';
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.TEXT;
    this.visible = true;
    this.textBased = true;
    this.headerMenuEnabled = true;
    this.tableNodeLevel0CellPadding = 28;
    this.expandableIconLevel0CellPadding = 13;
    this.nodeColumnCandidate = true;
    this._tableColumnsChangedHandler = this._onTableColumnsChanged.bind(this);
    this._realWidth = null;
    this.$header = null;
    this.$separator = null;
    this._addMultiDimensionalProperty('visible', true);
    this._addPropertyDimensionAlias('visible', 'visibleGranted', {
      dimension: 'granted'
    });
    this._addPropertyDimensionAlias('visible', 'displayable');
    this._addPropertyDimensionAlias('visible', 'compacted', {
      inverted: true
    });
  }
  _init(model) {
    super._init(model);
    this.session = model.session;
    // Initial width is only sent if it differs from width
    if (this.initialWidth === undefined) {
      this.initialWidth = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.width, 0);
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveTextProperty(this, 'text');
    _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveTextProperty(this, 'headerTooltipText');
    _index__WEBPACK_IMPORTED_MODULE_0__.icons.resolveIconProperty(this, 'headerIconId');
    this._setTable(this.table);
    this._setAutoOptimizeWidth(this.autoOptimizeWidth);
    this.sortActive = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.sortActive, this.sortIndex >= 0);
    // no need to call setEditable here. cell propagation is done in _initCell
  }
  destroy() {
    this._destroy();
    this._setTable(null);
  }
  /**
   * Override this function in order to implement custom destroy logic.
   */
  _destroy() {
    // NOP
  }
  /** @internal */
  _setTable(table) {
    if (this.table) {
      this.table.off('columnMoved columnStructureChanged', this._tableColumnsChangedHandler);
    }
    this.table = table;
    if (this.table) {
      this.table.on('columnMoved columnStructureChanged', this._tableColumnsChangedHandler);
    }
  }
  /**
   * Converts the vararg if it is of type string to an object with
   * a property 'text' with the original value.
   *
   * Example:
   * 'My Company' --> { text: 'MyCompany'; }
   *
   * @see JsonCell.java
   * @param vararg either a Cell instance or a scalar value
   */
  initCell(vararg, row) {
    let cell = this._ensureCell(vararg);
    this._initCell(cell);
    // If a text is provided, use that text instead of using formatValue to generate a text based on the value
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(cell.text)) {
      this._updateCellText(row, cell);
    }
    return cell;
  }
  /**
   * Ensures that a Cell instance is returned.
   * When vararg is a scalar value a new Cell instance is created and the value is set as {@link cell.value} property.
   *
   * @param vararg either a Cell instance or a scalar value
   */
  _ensureCell(vararg) {
    let cell;
    if (vararg instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Cell) {
      cell = vararg;
      // value may be set but may have the wrong type (e.g. text instead of date) -> ensure type
      cell.value = this._ensureValue(cell.value);
    } else {
      // in this case 'vararg' is only a scalar value, typically a string
      let cellType = _index__WEBPACK_IMPORTED_MODULE_0__.Cell;
      cell = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellType, {
        value: this._ensureValue(vararg)
      });
    }
    return cell;
  }
  /**
   * Override this method to create a value based on the given scalar value.
   */
  _ensureValue(scalar) {
    return scalar;
  }
  _updateCellText(row, cell) {
    let value = cell.value;
    if (!row) {
      // row is omitted when creating aggregate cells
      return;
    }
    let returned = this._formatValue(value, row);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isPromise(returned)) {
      // Promise is returned -> set display text later
      this.setCellTextDeferred(returned, row, cell);
    } else {
      this.setCellText(row, returned, cell);
    }
  }
  _formatValue(value, row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, '');
  }
  /**
   * If cell does not define properties, use column values.
   * Override this function to implement type specific init cell behavior.
   *
   */
  _initCell(cell) {
    cell.cssClass = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cell.cssClass, this.cssClass);
    cell.editable = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cell.editable, this.editable);
    cell.horizontalAlignment = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cell.horizontalAlignment, this.horizontalAlignment);
    cell.htmlEnabled = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cell.htmlEnabled, this.htmlEnabled);
    cell.mandatory = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(cell.mandatory, this.mandatory);
    return cell;
  }
  buildCellForRow(row) {
    let cell = this.cell(row);
    return this.buildCell(cell, row);
  }
  buildCellForAggregateRow(aggregateRow) {
    let cell;
    if (this.grouped) {
      let refRow = this.table.groupingStyle === _index__WEBPACK_IMPORTED_MODULE_0__.Table.GroupingStyle.TOP ? aggregateRow.nextRow : aggregateRow.prevRow;
      cell = this.createAggrGroupCell(refRow);
    } else {
      let aggregateValue = aggregateRow.contents[this.table.visibleColumns().indexOf(this)];
      cell = this.createAggrValueCell(aggregateValue);
    }
    return this.buildCell(cell, {});
  }
  buildCell(cell, row) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('cell', cell, _index__WEBPACK_IMPORTED_MODULE_0__.Cell);
    let tableNodeColumn = this.table.isTableNodeColumn(this),
      rowPadding = 0;
    if (tableNodeColumn) {
      rowPadding = this.table._calcRowLevelPadding(row);
    }
    let text = this._text(cell);
    let icon = this._icon(cell.iconId, !!text) || '';
    let cssClass = this._cellCssClass(cell, tableNodeColumn);
    let style = this._cellStyle(cell, tableNodeColumn, rowPadding);
    if (cell.errorStatus) {
      row.hasError = true;
    }
    let content;
    if (!text && !icon) {
      // If every cell of a row is empty the row would collapse, using nbsp makes sure the row is as height as the others even if it is empty
      content = '&nbsp;';
      cssClass = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', cssClass, 'empty');
    } else {
      if (cell.flowsLeft) {
        content = text + icon;
      } else {
        content = icon + text;
      }
    }
    if (tableNodeColumn && row.expandable) {
      this.tableNodeColumn = true;
      content = this._expandIcon(row.expanded, rowPadding) + content;
      if (row.expanded) {
        cssClass += ' expanded';
      }
    }
    return this._buildCell(cell, content, style, cssClass);
  }
  _buildCell(cell, content, style, cssClass) {
    let ariaAttributes = '';
    if (this.table.accessibilityRenderer && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.table.accessibilityRenderer.cellRole)) {
      ariaAttributes = ' role="' + this.table.accessibilityRenderer.cellRole + '"';
    }
    // Set the label of the cell to header name + cell content. The reference to cell content is needed, because
    // without it screen readers may only announce the header name without the cell content. If there is no header
    // to reference, we do not need to reference the cell either, because screen readers will announce the cell
    // content naturally if there is no aria-labelledby
    if (this.table.header && _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.table.header.headerLabelId)) {
      let cellLabelId = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.createUniqueId('lbl');
      ariaAttributes += ' aria-labelledBy="' + this.table.header.headerLabelId + ' ' + cellLabelId + '" ' + 'id="' + cellLabelId + '"';
    }
    return '<div' + ariaAttributes + ' class="' + cssClass + '" style="' + style + '">' + content + '</div>';
  }
  _expandIcon(expanded, rowPadding) {
    let style = 'padding-left: ' + (rowPadding + this.expandableIconLevel0CellPadding) + 'px';
    let cssClasses = 'table-row-control';
    if (expanded) {
      cssClasses += ' expanded';
    }
    return '<div aria-hidden="true" class="' + cssClasses + '" style="' + style + '"></div>';
  }
  _icon(iconId, hasText) {
    let cssClass, icon;
    if (!iconId) {
      return;
    }
    cssClass = 'table-cell-icon';
    if (hasText) {
      cssClass += ' with-text';
    }
    icon = _index__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(iconId);
    if (icon.isFontIcon()) {
      cssClass += ' font-icon';
      return '<span aria-hidden="true" class="' + icon.appendCssClass(cssClass) + '">' + icon.iconCharacter + '</span>';
    }
    cssClass += ' image-icon';
    return '<img alt="" class="' + cssClass + '" src="' + icon.iconUrl + '">';
  }
  _text(cell) {
    let text = cell.text || '';
    if (!cell.htmlEnabled) {
      text = cell.encodedText() || '';
      if (this.table.multilineText) {
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(text, false);
      }
      if (text) {
        // Wrap in a span to make customization using css easier.
        // An empty text will be replaced with nbsp later on. To make that work, only wrap it if there is text.
        text = '<span class="text">' + text + '</span>';
      }
    }
    return text;
  }
  _cellCssClass(cell, tableNode) {
    let cssClass = 'table-cell';
    if (cell.mandatory) {
      cssClass += ' mandatory';
    }
    if (!this.table.multilineText || !this.textWrap) {
      cssClass += ' white-space-nowrap';
    }
    if (cell.editable) {
      cssClass += ' editable';
    }
    if (cell.errorStatus) {
      cssClass += ' has-error';
    }
    if (cell.iconId && !cell.text) {
      cssClass += ' icon-only';
    }
    cssClass += ' halign-' + _index__WEBPACK_IMPORTED_MODULE_0__.Table.parseHorizontalAlignment(cell.horizontalAlignment);
    let visibleColumns = this.table.visibleColumns();
    let overAllColumnPosition = visibleColumns.indexOf(this);
    if (overAllColumnPosition === 0) {
      cssClass += ' first';
    }
    if (overAllColumnPosition === visibleColumns.length - 1) {
      cssClass += ' last';
    }
    if (tableNode) {
      cssClass += ' table-node';
    }
    if (cell.cssClass) {
      cssClass += ' ' + cell.cssClass;
    }
    return cssClass;
  }
  _cellStyle(cell, tableNodeColumn, rowPadding) {
    let style,
      width = this.width;
    if (width === 0) {
      return 'display: none;';
    }
    style = 'min-width: ' + width + 'px; max-width: ' + width + 'px; ';
    if (tableNodeColumn) {
      // calculate padding
      style += ' padding-left: ' + (this.tableNodeLevel0CellPadding + rowPadding) + 'px; ';
    }
    style += _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyStyle(cell);
    return style;
  }
  onMouseUp(event, $row) {
    let row = $row.data('row'),
      cell = this.cell(row);
    if (this.isCellEditable(row, cell, event)) {
      this.table.prepareCellEdit(this, row, true);
    }
  }
  isCellEditable(row, cell, event) {
    return this.table.enabledComputed && row.enabled && cell.editable && !event.ctrlKey && !event.shiftKey;
  }
  startCellEdit(row, field) {
    let cell = this.cell(row);
    cell.field = field;
    cell.field.activateCellEditorMode({
      column: this,
      row: row
    });
    let popup = this._createEditorPopup(row, cell);
    if (!row.$row || row.$row.hasClass('hiding')) {
      // Don't open popup if row has been removed or is being removed
      return popup;
    }
    let $cell = this.table.$cell(this, row.$row);
    if (!$cell) {
      return popup;
    }
    popup.$anchor = $cell;
    popup.open(this.table.$data);
    return popup;
  }
  _createEditorPopup(row, cell) {
    let cellEditorPopup = _index__WEBPACK_IMPORTED_MODULE_0__.CellEditorPopup;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellEditorPopup, {
      parent: this.table,
      column: this,
      row: row,
      cell: cell
    });
  }
  /**
   * @returns the cell object for this column from the given row.
   */
  cell(row) {
    return this.table.cell(this, row);
  }
  /**
   * Creates an artificial cell from the properties relevant for the column header.
   */
  headerCell() {
    let cellType = _index__WEBPACK_IMPORTED_MODULE_0__.Cell;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellType, {
      value: this.text,
      text: this.text,
      iconId: this.headerIconId,
      cssClass: this.headerCssClass,
      tooltipText: this.headerTooltipText,
      htmlEnabled: this.headerHtmlEnabled
    });
  }
  /**
   * @returns the cell object for this column from the first selected row in the table.
   */
  selectedCell() {
    let selectedRow = this.table.selectedRow();
    return this.table.cell(this, selectedRow);
  }
  /**
   * @returns the value of the cell. If it is text based as string otherwise the raw value.
   */
  cellValueOrText(row) {
    if (this.textBased) {
      return this.table.cellText(this, row);
    }
    return this.table.cellValue(this, row);
  }
  cellValue(row) {
    return this.table.cellValue(this, row);
  }
  cellText(row) {
    return this.table.cellText(this, row);
  }
  /**
   * @returns the cell value to be used for grouping and filtering (chart, column filter).
   */
  cellValueOrTextForCalculation(row) {
    let cell = this.cell(row);
    let value = this.cellValueOrText(row);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
      return null;
    }
    return this._preprocessValueOrTextForCalculation(value, cell);
  }
  _preprocessValueOrTextForCalculation(value, cell) {
    if (typeof value === 'string') {
      // In case of string columns, value and text are equal -> use _preprocessStringForCalculation to handle html tags and new lines correctly
      return this._preprocessTextForCalculation(value, cell === null || cell === void 0 ? void 0 : cell.htmlEnabled);
    }
    return value;
  }
  _preprocessTextForCalculation(text, htmlEnabled) {
    return this._preprocessText(text, {
      removeHtmlTags: htmlEnabled,
      removeNewlines: true,
      trim: true
    });
  }
  /**
   * @returns the cell text to be used for table grouping
   */
  cellTextForGrouping(row) {
    let cell = this.cell(row);
    return this._preprocessTextForGrouping(cell.text, cell.htmlEnabled);
  }
  _preprocessTextForGrouping(text, htmlEnabled) {
    return this._preprocessText(text, {
      removeHtmlTags: htmlEnabled,
      trim: true
    });
  }
  /**
   * @returns the cell text to be used for the text filter
   */
  cellTextForTextFilter(row) {
    let cell = this.cell(row);
    return this._preprocessTextForTextFilter(cell.text, cell.htmlEnabled);
  }
  _preprocessTextForTextFilter(text, htmlEnabled) {
    return this._preprocessText(text, {
      removeHtmlTags: htmlEnabled
    });
  }
  /**
   * @returns the cell text to be used for the table row detail.
   */
  cellTextForRowDetail(row) {
    let cell = this.cell(row);
    return this._preprocessText(this._text(cell), {
      removeHtmlTags: cell.htmlEnabled
    });
  }
  /**
   * Removes html tags, converts to single line, removes leading and trailing whitespaces.
   */
  _preprocessText(text, options) {
    if (text === null || text === undefined) {
      return text;
    }
    options = options || {};
    if (options.removeHtmlTags) {
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(text);
    }
    if (options.removeNewlines) {
      text = text.replace('\n', ' ');
    }
    if (options.trim) {
      text = text.trim();
    }
    return text;
  }
  setCellValue(row, value) {
    let cell = this.cell(row);
    this._setCellValue(row, value, cell);
    this._updateCellText(row, cell);
  }
  _setCellValue(row, value, cell) {
    // value may have the wrong type (e.g. text instead of date) -> ensure type
    value = this._ensureValue(value);
    // Only update row status when value changed.
    // Cell text needs to be updated even if value did not change
    // (text may cause an invalid value that won't be saved on the cell, reverting to the valid value needs to update the text again)
    if (cell.value !== value && row.status === _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.NON_CHANGED) {
      row.status = _index__WEBPACK_IMPORTED_MODULE_0__.TableRow.Status.UPDATED;
    }
    cell.setValue(value);
  }
  setCellTextDeferred(promise, row, cell) {
    promise.done(text => this.setCellText(row, text, cell)).fail(error => {
      this.setCellText(row, '', cell);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.error('Could not resolve cell text for value ' + cell.value, error);
    });
    // (then) promises always resolve asynchronously which means the text will always be set later after row is initialized and will generate an update row event.
    // To make sure not every cell update will render the viewport (which is an expensive operation), the update is buffered and done as soon as all promises resolve.
    this.table.updateBuffer.pushPromise(promise);
  }
  setCellText(row, text, cell) {
    var _this$table;
    if (!cell) {
      cell = this.cell(row);
    }
    if (cell.text === text) {
      // Don't trigger row update if text has not changed
      return;
    }
    cell.setText(text);
    // Don't update row while initializing (it is either added to the table later, or being added / updated right now)
    // The null check for "this.table" is necessary, because the column could already have been destroyed (method is called asynchronously by setCellTextDeferred).
    // The check for "hasRow" is necessary, because the row could already have been removed (in case this method is called asynchronously e.g. by setCellTextDeferred).
    // In this case the table will be buffering but there is no need to buffer row updates for already removed rows.
    if (row.initialized && (_this$table = this.table) !== null && _this$table !== void 0 && _this$table.hasRow(row)) {
      this.table.updateRow(row);
    }
  }
  setCellErrorStatus(row, errorStatus, cell) {
    if (!cell) {
      cell = this.cell(row);
    }
    cell.setErrorStatus(errorStatus);
  }
  setCellIconId(row, iconId) {
    let cell = this.cell(row);
    if (cell.iconId === iconId) {
      return;
    }
    cell.setIconId(iconId);
    if (row.initialized) {
      this.table.updateRow(row);
    }
  }
  setHorizontalAlignment(horizontalAlignment) {
    let changed = this.setProperty('horizontalAlignment', horizontalAlignment);
    if (!changed) {
      return;
    }
    this.table.rows.forEach(row => this.cell(row).setHorizontalAlignment(horizontalAlignment));
    this.table.updateRows(this.table.rows);
    if (this.table.header) {
      this.table.header.updateHeader(this);
    }
  }
  setEditable(editable) {
    let changed = this.setProperty('editable', editable);
    if (!changed) {
      return;
    }
    this.table.rows.forEach(row => this.cell(row).setEditable(editable));
    this.table.updateRows(this.table.rows);
  }
  setMandatory(mandatory) {
    let changed = this.setProperty('mandatory', mandatory);
    if (!changed) {
      return;
    }
    this.table.rows.forEach(row => this.cell(row).setMandatory(mandatory));
    this.table.updateRows(this.table.rows);
  }
  setCssClass(cssClass) {
    let changed = this.setProperty('cssClass', cssClass);
    if (!changed) {
      return;
    }
    this.table.rows.forEach(row => this.cell(row).setCssClass(cssClass));
    this.table.updateRows(this.table.rows);
  }
  setSummary(summary) {
    const changed = this.setProperty('summary', summary);
    if (!changed) {
      return;
    }
    this.table.updateRows(this.table.rows);
  }
  setWidth(width) {
    let changed = this.setProperty('width', width);
    if (!changed) {
      return;
    }
    this.table.resizeColumn(this, width);
  }
  createAggrGroupCell(row) {
    let cell = this.cell(row);
    let cellType = _index__WEBPACK_IMPORTED_MODULE_0__.Cell;
    return this.initCell(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellType, {
      // value necessary for value based columns (e.g. checkbox column)
      value: cell.value,
      text: this.cellTextForGrouping(row),
      iconId: cell.iconId,
      horizontalAlignment: this.horizontalAlignment,
      htmlEnabled: false,
      // grouping cells need a text <span> to work which will only be created if html is disabled. Tags will be removed anyway by cellTextForGrouping
      cssClass: 'table-aggregate-cell' + (cell.cssClass ? ' ' + cell.cssClass : ''),
      backgroundColor: 'inherit',
      flowsLeft: this.horizontalAlignment > 0
    }));
  }
  createAggrValueCell(value) {
    return this.createAggrEmptyCell();
  }
  createAggrEmptyCell() {
    let cellType = _index__WEBPACK_IMPORTED_MODULE_0__.Cell;
    return this.initCell(_index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellType, {
      empty: true,
      cssClass: 'table-aggregate-cell'
    }));
  }
  calculateOptimalWidth() {
    return this.optimalWidthMeasurer.measure();
  }
  /**
   * Returns a type specific column user-filter. The default impl. returns a ColumnUserFilter.
   * Subclasses that must return another type, must simply change the value of the 'filterType' property.
   */
  createFilter() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(this.filterType, {
      session: this.session,
      table: this.table,
      column: this
    });
  }
  /**
   * Returns a table header menu. Subclasses can override this method to create a column specific table header menu.
   */
  createTableHeaderMenu(tableHeader) {
    let $header = this.$header;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TableHeaderMenu, {
      parent: tableHeader,
      column: $header.data('column'),
      tableHeader: tableHeader,
      $anchor: $header
    });
  }
  /**
   * @returns a field instance used as editor when a cell of this column is in edit mode.
   */
  createEditor(row) {
    let field = this._createEditor(row);
    let cell = this.cell(row);
    this._initEditorField(field, cell);
    field.setLabelVisible(false);
    field.setFieldStyle(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.CLASSIC);
    let hints = new _index__WEBPACK_IMPORTED_MODULE_0__.GridData(field.gridDataHints);
    hints.horizontalAlignment = cell.horizontalAlignment;
    field.setGridDataHints(hints);
    return field;
  }
  /**
   * Depending on the type of column the editor may need to be initialized differently.
   * The default implementation either copies the value to the field if the field has no error or copies the text and error status if it has an error.
   */
  _initEditorField(field, cell) {
    if (cell.errorStatus) {
      this._updateEditorFromInvalidCell(field, cell);
    } else {
      this._updateEditorFromValidCell(field, cell);
    }
  }
  _updateEditorFromValidCell(field, cell) {
    field.setValue(cell.value);
  }
  _updateEditorFromInvalidCell(field, cell) {
    field.setErrorStatus(cell.errorStatus);
    field.setDisplayText(cell.text);
  }
  _createEditor(row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.StringField, {
      parent: this.table,
      maxLength: this.maxLength,
      multilineText: this.table.multilineText,
      wrapText: this.textWrap
    });
  }
  updateCellFromEditor(row, field) {
    if (field.errorStatus) {
      this._updateCellFromInvalidEditor(row, field);
    } else {
      this._updateCellFromValidEditor(row, field);
    }
  }
  _updateCellFromInvalidEditor(row, field) {
    this.setCellErrorStatus(row, field.errorStatus);
    this.setCellText(row, field.displayText);
  }
  _updateCellFromValidEditor(row, field) {
    this.setCellErrorStatus(row, null);
    this.setCellValue(row, field.value);
  }
  /**
   * Override this function to install a specific compare function on a column instance.
   * The default impl. installs a generic comparator working with less than and greater than.
   *
   * @returns whether or not it was possible to install a compare function. If not, client side sorting is disabled.
   */
  installComparator() {
    return this.comparator.install(this.session);
  }
  /**
   * @returns whether or not it is possible to sort this column. As a side effect a comparator is installed.
   */
  isSortingPossible() {
    // If installation fails sorting is still possible (in case of the text comparator just without a collator)
    this.installComparator();
    return true;
  }
  compare(row1, row2) {
    let cell1 = this.table.cell(this, row1),
      cell2 = this.table.cell(this, row2);
    if (cell1.sortCode !== null || cell2.sortCode !== null) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC.compare(cell1.sortCode, cell2.sortCode);
    }
    let valueA = this.cellValueOrText(row1);
    let valueB = this.cellValueOrText(row2);
    return this.comparator.compare(valueA, valueB);
  }
  /**
   * @deprecated use {@link visible} directly. Will be removed in an upcoming release.
   */
  isVisible() {
    return this.visible;
  }
  /**
   * Computes the visibility of the column ignoring the compacted state.
   *
   * @returns true if all visible dimensions excluding the dimension `compacted` of the column are true.
   *          So even if the column is compacted, it will return true if all other dimensions are true.
   */
  get visibleIgnoreCompacted() {
    return this.computeMultiDimensionalProperty('visible', ['compacted']);
  }
  /**
   * Sets the 'default' dimension for the {@link Column.visible} property and recomputes its state.
   *
   * @param visible the new visible value for the 'default' dimension, or an object containing the new visible dimensions.
   * @param redraw true, to redraw the table immediately, false if not. Default is {@link initialized}.
   *               When false is used, the redraw needs to be triggered manually using {@link Table.onColumnVisibilityChanged}.
   * @see ColumnModel.visible
   */
  setVisible(visible, redraw) {
    let changed = this.setProperty('visible', visible);
    // If the visibility of a column changes while it is compacted, the CompactColumn needs to update its content -> Always trigger structure change handler so that TableCompactHandler can update it.
    if ((changed || this.compacted) && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(redraw, this.initialized)) {
      this.table.onColumnVisibilityChanged();
    }
  }
  /**
   * Sets the 'granted' dimension for the {@link Column.visible} property and recomputes its state.
   *
   * @param visibleGranted the new visible value for the 'granted' dimension.
   * @param redraw true, to redraw the table immediately, false if not. Default is {@link initialized}.
   *               When false is used, the redraw needs to be triggered manually using {@link Table.onColumnVisibilityChanged}.
   * @see ColumnModel.visibleGranted
   */
  setVisibleGranted(visibleGranted, redraw) {
    this.setVisible(this.extendPropertyDimensions('visible', 'granted', visibleGranted), redraw);
  }
  get visibleGranted() {
    return this.getProperty('visibleGranted');
  }
  /**
   * Sets the 'displayable' dimension for the {@link Column.visible} property and recomputes its state.
   *
   * @param displayable the new visible value for the 'displayable' dimension.
   * @param redraw true, to redraw the table immediately, false if not. Default is {@link initialized}.
   *               When false is used, the redraw needs to be triggered manually using {@link Table.onColumnVisibilityChanged}.
   * @see ColumnModel.displayable
   */
  setDisplayable(displayable, redraw) {
    this.setVisible(this.extendPropertyDimensions('visible', 'displayable', displayable), redraw);
  }
  get displayable() {
    return this.getProperty('displayable');
  }
  /**
   * Sets the 'compacted' dimension for the {@link Column.visible} property and recomputes its state.
   *
   * @param displayable the new visible value for the 'compacted' dimension.
   * @param redraw true, to redraw the table immediately, false if not. Default is {@link initialized}.
   *               When false is used, the redraw needs to be triggered manually using {@link Table.onColumnVisibilityChanged}.
   * @see ColumnModel.visible
   */
  setCompacted(compacted, redraw) {
    this.setVisible(this.extendPropertyDimensions('visible', 'compacted', compacted), redraw);
  }
  get compacted() {
    return this.getProperty('compacted');
  }
  setAutoOptimizeWidth(autoOptimizeWidth) {
    this.setProperty('autoOptimizeWidth', autoOptimizeWidth);
  }
  _setAutoOptimizeWidth(autoOptimizeWidth) {
    this._setProperty('autoOptimizeWidth', autoOptimizeWidth);
    this.autoOptimizeWidthRequired = autoOptimizeWidth;
    if (this.initialized) {
      this.table.columnLayoutDirty = true;
      this.table.invalidateLayoutTree();
    }
  }
  setMaxLength(maxLength) {
    this.setProperty('maxLength', maxLength);
  }
  setText(text) {
    let changed = this.setProperty('text', text);
    if (changed && this.table.header) {
      this.table.header.updateHeader(this);
    }
  }
  setHeaderIconId(headerIconId) {
    let changed = this.setProperty('headerIconId', headerIconId);
    if (changed && this.table.header) {
      this.table.header.updateHeader(this);
    }
  }
  setHeaderCssClass(headerCssClass) {
    let oldState = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this);
    let changed = this.setProperty('headerCssClass', headerCssClass);
    if (changed && this.table.header) {
      this.table.header.updateHeader(this, oldState);
    }
  }
  setHeaderHtmlEnabled(headerHtmlEnabled) {
    let changed = this.setProperty('headerHtmlEnabled', headerHtmlEnabled);
    if (changed && this.table.header) {
      this.table.header.updateHeader(this);
    }
  }
  setHeaderTooltipText(headerTooltipText) {
    let changed = this.setProperty('headerTooltipText', headerTooltipText);
    if (changed && this.table.header) {
      this.table.header.updateHeader(this);
    }
  }
  setHeaderTooltipHtmlEnabled(headerTooltipHtmlEnabled) {
    this.setProperty('headerTooltipHtmlEnabled', headerTooltipHtmlEnabled);
  }
  setTextWrap(textWrap) {
    let changed = this.setProperty('textWrap', textWrap);
    if (changed && this.table.rendered && this.table.multilineText) {
      // If multilineText is disabled toggling textWrap has no effect
      // See also table._renderMultilineText(), requires similar operations
      this.autoOptimizeWidthRequired = true;
      this.table.redraw();
    }
  }
  isContentValid(row) {
    const cell = this.cell(row),
      validByErrorStatus = !cell.errorStatus || cell.errorStatus.isValid(),
      validByMandatory = !cell.mandatory || this._hasCellValue(cell);
    return {
      valid: validByErrorStatus && validByMandatory,
      validByMandatory,
      errorStatus: cell.errorStatus
    };
  }
  _hasCellValue(cell) {
    return !!cell.value;
  }
  _onTableColumnsChanged(event) {
    if (this.table.visibleColumns().indexOf(this) === 0) {
      this.tableNodeLevel0CellPadding = 28;
      this.expandableIconLevel0CellPadding = 13;
    } else {
      this.tableNodeLevel0CellPadding = 23;
      this.expandableIconLevel0CellPadding = 8;
    }
  }
  realWidthIfAvailable() {
    return this._realWidth || this.width;
  }
}
_defineProperty(Column, "DEFAULT_MIN_WIDTH", 60);
_defineProperty(Column, "SMALL_MIN_WIDTH", 38);
_defineProperty(Column, "NARROW_MIN_WIDTH", 34);

/***/ }),

/***/ "./src/table/columns/ColumnDescriptor.ts":
/*!***********************************************!*\
  !*** ./src/table/columns/ColumnDescriptor.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/ColumnEventMap.ts":
/*!*********************************************!*\
  !*** ./src/table/columns/ColumnEventMap.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/table/columns/ColumnModel.ts":
/*!******************************************!*\
  !*** ./src/table/columns/ColumnModel.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/ColumnOptimalWidthMeasurer.ts":
/*!*********************************************************!*\
  !*** ./src/table/columns/ColumnOptimalWidthMeasurer.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColumnOptimalWidthMeasurer: () => (/* binding */ ColumnOptimalWidthMeasurer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ColumnOptimalWidthMeasurer {
  constructor(column) {
    _defineProperty(this, "column", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "deferred", void 0);
    _defineProperty(this, "imageCount", void 0);
    _defineProperty(this, "completeImageCount", void 0);
    _defineProperty(this, "$measurement", void 0);
    _defineProperty(this, "_imageLoadOrErrorHandler", void 0);
    _defineProperty(this, "_columnCellContents", void 0);
    this.column = column;
    this.table = null;
    this.$measurement = null;
    this.deferred = null;
    this.imageCount = 0;
    this.completeImageCount = 0;
    this._imageLoadOrErrorHandler = this._onImageLoadOrError.bind(this);
    this._columnCellContents = {};
  }
  measure() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Optimal width measuring started for column ' + this.column.id);
    // Table is not yet available on the column in the constructor -> set it here
    this.table = this.column.table;
    if (this.$measurement) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Optimal width measuring aborted for column ' + this.column.id);
      // If measurement is still in progress, abort it and start a new measurement
      this._resolve(-1);
    }
    // Prepare a temporary container that is not (yet) part of the DOM to prevent
    // expensive "forced reflow" while adding the cell divs. Only after all cells
    // are rendered, the container is added to the DOM.
    this.$measurement = this.table.$data.makeDiv('hidden');
    this.imageCount = 0;
    this.completeImageCount = 0;
    // Create divs for all relevant cells of the column
    this._appendElements();
    // Add to DOM
    this.table.$data.append(this.$measurement);
    if (this.completeImageCount >= this.imageCount) {
      // Measure now
      let optimalWidth = this._measure();
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Optimal width measuring done (sync) for column ' + this.column.id + ': ' + optimalWidth);
      this.remove();
      return optimalWidth;
    }
    // Measure later as soon as every image has been loaded
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Not all images loaded, deferring measurement for column ' + this.column.id + '. Images complete: ' + this.completeImageCount + '/' + this.imageCount);
    this.$measurement[0].addEventListener('load', this._imageLoadOrErrorHandler, true);
    this.$measurement[0].addEventListener('error', this._imageLoadOrErrorHandler, true);
    this.deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    return this.deferred.promise();
  }
  remove() {
    if (!this.$measurement) {
      return;
    }
    this.$measurement[0].removeEventListener('load', this._imageLoadOrErrorHandler, true);
    this.$measurement[0].removeEventListener('error', this._imageLoadOrErrorHandler, true);
    this.$measurement.remove();
    this.$measurement = null;
  }
  _measure() {
    let maxWidth = this.column.minWidth;
    let maxOverlap = 0;
    // Since the measurement may be async due to image loading, the $measurement is hidden (=display: none) until the real measurement starts.
    // Otherwise it would influence the scroll width of the real table data
    this.$measurement.addClass('invisible').removeClass('hidden').children().each(function () {
      if (this.dataset.overlap) {
        maxOverlap = Math.max(maxOverlap, parseInt(this.dataset.overlap, 10));
      }
      maxWidth = Math.max(maxWidth, _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this), true).width);
    });
    return maxWidth + maxOverlap;
  }
  _resolve(optimalWidth) {
    this.remove();
    if (this.deferred) {
      this.deferred.resolve(optimalWidth);
      this.deferred = null;
    }
  }
  _appendElements() {
    this._appendHeader();
    this._appendRows();
    this._appendAggregateRows();
  }
  _appendHeader() {
    if (this.column.$header) {
      this._appendToMeasurement(this.column.$header.clone());
    }
  }
  _appendRows() {
    this.table.rows.forEach(this._appendRow.bind(this));
    this._columnCellContents = {};
  }
  _appendRow(row) {
    let columnContent = this.column.buildCellForRow(row);
    if (this._columnCellContents[columnContent]) {
      return;
    }
    this._columnCellContents[columnContent] = true;
    this._appendToMeasurement(jquery__WEBPACK_IMPORTED_MODULE_1___default()(columnContent));
  }
  _appendAggregateRows() {
    this.table._aggregateRows.forEach(this._appendAggregateRow.bind(this));
  }
  _appendAggregateRow(row) {
    this._appendToMeasurement(this._build$CellForAggregateRow(row));
  }
  /**
   * For aggregate rows the text of neighbour cells may overlap into the own cell.
   * To ensure there is enough space for the content of this cell, the overlap of the neighbour must be included.
   * To have access to neighbour cells and to measure its sizes the whole aggregate row must be constructed.
   *
   * @returns The created cell
   */
  _build$CellForAggregateRow(row) {
    let columns = this.table.visibleColumns();
    let colIndex = columns.indexOf(this.column);
    let $row = this.table._build$AggregateRow(row);
    $row.appendTo(this.table.$data);
    columns.map(c => c.buildCellForAggregateRow(row)).forEach(c => jquery__WEBPACK_IMPORTED_MODULE_1___default()(c).appendTo($row));
    let $cell = $row.children().eq(colIndex);
    let aggregateOverlap = this._getAggregateOverlap($cell); // compute the overlap
    if (aggregateOverlap > 0) {
      $cell[0].dataset.overlap = aggregateOverlap + '';
    }
    $row.detach();
    return $cell;
  }
  /**
   * Compute how much the neighbour cell overlaps into the given cell.
   * @param $cell The cell for which the overlap should be computed
   * @returns The overlap in pixels.
   */
  _getAggregateOverlap($cell) {
    if (!$cell || !$cell.length || $cell.hasClass('empty')) {
      return 0;
    }
    let cellRange = this.table._getAggrCellRange($cell);
    if (cellRange.length < 2) {
      return 0;
    }
    let $neighbour = cellRange[cellRange.length - 1];
    if ($neighbour.hasClass('empty') || $cell.hasClass('halign-right') === $neighbour.hasClass('halign-right')) {
      return 0;
    }
    let $neighbourText = $neighbour.children('.text');
    if (!$neighbourText || !$neighbourText.length) {
      return 0;
    }
    let overlap = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($neighbourText).width - $neighbour.cssMaxWidth() + $neighbour.cssPaddingLeft();
    if (overlap <= 0) {
      return 0;
    }
    for (let i = cellRange.length - 1; i > 0; i--) {
      let $aggrCell = cellRange[i];
      if ($aggrCell.hasClass('empty')) {
        overlap -= $aggrCell.cssMaxWidth();
      }
    }
    return Math.max(0, overlap);
  }
  _appendToMeasurement($calc) {
    // Count images
    let $calcImages = $calc.find('img');
    $calcImages.each((index, elem) => {
      let $img = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem);
      $img.data('measure', 'in-progress');
      if (elem.complete) {
        $img.data('complete', elem.complete);
        this.completeImageCount++;
      }
      this.imageCount++;
    });
    // Append to measurement element
    $calc.css({
      minWidth: '',
      maxWidth: ''
    }).appendTo(this.$measurement);
  }
  _onImageLoadOrError(event) {
    let $img = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    if ($img.data('complete')) {
      // Ignore images which were already complete and therefore already incremented the _imageCompleteCount
      return;
    }
    this.completeImageCount++;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Images complete (async) ' + this.completeImageCount + '/' + this.imageCount, event.target['src']);
    if (this.completeImageCount >= this.imageCount) {
      let optimalWidth = this._measure();
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Optimal width measuring done (async) for column ' + this.column.id + ': ' + optimalWidth);
      this._resolve(optimalWidth);
    }
  }
}

/***/ }),

/***/ "./src/table/columns/CompactBean.ts":
/*!******************************************!*\
  !*** ./src/table/columns/CompactBean.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactBean: () => (/* binding */ CompactBean)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactBean {
  constructor() {
    _defineProperty(this, "title", void 0);
    _defineProperty(this, "titleLine", void 0);
    _defineProperty(this, "titleSuffix", void 0);
    _defineProperty(this, "titleSuffixLine", void 0);
    _defineProperty(this, "subtitle", void 0);
    _defineProperty(this, "subtitleLine", void 0);
    _defineProperty(this, "contentLines", void 0);
    _defineProperty(this, "content", void 0);
    _defineProperty(this, "moreContent", void 0);
    this.title = '';
    this.titleSuffix = '';
    this.subtitle = '';
    this.content = '';
    this.moreContent = '';
    this.contentLines = [];
  }
  setTitle(title) {
    this.title = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(title, '');
  }
  setTitleLine(titleLine) {
    this.titleLine = titleLine;
  }
  setTitleSuffix(titleSuffix) {
    this.titleSuffix = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(titleSuffix, '');
  }
  setTitleSuffixLine(titleSuffixLine) {
    this.titleSuffixLine = titleSuffixLine;
  }
  setSubtitle(subtitle) {
    this.subtitle = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(subtitle, '');
  }
  setSubtitleLine(subtitleLine) {
    this.subtitleLine = subtitleLine;
  }
  addContentLine(line) {
    this.contentLines.push(line);
  }
  setContent(content) {
    this.content = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(content, '');
  }
  setMoreContent(moreContent) {
    this.moreContent = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(moreContent, '');
  }
  /**
   * Converts the compact lines into strings and fills the responding properties (title, subtitle, content, moreContent).
   *
   * @param options.removeEmptyContentLines default true
   * @param options.maxContentLines default 1000
   */
  transform(options) {
    let removeEmptyContentLines = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.removeEmptyContentLines, true);
    let maxContentLines = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.maxContentLines, 1000);
    if (this.titleLine) {
      this.setTitle(this.titleLine.build());
    }
    if (this.titleSuffixLine) {
      this.setTitleSuffix(this.titleSuffixLine.build());
    }
    if (this.subtitleLine) {
      this.setSubtitle(this.subtitleLine.build());
    }
    let contentLines = [];
    if (removeEmptyContentLines) {
      contentLines = this.contentLines.filter(line => !!line.build());
    }
    if (maxContentLines + 1 === contentLines.length) {
      // Don't show more link if it would only reveal one element
      maxContentLines++;
    }
    let contentLineEnd = Math.min(contentLines.length, maxContentLines);
    let content = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n', ...contentLines.slice(0, contentLineEnd).map(line => line.build()));
    if (content) {
      this.setContent(content);
    }
    if (contentLineEnd < contentLines.length) {
      let moreContent = _index__WEBPACK_IMPORTED_MODULE_0__.strings.join('\n', ...contentLines.slice(contentLineEnd, contentLines.length).map(line => line.build()));
      this.setMoreContent(moreContent);
    }
  }
}

/***/ }),

/***/ "./src/table/columns/CompactColumn.ts":
/*!********************************************!*\
  !*** ./src/table/columns/CompactColumn.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactColumn: () => (/* binding */ CompactColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    this.cssClass = 'compact-cell';
    this.htmlEnabled = true;
    this.width = 120;
    this.textWrap = true;
  }
  _onMoreLinkAction($row, $moreLink) {
    let $cell = this.table.$cell(this, $row);
    let $moreContent = $cell.find('.compact-cell-more-content');
    let contentVisible = !$moreContent.isVisible();
    $moreContent.setVisible(contentVisible);
    $moreLink.setVisible(!contentVisible);
    this.table.invalidateLayoutTree();
  }
  onMouseUp(event, $row) {
    // The more-link is not a regular app-link to not trigger the app link action when clicking on the more-link
    // (could interfere with other regular app-links)
    let $start = $(event.target);
    let $stop = $(event.delegateTarget);
    let $moreLink = $start.findUp($elem => $elem.hasClass('more-link'), $stop);
    if ($moreLink.length > 0) {
      this._onMoreLinkAction($row, $moreLink);
    }
  }
}

/***/ }),

/***/ "./src/table/columns/CompactLine.ts":
/*!******************************************!*\
  !*** ./src/table/columns/CompactLine.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactLine: () => (/* binding */ CompactLine)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactLine {
  constructor(labelOrHeaderCell, textOrCell) {
    _defineProperty(this, "labelBlock", void 0);
    _defineProperty(this, "textBlock", void 0);
    this.labelBlock = null;
    this.textBlock = null;
    if (labelOrHeaderCell instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Cell) {
      this.setLabelBlock(this.convertHeaderCellToBlock(labelOrHeaderCell));
    } else {
      this.setLabelBlock(new _index__WEBPACK_IMPORTED_MODULE_0__.CompactLineBlock(labelOrHeaderCell));
    }
    if (textOrCell instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Cell) {
      this.setTextBlock(this.convertCellToBlock(textOrCell));
    } else {
      this.setTextBlock(new _index__WEBPACK_IMPORTED_MODULE_0__.CompactLineBlock(textOrCell));
    }
  }
  convertHeaderCellToBlock(cell) {
    return this.convertCellToBlock(cell);
  }
  convertCellToBlock(cell) {
    let block = new _index__WEBPACK_IMPORTED_MODULE_0__.CompactLineBlock();
    if (cell != null) {
      block.setText(cell.text);
      block.setIcon(cell.iconId);
      block.setEncodeHtmlEnabled(!cell.htmlEnabled);
    }
    return block;
  }
  setLabelBlock(block) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('block', block);
    this.labelBlock = block;
  }
  setTextBlock(block) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('block', block);
    this.textBlock = block;
  }
  build() {
    let label = this.labelBlock.build();
    if (label) {
      label += ': ';
    }
    let value = this.textBlock.build();
    if (!value) {
      return '';
    }
    return `
<div class="compact-cell-line">
  <span class="compact-cell-line-label">${label}</span>
  <span class="compact-cell-line-value">${value}</span>
</div>`;
  }
}

/***/ }),

/***/ "./src/table/columns/CompactLineBlock.ts":
/*!***********************************************!*\
  !*** ./src/table/columns/CompactLineBlock.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactLineBlock: () => (/* binding */ CompactLineBlock)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactLineBlock {
  constructor(text, icon) {
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "icon", void 0);
    _defineProperty(this, "encodeHtmlEnabled", void 0);
    _defineProperty(this, "nlToBrEnabled", void 0);
    _defineProperty(this, "htmlToPlainTextEnabled", void 0);
    _defineProperty(this, "_processedText", void 0);
    this.text = '';
    this.icon = '';
    this._processedText = null;
    this.encodeHtmlEnabled = true;
    this.nlToBrEnabled = false;
    this.htmlToPlainTextEnabled = false;
    this.setText(text);
    this.setIcon(icon);
  }
  setText(text) {
    this.text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(text, '');
  }
  processedText() {
    if (this._processedText == null) {
      this._processedText = this.processText();
    }
    return this._processedText;
  }
  setIcon(icon) {
    this.icon = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(icon, '');
  }
  /**
   * Has no effect if {@link htmlToPlainTextEnabled} is true.
   */
  setEncodeHtmlEnabled(encodeHtmlEnabled) {
    if (this.encodeHtmlEnabled !== encodeHtmlEnabled) {
      this._processedText = null;
    }
    this.encodeHtmlEnabled = encodeHtmlEnabled;
  }
  setNlToBrEnabled(nlToBrEnabled) {
    if (this.nlToBrEnabled !== nlToBrEnabled) {
      this._processedText = null;
    }
    this.nlToBrEnabled = nlToBrEnabled;
  }
  /**
   * Wins over encodeHtmlEnabled
   */
  setHtmlToPlainTextEnabled(htmlToPlainTextEnabled) {
    if (this.htmlToPlainTextEnabled !== htmlToPlainTextEnabled) {
      this._processedText = null;
    }
    this.htmlToPlainTextEnabled = htmlToPlainTextEnabled;
  }
  processText() {
    let text = this.text;
    if (this.htmlToPlainTextEnabled) {
      if (this.nlToBrEnabled) {
        // Preserve new lines, toPlainText would replace \n with " "
        text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(text, false);
      }
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(text);
    } else if (this.encodeHtmlEnabled) {
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.encode(text);
    }
    if (this.nlToBrEnabled) {
      text = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(text, false);
    }
    return text;
  }
  build() {
    if (this.icon) {
      return $('<div>').appendIcon(this.icon).addClass(this.processedText() ? ' with-text' : '').parent()[0].innerHTML + this.processedText();
    }
    return this.processedText();
  }
}

/***/ }),

/***/ "./src/table/columns/DateColumn.ts":
/*!*****************************************!*\
  !*** ./src/table/columns/DateColumn.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateColumn: () => (/* binding */ DateColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class DateColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    _defineProperty(this, "format", void 0);
    _defineProperty(this, "groupFormat", void 0);
    _defineProperty(this, "hasDate", void 0);
    _defineProperty(this, "hasTime", void 0);
    this.format = null;
    // @ts-expect-error
    this.groupFormat = 'yyyy';
    this.hasDate = true;
    this.hasTime = false;
    this.filterType = 'DateColumnUserFilter';
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC;
    this.textBased = false;
  }
  _init(model) {
    super._init(model);
    this._setFormat(this.format);
    this._setGroupFormat(this.groupFormat);
  }
  setFormat(format) {
    this.setProperty('format', format);
  }
  _setFormat(format) {
    if (!format) {
      format = this._getDefaultFormat(this.session.locale);
    }
    let dateFormat = _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat.ensure(this.session.locale, format);
    this._setProperty('format', dateFormat);
    if (this.initialized) {
      // if dateFormat changes on the fly, just update the cell text
      this.table.rows.forEach(row => this._updateCellText(row, this.cell(row)));
    }
  }
  setGroupFormat(groupFormat) {
    this.setProperty('groupFormat', groupFormat);
  }
  _setGroupFormat(format) {
    if (!format) {
      format = this._getDefaultFormat(this.session.locale);
    }
    let groupFormat = _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat.ensure(this.session.locale, format);
    this._setProperty('groupFormat', groupFormat);
    if (this.initialized) {
      this.table._group();
    }
  }
  _formatValue(value, row) {
    return this.format.format(value);
  }
  _ensureValue(text) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.ensure(text);
  }
  _getDefaultFormat(locale) {
    if (this.hasDate && this.hasTime) {
      return locale.dateFormatPatternDefault + ' ' + locale.timeFormatPatternDefault;
    }
    if (this.hasDate) {
      return locale.dateFormatPatternDefault;
    }
    return locale.timeFormatPatternDefault;
  }
  cellTextForGrouping(row) {
    let val = this.table.cellValue(this, row);
    return this.groupFormat.format(val);
  }
  _createEditor(row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DateField, {
      parent: this.table,
      hasDate: this.hasDate,
      hasTime: this.hasTime
    });
  }
}

/***/ }),

/***/ "./src/table/columns/DateColumnEventMap.ts":
/*!*************************************************!*\
  !*** ./src/table/columns/DateColumnEventMap.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/DateColumnModel.ts":
/*!**********************************************!*\
  !*** ./src/table/columns/DateColumnModel.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/IconColumn.ts":
/*!*****************************************!*\
  !*** ./src/table/columns/IconColumn.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IconColumn: () => (/* binding */ IconColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class IconColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    this.minWidth = _index__WEBPACK_IMPORTED_MODULE_0__.Column.NARROW_MIN_WIDTH;
    this.filterType = 'ColumnUserFilter';
    this.textBased = false;
  }
  _initCell(cell) {
    super._initCell(cell);
    // only display icon, no text
    cell.text = null;
    cell.iconId = cell.value || cell.iconId;
    return cell;
  }
  _formatValue(value, row) {
    // only display icon, no text
    return null;
  }
  setCellValue(row, value) {
    super.setCellValue(row, value);
    this.setCellIconId(row, this.cell(row).value);
  }
  cellTextForGrouping(row) {
    let cell = this.table.cell(this, row);
    return cell.value;
  }
  createAggrGroupCell(row) {
    let cell = super.createAggrGroupCell(row);
    // Make sure only icon and no text is displayed
    cell.text = null;
    return cell;
  }
}

/***/ }),

/***/ "./src/table/columns/LookupCallColumn.ts":
/*!***********************************************!*\
  !*** ./src/table/columns/LookupCallColumn.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupCallColumn: () => (/* binding */ LookupCallColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LookupCallColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super(...arguments);
    _defineProperty(this, "lookupCall", null);
    _defineProperty(this, "codeType", null);
    _defineProperty(this, "browseHierarchy", false);
    _defineProperty(this, "browseMaxRowCount", _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.DEFAULT_BROWSE_MAX_COUNT);
  }
  _init(model) {
    super._init(model);
    this._setLookupCall(this.lookupCall);
    this._setCodeType(this.codeType);
  }
  setLookupCall(lookupCall) {
    this.setProperty('lookupCall', lookupCall);
  }
  _setLookupCall(lookupCall) {
    let call = _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(lookupCall, this.session);
    this._setProperty('lookupCall', call);
  }
  setCodeType(codeType) {
    this.setProperty('codeType', codeType);
  }
  _setCodeType(codeType) {
    this._setProperty('codeType', codeType);
    if (codeType) {
      this.lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CodeLookupCall, {
        session: this.session,
        codeType
      });
    }
  }
  setBrowseHierarchy(browseHierarchy) {
    this.setProperty('browseHierarchy', browseHierarchy);
  }
  setBrowseMaxRowCount(browseMaxRowCount) {
    this.setProperty('browseMaxRowCount', browseMaxRowCount);
  }
  _updateCellFromValidEditor(row, field) {
    // The following code is only necessary to prevent flickering because the text is updated async.
    // Instead of only calling setCellValue which itself would update the display text, we set the text manually before calling setCellValue.
    // This works because in most of the cases the text computed by the column will be the same as the one computed by the editor field.
    // Clear error status first (regular behavior)
    this.setCellErrorStatus(row, null);
    // Update cell text
    // We cannot use setCellText to not trigger updateRows yet -> it has to be done after the value and row.status are updated correctly.
    let cell = this.cell(row);
    let oldText = cell.text;
    let newText = field.displayText;
    cell.setText(newText);
    // Update cell value
    // We cannot use setCellValue since it would add the update event to the updateBuffer, but we need the row update to be sync to prevent the flickering
    this._setCellValue(row, field.value, cell);
    // Update row -> Render row, trigger update event
    // Only trigger update row event if text has changed (same as setCellText would do)
    if (row.initialized && oldText !== newText && cell.text === newText) {
      this.table.updateRow(row);
    }
    // Ensure display text is correct (for the rare case that the column computes a different text than the editor field).
    this._updateCellText(row, cell);
  }
}

/***/ }),

/***/ "./src/table/columns/LookupCallColumnEventMap.ts":
/*!*******************************************************!*\
  !*** ./src/table/columns/LookupCallColumnEventMap.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupCallColumnModel.ts":
/*!****************************************************!*\
  !*** ./src/table/columns/LookupCallColumnModel.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupColumn.ts":
/*!*******************************************!*\
  !*** ./src/table/columns/LookupColumn.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupColumn: () => (/* binding */ LookupColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This column is a multivalued LookupCallColumn. If editable it opens a popup containing a {@link LookupBox} in order to select multiple values.
 */
class LookupColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCallColumn {
  constructor() {
    super(...arguments);
    _defineProperty(this, "distinct", false);
  }
  /** @see LookupColumnModel.distinct */
  setDistinct(distinct) {
    this.setProperty('distinct', distinct);
  }
  _createEditor(row) {
    const editor = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.LookupEditor, {
      parent: this.table,
      lookupCall: this.lookupCall,
      codeType: this.codeType,
      browseHierarchy: this.browseHierarchy,
      browseMaxRowCount: this.browseMaxRowCount
    });
    editor.on('lookupCallDone', e => {
      if (!this.distinct) {
        return;
      }
      const valuesInOtherRows = [];
      this.table.rows.forEach(r => {
        if (r === row) {
          return;
        }
        valuesInOtherRows.push(..._index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.cellValue(r)));
      });
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(valuesInOtherRows, this.cellValue(row));
      e.result.lookupRows.forEach(lookupRow => {
        if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(lookupRow.key, valuesInOtherRows)) {
          lookupRow.setEnabled(false);
        }
      });
    });
    // pass editor events to column
    editor.on('prepareLookupCall', e => this.trigger('prepareLookupCall', {
      lookupCall: e.lookupCall,
      row
    }));
    editor.on('lookupCallDone', e => this.trigger('lookupCallDone', {
      result: e.result
    }));
    return editor;
  }
  _updateEditorFromValidCell(field, cell) {
    super._updateEditorFromValidCell(field, cell);
    field.setDisplayText(cell.text);
  }
  isContentValid(row) {
    const validationResult = super.isContentValid(row);
    if (!this.distinct) {
      return validationResult;
    }
    const cell = this.cell(row);
    if (!this.table.rows.find(r => r !== row && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAny(cell.value, this.cellValue(r)))) {
      return validationResult;
    }
    const distinctErrorStatus = _index__WEBPACK_IMPORTED_MODULE_0__.Status.error(this.session.text('ui.LookupColumnDistinctErrorMessage'));
    const errorStatus = validationResult.errorStatus ? _index__WEBPACK_IMPORTED_MODULE_0__.Status.error({
      children: [distinctErrorStatus, validationResult.errorStatus]
    }) : distinctErrorStatus;
    return {
      ...validationResult,
      valid: errorStatus.isValid(),
      errorStatus
    };
  }
  _formatValue(value, row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.LookupEditor.formatValues(value, this.lookupCall, lookupCall => this.trigger('prepareLookupCall', {
      lookupCall,
      row
    }));
  }
}

/***/ }),

/***/ "./src/table/columns/LookupColumnEventMap.ts":
/*!***************************************************!*\
  !*** ./src/table/columns/LookupColumnEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupColumnModel.ts":
/*!************************************************!*\
  !*** ./src/table/columns/LookupColumnModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupEditor.ts":
/*!*******************************************!*\
  !*** ./src/table/columns/LookupEditor.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupEditor: () => (/* binding */ LookupEditor)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LookupEditor extends _index__WEBPACK_IMPORTED_MODULE_0__.ValueField {
  constructor() {
    super(...arguments);
    _defineProperty(this, "lookupCall", null);
    _defineProperty(this, "codeType", null);
    _defineProperty(this, "browseHierarchy", false);
    _defineProperty(this, "browseMaxRowCount", _index__WEBPACK_IMPORTED_MODULE_0__.SmartField.DEFAULT_BROWSE_MAX_COUNT);
    _defineProperty(this, "_popup", null);
  }
  _init(model) {
    var _this$lookupCall;
    super._init(model);
    this.lookupCall = _index__WEBPACK_IMPORTED_MODULE_0__.LookupCall.ensure(this.lookupCall, this.session);
    (_this$lookupCall = this.lookupCall) === null || _this$lookupCall === void 0 || _this$lookupCall.setMaxRowCount(this.browseMaxRowCount);
    this.clearable = _index__WEBPACK_IMPORTED_MODULE_0__.ValueField.Clearable.ALWAYS;
  }
  _render() {
    super._render();
    this.$field.addClass('input-field focused');
  }
  _formatValue(value) {
    if (this._popup) {
      return this._popup.content.displayText;
    }
    return LookupEditor.formatValues(value, this.lookupCall, lookupCall => this.trigger('prepareLookupCall', {
      lookupCall
    }));
  }
  static formatValues(values, lookupCall, prepareLookupCall) {
    if (!(values !== null && values !== void 0 && values.length) || !lookupCall) {
      return '';
    }
    lookupCall = lookupCall.clone();
    prepareLookupCall === null || prepareLookupCall === void 0 || prepareLookupCall(lookupCall);
    return lookupCall.textsByKeys(values).then(result => _index__WEBPACK_IMPORTED_MODULE_0__.strings.join(', ', ...Object.values(result)));
  }
  _renderDisplayText() {
    super._renderDisplayText();
    this.$field.text(this.displayText || '');
  }
  _clear() {
    var _this$_popup;
    (_this$_popup = this._popup) === null || _this$_popup === void 0 || _this$_popup.widget('LookupBox', _index__WEBPACK_IMPORTED_MODULE_0__.LookupBox).setValue(null);
  }
  onCellEditorRendered(options) {
    this._openPopup(options.cellEditorPopup);
  }
  _openPopup(cellEditorPopup) {
    this._popup = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup, {
      parent: this,
      anchor: this,
      horizontalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.LEFTEDGE,
      verticalAlignment: _index__WEBPACK_IMPORTED_MODULE_0__.Popup.Alignment.BOTTOM,
      closeOnAnchorMouseDown: false,
      cssClass: 'lookup-cell-editor-popup',
      animateResize: false,
      scrollType: 'layoutAndPosition',
      // popup must not be closed when cell editor scrolls into view
      content: {
        ...this._createLookupBoxModel(),
        id: 'LookupBox'
      }
    });
    const lookupBox = this._popup.widget('LookupBox', _index__WEBPACK_IMPORTED_MODULE_0__.LookupBox);
    lookupBox.on('propertyChange:lookupCall', e => {
      var _e$newValue;
      return (_e$newValue = e.newValue) === null || _e$newValue === void 0 ? void 0 : _e$newValue.setMaxRowCount(this.browseMaxRowCount);
    });
    // sync value
    lookupBox.on('propertyChange:value', e => this.setValue(e.newValue));
    // pass popup events to editor
    lookupBox.on('prepareLookupCall', e => this.trigger('prepareLookupCall', {
      lookupCall: e.lookupCall
    }));
    lookupBox.on('lookupCallDone', e => this.trigger('lookupCallDone', {
      result: e.result
    }));
    lookupBox.one('lookupCallDone', e => this._popup.open());
    if (this.browseHierarchy) {
      const tree = lookupBox.tree;
      tree.on('render', e => tree.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.LookupEditorTreeLayout(tree)));
      tree.on('nodesInserted', e => {
        tree.setNodeExpandedRecursive(e.nodes, true);
        tree.invalidateLayoutTree();
      });
    }
    this._popup.on('render', e => {
      if (!cellEditorPopup.rendered) {
        return;
      }
      // Ensure cell editor is fully visible.
      // This is important when tabbing through the cells to show the cell editor if it is not visible yet.
      // The LookupBoxPopup also requires the center of its anchor (cell editor) to be visible, otherwise it will get invisible (see Popup._validateVisibility)
      // This is only necessary because the cell editor itself will never be focused. Otherwise the browser would scroll it into view automatically, as it happens for cell editors of other columns.
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(cellEditorPopup.table.$data, cellEditorPopup.$container);
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollHorizontalTo(cellEditorPopup.table.$data, cellEditorPopup.$container);
      // the focus will always be inside the _popup and therefore the keyStrokes that are meant for the cellEditorPopup need to be transferred
      // this is done by changing the $bindTarget of the cellEditorPopup's keyStrokeContext
      const keyStrokeContext = cellEditorPopup.keyStrokeContext;
      this.session.keyStrokeManager.uninstallKeyStrokeContext(keyStrokeContext);
      keyStrokeContext.$bindTarget = this._popup.$container;
      this.session.keyStrokeManager.installKeyStrokeContext(keyStrokeContext);
      // Workaround for unexpected reset of popup size when lookup structure resizes (collapse/expand of tree nodes)
      // TODO [25.1]: Remove when a better solution has been implemented (#379394)
      this.session.layoutValidator.schedulePostValidateFunction(() => {
        if (!this._popup) {
          return;
        }
        const layout = this._popup.htmlComp.layout;
        layout.autoSize = false;
        this._popup.position();
      });
    });
    lookupBox.refreshLookup();
  }
  _createLookupBoxModel() {
    if (this.browseHierarchy) {
      return {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.TreeBox,
        lookupCall: this.lookupCall,
        codeType: this.codeType,
        value: this.value,
        cssClass: 'no-mandatory-indicator',
        labelVisible: false,
        statusVisible: false,
        tree: {
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Tree,
          autoCheckChildren: true
        }
      };
    }
    return {
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.ListBox,
      lookupCall: this.lookupCall,
      value: this.value,
      cssClass: 'no-mandatory-indicator',
      labelVisible: false,
      statusVisible: false,
      table: {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Table,
        columns: [{
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Column,
          autoOptimizeWidth: true,
          autoOptimizeMaxWidth: 450
        }]
      }
    };
  }
}

/***/ }),

/***/ "./src/table/columns/LookupEditorEventMap.ts":
/*!***************************************************!*\
  !*** ./src/table/columns/LookupEditorEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupEditorModel.ts":
/*!************************************************!*\
  !*** ./src/table/columns/LookupEditorModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/LookupEditorTreeLayout.ts":
/*!*****************************************************!*\
  !*** ./src/table/columns/LookupEditorTreeLayout.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LookupEditorTreeLayout: () => (/* binding */ LookupEditorTreeLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LookupEditorTreeLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeLayout {
  preferredLayoutSize($container, options) {
    // reset the height to auto as a fixed height limits the view range which would only render the first few nodes
    // this limitation needs to be removed in order to get the preferred width of all tree nodes
    const height = this.tree.$data.css('height');
    this.tree.$data.css('height', 'auto');
    this.tree.setViewRangeSize(this.tree.calculateViewRangeSize());
    const prefSize = super.preferredLayoutSize($container, options);
    this.tree.$data.css('height', height);
    return prefSize;
  }
}

/***/ }),

/***/ "./src/table/columns/NumberColumn.ts":
/*!*******************************************!*\
  !*** ./src/table/columns/NumberColumn.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberColumn: () => (/* binding */ NumberColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class NumberColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.Column {
  constructor() {
    super();
    _defineProperty(this, "aggregationFunction", void 0);
    _defineProperty(this, "backgroundEffect", void 0);
    _defineProperty(this, "decimalFormat", void 0);
    _defineProperty(this, "fractionDigits", void 0);
    _defineProperty(this, "minValue", void 0);
    _defineProperty(this, "maxValue", void 0);
    /** the calculated min value of all rows */
    _defineProperty(this, "calcMinValue", void 0);
    /** the calculated max value of all rows */
    _defineProperty(this, "calcMaxValue", void 0);
    _defineProperty(this, "allowedAggregationFunctions", void 0);
    _defineProperty(this, "aggrStart", void 0);
    _defineProperty(this, "aggrStep", void 0);
    _defineProperty(this, "aggrFinish", void 0);
    _defineProperty(this, "aggrSymbol", void 0);
    _defineProperty(this, "backgroundEffectFunc", void 0);
    this.aggregationFunction = 'sum';
    this.backgroundEffect = null;
    this.decimalFormat = null;
    this.fractionDigits = null;
    this.minValue = null;
    this.maxValue = null;
    this.calcMinValue = null;
    this.calcMaxValue = null;
    this.horizontalAlignment = 1;
    this.filterType = 'NumberColumnUserFilter';
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC;
    this.textBased = false;
    this.allowedAggregationFunctions = ['sum', 'avg', 'min', 'max', 'none'];
  }
  _init(model) {
    super._init(model);
    this._setDecimalFormat(this.decimalFormat);
    this._setFractionDigits(this.fractionDigits);
    this._setAggregationFunction(this.aggregationFunction);
  }
  setDecimalFormat(decimalFormat) {
    this.setProperty('decimalFormat', decimalFormat);
  }
  _setDecimalFormat(decimalFormat) {
    if (!decimalFormat) {
      decimalFormat = this._getDefaultFormat(this.session.locale);
    }
    let format = _index__WEBPACK_IMPORTED_MODULE_0__.DecimalFormat.ensure(this.session.locale, decimalFormat);
    this._setProperty('decimalFormat', format);
    if (this.initialized) {
      // if format changes on the fly, just update the cell text
      this.table.rows.forEach(row => this._updateCellText(row, this.cell(row)));
    }
  }
  _getDefaultFormat(locale) {
    return locale.decimalFormatPatternDefault;
  }
  _formatValue(value, row) {
    return this.decimalFormat.format(value);
  }
  setFractionDigits(fractionDigits) {
    this.setProperty('fractionDigits', fractionDigits);
  }
  _setFractionDigits(fractionDigits) {
    this._setProperty('fractionDigits', fractionDigits);
  }
  _ensureValue(value) {
    // server sends cell.value only if it differs from text -> make sure cell.value is set and has the right type
    return _index__WEBPACK_IMPORTED_MODULE_0__.numbers.ensure(value);
  }
  setAggregationFunction(aggregationFunction) {
    this.setProperty('aggregationFunction', aggregationFunction);
  }
  _setAggregationFunction(func) {
    this._setProperty('aggregationFunction', func);
    if (func === 'sum') {
      this.aggrStart = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.sumStart;
      this.aggrStep = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.sumStep;
      this.aggrFinish = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.sumFinish;
      this.aggrSymbol = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.sumSymbol;
    } else if (func === 'avg') {
      this.aggrStart = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.avgStart;
      this.aggrStep = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.avgStep;
      this.aggrFinish = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.avgFinish;
      this.aggrSymbol = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.avgSymbol;
    } else if (func === 'min') {
      this.aggrStart = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.minStart;
      this.aggrStep = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.minStep;
      this.aggrFinish = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.minFinish;
      this.aggrSymbol = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.minSymbol;
    } else if (func === 'max') {
      this.aggrStart = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.maxStart;
      this.aggrStep = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.maxStep;
      this.aggrFinish = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.maxFinish;
      this.aggrSymbol = _index__WEBPACK_IMPORTED_MODULE_0__.aggregation.maxSymbol;
    } else if (func === 'none') {
      let undefinedFunc = () => undefined;
      this.aggrStart = undefinedFunc;
      this.aggrStep = undefinedFunc;
      this.aggrFinish = undefinedFunc;
      this.aggrSymbol = undefined;
    }
  }
  createAggrValueCell(value) {
    let formattedValue = this._formatValue(value);
    let cellType = _index__WEBPACK_IMPORTED_MODULE_0__.Cell;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(cellType, {
      text: formattedValue,
      iconId: formattedValue ? this.aggrSymbol : null,
      horizontalAlignment: this.horizontalAlignment,
      cssClass: 'table-aggregate-cell ' + this.aggregationFunction,
      flowsLeft: this.horizontalAlignment > 0
    });
  }
  _cellStyle(cell, tableNodeColumn, rowPadding) {
    let style = super._cellStyle(cell, tableNodeColumn, rowPadding);
    if (!this.backgroundEffect || cell.value === undefined || _index__WEBPACK_IMPORTED_MODULE_0__.strings.contains(cell.cssClass, 'table-aggregate-cell')) {
      return style;
    }
    if (!this.backgroundEffectFunc) {
      this.backgroundEffectFunc = this._resolveBackgroundEffectFunc();
    }
    let backgroundStyle = this.backgroundEffectFunc(this._preprocessValueOrTextForCalculation(cell.value));
    if (backgroundStyle.backgroundColor) {
      style += 'background-color: ' + backgroundStyle.backgroundColor + ';';
    }
    if (backgroundStyle.backgroundImage) {
      style += 'background-image: ' + backgroundStyle.backgroundImage + ';';
    }
    return style;
  }
  _preprocessValueOrTextForCalculation(value, cell) {
    return this.decimalFormat.round(value);
  }
  setBackgroundEffect(backgroundEffect) {
    let changed = this.setProperty('backgroundEffect', backgroundEffect);
    if (!changed) {
      return;
    }
    this.backgroundEffectFunc = this._resolveBackgroundEffectFunc();
    this.table.trigger('columnBackgroundEffectChanged', {
      column: this
    });
    if (this.backgroundEffect && (this.calcMinValue === null || this.calcMaxValue === null)) {
      // No need to calculate the values again when switching background effects
      // If background effect is turned off and on again values will be recalculated
      // This is necessary because in the meantime rows may get updated, deleted etc.
      this.calculateMinMaxValues();
    }
    if (!this.backgroundEffect) {
      // Clear to make sure values are calculated anew the next time a background effect gets set
      this.calcMinValue = null;
      this.calcMaxValue = null;
    }
    if (this.table.rendered) {
      this._renderBackgroundEffect();
    }
  }
  /**
   * Recalculates the min / max values and renders the background effect again.
   */
  updateBackgroundEffect() {
    this.calculateMinMaxValues();
    if (this.table.rendered) {
      this._renderBackgroundEffect();
    }
  }
  _resolveBackgroundEffectFunc() {
    let effect = this.backgroundEffect;
    if (effect === 'colorGradient1') {
      return this._colorGradient1.bind(this);
    }
    if (effect === 'colorGradient2') {
      return this._colorGradient2.bind(this);
    }
    if (effect === 'barChart') {
      return this._barChart.bind(this);
    }
    if (effect !== null) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Unsupported backgroundEffect: ' + effect);
      return () => ({});
    }
  }
  /** @internal */
  _renderBackgroundEffect() {
    if (!this.visible) {
      return;
    }
    this.table.visibleRows.forEach(row => {
      if (!row.$row) {
        return;
      }
      let cell = this.cell(row),
        $cell = this.table.$cell(this, row.$row);
      if (cell.value !== undefined) {
        $cell[0].style.cssText = this._cellStyle(cell);
      }
    });
  }
  calculateMinMaxValues() {
    let calcMinValue,
      calcMaxValue,
      rows = this.table.rows;
    for (let i = 0; i < rows.length; i++) {
      let row = rows[i];
      let value = this.cellValueOrTextForCalculation(row);
      if (value < calcMinValue || calcMinValue === undefined) {
        calcMinValue = value;
      }
      if (value > calcMaxValue || calcMaxValue === undefined) {
        calcMaxValue = value;
      }
    }
    this.calcMinValue = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(calcMinValue, null);
    this.calcMaxValue = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(calcMaxValue, null);
  }
  _colorGradient1(value) {
    let startStyle = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get('column-background-effect-gradient1-start', 'backgroundColor'),
      endStyle = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get('column-background-effect-gradient1-end', 'backgroundColor'),
      startColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.rgb(startStyle.backgroundColor),
      endColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.rgb(endStyle.backgroundColor);
    return this._colorGradient(value, startColor, endColor);
  }
  _colorGradient2(value) {
    let startStyle = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get('column-background-effect-gradient2-start', 'backgroundColor'),
      endStyle = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get('column-background-effect-gradient2-end', 'backgroundColor'),
      startColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.rgb(startStyle.backgroundColor),
      endColor = _index__WEBPACK_IMPORTED_MODULE_0__.styles.rgb(endStyle.backgroundColor);
    return this._colorGradient(value, startColor, endColor);
  }
  _colorGradient(value, startColor, endColor) {
    let level = (value - this.calcMinValue) / (this.calcMaxValue - this.calcMinValue);
    let r = Math.ceil(startColor.red - level * (startColor.red - endColor.red)),
      g = Math.ceil(startColor.green - level * (startColor.green - endColor.green)),
      b = Math.ceil(startColor.blue - level * (startColor.blue - endColor.blue));
    return {
      backgroundColor: 'rgb(' + r + ', ' + g + ', ' + b + ')'
    };
  }
  _barChart(value) {
    let level = Math.ceil((value - this.calcMinValue) / (this.calcMaxValue - this.calcMinValue) * 100) + '';
    let color = _index__WEBPACK_IMPORTED_MODULE_0__.styles.get('column-background-effect-bar-chart', 'backgroundColor').backgroundColor;
    return {
      backgroundImage: 'linear-gradient(to left, ' + color + ' 0%, ' + color + ' ' + level + '%, transparent ' + level + '%, transparent 100% )'
    };
  }
  _createEditor(row) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.NumberField, {
      parent: this.table,
      maxValue: this.maxValue,
      minValue: this.minValue,
      decimalFormat: this.decimalFormat,
      fractionDigits: this.fractionDigits
    });
  }
  _hasCellValue(cell) {
    return !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(cell.value); // Zero (0) is valid too
  }
}

/***/ }),

/***/ "./src/table/columns/NumberColumnEventMap.ts":
/*!***************************************************!*\
  !*** ./src/table/columns/NumberColumnEventMap.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/NumberColumnModel.ts":
/*!************************************************!*\
  !*** ./src/table/columns/NumberColumnModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/SmartColumn.ts":
/*!******************************************!*\
  !*** ./src/table/columns/SmartColumn.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SmartColumn: () => (/* binding */ SmartColumn)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Column where each cell fetches its value using a lookup call.
 *
 * A 'prepareLookupCall' event gets triggered before executing the lookup call and contains two properties, 'lookupCall' and 'row'. Here, 'lookupCall' is the
 * lookup call which is used to fetch one or more values for a cell. 'row' is the row containing the cell and usually corresponds to the selected row.
 * It should be used instead of the property selectedRows from Table.js which must not be used here.
 * 'row' can be null or undefined in some cases. Hence, some care is needed when listening to this event.
 */
class SmartColumn extends _index__WEBPACK_IMPORTED_MODULE_0__.LookupCallColumn {
  constructor() {
    super();
    _defineProperty(this, "browseAutoExpandAll", void 0);
    _defineProperty(this, "browseLoadIncremental", void 0);
    _defineProperty(this, "activeFilterEnabled", void 0);
    _defineProperty(this, "_lookupCallBatchContext", void 0);
    this.browseAutoExpandAll = true;
    this.browseLoadIncremental = false;
    this.activeFilterEnabled = false;
    this._lookupCallBatchContext = null;
  }
  _initCell(cell) {
    super._initCell(cell);
    cell.sortCode = this._calculateCellSortCode(cell);
    return cell;
  }
  _calculateCellSortCode(cell) {
    if (!this.codeType) {
      return cell.sortCode;
    }
    let codeType = _index__WEBPACK_IMPORTED_MODULE_0__.codes.get(this.codeType);
    if (!codeType) {
      return null;
    }
    let code = codeType.get(cell.value);
    return code ? code.sortCode : null;
  }
  _updateAllCellSortCodes() {
    this.table.rows.map(row => this.cell(row)).forEach(cell => cell.setSortCode(this._calculateCellSortCode(cell)));
  }
  _setLookupCall(lookupCall) {
    super._setLookupCall(lookupCall);
    if (this.initialized) {
      this._updateAllCellSortCodes();
    }
  }
  _setCodeType(codeType) {
    super._setCodeType(codeType);
    if (this.initialized) {
      this._updateAllCellSortCodes();
    }
  }
  setBrowseAutoExpandAll(browseAutoExpandAll) {
    this.setProperty('browseAutoExpandAll', browseAutoExpandAll);
  }
  setBrowseLoadIncremental(browseLoadIncremental) {
    this.setProperty('browseLoadIncremental', browseLoadIncremental);
  }
  setActiveFilterEnabled(activeFilterEnabled) {
    this.setProperty('activeFilterEnabled', activeFilterEnabled);
  }
  _formatValue(value, row) {
    if (!this.lookupCall) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, '');
    }
    if (this.lookupCall.batch) {
      return this._batchFormatValue(value);
    }
    let lookupCall = this.lookupCall.clone();
    this.trigger('prepareLookupCall', {
      lookupCall: lookupCall,
      row: row
    });
    return lookupCall.textByKey(value);
  }
  /**
   * Defers all invocations of the lookup call for the duration of the current event handler.
   * Once the current event handler completes, all lookup calls are resolved in a single batch.
   */
  _batchFormatValue(key) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(key)) {
      return $.resolvedPromise('');
    }
    let currentBatchContext = this._lookupCallBatchContext;
    if (!currentBatchContext) {
      // create new batch context for this column
      const batchResult = $.Deferred();
      currentBatchContext = {
        keySet: new Set(),
        result: batchResult.promise()
      };
      this._lookupCallBatchContext = currentBatchContext;
      setTimeout(() => {
        // reset batch context for next batch run
        this._lookupCallBatchContext = null;
        let lookupCall = this.lookupCall.clone();
        this.trigger('prepareLookupCall', {
          lookupCall: lookupCall
        });
        // batch lookup texts
        lookupCall.textsByKeys([...currentBatchContext.keySet]).then(textMap => batchResult.resolve(textMap)) // resolve result in current batch context
        .catch(e => batchResult.reject(e)); // reject any errors
      });
    }
    // add key to current batch
    currentBatchContext.keySet.add(key);
    // return text for current key
    return currentBatchContext.result.then(textMap => textMap[_index__WEBPACK_IMPORTED_MODULE_0__.objects.ensureValidKey(key)] || '');
  }
  /**
   * Create and set the lookup-row instead of call setValue() as this would execute a lookup by key
   * which is not necessary, since the cell already contains text and value. This also avoids a problem
   * with multiple lookups running at once, see ticket 236960.
   */
  _updateEditorFromValidCell(field, cell) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(cell.value)) {
      field.setValue(null);
      return;
    }
    let lookupRow = new _index__WEBPACK_IMPORTED_MODULE_0__.LookupRow();
    lookupRow.key = cell.value;
    lookupRow.text = cell.text;
    field.setLookupRow(lookupRow);
  }
  _createEditor(row) {
    let field = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.SmartField, {
      parent: this.table,
      codeType: this.codeType,
      lookupCall: this.lookupCall ? this.lookupCall.clone() : null,
      browseHierarchy: this.browseHierarchy,
      browseMaxRowCount: this.browseMaxRowCount,
      browseAutoExpandAll: this.browseAutoExpandAll,
      browseLoadIncremental: this.browseLoadIncremental,
      activeFilterEnabled: this.activeFilterEnabled
    });
    field.on('prepareLookupCall', event => {
      this.trigger('prepareLookupCall', {
        lookupCall: event.lookupCall,
        row: row
      });
    });
    field.on('lookupCallDone', event => {
      this.trigger('lookupCallDone', {
        result: event.result
      });
    });
    return field;
  }
  /**
   * Since we don't know the type of the key from the lookup-row we must deal with numeric and string types here.
   */
  _hasCellValue(cell) {
    let value = cell.value;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(value)) {
      return !_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value); // Zero (0) is valid too
    }
    return !!value;
  }
  _setCellValue(row, value, cell) {
    super._setCellValue(row, value, cell);
    cell.setSortCode(this._calculateCellSortCode(cell));
  }
}

/***/ }),

/***/ "./src/table/columns/SmartColumnEventMap.ts":
/*!**************************************************!*\
  !*** ./src/table/columns/SmartColumnEventMap.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/SmartColumnModel.ts":
/*!***********************************************!*\
  !*** ./src/table/columns/SmartColumnModel.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/columns/comparators.ts":
/*!******************************************!*\
  !*** ./src/table/columns/comparators.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   comparators: () => (/* binding */ comparators)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const comparators = {
  /**
   * Text comparator, used to compare strings with support for internationalization (i18n).
   * The collator object is only installed once.
   */
  TEXT: {
    collator: null,
    installed: false,
    install(session) {
      if (this.installed) {
        return !!this.collator;
      }
      // set static collator variable once
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsInternationalization()) {
        this.collator = new window.Intl.Collator(session.locale.languageTag);
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(comparators.TEXT#install) Browser supports i18n - installed Intl.Collator, can sort in Browser');
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('(comparators.TEXT#install) Browser doesn\'t support i18n. Must sort on server');
      }
      this.installed = true;
      return !!this.collator;
    },
    compare(valueA, valueB) {
      if (!valueA && !valueB) {
        return 0;
      }
      if (!valueA) {
        return -1;
      }
      if (!valueB) {
        return 1;
      }
      if (!this.collator) {
        // Fallback for browsers that don't support internationalization. This is only necessary
        // for callers that call this method without check for internationalization support
        // first (e.g. TableMatrix).
        return valueA < valueB ? -1 : valueA > valueB ? 1 : 0;
      }
      // We don't check the installed flag here. It's a program error when we come here
      // and the collator is not set. Either we forgot to call install() or we've called
      // install but the browser does not support i18n.
      return this.collator.compare(valueA, valueB);
    },
    compareIgnoreCase(valueA, valueB) {
      if (!valueA) {
        valueA = null;
      }
      if (!valueB) {
        valueB = null;
      }
      if (valueA === valueB) {
        return 0;
      }
      if (valueA === null) {
        return -1;
      }
      if (valueB === null) {
        return 1;
      }
      return this.compare(valueA.toLowerCase(), valueB.toLowerCase());
    }
  },
  /**
   * Numeric comparator, used to compare numeric values. Used for numbers, dates, etc.
   */
  NUMERIC: {
    install(session) {
      return true;
    },
    compare(valueA, valueB) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(valueA) && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(valueB)) {
        return 0;
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(valueA)) {
        return -1;
      }
      if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(valueB)) {
        return 1;
      }
      if (valueA < valueB) {
        return -1;
      } else if (valueA > valueB) {
        return 1;
      }
      return 0;
    }
  },
  /**
   * Alphanumeric comparator.
   */
  ALPHANUMERIC: {
    collator: null,
    installed: false,
    install(session) {
      comparators.TEXT.install(session);
      this.collator = comparators.TEXT.collator;
      return !!this.collator && comparators.NUMERIC.install(session);
    },
    compare(valueA, valueB) {
      return this._compare(valueA, valueB, false);
    },
    compareIgnoreCase(valueA, valueB) {
      return this._compare(valueA, valueB, true);
    },
    _compare(valueA, valueB, ignoreCase) {
      if (!valueA && !valueB) {
        return 0;
      }
      if (!valueA) {
        return -1;
      }
      if (!valueB) {
        return 1;
      }
      let pattern = '(([0-9]+)|([^0-9]+))';
      let regexp1 = new RegExp(pattern, 'g');
      let regexp2 = new RegExp(pattern, 'g');
      let found1 = regexp1.exec(valueA + '');
      let found2 = regexp2.exec(valueB + '');
      while (found1 && found2) {
        let n1 = parseInt(found1[1], 0);
        let n2 = parseInt(found2[1], 0);
        if (!isNaN(n1) && !isNaN(n2)) {
          let numericResult = comparators.NUMERIC.compare(n1, n2);
          if (numericResult !== 0) {
            return numericResult;
          }
        } else {
          let textResult = ignoreCase ? comparators.TEXT.compareIgnoreCase(found1[1], found2[1]) : comparators.TEXT.compare(found1[1], found2[1]);
          if (textResult !== 0) {
            return textResult;
          }
        }
        found1 = regexp1.exec(valueA + '');
        found2 = regexp2.exec(valueB + '');
      }
      if (!found1 && !found2) {
        return 0;
      }
      if (!found1) {
        return -1;
      }
      return 1;
    }
  },
  /**
   * Applies the comparator to each pair until one pair doesn't return 0 or all pairs are compared.
   * @param comparator a function that takes 2 parameters and returns -1, 0 or 1.
   * @param pairs array of pairs, where a pair is an array with 2 values.
   */
  compare(comparator) {
    let result = 0;
    for (var _len = arguments.length, pairs = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      pairs[_key - 1] = arguments[_key];
    }
    pairs.some(pair => {
      if (pair.length !== 2) {
        throw new Error('The pair must have exactly 2 elements');
      }
      result = comparator(pair[0], pair[1]);
      if (result !== 0) {
        return true;
      }
      return false;
    });
    return result;
  }
};

/***/ }),

/***/ "./src/table/controls/AggregateTableControl.ts":
/*!*****************************************************!*\
  !*** ./src/table/controls/AggregateTableControl.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AggregateTableControl: () => (/* binding */ AggregateTableControl)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class AggregateTableControl extends _index__WEBPACK_IMPORTED_MODULE_0__.TableControl {
  constructor() {
    super();
    /**
     * List of aggregated values per {@link Table#visibleColumns visible column}. If a column has no aggregated value,
     * the corresponding entry is empty. This array needs to be updated whenever the list of visible columns changes.
     *
     * The additional "selection" property indicates whether the values are based on the current table selection (true)
     * or all rows (false, default).
     */
    _defineProperty(this, "aggregateRow", void 0);
    _defineProperty(this, "_tableDataScrollHandler", void 0);
    _defineProperty(this, "_tableColumnResizedHandler", void 0);
    _defineProperty(this, "_tableColumnMovedHandler", void 0);
    _defineProperty(this, "_tableColumnStructureChangedHandler", void 0);
    _defineProperty(this, "_tableChangedHandler", void 0);
    _defineProperty(this, "_aggregationFunctionChangedHandler", void 0);
    this._tableDataScrollHandler = this._onTableDataScroll.bind(this);
    this._tableColumnResizedHandler = this._onTableColumnResized.bind(this);
    this._tableColumnMovedHandler = this._onTableColumnMoved.bind(this);
    this._tableColumnStructureChangedHandler = this._onTableColumnStructureChanged.bind(this);
    this._tableChangedHandler = this._onTableChanged.bind(this);
    this._aggregationFunctionChangedHandler = this._onAggregationFunctionChanged.bind(this);
    this.animateDuration = AggregateTableControl.CONTAINER_ANIMATE_DURATION;
    this.aggregateRow = [];
    this.cssClass = 'aggregate';
    this.height = 0;
    this.iconId = _index__WEBPACK_IMPORTED_MODULE_0__.icons.SUM;
    this.tooltipText = '${textKey:ui.Total}';
    this.resizerVisible = false;
  }
  _init(model) {
    super._init(model);
    this.table.on('columnStructureChanged', this._tableColumnStructureChangedHandler);
    this.table.on('aggregationFunctionChanged', this._aggregationFunctionChangedHandler);
  }
  _destroy() {
    super._destroy();
    this.table.off('columnStructureChanged', this._tableColumnStructureChangedHandler);
    this.table.off('aggregationFunctionChanged', this._aggregationFunctionChangedHandler);
  }
  _render() {
    super._render();
    this._updateEnabledAndSelectedState();
    this.height = this.table.rowHeight + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(this.table.footer.$controlContainer).vertical();
  }
  _renderContent($parent) {
    this.$contentContainer = $parent.appendDiv('table-aggregate');
    this._aggregate();
    this._renderAggregate();
    this._reconcileScrollPos();
    this.table.$data.on('scroll', this._tableDataScrollHandler);
    this.table.on('columnResized', this._tableColumnResizedHandler);
    this.table.on('columnMoved', this._tableColumnMovedHandler);
    this.table.on('rowsSelected rowsInserted rowsUpdated rowsDeleted filter group allRowsDeleted', this._tableChangedHandler);
  }
  _removeContent() {
    this.$contentContainer.remove();
    this.table.$data.off('scroll', this._tableDataScrollHandler);
    this.table.off('columnResized', this._tableColumnResizedHandler);
    this.table.off('columnMoved', this._tableColumnMovedHandler);
    this.table.off('rowsSelected rowsInserted rowsUpdated rowsDeleted filter group allRowsDeleted', this._tableChangedHandler);
  }
  _renderAggregate() {
    let aggregateCells = [];
    this.table.visibleColumns().forEach((column, c) => {
      let aggregateValue, cell, $cell;
      aggregateValue = this.aggregateRow[c];
      // Aggregation functions are not available if column is grouped -> do not show aggregated value
      let isEmpty = aggregateValue === undefined || aggregateValue === null || column.grouped;
      if (isEmpty) {
        cell = column.createAggrEmptyCell();
      } else {
        cell = column.createAggrValueCell(aggregateValue);
      }
      $cell = jquery__WEBPACK_IMPORTED_MODULE_1___default()(column.buildCell(cell, {}));
      if (!isEmpty) {
        aggregateCells.push($cell);
      }
      // install tooltips
      this._installCellTooltip($cell);
      // If aggregation is based on the selection and not on all rows -> mark it
      if (this.aggregateRow.selection) {
        $cell.addClass('selection');
      }
      $cell.appendTo(this.$contentContainer);
    });
    if (this.aggregateRow.selection) {
      this.$contentContainer.addClass('selection');
    }
    aggregateCells.forEach($c => this.table._resizeAggregateCell($c));
  }
  _rerenderAggregate() {
    this.$contentContainer.empty();
    this._renderAggregate();
    this._reconcileScrollPos();
  }
  _installCellTooltip($cell) {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install($cell, {
      parent: this,
      text: this.table._cellTooltipText.bind(this.table),
      htmlEnabled: true,
      arrowPosition: 50,
      arrowPositionUnit: '%',
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible()
    });
  }
  _aggregate() {
    let rows,
      aggregateRow = [],
      selectedRows = this.table.selectedRows;
    if (selectedRows.length > 1) {
      rows = selectedRows;
      aggregateRow.selection = true;
    } else {
      rows = this.table.filteredRows();
    }
    this.table._forEachVisibleColumn('aggrStart', aggregateRow);
    rows.forEach(row => this.table._forEachVisibleColumn('aggrStep', aggregateRow, row));
    this.table._forEachVisibleColumn('aggrFinish', aggregateRow);
    this.aggregateRow = aggregateRow;
    if (this.contentRendered && this.selected) {
      this._rerenderAggregate();
    }
  }
  _reconcileScrollPos() {
    // When scrolling horizontally scroll aggregate content as well
    let scrollLeft = this.table.$data.scrollLeft();
    this.$contentContainer.scrollLeft(scrollLeft);
  }
  _updateEnabledAndSelectedState(aggregationFunctionChanged) {
    if (!this.initialized) {
      // During init the columns are not resolved yet -> containsAggregatedNumberColumn won't return a correct value
      return;
    }
    let enabled = this.table.containsAggregatedNumberColumn();
    // Select control if enabled, aggregation function changed and table is not grouped
    if (enabled) {
      if (aggregationFunctionChanged && !this.table.isGrouped()) {
        this.setSelected(true);
      }
    } else if (this.selected) {
      // Make sure a disabled control is not selected
      this.setSelected(false);
    }
    this.setEnabled(enabled);
  }
  _setEnabled(enabled) {
    super._setEnabled(enabled);
    this._updateEnabledAndSelectedState();
  }
  _setSelected(selected) {
    this._setProperty('selected', selected);
    this._updateEnabledAndSelectedState();
  }
  _onTableDataScroll() {
    this._reconcileScrollPos();
  }
  /**
   * Generic handler for various events
   */
  _onTableChanged() {
    this._aggregate();
  }
  _onAggregationFunctionChanged() {
    this._updateEnabledAndSelectedState(true);
    if (this.contentRendered && this.selected) {
      this._aggregate();
    }
  }
  _onTableColumnResized() {
    this._rerenderAggregate();
  }
  _onTableColumnMoved(event) {
    // move aggregated value in aggregateRow
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.move(this.aggregateRow, event.oldPos, event.newPos);
    this._rerenderAggregate();
  }
  _onTableColumnStructureChanged() {
    this._updateEnabledAndSelectedState();
    if (this.contentRendered && this.selected) {
      this._aggregate();
    }
  }
}
_defineProperty(AggregateTableControl, "CONTAINER_ANIMATE_DURATION", 200);

/***/ }),

/***/ "./src/table/controls/AggregateTableControlAdapter.ts":
/*!************************************************************!*\
  !*** ./src/table/controls/AggregateTableControlAdapter.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AggregateTableControlAdapter: () => (/* binding */ AggregateTableControlAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AggregateTableControlAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapter {
  static modifyAggregateTableControlPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // _onTableColumnStructureChanged
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.AggregateTableControl, '_onTableColumnStructureChanged', function (vararg) {
      if (this.modelAdapter) {
        this._updateEnabledAndSelectedState();
      } else {
        this._onTableColumnStructureChangedOrig();
      }
    }, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', AggregateTableControlAdapter.modifyAggregateTableControlPrototype);

/***/ }),

/***/ "./src/table/controls/FormTableControl.ts":
/*!************************************************!*\
  !*** ./src/table/controls/FormTableControl.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormTableControl: () => (/* binding */ FormTableControl)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormTableControl extends _index__WEBPACK_IMPORTED_MODULE_0__.TableControl {
  constructor() {
    super();
    _defineProperty(this, "form", void 0);
    _defineProperty(this, "_formDestroyedHandler", void 0);
    this._addWidgetProperties('form');
    this._formDestroyedHandler = this._onFormDestroyed.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setForm(this.form);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FormTableControlLayout(this);
  }
  _renderContent($parent) {
    this.form.renderInitialFocusEnabled = false;
    this.form.render($parent);
    // Tab box gets a special style if it is the first field in the root group box
    let rootGroupBox = this.form.rootGroupBox;
    if (rootGroupBox && rootGroupBox.controls[0] instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TabBox) {
      rootGroupBox.controls[0].$container.addClass('in-table-control');
    }
    this.form.$container.height($parent.height());
    this.form.$container.width($parent.width());
    this.form.htmlComp.validateRoot = true;
    this.form.htmlComp.validateLayout();
  }
  _removeContent() {
    if (this.form) {
      this.form.remove();
    }
  }
  _removeForm() {
    this.removeContent();
  }
  _renderForm(form) {
    this.renderContent();
  }
  /**
   * Returns true if the table control may be displayed (opened).
   */
  isContentAvailable() {
    return !!this.form;
  }
  setForm(form) {
    this.setProperty('form', form);
  }
  _setForm(form) {
    if (this.form) {
      this.form.off('destroy', this._formDestroyedHandler);
    }
    if (form) {
      form.on('destroy', this._formDestroyedHandler);
      this._adaptForm(form);
    }
    this._setProperty('form', form);
  }
  _adaptForm(form) {
    var _form$rootGroupBox;
    form.setShowOnOpen(false);
    form.setDisplayHint(_index__WEBPACK_IMPORTED_MODULE_0__.Form.DisplayHint.VIEW);
    form.setModal(false);
    form.setClosable(false);
    form.setAskIfNeedSave(false);
    (_form$rootGroupBox = form.rootGroupBox) === null || _form$rootGroupBox === void 0 || _form$rootGroupBox.setMenuBarPosition(_index__WEBPACK_IMPORTED_MODULE_0__.GroupBox.MenuBarPosition.BOTTOM);
  }
  onControlContainerOpened() {
    if (!this.form || !this.form.rendered) {
      return;
    }
    this.form.renderInitialFocus();
  }
  _onFormDestroyed(event) {
    // Called when the inner form is destroyed --> unlink it from this table control
    this._removeForm();
    this._setForm(null);
  }
}

/***/ }),

/***/ "./src/table/controls/FormTableControlAdapter.ts":
/*!*******************************************************!*\
  !*** ./src/table/controls/FormTableControlAdapter.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormTableControlAdapter: () => (/* binding */ FormTableControlAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormTableControlAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapter {}

/***/ }),

/***/ "./src/table/controls/FormTableControlEventMap.ts":
/*!********************************************************!*\
  !*** ./src/table/controls/FormTableControlEventMap.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/controls/FormTableControlLayout.ts":
/*!******************************************************!*\
  !*** ./src/table/controls/FormTableControlLayout.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormTableControlLayout: () => (/* binding */ FormTableControlLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class FormTableControlLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(control) {
    super();
    _defineProperty(this, "control", void 0);
    this.control = control;
  }
  layout($container) {
    if (!this.control.contentRendered || !this.control.form) {
      return;
    }
    let form = this.control.form,
      htmlForm = form.htmlComp,
      controlContentSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.control.tableFooter.$controlContent),
      formSize = controlContentSize.subtract(htmlForm.margins());
    htmlForm.setSize(formSize);
    // special case: when the control is opened/resized and there is not enough space, ensure that the active element is
    // visible by scrolling to it
    if (form.rootGroupBox.controls[0] instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TabBox) {
      let tabBox = form.rootGroupBox.controls[0];
      let tab = tabBox.selectedTab;
      let activeElement = document.activeElement;
      if (tab && tab.scrollable && activeElement && tab.$body.has(activeElement)) {
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(tab.$body, jquery__WEBPACK_IMPORTED_MODULE_1___default()(activeElement));
      }
    }
  }
}

/***/ }),

/***/ "./src/table/controls/FormTableControlModel.ts":
/*!*****************************************************!*\
  !*** ./src/table/controls/FormTableControlModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/controls/TableControl.ts":
/*!********************************************!*\
  !*** ./src/table/controls/TableControl.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableControl: () => (/* binding */ TableControl)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableControl extends _index__WEBPACK_IMPORTED_MODULE_0__.Action {
  constructor() {
    super();
    _defineProperty(this, "tableFooter", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "contentRendered", void 0);
    _defineProperty(this, "height", void 0);
    _defineProperty(this, "animateDuration", void 0);
    _defineProperty(this, "resizerVisible", void 0);
    _defineProperty(this, "denseClass", void 0);
    _defineProperty(this, "tableControlKeyStrokeContext", void 0);
    _defineProperty(this, "$contentContainer", void 0);
    this.tableFooter = null;
    this.contentRendered = false;
    this.height = null;
    this.animateDuration = null;
    this.resizerVisible = true;
    this.toggleAction = true;
    this.showTooltipWhenSelected = false;
  }
  _init(model) {
    this.parent = model.parent;
    this.table = this.getTable();
    super._init(model);
    // retain the size with 'dense' in case we're in dense mode
    this.denseClass = this.session.desktop.dense ? ' dense' : '';
    TableControl.CONTAINER_SIZE = _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('table-control-container' + this.denseClass, 'height', 'height', TableControl.CONTAINER_SIZE);
    this.height = TableControl.CONTAINER_SIZE;
    this.animateDuration = TableControl.CONTAINER_ANIMATE_DURATION;
    this._setSelected(this.selected);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.tableControlKeyStrokeContext = this._createKeyStrokeContextForTableControl();
  }
  _createKeyStrokeContextForTableControl() {
    let keyStrokeContext = new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
    keyStrokeContext.$scopeTarget = () => this.tableFooter.$controlContent;
    keyStrokeContext.$bindTarget = () => this.tableFooter.$controlContent;
    keyStrokeContext.registerKeyStroke(new _index__WEBPACK_IMPORTED_MODULE_0__.TableControlCloseKeyStroke(this));
    return keyStrokeContext;
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.NullLayout();
  }
  _render() {
    let classes = 'table-control ';
    if (this.cssClass) {
      classes += this.cssClass + '-table-control';
    }
    this.$container = this.$parent.appendDiv(classes).on('mousedown', this._onMouseDown.bind(this)).data('control', this);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
  }
  remove() {
    this.removeContent();
    super.remove();
  }
  _renderContent($parent) {
    // to be implemented by subclass
  }
  _removeContent() {
    // to be implemented by subclass
  }
  removeContent() {
    if (this.contentRendered) {
      this._removeContent();
      if (this.cssClass) {
        this.tableFooter.$controlContainer.removeClass(this.cssClass + '-table-control-container');
        this.tableFooter.$controlContent.removeClass(this.cssClass + '-table-control-content');
      }
      this.session.keyStrokeManager.uninstallKeyStrokeContext(this.tableControlKeyStrokeContext);
      this.contentRendered = false;
    }
  }
  /**
   * Renders the content if not already rendered.<br>
   * Opens the container if the container is not already open.<br>
   * Does nothing if the content is not available yet to -> don't open container if content is not rendered yet to prevent blank container or lags during open.<br>
   * Does nothing if the control is not selected.
   */
  renderContent() {
    if (!this.contentRendered && !this.isContentAvailable()) {
      return;
    }
    if (!this.selected) {
      return;
    }
    if (!this.tableFooter.open) {
      this.tableFooter.openControlContainer(this);
    }
    if (!this.contentRendered) {
      if (this.cssClass) {
        this.tableFooter.$controlContainer.addClass(this.cssClass + '-table-control-container');
        this.tableFooter.$controlContent.addClass(this.cssClass + '-table-control-content');
      }
      this.tableFooter.$controlContent.data('control', this);
      this._renderContent(this.tableFooter.$controlContent);
      this.session.keyStrokeManager.installKeyStrokeContext(this.tableControlKeyStrokeContext);
      if (this.htmlComp) {
        this.htmlComp.invalidateLayoutTree(false);
      }
      this.contentRendered = true;
    }
  }
  get$Scrollable() {
    return this.$contentContainer;
  }
  _renderSelected(selected, options) {
    selected = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(selected, this.selected);
    options = $.extend({}, {
      closeWhenUnselected: true
    }, options);
    this.$container.select(selected);
    if (selected) {
      this.tableFooter.onControlSelected(this);
      this.renderContent();
    } else {
      // Don't modify the state initially, only on property change events
      if (this.rendered) {
        if (options.closeWhenUnselected && this === this.tableFooter.selectedControl) {
          // Don't remove immediately, wait for the animation to finish (handled by onControlContainerClosed)
          this.tableFooter.onControlSelected(null);
          this.tableFooter.closeControlContainer(this, options);
        } else {
          this.removeContent();
        }
      }
    }
    this._updateTooltip();
  }
  /**
   * Returns true if the table control may be displayed (opened).
   */
  isContentAvailable() {
    return true;
  }
  toggle() {
    if (!this.enabledComputed) {
      return;
    }
    if (this.tableFooter.selectedControl === this) {
      this.setSelected(false);
    } else {
      this.setSelected(true);
    }
  }
  setSelected(selected, options) {
    if (selected && !this.visible) {
      return;
    }
    if (selected === this.selected) {
      return;
    }
    if (this.tableFooter && this.tableFooter.selectedControl && this.tableFooter.selectedControl !== this) {
      this.tableFooter.selectedControl.setSelected(false, {
        closeWhenUnselected: false
      });
    }
    // Instead of calling parent.setSelected(), we manually execute the required code. Otherwise,
    // we would not be able to pass 'closeWhenUnselected' to _renderSelected().
    this._setSelected(selected);
    options = $.extend({}, {
      closeWhenUnselected: true
    }, options);
    if (this.rendered) {
      this._renderSelected(selected, options);
    } else if (options.closeWhenUnselected && this.tableFooter && this === this.tableFooter.selectedControl && !selected) {
      this.tableFooter.onControlSelected(null);
    }
  }
  _setSelected(selected) {
    // Does nothing more than the default but allows for extension by a subclass
    this._setProperty('selected', selected);
  }
  _configureTooltip() {
    let options = super._configureTooltip();
    options.cssClass = 'table-control-tooltip';
    return options;
  }
  _onMouseDown(event) {
    this.toggle();
  }
  onControlContainerOpened() {
    // nop
  }
  onControlContainerClosed() {
    this.removeContent();
  }
  _createActionKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TableControlActionKeyStroke(this);
  }
  getTable() {
    let parent = this.parent;
    while (parent) {
      if (parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Table) {
        return parent;
      }
      parent = parent.parent;
    }
    return null;
  }
}
_defineProperty(TableControl, "CONTAINER_SIZE", 345);
// Defined in sizes.less
_defineProperty(TableControl, "CONTAINER_ANIMATE_DURATION", 350);

/***/ }),

/***/ "./src/table/controls/TableControlActionKeyStroke.ts":
/*!***********************************************************!*\
  !*** ./src/table/controls/TableControlActionKeyStroke.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableControlActionKeyStroke: () => (/* binding */ TableControlActionKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableControlActionKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionKeyStroke {
  constructor(action) {
    super(action);
    this.renderingHints.offset = 6;
  }
  handle(event) {
    this.field.toggle();
  }
  _postRenderKeyBox($drawingArea, $keyBox) {
    if (this.field.iconId) {
      let wIcon = $drawingArea.find('.icon').width();
      let wKeyBox = $drawingArea.find('.key-box').outerWidth();
      let containerPadding = $drawingArea.cssPaddingLeft();
      let leftKeyBox = wIcon / 2 - wKeyBox / 2 + containerPadding;
      $drawingArea.find('.key-box').cssLeft(leftKeyBox);
    }
  }
}

/***/ }),

/***/ "./src/table/controls/TableControlAdapter.ts":
/*!***************************************************!*\
  !*** ./src/table/controls/TableControlAdapter.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableControlAdapter: () => (/* binding */ TableControlAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableControlAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ActionAdapter {
  _goOffline() {
    if (this.widget.isContentAvailable()) {
      return;
    }
    this._enabledBeforeOffline = this.widget.enabled;
    this.widget.setEnabled(false);
  }
  _goOnline() {
    if (this.widget.isContentAvailable()) {
      return;
    }
    this.widget.setEnabled(this._enabledBeforeOffline);
  }
}

/***/ }),

/***/ "./src/table/controls/TableControlAdapterMenu.ts":
/*!*******************************************************!*\
  !*** ./src/table/controls/TableControlAdapterMenu.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableControlAdapterMenu: () => (/* binding */ TableControlAdapterMenu)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableControlAdapterMenu extends _index__WEBPACK_IMPORTED_MODULE_0__.FormMenu {
  constructor() {
    super();
    _defineProperty(this, "tableControl", void 0);
    _defineProperty(this, "_tableControlPropertyChangeHandler", void 0);
    _defineProperty(this, "_tableControlDestroyHandler", void 0);
    this.tableControl = null;
    this._tableControlPropertyChangeHandler = this._onTableControlPropertyChange.bind(this);
    this._tableControlDestroyHandler = this._onTableControlDestroy.bind(this);
    this._addCloneProperties(['tableControl']);
  }
  _init(model) {
    super._init(model);
    if (!this.tableControl) {
      throw new Error('Cannot adapt to undefined tableControl');
    }
    this._installListeners();
  }
  _destroy() {
    this._uninstallListeners();
    super._destroy();
  }
  _installListeners() {
    this.tableControl.on('propertyChange', this._tableControlPropertyChangeHandler);
    this.tableControl.on('destroy', this._tableControlDestroyHandler);
  }
  _uninstallListeners() {
    this.tableControl.off('propertyChange', this._tableControlPropertyChangeHandler);
    this.tableControl.off('destroy', this._tableControlDestroyHandler);
  }
  _render() {
    super._render();
    // Convenience: Add ID of original tableControl to DOM for debugging purposes
    this.$container.attr('data-tableControlAdapter', this.tableControl.id);
  }
  _onTableControlPropertyChange(event) {
    // Whenever a tableControl property changes, apply the changes to the menu
    let changedProperties = {};
    changedProperties[event.propertyName] = event.newValue;
    changedProperties = TableControlAdapterMenu.adaptTableControlProperties(changedProperties);
    for (let prop in changedProperties) {
      // Set the property (don't use callSetter because this may delegate to the table control)
      this.setProperty(prop, changedProperties[prop]);
    }
  }
  _onTableControlDestroy(event) {
    this.destroy();
    this._uninstallListeners();
  }
  doAction() {
    return this.tableControl.doAction();
  }
  setSelected(selected) {
    this.tableControl.setSelected(selected);
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static adaptTableControlProperties(tableControlProperties, menuProperties) {
    // @ts-expect-error
    menuProperties = menuProperties || {};
    // Plain properties: simply copy, no translation required
    ['text', 'iconId', 'enabled', 'visible', 'selected', 'tooltipText', 'keyStroke', 'keyStrokes', 'modelClass', 'classId', 'form'].forEach(prop => {
      menuProperties[prop] = tableControlProperties[prop];
    });
    // Cleanup: Remove all properties that have value 'undefined' from the result object, otherwise, they would be applied to the model adapter.
    for (let prop in menuProperties) {
      if (menuProperties[prop] === undefined) {
        delete menuProperties[prop];
      }
    }
    return menuProperties;
  }
}

/***/ }),

/***/ "./src/table/controls/TableControlAdapterMenuModel.ts":
/*!************************************************************!*\
  !*** ./src/table/controls/TableControlAdapterMenuModel.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/controls/TableControlModel.ts":
/*!*************************************************!*\
  !*** ./src/table/controls/TableControlModel.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/editor/CellEditorCancelEditKeyStroke.ts":
/*!***********************************************************!*\
  !*** ./src/table/editor/CellEditorCancelEditKeyStroke.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CellEditorCancelEditKeyStroke: () => (/* binding */ CellEditorCancelEditKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CellEditorCancelEditKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(popup) {
    super();
    this.field = popup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC];
    this.stopPropagation = true;
  }
  handle(event) {
    this.field.cancelEdit();
  }
}

/***/ }),

/***/ "./src/table/editor/CellEditorCompleteEditKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/table/editor/CellEditorCompleteEditKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CellEditorCompleteEditKeyStroke: () => (/* binding */ CellEditorCompleteEditKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CellEditorCompleteEditKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(popup) {
    super();
    this.field = popup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.stopPropagation = true;
  }
  handle(event) {
    this.field.completeEdit();
  }
}

/***/ }),

/***/ "./src/table/editor/CellEditorPopup.ts":
/*!*********************************************!*\
  !*** ./src/table/editor/CellEditorPopup.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CellEditorPopup: () => (/* binding */ CellEditorPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class CellEditorPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "column", void 0);
    _defineProperty(this, "row", void 0);
    _defineProperty(this, "cell", void 0);
    _defineProperty(this, "_rowOrderChangedFunc", void 0);
    _defineProperty(this, "_pendingCompleteCellEdit", void 0);
    _defineProperty(this, "_keyStrokeHandler", void 0);
    this.table = null;
    this.column = null;
    this.row = null;
    this.cell = null;
    this._pendingCompleteCellEdit = null;
    this._keyStrokeHandler = this._onKeyStroke.bind(this);
  }
  _init(options) {
    options.scrollType = options.scrollType || 'position';
    super._init(options);
    this.table = options.column.table;
    this.link(this.cell.field);
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.CellEditorPopupLayout(this);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.CellEditorCompleteEditKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.CellEditorTabKeyStroke(this)]);
  }
  _createCloseKeyStroke() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.CellEditorCancelEditKeyStroke(this);
  }
  _open($parent) {
    this.render($parent);
    this.position();
    this.pack();
  }
  _getDefaultOpen$Parent() {
    return this.table.$data;
  }
  _render() {
    super._render();
    // determine CSS class for first and last column, required for additional margins/padding in cell-editor
    let cssClass = '',
      visibleCols = this.table.visibleColumns(),
      colPos = visibleCols.indexOf(this.column);
    if (colPos === 0) {
      // first cell
      cssClass = 'first';
    } else if (colPos === visibleCols.length - 1) {
      cssClass = 'last';
    }
    this.$container.addClass('cell-editor-popup ' + cssClass).data('popup', this);
    let field = this.cell.field;
    field.render();
    field.prepareForCellEdit({
      cssClass: cssClass
    });
    // Make sure cell content is not visible while the editor is open (especially necessary for transparent editors like checkboxes)
    this.$anchor.css('visibility', 'hidden');
    this._rowOrderChangedFunc = event => {
      if (event.animating) {
        // row is only set while animating
        if (event.row === this.row) {
          this.position();
        }
      } else {
        this.position();
      }
    };
    this.table.on('rowOrderChanged', this._rowOrderChangedFunc);
    // Set table style to focused, so that it looks as it still has the focus.
    // This prevents flickering if the cell editor gets opened, especially when tabbing to the next cell editor.
    if (this.table.enabled) {
      this.table.$container.addClass('focused');
    }
    this.session.keyStrokeManager.on('keyStroke', this._keyStrokeHandler);
  }
  /**
   * Selection border is an after element that is moved to top a little to cover the border of the previous row.
   * This won't happen for the first row if there is no table header, since there is no space on top to move it up.
   * In that case the selection is moved down by 1px to ensure the height of the selection always stays the same.
   * If there is no border between the rows, there is no adjustment necessary, the selection is as height as the row.
   * -> Position and size of the cell editor popup depends on the selection of the current row and the table style (with or without row borders)
   */
  _alignWithSelection() {
    let selectionTop = this._rowSelectionBounds().y;
    if (selectionTop < 0) {
      this.$container.cssMarginTop(selectionTop);
      this.$container.addClass('overflow-top');
    }
  }
  /** @internal */
  _rowSelectionBounds() {
    let bounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle();
    let style = getComputedStyle(this.row.$row[0], ':after');
    if (style) {
      bounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(style['left']), jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(style['top']), jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(style['width']), jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(style['height']));
    }
    return bounds;
  }
  _postRender() {
    super._postRender(); // installs the focus context for this popup
    // If applicable, invoke the field's function 'onCellEditorRendered' to signal the cell-editor to be rendered.
    let field = this.cell.field;
    if (field.onCellEditorRendered) {
      field.onCellEditorRendered({
        openFieldPopup: this.table.openFieldPopupOnCellEdit,
        cellEditorPopup: this
      });
    }
  }
  _remove() {
    super._remove(); // uninstalls the focus context for this popup
    this.session.keyStrokeManager.off('keyStroke', this._keyStrokeHandler);
    this.table.off('rowOrderChanged', this._rowOrderChangedFunc);
    // table may have been removed in the meantime
    if (this.table.rendered) {
      this.table.$container.removeClass('focused');
    }
    this.$anchor.css('visibility', '');
  }
  position(switchIfNecessary) {
    if (!this.rendered) {
      return;
    }
    this._alignWithSelection();
    let $cell = this.$anchor;
    let cellBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($cell);
    let $row = this.row.$row;
    let rowBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($row);
    let $tableData = this.table.$data;
    let insetsLeft = $tableData.cssPaddingLeft() + $row.cssMarginLeft() + $row.cssBorderLeftWidth();
    this.setLocation(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(insetsLeft + cellBounds.x, $tableData.scrollTop() + rowBounds.y));
  }
  /**
   * @param waitForAcceptInput default is true
   * @returns A promise resolved when acceptInput is performed on the editor field
   */
  completeEdit(waitForAcceptInput) {
    if (this._pendingCompleteCellEdit) {
      // Make sure complete cell edit does not get sent twice since it will lead to exceptions. This may happen if user clicks very fast multiple times.
      return this._pendingCompleteCellEdit;
    }
    // There is no blur event when the popup gets closed -> trigger blur so that the field may react (accept display text, close popups etc.)
    // When acceptInput returns a promise, we must wait until input is accepted
    // Otherwise call completeEdit immediately, also call it immediately if waitForAcceptInput is false (see _onKeyStroke)
    let field = this.cell.field;
    let acceptInputPromise = field.acceptInput();
    if (!acceptInputPromise || !_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(waitForAcceptInput, true)) {
      this._pendingCompleteCellEdit = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
      this.table.completeCellEdit();
    } else {
      this._pendingCompleteCellEdit = acceptInputPromise.then(() => this.table.completeCellEdit());
    }
    this._pendingCompleteCellEdit.then(() => {
      // Ensure complete will never be called more than once
      this._pendingCompleteCellEdit = jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    });
    return this._pendingCompleteCellEdit;
  }
  isCompleteCellEditRequested() {
    return !!this._pendingCompleteCellEdit;
  }
  cancelEdit() {
    this.table.cancelCellEdit();
    this.remove();
  }
  _onMouseDownOutside(event) {
    let $clickedRow = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).closest('.table-row', this.table.$container[0]);
    this.completeEdit();
    // When the edit completes the edited row is updated and replaced with new html elements.
    // When the user clicks on a cell of such a row that will be updated in order to complete the edit, the mouse down handler of the table won't be triggered.
    // The mouse up handler will be triggered but does nothing because _$mouseDownRow is not set (which would be done by the mouse down handler).
    // To make sure the new cell editor opens correctly we need to delegate the event to the new row that should receive the click to ensure table._onRowMouseDown is executed.
    if ($clickedRow.length > 0 && !$clickedRow.isAttached()) {
      this._propagateMouseDownToTableRow(event);
    }
  }
  _propagateMouseDownToTableRow(event) {
    let doc = this.table.$container.document(true);
    let clickedElement = doc.elementFromPoint(event.pageX, event.pageY);
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(clickedElement);
    let $clickedRow = $target.closest('.table-row', this.table.$container[0]);
    if ($clickedRow.length === 0) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.events.propagateEvent($target[0], event);
  }
  _onKeyStroke(event) {
    if (!this._invokeCompleteEditBeforeKeyStroke(event)) {
      return;
    }
    // Make sure completeEdit is called immediately after calling acceptInput.
    // Otherwise, the keystroke will be executed before completing the edit which prevents the input from being saved
    this.completeEdit(false);
  }
  _invokeCompleteEditBeforeKeyStroke(event) {
    if (!this.session.keyStrokeManager.invokeAcceptInputOnActiveValueField(event.keyStroke, event.keyStrokeContext)) {
      return false;
    }
    let $target = event.keyStrokeContext.$getScopeTarget();
    if (this.$container.isOrHas($target)) {
      // Don't interfere with keystrokes of the popup or children of the popup (otherwise pressing enter would close both the popup and the form at once)
      return false;
    }
    // Not all elements created by the popup are necessarily descendants of the cell editor popup. An example
    // would be a form that is opened from within the popup. To identify these kind of elements, we additionally
    // check the widget hierarchy.
    let target = _index__WEBPACK_IMPORTED_MODULE_0__.widgets.get($target);
    if (this.cell.field.isOrHas(target)) {
      return false; // event target belongs to the cell editor popup -> don't close the popup
    }
    return true;
  }
  waitForCompleteCellEdit() {
    if (this._pendingCompleteCellEdit) {
      return this._pendingCompleteCellEdit.promise();
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
}

/***/ }),

/***/ "./src/table/editor/CellEditorPopupLayout.ts":
/*!***************************************************!*\
  !*** ./src/table/editor/CellEditorPopupLayout.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CellEditorPopupLayout: () => (/* binding */ CellEditorPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CellEditorPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(cellEditorPopup) {
    super();
    _defineProperty(this, "cellEditorPopup", void 0);
    _defineProperty(this, "_field", void 0);
    _defineProperty(this, "_htmlContainer", void 0);
    this.cellEditorPopup = cellEditorPopup;
    this._field = cellEditorPopup.cell.field;
    this._htmlContainer = cellEditorPopup.htmlComp;
  }
  layout($container) {
    let htmlField = this._field.htmlComp;
    let size = this._htmlContainer.availableSize({
      exact: true
    }).subtract(this._htmlContainer.insets()).subtract(htmlField.margins());
    htmlField.setSize(size);
  }
  preferredLayoutSize($container, options) {
    let $row = this.cellEditorPopup.row.$row,
      $cell = this.cellEditorPopup.$anchor;
    let cellBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($cell, {
      exact: true
    });
    let rowBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.bounds($row, {
      exact: true
    });
    let margin = this.cellEditorPopup.$container.cssMarginLeft();
    if (margin < 0) {
      // extend the width if the popup has a negative margin
      cellBounds.width = cellBounds.width + -margin;
    }
    let selectionHeight = this.cellEditorPopup._rowSelectionBounds().height;
    if (selectionHeight) {
      // Use height of selection if available (the selection may be larger than the row if it covers the border of the previous row)
      this._htmlContainer.$comp.toggleClass('overflow-bottom', selectionHeight > rowBounds.height && this._htmlContainer.$comp.cssMarginTop() === 0);
      rowBounds.height = selectionHeight;
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(cellBounds.width, rowBounds.height);
  }
}

/***/ }),

/***/ "./src/table/editor/CellEditorPopupModel.ts":
/*!**************************************************!*\
  !*** ./src/table/editor/CellEditorPopupModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/editor/CellEditorTabKeyStroke.ts":
/*!****************************************************!*\
  !*** ./src/table/editor/CellEditorTabKeyStroke.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CellEditorTabKeyStroke: () => (/* binding */ CellEditorTabKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CellEditorTabKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(popup) {
    super();
    this.field = popup;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.TAB];
    this.shift = undefined; // to tab forward and backward
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && !this.field.isCompleteCellEditRequested(); // Make sure events (complete, prepare) don't get sent twice since it will lead to exceptions. This may happen if user presses and holds the tab key.
  }
  handle(event) {
    let backwards = event.shiftKey,
      table = this.field.table,
      column = this.field.column,
      row = this.field.row;
    this.field.completeEdit().then(() => {
      let pos = table.nextEditableCellPos(column, row, backwards);
      if (pos) {
        table.prepareCellEdit(pos.column, pos.row);
      }
    });
  }
}

/***/ }),

/***/ "./src/table/keystrokes/AbstractTableNavigationKeyStroke.ts":
/*!******************************************************************!*\
  !*** ./src/table/keystrokes/AbstractTableNavigationKeyStroke.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractTableNavigationKeyStroke: () => (/* binding */ AbstractTableNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbstractTableNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.repeatable = true;
    this.field = table;
    this.shift = !table.multiSelect ? false : undefined;
    this.stopPropagation = true;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    var _this$field$footer;
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.field.visibleRows.length) {
      // Key stroke is accepted but currently not executable because there are no rows.
      // Apply propagation flags to prevent bubbling, a focused table should always swallow the navigation keys even if there are no rows.
      this._applyPropagationFlags(event);
      return false;
    }
    if (event.shiftKey && (_this$field$footer = this.field.footer) !== null && _this$field$footer !== void 0 && (_this$field$footer = _this$field$footer.$controlContainer) !== null && _this$field$footer !== void 0 && _this$field$footer.has(event.target).length) {
      // Allow text selection inside control container (labels, iframes etc.)
      return false;
    }
    let $activeElement = this.field.$container.activeElement();
    let elementType = $activeElement[0].tagName.toLowerCase();
    let $filterInput = this.field.$container.data('filter-field');
    if ((!$filterInput || $activeElement[0] !== $filterInput[0]) && (elementType === 'textarea' || elementType === 'input') && (!event.originalEvent || event.originalEvent && !event.originalEvent.smartFieldEvent)) {
      return false;
    }
    this.field.$container.addClass('keyboard-navigation');
    return true;
  }
  /**
   * Returns viewport sensitive information containing the first and last visible row in the viewport.
   */
  _viewportInfo() {
    let table = this.field,
      viewport = {},
      rows = table.visibleRows;
    if (rows.length === 0) {
      return viewport;
    }
    let viewportBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(table.$data);
    let dataInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets(table.$data);
    let dataMarginTop = table.$data.cssMarginTop();
    viewportBounds = viewportBounds.subtract(dataInsets);
    // if data has a negative margin, adjust viewport otherwise a selected first row will never be in the viewport
    if (dataMarginTop < 0) {
      viewportBounds.y -= Math.abs(dataMarginTop);
      viewportBounds.height += Math.abs(dataMarginTop);
    }
    let firstRow = this._findFirstRowInViewport(table, viewportBounds);
    let lastRow = this._findLastRowInViewport(table, rows.indexOf(firstRow), viewportBounds);
    viewport.firstRow = firstRow;
    viewport.lastRow = lastRow;
    return viewport;
  }
  firstRowAfterSelection() {
    let $selectedRows = this.field.$selectedRows();
    if (!$selectedRows.length) {
      return;
    }
    let rows = this.field.visibleRows,
      row = $selectedRows.last().data('row'),
      rowIndex = this.field.filteredRows().indexOf(row);
    return rows[rowIndex + 1];
  }
  firstRowBeforeSelection() {
    let $selectedRows = this.field.$selectedRows();
    if (!$selectedRows.length) {
      return;
    }
    let rows = this.field.visibleRows,
      row = $selectedRows.first().data('row'),
      rowIndex = this.field.visibleRows.indexOf(row);
    return rows[rowIndex - 1];
  }
  /**
   * Searches for the last selected row in the current selection block, starting from rowIndex. Expects row at rowIndex to be selected.
   */
  _findLastSelectedRowBefore(table, rowIndex) {
    let rows = table.visibleRows;
    if (rowIndex === 0) {
      return rows[rowIndex];
    }
    let row = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFromReverse(rows, rowIndex, (row, i) => {
      let previousRow = rows[i - 1];
      if (!previousRow) {
        return false;
      }
      return !table.isRowSelected(previousRow);
    });
    // when no row has been found, use first row in table
    if (!row) {
      row = rows[0];
    }
    return row;
  }
  /**
   * Searches for the last selected row in the current selection block, starting from rowIndex. Expects row at rowIndex to be selected.
   */
  _findLastSelectedRowAfter(table, rowIndex) {
    let rows = table.visibleRows;
    if (rowIndex === rows.length - 1) {
      return rows[rowIndex];
    }
    let row = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFrom(rows, rowIndex, (row, i) => {
      let nextRow = rows[i + 1];
      if (!nextRow) {
        return false;
      }
      return !table.isRowSelected(nextRow);
    });
    // when no row has been found, use last row in table
    if (!row) {
      row = rows[rows.length - 1];
    }
    return row;
  }
  _findFirstRowInViewport(table, viewportBounds) {
    let rows = table.visibleRows;
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(rows, (row, i) => {
      let $row = row.$row;
      if (!$row) {
        // If row is not rendered, it cannot be part of the view port -> check next row
        return false;
      }
      let rowOffset = $row.offset();
      let rowMarginTop = row.$row.cssMarginTop();
      // Selected row has a negative row margin
      // -> add this margin to the offset to make sure this function does always return the same row independent of selection state
      if (rowMarginTop < 0) {
        rowOffset.top += Math.abs(rowMarginTop);
      }
      // If the row is fully visible in the viewport -> break and return the row
      return viewportBounds.contains(rowOffset.left, rowOffset.top);
    });
  }
  _findLastRowInViewport(table, startRowIndex, viewportBounds) {
    let rows = table.visibleRows;
    if (startRowIndex === rows.length - 1) {
      return rows[startRowIndex];
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFromForward(rows, startRowIndex, (row, i) => {
      let nextRow = rows[i + 1];
      if (!nextRow) {
        // If next row is not available (row is the last row) -> break and return current row
        return true;
      }
      let $nextRow = nextRow.$row;
      if (!$nextRow) {
        // If next row is not rendered anymore, current row has to be the last in the viewport
        return true;
      }
      let nextRowOffsetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($nextRow);
      // If the next row is not fully visible in the viewport -> break and return current row
      return !viewportBounds.contains(nextRowOffsetBounds.x, nextRowOffsetBounds.y + nextRowOffsetBounds.height - 1);
    });
  }
  _isEnabled() {
    return !this.field.tileMode && super._isEnabled();
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableControlCloseKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/table/keystrokes/TableControlCloseKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableControlCloseKeyStroke: () => (/* binding */ TableControlCloseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableControlCloseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tableControl) {
    super();
    this.field = tableControl;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC];
    this.stopPropagation = true;
    this.renderingHints.render = false;
  }
  handle(event) {
    this.field.toggle();
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableCopyKeyStroke.ts":
/*!****************************************************!*\
  !*** ./src/table/keystrokes/TableCopyKeyStroke.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableCopyKeyStroke: () => (/* binding */ TableCopyKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableCopyKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.field = table;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.C];
    this.ctrl = true;
    this.renderingHints.render = false;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    var _this$field$footer;
    if ((_this$field$footer = this.field.footer) !== null && _this$field$footer !== void 0 && (_this$field$footer = _this$field$footer.$controlContainer) !== null && _this$field$footer !== void 0 && _this$field$footer.has(event.target).length) {
      // Allow text copy inside control container (labels, iframes etc.)
      return false;
    }
    return super._accept(event);
  }
  handle(event) {
    this.field.exportToClipboard();
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationCollapseKeyStroke.ts":
/*!******************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationCollapseKeyStroke.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationCollapseKeyStroke: () => (/* binding */ TableNavigationCollapseKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationCollapseKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table, key, displayText) {
    super(table);
    this.which = [key];
    this.renderingHints.text = displayText;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let row = this.field.selectedRows[0];
      if (row) {
        return row.$row;
      }
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    let selectedRow = this.field.selectedRows[0];
    if (!selectedRow) {
      return false;
    }
    if (selectedRow.expanded && selectedRow.expandable) {
      // collapse
      return true;
    }
    return !!selectedRow.parentRow;
  }
  handle(event) {
    let selectedRow = this.field.selectedRows[0];
    if (!selectedRow) {
      return;
    }
    let table = this.field;
    let focus = false;
    if (selectedRow.expanded && selectedRow.expandable) {
      table.collapseRow(selectedRow);
      focus = true;
    } else if (selectedRow.parentRow) {
      table.selectRow(selectedRow.parentRow);
      table.selectionHandler.lastActionRow = selectedRow.parentRow;
      focus = true;
    }
    if (focus && !table.isFocused()) {
      table.focus();
    }
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationDownKeyStroke.ts":
/*!**************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationDownKeyStroke.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationDownKeyStroke: () => (/* binding */ TableNavigationDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.text = '↓';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let row = this.firstRowAfterSelection();
      if (row) {
        return row.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      rows = table.visibleRows,
      selectedRows = table.selectedRows,
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1,
      newActionRowIndex = -1,
      newActionRow,
      newSelectedRows;
    if (lastActionRow) {
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    if (rows.length > 1 && (selectedRows.length > 0 || lastActionRowIndex > -1)) {
      // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
      if (lastActionRowIndex < 0) {
        if (rows.length === selectedRows.length) {
          lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(rows);
        } else {
          lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(selectedRows);
        }
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      if (lastActionRowIndex === rows.length - 1) {
        return;
      }
      newActionRowIndex = lastActionRowIndex + 1;
      newActionRow = rows[newActionRowIndex];
      newSelectedRows = [newActionRow];
      if (event.shiftKey) {
        if (table.isRowSelected(newActionRow)) {
          // if new action row already is selected, remove last action row from selection
          // use case: rows 2,3,4 are selected, last action row is 2. User presses shift-down -> rows 3,4 need to be the new selection
          newSelectedRows = [];
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(newSelectedRows, selectedRows);
          // only unselect when first or last row (but not in the middle of the selection, see #172929)
          let selectionIndizes = table.selectionHandler.getMinMaxSelectionIndizes();
          if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(lastActionRowIndex, selectionIndizes[0], selectionIndizes[1])) {
            _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(newSelectedRows, lastActionRow);
          }
        } else {
          newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(selectedRows, newSelectedRows);
          newActionRow = this._findLastSelectedRowAfter(table, newActionRowIndex);
        }
      }
    } else {
      newSelectedRows = [_index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(rows)];
      newActionRow = newSelectedRows[0];
    }
    table.selectionHandler.lastActionRow = newActionRow;
    table.selectRows(newSelectedRows, true);
    table.scrollTo(newActionRow);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, newActionRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationEndKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationEndKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationEndKeyStroke: () => (/* binding */ TableNavigationEndKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationEndKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.END];
    this.renderingHints.text = 'End';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let viewport = this._viewportInfo();
      if (viewport.lastRow) {
        return viewport.lastRow.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      rows = table.visibleRows,
      lastRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(rows),
      selectedRows = table.selectedRows,
      newSelectedRows = [],
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1;
    if (event.shiftKey && selectedRows.length > 0) {
      if (lastActionRow) {
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
      if (lastActionRowIndex < 0) {
        lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(selectedRows);
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      newSelectedRows = rows.slice(lastActionRowIndex + 1, rows.length);
      newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(selectedRows, newSelectedRows);
    } else {
      newSelectedRows = [lastRow];
    }
    table.selectionHandler.lastActionRow = lastRow;
    table.selectRows(newSelectedRows);
    table.scrollTo(lastRow);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, lastRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationExpandKeyStroke.ts":
/*!****************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationExpandKeyStroke.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationExpandKeyStroke: () => (/* binding */ TableNavigationExpandKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationExpandKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table, key, displayText) {
    super(table);
    this.which = [key];
    this.renderingHints.text = displayText;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let row = this.field.selectedRows[0];
      if (row) {
        return row.$row;
      }
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    let selectedRow = this.field.selectedRows[0];
    if (!selectedRow) {
      return false;
    }
    return selectedRow.expandable;
  }
  handle(event) {
    let table = this.field,
      selectedRow = table.selectedRows[0];
    if (!selectedRow) {
      return;
    }
    if (selectedRow.expandable) {
      if (selectedRow.expanded) {
        // select first child
        let visibleChildRows = table.visibleChildRows(selectedRow);
        table.selectRow(visibleChildRows[0]);
        table.selectionHandler.lastActionRow = visibleChildRows[0];
      } else {
        table.expandRow(selectedRow);
      }
      if (!table.isFocused()) {
        table.focus();
      }
    }
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationHomeKeyStroke.ts":
/*!**************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationHomeKeyStroke.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationHomeKeyStroke: () => (/* binding */ TableNavigationHomeKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationHomeKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME];
    this.renderingHints.text = 'Home';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let viewport = this._viewportInfo();
      if (viewport.firstRow) {
        return viewport.firstRow.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      rows = table.visibleRows,
      firstRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(rows),
      selectedRows = table.selectedRows,
      newSelectedRows = [],
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1;
    if (event.shiftKey && selectedRows.length > 0) {
      if (lastActionRow) {
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
      if (lastActionRowIndex < 0) {
        lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(selectedRows);
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      newSelectedRows = rows.slice(0, lastActionRowIndex);
      newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(newSelectedRows, selectedRows);
    } else {
      newSelectedRows = [firstRow];
    }
    table.selectionHandler.lastActionRow = firstRow;
    table.selectRows(newSelectedRows);
    table.scrollTo(firstRow);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, firstRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationPageDownKeyStroke.ts":
/*!******************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationPageDownKeyStroke.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationPageDownKeyStroke: () => (/* binding */ TableNavigationPageDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationPageDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_DOWN];
    this.renderingHints.text = 'PgDn';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let viewport = this._viewportInfo();
      if (viewport.lastRow) {
        return viewport.lastRow.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      viewport = this._viewportInfo(),
      rows = table.visibleRows,
      selectedRows = table.selectedRows,
      lastSelectedRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(selectedRows),
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1,
      newSelectedRows;
    // Last row may be undefined if there is only one row visible in the viewport and this row is bigger than the viewport. In that case just scroll down.
    // If it already is at the bottom nothing will happen
    if (!viewport.lastRow) {
      table.scrollPageDown();
      viewport = this._viewportInfo();
      if (!viewport.lastRow) {
        return;
      }
    }
    if (lastActionRow) {
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
    if (lastActionRowIndex < 0) {
      lastActionRow = lastSelectedRow;
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    // If last row in viewport already is selected -> scroll a page down
    // Don't do it if multiple rows are selected and user only presses page down without shift
    if (selectedRows.length > 0 && lastActionRow === viewport.lastRow && !(selectedRows.length > 1 && !event.shiftKey)) {
      table.scrollPageDown();
      viewport = this._viewportInfo();
      if (!viewport.lastRow) {
        // May happen due to same reason as above -> Row will fill the whole viewport after scrolling
        return;
      }
    }
    if (event.shiftKey && selectedRows.length > 0) {
      // Using lastActionRow instead of lastSelectedRow is essential if the user does a multi selection using ctrl and presses shift-pagedown afterward
      newSelectedRows = rows.slice(lastActionRowIndex + 1, rows.indexOf(viewport.lastRow) + 1);
      newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(selectedRows, newSelectedRows);
    } else {
      newSelectedRows = [viewport.lastRow];
    }
    table.selectionHandler.lastActionRow = viewport.lastRow;
    table.selectRows(newSelectedRows, true);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, viewport.lastRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationPageUpKeyStroke.ts":
/*!****************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationPageUpKeyStroke.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationPageUpKeyStroke: () => (/* binding */ TableNavigationPageUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationPageUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.PAGE_UP];
    this.renderingHints.text = 'PgUp';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let viewport = this._viewportInfo();
      if (viewport.firstRow) {
        return viewport.firstRow.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      viewport = this._viewportInfo(),
      rows = table.visibleRows,
      selectedRows = table.selectedRows,
      firstSelectedRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(selectedRows),
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1,
      newSelectedRows;
    // First row may be undefined if there is only one row visible in the viewport and this row is bigger than the viewport. In that case just scroll up.
    // If it already is at the top nothing will happen
    if (!viewport.firstRow) {
      table.scrollPageUp();
      viewport = this._viewportInfo();
      if (!viewport.firstRow) {
        return;
      }
    }
    if (lastActionRow) {
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
    if (lastActionRowIndex < 0) {
      lastActionRow = firstSelectedRow;
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    // If first row in viewport already is selected -> scroll a page up
    // Don't do it if multiple rows are selected and user only presses page up without shift
    if (selectedRows.length > 0 && lastActionRow === viewport.firstRow && !(selectedRows.length > 1 && !event.shiftKey)) {
      table.scrollPageUp();
      viewport = this._viewportInfo();
      if (!viewport.firstRow) {
        // May happen due to same reason as above -> Row will fill the whole viewport after scrolling
        return;
      }
    }
    if (event.shiftKey && selectedRows.length > 0) {
      newSelectedRows = rows.slice(rows.indexOf(viewport.firstRow), lastActionRowIndex);
      newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(selectedRows, newSelectedRows);
    } else {
      newSelectedRows = [viewport.firstRow];
    }
    table.selectionHandler.lastActionRow = viewport.firstRow;
    table.selectRows(newSelectedRows, true);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, viewport.firstRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableNavigationUpKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/table/keystrokes/TableNavigationUpKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableNavigationUpKeyStroke: () => (/* binding */ TableNavigationUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableNavigationUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTableNavigationKeyStroke {
  constructor(table) {
    super(table);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.text = '↑';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let row = this.firstRowBeforeSelection();
      if (row) {
        return row.$row;
      }
    };
  }
  handle(event) {
    let table = this.field,
      rows = table.visibleRows,
      selectedRows = table.selectedRows,
      lastActionRow = table.selectionHandler.lastActionRow,
      lastActionRowIndex = -1,
      newActionRowIndex = -1,
      newSelectedRows,
      newActionRow;
    if (lastActionRow) {
      lastActionRowIndex = rows.indexOf(lastActionRow);
    }
    if (rows.length > 1 && (selectedRows.length > 0 || lastActionRowIndex > -1)) {
      // last action row index maybe < 0 if row got invisible (e.g. due to filtering), or if the user has not made a selection before
      if (lastActionRowIndex < 0) {
        if (rows.length === selectedRows.length) {
          lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(rows);
        } else {
          lastActionRow = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(selectedRows);
        }
        lastActionRowIndex = rows.indexOf(lastActionRow);
      }
      if (lastActionRowIndex === 0) {
        return;
      }
      newActionRowIndex = lastActionRowIndex - 1;
      newActionRow = rows[newActionRowIndex];
      newSelectedRows = [newActionRow];
      if (event.shiftKey) {
        if (table.isRowSelected(newActionRow)) {
          // if new action row already is selected, remove last action row from selection
          // use case: rows 2,3,4 are selected, last action row is 4. User presses shift-up -> rows 2,3 need to be the new selection
          newSelectedRows = [];
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(newSelectedRows, selectedRows);
          // only unselect when first or last row (but not in the middle of the selection, see #172929)
          let selectionIndizes = table.selectionHandler.getMinMaxSelectionIndizes();
          if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(lastActionRowIndex, selectionIndizes[0], selectionIndizes[1])) {
            _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(newSelectedRows, lastActionRow);
          }
        } else {
          newSelectedRows = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(newSelectedRows, selectedRows);
          newActionRow = this._findLastSelectedRowBefore(table, newActionRowIndex);
        }
      }
    } else {
      newSelectedRows = [_index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(rows)];
      newActionRow = newSelectedRows[0];
    }
    table.selectionHandler.lastActionRow = newActionRow;
    table.selectRows(newSelectedRows, true);
    table.scrollTo(newActionRow);
    if (!table.isFocused()) {
      table.focus();
    }
    // Set active descendant to the new row. This should be done last so selection state/focus/etc. is
    // all set correctly before the change of active descendant triggers the screen readers announcement.
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.field.$container, newActionRow.$row);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableRefreshKeyStroke.ts":
/*!*******************************************************!*\
  !*** ./src/table/keystrokes/TableRefreshKeyStroke.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableRefreshKeyStroke: () => (/* binding */ TableRefreshKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableRefreshKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.field = table;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.F5];
    this.renderingHints.offset = 14;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      return this.field.footer ? this.field.footer._$infoLoad.find('.table-info-button') : null;
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && this.field.hasReloadHandler;
  }
  handle(event) {
    this.field.reload();
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableSelectAllKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/table/keystrokes/TableSelectAllKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableSelectAllKeyStroke: () => (/* binding */ TableSelectAllKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableSelectAllKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.field = table;
    this.ctrl = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.A];
    this.renderingHints.offset = 14;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      return this.field.footer ? this.field.footer._$infoSelection.find('.table-info-button') : null;
    };
    this.inheritAccessibility = false;
  }
  _accept(event) {
    var _this$field$footer;
    if ((_this$field$footer = this.field.footer) !== null && _this$field$footer !== void 0 && (_this$field$footer = _this$field$footer.$controlContainer) !== null && _this$field$footer !== void 0 && _this$field$footer.has(event.target).length) {
      // Allow text selection inside control container (labels, iframes etc.)
      return false;
    }
    return super._accept(event);
  }
  handle(event) {
    let table = this.field;
    table.toggleSelection();
    table.selectionHandler.lastActionRow = null;
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableStartCellEditKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/table/keystrokes/TableStartCellEditKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableStartCellEditKeyStroke: () => (/* binding */ TableStartCellEditKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableStartCellEditKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.field = table;
    this.ctrl = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER];
    this.stopPropagation = true;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let editPosition = event._editPosition,
        columnIndex = this.field.visibleColumns().indexOf(editPosition.column);
      if (columnIndex === 0) {
        // Other keystrokes like PageDown, Home etc. are displayed in the row -> make sure the cell edit keystroke will be displayed next to the other ones
        return editPosition.row.$row;
      }
      return this.field.$cell(columnIndex, editPosition.row.$row);
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (this.field.cellEditorPopup) {
      // Already open
      return false;
    }
    let selectedRows = this.field.selectedRows;
    if (!selectedRows.length) {
      return false;
    }
    let position = this.field.nextEditableCellPosForRow(0, selectedRows[0]);
    if (position) {
      event._editPosition = position;
      return true;
    }
    return false;
  }
  handle(event) {
    let editPosition = event._editPosition;
    this.field.prepareCellEdit(editPosition.column, editPosition.row, true);
  }
}

/***/ }),

/***/ "./src/table/keystrokes/TableToggleRowKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/table/keystrokes/TableToggleRowKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableToggleRowKeyStroke: () => (/* binding */ TableToggleRowKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableToggleRowKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(table) {
    super();
    this.field = table;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.stopPropagation = true;
    this.renderingHints.render = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && this.field.checkable && this.field.selectedRows.length > 0;
  }
  handle(event) {
    let selectedRows = this.field.selectedRows.filter(row => row.enabled);
    // Toggle checked state to 'true', except if every row is already checked
    let checked = selectedRows.some(row => !row.checked);
    selectedRows.forEach(row => this.field.checkRow(row, checked));
  }
}

/***/ }),

/***/ "./src/table/organizer/RemoteTableOrganizer.ts":
/*!*****************************************************!*\
  !*** ./src/table/organizer/RemoteTableOrganizer.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteTableOrganizer: () => (/* binding */ RemoteTableOrganizer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Special table organizer for classic tables that are controlled by the Java model on the UI server. Unlike
 * the default {@link TableOrganizer}, it does not handle the `columnOrganizeAction` event itself, but lets
 * it be sent to the server via {@link TableAdapter}. The availability of the column organize actions depends
 * on the flags {@link Table#columnAddable}, {@link Column#removable} and {@link Column#modifiable} reported
 * by the server.
 */
class RemoteTableOrganizer extends _index__WEBPACK_IMPORTED_MODULE_0__.TableOrganizer {
  install(table) {
    if (this.table) {
      throw new Error('Already installed');
    }
    this.table = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(table, _index__WEBPACK_IMPORTED_MODULE_0__.Table);
  }
  uninstall() {
    this.table = null;
  }
  isColumnAddable(insertAfterColumn) {
    if (!this.table) {
      return false; // not installed
    }
    return this.table.columnAddable;
  }
  isColumnRemovable(column) {
    if (!this.table) {
      return false; // not installed
    }
    return column.removable;
  }
  isColumnModifiable(column) {
    if (!this.table) {
      return false; // not installed
    }
    return column.modifiable;
  }
}

/***/ }),

/***/ "./src/table/organizer/ShowInvisibleColumnsForm.ts":
/*!*********************************************************!*\
  !*** ./src/table/organizer/ShowInvisibleColumnsForm.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ShowInvisibleColumnsForm: () => (/* binding */ ShowInvisibleColumnsForm)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var _ShowInvisibleColumnsFormModel__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ShowInvisibleColumnsFormModel */ "./src/table/organizer/ShowInvisibleColumnsFormModel.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ShowInvisibleColumnsForm extends _index__WEBPACK_IMPORTED_MODULE_0__.Form {
  _jsonModel() {
    return (0,_ShowInvisibleColumnsFormModel__WEBPACK_IMPORTED_MODULE_1__["default"])();
  }
  importData() {
    var _this$data;
    let invisibleColumns = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure((_this$data = this.data) === null || _this$data === void 0 ? void 0 : _this$data.columns);
    let rows = invisibleColumns.map(column => {
      return {
        cells: [column, false, this._createTitleCell(column)]
      };
    });
    this.widget('ColumnsTable').insertRows(rows);
  }
  exportData() {
    let columnsTable = this.widget('ColumnsTable');
    let keyColumn = columnsTable.columnById('KeyColumn');
    let selectedColumns = columnsTable.checkedRows().map(row => keyColumn.cellValue(row));
    return {
      columns: selectedColumns
    };
  }
  _createTitleCell(column) {
    let text = column.text;
    let htmlEnabled = column.headerHtmlEnabled;
    let font = null;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(text)) {
      text = column.headerTooltipText;
      htmlEnabled = column.headerTooltipHtmlEnabled;
      font = 'italic';
    }
    let title = htmlEnabled ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(text) : text;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Cell, {
      value: title,
      font: font
    });
  }
}

/***/ }),

/***/ "./src/table/organizer/ShowInvisibleColumnsFormModel.ts":
/*!**************************************************************!*\
  !*** ./src/table/organizer/ShowInvisibleColumnsFormModel.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColumnsTable: () => (/* binding */ ColumnsTable),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (() => ({
  objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Form,
  title: '${textKey:ShowColumns}',
  saveNeededVisible: false,
  rootGroupBox: {
    id: 'MainBox',
    objectType: _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox,
    mainBox: true,
    gridColumnCount: 1,
    menus: [{
      id: 'OkMenu',
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.OkMenu
    }, {
      id: 'CancelMenu',
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.CancelMenu
    }],
    fields: [{
      id: 'GroupBox',
      objectType: _index__WEBPACK_IMPORTED_MODULE_0__.GroupBox,
      statusVisible: false,
      fields: [{
        id: 'ColumnsTableField',
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.TableField,
        labelVisible: false,
        statusVisible: false,
        gridDataHints: {
          h: 6
        },
        table: {
          id: 'ColumnsTable',
          objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Table,
          cssClass: 'table-organizer-show-invisible-columns-form-table',
          checkable: true,
          checkableStyle: _index__WEBPACK_IMPORTED_MODULE_0__.Table.CheckableStyle.CHECKBOX_TABLE_ROW,
          headerVisible: false,
          autoResizeColumns: true,
          columns: [{
            id: 'KeyColumn',
            objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Column,
            primaryKey: true,
            displayable: false
          }, {
            id: 'CheckedColumn',
            objectType: _index__WEBPACK_IMPORTED_MODULE_0__.BooleanColumn,
            checkable: true,
            // reduce gap between checkbox and title (like ListBox)
            width: 28,
            minWidth: 28,
            fixedWidth: true,
            nodeColumnCandidate: false
          }, {
            id: 'TitleColumn',
            objectType: _index__WEBPACK_IMPORTED_MODULE_0__.Column
          }]
        }
      }]
    }]
  }
}));
class ColumnsTable extends _index__WEBPACK_IMPORTED_MODULE_0__.Table {}

/***/ }),

/***/ "./src/table/organizer/TableOrganizer.ts":
/*!***********************************************!*\
  !*** ./src/table/organizer/TableOrganizer.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableOrganizer: () => (/* binding */ TableOrganizer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * If present on a table, allows adding, removing or modifying columns. If the table is customizable,
 * those functions are delegated to the table customizer. Otherwise, adding or removing a column
 * changes its `visible` flag, while modifying is currently not supported.
 *
 * Use {@link #install} to attach the table organizer to a table. This happens automatically when
 * the table organizer is defined on the {@link Table}.
 *
 * @see Table#organizer
 * @see TableHeaderMenu#_renderColumnActionsGroup
 * @see ShowInvisibleColumnsForm
 */
class TableOrganizer {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "_columnOrganizeActionHandler", void 0);
    this.table = null; // set with install()
    this._columnOrganizeActionHandler = this._onColumnOrganizeAction.bind(this);
  }
  /**
   * Installs a listener for the `columnOrganizeAction` event on the given table. If the organizer is already
   * installed, an error is thrown. In most cases, it is not necessary to call this method manually. Consider
   * using {@link Table#setOrganizer} instead.
   */
  install(table) {
    if (this.table) {
      throw new Error('Already installed');
    }
    this.table = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertInstance(table, _index__WEBPACK_IMPORTED_MODULE_0__.Table);
    this.table.on('columnOrganizeAction', this._columnOrganizeActionHandler);
  }
  /**
   * Uninstalls the listener for the `columnOrganizeAction` event on the given table. If the organizer is not
   * installed, nothing happens. In most cases, it is not necessary to call this method manually. Consider
   * using {@link Table#setOrganizer} instead.
   */
  uninstall() {
    if (this.table) {
      this.table.off('columnOrganizeAction', this._columnOrganizeActionHandler);
      this.table = null;
    }
  }
  // --------------------
  /**
   * Returns a list of all currently invisible but displayable columns that can be added to the list of
   * visible columns by the table organizer.
   *
   * If a column is specified after which the selected columns are to be moved, the result will only include
   * columns that can be moved there without overtaking existing columns with `fixedPosition=true`.
   */
  getInvisibleColumns(insertAfterColumn) {
    if (!this.table) {
      return []; // not installed
    }
    let displayableColumns = this.table.displayableColumns();
    let visibleColumns = this.table.visibleColumns();
    // Only consider the "insertAfterColumn" if it is visible. ShowInvisibleColumnsForm#exportData will
    // then keep the current column position and only update the visibility.
    if (insertAfterColumn && visibleColumns.includes(insertAfterColumn)) {
      // Only allow adding invisible columns between two visible columns with fixed position (if present).
      // Otherwise, it would be possible to hide them and add them again on the other side.
      let insertAfterIndex = visibleColumns.indexOf(insertAfterColumn);
      let prevFixedColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFromReverse(visibleColumns, insertAfterIndex, col => col.fixedPosition);
      let nextFixedColumn = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFromForward(visibleColumns, insertAfterIndex + 1, col => col.fixedPosition);
      if (prevFixedColumn || nextFixedColumn) {
        displayableColumns = displayableColumns.slice(prevFixedColumn ? displayableColumns.indexOf(prevFixedColumn) : 0, nextFixedColumn ? displayableColumns.indexOf(nextFixedColumn) : undefined);
      }
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(displayableColumns, visibleColumns);
  }
  /**
   * Adds the given columns to the list of visible columns. If `insertAfterColumn` is set, the columns are
   * also moved after the specified column. Otherwise, they remain at their current position.
   */
  showColumns(columns, insertAfterColumn) {
    if (!this.table) {
      return; // not installed
    }
    columns = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(columns).filter(column => this.table.columns.includes(column));
    if (!columns.length) {
      return; // nothing to do
    }
    if (insertAfterColumn && insertAfterColumn.visible && this.table.columns.includes(insertAfterColumn)) {
      // If a "insertAfterColumn" is provided, move the (still hidden) columns to a position right after that column.
      // We do this _before_ making them visible to prevent the animation. If no valid "insertAfterColumn" is provided,
      // the selected columns are only made visible, but not moved.
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(this.table.columns, columns);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insertAll(this.table.columns, columns, this.table.columns.indexOf(insertAfterColumn) + 1);
    }
    // Make the columns visible (at their new location)
    columns.forEach(column => column.setVisible(true, false)); // parameter 'false' skips call of onColumnVisibilityChanged()
    this.table.onColumnVisibilityChanged(); // do this only once, will also update the aggregate rows
  }
  /**
   * Hides the given column. If it was grouped, the grouping is removed. If it was part of a filter, the filter is removed.
   */
  hideColumn(column) {
    if (!this.table) {
      return; // not installed
    }
    if (!column) {
      return; // nothing to do
    }
    column.setVisible(false);
    if (column.grouped) {
      this.table.groupColumn(column, true, null, true); // multiGroup=true is necessary to not affect potentially other grouped columns
    }
    this.table.removeFilterByKey(column.id);
  }
  /**
   * Returns true if there are addable columns according to {@link getInvisibleColumns}.
   */
  isColumnAddable(insertAfterColumn) {
    if (!this.table) {
      return false; // not installed
    }
    if (!this.table.columnAddable) {
      return false; // explicitly disabled
    }
    if (this.table.isCustomizable()) {
      return true;
    }
    let invisibleColumns = this.getInvisibleColumns(insertAfterColumn);
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.hasElements(invisibleColumns);
  }
  /**
   * Returns true if the given column can be removed form the table.
   */
  isColumnRemovable(column) {
    if (!this.table) {
      return false; // not installed
    }
    if (!column.removable) {
      return false; // explicitly disabled
    }
    if (column.fixedPosition) {
      return false;
    }
    if (this.table.isCustomizable()) {
      return true;
    }
    // Prevent removal of last column, because there is no separate organize menu in Scout JS
    return this.table.visibleColumns().length > 1;
  }
  /**
   * Returns true if the given column can be modified.
   */
  isColumnModifiable(column) {
    if (!this.table) {
      return false; // not installed
    }
    if (!column.modifiable) {
      return false; // explicitly disabled
    }
    if (this.table.isCustomizable()) {
      return true;
    }
    return false;
  }
  // --------------------
  _onColumnOrganizeAction(event) {
    switch (event.action) {
      case 'add':
        return this._handleColumnAddEvent(event);
      case 'remove':
        return this._handleColumnRemoveEvent(event);
      case 'modify':
        return this._handleColumnModifyEvent(event);
    }
  }
  _handleColumnAddEvent(event) {
    if (this.table.isCustomizable()) {
      // TODO bsh [js-table] Delegate to this.table.tableCustomizer
    } else {
      this._showInvisibleColumnsForm(event.column);
    }
  }
  _showInvisibleColumnsForm(insertAfterColumn) {
    let form = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ShowInvisibleColumnsForm, {
      parent: this.table,
      data: {
        columns: this.getInvisibleColumns(insertAfterColumn)
      }
    });
    form.open();
    form.whenSave().then(() => {
      this.showColumns(form.data.columns, insertAfterColumn);
    });
  }
  _handleColumnRemoveEvent(event) {
    if (this.table.isCustomizable()) {
      // TODO bsh [js-table] Delegate to this.table.tableCustomizer
    } else {
      this.hideColumn(event.column);
    }
  }
  _handleColumnModifyEvent(event) {
    if (this.table.isCustomizable()) {
      // TODO bsh [js-table] Delegate to this.table.tableCustomizer
    } else {
      // NOP (currently not supported)
    }
  }
}

/***/ }),

/***/ "./src/table/userfilter/ColumnUserFilter.ts":
/*!**************************************************!*\
  !*** ./src/table/userfilter/ColumnUserFilter.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ColumnUserFilter: () => (/* binding */ ColumnUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ColumnUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter {
  constructor() {
    super();
    _defineProperty(this, "column", void 0);
    _defineProperty(this, "hasFilterFields", void 0);
    _defineProperty(this, "availableValues", void 0);
    _defineProperty(this, "selectedValues", void 0);
    _defineProperty(this, "matrix", void 0);
    _defineProperty(this, "xAxis", void 0);
    this.filterType = ColumnUserFilter.TYPE;
    this.hasFilterFields = false;
    this.availableValues = [];
    this.selectedValues = [];
  }
  axisGroup() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT;
  }
  calculate() {
    let containsSelectedValue, reorderAxis;
    this.matrix = new _index__WEBPACK_IMPORTED_MODULE_0__.TableMatrix(this.table, this.session);
    this.matrix.addData(this.column, _index__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT);
    this.xAxis = this.matrix.addAxis(this.column, this.axisGroup());
    let cube = this.matrix.calculate();
    this.selectedValues.forEach(selectedValue => {
      containsSelectedValue = false;
      this.xAxis.some(key => {
        if (this.xAxis.keyToDeterministicKey(key) === selectedValue) {
          containsSelectedValue = true;
          return true;
        }
        return false;
      });
      if (!containsSelectedValue) {
        this.xAxis.push(this.xAxis.deterministicKeyToKey(selectedValue));
        reorderAxis = true;
      }
    });
    if (reorderAxis) {
      this.xAxis.reorder();
    }
    this.availableValues = [];
    this.xAxis.forEach(key => {
      let deterministicKey = this.xAxis.keyToDeterministicKey(key);
      let text = this.formatText(key);
      let iconId = null;
      if (key !== null && this.xAxis.isIcon) {
        // Only display icon if isIcon (still display empty text if key is null)
        iconId = text;
        text = null;
      }
      let cubeValue = cube.getValue([key]);
      this.availableValues.push({
        key: deterministicKey,
        text: text,
        iconId: iconId,
        htmlEnabled: false,
        cssClass: null,
        count: cubeValue ? cubeValue[0] : 0
      });
    });
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.columnId = this.column.id;
    data.selectedValues = this.selectedValues;
    return data;
  }
  createFilterRemovedEventData() {
    let data = super.createFilterRemovedEventData();
    data.columnId = this.column.id;
    return data;
  }
  createLabel() {
    if (this.column.headerHtmlEnabled) {
      let plainText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(this.column.text);
      return plainText.replace(/\n/g, ' ');
    }
    return this.column.text || '';
  }
  createKey() {
    return this.column.id;
  }
  accept(row) {
    if (!this.xAxis) {
      // Lazy calculation. It is not possible on init, because the table is not rendered yet.
      this.calculate();
    }
    let acceptByTable = true,
      acceptByFields = true,
      value = this.column.cellValueOrTextForCalculation(row),
      deterministicKey = this.xAxis.normDeterministic(value);
    if (this.tableFilterActive()) {
      acceptByTable = this.selectedValues.indexOf(deterministicKey) > -1;
    }
    if (this.fieldsFilterActive()) {
      acceptByFields = this.acceptByFields(value, deterministicKey, row);
    }
    return acceptByTable && acceptByFields;
  }
  filterActive() {
    return this.tableFilterActive() || this.fieldsFilterActive();
  }
  tableFilterActive() {
    return this.selectedValues.length > 0;
  }
  triggerFilterFieldsChanged() {
    this.trigger('filterFieldsChanged');
  }
  /**
   * Returns whether the given key is accepted by the filter-fields in their current state.
   * The default impl. returns true.
   */
  acceptByFields(key, normKey, row) {
    return true;
  }
  /**
   * Returns whether filter-fields have an effect on the column-filter in their current state.
   * The default impl. returns false.
   */
  fieldsFilterActive() {
    return false;
  }
  /**
   * Adds filter fields for this type of column filter.
   * The default impl. adds no fields.
   */
  addFilterFields(groupBox) {
    // NOP
  }
  /**
   * Called after filter group-box has been rendered.
   * Gives the filter impl. a chance to modify the rendered fields.
   * The default impl. does nothing.
   */
  modifyFilterFields() {
    // NOP
  }
  /**
   * Returns the title displayed above the filter fields.
   * The default impl. returns a null value, which means the title is not displayed.
   */
  filterFieldsTitle() {
    return null;
  }
  createComparator() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.comparators.NUMERIC;
  }
  formatText(key) {
    return this.xAxis.format(key);
  }
  linkFieldsWithTitle($filterFieldsText) {
    // NOP
  }
}
_defineProperty(ColumnUserFilter, "TYPE", 'column');

/***/ }),

/***/ "./src/table/userfilter/ColumnUserFilterEventMap.ts":
/*!**********************************************************!*\
  !*** ./src/table/userfilter/ColumnUserFilterEventMap.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/userfilter/ColumnUserFilterModel.ts":
/*!*******************************************************!*\
  !*** ./src/table/userfilter/ColumnUserFilterModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/userfilter/DateColumnUserFilter.ts":
/*!******************************************************!*\
  !*** ./src/table/userfilter/DateColumnUserFilter.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateColumnUserFilter: () => (/* binding */ DateColumnUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DateColumnUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter {
  constructor() {
    super();
    _defineProperty(this, "dateFrom", void 0);
    _defineProperty(this, "dateTo", void 0);
    _defineProperty(this, "dateFromField", void 0);
    _defineProperty(this, "dateToField", void 0);
    this.dateFrom = null;
    this.dateFromField = null;
    this.dateTo = null;
    this.dateToField = null;
    this.hasFilterFields = true;
  }
  _init(model) {
    super._init(model);
    this.dateFrom = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(model.dateFrom);
    this.dateTo = _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(model.dateTo);
  }
  axisGroup() {
    if (this.column.hasDate) {
      // Default grouping for date columns is year
      return _index__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.YEAR;
    }
    // No grouping for time columns
    return _index__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.NONE;
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.dateFrom = _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDate(this.dateFrom);
    data.dateTo = _index__WEBPACK_IMPORTED_MODULE_0__.dates.toJsonDate(this.dateTo);
    return data;
  }
  fieldsFilterActive() {
    return !!this.dateFrom || !!this.dateTo;
  }
  acceptByFields(key, normKey, row) {
    // if date is empty and dateFrom/dateTo is set, the row should never match
    if (!key) {
      return false;
    }
    let keyValue = key.valueOf(),
      fromValue = this.dateFrom ? this.dateFrom.valueOf() : null,
      // Shift the toValue to 1ms before midnight/next day. Thus any time of the selected day is accepted.
      toValue = this.dateTo ? _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(this.dateTo, 0, 0, 1).valueOf() - 1 : null;
    if (fromValue && toValue) {
      return keyValue >= fromValue && keyValue <= toValue;
    }
    if (fromValue) {
      return keyValue >= fromValue;
    }
    if (toValue) {
      return keyValue <= toValue;
    }
    // acceptByFields is only called when filter fields are active
    throw new Error('illegal state');
  }
  filterFieldsTitle() {
    return this.session.text('ui.DateRange');
  }
  addFilterFields(groupBox) {
    this.dateFromField = groupBox.addFilterField(_index__WEBPACK_IMPORTED_MODULE_0__.DateField, 'ui.from');
    this.dateFromField.setValue(this.dateFrom);
    this.dateFromField.on('propertyChange', this._onPropertyChange.bind(this));
    this.dateToField = groupBox.addFilterField(_index__WEBPACK_IMPORTED_MODULE_0__.DateField, 'ui.to');
    this.dateToField.setValue(this.dateTo);
    this.dateToField.on('propertyChange', this._onPropertyChange.bind(this));
  }
  _onPropertyChange(event) {
    if (event.propertyName !== 'value') {
      return;
    }
    this.dateFrom = this.dateFromField.value;
    this.dateTo = this.dateToField.value;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(DateColumnUserFilter#_onAcceptInput) dateFrom=' + this.dateFrom + ' dateTo=' + this.dateTo);
    this.triggerFilterFieldsChanged();
  }
  modifyFilterFields() {
    this.dateFromField.$field.on('input', '', jquery__WEBPACK_IMPORTED_MODULE_1___default().debounce(this._onInput.bind(this)));
    this.dateToField.$field.on('input', '', jquery__WEBPACK_IMPORTED_MODULE_1___default().debounce(this._onInput.bind(this)));
  }
  linkFieldsWithTitle($filterFieldsText) {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.dateFromField.$dateField, $filterFieldsText);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.dateToField.$dateField, $filterFieldsText);
  }
  _onInput(event) {
    if (!this.dateFromField.rendered) {
      // popup has been closed in the mean time
      return;
    }
    this.dateFrom = this.dateFromField.value;
    this.dateTo = this.dateToField.value;
    this.triggerFilterFieldsChanged();
  }
}

/***/ }),

/***/ "./src/table/userfilter/DateColumnUserFilterModel.ts":
/*!***********************************************************!*\
  !*** ./src/table/userfilter/DateColumnUserFilterModel.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/userfilter/NumberColumnUserFilter.ts":
/*!********************************************************!*\
  !*** ./src/table/userfilter/NumberColumnUserFilter.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberColumnUserFilter: () => (/* binding */ NumberColumnUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class NumberColumnUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter {
  constructor() {
    super();
    _defineProperty(this, "numberFrom", void 0);
    _defineProperty(this, "numberTo", void 0);
    _defineProperty(this, "numberFromField", void 0);
    _defineProperty(this, "numberToField", void 0);
    this.numberFrom = null;
    this.numberFromField = null;
    this.numberTo = null;
    this.numberToField = null;
    this.hasFilterFields = true;
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.numberFrom = this.numberFrom;
    data.numberTo = this.numberTo;
    return data;
  }
  fieldsFilterActive() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(this.numberFrom) || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(this.numberTo);
  }
  acceptByFields(key, normKey, row) {
    let hasFrom = _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(this.numberFrom),
      hasTo = _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber(this.numberTo);
    if (hasFrom && hasTo) {
      return normKey >= this.numberFrom && normKey <= this.numberTo;
    }
    if (hasFrom) {
      return normKey >= this.numberFrom;
    }
    if (hasTo) {
      return normKey <= this.numberTo;
    }
  }
  filterFieldsTitle() {
    return this.session.text('ui.NumberRange');
  }
  addFilterFields(groupBox) {
    this.numberFromField = groupBox.addFilterField(_index__WEBPACK_IMPORTED_MODULE_0__.NumberField, 'ui.from');
    this.numberFromField.decimalFormat = this.column.decimalFormat;
    this.numberFromField.setValue(this.numberFrom);
    this.numberFromField.on('propertyChange', this._onPropertyChange.bind(this));
    this.numberToField = groupBox.addFilterField(_index__WEBPACK_IMPORTED_MODULE_0__.NumberField, 'ui.to');
    this.numberToField.decimalFormat = this.column.decimalFormat;
    this.numberToField.setValue(this.numberTo);
    this.numberToField.on('propertyChange', this._onPropertyChange.bind(this));
  }
  _onPropertyChange(event) {
    if (event.propertyName !== 'value') {
      return;
    }
    this.numberFrom = this.numberFromField.value;
    this.numberTo = this.numberToField.value;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(NumberColumnUserFilter#_onPropertyChange) numberFrom=' + this.numberFrom + ' numberTo=' + this.numberTo);
    this.triggerFilterFieldsChanged();
  }
  linkFieldsWithTitle($filterFieldsText) {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.numberFromField.$field, $filterFieldsText);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel(this.numberToField.$field, $filterFieldsText);
  }
}

/***/ }),

/***/ "./src/table/userfilter/NumberColumnUserFilterModel.ts":
/*!*************************************************************!*\
  !*** ./src/table/userfilter/NumberColumnUserFilterModel.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/userfilter/TableTextUserFilter.ts":
/*!*****************************************************!*\
  !*** ./src/table/userfilter/TableTextUserFilter.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableTextUserFilter: () => (/* binding */ TableTextUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TableTextUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter {
  constructor() {
    super();
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "_cachedText", void 0);
    _defineProperty(this, "_cachedTextLowerCase", void 0);
    this.filterType = TableTextUserFilter.TYPE;
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.text = this.text;
    return data;
  }
  createLabel() {
    return this.text;
  }
  accept(row) {
    let rowText = this.table.visibleColumns().reduce((acc, column) => acc + column.cellTextForTextFilter(row) + ' ', '');
    let text = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.text, '');
    if (text !== this._cachedText) {
      this._cachedText = text;
      this._cachedTextLowerCase = text.toLowerCase();
    }
    rowText = rowText.trim().toLowerCase();
    return rowText.indexOf(this._cachedTextLowerCase) > -1;
  }
}
_defineProperty(TableTextUserFilter, "TYPE", 'text');

/***/ }),

/***/ "./src/table/userfilter/TableTextUserFilterModel.ts":
/*!**********************************************************!*\
  !*** ./src/table/userfilter/TableTextUserFilterModel.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/table/userfilter/TableUserFilter.ts":
/*!*************************************************!*\
  !*** ./src/table/userfilter/TableUserFilter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TableUserFilter: () => (/* binding */ TableUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TableUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  constructor() {
    super();
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "table", void 0);
    _defineProperty(this, "filterType", void 0);
    this.session = null;
  }
  init(model) {
    this.session = model.session;
    if (!this.session) {
      throw new Error('Session expected: ' + this);
    }
    this._init(model);
  }
  _init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
  }
  createFilterAddedEventData() {
    return {
      filterType: this.filterType
    };
  }
  createFilterRemovedEventData() {
    return {
      filterType: this.filterType
    };
  }
  createKey() {
    return this.filterType;
  }
  equals(filter) {
    if (!(filter instanceof TableUserFilter)) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.createKey(), filter.createKey());
  }
}

/***/ }),

/***/ "./src/table/userfilter/TableUserFilterModel.ts":
/*!******************************************************!*\
  !*** ./src/table/userfilter/TableUserFilterModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/userfilter/TextColumnUserFilter.ts":
/*!******************************************************!*\
  !*** ./src/table/userfilter/TextColumnUserFilter.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextColumnUserFilter: () => (/* binding */ TextColumnUserFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TextColumnUserFilter extends _index__WEBPACK_IMPORTED_MODULE_0__.ColumnUserFilter {
  constructor() {
    super();
    _defineProperty(this, "freeText", void 0);
    _defineProperty(this, "freeTextField", void 0);
    this.freeText = null;
    this.freeTextField = null;
    this.hasFilterFields = true;
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.freeText = this.freeText;
    return data;
  }
  fieldsFilterActive() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.freeText);
  }
  acceptByFields(key, normKey, row) {
    let filterFieldText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(this.freeText).toLowerCase(),
      rowText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.nvl(this.column.cellTextForTextFilter(row)).toLowerCase();
    return rowText.indexOf(filterFieldText) > -1;
  }
  filterFieldsTitle() {
    return this.session.text('ui.FreeText');
  }
  addFilterFields(groupBox) {
    this.freeTextField = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.StringField, {
      parent: groupBox,
      labelVisible: false,
      statusVisible: false,
      maxLength: 100,
      displayText: this.freeText,
      updateDisplayTextOnModify: true
    });
    this.freeTextField.on('acceptInput', this._onAcceptInput.bind(this));
    groupBox.addField0(this.freeTextField);
  }
  _onAcceptInput(event) {
    let val = this.freeTextField.$field.val();
    this.freeText = val.trim();
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('(TextColumnUserFilter#_onAcceptInput) freeText=' + this.freeText);
    this.triggerFilterFieldsChanged();
  }
  modifyFilterFields() {
    this.freeTextField.removeMandatoryIndicator();
  }
}

/***/ }),

/***/ "./src/table/userfilter/TextColumnUserFilterModel.ts":
/*!***********************************************************!*\
  !*** ./src/table/userfilter/TextColumnUserFilterModel.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tagbar/TagBar.ts":
/*!******************************!*\
  !*** ./src/tagbar/TagBar.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagBar: () => (/* binding */ TagBar)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TagBar extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "overflowEnabled", void 0);
    _defineProperty(this, "overflowVisible", void 0);
    _defineProperty(this, "tags", void 0);
    _defineProperty(this, "clickable", void 0);
    _defineProperty(this, "overflow", void 0);
    _defineProperty(this, "$overflowIcon", void 0);
    this.overflowEnabled = true;
    this.$overflowIcon = null;
    this.overflowVisible = false;
    this.overflow = null;
    this.tags = [];
    this.clickable = false;
  }
  _render() {
    this.$container = this.$parent.appendDiv('tag-bar');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.TagBarLayout(this));
    this._installTooltipSupport();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTags();
    this._renderOverflowVisible();
  }
  _remove() {
    this.$overflowIcon = null;
    this.overflowVisible = false;
    this.closeOverflowPopup();
    this._uninstallTooltipSupport();
    super._remove();
  }
  setTags(tags) {
    this.setProperty('tags', tags);
  }
  updateTags() {
    if (this.rendered) {
      this._renderTags();
    }
  }
  _renderTags() {
    let tags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.tags);
    this.renderTags(this.$container, tags);
    this.invalidateLayoutTree();
  }
  setClickable(clickable) {
    this.setProperty('clickable', clickable);
  }
  _renderClickable() {
    this._renderTagsClickable(this.$container.children('.tag-element'));
    this.invalidateLayoutTree();
  }
  _onTagClick(event) {
    let tag = TagBar.getTagData(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget));
    this._triggerTagClick(tag);
    return false;
  }
  _triggerTagClick(tag) {
    this.trigger('tagClick', {
      tag: tag
    });
  }
  _renderEnabled() {
    super._renderEnabled();
    this._renderTagsRemovable(this.$container.children('.tag-element'));
    this.invalidateLayoutTree();
  }
  _onTagRemoveClick(event) {
    if (this.enabledComputed) {
      this.removeTagByElement(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget));
    }
    return false;
  }
  removeTagByElement($tag) {
    let tag = TagBar.getTagData($tag);
    if (tag) {
      this._triggerTagRemove(tag, $tag);
    }
  }
  _triggerTagRemove(tag, $tag) {
    this.trigger('tagRemove', {
      tag: tag,
      $tag: $tag
    });
  }
  _onOverflowIconMousedown(event) {
    this.toggleOverflowPopup();
    return false;
  }
  isOverflowIconFocused() {
    if (!this.$overflowIcon) {
      return false;
    }
    let $ae = this.$container.activeElement();
    return this.$overflowIcon.is($ae);
  }
  openOverflowPopup() {
    if (this.overflow) {
      return;
    }
    this.$overflowIcon.addClass('selected');
    this.overflow = this._createOverflowPopup();
    this.overflow.open();
    this.overflow.one('destroy', event => {
      if (this.$overflowIcon) {
        this.$overflowIcon.removeClass('selected');
      }
      this.overflow = null;
    });
  }
  _createOverflowPopup() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TagBarOverflowPopup, {
      parent: this,
      closeOnAnchorMouseDown: false,
      focusableContainer: true,
      $anchor: this.$overflowIcon,
      cssClass: this.cssClass
    });
  }
  closeOverflowPopup() {
    if (this.overflow) {
      this.overflow.close();
    }
  }
  toggleOverflowPopup() {
    if (this.overflow) {
      this.closeOverflowPopup();
    } else {
      this.openOverflowPopup();
    }
  }
  _installTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$container, {
      parent: this,
      selector: '.tag-text',
      text: this._tagTooltipText.bind(this),
      arrowPosition: 50,
      arrowPositionUnit: '%',
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible()
    });
  }
  _uninstallTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$container);
  }
  _tagTooltipText($tag) {
    return $tag.isContentTruncated() ? $tag.text() : null;
  }
  _removeFocusFromTagElements() {
    TagBar.findFocusableTagElements(this.$container).removeClass('focused').setTabbable(false);
  }
  focus(options) {
    this.$container.addClass('focused');
    this._removeFocusFromTagElements();
    this.closeOverflowPopup();
    return false;
  }
  blur() {
    this.$container.removeClass('focused');
    // when overflow popup opens it sets focus to the first tag element, this means:
    // the input field loses focus. In that case we must prevent that the overflow popup is closed.
    let relatedTargetOfCurrentEvent = event.relatedTarget;
    let popupRequestsFocus = this.overflow && this.overflow.$container.has(relatedTargetOfCurrentEvent);
    if (popupRequestsFocus) {
      return;
    }
    this.closeOverflowPopup();
  }
  setOverflowVisible(overflowVisible) {
    this.setProperty('overflowVisible', overflowVisible);
  }
  _renderOverflowVisible() {
    if (this.overflowVisible) {
      if (!this.$overflowIcon) {
        this.$overflowIcon = this.$container.prependDiv('overflow-icon').on('mousedown', this._onOverflowIconMousedown.bind(this));
      }
    } else {
      if (this.$overflowIcon) {
        this.$overflowIcon.remove();
        this.$overflowIcon = null;
      }
    }
  }
  /**
   * Returns the tag-texts of the tag-elements currently visible in the UI (=not hidden).
   */
  visibleTags() {
    if (!this.rendered) {
      return [];
    }
    let tags = [];
    this.$container.find('.tag-element:not(.hidden)').each(function () {
      tags.push(TagBar.getTagData(jquery__WEBPACK_IMPORTED_MODULE_1___default()(this)));
    });
    return tags;
  }
  renderTags($parent, tags) {
    $parent.find('.tag-element').remove();
    tags.forEach(tagText => this.renderTag($parent, tagText));
    let $tags = $parent.children('.tag-element');
    this._renderTagsClickable($tags);
    this._renderTagsRemovable($tags);
  }
  renderTag($parent, tagText) {
    let $tag = $parent.appendDiv('tag-element').data('tag', tagText);
    $tag.appendSpan('tag-text', tagText);
    return $tag;
  }
  _renderTagsClickable($tags) {
    $tags.each((i, tag) => {
      let $tag = jquery__WEBPACK_IMPORTED_MODULE_1___default()(tag);
      let $tagText = $tag.children('.tag-text');
      let clickHandler = $tag.data('click-handler');
      if (this.clickable) {
        if (!clickHandler) {
          clickHandler = this._onTagClick.bind(this);
          $tag.data('click-handler', clickHandler);
          $tagText.on('mousedown', clickHandler);
        }
      } else {
        $tagText.off('mousedown', clickHandler);
        $tag.removeData('click-handler');
      }
      $tag.toggleClass('clickable', this.clickable);
    });
  }
  _renderTagsRemovable($tags) {
    $tags.each((i, tag) => {
      let $tag = jquery__WEBPACK_IMPORTED_MODULE_1___default()(tag);
      let $tagRemove = $tag.children('.tag-remove-icon');
      let removeHandler = $tag.data('remove-handler');
      if (this.enabledComputed) {
        if (!removeHandler) {
          removeHandler = this._onTagRemoveClick.bind(this);
          $tag.data('remove-handler', removeHandler);
          $tag.appendSpan('tag-remove-icon').on('click', removeHandler);
        }
      } else {
        $tagRemove.off('click', removeHandler);
        $tagRemove.remove();
        $tag.removeData('remove-handler');
      }
      $tag.toggleClass('removable', this.enabledComputed);
    });
  }
  // --- static helpers ---
  static findFocusedTagElement($container) {
    return $container.find('.tag-element.focused');
  }
  static findFocusableTagElements($container) {
    return $container.find('.tag-element:not(.hidden),.overflow-icon');
  }
  static focusFirstTagElement($container) {
    this.focusTagElement(this.firstTagElement($container));
  }
  static firstTagElement($container) {
    return $container.find('.tag-element').first();
  }
  static focusTagElement($tagElement) {
    $tagElement.setTabbable(true).addClass('focused').focus();
  }
  static unfocusTagElement($tagElement) {
    $tagElement.setTabbable(false).removeClass('focused');
  }
  static getTagData($tag) {
    let tagData = $tag.data('tag');
    if (tagData) {
      return tagData;
    }
    return $tag.parent().data('tag');
  }
}

/***/ }),

/***/ "./src/tagbar/TagBarEventMap.ts":
/*!**************************************!*\
  !*** ./src/tagbar/TagBarEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tagbar/TagBarLayout.ts":
/*!************************************!*\
  !*** ./src/tagbar/TagBarLayout.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagBarLayout: () => (/* binding */ TagBarLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TagBarLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tagBar) {
    super();
    _defineProperty(this, "tagBar", void 0);
    this.tagBar = tagBar;
  }
  layout($container) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let hasTags = this.tagBar.tags && this.tagBar.tags.length > 0;
    if (!hasTags) {
      return;
    }
    let availableSize = htmlContainer.availableSize().subtract(htmlContainer.insets());
    let maxTagsWidth = availableSize.width;
    let prefTagsWidth = 0;
    let overflow = false;
    // 1. check if overflow occurs
    let $te, i;
    let $tagElements = $container.find('.tag-element');
    let numTagElements = $tagElements.length;
    let teSizes = [];
    $tagElements.removeClass('hidden');
    // use a for loop, because don't want to loop all elements when we already know the rest is in overflow
    for (i = numTagElements - 1; i >= 0; i--) {
      $te = jquery__WEBPACK_IMPORTED_MODULE_1___default()($tagElements[i]);
      teSizes[i] = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($te, {
        includeMargin: true
      });
      overflow = prefTagsWidth + teSizes[i].width > maxTagsWidth;
      if (overflow) {
        break;
      }
      prefTagsWidth += teSizes[i].width;
    }
    // 2. add overflow icon
    this.tagBar.setOverflowVisible(overflow);
    if (overflow) {
      prefTagsWidth = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.tagBar.$overflowIcon, {
        includeMargin: true
      }).width;
      for (i = numTagElements - 1; i >= 0; i--) {
        $te = jquery__WEBPACK_IMPORTED_MODULE_1___default()($tagElements[i]);
        // all elements with a greater index are hidden for sure
        let teSize = teSizes[i];
        if (!teSize) {
          $te.addClass('hidden');
          continue;
        }
        // we must re-check the rest again, because we have added the
        // overflow icon and thus we have less space for tags
        if (prefTagsWidth + teSizes[i].width > maxTagsWidth) {
          $te.addClass('hidden');
        } else {
          prefTagsWidth += teSizes[i].width;
        }
      }
    }
  }
  preferredLayoutSize($container, options) {
    let htmlContainer = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container);
    let hasTags = this.tagBar.tags && this.tagBar.tags.length > 0;
    let availableSize = htmlContainer.availableSize();
    let prefTagsWidth = 0;
    let prefTagsHeight = 0;
    if (!hasTags) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(0, availableSize.height);
    }
    let $tagElements = $container.find('.tag-element');
    $tagElements.removeClass('hidden');
    $tagElements.each((i, elem) => {
      let size = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem), {
        includeMargin: true
      });
      prefTagsWidth += size.width;
      prefTagsHeight = Math.max(size.height, prefTagsHeight);
    });
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension(prefTagsWidth, prefTagsHeight).add(htmlContainer.insets());
  }
}

/***/ }),

/***/ "./src/tagbar/TagBarModel.ts":
/*!***********************************!*\
  !*** ./src/tagbar/TagBarModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tagbar/TagBarOverflowPopup.ts":
/*!*******************************************!*\
  !*** ./src/tagbar/TagBarOverflowPopup.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagBarOverflowPopup: () => (/* binding */ TagBarOverflowPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagBarOverflowPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "$body", void 0);
    _defineProperty(this, "_tagBarPropertyChangeListener", void 0);
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
    this._tagBarPropertyChangeListener = null;
    // We need not only to return which element receives the initial focus
    // but we must also prepare this element so it can receive the focus
    this.initialFocus = function () {
      return _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.firstTagElement(this.$body).setTabbable(true).addClass('focused')[0];
    };
  }
  _init(options) {
    super._init(options);
    this._tagBarPropertyChangeListener = this._onTagBarPropertyChange.bind(this);
    this.parent.on('propertyChange', this._tagBarPropertyChangeListener);
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldNavigationKeyStroke(this._createFieldAdapter()), new _index__WEBPACK_IMPORTED_MODULE_0__.TagFieldDeleteKeyStroke(this._createFieldAdapter())]);
  }
  _destroy() {
    this.parent.off('propertyChange', this._tagBarPropertyChangeListener);
    super._destroy();
  }
  _render() {
    super._render();
    this.$container.addClass('tag-overflow-popup');
    this.$body = this.$container.appendDiv('popup-body');
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TagBarOverflowPopupLayout(this);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTags();
  }
  _renderTags() {
    let tagBar = this.parent;
    let visibleTags = tagBar.visibleTags();
    let allTags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tagBar.tags);
    let overflowTags = allTags.filter(tagText => visibleTags.indexOf(tagText) === -1);
    tagBar.renderTags(this.$body, overflowTags);
    if (!this.rendering) {
      this.invalidateLayoutTree();
    }
  }
  _focusFirstTagElement() {
    _index__WEBPACK_IMPORTED_MODULE_0__.TagBar.focusFirstTagElement(this.$body);
  }
  _onTagBarPropertyChange(event) {
    if (event.propertyName === 'tags') {
      let allTags = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.parent.tags);
      let visibleTags = this.parent.visibleTags();
      let numTags = allTags.length;
      // close popup when no more tags left or all tags are visible (=no overflow icon)
      if (numTags === 0 || numTags === visibleTags.length) {
        this.close();
      } else {
        this._renderTags();
        this._focusFirstTagElement();
      }
    }
  }
  _createFieldAdapter() {
    return TagBarOverflowPopup.createFieldAdapter(this);
  }
  static createFieldAdapter(field) {
    return {
      $container: () => field.$body,
      enabled: () => true,
      focus: () => {
        // nop
      },
      removeTag: tag => {
        let tagField = field.parent.parent;
        tagField.removeTag(tag);
      }
    };
  }
}

/***/ }),

/***/ "./src/tagbar/TagBarOverflowPopupLayout.ts":
/*!*************************************************!*\
  !*** ./src/tagbar/TagBarOverflowPopupLayout.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TagBarOverflowPopupLayout: () => (/* binding */ TagBarOverflowPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TagBarOverflowPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  preferredLayoutSize($container, options) {
    let prefSize = super.preferredLayoutSize($container, options);
    // Use the width of the body element that uses display: inline.
    // Only inline elements are as width as its content if the content wraps.
    // This is the only purpose of the body.
    prefSize.width = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size(this.popup.$body, {
      exact: true
    }).width;
    prefSize.width += this.popup.htmlComp.insets().horizontal();
    return prefSize;
  }
}

/***/ }),

/***/ "./src/text/DateFormat.ts":
/*!********************************!*\
  !*** ./src/text/DateFormat.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateFormat: () => (/* binding */ DateFormat)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Custom JavaScript Date Format
 *
 * Support for formatting and parsing dates based on a pattern string and some locale
 * information from the server model. A subset of the standard Java pattern strings
 * (see SimpleDateFormat) with the most commonly used patterns is supported.
 *
 * This object only operates on the local time zone.
 *
 * @see http://docs.oracle.com/javase/6/docs/api/java/text/SimpleDateFormat.html
 */
class DateFormat {
  constructor(locale, pattern, options) {
    _defineProperty(this, "locale", void 0);
    _defineProperty(this, "pattern", void 0);
    _defineProperty(this, "symbols", void 0);
    _defineProperty(this, "lenient", void 0);
    /**
     * List of terms, e.g. split up parts of this.pattern. The length of this array is equal
     * to the length of this._formatFunctions, this._parseFunctions and this._analyzeFunctions.
     */
    _defineProperty(this, "_terms", void 0);
    /**
     * List of format function to be called _in that exact order_ to convert this.pattern
     * to a formatted date string (by sequentially replacing all terms with real values).
     */
    _defineProperty(this, "_formatFunctions", void 0);
    /**
     * List of parse functions to be called _in that exact order_ to convert an input
     * string to a valid JavaScript Date object. This order matches the recognized terms
     * in the pattern. Unrecognized terms are represented by a "constant" function that
     * matches the string itself (e.g. separator characters or spaces).
     */
    _defineProperty(this, "_parseFunctions", void 0);
    /** Array of arrays, same order as _parseFunctions, but term functions are a list of term functions (to support lenient parsing) */
    _defineProperty(this, "_analyzeFunctions", void 0);
    _defineProperty(this, "_patternDefinitions", void 0);
    _defineProperty(this, "_patternLibrary", void 0);
    options = options || {};
    this.locale = locale;
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('locale', this.locale);
    this.pattern = pattern || locale.dateFormatPatternDefault;
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('pattern', this.pattern);
    this.symbols = locale.dateFormatSymbols;
    this.symbols.firstDayOfWeek = 1; // monday // TODO [7.0] cgu: deliver from server
    this.symbols.weekdaysOrdered = _index__WEBPACK_IMPORTED_MODULE_0__.dates.orderWeekdays(this.symbols.weekdays, this.symbols.firstDayOfWeek);
    this.symbols.weekdaysShortOrdered = _index__WEBPACK_IMPORTED_MODULE_0__.dates.orderWeekdays(this.symbols.weekdaysShort, this.symbols.firstDayOfWeek);
    this.lenient = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.lenient, true);
    this._terms = [];
    this._formatFunctions = [];
    this._parseFunctions = [];
    this._analyzeFunctions = [];
    // Build a list of all pattern definitions. This list is then used to build the list of
    // format, parse and analyze functions according to this.pattern.
    //
    // !!! PLEASE NOTE !!!
    // The order of these definitions is important! For each term in the pattern, the list
    // is scanned from the beginning until a definition accepts the term. If the wrong
    // definition was picked, results would be unpredictable.
    //
    // Following the following rules ensures that the algorithm can pick the best matching
    // pattern format definition for each term in the pattern:
    // - Sort definitions by time span, from large (year) to small (milliseconds).
    // - Two definitions of the same type should be sorted by term length, from long
    //   (e.g. MMMM) to short (e.g. M).
    this._patternDefinitions = [
    // --- Year ---
    // This definition can _format_ dates with years with 4 or more digits.
    // See: http://docs.oracle.com/javase/6/docs/api/java/text/SimpleDateFormat.html
    //      chapter 'Date and Time Patterns', paragraph 'Year'
    // We do not allow to _parse_ a date with 5 or more digits. We could allow that in a
    // future release, but it could have an impact on backend logic, databases, etc.
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.YEAR,
      terms: ['yyyy'],
      // meaning: any number of digits is allowed
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => {
        let year = formatContext.inputDate.getFullYear();
        let length = Math.max(4, year.toString().length); // min. digits = 4
        return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(year, length).slice(-length);
      },
      parseRegExp: /^(\d{4})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.matchInfo.year = match;
        parseContext.dateInfo.year = Number(match);
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.YEAR,
      terms: ['yyy', 'yy', 'y'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => {
        var _formatContext$analyz;
        let year = formatContext.inputDate.getFullYear();
        if ((_formatContext$analyz = formatContext.analyzeInfo) !== null && _formatContext$analyz !== void 0 && (_formatContext$analyz = _formatContext$analyz.matchInfo) !== null && _formatContext$analyz !== void 0 && _formatContext$analyz.year) {
          let length = formatContext.analyzeInfo.matchInfo.year.length;
          return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(year, length).slice(-length);
        }
        // "For formatting, if the number of pattern letters is 2, the year is truncated to 2 digits"
        if (acceptedTerm.length === 2) {
          let length = acceptedTerm.length;
          return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(year, length).slice(-length);
        }
        // "For formatting, the number of pattern letters is the minimum number of digits, and shorter numbers are zero-padded to this amount."
        return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(year, acceptedTerm.length);
      },
      parseRegExp: /^(\d{1,4})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        // "For parsing, if the number of pattern letters is more than 2, the year is interpreted literally, regardless of the number of digits."
        if (match.length > 2) {
          parseContext.dateInfo.year = Number(match);
          parseContext.matchInfo.year = match;
          return;
        }
        // "For parsing with the abbreviated year pattern (y or yy), DateFormat must interpret the abbreviated year relative to some century.
        // It does this by adjusting dates to be within 80 years before and 20 years after the 'startYear'."
        let startYear = (parseContext.startDate || new Date()).getFullYear();
        let year = Number(_index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(startYear, 4).substring(0, 2) + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(match, 2));
        let distance = year - startYear;
        if (distance <= -80) {
          year += 100;
        } else if (distance > 20) {
          year -= 100;
        }
        parseContext.dateInfo.year = year;
        parseContext.matchInfo.year = match;
      }
    }),
    // --- Month ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MONTH,
      terms: ['MMMM'],
      dateFormat: this,
      formatFunction: function (formatContext, acceptedTerm) {
        return this.dateFormat.symbols.months[formatContext.inputDate.getMonth()];
      },
      parseFunction: function (parseContext, acceptedTerm) {
        for (let i = 0; i < this.dateFormat.symbols.months.length; i++) {
          let symbol = this.dateFormat.symbols.months[i];
          if (!symbol) {
            continue; // Ignore empty symbols (otherwise, pattern would match everything)
          }
          let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(symbol) + ')(.*)$', 'i');
          let m = re.exec(parseContext.inputString);
          if (m) {
            // match found
            parseContext.dateInfo.month = i;
            parseContext.matchInfo.month = m[1];
            parseContext.inputString = m[2];
            return m[1];
          }
        }
        // No match found so far. In analyze mode, check prefixes.
        if (parseContext.analyze) {
          for (let i = 0; i < this.dateFormat.symbols.months.length; i++) {
            let symbol = this.dateFormat.symbols.months[i];
            let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(parseContext.inputString) + ')(.*)$', 'i');
            let m = re.exec(symbol);
            if (m) {
              // match found
              parseContext.dateInfo.month = i;
              parseContext.matchInfo.month = symbol;
              parseContext.inputString = '';
              return m[1];
            }
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MONTH,
      terms: ['MMM'],
      dateFormat: this,
      formatFunction: function (formatContext, acceptedTerm) {
        return this.dateFormat.symbols.monthsShort[formatContext.inputDate.getMonth()];
      },
      parseFunction: function (parseContext, acceptedTerm) {
        for (let i = 0; i < this.dateFormat.symbols.monthsShort.length; i++) {
          let symbol = this.dateFormat.symbols.monthsShort[i];
          if (!symbol) {
            continue; // Ignore empty symbols (otherwise, pattern would match everything)
          }
          let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(symbol) + ')(.*)$', 'i');
          let m = re.exec(parseContext.inputString);
          if (m) {
            // match found
            parseContext.dateInfo.month = i;
            parseContext.matchInfo.month = m[1];
            parseContext.inputString = m[2];
            return m[1];
          }
        }
        // No match found so far. In analyze mode, check prefixes.
        if (parseContext.analyze) {
          for (let i = 0; i < this.dateFormat.symbols.monthsShort.length; i++) {
            let symbol = this.dateFormat.symbols.monthsShort[i];
            let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(parseContext.inputString) + ')(.*)$', 'i');
            let m = re.exec(symbol);
            if (m) {
              // match found
              parseContext.dateInfo.month = i;
              parseContext.matchInfo.month = symbol;
              parseContext.inputString = '';
              return m[1];
            }
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MONTH,
      terms: ['MM'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getMonth() + 1, 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        let month = Number(match);
        parseContext.dateInfo.month = month - 1;
        parseContext.matchInfo.month = match;
      },
      parseFunction: function (parseContext, acceptedTerm) {
        // Special case! When regexp did not match, check if input is '0'. In this case (and only
        // if we are in analyze mode), predict '01' as input.
        if (parseContext.analyze) {
          if (parseContext.inputString === '0') {
            // Use current dateInfo to create a date
            let date = this.dateFormat._dateInfoToDate(parseContext.dateInfo);
            if (!date) {
              return null; // parsing failed (dateInfo does not seem to contain a valid string)
            }
            let month = date.getMonth();
            if (month >= 9) {
              month = 0;
              if (parseContext.dateInfo.year === undefined) {
                parseContext.dateInfo.year = Number(date.getFullYear()) + 1;
              } else {
                parseContext.dateInfo.year = parseContext.dateInfo.year + 1;
              }
            }
            parseContext.dateInfo.month = month;
            parseContext.matchInfo.month = _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(String(month + 1), 2);
            parseContext.inputString = '';
            return '0';
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MONTH,
      terms: ['M'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getMonth() + 1),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        let month = Number(match);
        parseContext.dateInfo.month = month - 1;
        parseContext.matchInfo.month = match;
      }
    }),
    // --- Week in year ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.WEEK_IN_YEAR,
      terms: ['ww'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(_index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(formatContext.inputDate), 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.matchInfo.week = match;
        parseContext.hints.weekInYear = Number(match);
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.WEEK_IN_YEAR,
      terms: ['w'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(_index__WEBPACK_IMPORTED_MODULE_0__.dates.weekInYear(formatContext.inputDate)),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.matchInfo.week = match;
        parseContext.hints.weekInYear = Number(match);
      }
    }),
    // --- Day in month ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.DAY_IN_MONTH,
      terms: ['dd'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getDate(), 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.day = Number(match);
        parseContext.matchInfo.day = match;
      },
      parseFunction: (parseContext, acceptedTerm) => {
        // Special case! When regexp did not match, check if input is '0'. In this case (and only
        // if we are in analyze mode), predict '01' as input.
        if (parseContext.analyze) {
          if (parseContext.inputString === '0') {
            parseContext.dateInfo.day = 1;
            parseContext.matchInfo.day = '01';
            parseContext.inputString = '';
            return '0';
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.DAY_IN_MONTH,
      terms: ['d'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getDate()),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.day = Number(match);
        parseContext.matchInfo.day = match;
      }
    }),
    // --- Weekday ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.WEEKDAY,
      terms: ['EEEE'],
      dateFormat: this,
      formatFunction: function (formatContext, acceptedTerm) {
        return this.dateFormat.symbols.weekdays[formatContext.inputDate.getDay()];
      },
      parseFunction: function (parseContext, acceptedTerm) {
        for (let i = 0; i < this.dateFormat.symbols.weekdays.length; i++) {
          let symbol = this.dateFormat.symbols.weekdays[i];
          if (!symbol) {
            continue; // Ignore empty symbols (otherwise, pattern would match everything)
          }
          let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(symbol) + ')(.*)$', 'i');
          let m = re.exec(parseContext.inputString);
          if (m) {
            // match found
            parseContext.matchInfo.weekday = Number(m[1]);
            parseContext.hints.weekday = i;
            parseContext.inputString = m[2];
            return m[1];
          }
        }
        // No match found so far. In analyze mode, check prefixes.
        if (parseContext.analyze) {
          for (let i = 0; i < this.dateFormat.symbols.weekdays.length; i++) {
            let symbol = this.dateFormat.symbols.weekdays[i];
            let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(parseContext.inputString) + ')(.*)$', 'i');
            let m = re.exec(symbol);
            if (m) {
              // match found
              parseContext.matchInfo.weekday = symbol;
              parseContext.hints.weekday = i;
              parseContext.inputString = '';
              return m[1];
            }
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.WEEKDAY,
      terms: ['EEE', 'EE', 'E'],
      dateFormat: this,
      formatFunction: function (formatContext, acceptedTerm) {
        return this.dateFormat.symbols.weekdaysShort[formatContext.inputDate.getDay()];
      },
      parseFunction: function (parseContext, acceptedTerm) {
        for (let i = 0; i < this.dateFormat.symbols.weekdaysShort.length; i++) {
          let symbol = this.dateFormat.symbols.weekdaysShort[i];
          if (!symbol) {
            continue; // Ignore empty symbols (otherwise, pattern would match everything)
          }
          let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(symbol) + ')(.*)$', 'i');
          let m = re.exec(parseContext.inputString);
          if (m) {
            // match found
            parseContext.matchInfo.weekday = Number(m[1]);
            parseContext.hints.weekday = i;
            parseContext.inputString = m[2];
            return m[1];
          }
        }
        // No match found so far. In analyze mode, check prefixes.
        if (parseContext.analyze) {
          for (let i = 0; i < this.dateFormat.symbols.weekdaysShort.length; i++) {
            let symbol = this.dateFormat.symbols.weekdaysShort[i];
            let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(parseContext.inputString) + ')(.*)$', 'i');
            let m = re.exec(symbol);
            if (m) {
              // match found
              parseContext.matchInfo.weekday = symbol;
              parseContext.hints.weekday = i;
              parseContext.inputString = '';
              return m[1];
            }
          }
        }
        return null; // no match found
      }
    }),
    // --- Hour (24h) ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.HOUR_24,
      terms: ['HH'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getHours(), 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.hours = Number(match);
        parseContext.matchInfo.hours = match;
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.HOUR_24,
      terms: ['H'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getHours()),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.hours = Number(match);
        parseContext.matchInfo.hours = match;
      }
    }),
    // --- Hour (12h) ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.HOUR_12,
      terms: ['hh'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => {
        if (formatContext.inputDate.getHours() % 12 === 0) {
          return '12'; // there is no hour '0' in 12-hour format
        }
        return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getHours() % 12, 2);
      },
      parseRegExp: /^(10|11|12|0[1-9])(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.hours = Number(match) + (parseContext.hints.pm ? 12 : 0);
        parseContext.matchInfo.hours = match;
      },
      parseFunction: (parseContext, acceptedTerm) => {
        // Special case! When regexp did not match and input is a single '0', predict '01'
        if (parseContext.analyze) {
          if (parseContext.inputString === '0') {
            parseContext.dateInfo.hours = 1;
            parseContext.matchInfo.hours = '01';
            parseContext.inputString = '';
            return parseContext.inputString;
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.HOUR_12,
      terms: ['h'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => {
        if (formatContext.inputDate.getHours() % 12 === 0) {
          return '12'; // there is no hour '0' in 12-hour format
        }
        return String(formatContext.inputDate.getHours() % 12);
      },
      parseRegExp: /^(10|11|12|0?[1-9])(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.hours = Number(match) + (parseContext.hints.pm ? 12 : 0);
        parseContext.matchInfo.hours = match;
      }
    }),
    // --- AM/PM marker ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.AM_PM,
      terms: ['a'],
      dateFormat: this,
      formatFunction: function (formatContext, acceptedTerm) {
        if (formatContext.inputDate.getHours() < 12) {
          return this.dateFormat.symbols.am;
        }
        return this.dateFormat.symbols.pm;
      },
      parseFunction: function (parseContext, acceptedTerm) {
        let re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(this.dateFormat.symbols.am) + ')(.*)$', 'i');
        let m = re.exec(parseContext.inputString);
        parseContext.matchInfo.ampm = null;
        if (m) {
          // match found
          parseContext.matchInfo.ampm = m[1];
          parseContext.inputString = m[2];
          parseContext.hints.am = true;
          parseContext.dateInfo.hours = parseContext.dateInfo.hours % 12;
          return m[1];
        }
        re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(this.dateFormat.symbols.pm) + ')(.*)$', 'i');
        m = re.exec(parseContext.inputString);
        if (m) {
          // match found
          parseContext.matchInfo.ampm = m[1];
          parseContext.inputString = m[2];
          parseContext.hints.pm = true;
          parseContext.dateInfo.hours = parseContext.dateInfo.hours % 12 + 12;
          return m[1];
        }
        // No match found so far. In analyze mode, check prefixes.
        if (parseContext.analyze) {
          re = new RegExp('^(' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.quote(parseContext.inputString) + ')(.*)$', 'i');
          m = re.exec(this.dateFormat.symbols.am);
          if (m) {
            parseContext.matchInfo.ampm = this.dateFormat.symbols.am;
            parseContext.inputString = '';
            parseContext.hints.am = true;
            parseContext.dateInfo.hours = parseContext.dateInfo.hours % 12;
            return m[1];
          }
          m = re.exec(this.dateFormat.symbols.pm);
          if (m) {
            parseContext.matchInfo.ampm = this.dateFormat.symbols.pm;
            parseContext.inputString = '';
            parseContext.hints.pm = true;
            parseContext.dateInfo.hours = parseContext.dateInfo.hours % 12 + 12;
            return m[1];
          }
        }
        return null; // no match found
      }
    }),
    // --- Minute ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MINUTE,
      terms: ['mm'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getMinutes(), 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.minutes = Number(match);
        parseContext.matchInfo.minutes = match;
      },
      parseFunction: (parseContext, acceptedTerm) => {
        // Special case! When regexp did not match, check if input + '0' would make a
        // valid minutes value. If yes, predict this value.
        if (parseContext.analyze) {
          if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(parseContext.inputString, '0', '1', '2', '3', '4', '5')) {
            let tenMinutes = parseContext.inputString + '0';
            parseContext.dateInfo.minutes = Number(tenMinutes);
            parseContext.matchInfo.minutes = tenMinutes;
            parseContext.inputString = '';
            return parseContext.inputString;
          }
        }
        return null; // no match found
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MINUTE,
      terms: ['m'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getMinutes()),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.minutes = Number(match);
        parseContext.matchInfo.minutes = match;
      }
    }),
    // --- Second ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.SECOND,
      terms: ['ss'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getSeconds(), 2),
      parseRegExp: /^(\d{2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.seconds = Number(match);
        parseContext.matchInfo.seconds = match;
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.SECOND,
      terms: ['s'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getSeconds()),
      parseRegExp: /^(\d{1,2})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.seconds = Number(match);
        parseContext.matchInfo.seconds = match;
      }
    }),
    // --- Millisecond ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MILLISECOND,
      terms: ['SSS'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(formatContext.inputDate.getMilliseconds(), 3),
      parseRegExp: /^(\d{3})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.milliseconds = Number(match);
        parseContext.matchInfo.milliseconds = match;
      }
    }), new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.MILLISECOND,
      terms: ['S'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => String(formatContext.inputDate.getMilliseconds()),
      parseRegExp: /^(\d{1,3})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        parseContext.dateInfo.milliseconds = Number(match);
        parseContext.matchInfo.milliseconds = match;
      }
    }),
    // --- Time zone ---
    new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternDefinition({
      type: _index__WEBPACK_IMPORTED_MODULE_0__.DateFormatPatternType.TIMEZONE,
      terms: ['Z'],
      dateFormat: this,
      formatFunction: (formatContext, acceptedTerm) => {
        let offset = Math.abs(formatContext.inputDate.getTimezoneOffset()),
          isNegative = offset !== formatContext.inputDate.getTimezoneOffset();
        return (isNegative ? '-' : '+') + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(Math.floor(offset / 60), 2) + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(offset % 60, 2);
      },
      parseRegExp: /^([+|-]\d{4})(.*)$/,
      applyMatchFunction: (parseContext, match, acceptedTerm) => {
        let offset = Number(match.substring(1, 3)) * 60 + Number(match.substring(3, 5));
        if (match.charAt(0) === '-') {
          offset *= -1;
        }
        parseContext.dateInfo.timezone = offset;
        parseContext.matchInfo.timezone = match;
      }
    })];
    // Build a map of pattern definitions by pattern type
    this._patternLibrary = {};
    for (let i = 0; i < this._patternDefinitions.length; i++) {
      let patternDefinition = this._patternDefinitions[i];
      let type = patternDefinition.type;
      if (type) {
        if (!this._patternLibrary[type]) {
          this._patternLibrary[type] = [];
        }
        this._patternLibrary[type].push(patternDefinition);
      }
    }
    this._compile();
  }
  _compile() {
    // Build format, parse and analyze functions for all terms in the DateFormat's pattern.
    // A term is a continuous sequence of the same character.
    let re = /(.)\1*/g;
    let m;
    while (m = re.exec(this.pattern)) {
      let term = m[0];
      this._terms.push(term);
      let termAccepted = false;
      for (let i = 0; i < this._patternDefinitions.length; i++) {
        let patternDefinition = this._patternDefinitions[i];
        let acceptedTerm = patternDefinition.accept(term);
        if (acceptedTerm) {
          // 1. Create and install format function
          this._formatFunctions.push(patternDefinition.createFormatFunction(acceptedTerm));
          // 2. Create and install parse function
          this._parseFunctions.push(patternDefinition.createParseFunction(acceptedTerm));
          // 3. Create and install analyze functions
          let analyseFunctions = [patternDefinition.createParseFunction(acceptedTerm)];
          if (this.lenient) {
            // In lenient mode, add all other parse functions of the same type
            let patternDefinitions = this._patternLibrary[patternDefinition.type];
            for (let j = 0; j < patternDefinitions.length; j++) {
              if (patternDefinitions[j] !== patternDefinition) {
                analyseFunctions.push(patternDefinitions[j].createParseFunction(acceptedTerm));
              }
            }
          }
          this._analyzeFunctions.push(analyseFunctions);
          // Term was processed, continue with next term
          termAccepted = true;
          break;
        }
      }
      // In case term was not accepted by any pattern definition, assume it is a constant string
      if (!termAccepted) {
        // 1. Create and install constant format function
        this._formatFunctions.push(this._createConstantStringFormatFunction(term));
        // 2./3. Create and install parse and analyse functions
        let constantStringParseFunction = this._createConstantStringParseFunction(term);
        this._parseFunctions.push(constantStringParseFunction);
        this._analyzeFunctions.push([constantStringParseFunction]);
      }
    }
  }
  /**
   * Returns a format function for constant terms (e.g. all parts of a pattern that don't have a {@link DateFormatPatternDefinition}).
   */
  _createConstantStringFormatFunction(term) {
    return formatContext => {
      formatContext.formattedString += term;
    };
  }
  /**
   * Returns a parse function for constant terms (e.g. all parts of a pattern that don't
   * have a DateFormatPatternDefinition).
   */
  _createConstantStringParseFunction(term) {
    return parseContext => {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(parseContext.inputString, term)) {
        parseContext.inputString = parseContext.inputString.substring(term.length);
        parseContext.parsedPattern += term;
        return true;
      }
      // In analyze mode, constant terms are optional (this supports "020318" --> "02.03.2018")
      return parseContext.analyze;
    };
  }
  /**
   * Formats the given date according to the date pattern. If the date is missing, the
   * empty string is returned.
   */
  format(date) {
    let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    if (!date) {
      return '';
    }
    let formatContext = this._createFormatContext(date, options.analyzeInfo);
    // Apply all formatter functions for this DateFormat to the pattern to replace the
    // different terms with the corresponding value from the given date.
    for (let i = 0; i < this._formatFunctions.length; i++) {
      let formatFunction = this._formatFunctions[i];
      formatFunction(formatContext);
    }
    return formatContext.formattedString;
  }
  /**
   * Analyzes the given string and returns an information object with all recognized information
   * for the current date format.
   */
  analyze(text, startDate) {
    let analyzeInfo = this._createAnalyzeInfo(text);
    if (!text) {
      return analyzeInfo;
    }
    let parseContext = this._createParseContext(text);
    parseContext.analyze = true; // Mark context as "analyze mode"
    parseContext.startDate = startDate;
    let matchedPattern = '';
    for (let i = 0; i < this._terms.length; i++) {
      if (parseContext.inputString.length > 0) {
        let analyzeFunctions = this._analyzeFunctions[i];
        let parsed = false;
        for (let j = 0; j < analyzeFunctions.length; j++) {
          let analyzeFunction = analyzeFunctions[j];
          if (analyzeFunction(parseContext)) {
            parsed = true;
            break;
          }
        }
        if (!parsed) {
          // Parsing failed
          analyzeInfo.error = true;
          return analyzeInfo;
        }
        matchedPattern = parseContext.parsedPattern;
      } else {
        // Input is fully consumed, now just add the remaining terms from the pattern
        parseContext.parsedPattern += this._terms[i];
      }
    }
    if (parseContext.inputString.length > 0) {
      // There is still input, but the pattern has no more terms --> parsing failed
      analyzeInfo.error = true;
      return analyzeInfo;
    }
    // Try to generate a valid predicted date with the information retrieved so far
    startDate = this._prepareStartDate(startDate);
    // When weekday is included in pattern, try to find a suitable start date #235975
    let dayInWeek = parseContext.hints.weekday;
    let dayInMonth = parseContext.dateInfo.day;
    if (dayInWeek !== undefined) {
      if (dayInMonth !== undefined && dayInMonth <= 31) {
        startDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftToNextDayAndDate(startDate, dayInWeek, dayInMonth);
      } else {
        startDate = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftToNextDayOfType(startDate, dayInWeek);
      }
    }
    let predictedDate = this._dateInfoToDate(parseContext.dateInfo, startDate, parseContext.hints);
    // Update analyzeInfo
    analyzeInfo.dateInfo = parseContext.dateInfo;
    analyzeInfo.matchInfo = parseContext.matchInfo;
    analyzeInfo.hints = parseContext.hints;
    analyzeInfo.parsedPattern = parseContext.parsedPattern;
    analyzeInfo.matchedPattern = matchedPattern;
    analyzeInfo.predictedDate = predictedDate;
    analyzeInfo.error = !predictedDate;
    return analyzeInfo;
  }
  /**
   * Parses the given text with the current date format. If the text does not match exactly
   * with the pattern, `null` is returned. Otherwise, the parsed date is returned.
   *
   * The argument 'startDate' is optional. It may set the date where parsed information should
   * be applied to (e.g. relevant for 2-digit years).
   */
  parse(text, startDate) {
    if (!text) {
      return null;
    }
    let parseContext = this._createParseContext(text);
    parseContext.startDate = startDate;
    for (let i = 0; i < this._parseFunctions.length; i++) {
      let parseFunction = this._parseFunctions[i];
      if (!parseFunction(parseContext)) {
        return null; // Parsing failed
      }
      if (parseContext.inputString.length === 0) {
        break; // Everything parsed!
      }
    }
    if (parseContext.inputString.length > 0) {
      // Input remaining but no more parse functions available -> parsing failed
      return null;
    }
    // Build date from dateInfo
    let date = this._dateInfoToDate(parseContext.dateInfo, startDate);
    if (!date) {
      return null; // dateInfo could not be converted to a valid date -> parsing failed
    }
    // Handle hints
    if (parseContext.hints.weekday !== undefined) {
      if (date.getDay() !== parseContext.hints.weekday) {
        return null; // Date and weekday don't match -> parsing failed
      }
    }
    // Return valid date
    return date;
  }
  _dateInfoToDate(dateInfo, startDate, hints) {
    if (!dateInfo) {
      return null;
    }
    // Default date
    startDate = this._prepareStartDate(startDate);
    // Apply date info (Start with "zero date", otherwise the date may become invalid
    // due to JavaScript's automatic date correction, e.g. dateInfo = { day: 11, month: 1 }
    // and startDate = 2015-07-29 would result in invalid date 2015-03-11, because February
    // 2015 does not have 29 days and is "corrected" to March.)
    let result = new Date(1970, 0, 1);
    let validDay = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.day, startDate.getDate());
    let validMonth = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.month, startDate.getMonth());
    let validYear = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.year, startDate.getFullYear());
    // When user entered the day but not (yet) the month, adjust month if possible to propose a valid date
    if (dateInfo.day && !_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(dateInfo.month)) {
      // If day "31" does not exist in the proposed month, use the next month
      if (dateInfo.day === 31) {
        let monthsWithThirtyOneDays = [0, 2, 4, 6, 7, 9, 11];
        if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(validMonth, monthsWithThirtyOneDays)) {
          validMonth = validMonth + 1;
        }
      } else if (dateInfo.day >= 29 && validMonth === 1) {
        // If day is "29" or "30" and month is february, use next month (except day is "29" and the year is a leap year)
        if (dateInfo.day > 29 || !_index__WEBPACK_IMPORTED_MODULE_0__.dates.isLeapYear(validYear)) {
          validMonth = validMonth + 1;
        }
      }
    }
    // ensure valid day for selected month for dateInfo without day
    if (!dateInfo.day && (_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(dateInfo.month) || dateInfo.year)) {
      let lastOfMonth = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shift(new Date(validYear, validMonth + 1, 1), 0, 0, -1);
      validDay = Math.min(lastOfMonth.getDate(), startDate.getDate());
    }
    result.setFullYear(validYear, validMonth, validDay);
    result.setHours(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.hours, startDate.getHours()), _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.minutes, startDate.getMinutes()), _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.seconds, startDate.getSeconds()), _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(dateInfo.milliseconds, startDate.getMilliseconds()));
    // Validate. A date is considered valid if the value from the dateInfo did
    // not change (JS date automatically converts illegal values, e.g. day 32 is
    // converted to first day of next month).
    if (!isValid(result.getFullYear(), dateInfo.year)) {
      return null;
    }
    if (!isValid(result.getMonth(), dateInfo.month)) {
      return null;
    }
    if (!isValid(result.getDate(), dateInfo.day)) {
      return null;
    }
    if (!isValid(result.getHours(), dateInfo.hours)) {
      return null;
    }
    if (!isValid(result.getMinutes(), dateInfo.minutes)) {
      return null;
    }
    if (!isValid(result.getSeconds(), dateInfo.seconds)) {
      return null;
    }
    if (!isValid(result.getMilliseconds(), dateInfo.milliseconds)) {
      return null;
    }
    if (!isValid(result.getDay(), hints === null || hints === void 0 ? void 0 : hints.weekday)) {
      return null;
    }
    // Adjust time zone
    if (_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(dateInfo.timezone)) {
      result.setMinutes(result.getMinutes() - result.getTimezoneOffset() + dateInfo.timezone);
    }
    return result;
    // ----- Helper functions -----
    function isValid(value, expectedValue) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(expectedValue) || expectedValue === value;
    }
  }
  /**
   * Returns the date where parsed information should be applied to. The given
   * startDate is used when specified, otherwise a new date is created (today).
   */
  _prepareStartDate(startDate) {
    if (startDate) {
      // It is important that we don't alter the argument 'startDate', but create an independent copy!
      return new Date(startDate.getTime());
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(new Date()); // clear time
  }
  /**
   * Returns the "format context", an object that is initially filled with the input date and is then
   * passed through the various formatting functions. As the formatting progresses, the format context object
   * is updated accordingly. At the end of the process, the object contains the result.
   */
  _createFormatContext(inputDate, analyzeInfo) {
    return {
      inputDate: inputDate,
      analyzeInfo: analyzeInfo,
      formattedString: ''
    };
  }
  /**
   * Returns the "parse context", an object that is initially filled with the input string and is then
   * passed through the various parsing functions. As the parsing progresses, the parse context object
   * is updated accordingly. At the end of the process, the object contains the result.
   */
  _createParseContext(inputText) {
    return {
      inputString: inputText,
      dateInfo: {},
      matchInfo: {},
      hints: {},
      parsedPattern: '',
      analyze: false,
      startDate: null
    };
  }
  _createAnalyzeInfo(inputText) {
    return {
      inputString: inputText,
      dateInfo: {},
      matchInfo: {},
      hints: {},
      parsedPattern: '',
      matchedPattern: '',
      predictedDate: null,
      error: false
    };
  }
  static ensure(locale, format) {
    if (!format) {
      return format;
    }
    if (format instanceof DateFormat) {
      return format;
    }
    return new DateFormat(locale, format);
  }
}

/***/ }),

/***/ "./src/text/DateFormatPatternDefinition.ts":
/*!*************************************************!*\
  !*** ./src/text/DateFormatPatternDefinition.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateFormatPatternDefinition: () => (/* binding */ DateFormatPatternDefinition)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Definition of a date format pattern.
 */
class DateFormatPatternDefinition {
  constructor(options) {
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "terms", void 0);
    _defineProperty(this, "dateFormat", void 0);
    _defineProperty(this, "formatFunction", void 0);
    _defineProperty(this, "parseRegExp", void 0);
    _defineProperty(this, "applyMatchFunction", void 0);
    _defineProperty(this, "parseFunction", void 0);
    options = options || {};
    this.type = options.type;
    this.terms = options.terms;
    this.dateFormat = options.dateFormat;
    this.formatFunction = options.formatFunction && options.formatFunction.bind(this);
    this.parseRegExp = options.parseRegExp;
    this.applyMatchFunction = options.applyMatchFunction && options.applyMatchFunction.bind(this);
    this.parseFunction = options.parseFunction && options.parseFunction.bind(this);
  }
  createFormatFunction(acceptedTerm) {
    return function (formatContext) {
      if (this.formatFunction) {
        let result = this.formatFunction(formatContext, acceptedTerm);
        if (result !== undefined) {
          // convenience
          formatContext.formattedString += result;
        }
      }
    }.bind(this);
  }
  createParseFunction(acceptedTerm) {
    return function (parseContext) {
      let m, parsedTerm, match;
      let success = false;
      if (this.parseRegExp) {
        // RegEx handling (default)
        m = this.parseRegExp.exec(parseContext.inputString);
        if (m) {
          // match found
          if (this.applyMatchFunction) {
            this.applyMatchFunction(parseContext, m[1], acceptedTerm);
          }
          match = m[1];
          // update remaining string
          parseContext.inputString = m[2];
          success = true;
        }
      }
      if (!success && this.parseFunction) {
        // Custom function
        match = this.parseFunction(parseContext, acceptedTerm);
        if (match !== null) {
          success = true;
        }
      }
      if (success) {
        // If patternDefinition accepts more than one term, try to choose
        // the form that matches the length of the match.
        parsedTerm = this.terms[0];
        if (this.terms.length > 1) {
          this.terms.some(term => {
            if (term.length === match.length) {
              parsedTerm = term;
              return true; // found
            }
            return false; // look further
          });
        }
        parseContext.parsedPattern += parsedTerm;
      }
      return success;
    }.bind(this);
  }
  /**
   * @returns the accepted term (if is accepted) or null (if it is not accepted)
   */
  accept(term) {
    if (term) {
      // Check if one of the terms matches
      for (let i = 0; i < this.terms.length; i++) {
        if (term === this.terms[i]) {
          return this.terms[i];
        }
      }
    }
    return null;
  }
}

/***/ }),

/***/ "./src/text/DateFormatPatternType.ts":
/*!*******************************************!*\
  !*** ./src/text/DateFormatPatternType.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateFormatPatternType: () => (/* binding */ DateFormatPatternType)
/* harmony export */ });
/**
 * Custom JavaScript Date Format
 *
 * Support for formatting and parsing dates based on a pattern string and some locale
 * information from the server model. A subset of the standard Java pattern strings
 * (see SimpleDateFormat) with the most commonly used patterns is supported.
 *
 * This object only operates on the local time zone.
 * <p>
 * locale.dateFormatSymbols contains:
 * <ul>
 * <li>weekdays start with Sunday (starts at 0 and not 1 as it does in java)</li>
 * <li>weekdaysShort start with Sunday (starts at 0 and not 1 as it does in java)</li>
 * <li>months start with January</li>
 * <li>monthsShort start with January<7li>
 * <li>am</li>
 * <li>pm</li>
 *</ul>
 *
 * @see http://docs.oracle.com/javase/6/docs/api/java/text/SimpleDateFormat.html
 */
const DateFormatPatternType = {
  YEAR: 'year',
  MONTH: 'month',
  WEEK_IN_YEAR: 'week_in_year',
  DAY_IN_MONTH: 'day_in_month',
  WEEKDAY: 'weekday',
  HOUR_24: 'hour_24',
  HOUR_12: 'hour_12',
  AM_PM: 'am_pm',
  MINUTE: 'minute',
  SECOND: 'second',
  MILLISECOND: 'millisecond',
  TIMEZONE: 'timezone'
};

/***/ }),

/***/ "./src/text/DecimalFormat.ts":
/*!***********************************!*\
  !*** ./src/text/DecimalFormat.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DecimalFormat: () => (/* binding */ DecimalFormat)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Provides formatting of numbers using java format pattern.
 *
 * Compared to the java DecimalFormat the following pattern characters are not considered:
 * - E
 * - %
 */
class DecimalFormat {
  constructor(locale, options) {
    _defineProperty(this, "positivePrefix", void 0);
    _defineProperty(this, "positiveSuffix", void 0);
    _defineProperty(this, "negativePrefix", void 0);
    _defineProperty(this, "negativeSuffix", void 0);
    _defineProperty(this, "groupingChar", void 0);
    _defineProperty(this, "lenientGroupingChars", void 0);
    _defineProperty(this, "groupLength", void 0);
    _defineProperty(this, "decimalSeparatorChar", void 0);
    _defineProperty(this, "zeroBefore", void 0);
    _defineProperty(this, "zeroAfter", void 0);
    _defineProperty(this, "allAfter", void 0);
    _defineProperty(this, "pattern", void 0);
    _defineProperty(this, "multiplier", void 0);
    _defineProperty(this, "roundingMode", void 0);
    // format function will use these (defaults)
    this.positivePrefix = '';
    this.positiveSuffix = '';
    this.negativePrefix = locale.decimalFormatSymbols.minusSign;
    this.negativeSuffix = '';
    this.groupingChar = locale.decimalFormatSymbols.groupingSeparator;
    // we want to be lenient when it comes to grouping separators, try the locale default plus a few others
    this.lenientGroupingChars = '\'´`’' +
    // apostrophe and variations
    '\u00B7' +
    // middle dot
    '\u0020' +
    // space
    '\u00A0' +
    // no-break space
    '\u2009' +
    // thin space
    '\u202F'; // narrow no-break space
    this.groupLength = 0;
    this.decimalSeparatorChar = locale.decimalFormatSymbols.decimalSeparator;
    this.zeroBefore = 1;
    this.zeroAfter = 0;
    this.allAfter = 0;
    if (typeof options === 'string') {
      this.pattern = options;
      this.multiplier = 1;
      this.roundingMode = _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP;
    } else {
      options = options || {
        pattern: null
      };
      this.pattern = this.pattern || options.pattern || locale.decimalFormatPatternDefault;
      this.multiplier = options.multiplier || 1;
      this.roundingMode = options.roundingMode || _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP;
    }
    let SYMBOLS = DecimalFormat.PATTERN_SYMBOLS;
    // Check if there are separate subpatterns for positive and negative numbers ("PositivePattern;NegativePattern")
    let split = this.pattern.split(SYMBOLS.patternSeparator);
    // Use the first subpattern as positive prefix/suffix
    let positivePrefixAndSuffix = findPrefixAndSuffix(split[0]);
    this.positivePrefix = positivePrefixAndSuffix.prefix;
    this.positiveSuffix = positivePrefixAndSuffix.suffix;
    if (split.length > 1) {
      // Yes, there is a negative subpattern
      let negativePrefixAndSuffix = findPrefixAndSuffix(split[1]);
      this.negativePrefix = negativePrefixAndSuffix.prefix;
      this.negativeSuffix = negativePrefixAndSuffix.suffix;
      // from now on, only look at the positive subpattern
      this.pattern = split[0];
    } else {
      // No, there is no negative subpattern, so the positive prefix/suffix are used for both positive and negative numbers.
      // Check if there is a minus sign in the prefix/suffix.
      if (this.positivePrefix.indexOf(SYMBOLS.minusSign) !== -1 || this.positiveSuffix.indexOf(SYMBOLS.minusSign) !== -1) {
        // Yes, there is a minus sign in the prefix/suffix. Use this a negativePrefix/Suffix and remove the minus sign from the posistivePrefix/Suffix.
        this.negativePrefix = this.positivePrefix.replace(SYMBOLS.minusSign, locale.decimalFormatSymbols.minusSign);
        this.negativeSuffix = this.positiveSuffix.replace(SYMBOLS.minusSign, locale.decimalFormatSymbols.minusSign);
        this.positivePrefix = this.positivePrefix.replace(SYMBOLS.minusSign, '');
        this.positiveSuffix = this.positiveSuffix.replace(SYMBOLS.minusSign, '');
      } else {
        // No, there is no minus sign in the prefix/suffix. Therefore, use the default negativePrefix/Suffix, but append the positivePrefix/Suffix
        this.negativePrefix = this.positivePrefix + this.negativePrefix;
        this.negativeSuffix = this.negativeSuffix + this.positiveSuffix;
      }
    }
    // find group length
    let posDecimalSeparator = this.pattern.indexOf(SYMBOLS.decimalSeparator);
    if (posDecimalSeparator === -1) {
      posDecimalSeparator = this.pattern.length; // assume decimal separator at end
    }
    let posGroupingSeparator = this.pattern.lastIndexOf(SYMBOLS.groupingSeparator, posDecimalSeparator); // only search before decimal separator
    if (posGroupingSeparator > 0) {
      this.groupLength = posDecimalSeparator - posGroupingSeparator - 1;
    }
    this.pattern = this.pattern.replace(new RegExp('[' + SYMBOLS.groupingSeparator + ']', 'g'), '');
    // split on decimal point
    split = this.pattern.split(SYMBOLS.decimalSeparator);
    // find digits before and after decimal point
    this.zeroBefore = _index__WEBPACK_IMPORTED_MODULE_0__.strings.count(split[0], SYMBOLS.zeroDigit);
    if (split.length > 1) {
      // has decimal point?
      this.zeroAfter = _index__WEBPACK_IMPORTED_MODULE_0__.strings.count(split[1], SYMBOLS.zeroDigit);
      this.allAfter = this.zeroAfter + _index__WEBPACK_IMPORTED_MODULE_0__.strings.count(split[1], SYMBOLS.digit);
    }
    // Returns an object with the properties 'prefix' and 'suffix', which contain all characters
    // before or after any 'digit-like' character in the given pattern string.
    function findPrefixAndSuffix(pattern) {
      let result = {
        prefix: '',
        suffix: ''
      };
      // Find prefix (anything before the first 'digit-like' character)
      let digitLikeCharacters = SYMBOLS.digit + SYMBOLS.zeroDigit + SYMBOLS.decimalSeparator + SYMBOLS.groupingSeparator;
      let r = new RegExp('^(.*?)[' + digitLikeCharacters + '].*$');
      let matches = r.exec(pattern);
      if (matches !== null) {
        // Ignore single quotes (for special, quoted characters - e.g. Java quotes percentage sign like '%')
        result.prefix = matches[1].replace(new RegExp('\'([^\']+)\'', 'g'), '$1');
      }
      // Find suffix (anything before the first 'digit-like' character)
      r = new RegExp('^.*[' + digitLikeCharacters + '](.*?)$');
      matches = r.exec(pattern);
      if (matches !== null) {
        // Ignore single quotes (for special, quoted characters - e.g. Java quotes percentage sign like '%')
        result.suffix = matches[1].replace(new RegExp('\'([^\']+)\'', 'g'), '$1');
      }
      return result;
    }
  }
  /**
   * Converts the numberString into a number and applies the multiplier.
   * @param evaluateNumberFunction optional function for custom evaluation. The function gets a normalized string and has to return a Number
   * @returns A number for the given numberString, if the string can be converted into a number. Throws an Error otherwise
   */
  parse(numberString, evaluateNumberFunction) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(numberString)) {
      return null;
    }
    let normalizedNumberString = this.normalize(numberString);
    evaluateNumberFunction = evaluateNumberFunction || Number;
    let number = evaluateNumberFunction(normalizedNumberString);
    if (isNaN(number)) {
      throw new Error(numberString + ' is not a number (NaN)');
    }
    if (this.multiplier !== 1) {
      number /= this.multiplier;
    }
    return number;
  }
  format(number, applyMultiplier) {
    if (number === null || number === undefined) {
      return null;
    }
    let prefix = this.positivePrefix;
    let suffix = this.positiveSuffix;
    // apply multiplier
    applyMultiplier = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(applyMultiplier, true);
    if (applyMultiplier && this.multiplier !== 1) {
      number *= this.multiplier;
    }
    // round
    number = this.round(number);
    // after decimal point
    let after = '';
    if (this.allAfter) {
      after = number.toFixed(this.allAfter).split('.')[1];
      for (let j = after.length - 1; j > this.zeroAfter - 1; j--) {
        if (after[j] !== '0') {
          break;
        }
        after = after.slice(0, -1);
      }
      if (after) {
        // did we find any non-zero characters?
        after = this.decimalSeparatorChar + after;
      }
    }
    // absolute value
    if (number < 0) {
      prefix = this.negativePrefix;
      suffix = this.negativeSuffix;
      number = -number;
    }
    // before decimal point
    let b = Math.floor(number);
    let before = b === 0 ? '' : String(b);
    before = _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(before, this.zeroBefore);
    // group digits
    if (this.groupLength) {
      for (let i = before.length - this.groupLength; i > 0; i -= this.groupLength) {
        before = before.substr(0, i) + this.groupingChar + before.substr(i);
      }
    }
    // put together and return
    return prefix + before + after + suffix;
  }
  /**
   * Rounds a number according to the properties of the DecimalFormat.
   */
  round(number, applyMultiplier) {
    applyMultiplier = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(applyMultiplier, true);
    if (number === null || number === undefined) {
      return null;
    }
    // apply multiplier
    if (applyMultiplier && this.multiplier !== 1) {
      number *= this.multiplier;
    }
    // round
    number = _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(number, this.roundingMode, this.allAfter);
    // un-apply multiplier
    if (applyMultiplier && this.multiplier !== 1) {
      number /= this.multiplier;
    }
    return number;
  }
  /**
   * Convert to JS number format:
   * - remove groupingChar and lenientGroupingChars
   * - replace decimalSeparatorChar with '.'
   * - remove positiveSuffix and negativeSuffix
   * - replace positivePrefix with '+'
   * - replace negativePrefix with '-'
   */
  normalize(numberString) {
    if (!numberString) {
      return numberString;
    }
    let result = numberString.replace(new RegExp('[' + this.groupingChar + this.lenientGroupingChars + ']', 'g'), '').replace(new RegExp('[' + this.decimalSeparatorChar + ']', 'g'), '.');
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.positivePrefix)) {
      result = result.replace(new RegExp(this.positivePrefix, 'g'), '+');
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.positiveSuffix)) {
      result = result.replace(new RegExp(this.positiveSuffix, 'g'), '');
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.negativePrefix)) {
      result = result.replace(new RegExp(this.negativePrefix, 'g'), '-');
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.negativeSuffix)) {
      result = result.replace(new RegExp(this.negativeSuffix, 'g'), '');
    }
    return result.replace(/\s/g, '');
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  /**
   * Literal (not localized!) pattern symbols as defined in http://docs.oracle.com/javase/7/docs/api/java/text/DecimalFormat.html
   */

  static ensure(locale, format) {
    if (!format) {
      return format;
    }
    if (format instanceof DecimalFormat) {
      return format;
    }
    return new DecimalFormat(locale, format);
  }
}
_defineProperty(DecimalFormat, "PATTERN_SYMBOLS", {
  digit: '#',
  zeroDigit: '0',
  decimalSeparator: '.',
  groupingSeparator: ',',
  minusSign: '-',
  patternSeparator: ';'
});

/***/ }),

/***/ "./src/text/TextMap.ts":
/*!*****************************!*\
  !*** ./src/text/TextMap.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextMap: () => (/* binding */ TextMap)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TextMap {
  constructor(textMap) {
    _defineProperty(this, "map", void 0);
    _defineProperty(this, "parent", void 0);
    this.map = textMap || {};
  }
  /**
   * Returns the text for the given key.
   * If the key does not exist in this text map, a lookup in the parent text map is done.
   *
   * @param textKey key to look up the text
   * @param vararg texts to replace the placeholders specified by {0}, {1}, etc.
   */
  get(textKey) {
    for (var _len = arguments.length, vararg = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      vararg[_key - 1] = arguments[_key];
    }
    if (!this._exists(textKey)) {
      if (this.parent) {
        return this.parent.get(textKey, ...vararg);
      }
      return '[undefined text: ' + textKey + ']';
    }
    let len = vararg.length;
    let text = this.map[textKey];
    if (len === 0) {
      return text;
    }
    for (let i = 0; i < len; i++) {
      text = text.replace(new RegExp('\\{' + i + '\\}', 'g'), vararg[i]);
    }
    return text;
  }
  optGet(textKey, defaultValue) {
    for (var _len2 = arguments.length, vararg = new Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
      vararg[_key2 - 2] = arguments[_key2];
    }
    if (!this._exists(textKey)) {
      if (this.parent) {
        return this.parent.optGet(textKey, defaultValue, ...vararg);
      }
      return defaultValue;
    }
    return this.get(textKey, ...vararg);
  }
  exists(textKey) {
    if (this._exists(textKey)) {
      return true;
    }
    if (this.parent) {
      return this.parent.exists(textKey);
    }
    return false;
  }
  _exists(textKey) {
    return this.map.hasOwnProperty(textKey);
  }
  add(textKey, text) {
    this.map[textKey] = text;
  }
  /**
   * Adds all texts from the given textMap to this textMap
   * @param textMap either a plain object or a {@link TextMap}
   */
  addAll(textMap) {
    if (!textMap) {
      return;
    }
    if (textMap instanceof TextMap) {
      textMap = textMap.map;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.copyOwnProperties(textMap, this.map);
  }
  setParent(parent) {
    this.parent = parent;
  }
  remove(textKey) {
    delete this.map[textKey];
  }
}
_defineProperty(TextMap, "TEXT_KEY_REGEX", /\${textKey:([a-zA-Z0-9.]*)}/);

/***/ }),

/***/ "./src/text/texts.ts":
/*!***************************!*\
  !*** ./src/text/texts.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   texts: () => (/* binding */ texts)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const texts = {
  /**
   * This default language is used whenever a new text is registered.
   */
  defaultLanguage: 'en',
  TEXT_KEY_REGEX: /\${textKey:([^}]*)}/,
  textsByLocale: {},
  bootstrap(url) {
    if (!url) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise({});
    }
    let promises = [];
    let urls = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(url);
    urls.forEach(url => promises.push(jquery__WEBPACK_IMPORTED_MODULE_1___default().ajaxJson(url).then(texts._handleBootstrapResponse.bind(this, url))));
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises);
  },
  /** @internal */
  _setTextsByLocale(val) {
    texts.textsByLocale = val;
  },
  /** @internal */
  _handleBootstrapResponse(url, data) {
    _index__WEBPACK_IMPORTED_MODULE_0__.App.handleJsonError(url, data);
    texts.init(data);
  },
  init(model) {
    Object.keys(model).forEach(languageTag => texts.get(languageTag).addAll(model[languageTag]), this);
  },
  /**
   * Links the texts of the given languageTag to make parent lookup possible (e.g. look first in de-CH, then in de, then in default).
   */
  link(languageTag) {
    let tags = texts.createOrderedLanguageTags(languageTag);
    let child;
    tags.forEach(tag => {
      let textMap = texts._get(tag);
      if (!textMap) {
        // If there are no texts for the given tag, create an empty Texts object for linking purpose
        textMap = new _index__WEBPACK_IMPORTED_MODULE_0__.TextMap();
        texts._put(tag, textMap);
      }
      if (child) {
        child.setParent(textMap);
      }
      child = textMap;
    });
  },
  /**
   * Creates an array containing all relevant tags.
   * <p>
   * Examples:<br>
   * - 'de-CH' generates the array: ['de-CH', 'de', 'default']
   * - 'de' generates the array: ['de', 'default']
   * - 'default' generates the array: ['default']
   */
  createOrderedLanguageTags(languageTag) {
    let tags = [],
      i = languageTag.lastIndexOf('-');
    tags.push(languageTag);
    while (i >= 0) {
      languageTag = languageTag.substring(0, i);
      tags.push(languageTag);
      i = languageTag.lastIndexOf('-');
    }
    if (languageTag !== 'default') {
      tags.push('default');
    }
    return tags;
  },
  /**
   * Returns the (modifiable) TextMap for the given language tag.
   * If no TextMap exists for the languageTag given, a new empty map is created.
   * @returns the TextMap for the given languageTag. Never returns null or undefined.
   */
  get(languageTag) {
    let textMap = texts._get(languageTag);
    if (textMap) {
      return textMap;
    }
    texts.link(languageTag);
    textMap = texts._get(languageTag);
    if (!textMap) {
      throw new Error('Texts missing for the language tag ' + languageTag);
    }
    return textMap;
  },
  /** @internal */
  _get(languageTag) {
    return texts.textsByLocale[languageTag];
  },
  /**
   * Registers the text map for the given locale.
   * If there already is a text map registered for that locale, it will be replaced, meaning existing texts for that locale are deleted.
   * @internal
   */
  _put(languageTag, textMap) {
    texts.textsByLocale[languageTag] = textMap;
  },
  /**
   * Extracts NLS texts from the DOM tree. Texts are expected in the following format:
   *
   *   <scout-text data-key="..." data-value="..." />
   *
   * This method returns a map with all found texts. It must be called before scout.prepareDOM()
   * is called, as that method removes all <scout-text> tags.
   */
  readFromDOM() {
    let textMap = {};
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('scout-text').each(function () {
      // No need to unescape strings (the browser did this already)
      let key = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('key');
      // noinspection UnnecessaryLocalVariableJS
      let value = jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).data('value');
      textMap[key] = value;
    });
    return textMap;
  },
  /**
   * Converts a key to the form '${textKey:AKey}'.
   * @param key to convert (e.g. 'AKey')
   * @returns text containing the text key like '${textKey:AKey}'.
   */
  buildKey(key) {
    return '${textKey:' + key + '}';
  },
  /**
   * @param value text which contains a text key like '${textKey:AKey}'.
   * @returns the resolved key or the unchanged value if the text key could not be extracted.
   */
  resolveKey(value) {
    let result = texts.TEXT_KEY_REGEX.exec(value);
    if (result && result.length === 2) {
      return result[1];
    }
    return value;
  },
  /**
   * @param value text which contains a text key like '${textKey:AKey}'.
   * @param languageTag the languageTag to use for the text lookup with the resolved key.
   * @returns the resolved text in the given language or the unchanged text if the text key could not be extracted.
   */
  resolveText(value, languageTag) {
    let key = texts.resolveKey(value);
    if (key !== value) {
      return texts.get(languageTag).get(key);
    }
    return value;
  },
  /**
   * Utility function to easily replace an object property which contains a text key like '${textKey:AKey}'.
   *
   * @param object object having a text property which contains a text-key
   * @param [textProperty] name of the property where a text-key should be replaced by a text. By default, 'text' is used as property name.
   * @param [session] can be undefined when given 'object' has a session property, otherwise mandatory
   */
  resolveTextProperty(object, textProperty, session) {
    textProperty = textProperty || 'text';
    session = object.session || session;
    let value = object[textProperty];
    let text = texts.resolveText(value, session.locale.languageTag);
    if (text !== value) {
      object[textProperty] = text;
    }
  },
  /**
   * Registers a texts map for a text key.
   * The texts for the default language specified by {@link texts.defaultLanguage} are registered as default texts.
   *
   * @param key the text key under which the given textsArg map will be registered.
   * @param textsArg an object with the languageTag as key and the translated text as value
   */
  registerTexts(key, textsArg) {
    // In case of changed defaultLanguage clear the 'default' entry
    texts.get('default').remove(key);
    for (let languageTag in textsArg) {
      let text = textsArg[languageTag];
      // Use defaultLanguage as default, if specified (maybe changed or set to null by the app).
      if (languageTag && languageTag === texts.defaultLanguage) {
        languageTag = 'default';
      }
      texts.get(languageTag).add(key, text);
    }
  }
};

/***/ }),

/***/ "./src/tile/BeanTile.ts":
/*!******************************!*\
  !*** ./src/tile/BeanTile.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BeanTile: () => (/* binding */ BeanTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class BeanTile extends _index__WEBPACK_IMPORTED_MODULE_0__.Tile {
  constructor() {
    super();
    _defineProperty(this, "bean", void 0);
    this.bean = null;
  }
  _render() {
    this.$container = this.$parent.appendDiv('bean-tile');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderBean();
  }
  _renderBean() {
    // to be implemented by the subclass
  }
  triggerAppLinkAction(ref) {
    this.trigger('appLinkAction', {
      ref: ref
    });
  }
  _onAppLinkAction(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.delegateTarget);
    let ref = $target.data('ref');
    this.triggerAppLinkAction(ref);
  }
}

/***/ }),

/***/ "./src/tile/BeanTileAdapter.ts":
/*!*************************************!*\
  !*** ./src/tile/BeanTileAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BeanTileAdapter: () => (/* binding */ BeanTileAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class BeanTileAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TileAdapter {
  _onWidgetAppLinkAction(event) {
    this._send('appLinkAction', {
      ref: event.ref
    });
  }
  _onWidgetEvent(event) {
    if (event.type === 'appLinkAction') {
      this._onWidgetAppLinkAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/tile/CompositeTile.ts":
/*!***********************************!*\
  !*** ./src/tile/CompositeTile.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompositeTile: () => (/* binding */ CompositeTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompositeTile extends _index__WEBPACK_IMPORTED_MODULE_0__.Tile {
  constructor() {
    super();
    _defineProperty(this, "widgets", void 0);
    this.widgets = [];
    this._addWidgetProperties(['widgets']);
  }
  _render() {
    this.$container = this.$parent.appendDiv();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderWidgets();
  }
  setWidgets(widgets) {
    this.setProperty('widgets', widgets);
  }
  _renderWidgets() {
    this.widgets.forEach(widget => {
      widget.render();
    });
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/tile/HtmlTile.ts":
/*!******************************!*\
  !*** ./src/tile/HtmlTile.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlTile: () => (/* binding */ HtmlTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HtmlTile extends _index__WEBPACK_IMPORTED_MODULE_0__.Tile {
  constructor() {
    super();
    _defineProperty(this, "content", void 0);
    this.content = null;
  }
  _render() {
    this.$container = this.$parent.appendDiv('html-tile');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderContent();
  }
  setContent(content) {
    this.setProperty('content', content);
  }
  _renderContent() {
    if (!this.content) {
      this.$container.empty();
      return;
    }
    this.$container.html(this.content);
    // Add listener to images to update the layout when the images are loaded
    this.$container.find('img').on('load', this._onImageLoad.bind(this)).on('error', this._onImageError.bind(this));
    this.invalidateLayoutTree();
  }
  _onImageLoad(event) {
    this.invalidateLayoutTree();
  }
  _onImageError(event) {
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/tile/HtmlTileAdapter.ts":
/*!*************************************!*\
  !*** ./src/tile/HtmlTileAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HtmlTileAdapter: () => (/* binding */ HtmlTileAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class HtmlTileAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TileAdapter {}

/***/ }),

/***/ "./src/tile/PlaceholderTile.ts":
/*!*************************************!*\
  !*** ./src/tile/PlaceholderTile.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PlaceholderTile: () => (/* binding */ PlaceholderTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class PlaceholderTile extends _index__WEBPACK_IMPORTED_MODULE_0__.Tile {
  constructor() {
    super();
    this.cssClass = 'placeholder-tile';
    this.displayStyle = _index__WEBPACK_IMPORTED_MODULE_0__.Tile.DisplayStyle.PLAIN;
  }
  _setSelectable(selectable) {
    // Placeholder tiles should not be selectable
    super._setSelectable(false);
  }
}

/***/ }),

/***/ "./src/tile/RemoteTileFilter.ts":
/*!**************************************!*\
  !*** ./src/tile/RemoteTileFilter.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RemoteTileFilter: () => (/* binding */ RemoteTileFilter)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class RemoteTileFilter {
  constructor(options) {
    _defineProperty(this, "synthetic", void 0);
    _defineProperty(this, "tileMap", void 0);
    options = options || {};
    this.synthetic = true;
    this.tileMap = {};
    if (options.tileIds) {
      this.setTileIds(options.tileIds);
    }
  }
  setTileIds(tileIds) {
    this.tileMap = {};
    tileIds.forEach(tileId => {
      this.tileMap[tileId] = tileId;
    });
  }
  accept(tile) {
    return !!this.tileMap[tile.id];
  }
}

/***/ }),

/***/ "./src/tile/Tile.ts":
/*!**************************!*\
  !*** ./src/tile/Tile.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tile: () => (/* binding */ Tile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Tile extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "animateBoundsChange", void 0);
    _defineProperty(this, "colorScheme", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "gridData", void 0);
    _defineProperty(this, "gridDataHints", void 0);
    _defineProperty(this, "rowId", void 0);
    _defineProperty(this, "selected", void 0);
    _defineProperty(this, "selectable", void 0);
    _defineProperty(this, "movable", void 0);
    _defineProperty(this, "movableProducer", void 0);
    _defineProperty(this, "resizable", void 0);
    _defineProperty(this, "resizableProducer", void 0);
    _defineProperty(this, "plainText", void 0);
    this.animateBoundsChange = true;
    this.displayStyle = Tile.DisplayStyle.DEFAULT;
    this.gridData = null;
    this.rowId = null;
    this.gridDataHints = new _index__WEBPACK_IMPORTED_MODULE_0__.GridData();
    this.colorScheme = null;
    this.selected = false;
    this.selectable = false;
    this.movable = false;
    this.resizable = false;
    this.plainText = null;
    // Null to let TileGrid decide whether to enable animation
    this.animateRemoval = null;
    this._addPropertyDimensionAlias('visible', 'filterAccepted');
  }
  // not const, can be extended
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this
    });
  }
  _init(model) {
    super._init(model);
    this._setGridDataHints(this.gridDataHints);
    this._setColorScheme(this.colorScheme);
    this._setSelectable(this.selectable);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tile');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.SingleLayout());
  }
  _renderProperties() {
    super._renderProperties();
    this._renderColorScheme();
    this._renderSelectable();
    this._renderSelected();
    this._renderDisplayStyle();
  }
  _renderEnabled() {
    super._renderEnabled();
    this._renderMovable();
    this._renderResizable();
  }
  _postRender() {
    this.$container.addClass('tile');
    // Make sure prefSize returns the size the tile has after the animation even if it is called while the animation runs
    // Otherwise the tile may have the wrong size after making a tile with useUiHeight = true visible
    this.htmlComp.layout.animateClasses = ['animate-visible', 'animate-invisible', 'animate-insert', 'animate-remove'];
  }
  _renderDisplayStyle() {
    this.$container.toggleClass('default-tile', this.displayStyle === Tile.DisplayStyle.DEFAULT);
  }
  /** @see TileModel.gridDataHints */
  setGridDataHints(gridData) {
    let changed = this.setProperty('gridDataHints', gridData);
    if (changed && this.rendered) {
      // Do it here instead of _renderGridDataHints because grid does not need to be invalidated when rendering, only when hints change
      // Otherwise it forces too many unnecessary recalculations when tile grid is rendering tiles due to virtual scrolling
      this.parent.invalidateLogicalGrid();
    }
  }
  _setGridDataHints(gridData) {
    this._setProperty('gridDataHints', _index__WEBPACK_IMPORTED_MODULE_0__.GridData.ensure(gridData || new _index__WEBPACK_IMPORTED_MODULE_0__.GridData()));
  }
  /** @internal */
  _setGridData(gridData) {
    this._setProperty('gridData', _index__WEBPACK_IMPORTED_MODULE_0__.GridData.ensure(gridData || new _index__WEBPACK_IMPORTED_MODULE_0__.GridData()));
  }
  /** @see TileModel.colorScheme */
  setColorScheme(colorScheme) {
    this.setProperty('colorScheme', colorScheme);
  }
  _setColorScheme(colorScheme) {
    let defaultScheme = {
      scheme: _index__WEBPACK_IMPORTED_MODULE_0__.colorSchemes.ColorSchemeId.DEFAULT,
      inverted: false
    };
    colorScheme = _index__WEBPACK_IMPORTED_MODULE_0__.colorSchemes.ensureColorScheme(colorScheme, true);
    colorScheme = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultScheme, colorScheme);
    this._setProperty('colorScheme', colorScheme);
  }
  _renderColorScheme() {
    _index__WEBPACK_IMPORTED_MODULE_0__.colorSchemes.toggleColorSchemeClasses(this.$container, this.colorScheme);
  }
  /** @see TileModel.selected */
  setSelected(selected) {
    if (selected && !this.selectable) {
      return;
    }
    this.setProperty('selected', selected);
  }
  _renderSelected() {
    this.$container.toggleClass('selected', this.selected);
  }
  /** @see TileModel.selectable */
  setSelectable(selectable) {
    this.setProperty('selectable', selectable);
  }
  _setSelectable(selectable) {
    this._setProperty('selectable', selectable);
    if (!this.selectable) {
      this.setSelected(false);
    }
  }
  _renderSelectable() {
    this.$container.toggleClass('selectable', this.selectable);
  }
  setMovableProducer(producer) {
    this.setProperty('movableProducer', producer);
  }
  _renderMovableProducer() {
    this._removeMovable();
    this._renderMovable();
  }
  setMovable(movable) {
    this.setProperty('movable', movable);
  }
  _renderMovable() {
    let movableHandler = this.$container.data('movable');
    if (this.movable && this.enabledComputed) {
      if (movableHandler) {
        return;
      }
      movableHandler = this.movableProducer && this.movableProducer();
      if (!movableHandler) {
        return;
      }
      this.$container.data('movable', movableHandler);
    } else {
      this._removeMovable();
    }
  }
  _removeMovable() {
    let movableHandler = this.$container.data('movable');
    if (movableHandler) {
      movableHandler.destroy();
      this.$container.removeData('movable');
    }
  }
  setResizableProducer(producer) {
    this.setProperty('resizableProducer', producer);
  }
  _renderResizableProducer() {
    this._removeResizable();
    this._renderResizable();
  }
  setResizable(resizable) {
    this.setProperty('resizable', resizable);
  }
  _renderResizable() {
    let resizableHandler = this.$container.data('resizable');
    if (this.resizable && this.enabledComputed) {
      if (resizableHandler) {
        return;
      }
      resizableHandler = this.resizableProducer && this.resizableProducer();
      if (!resizableHandler) {
        return;
      }
      this.$container.data('resizable', resizableHandler);
    } else {
      this._removeResizable();
    }
  }
  _removeResizable() {
    let resizableHandler = this.$container.data('resizable');
    if (resizableHandler) {
      resizableHandler.destroy();
      this.$container.removeData('resizable');
    }
  }
  setFilterAccepted(filterAccepted) {
    this.setProperty('filterAccepted', filterAccepted);
  }
  get filterAccepted() {
    return this.getProperty('filterAccepted');
  }
  /** @internal */
  _renderVisible() {
    if (this.rendering) {
      this.$container.setVisible(this.visible);
      return;
    }
    if (this.removalPending) {
      // Do nothing if removal is in progress. May happen if filter is set, tile is removed by the filter animation, filter is removed again while animation is still running
      // Adding animate-visible in that case would trigger the animationEnd listener of widget._removeAnimated even though it is not the remove animation which finishes
      // That would cause the animate-visible animation to be executed twice because tileGrid._renderTile would render the tile and start the animation anew.
      return;
    }
    if (!this.visible) {
      // Remove animate-visible first to show correct animation even if tile is made invisible while visible animation is still in progress
      // It is also necessary if the container is made invisible before the animation is finished because animationEnd won't fire in that case
      // which means that animate-invisible is still on the element and will trigger the (wrong) animation when container is made visible again
      this.$container.removeClass('invisible animate-visible');
      this.$container.addClassForAnimation('animate-invisible');
      this.$container.oneAnimationEnd(() => {
        // Make the element invisible after the animation (but only if visibility has not changed again in the meantime)
        this.$container.setVisible(this.visible);
        // Layout is invalidated before the animation starts and the TileGridLayout does not listen for visible-animations to update the scrollbar -> do it here
        // It is mainly necessary if every tile is made invisible / visible. If only some tiles are affected, the TileGridLayout animation change will trigger the scrollbar update
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.parent.get$Scrollable());
      });
    } else {
      this.$container.addClass('invisible'); // Don't show it until it has the correct size and position to prevent flickering (Scout JS, non virtual)
      this.$container.setVisible(true);
      // Wait until the tile is layouted before trying to animate it to make sure the layout does not read the size while the animation runs (because it will be the wrong one)
      this.session.layoutValidator.schedulePostValidateFunction(() => {
        if (!this.rendered || !this.visible) {
          return;
        }
        this.$container.removeClass('invisible animate-invisible');
        this.$container.addClassForAnimation('animate-visible');
        this.$container.oneAnimationEnd(() => {
          // See comment above on why this is done here
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.parent.get$Scrollable());
        });
      });
    }
    this.invalidateParentLogicalGrid();
  }
  /**
   * Marks the element of this tile that is "focused" as the active descendant of the
   * container that has the "real" focus. You may override this to e.g. account for
   * custom navigation concepts in your tile, or if your tile should be announced
   * differently by screen readers.
   *
   * @param $container the focused container for which to mark the active descendant
   */
  markAsActiveDescendantFor($container) {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant($container, this.$container);
  }
}
_defineProperty(Tile, "DisplayStyle", {
  DEFAULT: 'default',
  PLAIN: 'plain'
});

/***/ }),

/***/ "./src/tile/TileAdapter.ts":
/*!*********************************!*\
  !*** ./src/tile/TileAdapter.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileAdapter: () => (/* binding */ TileAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/tile/TileEventMap.ts":
/*!**********************************!*\
  !*** ./src/tile/TileEventMap.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/TileGrid.ts":
/*!******************************!*\
  !*** ./src/tile/TileGrid.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGrid: () => (/* binding */ TileGrid)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Only select top-level tile elements. Do not select elements with a 'tile' class deeper in the tree.
 * This prevents errors when a developer accidentally adds an element that has the 'tile' class. #262146
 */
const TILE_SELECTOR = '> .tile';
class TileGrid extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "animateTileRemoval", void 0);
    _defineProperty(this, "animateTileInsertion", void 0);
    _defineProperty(this, "comparator", void 0);
    _defineProperty(this, "contextMenu", void 0);
    _defineProperty(this, "empty", void 0);
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "filteredElementsDirty", void 0);
    _defineProperty(this, "focusedTile", void 0);
    // GridColumnCount will be modified by the layout, prefGridColumnCount remains unchanged
    _defineProperty(this, "gridColumnCount", void 0);
    _defineProperty(this, "prefGridColumnCount", void 0);
    _defineProperty(this, "layoutConfig", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "renderAnimationEnabled", void 0);
    _defineProperty(this, "selectable", void 0);
    _defineProperty(this, "selectedTiles", void 0);
    _defineProperty(this, "selectionHandler", void 0);
    _defineProperty(this, "scrollable", void 0);
    _defineProperty(this, "startupAnimationDone", void 0);
    _defineProperty(this, "startupAnimationEnabled", void 0);
    _defineProperty(this, "tileRemovalPendingCount", void 0);
    _defineProperty(this, "viewRangeSize", void 0);
    _defineProperty(this, "viewRangeRendered", void 0);
    _defineProperty(this, "virtual", void 0);
    _defineProperty(this, "virtualScrolling", void 0);
    _defineProperty(this, "withPlaceholders", void 0);
    _defineProperty(this, "placeholderProducer", void 0);
    _defineProperty(this, "textFilterEnabled", void 0);
    _defineProperty(this, "filterSupport", void 0);
    _defineProperty(this, "createTextFilter", void 0);
    _defineProperty(this, "updateTextFilterText", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    _defineProperty(this, "wrappable", void 0);
    _defineProperty(this, "movableProducer", void 0);
    _defineProperty(this, "resizableProducer", void 0);
    _defineProperty(this, "$filterFieldContainer", void 0);
    _defineProperty(this, "$fillBefore", void 0);
    _defineProperty(this, "$fillAfter", void 0);
    _defineProperty(this, "_tiles", void 0);
    _defineProperty(this, "_filteredTiles", void 0);
    _defineProperty(this, "_doubleClickSupport", void 0);
    _defineProperty(this, "_filterMenusHandler", void 0);
    _defineProperty(this, "_renderViewPortAfterAttach", void 0);
    _defineProperty(this, "_scrollParentScrollHandler", void 0);
    this.animateTileRemoval = true;
    this.animateTileInsertion = true;
    this.comparator = null;
    this.contextMenu = null;
    this._doubleClickSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.DoubleClickSupport();
    this.empty = false;
    this.filters = [];
    this._filteredTiles = [];
    this.filteredElementsDirty = true;
    this.focusedTile = null;
    this.gridColumnCount = 4;
    this.prefGridColumnCount = this.gridColumnCount;
    this.logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGrid);
    this.layoutConfig = null;
    this.menus = [];
    this.multiSelect = true;
    this.renderAnimationEnabled = false;
    this.selectable = false;
    this.selectedTiles = [];
    this.selectionHandler = new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectionHandler(this);
    this.scrollable = true;
    this.startupAnimationDone = false;
    this.startupAnimationEnabled = false;
    this._tiles = [];
    this.tileRemovalPendingCount = 0;
    this.viewRangeSize = 0;
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    this.virtual = false;
    this.virtualScrolling = null;
    this.withPlaceholders = false;
    this.placeholderProducer = null;
    this.wrappable = true;
    this.movableProducer = this._createMovableProducer();
    this.resizableProducer = this._createResizableProducer();
    this.$filterFieldContainer = null;
    this.textFilterEnabled = false;
    this.filterSupport = this._createFilterSupport();
    this.createTextFilter = null;
    this.updateTextFilterText = null;
    this.defaultMenuTypes = [TileGrid.MenuType.EmptySpace];
    this._filterMenusHandler = this._filterMenus.bind(this);
    this._renderViewPortAfterAttach = false;
    this._scrollParentScrollHandler = this._onScrollParentScroll.bind(this);
    this._addWidgetProperties(['tiles', 'selectedTiles', 'menus']);
    this._addPreserveOnPropertyChangeProperties(['selectedTiles']);
    this._addComputedProperties(['tiles', 'filteredTiles']);
    this.$fillBefore = null;
    this.$fillAfter = null;
  }
  _init(model) {
    super._init(model);
    this._setGridColumnCount(this.gridColumnCount);
    this._setLayoutConfig(this.layoutConfig);
    this._initVirtualScrolling();
    this._initTiles();
    this.setFilters(this.filters, false);
    this.filter();
    this._setMenus(this.menus);
    this._sortWhileInit();
    this.updateFilteredElements();
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _createMovableProducer() {
    return tile => _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileMoveHandler, {
      tileGrid: this,
      $container: tile.$container
    });
  }
  setMovableProducer(producer) {
    this.setProperty('movableProducer', producer);
  }
  _createResizableProducer() {
    return tile => _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TileResizeHandler, {
      tileGrid: this,
      $container: tile.$container,
      useOverlay: true
    });
  }
  setResizableProducer(producer) {
    this.setProperty('resizableProducer', producer);
  }
  _initVirtualScrolling() {
    this.virtualScrolling = this._createVirtualScrolling();
  }
  _createVirtualScrolling() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.VirtualScrolling({
      widget: this,
      enabled: this.virtual,
      viewRangeSize: this.viewRangeSize,
      rowHeight: this._heightForRow.bind(this),
      rowCount: this.rowCount.bind(this),
      _renderViewRange: this._renderViewRange.bind(this)
    });
  }
  _createLoadingSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport({
      widget: this
    });
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectAllKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectLeftKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectRightKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectDownKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectFirstKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectLastKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuKeyStroke(this, this.showContextMenu, this)]);
  }
  _initTiles() {
    this._tiles.forEach(tile => {
      this._initTile(tile);
    });
  }
  _initTile(tile) {
    tile.setSelectable(this.selectable);
    tile.setSelected(this.selectedTiles.indexOf(tile) >= 0);
    tile.setMovableProducer(() => this.movableProducer(tile));
    tile.setResizableProducer(() => this.resizableProducer(tile));
    // Set proper state in case tile was used in another grid
    tile.setParent(this);
    tile.setFilterAccepted(true);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tile-grid');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.$container.on('mousedown', TILE_SELECTOR, this._onTileMouseDown.bind(this)).on('click', TILE_SELECTOR, this._onTileClick.bind(this)).on('dblclick', TILE_SELECTOR, this._onTileDoubleClick.bind(this));
    this.$filterFieldContainer = this.$container.prependDiv('filter-field-container');
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayout(this, this.layoutConfig);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderLayoutConfig();
    this._renderScrollable();
    this._renderVirtual();
    this._renderSelectable();
    this._renderEmpty();
    this._renderTextFilterEnabled();
  }
  _remove() {
    this.$fillBefore = null;
    this.$fillAfter = null;
    this.filterSupport.remove();
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    this._updateVirtualScrollable();
    super._remove();
  }
  _renderOnAttach() {
    super._renderOnAttach();
    if (this._renderViewPortAfterAttach) {
      this._renderViewPort();
      this._renderViewPortAfterAttach = false;
    }
  }
  _renderEnabled() {
    super._renderEnabled();
    this._updateTabbable();
  }
  _updateTabbable() {
    if (!this.textFilterEnabled && !this.selectable) {
      this.$container.setTabbable(false);
    } else {
      this.$container.setTabbableOrFocusable(this.enabledComputed);
    }
  }
  insertTile(tile) {
    this.insertTiles([tile]);
  }
  insertTiles(tilesToInsert) {
    this._insertTilesInternal(tilesToInsert);
  }
  _insertTilesInternal(tilesToInsert, appendPlaceholders) {
    tilesToInsert = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tilesToInsert);
    if (tilesToInsert.length === 0) {
      return;
    }
    let tiles = this._tiles;
    this._setTilesInternal(tiles.concat(tilesToInsert), appendPlaceholders);
  }
  deleteTile(tile) {
    this.deleteTiles([tile]);
  }
  deleteTiles(tilesToDelete) {
    this._deleteTilesInternal(tilesToDelete);
  }
  _deleteTilesInternal(tilesToDelete, appendPlaceholders) {
    tilesToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tilesToDelete);
    if (tilesToDelete.length === 0) {
      return;
    }
    let tiles = this._tiles.slice();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(tiles, tilesToDelete);
    this._setTilesInternal(tiles, appendPlaceholders);
  }
  deleteAllTiles() {
    this.setTiles([]);
  }
  moveTileBefore(tileToMove, sibling) {
    let tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.moveBefore(this._tiles, tileToMove, sibling);
    this._setTilesInternal(tiles);
  }
  moveTileAfter(tileToMove, sibling) {
    let tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.moveAfter(this._tiles, tileToMove, sibling);
    this._setTilesInternal(tiles);
  }
  setTiles(tilesOrModels) {
    this._setTilesInternal(tilesOrModels);
  }
  _setTilesInternal(tilesOrModels, appendPlaceholders) {
    let tilesOrModelsArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tilesOrModels);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this._tiles, tilesOrModels)) {
      return;
    }
    // Ensure given tiles are real tiles (of type Tile)
    let tiles = this._createChildren(tilesOrModelsArr);
    if (this.withPlaceholders && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(appendPlaceholders, true)) {
      // Remove placeholders from new tiles, they will be added later
      this._deletePlaceholders(tiles);
    }
    // Only insert those which are not already there
    let tilesToInsert = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(tiles, this._tiles);
    this._insertTiles(tilesToInsert);
    // Append the existing placeholders, otherwise they would be unnecessarily deleted if a tile is deleted
    if (this.withPlaceholders && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(appendPlaceholders, true)) {
      let placeholders = this.placeholders();
      // But only add as many placeholders as needed: If a new tile is added, it should replace the placeholder underneath.
      // If this were not done the placeholders would move animated when a new tile is inserted rather than just staying where they are
      placeholders = placeholders.slice(Math.min(this._filterTiles(tilesToInsert).length, placeholders.length), placeholders.length);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(tiles, placeholders);
    }
    // Only delete those which are not in the new array
    let tilesToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(this._tiles, tiles);
    this._deleteTiles(tilesToDelete);
    this._sort(tiles);
    this.filteredElementsDirty = this.filteredElementsDirty || tilesToDelete.length > 0 || tilesToInsert.length > 0 || !_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this._tiles, tiles); // last check necessary if sorting changed
    let currentTiles = this._tiles;
    this._setProperty('tiles', tiles);
    this.updateFilteredElements();
    if (this.rendered) {
      this._renderTileDelta();
      this._renderTileOrder(currentTiles);
      this._renderInsertTiles(tilesToInsert);
    }
  }
  _insertTiles(tiles) {
    if (tiles.length === 0) {
      return;
    }
    tiles.forEach(tile => {
      this._insertTile(tile);
    });
  }
  _insertTile(tile) {
    this._initTile(tile);
    this._applyFilters([tile]);
    if (!this.virtual && this.rendered) {
      this._renderTile(tile);
    }
  }
  _renderTile(tile) {
    if (tile.removalPending) {
      // If tile is being removed by the filter and the filter cleared so that the tile should be rendered again while the animation is still running,
      // we need to wait for the remove animation, otherwise an already rendered exception occurs
      tile.one('remove', () => {
        if (tile.rendered) {
          // Might be already rendered again by renderTileDelta because filter was changed again
          return;
        }
        this._renderTile(tile);
        this._renderTileVisibleForFilter(tile);
        if (this.tileRemovalPendingCount === 0) {
          this.invalidateLayoutTree();
        }
      });
      return;
    }
    tile.render();
    tile.setLayoutData(new _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridData(tile));
    tile.$container.addClass('newly-rendered');
  }
  _renderInsertTiles(tiles) {
    if (this.animateTileInsertion) {
      this._animateInsertTiles(tiles);
    }
    if (!this.htmlComp.layouting) {
      // no need to invalidate when tile placeholders are added or removed while layouting
      this.invalidateLayoutTree();
    }
  }
  _animateInsertTiles(tiles) {
    for (let tile of tiles) {
      if (!tile.rendered) {
        continue;
      }
      tile.$container.addClass('before-animate-insert');
      // Wait until the layout animation is done before animating the insert operation.
      // Also make them invisible to not cover existing tiles while they are moving or changing size.
      // Also do it for tiles which don't have an insert animation (e.g. placeholders), due to the same reason.
      this.one('layoutAnimationDone', () => {
        if (tile.rendered) {
          tile.$container.removeClass('before-animate-insert');
          if (this._animateTileInsertion(tile)) {
            tile.$container.addClassForAnimation('animate-insert');
          }
        }
      });
    }
  }
  _removeAllTiles() {
    this._tiles.forEach(tile => {
      tile.remove();
    });
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
  }
  _renderAllTiles() {
    this._tiles.forEach(tile => {
      this._renderTile(tile);
    });
  }
  _deleteTiles(tiles) {
    if (tiles.length === 0) {
      return;
    }
    tiles.forEach(tile => {
      this._deleteTile(tile);
    });
    this.deselectTiles(tiles);
    if (this.rendered && !this.htmlComp.layouting) {
      // no need to invalidate when tile placeholders are added or removed while layouting
      this.invalidateLayoutTree();
    }
  }
  _deleteTile(tile) {
    if (this._animateTileRemoval(tile)) {
      // Animate tile removal, but not while layouting when tile placeholders are added or removed
      tile.animateRemoval = true;
    }
    // Destroy only if it is the owner, if tile belongs to another widget, just remove it
    if (tile.owner === this) {
      tile.destroy();
    } else if (this.rendered) {
      tile.remove();
    }
    this._onAnimatedTileRemove(tile);
    tile.animateRemoval = false;
    if (tile === this.focusedTile) {
      this.setFocusedTile(null);
    }
  }
  _animateTileRemoval(tile) {
    // Explicitly check animateRemoval !== false to only enable animated removal if value is null or true to make it possible to disable it
    return this.animateTileRemoval && tile && tile.visible && !(tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) && tile.animateRemoval !== false;
  }
  _animateTileInsertion(tile) {
    return this.animateTileInsertion && tile && tile.visible && !(tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile);
  }
  _onAnimatedTileRemove(tile) {
    if (!tile.removalPending) {
      return;
    }
    this.tileRemovalPendingCount++;
    tile.one('remove', () => {
      this.tileRemovalPendingCount--;
      if (this.rendered && this.tileRemovalPendingCount === 0 && !this.htmlComp.layouting) {
        this.invalidateLayoutTree();
      }
    });
  }
  /**
   * Sets a comparator that is used to sort the tiles. After setting a comparator, you need to call {@link sort}.
   *
   * The tiles will be sorted automatically whenever new tiles are inserted.
   */
  setComparator(comparator) {
    if (this.comparator === comparator) {
      return;
    }
    this.comparator = comparator;
  }
  _sortWhileInit() {
    this.sort();
  }
  sort() {
    let tiles = this._tiles.slice();
    this._sort(tiles);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this._tiles, tiles)) {
      // Check is needed anyway to determine whether filteredElementsDirty needs to be set, so we can use it here as well to early return if nothing changed
      return;
    }
    let currentTiles = this._tiles;
    this._setProperty('tiles', tiles);
    // Sort list of filtered tiles as well
    this.filteredElementsDirty = true;
    this.updateFilteredElements();
    if (this.rendered) {
      this._renderTileDelta();
      this._renderTileOrder(currentTiles);
    }
  }
  _sort(tiles) {
    if (this.comparator === null) {
      return;
    }
    let placeholders = [];
    if (this.withPlaceholders) {
      // Don't reorder placeholders -> remove them first, then sort and add them afterwards again
      placeholders = this._deletePlaceholders(tiles);
    }
    tiles.sort(this.comparator);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(tiles, placeholders);
  }
  invalidateLayoutTree(invalidateParents) {
    if (this.tileRemovalPendingCount > 0) {
      // Do not invalidate while tile removal is still pending
      return;
    }
    super.invalidateLayoutTree(invalidateParents);
  }
  /** @see TileGridModel.gridColumnCount */
  setGridColumnCount(gridColumnCount) {
    this.setProperty('gridColumnCount', gridColumnCount);
  }
  _setGridColumnCount(gridColumnCount) {
    this._setProperty('gridColumnCount', gridColumnCount);
    this.prefGridColumnCount = gridColumnCount;
    this.invalidateLogicalGrid();
  }
  /** @see TileGridModel.layoutConfig */
  setLayoutConfig(layoutConfig) {
    this.setProperty('layoutConfig', layoutConfig);
  }
  _setLayoutConfig(layoutConfig) {
    this._setProperty('layoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig.ensure(layoutConfig || {}));
    _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig.initHtmlEnvChangeHandler(this, () => this.layoutConfig, layoutConfig => this.setLayoutConfig(layoutConfig));
  }
  _renderLayoutConfig() {
    let layout = this.htmlComp.layout;
    let oldMinWidth = layout.minWidth;
    this.layoutConfig.applyToLayout(layout);
    if (this.virtualScrolling) {
      this.virtualScrolling.setMinRowHeight(this._minRowHeight());
      this.setViewRangeSize(this.virtualScrolling.viewRangeSize, false);
    }
    if (oldMinWidth !== layout.minWidth) {
      this._renderScrollable();
    }
    this.invalidateLayoutTree();
  }
  _setMenus(menus) {
    this.updateKeyStrokes(menus, this.menus);
    this._setProperty('menus', menus);
  }
  _filterMenus(menus, destination, onlyVisible, enableDisableKeyStrokes, notAllowedTypes) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filterAccordingToSelection('TileGrid', this.selectedTiles.length, menus, destination, {
      onlyVisible,
      enableDisableKeyStrokes,
      notAllowedTypes,
      defaultMenuTypes: this.defaultMenuTypes
    });
  }
  showContextMenu(options) {
    this.session.onRequestsDone(this._showContextMenu.bind(this, options));
  }
  /**
   * @param options may contain pageX, pageY, menuItems and menuFilter.
   * If these properties are not provided they are determined automatically.
   * @internal
   */
  _showContextMenu(options) {
    options = options || {};
    if (!this.rendered || !this.attached) {
      // check needed because function is called asynchronously
      return;
    }
    if (this.selectedTiles.length === 0) {
      return;
    }
    let menuItems = options.menuItems || this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU, true, false);
    if (menuItems.length === 0) {
      return;
    }
    let pageX = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.pageX, null);
    let pageY = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.pageY, null);
    if (pageX === null || pageY === null) {
      let offset;
      let $scrollable = this.$container.scrollParent();
      if ($scrollable.length === 0) {
        $scrollable = this.$container;
      }
      let scrollableBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($scrollable);
      let focusedTile = this.focusedTile || _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(this.selectedTiles);
      if (this.isTileInView(focusedTile)) {
        // Place the context menu on the focused tile if possible
        offset = focusedTile.$container.offset();
      } else {
        // If focused tile is not in view place the popup in the top left corner of the tile grid
        offset = this.$container.offset();
      }
      pageX = offset.left + 10;
      pageY = offset.top + 10;
      // Ensure popup is always in view. Add +-1 to make sure it won't be made invisible by Popup._isInView even if bounds are fractional
      pageX = Math.min(Math.max(pageX, scrollableBounds.x + 1), scrollableBounds.right() - 1);
      pageY = Math.min(Math.max(pageY, scrollableBounds.y + 1), scrollableBounds.bottom() - 1);
    }
    // Prevent firing of 'onClose'-handler during contextMenu.open()
    // (Can lead to null-access when adding a new handler to this.contextMenu)
    if (this.contextMenu) {
      this.contextMenu.close();
    }
    this.contextMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
      parent: this,
      menuItems: menuItems,
      location: {
        x: pageX,
        y: pageY
      },
      $anchor: this.$container,
      menuFilter: options.menuFilter || this._filterMenusHandler
    });
    this.contextMenu.open();
  }
  /** @see TileGridModel.scrollable */
  setScrollable(scrollable) {
    this.setProperty('scrollable', scrollable);
  }
  _renderScrollable() {
    this._uninstallScrollbars();
    // horizontal (x-axis) scrollbar is only installed when minWidth is > 0
    if (this.scrollable) {
      this._installScrollbars({
        axis: this.layoutConfig.minWidth > 0 ? 'both' : 'y'
      });
    } else if (this.layoutConfig.minWidth > 0) {
      this._installScrollbars({
        axis: 'x'
      });
    }
    this.$container.toggleClass('scrollable', this.scrollable);
    this._updateVirtualScrollable();
    this.invalidateLayoutTree();
  }
  _onScroll(event) {
    let scrollTop = this.$container[0].scrollTop;
    let scrollLeft = this.$container[0].scrollLeft;
    if (this.scrollTop !== scrollTop && this.virtual) {
      this.htmlComp.layout.updateViewPort();
    }
    this.scrollTop = scrollTop;
    this.scrollLeft = scrollLeft;
  }
  _onScrollParentScroll(event) {
    this.htmlComp.layout.updateViewPort();
  }
  setWithPlaceholders(withPlaceholders) {
    this.setProperty('withPlaceholders', withPlaceholders);
  }
  _renderWithPlaceholders() {
    this.invalidateLayoutTree();
  }
  setPlaceholderProducer(placeholderProducer) {
    this.setProperty('placeholderProducer', placeholderProducer);
  }
  fillUpWithPlaceholders() {
    if (!this.withPlaceholders) {
      this._deleteAllPlaceholders();
      return;
    }
    this._deleteObsoletePlaceholders();
    this._insertMissingPlaceholders();
  }
  /**
   * @deprecated Use {@link tiles} instead
   */
  tilesWithoutPlaceholders() {
    return this.tiles;
  }
  /**
   * @returns all tiles of the tile grid without {@link PlaceholderTile}s.
   * @see TileGridModel.withPlaceholders
   */
  get tiles() {
    return this._tilesWithoutPlaceholders(this._tiles);
  }
  /**
   * @returns all tiles of the tile grid that accept the {@link filters} without {@link PlaceholderTile}s.
   * @see TileGridModel.filters
   * @see TileGridModel.withPlaceholders
   */
  get filteredTiles() {
    return this._tilesWithoutPlaceholders(this._filteredTiles);
  }
  _tilesWithoutPlaceholders(tiles) {
    if (!this.withPlaceholders) {
      // No need to filter the list if placeholders are disabled
      return tiles;
    }
    return tiles.filter(tile => !(tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile));
  }
  getFilteredTilesWithPlaceholders() {
    return this._filteredTiles;
  }
  _createPlaceholders() {
    let numPlaceholders,
      lastX,
      columnCount = this.gridColumnCount,
      tiles = this._filteredTiles,
      placeholders = [];
    if (tiles.length > 0) {
      let tile = tiles[tiles.length - 1];
      lastX = tile.gridData.x + tile.gridData.w - 1;
    } else {
      // If there are no tiles, create one row with placeholders
      lastX = -1;
    }
    if (lastX === columnCount - 1) {
      // If last tile is the last element in the row, don't create placeholders
      return [];
    }
    // Otherwise create placeholders for every missing tile in the last row
    numPlaceholders = columnCount - 1 - lastX;
    for (let i = 0; i < numPlaceholders; i++) {
      placeholders.push(this._createPlaceholder());
    }
    return placeholders;
  }
  _createPlaceholder() {
    let placeholder = this.placeholderProducer && this.placeholderProducer() || {};
    if (placeholder instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
      return placeholder;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(placeholder)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, {
        objectType: _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile,
        parent: this
      }, placeholder));
    }
    throw new Error('Placeholder producer returned unexpected result.');
  }
  _deleteObsoletePlaceholders() {
    let obsoletePlaceholders = [],
      obsolete = false;
    let placeholders = this.placeholders();
    placeholders.forEach(placeholder => {
      // Remove all placeholder in the row if there is one at x=0 (don't do it if there are only placeholders)
      if (placeholder.gridData.x === 0 && this._filteredTiles[0] !== placeholder) {
        obsolete = true;
      }
      if (obsolete) {
        obsoletePlaceholders.push(placeholder);
      }
    });
    this._deleteTilesInternal(obsoletePlaceholders, false);
  }
  _deleteAllPlaceholders() {
    this._deleteTilesInternal(this.placeholders(), false);
  }
  placeholders() {
    let i,
      placeholders = [];
    for (i = this._tiles.length - 1; i >= 0; i--) {
      if (!(this._tiles[i] instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile)) {
        // Placeholders are always at the end -> we may stop as soon as no more placeholders are found
        break;
      }
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(placeholders, this._tiles[i], 0);
    }
    return placeholders;
  }
  _insertMissingPlaceholders() {
    let placeholders = this._createPlaceholders();
    this._insertTilesInternal(placeholders, false);
  }
  /**
   * @returns the deleted placeholders
   */
  _deletePlaceholders(tiles) {
    let i;
    let deletedPlaceholders = [];
    for (i = tiles.length - 1; i >= 0; i--) {
      if (tiles[i] instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
        deletedPlaceholders.push(tiles[i]);
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(tiles, tiles[i]);
      }
    }
    return deletedPlaceholders.reverse();
  }
  validateLogicalGrid() {
    if (!this.logicalGrid.dirty) {
      return;
    }
    this.logicalGrid.validate(this);
    this.fillUpWithPlaceholders();
    this.logicalGrid.setDirty(true);
    this.logicalGrid.validate(this);
  }
  _setLogicalGrid(logicalGrid) {
    super._setLogicalGrid(logicalGrid);
    if (this.logicalGrid) {
      this.logicalGrid.setGridConfig(new _index__WEBPACK_IMPORTED_MODULE_0__.TileGridGridConfig());
    }
  }
  setFocusedTile(tile) {
    if (this.focusedTile === tile) {
      return;
    }
    this.focusedTile = tile;
    if (tile) {
      tile.markAsActiveDescendantFor(this.$container);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.removeActiveDescendant(this.$container);
    }
    if (!this.rendered || !tile || this.isFocused()) {
      return;
    }
    let $scrollables = this.$container.scrollParents();
    if ($scrollables.length === 0) {
      return;
    }
    // Make sure the tile grid has the focus when focusing a tile
    this.focus({
      preventScroll: true
    });
  }
  /** @see TileGridModel.selectable */
  setSelectable(selectable) {
    this.setProperty('selectable', selectable);
    if (!selectable) {
      this.deselectAllTiles();
    }
    this._tiles.forEach(tile => {
      tile.setSelectable(selectable);
    });
  }
  _renderSelectable() {
    this.$container.toggleClass('selectable', this.selectable);
    this._updateTabbable();
    this.invalidateLayoutTree();
  }
  /** @see TileGridModel.multiSelect */
  setMultiSelect(multiSelect) {
    this.setProperty('multiSelect', multiSelect);
  }
  /**
   * Selects the given tiles and deselects the previously selected ones.
   *
   * Tiles, that are currently invisible due to an active filter, are excluded and won't be selected.
   */
  selectTiles(tileOrIds) {
    // Resolve the tiles (they are not actually created, just resolved by id)
    let tiles = this._createChildren(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tileOrIds));
    tiles = this._filterTiles(this._tilesWithoutPlaceholders(tiles)); // Selecting invisible tiles or placeholders is not allowed
    // Ensure no tiles will be selected if selectable is disabled
    if (!this.selectable) {
      tiles = [];
    }
    // Ensure only one tile is selected if multiSelect is disabled
    if (!this.multiSelect && tiles.length > 1) {
      tiles = [tiles[0]];
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(this.selectedTiles, tiles)) {
      // Do nothing if new selection is same as old one
      return;
    }
    // Deselect the tiles which are not part of the new selection
    let tilesToUnselect = this.selectedTiles;
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(tilesToUnselect, tiles);
    tilesToUnselect.forEach(tile => {
      tile.setSelected(false);
      if (tile === this.focusedTile) {
        this.setFocusedTile(null);
      }
    });
    // Select the tiles
    tiles.forEach(tile => {
      tile.setSelected(true);
    });
    this.setProperty('selectedTiles', tiles.slice());
  }
  /** @see selectTiles */
  selectTile(tile) {
    this.selectTiles([tile]);
  }
  /**
   * Selects all tiles. As for every selection operation: only filtered tiles are considered.
   */
  selectAllTiles() {
    this.selectTiles(this.filteredTiles);
  }
  deselectTiles(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    let selectedTiles = this.selectedTiles.slice();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(selectedTiles, tiles)) {
      this.selectTiles(selectedTiles);
    }
  }
  deselectTile(tile) {
    this.deselectTiles([tile]);
  }
  deselectAllTiles() {
    this.selectTiles([]);
  }
  /**
   * Deselects every tile if all tiles are selected. Otherwise selects all tiles.
   */
  toggleSelection() {
    if (this.selectedTiles.length === this._filteredTiles.length) {
      this.deselectAllTiles();
    } else {
      this.selectAllTiles();
    }
  }
  addTilesToSelection(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    this.selectTiles(this.selectedTiles.concat(tiles));
  }
  addTileToSelection(tile) {
    this.addTilesToSelection([tile]);
  }
  isTileSelected(tile) {
    return this.selectedTiles.includes(tile);
  }
  /**
   * @returns true if the tile is completely or partially visible in the first scrollable parent.
   */
  isTileInView(tile) {
    let $scrollable = this.$container.scrollParent();
    if ($scrollable.length === 0) {
      $scrollable = this.$container;
    }
    if (!tile || !tile.$container || !$scrollable) {
      return false;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(tile.$container).intersects(_index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($scrollable));
  }
  /** @see TileGridModel.wrappable */
  setWrappable(wrappable) {
    this.setProperty('wrappable', wrappable);
  }
  _onTileMouseDown(event) {
    this._doubleClickSupport.mousedown(event);
    this._selectTileOnMouseDown(event);
    if (event.which === 3) {
      this.showContextMenu({
        pageX: event.pageX,
        pageY: event.pageY
      });
      return false;
    }
  }
  _onTileClick(event) {
    let $tile = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let tile = $tile.data('widget');
    if (tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
      return;
    }
    if (this._doubleClickSupport.doubleClicked()) {
      // Don't execute on double click events
      return;
    }
    let mouseButton = event.which;
    this._triggerTileClick(tile, mouseButton, event);
  }
  _triggerTileClick(tile, mouseButton, originalEvent) {
    this.trigger('tileClick', {
      tile: tile,
      mouseButton: mouseButton,
      originalEvent: originalEvent
    });
  }
  _onTileDoubleClick(event) {
    let $tile = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let tile = $tile.data('widget');
    if (tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
      return;
    }
    this.doTileAction(tile);
  }
  doTileAction(tile) {
    if (!tile) {
      return;
    }
    this._triggerTileAction(tile);
  }
  _triggerTileAction(tile) {
    this.trigger('tileAction', {
      tile: tile
    });
  }
  setSelectionHandler(selectionHandler) {
    this.selectionHandler = selectionHandler;
  }
  _selectTileOnMouseDown(event) {
    this.selectionHandler.selectTileOnMouseDown(event);
  }
  scrollTo(tile, options) {
    this.ensureTileRendered(tile);
    // If tile was not rendered it is not yet positioned correctly -> make sure layout is valid before trying to scroll
    // Layout must not render the viewport because scroll position is not correct yet -> just make sure tiles are at the correct position
    this.htmlComp.layout.updateViewPort(true);
    tile.reveal(options);
  }
  /**
   * Brings the first selected tile into view by scrolling the first scrollable parent.
   */
  revealSelection() {
    if (!this.rendered) {
      // Execute delayed because tileGrid may be not layouted yet
      this.session.layoutValidator.schedulePostValidateFunction(this.revealSelection.bind(this));
      return;
    }
    if (this.selectedTiles.length > 0) {
      this.scrollTo(this.selectedTiles[0]);
    }
  }
  /**
   * @param filter The filters to add.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  addFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.addFilter(filter, applyFilter);
  }
  /**
   * @param filter The filters to remove.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  removeFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.removeFilter(filter, applyFilter);
  }
  /**
   * @param filter The new filters.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.setFilters(filters, applyFilter);
  }
  filter() {
    this.filterSupport.filter();
  }
  _applyFilters(tiles, fullReset) {
    return this.filterSupport.applyFilters(this._tilesWithoutPlaceholders(tiles), fullReset);
  }
  _createFilterSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FilterSupport({
      widget: this,
      $container: () => this.$filterFieldContainer,
      getElementsForFiltering: () => this.tiles,
      createTextFilter: this._createTextFilter.bind(this),
      updateTextFilterText: this._updateTextFilterText.bind(this)
    });
  }
  _createTextFilter() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(this.createTextFilter)) {
      return this.createTextFilter();
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TileTextFilter();
  }
  _updateTextFilterText(filter, text) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(this.updateTextFilterText)) {
      return this.updateTextFilterText(filter, text);
    }
    if (filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileTextFilter) {
      return filter.setText(text);
    }
    return false;
  }
  /** @see TileGridModel.textFilterEnabled */
  setTextFilterEnabled(textFilterEnabled) {
    this.setProperty('textFilterEnabled', textFilterEnabled);
  }
  isTextFilterFieldVisible() {
    return this.textFilterEnabled;
  }
  _renderTextFilterEnabled() {
    this._updateTabbable();
    this.filterSupport.renderFilterField();
  }
  updateFilteredElements(result, opts) {
    if (!this.filteredElementsDirty) {
      this._updateEmpty();
      return;
    }
    this.setProperty('filteredTiles', this._filterTiles());
    this.invalidateLogicalGrid(false);
    this.filteredElementsDirty = false;
    if (result) {
      if (result.newlyHidden.some(tile => tile === this.focusedTile)) {
        this.setFocusedTile(null);
      }
      // Non visible tiles must be deselected
      this.deselectTiles(result.newlyHidden);
      if (this.rendered && !this.removing) {
        // Not all tiles may be rendered yet (e.g. if filter is active before grid is rendered and removed after grid is rendered)
        // But updating the view range is necessary anyway (fillers, scrollbars, viewRangeRendered etc.)
        this._renderTileDelta(result);
        this._renderTileOrder(this._tiles);
      }
    }
    this._updateEmpty();
  }
  _updateEmpty() {
    this.setEmpty(this._filteredTiles.length === 0);
  }
  setEmpty(empty) {
    this.setProperty('empty', empty);
  }
  _renderEmpty() {
    this.$container.toggleClass('empty', this.empty);
    this.invalidateLayoutTree();
  }
  /**
   * @returns the tiles which are accepted by the filter and therefore visible.
   */
  _filterTiles(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(tiles, this._tiles);
    if (this.filters.length === 0) {
      return tiles.slice();
    }
    return tiles.filter(tile => tile.filterAccepted);
  }
  findTileIndexAt(x, y, startIndex, reverse) {
    startIndex = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(startIndex, 0);
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndexFrom(this._filteredTiles, startIndex, (tile, i) => {
      return tile.gridData.toRectangle().contains(x, y);
    }, reverse);
  }
  findTilesInRange(viewRange, filter) {
    return this._findTilesInRange(viewRange, filter, false);
  }
  /**
   * If the max range is used, the live list of filtered tiles is returned, because every tile has to be in the range.
   * @param considerPlaceholders whether placeholder tiles should be processed as well. Default is true.
   */
  _findTilesInRange(viewRange, filter, considerPlaceholders) {
    considerPlaceholders = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerPlaceholders, true);
    if (viewRange.equals(this.virtualScrolling.maxViewRange())) {
      // Directly return all tiles if max view range
      return considerPlaceholders ? this._filteredTiles : this.filteredTiles;
    }
    let tiles = [];
    for (let row = viewRange.from; row < viewRange.to; row++) {
      this._eachTileInRow(row, tile => {
        if (!filter || tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile || filter(tile)) {
          tiles.push(tile);
        }
      }, considerPlaceholders);
    }
    return tiles;
  }
  findTilesInRow(row) {
    return this._findTilesInRow(row, false);
  }
  /**
   * @param considerPlaceholders whether placeholder tiles should be processed as well. Default is true.
   */
  _findTilesInRow(row, considerPlaceholders) {
    let tiles = [];
    this._eachTileInRow(row, tile => {
      tiles.push(tile);
    }, considerPlaceholders);
    return tiles;
  }
  eachTileInRow(row, func) {
    return this._eachTileInRow(row, func, false);
  }
  /**
   * Executes the given function for each tile in a row.
   * @param considerPlaceholders whether placeholder tiles should be processed as well. Default is true.
   */
  _eachTileInRow(row, func, considerPlaceholders) {
    let startIndex = row * this.gridColumnCount;
    let tiles = [];
    for (let i = startIndex; i < startIndex + this.gridColumnCount; i++) {
      let tile = this._filteredTiles[i];
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerPlaceholders, true) && tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
        continue;
      }
      if (this._filteredTiles[i]) {
        func(this._filteredTiles[i], i);
      }
    }
    return tiles;
  }
  /** @see TileGridModel.virtual */
  setVirtual(virtual) {
    this.setProperty('virtual', virtual);
  }
  _setVirtual(virtual) {
    this._setProperty('virtual', virtual);
    this.virtualScrolling.setEnabled(this.virtual);
  }
  _renderVirtual() {
    this._updateVirtualScrollable();
    if (!this.rendering) {
      // No need to do it while rendering, will be done by the layout. But needs to be done if virtual changes on the fly
      this.setViewRangeSize(this.calculateViewRangeSize(), false);
    }
    if (this.rendered) {
      // When virtual toggles, remove all tiles and render them anew (to have the correct tiles rendered in the new mode)
      this._removeAllTiles();
      if (this.virtual) {
        // RenderViewPort may do nothing if all tiles are already in the view port, but fillers may not be created yet
        this._renderFiller();
      }
    }
    if (!this.virtual) {
      // Render all tiles (on toggle and initially) (_renderViewRange is not used in non virtual mode because filtered tiles need to be rendered as well)
      this._renderAllTiles();
    }
    this._renderViewPort();
    this.invalidateLayoutTree();
  }
  _updateVirtualScrollable() {
    let $scrollable = this.virtualScrolling.$scrollable;
    if ($scrollable) {
      $scrollable.off('scroll', this._scrollParentScrollHandler);
    }
    if (!this.virtual || this.removing) {
      this.virtualScrolling.set$Scrollable(null);
      return;
    }
    if (this.scrollable) {
      this.virtualScrolling.set$Scrollable(this.$container);
    } else {
      this.virtualScrolling.set$Scrollable(this.$container.scrollParent());
      this.virtualScrolling.$scrollable.on('scroll', this._scrollParentScrollHandler);
    }
  }
  calculateViewRangeSize() {
    return this.virtualScrolling.calculateViewRangeSize();
  }
  /** @see TileGrid.viewRangeSize */
  setViewRangeSize(viewRangeSize, updateViewPort) {
    if (this.viewRangeSize === viewRangeSize) {
      return;
    }
    this._setProperty('viewRangeSize', viewRangeSize);
    this.virtualScrolling.setViewRangeSize(viewRangeSize, updateViewPort);
  }
  _heightForRow(row) {
    let height = 0;
    let layout = this.htmlComp.layout;
    height = layout.rowHeight;
    if (row !== this.rowCount() - 1) {
      // Add row gap unless it is the last row
      height += layout.vgap;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(height)) {
      throw new Error('Calculated height is not a number: ' + height);
    }
    return height;
  }
  /**
   * Used for virtual scrolling to calculate the view range size.
   * @returns the configured rowHeight + vgap / 2. Reason: the gaps are only between rows, the first and last row therefore only have 1 gap.
   */
  _minRowHeight() {
    let layout = this.htmlComp.layout;
    return layout.rowHeight + layout.vgap / 2;
  }
  rowCount(gridColumnCount) {
    gridColumnCount = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(gridColumnCount, this.gridColumnCount);
    return Math.ceil(this._filteredTiles.length / gridColumnCount);
  }
  /**
   * Calculates and renders the rows which should be visible in the current viewport based on scroll top.
   * @internal
   */
  _renderViewPort() {
    if (!this.isAttachedAndRendered()) {
      // if grid is not attached the correct viewPort can not be evaluated. Mark for render after attach.
      this._renderViewPortAfterAttach = true;
      return;
    }
    if (!this.virtual) {
      return;
    }
    this.virtualScrolling.renderViewPort();
  }
  /**
   * Renders the rows visible in the viewport and removes the other rows
   */
  _renderViewRange(viewRange) {
    if (viewRange.equals(this.viewRangeRendered)) {
      if (viewRange.size() === 0) {
        // Iif view range is empty initially viewRangeRendered will be empty as well -> make sure fillers are rendered correctly (used for pref size)
        this._renderFiller();
      }
      // Range already rendered -> do nothing
      return;
    }
    let rangesToRemove = this.viewRangeRendered.subtract(viewRange).filter(range => {
      return range.size() > 0;
    });
    rangesToRemove.forEach(range => {
      this._removeTilesInRange(range);
    });
    let rangesToRender = viewRange.subtract(this.viewRangeRendered).filter(range => {
      return range.size() > 0;
    });
    rangesToRender.forEach(range => {
      this._renderTilesInRange(range);
    });
    this._renderFiller();
  }
  _renderTilesInRange(range) {
    let numRowsRendered = 0;
    let tilesRendered = 0;
    let tiles = this._filteredTiles;
    if (tiles.length === 0) {
      return;
    }
    let maxRange = this.virtualScrolling.maxViewRange();
    range = maxRange.intersect(range);
    let newRange = this.viewRangeRendered.union(range);
    if (newRange.length === 2) {
      throw new Error('Can only prepend or append rows to the existing range. Existing: ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    for (let row = range.from; row < range.to; row++) {
      this._eachTileInRow(row, renderTile.bind(this));
      numRowsRendered++;
    }
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numRowsRendered + ' new rows rendered from ' + range);
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this._rowsRenderedInfo());
    }
    function renderTile(tile) {
      if (tile.rendered) {
        return;
      }
      this._renderTile(tile);
      tilesRendered++;
    }
  }
  /**
   * @returns the newly rendered tiles
   * @internal
   */
  _renderTileDelta(filterResult) {
    if (!this.virtual) {
      return [];
    }
    let prevTiles = this.renderedTiles(true);
    let newViewRange = this.virtualScrolling.calculateCurrentViewRange();
    let newTiles = this._findTilesInRange(newViewRange);
    let tilesToRemove = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(prevTiles, newTiles);
    let tilesToRender = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(newTiles, prevTiles);
    if (filterResult) {
      filterResult.newlyHidden.forEach(tile => {
        if (tile.rendered) {
          this._removeTileByFilter(tile);
        }
      });
    }
    // tilesToRemove contains newlyHidden as well but remove() does nothing if it is already removing
    tilesToRemove.forEach(tile => {
      tile.remove();
    });
    tilesToRender.forEach(tile => {
      this._renderTile(tile);
    });
    if (filterResult) {
      // Suppress because Tile.js would invalidate which leads to poor performance if grid is used in a Group.js and group is being expanded while tiles are shown
      // invalidating will be done afterwards anyway so no need to do it for each tile
      this.htmlComp.suppressInvalidate = true;
      filterResult.newlyShown.forEach(tile => {
        if (tile.rendered) {
          this._renderTileVisibleForFilter(tile);
        }
      });
      this.htmlComp.suppressInvalidate = false;
    }
    this.viewRangeRendered = newViewRange;
    this._renderFiller();
    if (!this.htmlComp.layouting) {
      // If a tile is inserted while a group of the tile accordion is being expanded,
      // invalidating may create a loop because the group resizes the body which triggers the TileGridLayout and eventually calls this function again -> Don't invalidate while layouting
      this.invalidateLayoutTree();
    }
    return tilesToRender;
  }
  _removeTileByFilter(tile) {
    // In virtual mode, filtered tiles are not rendered. In normal mode, the filter animation is triggered by _renderVisible of the tile.
    // Since the tile is removed immediately, the invisible animation would not start, so we use the remove animation instead.
    // But because the delete animation is a different one to the filter animation, the removeClass needs to be swapped
    // Remove class first to make sure animation won't be finished before the animationend listener is attached in Widget._removeAnimated (which may happen because a setTimeout is used there)
    tile.$container.removeClass('animate-invisible');
    tile.animateRemoval = true;
    tile.animateRemovalClass = 'animate-invisible';
    tile.remove();
    this._onAnimatedTileRemove(tile);
    tile.animateRemoval = false;
    // Remove animation is started by a set timeout -> use set timeout as well to come after
    setTimeout(() => {
      // Reset to default
      tile.animateRemovalClass = 'animate-remove';
    });
  }
  _renderTileVisibleForFilter(tile) {
    if (!tile.filterAccepted || tile.$container.hasClass('animate-visible')) {
      return;
    }
    if (tile.removalPending) {
      return;
    }
    // Start filter animation (at the time setFilterAccepted was set the tile was not rendered)
    tile.$container.setVisible(false);
    tile._renderVisible();
  }
  _renderTileOrder(prevTiles) {
    // Loop through the tiles and move every html element to the end of the container
    // Only move if the order is different to the old order
    // This is actually only necessary to make debugging easier, since the tiles are positioned absolutely it would work without it
    let different = false;
    this._tiles.forEach((tile, i) => {
      if (prevTiles[i] !== tile || different) {
        // Start ordering as soon as the order of the arrays starts to differ
        if (this.virtual && !tile.rendered) {
          // In non virtual mode, every tile is rendered, even the filtered one. So if a tile is not rendered ignore it in virtual, but fail in non virtual
          return;
        }
        different = true;
        tile.$container.appendTo(this.$container);
      }
    });
    if (different && !this.virtual) {
      // In virtual mode this is done by _renderTileDelta()
      this.invalidateLayoutTree();
    }
  }
  _rowsRenderedInfo() {
    let numRenderedTiles = this.$container.children('.tile').length;
    let renderedRowsRange = '(' + this.viewRangeRendered + ')';
    return numRenderedTiles + ' tiles rendered in range ' + renderedRowsRange;
  }
  _removeTilesInRange(range) {
    let numRowsRemoved = 0;
    let newRange = this.viewRangeRendered.subtract(range);
    if (newRange.length === 2) {
      throw new Error('Can only remove rows at the beginning or end of the existing range. ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    for (let i = range.from; i < range.to; i++) {
      this._removeTilesInRow(i);
      numRowsRemoved++;
    }
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled()) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numRowsRemoved + ' rows removed from ' + range + '.');
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this._rowsRenderedInfo());
    }
  }
  _removeTilesInRow(row) {
    let tiles = this._findTilesInRow(row);
    tiles.forEach(tile => {
      tile.remove();
    });
  }
  ensureTileRendered(tile) {
    if (!tile.rendered) {
      let rowIndex = tile.gridData.y;
      this.virtualScrolling.renderViewRangeForRowIndex(rowIndex);
      this.invalidateLayoutTree();
    }
  }
  _renderFiller() {
    if (!this.$fillBefore) {
      this.$fillBefore = this.$container.prependDiv('filler');
    }
    let fillBeforeHeight = this._calculateFillerHeight(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.viewRangeRendered.from));
    this.$fillBefore.cssHeight(fillBeforeHeight);
    this.$fillBefore.css('width', '100%');
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillBefore height: ' + fillBeforeHeight);
    if (!this.$fillAfter) {
      this.$fillAfter = this.$container.appendDiv('filler');
    }
    // Make sure filler is always at the end
    this.$fillAfter.appendTo(this.$container);
    let renderedTilesHeight = this._calculateFillerHeight(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.viewRangeRendered.from, this.viewRangeRendered.to));
    this.$fillAfter.cssTop(fillBeforeHeight + renderedTilesHeight);
    let fillAfterHeight = this._calculateFillerHeight(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.viewRangeRendered.to, this.rowCount()));
    this.$fillAfter.cssHeight(fillAfterHeight);
    this.$fillAfter.css('width', '100%');
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillAfter height: ' + fillAfterHeight);
  }
  _calculateFillerHeight(range) {
    let totalHeight = 0;
    for (let i = range.from; i < range.to; i++) {
      totalHeight += this._heightForRow(i);
    }
    return totalHeight;
  }
  /**
   * If virtual is false, the live list of filtered tiles is returned, because every tile has to be rendered.
   * If virtual is true, the rendered tiles are collected and returned.
   */
  renderedTiles(considerPlaceholders) {
    if (!this.rendered) {
      return [];
    }
    considerPlaceholders = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(considerPlaceholders, false);
    if (!this.virtual) {
      return considerPlaceholders ? this._filteredTiles : this.filteredTiles;
    }
    let tiles = [];
    this.$container.children('.tile').each((i, elem) => {
      let tile = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(elem);
      if (!considerPlaceholders && tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
        return;
      }
      if (!tile.removalPending) {
        // Don't return the tiles which are being removed
        // Otherwise delta could be wrong if called while removing. Example: filter is added and removed right after while the tiles are still being removed -> RenderTileDelta has to render the tiles being removed
        tiles.push(tile);
      }
    });
    return tiles;
  }
  /**
   * Swaps the position ({@link gridDataHints.x}, {@link gridDataHints.y}) and size ({@link gridDataHints.w}, {@link gridDataHints.h}) of the given tiles
   * including their position in the {@link tiles} list.
   */
  swapTileBounds(tile1, tile2) {
    let tile1Bounds = _index__WEBPACK_IMPORTED_MODULE_0__.objects.extractProperties(tile1.gridDataHints, {}, ['x', 'y', 'w', 'h']);
    let tile2Bounds = _index__WEBPACK_IMPORTED_MODULE_0__.objects.extractProperties(tile2.gridDataHints, {}, ['x', 'y', 'w', 'h']);
    let tiles = [...this.tiles];
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.swap(tiles, tile2, tile1);
    tile2.setGridDataHints(tile2.gridDataHints.clone(tile1Bounds));
    tile1.setGridDataHints(tile1.gridDataHints.clone(tile2Bounds));
    this.setTiles(tiles);
  }
  /**
   * Updates the {@link Tile.gridDataHints} of the tile based on the given logical bounds and moves other tiles away.
   *
   * If explicit x/y values are used in the {@link Tile.gridDataHints}, the other tiles are moved down by adjusting their x/y values explicitly, see {@link tileUtil.moveOtherTilesDown}.
   * Otherwise, (if the grid is arranged automatically), the resized tile will just be inserted at the correct position which will move the other tiles automatically.
   *
   * @param logicalBounds the new position and size of the tile based on the effective grid defined by {@link LogicalGridLayoutInfo.gridDataHints}.
   * @param ignorer If the function returns true the passed tile will be ignored and never be moved. This is typically used for placeholder tiles.
   */
  resizeTile(tileToResize, logicalBounds, ignorer) {
    let gridData = this._computeGridData(tileToResize, logicalBounds);
    this._moveOtherTiles(tileToResize, gridData, logicalBounds, ignorer);
    tileToResize.setGridDataHints(gridData);
  }
  _computeGridData(tileToResize, logicalBounds) {
    var _this$htmlComp;
    let gridData = tileToResize.gridDataHints.clone({
      w: logicalBounds.width,
      h: logicalBounds.height
    });
    let layoutInfo = (_this$htmlComp = this.htmlComp) === null || _this$htmlComp === void 0 || (_this$htmlComp = _this$htmlComp.layout) === null || _this$htmlComp === void 0 ? void 0 : _this$htmlComp.info;
    if (!layoutInfo) {
      return gridData;
    }
    // If x and y are less than 0 it will be automatically set by the Logical Grid -> don't override the values in that case
    // The LogicalGridLayoutInfo removes empty rows and columns so the x/y values of the grid cells may not match the x/y values of the gridDataHints -> calculate the diffs
    let logicalGridData = layoutInfo.gridDatas.find(gd => gd.widget === tileToResize);
    if (tileToResize.gridDataHints.x >= 0) {
      let diffX = tileToResize.gridDataHints.x - logicalGridData.gridx;
      gridData.x = logicalBounds.x + diffX;
    }
    if (tileToResize.gridDataHints.y >= 0) {
      let diffY = tileToResize.gridDataHints.y - logicalGridData.gridy;
      gridData.y = logicalBounds.y + diffY;
    }
    return gridData;
  }
  _moveOtherTiles(tileToResize, gridData, logicalBounds, ignorer) {
    if (tileToResize.gridDataHints.x >= 0 && tileToResize.gridDataHints.y >= 0) {
      // If explicit x/y values are used, move the other tiles by adjusting their x/y values explicitly
      this._moveOtherTilesExplicitly(tileToResize, gridData, ignorer);
    } else {
      // If the grid is automatically arranged, just move the resized tile to the new position and the other tiles will adjust automatically.
      // The tile needs to be moved if the top left corner of the bounds was moved to a different position on the grid.
      let topLeftTile = this._findTileBefore(logicalBounds.point(), t => t !== tileToResize);
      if (!topLeftTile) {
        let tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.moveTo(this.tiles.slice(), tileToResize, 0);
        this.setTiles(tiles);
      } else if (topLeftTile !== tileToResize) {
        this.moveTileAfter(tileToResize, topLeftTile);
      }
    }
  }
  _moveOtherTilesExplicitly(tileToResize, gridData, ignorer) {
    _index__WEBPACK_IMPORTED_MODULE_0__.tileUtil.moveOtherTilesDown(this.tiles, tileToResize, gridData, ignorer);
  }
  /**
   * @returns the tile before the given position. Only tiles accepted by the filter are considered.
   */
  _findTileBefore(position, filter) {
    let tileBefore;
    let matrix = _index__WEBPACK_IMPORTED_MODULE_0__.tileUtil.buildMatrix(this.tiles);
    for (let y = matrix.y; y < matrix.y + matrix.height; y++) {
      for (let x = matrix.x; x < matrix.x + matrix.width; x++) {
        let tile;
        if (matrix[x] && matrix[x][y] && (!filter || filter(matrix[x][y]))) {
          tile = matrix[x][y];
        }
        // If the searched position is reached, return the tile before that position.
        // If the position is not reached yet but there is a tile spanning into that position, abort to return the tile before.
        if (position.equals(new _index__WEBPACK_IMPORTED_MODULE_0__.Point(x, y)) || tile && tile.gridData.toRectangle().contains(position)) {
          return tileBefore;
        }
        if (tile) {
          tileBefore = matrix[x][y];
        }
      }
    }
    return tileBefore;
  }
}
_defineProperty(TileGrid, "MenuType", {
  EmptySpace: 'TileGrid.EmptySpace',
  SingleSelection: 'TileGrid.SingleSelection',
  MultiSelection: 'TileGrid.MultiSelection'
});

/***/ }),

/***/ "./src/tile/TileGridAdapter.ts":
/*!*************************************!*\
  !*** ./src/tile/TileGridAdapter.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridAdapter: () => (/* binding */ TileGridAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    _defineProperty(this, "tileFilter", void 0);
    this.tileFilter = null;
    this._addRemoteProperties(['selectedTiles']);
  }
  _syncSelectedTiles(tileIds) {
    // TileGrid.js won't modify the selectedTiles array while processing the response -> ignore every selectedTiles property change
    this.addFilterForPropertyName('selectedTiles');
    this.widget.selectTiles(tileIds);
  }
  _syncTiles(tileIds) {
    this.addFilterForPropertyName('selectedTiles');
    this.widget.setTiles(tileIds);
  }
  _initProperties(model) {
    super._initProperties(model);
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(model.filteredTiles)) {
      // If filteredTiles is set a server side filter is active -> add a tile filter on JS side as well
      this.tileFilter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RemoteTileFilter, {
        tileIds: model.filteredTiles
      });
      model.filters = [this.tileFilter];
    }
    // filtered tiles are set by TileGrid.js as soon a applyFilters is called -> don't override with the values sent by the server
    delete model.filteredTiles;
  }
  _syncFilteredTiles(tileIds) {
    // If filteredTiles property changes on the fly, create or remove the filter accordingly
    // -> If filteredTiles is null, no server side filter is active
    // -> If filteredTiles is an empty array, the server side filter rejects every tile
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(tileIds)) {
      if (!this.tileFilter) {
        this.tileFilter = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.RemoteTileFilter);
        this.widget.addFilter(this.tileFilter, false);
      }
      this.tileFilter.setTileIds(tileIds);
      this.widget.filter();
    } else {
      this.widget.removeFilter(this.tileFilter);
      this.tileFilter = null;
    }
  }
  _onWidgetTileClick(event) {
    let data = {
      tile: event.tile.id,
      mouseButton: event.mouseButton
    };
    this._send('tileClick', data);
  }
  _onWidgetTileAction(event) {
    let data = {
      tile: event.tile.id
    };
    this._send('tileAction', data);
  }
  _onWidgetEvent(event) {
    if (event.type === 'tileClick') {
      this._onWidgetTileClick(event);
    } else if (event.type === 'tileAction') {
      this._onWidgetTileAction(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  static modifyTileGridPrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    // _sortWhileInit
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.TileGrid, '_sortWhileInit', function () {
      if (this.modelAdapter) {
        return; // Do nothing. Was sorted in Java UI already.
      }
      this._sortWhileInitOrig();
    }, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TileGridAdapter.modifyTileGridPrototype);

/***/ }),

/***/ "./src/tile/TileGridEventMap.ts":
/*!**************************************!*\
  !*** ./src/tile/TileGridEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/TileGridGridConfig.ts":
/*!****************************************!*\
  !*** ./src/tile/TileGridGridConfig.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridGridConfig: () => (/* binding */ TileGridGridConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridGridConfig extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridConfig {
  getGridWidgets() {
    return this.widget.getFilteredTilesWithPlaceholders();
  }
}

/***/ }),

/***/ "./src/tile/TileGridLayout.ts":
/*!************************************!*\
  !*** ./src/tile/TileGridLayout.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridLayout: () => (/* binding */ TileGridLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TileGridLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayout {
  constructor(widget, layoutConfig) {
    super(widget, layoutConfig);
    _defineProperty(this, "containerPos", void 0);
    _defineProperty(this, "containerScrollTop", void 0);
    _defineProperty(this, "maxWidth", void 0);
    _defineProperty(this, "tiles", void 0);
    _defineProperty(this, "_calculatingPrimitivePrefSize", void 0);
    this.containerPos = null;
    this.containerScrollTop = null;
    this.tiles = [];
    this._calculatingPrimitivePrefSize = false;
  }
  /**
   * @param scrollTopDirty If the scroll top position should be considered dirty while updating the view port.
   * If true, the view port is not rendered, as the scroll positions are not reliable anyway. Then only the layout of the TileGrid is updated.
   */
  updateViewPort(scrollTopDirty) {
    let tileGrid = this.widget;
    if (!tileGrid.rendered) {
      return;
    }
    // Try to layout only as much as needed while scrolling in virtual mode
    // Scroll top may be dirty when layout is validated before scrolling to a specific tile (see tileGrid.scrollTo)
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(scrollTopDirty, false)) {
      tileGrid._renderViewPort();
    }
    this._layout(tileGrid.$container);
    tileGrid.trigger('layoutAnimationDone');
  }
  layout($container) {
    let htmlComp = this.widget.htmlComp;
    // Animate only once on startup (if enabled) but animate every time on resize
    let animated = htmlComp.layouted || this.widget.startupAnimationEnabled && !this.widget.startupAnimationDone || this.widget.renderAnimationEnabled;
    this.tiles = this.widget.renderedTiles(true);
    // Make them invisible otherwise the influence scrollHeight (e.g. if grid is scrolled to the very bottom and tiles are filtered, scrollbar would still increase scroll height)
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.setVisible($container, false);
    // Store the current position of the tiles
    if (animated) {
      this._storeBounds(this.tiles);
    }
    this._updateMaxWidth();
    this._resetGridColumnCount();
    this.widget.invalidateLayout();
    this.widget.invalidateLogicalGrid(false);
    let contentFits = false;
    let containerWidth = $container.outerWidth();
    containerWidth = Math.max(containerWidth, this.minWidth);
    if (htmlComp.prefSize().width <= containerWidth) {
      this._layout($container);
      contentFits = true;
    }
    // If content does not fit, the columnCount will be reduced until it fits
    while (!contentFits && this.widget.wrappable && this.widget.gridColumnCount > 1) {
      this.widget.gridColumnCount--;
      this.widget.invalidateLayout();
      this.widget.invalidateLogicalGrid(false);
      if (htmlComp.prefSize().width <= containerWidth) {
        this._layout($container);
        contentFits = true;
      }
    }
    // If it does not fit, layout anyway (happens on small sizes if even one column is not sufficient)
    if (!contentFits) {
      this._layout($container);
    }
    if (!htmlComp.layouted) {
      this.widget._renderScrollTop();
    }
    if (this.widget.virtual && (!htmlComp.layouted || this._sizeChanged(htmlComp) || this.widget.withPlaceholders)) {
      // When changing size of the container, more or less tiles might be shown and some tiles might even change rows due to a new gridColumnCount -> ensure correct tiles are rendered in the range
      this.widget.setViewRangeSize(this.widget.calculateViewRangeSize(), false);
      let newTiles = this.widget._renderTileDelta();
      // Make sure newly rendered tiles are animated (if enabled) and layouted as well
      this._storeBounds(newTiles);
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(this.tiles, newTiles);
      this._layout($container);
    }
    this.widget.trigger('layoutDone');
    let promises = [];
    if (animated) {
      promises = this._animateTiles();
    }
    this.widget.startupAnimationDone = true;
    // When all animations have been finished, trigger event and update scrollbar
    if (promises.length > 0) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises).done(this._onAnimationDone.bind(this));
    } else {
      this._onAnimationDone();
    }
    this._updateFilterFieldMaxWidth($container);
  }
  _sizeChanged(htmlComp) {
    return htmlComp.sizeCached && !htmlComp.sizeCached.equals(htmlComp.size());
  }
  _storeBounds(tiles) {
    tiles.forEach((tile, i) => {
      if (!tile.animateBoundsChange) {
        // There is no need to read and store bounds if the tile should not be animated
        return;
      }
      let bounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.cssBounds(tile.$container);
      tile.$container.data('oldBounds', bounds);
      tile.$container.data('was-layouted', tile.htmlComp.layouted);
    });
  }
  _validateGridData(htmlComp) {
    htmlComp.$comp.removeClass('newly-rendered');
    return super._validateGridData(htmlComp);
  }
  _layoutCellBounds(containerSize, containerInsets) {
    // Since the tiles are positioned absolutely it is necessary to add the height of the filler to the top insets
    if (this.widget.virtual && this.widget.$fillBefore) {
      containerInsets.top += this.widget.$fillBefore.outerHeight(true);
    }
    return super._layoutCellBounds(containerSize, containerInsets);
  }
  _animateTiles() {
    let htmlComp = this.widget.htmlComp;
    let $container = htmlComp.$comp;
    this.containerPos = htmlComp.offset();
    this.containerScrollTop = $container.scrollTop();
    // Hide scrollbar before the animation (does not look good if scrollbar is hidden after the animation)
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.setVisible($container, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.opacity($container, 0);
    // Animate the position change of the tiles
    let promises = [];
    this.tiles.forEach((tile, i) => {
      if (!tile.animateBoundsChange) {
        return;
      }
      if (!tile.rendered) {
        // Only animate tiles which were there at the beginning of the layout
        // RenderViewPort may remove or render some, the removed ones cannot be animated because $container is missing and don't need to anyway, the rendered ones cannot because fromBounds are missing
        return;
      }
      let promise = this._animateTile(tile);
      if (promise) {
        promises.push(promise);
      }
      tile.$container.removeData('oldBounds');
      tile.$container.removeData('was-layouted');
    });
    return promises;
  }
  _animateTile(tile) {
    // Stop running animations before starting the new ones to make sure existing promises are not resolved too early
    // It may also happen that while the animation of a tile is in progress, the layout is triggered again but the tile should not be animated anymore
    // (e.g. if it is not in the viewport anymore). In that case the animation must be stopped otherwise it may be placed at a wrong position
    tile.$container.stop();
    if (tile.$container.isVisibilityHidden() || tile.$container.hasClass('animate-visible')) {
      // When tiles are inserted they are invisible because a dedicated insert animation will be started after the layouting,
      // the animation here is to animate the position change -> don't animate inserted tiles here
      // Also: don't animate tiles which are fading in (due to filtering), they should appear at the correct position.
      // Already visible tiles which were in the view port before will be moved from the old position. Tiles which were not in the view port before will fly in from the top left corner (same happens when sorting).
      // Reason: When sorting, if some tiles are in the viewport and some not, it is confusing if some tiles just appear and others are moved, even though all actually change position.
      return;
    }
    let bounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.cssBounds(tile.$container);
    let fromBounds = tile.$container.data('oldBounds');
    if (!tile.$container.data('was-layouted')) {
      // Placeholders may not have fromBounds because they are added while layouting
      // Just let them appear at the correct position
      fromBounds = bounds.clone();
    }
    let htmlComp = this.widget.htmlComp;
    if (!htmlComp.layouted && (this.widget.startupAnimationDone || !this.widget.startupAnimationEnabled) && this.widget.renderAnimationEnabled) {
      // This is a small, discreet render animation, just move the tiles a little
      // It will happen if the startup animation is disabled or done and every time the tiles are rendered anew
      fromBounds = new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(bounds.x * 0.95, bounds.y * 0.95, bounds.width, bounds.height);
    }
    if (fromBounds.equals(bounds)) {
      // Don't animate if bounds are equals (otherwise promises would always resolve after 300ms even though no animation was visible)
      return;
    }
    if (!this._inViewport(bounds) && !this._inViewport(fromBounds)) {
      // If neither the new nor the old position is in the viewport don't animate the tile. This will affect the animation performance in a positive way if there are many tiles
      return;
    }
    if (!tile.$container.data('was-layouted') && !this._inViewport(bounds)) {
      // If a newly inserted tile will be rendered outside the view port, don't animate it. If it is rendered inside the view port it is fine if it will be moved from the top left corner
      return;
    }
    // Start animation
    let promise = this._animateTileBounds(tile, fromBounds, bounds);
    // Postpone layouting of the tile content until animation is complete (prevents measuring the wrong size)
    tile.$container.data('animate-promise', promise);
    // Note: the always() callback is executed synchronously after the animation is done, regardless of whether it has been completed or aborted
    promise.always(() => {
      var _tile$$container;
      return (_tile$$container = tile.$container) === null || _tile$$container === void 0 ? void 0 : _tile$$container.removeData('animate-promise');
    });
    return promise;
  }
  _inViewport(bounds) {
    bounds = bounds.translate(this.containerPos.x, this.containerPos.y).translate(0, -this.containerScrollTop);
    let topLeftPos = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(bounds.x, bounds.y);
    let bottomRightPos = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(bounds.x + bounds.width, bounds.y + bounds.height);
    let $scrollable = this.widget.$container.scrollParent();
    return _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(topLeftPos, $scrollable) || _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(bottomRightPos, $scrollable);
  }
  _onAnimationDone() {
    this._updateScrollbar();
    this.widget.trigger('layoutAnimationDone');
  }
  _animateTileBounds(tile, fromBounds, bounds) {
    // jQuery's animate() function sets "overflow: hidden" during the animation. After the animation, the
    // original value is restored. (Search for "opts.overflow" in the jQuery source code, and see
    // https://stackoverflow.com/a/5696656/7188380 for details why this is required.)
    // Unfortunately, because we are running multiple animations in parallel here, the second animation will
    // remember the temporary value set by the first animation and will restore it at the end. This causes the
    // tile to have the inline style "overflow: hidden" after all animations have been completed, even if the
    // CSS rules say something different.
    // As a workaround, we remember the correct original value ourselves and restore it manually after all
    // individual animations have been completed. Only then will the resulting promise be resolved.
    let elem = tile.$container[0];
    let oldOverflowStyles = [elem.style.overflow, elem.style.overflowX, elem.style.overflowY];
    let restoreOverflowStyle = () => {
      elem.style.overflow = oldOverflowStyles[0];
      elem.style.overflowX = oldOverflowStyles[1];
      elem.style.overflowY = oldOverflowStyles[2];
    };
    let fromValues = {
      left: fromBounds.x,
      top: fromBounds.y,
      width: fromBounds.width,
      height: fromBounds.height
    };
    let toValues = {
      left: bounds.x,
      top: bounds.y,
      width: bounds.width,
      height: bounds.height
    };
    let promise = tile.$container.cssAnimated(fromValues, toValues).promise();
    // Note: the always() callback is executed synchronously after the animation is done, regardless of whether it has been completed or aborted
    promise.always(restoreOverflowStyle);
    return promise;
  }
  _updateScrollbar() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.setVisible(this.widget.$container, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.opacity(this.widget.$container, 1);
    // Update first scrollable parent (if widget itself is not scrollable, maybe a parent is)
    let htmlComp = this.widget.htmlComp;
    while (htmlComp) {
      if (htmlComp.scrollable) {
        // Update immediately to prevent flickering (scrollbar is made visible on the top of this function)
        _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(htmlComp.$comp, true);
        break;
      }
      htmlComp = htmlComp.getParent();
    }
  }
  /**
   * When max. width should be enforced, add a padding to the container if necessary
   * (to make sure, scrollbar position is not changed)
   */
  _updateMaxWidth() {
    // Reset padding-right set by layout
    let htmlComp = this.widget.htmlComp;
    htmlComp.$comp.cssPaddingRight(null);
    if (this.maxWidth <= 0) {
      return;
    }
    // Measure current padding-right (by CSS)
    let cssPaddingRight = htmlComp.$comp.cssPaddingRight();
    // Calculate difference between current with and max. width
    let containerSize = htmlComp.size();
    let oldWidth = containerSize.width;
    let newWidth = Math.min(containerSize.width, this.maxWidth);
    let diff = oldWidth - newWidth - htmlComp.$comp.cssPaddingLeft() - htmlComp.$comp.cssBorderWidthX();
    if (diff > cssPaddingRight) {
      htmlComp.$comp.cssPaddingRight(diff);
    }
  }
  _resetGridColumnCount() {
    this.widget.gridColumnCount = this.widget.prefGridColumnCount;
  }
  preferredLayoutSize($container, options) {
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, options);
    if (this.widget.virtual) {
      return this.virtualPrefSize($container, options);
    }
    return this.primitivePrefSize($container, options);
  }
  /**
   * Calculates the preferred size only based on the grid column count, row count and layout config. Does not use rendered elements.
   * Therefore, it only works if all tiles are of the same size (which is a precondition for the virtual scrolling anyway).
   */
  virtualPrefSize($container, options) {
    let rowCount, columnCount;
    let insets = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container).insets();
    let prefSize = new _index__WEBPACK_IMPORTED_MODULE_0__.Dimension();
    let columnWidth = this.columnWidth;
    let rowHeight = this.rowHeight;
    let hgap = this.hgap;
    let vgap = this.vgap;
    if (options.widthHint) {
      columnCount = Math.floor(options.widthHint / (columnWidth + hgap));
      let width = columnCount * (columnWidth + hgap);
      if (options.widthHint - width > columnWidth) {
        // The last column does not have a hgap -> Correct the grid column count if another column would fit in
        columnCount++;
      }
      columnCount = Math.max(Math.min(this.widget.prefGridColumnCount, columnCount), 1);
      rowCount = this.widget.rowCount(columnCount);
      prefSize.width = options.widthHint;
      prefSize.height = Math.max(rowCount * rowHeight + (rowCount - 1) * vgap, 0);
      prefSize.width += insets.horizontal();
      prefSize.height += insets.vertical();
      return prefSize;
    }
    columnCount = this.widget.gridColumnCount;
    rowCount = this.widget.rowCount();
    prefSize.width = Math.max(columnCount * columnWidth + (columnCount - 1) * hgap, 0);
    prefSize.height = Math.max(rowCount * rowHeight + (rowCount - 1) * vgap, 0);
    prefSize.width += insets.horizontal();
    prefSize.height += insets.vertical();
    return prefSize;
  }
  primitivePrefSize($container, options) {
    if (!options.widthHint || this._calculatingPrimitivePrefSize) {
      return super.preferredLayoutSize($container, options);
    }
    this._calculatingPrimitivePrefSize = true;
    let prefSize = this._primitivePrefSize(options);
    this._calculatingPrimitivePrefSize = false;
    return prefSize;
  }
  _primitivePrefSize(options) {
    let prefSize,
      htmlComp = this.widget.htmlComp,
      contentFits = false,
      gridColumnCount = this.widget.gridColumnCount,
      width = options.widthHint;
    // prefSize will be called for tileGrid itself, hints must not be adjusted
    options.removeInsetsFromHints = false;
    width += htmlComp.insets().horizontal();
    this._resetGridColumnCount();
    this.widget.invalidateLayout();
    this.widget.invalidateLogicalGrid(false);
    prefSize = htmlComp.prefSize(options);
    if (prefSize.width <= width) {
      contentFits = true;
    }
    while (!contentFits && this.widget.gridColumnCount > 1) {
      this.widget.gridColumnCount--;
      this.widget.invalidateLayout();
      this.widget.invalidateLogicalGrid(false);
      prefSize = htmlComp.prefSize(options);
      if (prefSize.width <= width) {
        contentFits = true;
      }
    }
    // Reset to previous gridColumnCount (prefSize should not modify properties)
    this.widget.gridColumnCount = gridColumnCount;
    return prefSize;
  }
  _updateFilterFieldMaxWidth($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      width = htmlComp.availableSize().subtract(htmlComp.insets()).width;
    this.widget.$filterFieldContainer.css('--filter-field-max-width', width * 0.6 + 'px');
  }
}

/***/ }),

/***/ "./src/tile/TileGridLayoutConfig.ts":
/*!******************************************!*\
  !*** ./src/tile/TileGridLayoutConfig.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridLayoutConfig: () => (/* binding */ TileGridLayoutConfig)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Configures layouting options for tiles layouted by {@link TileGridLayout}.
 *
 * @see LogicalGridLayoutConfig
 */
class TileGridLayoutConfig extends _index__WEBPACK_IMPORTED_MODULE_0__.LogicalGridLayoutConfig {
  constructor(options, defaults) {
    super(options, defaults);
    _defineProperty(this, "maxWidth", void 0);
    this._init(); // maxWidth will be reset to undefined after super() call, _init() will set to correct value again (see tsconfig.json:useDefineForClassFields)
  }
  static getTileDefaultLayoutConfig() {
    if (!TileGridLayoutConfig._DEFAULT_CONFIG) {
      TileGridLayoutConfig._DEFAULT_CONFIG = {
        hgap: _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('tile-grid-layout-config', 'margin-left', 'marginLeft', -1),
        vgap: _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('tile-grid-layout-config', 'margin-top', 'marginTop', -1),
        columnWidth: _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('tile-grid-layout-config', 'width', 'width', -1),
        rowHeight: _index__WEBPACK_IMPORTED_MODULE_0__.styles.getSize('tile-grid-layout-config', 'height', 'height', -1),
        minWidth: 0,
        maxWidth: -1
      };
    }
    return TileGridLayoutConfig._DEFAULT_CONFIG;
  }
  _prepareOptions(options) {
    let opts = super._prepareOptions(options);
    opts.maxWidth = options.maxWidth > -2 ? options.maxWidth : undefined;
    return opts;
  }
  _readEnvDefaults() {
    return TileGridLayoutConfig.getTileDefaultLayoutConfig();
  }
  applyToLayout(layout) {
    super.applyToLayout(layout);
    if (this.maxWidth) {
      layout.maxWidth = this.maxWidth;
    }
  }
  clone(options) {
    return new TileGridLayoutConfig($.extend({}, this._options, options), this._defaults);
  }
  static ensure(layoutConfig) {
    if (!layoutConfig) {
      return null;
    }
    if (layoutConfig instanceof TileGridLayoutConfig) {
      return layoutConfig;
    }
    return new TileGridLayoutConfig(layoutConfig);
  }
}
_defineProperty(TileGridLayoutConfig, "_DEFAULT_CONFIG", undefined);

/***/ }),

/***/ "./src/tile/TileGridModel.ts":
/*!***********************************!*\
  !*** ./src/tile/TileGridModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/TileGridMoveSupport.ts":
/*!*****************************************!*\
  !*** ./src/tile/TileGridMoveSupport.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridMoveSupport: () => (/* binding */ TileGridMoveSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridMoveSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.MoveSupport {
  constructor(tileGrid) {
    super(tileGrid);
  }
  _drag(event) {
    if (this._moveData.tileBelowCursor) {
      this._moveData.tileBelowCursor.$container.removeClass('dragover');
    }
    let $tileBelowCursor = this._moveData.$container.elementFromPoint(event.pageX, event.pageY, '.tile');
    let tileBelowCursor = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget($tileBelowCursor);
    if (!(tileBelowCursor instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Tile)) {
      this._moveData.tileBelowCursor = null;
      return;
    }
    if (this._moveData.draggedElementInfo.element === tileBelowCursor) {
      this._moveData.tileBelowCursor = null;
      return;
    }
    tileBelowCursor.$container.addClass('dragover');
    this._moveData.tileBelowCursor = tileBelowCursor;
  }
  _dragEnd(event) {
    if (!this._moveData.tileBelowCursor) {
      return super._dragEnd(event);
    }
    let tileBelowCursor = this._moveData.tileBelowCursor;
    tileBelowCursor.$container.removeClass('dragover');
    let draggedTile = this._moveData.draggedElementInfo.element;
    this.widget.swapTileBounds(draggedTile, tileBelowCursor);
    // Update element infos right after layout is done but BEFORE animation starts to get the final position of the tiles
    let deferred = $.Deferred();
    // Wait for layout to get correct target dimensions (grid cells may have changed size and position)
    // Cannot use 'when' because the promise would resolve while the bounds animation is already running
    this.widget.one('layoutDone', () => {
      // Layout change implies that tile was moved
      // -> mark it, so it can be made invisible by CSS (clone will be moved to new position, draggedTile itself should not be visibly moved by the layout)
      draggedTile.$container.addClass('moved');
      // Dragged tile is now already at the target position
      let targetBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(draggedTile.$container);
      if (targetBounds.dimension().equals(this._moveData.draggedElementInfo.bounds.dimension())) {
        // If size does not change, there is no need to replace the clone
        deferred.resolve(targetBounds);
        return;
      }
      // If the dragged tile will change its size, we need to create a new clone because the tile content will likely change as well.
      // This guarantees a smooth transition to the new content and no flickering when the clone is removed.
      let bounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this._moveData.$clone);
      this._moveData.$clone.remove();
      this._append$Clone();
      this._moveData.$clone.removeClass('dragged');
      let scale = bounds.width / this._moveData.$clone.width();
      this._moveData.$clone.css({
        'top': bounds.y,
        'left': bounds.x,
        '--dragging-scale': scale,
        '--animation-duration-factor': 0,
        // Temporarily disable scale transition because clone replacement must not be visible
        'transform-origin': '0 0'
      });
      // Enable transition again to animate the resizing to the target size
      requestAnimationFrame(() => {
        this._moveData.$clone.css('--animation-duration-factor', this._animationDurationFactor);
        deferred.resolve(targetBounds);
      });
    });
    return deferred.promise();
  }
  _restoreStyles() {
    var _this$_moveData$tileB;
    super._restoreStyles();
    (_this$_moveData$tileB = this._moveData.tileBelowCursor) === null || _this$_moveData$tileB === void 0 || (_this$_moveData$tileB = _this$_moveData$tileB.$container) === null || _this$_moveData$tileB === void 0 || _this$_moveData$tileB.removeClass('dragover');
    let $draggedElement = this._moveData.$draggedElement;
    $draggedElement.addClass('drag-done');
    setTimeout(() => {
      $draggedElement.removeClass('drag-done');
    }, 100);
  }
}

/***/ }),

/***/ "./src/tile/TileGridSelectionHandler.ts":
/*!**********************************************!*\
  !*** ./src/tile/TileGridSelectionHandler.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectionHandler: () => (/* binding */ TileGridSelectionHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TileGridSelectionHandler {
  constructor(tileGrid) {
    _defineProperty(this, "tileGrid", void 0);
    this.tileGrid = tileGrid;
  }
  selectTileOnMouseDown(event) {
    if (!this.isSelectable()) {
      return;
    }
    let $tile = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let tile = $tile.data('widget');
    if (tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.PlaceholderTile) {
      return;
    }
    if (tile.selected && event.which === 3) {
      // Do not toggle if context menus should be shown and tile already is selected
      return;
    }
    // Clicking a tile selects it, CTRL-click toggles the selection
    let selected = true;
    if (event.ctrlKey) {
      selected = !tile.selected;
    }
    // If multiSelect is enabled, CTRL-Click on a tile adds or removes that tile to or from the selection
    if (event.ctrlKey && this.isMultiSelect()) {
      if (selected) {
        this.addTilesToSelection(tile);
        this._checkAndSetFocusedTile(event, tile);
      } else {
        this.deselectTile(tile);
        this._checkAndSetFocusedTile(event, null);
      }
      return;
    }
    // Shift-Click adds or removes the tiles between the last focused tile and the clicked tile to or from the selection
    if (event.shiftKey && this.isMultiSelect()) {
      if (!this.isHorizontalGridActive()) {
        return;
      }
      let tiles = this.getVisibleTiles();
      let focusedTile = this.getFocusedTile();
      if (!focusedTile) {
        focusedTile = tiles[0];
      }
      let result = this.computeSelectionBetween(tiles.indexOf(focusedTile), tiles.indexOf(tile), true);
      if (result) {
        this.selectTiles(result.selectedTiles);
        this._checkAndSetFocusedTile(event, result.focusedTile);
      }
      return;
    }
    // If multi selection is disabled or no CTRL key is pressed, only the clicked tile may be selected
    if (selected) {
      this.selectTile(tile);
      this._checkAndSetFocusedTile(event, tile);
    } else {
      this.deselectAllTiles();
      this._checkAndSetFocusedTile(event, null);
    }
  }
  getFilteredTiles() {
    return this.tileGrid.filteredTiles;
  }
  getFilteredTileCount() {
    return this.tileGrid.filteredTiles.length;
  }
  getVisibleTiles() {
    return this.tileGrid.filteredTiles;
  }
  getVisibleTileCount() {
    return this.tileGrid.filteredTiles.length;
  }
  getGridColumnCount() {
    return this.tileGrid.gridColumnCount;
  }
  getVisibleGridRowCount() {
    return this.tileGrid.logicalGrid.gridRows;
  }
  getVisibleGridX(tile) {
    return tile.gridData.x;
  }
  getVisibleGridY(tile) {
    return tile.gridData.y;
  }
  getSelectedTiles() {
    return this.tileGrid.selectedTiles;
  }
  isSelectable() {
    return this.tileGrid.selectable;
  }
  isMultiSelect() {
    return this.tileGrid.multiSelect;
  }
  addTilesToSelection(tiles) {
    this.tileGrid.addTilesToSelection(tiles);
  }
  selectTile(tile) {
    this.tileGrid.selectTile(tile);
  }
  selectTiles(tiles) {
    this.tileGrid.selectTiles(tiles);
  }
  deselectTile(tile) {
    this.tileGrid.deselectTile(tile);
  }
  deselectTiles(tiles) {
    this.tileGrid.deselectTiles(tiles);
  }
  deselectAllTiles() {
    this.tileGrid.deselectAllTiles();
  }
  toggleSelection() {
    this.tileGrid.toggleSelection();
  }
  getFocusedTile() {
    return this.tileGrid.focusedTile;
  }
  /**
   * @returns the focused tile if there is one.
   *          Otherwise, returns the last tile of the selection if diff is > 0 and the first tile if diff is <= 0.
   *          If there is no focused tile and no selection, null is returned.
   */
  computeFocusedTile() {
    let diff = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
    // Focused tile may be null if tile has been deleted or if the user has not made a selection before
    let focusedTile = this.getFocusedTile();
    if (focusedTile) {
      return focusedTile;
    }
    let selectedTiles = this.getSelectedTiles();
    if (selectedTiles.length === 0) {
      return null;
    }
    if (diff > 0) {
      // Navigate down/right
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(selectedTiles);
    }
    // Navigate up/left
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(selectedTiles);
  }
  /**
   * Only sets the focus if event does not prevent the default and the tile does not have the class 'unfocusable'.
   */
  _checkAndSetFocusedTile(event, tile) {
    if (event.isDefaultPrevented()) {
      return;
    }
    if (tile && tile.rendered && tile.$container.hasClass('unfocusable')) {
      return;
    }
    this.setFocusedTile(tile);
  }
  setFocusedTile(tile) {
    this.tileGrid.setFocusedTile(tile);
  }
  scrollTo(tile) {
    this.tileGrid.scrollTo(tile);
  }
  scrollToTop() {
    this.tileGrid.scrollToTop();
  }
  scrollToBottom() {
    this.tileGrid.scrollToBottom();
  }
  findVisibleTileIndexAt(x, y, startIndex, reverse) {
    return this.tileGrid.findTileIndexAt(x, y, startIndex, reverse);
  }
  getTileGridByRow(rowIndex) {
    if (rowIndex < 0 || rowIndex >= this.getVisibleGridRowCount()) {
      return null;
    }
    return this.tileGrid;
  }
  isHorizontalGridActive() {
    return this.tileGrid.logicalGrid instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGrid;
  }
  computeSelectionX(xDiff, extend) {
    let result = this._computeFocusedTileOrSelection(xDiff);
    if (result.selectedTiles) {
      // New selection could be determined already -> return it;
      return result;
    }
    let focusedTile = result.focusedTile;
    let tiles = this.getVisibleTiles();
    let focusedTileIndex = tiles.indexOf(focusedTile);
    let focusedTileRow = this.getVisibleGridY(focusedTile);
    let focusedTileColumn = this.getVisibleGridX(focusedTile);
    // Look for the tile in the next or previous column (depending on xDiff) in the same row.
    // We cannot just take the next tile in the tiles array because tiles may span multiple rows (h > 1), so the tile next to the focused tile is not necessarily the next tile in the array.
    let newFocusedTileIndex = this.findVisibleTileIndexAt(focusedTileColumn + xDiff, focusedTileRow, xDiff > 0 ? 0 : focusedTileIndex, xDiff < 0);
    if (newFocusedTileIndex < 0) {
      // newFocusedTileIndex may be -1 if focusedTile is in the last column and xDiff > 0 or in the first column and xDiff < 0
      // In that case, just take the next tile
      newFocusedTileIndex = focusedTileIndex + (xDiff > 0 ? 1 : -1);
    }
    return this.computeSelectionBetween(focusedTileIndex, newFocusedTileIndex, extend);
  }
  computeSelectionY(yDiff, extend) {
    let result = this._computeFocusedTileOrSelection(yDiff);
    if (result.selectedTiles) {
      // New selection could be determined already -> return it;
      return result;
    }
    let rowCount = this.getVisibleGridRowCount();
    let focusedTile = result.focusedTile;
    let focusedTileRow = this.getVisibleGridY(focusedTile);
    let focusedTileColumn = this.getVisibleGridX(focusedTile);
    if (yDiff > 0 && focusedTileRow === rowCount - 1 || yDiff < 0 && focusedTileRow === 0) {
      // Do nothing if focused tile is in the last row (navigate down) or first row (navigate up)
      return;
    }
    let tiles = this.getVisibleTiles();
    let focusedTileIndex = tiles.indexOf(focusedTile);
    let newFocusedTileIndex = this.findVisibleTileIndexAt(focusedTileColumn, focusedTileRow + yDiff, focusedTileIndex, yDiff < 0);
    if (newFocusedTileIndex < 0) {
      let tileGrid = this.getTileGridByRow(focusedTileRow + yDiff);
      if (!tileGrid) {
        return;
      }
      newFocusedTileIndex = tiles.indexOf(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(tileGrid.filteredTiles));
    }
    return this.computeSelectionBetween(focusedTileIndex, newFocusedTileIndex, extend);
  }
  computeSelectionToFirst(extend) {
    let tiles = this.getVisibleTiles();
    let selectedTiles = this.getSelectedTiles();
    if (selectedTiles.length === 0) {
      // Select first tile if no tiles are selected
      let focusedTile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(tiles);
      return {
        selectedTiles: [focusedTile],
        focusedTile: focusedTile
      };
    }
    let focusedTileIndex = tiles.indexOf(this.computeFocusedTile());
    return this.computeSelectionBetween(focusedTileIndex, 0, extend);
  }
  computeSelectionToLast(extend) {
    let tiles = this.getVisibleTiles();
    let selectedTiles = this.getSelectedTiles();
    if (selectedTiles.length === 0) {
      // Select last tile if no tiles are selected
      let focusedTile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(tiles);
      return {
        selectedTiles: [focusedTile],
        focusedTile: focusedTile
      };
    }
    let focusedTileIndex = tiles.indexOf(this.computeFocusedTile());
    return this.computeSelectionBetween(focusedTileIndex, tiles.length - 1, extend);
  }
  /**
   * If no tiles are selected, an object is returned containing the tile that should be focused and selected.
   * This is the first tile if diff is > 0 and the last tile otherwise.
   *
   * If there are tiles selected but there is no focused tile, an object is returned containing the tile to be focused.
   * This is the last tile if diff is > 0 and the first tile otherwise.
   */
  _computeFocusedTileOrSelection(diff) {
    let tiles = this.getVisibleTiles();
    let selectedTiles = this.getSelectedTiles();
    if (selectedTiles.length === 0) {
      let focusedTile;
      if (diff > 0) {
        // Select first tile if no tiles are selected (navigate down/right)
        focusedTile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(tiles);
      } else {
        // Select last tile if no tiles are selected (navigate up/left)
        focusedTile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(tiles);
      }
      return {
        focusedTile: focusedTile,
        selectedTiles: [focusedTile]
      };
    }
    return {
      focusedTile: this.computeFocusedTile(diff),
      selectedTiles: null
    };
  }
  computeSelectionBetween(focusedTileIndex, newFocusedTileIndex, extend) {
    let tiles = this.getVisibleTiles();
    let newFocusedTile = tiles[newFocusedTileIndex];
    if (focusedTileIndex < 0 || focusedTileIndex > tiles.length - 1 || newFocusedTileIndex < 0 || newFocusedTileIndex > tiles.length - 1 || focusedTileIndex === newFocusedTileIndex) {
      // Do nothing if indices are out of bounds or equal
      return;
    }
    if (!extend) {
      // Select only the tile at the newFocusedTileIndex
      return {
        selectedTiles: [newFocusedTile],
        focusedTile: newFocusedTile
      };
    }
    // Adjust existing selection
    let selectedTiles = this.getSelectedTiles();
    let newSelectedTiles = [];
    if (!newFocusedTile.selected) {
      // Add all tiles between focused tile and newly focused tile to selection
      if (newFocusedTileIndex > focusedTileIndex) {
        newSelectedTiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(selectedTiles, tiles.slice(focusedTileIndex, newFocusedTileIndex + 1));
        newFocusedTile = this._findLastSelectedTileAfter(tiles, newFocusedTileIndex);
      } else {
        newSelectedTiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.union(tiles.slice(newFocusedTileIndex, focusedTileIndex + 1), selectedTiles);
        newFocusedTile = this._findLastSelectedTileBefore(tiles, newFocusedTileIndex);
      }
    } else {
      if (newFocusedTileIndex > focusedTileIndex) {
        // Remove all tiles between focused tile and newly focused tile from selection if newly focused tile already is selected
        newSelectedTiles = selectedTiles.slice();
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(newSelectedTiles, tiles.slice(focusedTileIndex, newFocusedTileIndex));
      } else {
        newSelectedTiles = selectedTiles.slice();
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(newSelectedTiles, tiles.slice(newFocusedTileIndex + 1, focusedTileIndex + 1));
      }
    }
    return {
      selectedTiles: newSelectedTiles,
      focusedTile: newFocusedTile
    };
  }
  executeSelection(instruction) {
    if (!instruction) {
      return;
    }
    if (instruction.selectedTiles.length > 0) {
      this.selectTiles(instruction.selectedTiles);
      this.scrollTo(instruction.focusedTile);
      // Scroll to the very top or very bottom if newly focused tile is on top or on bottom
      // Especially important for tile accordion because scrolling to top should reveal the group header as well
      let focusedTileRow = this.getVisibleGridY(instruction.focusedTile);
      let rowCount = this.getVisibleGridRowCount();
      if (focusedTileRow === 0) {
        this.scrollToTop();
      } else if (focusedTileRow === rowCount - 1) {
        this.scrollToBottom();
      }
    }
    this.setFocusedTile(instruction.focusedTile);
  }
  /**
   * Searches for the last selected tile in the current selection block, starting from tileIndex. Expects tile at tileIndex to be selected.
   */
  _findLastSelectedTileBefore(tiles, tileIndex) {
    if (tileIndex === 0) {
      return tiles[tileIndex];
    }
    let tile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFromReverse(tiles, tileIndex, (tile, i) => {
      let previousTile = tiles[i - 1];
      if (!previousTile) {
        return false;
      }
      return !previousTile.selected;
    });
    // when no tile has been found, use first tile in tileGrid
    if (!tile) {
      tile = tiles[0];
    }
    return tile;
  }
  /**
   * Searches for the last selected tile in the current selection block, starting from tileIndex. Expects tile at tileIndex to be selected.
   */
  _findLastSelectedTileAfter(tiles, tileIndex) {
    if (tileIndex === tiles.length - 1) {
      return tiles[tileIndex];
    }
    let tile = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findFrom(tiles, tileIndex, (tile, i) => {
      let nextTile = tiles[i + 1];
      if (!nextTile) {
        return false;
      }
      return !nextTile.selected;
    });
    // when no tile has been found, use last tile in tileGrid
    if (!tile) {
      tile = tiles[tiles.length - 1];
    }
    return tile;
  }
}

/***/ }),

/***/ "./src/tile/TileModel.ts":
/*!*******************************!*\
  !*** ./src/tile/TileModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/TileMoveHandler.ts":
/*!*************************************!*\
  !*** ./src/tile/TileMoveHandler.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileMoveHandler: () => (/* binding */ TileMoveHandler)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! .. */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TileMoveHandler {
  constructor(model) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "tileGrid", void 0);
    _defineProperty(this, "$container", void 0);
    _defineProperty(this, "moveSupport", void 0);
    _defineProperty(this, "_mouseDownHandler", void 0);
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('model', model);
    ___WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('$container', model.$container);
    this.$container = model.$container;
    this.tileGrid = model.tileGrid;
    this._mouseDownHandler = this._onMouseDown.bind(this);
  }
  init() {
    this.$container.addClass('movable');
    this.$container.on('mousedown touchstart', this._mouseDownHandler);
  }
  destroy() {
    if (this.$container) {
      this.$container.removeClass('movable');
      this.$container.off('mousedown touchstart', this._mouseDownHandler);
    }
  }
  _onMouseDown(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    if ($target.hasClass('resizable-handle')) {
      return;
    }
    let tile = ___WEBPACK_IMPORTED_MODULE_0__.scout.widget(jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget));
    // Install move support for each drag operation so that a tile can be dragged even if another one is still finishing dragging
    let moveSupport = new ___WEBPACK_IMPORTED_MODULE_0__.TileGridMoveSupport(this.tileGrid);
    if (moveSupport.start(event, this.tileGrid.tiles, tile)) {
      this.moveSupport = moveSupport;
    }
  }
}

/***/ }),

/***/ "./src/tile/TileResizeHandler.ts":
/*!***************************************!*\
  !*** ./src/tile/TileResizeHandler.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileResizeHandler: () => (/* binding */ TileResizeHandler)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! .. */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileResizeHandler extends ___WEBPACK_IMPORTED_MODULE_0__.Resizable {
  constructor() {
    super(...arguments);
    _defineProperty(this, "tileGrid", void 0);
    _defineProperty(this, "ignorer", void 0);
  }
  init(model) {
    super.init(model);
    this.tileGrid = model.tileGrid;
    this.ignorer = model.ignorer;
  }
  get layout() {
    return this.tileGrid.htmlComp.layout;
  }
  _computeBounds(event) {
    let cell = this._findCell(this._relativeCursorPos(this.tileGrid.$container, event));
    if (!cell) {
      return;
    }
    let initialCell = this._findInitialCell();
    if (___WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this._context.edge, 'w', 'e')) {
      // If resized horizontally, height must not change
      cell.y = initialCell.y;
      cell.height = initialCell.height;
    } else if (___WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(this._context.edge, 'n', 's')) {
      // If resized vertically, width must not change
      cell.x = initialCell.x;
      cell.width = initialCell.width;
    }
    return initialCell.union(cell);
  }
  /**
   * @returns the logical bounds for the new range
   */
  _computeLogicalBounds(newBounds) {
    let unionBounds;
    let layoutInfo = this.layout.info;
    for (let row = 0; row < layoutInfo.rows; row++) {
      for (let col = 0; col < layoutInfo.cols; col++) {
        let cellBounds = layoutInfo.cellBounds[row][col];
        if (newBounds.contains(cellBounds.point())) {
          let bounds = new ___WEBPACK_IMPORTED_MODULE_0__.Rectangle(col, row, 1, 1);
          if (!unionBounds) {
            unionBounds = bounds;
          } else {
            unionBounds = unionBounds.union(bounds);
          }
        }
      }
    }
    return unionBounds;
  }
  /**
   * @returns the cell bounds for the cell that is on the other side of the dragged edge.
   */
  _findInitialCell() {
    let tile = ___WEBPACK_IMPORTED_MODULE_0__.scout.widget(this.$container);
    // Find the actual grid data object.
    // Compared to tile.gridData it may contain adjusted x/y values because of collapsed rows/cols
    // or if gridDataHints were used with explicit x/y values that don't start from 0
    let gridData = this.layout.info.gridDatas.find(gd => gd.widget === tile);
    let row = gridData.gridy;
    let col = gridData.gridx;
    let w = gridData.gridw - 1;
    let h = gridData.gridh - 1;
    let cellBounds = this.layout.info.cellBounds;
    switch (this._context.edge) {
      case 'n':
        return cellBounds[row + h][col].union(cellBounds[row + h][col + w]);
      case 'ne':
        return cellBounds[row + h][col];
      case 'e':
        return cellBounds[row][col].union(cellBounds[row + h][col]);
      case 'se':
        return cellBounds[row][col];
      case 's':
        return cellBounds[row][col].union(cellBounds[row][col + w]);
      case 'sw':
        return cellBounds[row][col + w];
      case 'w':
        return cellBounds[row][col + w].union(cellBounds[row + h][col + w]);
      case 'nw':
        return cellBounds[row + h][col + w];
    }
  }
  /**
   * @returns the cell bounds at the given position
   */
  _findCell(position) {
    let layoutInfo = this.layout.info;
    let halfHgap = layoutInfo.hgap / 2;
    let halfVgap = layoutInfo.vgap / 2;
    for (let row = 0; row < layoutInfo.rows; row++) {
      for (let col = 0; col < layoutInfo.cols; col++) {
        // Enlarge the cell bounds by half of the gaps size to make resizing more reactive
        // -> This makes the whole area inside the grid reactive not only the cells
        // Example: if the user resizes a cell that spans two columns and moves the cursor to the bottom between two other cells,
        // it should resize to one of the two cells instead of doing nothing
        let topGap = row > 0 ? halfVgap : 0; // Don't add top gap for first row
        let bottomGap = row < layoutInfo.rows - 1 ? halfVgap : 0; // Don't add bottom gap for last row
        let leftGap = col > 0 ? halfHgap : 0; // Don't add left gap for first col
        let rightGap = col < layoutInfo.cols - 1 ? halfHgap : 0; // Don't add right gap for last col
        let cellBounds = layoutInfo.cellBounds[row][col];
        if (cellBounds.add(new ___WEBPACK_IMPORTED_MODULE_0__.Insets(topGap, rightGap, bottomGap, leftGap)).contains(position)) {
          return cellBounds.clone();
        }
      }
    }
    return null;
  }
  /**
   * @returns the position of the cursor relative to the given container
   */
  _relativeCursorPos($container, event) {
    let scrollPos = new ___WEBPACK_IMPORTED_MODULE_0__.Point($container[0].scrollLeft, $container[0].scrollTop);
    let offset = ___WEBPACK_IMPORTED_MODULE_0__.graphics.offset($container);
    return new ___WEBPACK_IMPORTED_MODULE_0__.Point(event.pageX, event.pageY).subtract(offset).add(scrollPos);
  }
  _resizeEnd() {
    let newBounds = this._context.currentBounds;
    if (newBounds.equals(this._context.initialBounds)) {
      return;
    }
    let resizedTile = ___WEBPACK_IMPORTED_MODULE_0__.scout.widget(this.$container);
    let logicalBounds = this._computeLogicalBounds(newBounds);
    this.tileGrid.resizeTile(resizedTile, logicalBounds, this.ignorer);
  }
}

/***/ }),

/***/ "./src/tile/TileTextFilter.ts":
/*!************************************!*\
  !*** ./src/tile/TileTextFilter.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTextFilter: () => (/* binding */ TileTextFilter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileTextFilter {
  constructor() {
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "_htmlTileContentChangeHandler", void 0);
    _defineProperty(this, "_tilePropertyChangeHandler", void 0);
    this.text = null;
    this._htmlTileContentChangeHandler = this._onHtmlTileContentChange.bind(this);
    this._tilePropertyChangeHandler = this._onTilePropertyChange.bind(this);
  }
  setText(text) {
    text = text || '';
    text = text.toLowerCase();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.text, text)) {
      return false;
    }
    this.text = text;
    return true;
  }
  accept(tile) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(this.text)) {
      return true;
    }
    let plainText = this._plainTextForTile(tile);
    let filterText = plainText.trim().toLowerCase();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.empty(filterText)) {
      return false;
    }
    return filterText.indexOf(this.text) > -1;
  }
  _plainTextForTile(tile) {
    if (tile.plainText) {
      return tile.plainText;
    }
    if (tile instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HtmlTile) {
      tile.plainText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(tile.content) || '';
      tile.one('propertyChange:content', this._htmlTileContentChangeHandler);
      return tile.plainText;
    }
    if (!tile.parent.rendered) {
      return '';
    }
    let remove = false;
    if (!tile.rendered) {
      tile.render();
      remove = true;
    }
    tile.plainText = _index__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(tile.$container.html()) || '';
    if (remove) {
      tile.remove();
    }
    tile.on('propertyChange', this._tilePropertyChangeHandler);
    return tile.plainText;
  }
  _onHtmlTileContentChange(event) {
    delete event.source.plainText;
  }
  _onTilePropertyChange(event) {
    if (event.propertyName === 'filterAccepted') {
      return;
    }
    delete event.source.plainText;
    event.source.off('propertyChange', this._tilePropertyChangeHandler);
  }
}

/***/ }),

/***/ "./src/tile/WidgetTile.ts":
/*!********************************!*\
  !*** ./src/tile/WidgetTile.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetTile: () => (/* binding */ WidgetTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * A tile containing a widget.
 */
class WidgetTile extends _index__WEBPACK_IMPORTED_MODULE_0__.Tile {
  constructor() {
    super();
    _defineProperty(this, "tileWidget", void 0);
    _defineProperty(this, "_widgetPropertyChangeHandler", void 0);
    this.tileWidget = null;
    this._addWidgetProperties(['tileWidget']);
    this._widgetPropertyChangeHandler = this._onWidgetPropertyChange.bind(this);
  }
  _init(model) {
    super._init(model);
    this._setTileWidget(this.tileWidget);
  }
  _destroy() {
    if (this.tileWidget) {
      this.tileWidget.off('propertyChange', this._widgetPropertyChangeHandler);
    }
    super._destroy();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTileWidget();
  }
  _renderTileWidget() {
    if (this.tileWidget) {
      // render the tileWidget into the container of this tile.
      this.tileWidget.render();
    }
  }
  _removeTileWidget() {
    if (this.tileWidget) {
      this.tileWidget.remove();
    }
  }
  _onWidgetPropertyChange(event) {
    if (event.propertyName === 'visible') {
      this.setVisible(event.newValue);
    } else if (event.propertyName === 'enabled') {
      this.setEnabled(event.newValue);
    } else if (event.propertyName === 'disabledStyle') {
      this.setDisabledStyle(event.newValue);
    }
  }
  setTileWidget(tileWidget) {
    this.setProperty('tileWidget', tileWidget);
  }
  _setTileWidget(tileWidget) {
    if (this.tileWidget) {
      this.tileWidget.off('propertyChange', this._widgetPropertyChangeHandler);
    }
    this._setProperty('tileWidget', tileWidget);
    if (tileWidget) {
      // Hide tile if tileWidget is made invisible (don't do it if visible is true to not accidentally override the visibility state)
      if (!this.tileWidget.visible) {
        this.setVisible(false);
      }
      if (!this.tileWidget.enabled) {
        this.setEnabled(false);
      }
      if (this.tileWidget.disabledStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.Widget.DisabledStyle.DEFAULT) {
        this.setDisabledStyle(this.tileWidget.disabledStyle);
      }
      this.tileWidget.on('propertyChange', this._widgetPropertyChangeHandler);
    }
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/tile/WidgetTileAdapter.ts":
/*!***************************************!*\
  !*** ./src/tile/WidgetTileAdapter.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetTileAdapter: () => (/* binding */ WidgetTileAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetTileAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TileAdapter {}

/***/ }),

/***/ "./src/tile/accordion/TileAccordion.ts":
/*!*********************************************!*\
  !*** ./src/tile/accordion/TileAccordion.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileAccordion: () => (/* binding */ TileAccordion)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileAccordion extends _index__WEBPACK_IMPORTED_MODULE_0__.Accordion {
  constructor() {
    super();
    _defineProperty(this, "gridColumnCount", void 0);
    _defineProperty(this, "multiSelect", void 0);
    _defineProperty(this, "selectable", void 0);
    _defineProperty(this, "takeTileFiltersFromGroup", void 0);
    _defineProperty(this, "tileComparator", void 0);
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "tileGridLayoutConfig", void 0);
    _defineProperty(this, "tileGridSelectionHandler", void 0);
    _defineProperty(this, "withPlaceholders", void 0);
    _defineProperty(this, "virtual", void 0);
    _defineProperty(this, "textFilterEnabled", void 0);
    _defineProperty(this, "filterSupport", void 0);
    _defineProperty(this, "createTextFilter", void 0);
    _defineProperty(this, "updateTextFilterText", void 0);
    _defineProperty(this, "$filterFieldContainer", void 0);
    _defineProperty(this, "_selectionUpdateLocked", void 0);
    _defineProperty(this, "_tileGridPropertyChangeHandler", void 0);
    _defineProperty(this, "_groupBodyHeightChangeHandler", void 0);
    this.exclusiveExpand = false;
    this.gridColumnCount = null;
    this.multiSelect = null;
    this.selectable = null;
    this.takeTileFiltersFromGroup = true;
    this.tileComparator = null;
    this.filters = [];
    this.tileGridLayoutConfig = null;
    this.tileGridSelectionHandler = new _index__WEBPACK_IMPORTED_MODULE_0__.TileAccordionSelectionHandler(this);
    this.withPlaceholders = null;
    this.virtual = null;
    this.$filterFieldContainer = null;
    this.textFilterEnabled = false;
    this.filterSupport = this._createFilterSupport();
    this.createTextFilter = null;
    this.updateTextFilterText = null;
    this._selectionUpdateLocked = false;
    this._tileGridPropertyChangeHandler = this._onTileGridPropertyChange.bind(this);
    this._groupBodyHeightChangeHandler = this._onGroupBodyHeightChange.bind(this);
  }
  _render() {
    super._render();
    this.$container.addClass('tile-accordion');
    this.$filterFieldContainer = this.$container.prependDiv('filter-field-container');
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TileAccordionLayout(this);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTextFilterEnabled();
  }
  _remove() {
    this.filterSupport.remove();
    super._remove();
  }
  _init(model) {
    super._init(model);
    this.setFilters(this.filters);
    this._setTileGridLayoutConfig(this.tileGridLayoutConfig);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initGroup(group) {
    super._initGroup(group);
    group.body.setSelectionHandler(this.tileGridSelectionHandler);
    // Copy properties from accordion to new group. If the properties are not set yet, copy them from the group to the accordion
    // This gives the possibility to either define the properties on the accordion or on the tileGrid initially
    if (this.gridColumnCount !== null) {
      group.body.setGridColumnCount(this.gridColumnCount);
    }
    this.setProperty('gridColumnCount', group.body.gridColumnCount);
    if (this.multiSelect !== null) {
      group.body.setMultiSelect(this.multiSelect);
    }
    this.setProperty('multiSelect', group.body.multiSelect);
    if (this.selectable !== null) {
      group.body.setSelectable(this.selectable);
    }
    this.setProperty('selectable', group.body.selectable);
    if (this.tileGridLayoutConfig !== null) {
      group.body.setLayoutConfig(this.tileGridLayoutConfig);
    }
    this.setProperty('tileGridLayoutConfig', group.body.layoutConfig);
    if (this.tileComparator !== null) {
      group.body.setComparator(this.tileComparator);
      group.body.sort();
    }
    this.setProperty('tileComparator', group.body.comparator);
    if (this.filters.length > 0) {
      group.body.addFilter(this.filters);
    }
    if (this.takeTileFiltersFromGroup) {
      this.setFilters(group.body.filters);
    }
    if (this.withPlaceholders !== null) {
      group.body.setWithPlaceholders(this.withPlaceholders);
    }
    this.setProperty('withPlaceholders', group.body.withPlaceholders);
    if (this.virtual !== null) {
      group.body.setVirtual(this.virtual);
    }
    this.setProperty('virtual', group.body.virtual);
    if (group.body.selectedTiles.length > 0) {
      this._handleSelectionChanged(group.body);
    }
    group.body.on('propertyChange', this._tileGridPropertyChangeHandler);
    this._handleCollapsed(group);
    // Delegate events so that consumers don't need to attach a listener to each tile grid by themselves
    group.body.__tileAccordionEventDelegator = _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(group.body, this, {
      delegateEvents: ['tileClick', 'tileAction']
    });
  }
  _deleteGroup(group) {
    if (group.body) {
      group.body.off('propertyChange', this._tileGridPropertyChangeHandler);
      group.body.__tileAccordionEventDelegator.destroy();
      group.body.__tileAccordionEventDelegator = null;
    }
    super._deleteGroup(group);
  }
  setGroups(groups) {
    let oldTileCount = this.getTileCount();
    let oldFilteredTileCount = this.getFilteredTileCount();
    let oldSelectedTileCount = this.getSelectedTileCount();
    super.setGroups(groups);
    let tileCount = this.getTileCount();
    let filteredTileCount = this.getFilteredTileCount();
    let selectedTileCount = this.getSelectedTileCount();
    // Trigger artificial property changes if necessary
    // See _onTileGridPropertyChange why parameters are null
    if (tileCount !== oldTileCount) {
      this.triggerPropertyChange('tiles', null, null);
    }
    if (filteredTileCount !== oldFilteredTileCount) {
      this.triggerPropertyChange('filteredTiles', null, null);
    }
    if (selectedTileCount !== oldSelectedTileCount) {
      this.triggerPropertyChange('selectedTiles', null, null);
    }
  }
  /** @see TileAccordionModel.gridColumnCount */
  setGridColumnCount(gridColumnCount) {
    this.groups.forEach(group => {
      group.body.setGridColumnCount(gridColumnCount);
    });
    this.setProperty('gridColumnCount', gridColumnCount);
  }
  /** @see TileAccordionModel.tileGridLayoutConfig */
  setTileGridLayoutConfig(layoutConfig) {
    this.groups.forEach(group => {
      group.body.setLayoutConfig(layoutConfig);
      layoutConfig = group.body.layoutConfig; // May be converted from plain object to TileGridLayoutConfig
    });
    this.setProperty('tileGridLayoutConfig', layoutConfig);
  }
  _setTileGridLayoutConfig(layoutConfig) {
    this._setProperty('tileGridLayoutConfig', _index__WEBPACK_IMPORTED_MODULE_0__.TileGridLayoutConfig.ensure(layoutConfig));
  }
  /** @see TileAccordionModel.withPlaceholders */
  setWithPlaceholders(withPlaceholders) {
    this.groups.forEach(group => {
      group.body.setWithPlaceholders(withPlaceholders);
    });
    this.setProperty('withPlaceholders', withPlaceholders);
  }
  /** @see TileAccordionModel.virtual */
  setVirtual(virtual) {
    this.groups.forEach(group => {
      group.body.setVirtual(virtual);
    });
    this.setProperty('virtual', virtual);
  }
  /** @see TileAccordionModel.selectable */
  setSelectable(selectable) {
    this.groups.forEach(group => {
      group.body.setSelectable(selectable);
    });
    this.setProperty('selectable', selectable);
  }
  /** @see TileAccordionModel.multiSelect */
  setMultiSelect(multiSelect) {
    this.groups.forEach(group => {
      group.body.setMultiSelect(multiSelect);
    });
    this.setProperty('multiSelect', multiSelect);
  }
  getGroupById(id) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.groups, group => group.id === id);
  }
  getGroupByTile(tile) {
    return tile.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.Group);
  }
  /**
   * Distribute the tiles to the corresponding groups and returns an object with group id as key and array of tiles as value.
   * Always returns all current groups even if the given tiles may not be distributed to all groups.
   */
  _groupTiles(tiles) {
    // Create a map of groups, key is the id, value is an array of tiles
    let tilesPerGroup = {};
    this.groups.forEach(group => {
      tilesPerGroup[group.id] = [];
    });
    // Distribute the tiles to the corresponding groups
    tiles.forEach(function (tile) {
      let group = this.getGroupByTile(tile);
      if (!group) {
        throw new Error('No group found for tile ' + tile.id);
      }
      if (!tilesPerGroup[group.id]) {
        tilesPerGroup[group.id] = [];
      }
      tilesPerGroup[group.id].push(tile);
    }, this);
    return tilesPerGroup;
  }
  deleteTile(tile) {
    this.deleteTiles([tile]);
  }
  deleteTiles(tilesToDelete) {
    tilesToDelete = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tilesToDelete);
    if (tilesToDelete.length === 0) {
      return;
    }
    let tiles = this.getTiles();
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(tiles, tilesToDelete);
    this.setTiles(tiles);
  }
  deleteAllTiles() {
    this.setTiles([]);
  }
  /**
   * Distributes the given tiles to their corresponding groups.
   *
   * If the list contains new tiles not assigned to a group yet, an exception will be thrown.
   */
  setTiles(tilesOrModels) {
    let tilesOrModelsArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tilesOrModels);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.getTiles(), tilesOrModelsArr)) {
      return;
    }
    // Ensure given tiles are real tiles (of type TTile)
    let tiles = this._createChildren(tilesOrModelsArr);
    // Distribute the tiles to the corresponding groups (result may contain groups without tiles)
    let tilesPerGroup = this._groupTiles(tiles);
    // Update the tile grids
    for (let id in tilesPerGroup) {
      // NOSONAR
      let group = this.getGroupById(id);
      group.body.setTiles(tilesPerGroup[id]);
    }
  }
  getTiles() {
    let tiles = [];
    this.groups.forEach(group => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(tiles, group.body.tiles);
    });
    return tiles;
  }
  getTileCount() {
    let count = 0;
    this.groups.forEach(group => {
      count += group.body.tiles.length;
    });
    return count;
  }
  /**
   * @param filter The filters to add.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  addFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.addFilter(filter, applyFilter);
  }
  /**
   * @param filter The filters to remove.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  removeFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.removeFilter(filter, applyFilter);
  }
  /**
   * @param filter The new filters.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.setFilters(filters, applyFilter);
  }
  _setFilters(filter) {
    let filters = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filter);
    this.groups.forEach(group => {
      group.body.setFilters(filters.slice(), false);
    });
    this._setProperty('filters', filters.slice());
  }
  filter() {
    this.filterSupport.filter();
  }
  _filter() {
    this.groups.forEach(group => group.body.filter());
    return null; // FilterSupport of the TileGrids take care of the results
  }
  _createFilterSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FilterSupport({
      widget: this,
      $container: () => this.$filterFieldContainer,
      filterElements: this._filter.bind(this),
      createTextFilter: this._createTextFilter.bind(this),
      updateTextFilterText: this._updateTextFilterText.bind(this)
    });
  }
  _createTextFilter() {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(this.createTextFilter)) {
      return this.createTextFilter();
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TileTextFilter();
  }
  _updateTextFilterText(filter, text) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(this.updateTextFilterText)) {
      return this.updateTextFilterText(filter, text);
    }
    if (filter instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TileTextFilter) {
      return filter.setText(text);
    }
    return false;
  }
  /** @see TileAccordionModel.textFilterEnabled */
  setTextFilterEnabled(textFilterEnabled) {
    this.setProperty('textFilterEnabled', textFilterEnabled);
  }
  isTextFilterFieldVisible() {
    return this.textFilterEnabled;
  }
  _renderTextFilterEnabled() {
    this.filterSupport.renderFilterField();
  }
  getFilteredTiles() {
    let tiles = [];
    this.groups.forEach(group => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(tiles, group.body.filteredTiles);
    });
    return tiles;
  }
  getFilteredTileCount() {
    let count = 0;
    this.groups.forEach(group => {
      count += group.body.filteredTiles.length;
    });
    return count;
  }
  /**
   * Compared to {@link getFilteredTiles()}, this function considers the collapsed state of the group as well, meaning only filtered tiles of expanded groups are returned.
   */
  getVisibleTiles() {
    let tiles = [];
    this.expandedGroups().forEach(group => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(tiles, group.body.filteredTiles);
    });
    return tiles;
  }
  /**
   * Compared to {@link getFilteredTiles()}, this function considers the collapsed state of the group as well, meaning only filtered tiles of expanded groups are counted.
   */
  getVisibleTileCount() {
    let count = 0;
    this.expandedGroups().forEach(group => {
      count += group.body.filteredTiles.length;
    });
    return count;
  }
  findVisibleTileIndexAt(x, y, startIndex, reverse) {
    startIndex = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(startIndex, 0);
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndexFrom(this.getVisibleTiles(), startIndex, (tile, i) => {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(this.getVisibleGridX(tile), this.getVisibleGridY(tile), tile.gridData.w, tile.gridData.h).contains(x, y);
    }, reverse);
  }
  /**
   * Selects the given tiles and deselects the previously selected ones.
   *
   * Tiles, that are currently invisible due to an active filter, are excluded and won't be selected.
   */
  selectTiles(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    // Split tiles into separate lists for each group (result may contain groups without tiles)
    let tilesPerGroup = this._groupTiles(tiles);
    // Select the tiles in the corresponding tile grids
    for (let id in tilesPerGroup) {
      // NOSONAR
      let group = this.getGroupById(id);
      group.body.selectTiles(tilesPerGroup[id]);
    }
  }
  /** @see selectTiles */
  selectTile(tile) {
    this.selectTiles([tile]);
  }
  /**
   * Selects all tiles. As for every selection operation: only considers filtered tiles and tiles of expanded groups
   */
  selectAllTiles() {
    this.selectTiles(this.getVisibleTiles());
  }
  deselectTiles(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    let selectedTiles = this.getSelectedTiles().slice();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(selectedTiles, tiles)) {
      this.selectTiles(selectedTiles);
    }
  }
  deselectTile(tile) {
    this.deselectTiles([tile]);
  }
  deselectAllTiles() {
    this.selectTiles([]);
  }
  addTilesToSelection(tiles) {
    tiles = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(tiles);
    this.selectTiles(this.getSelectedTiles().concat(tiles));
  }
  addTileToSelection(tile) {
    this.addTilesToSelection([tile]);
  }
  getSelectedTiles() {
    let selectedTiles = [];
    this.groups.forEach(group => {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(selectedTiles, group.body.selectedTiles);
    });
    return selectedTiles;
  }
  getSelectedTile() {
    return this.getSelectedTiles()[0];
  }
  getSelectedTileCount() {
    let count = 0;
    this.groups.forEach(group => {
      count += group.body.selectedTiles.length;
    });
    return count;
  }
  /**
   * Deselects every tile if all tiles are selected. Otherwise, selects all tiles.
   */
  toggleSelection() {
    if (this.getSelectedTileCount() === this.getVisibleTileCount()) {
      this.deselectAllTiles();
    } else {
      this.selectAllTiles();
    }
  }
  /** @see TileAccordionModel.tileComparator */
  setTileComparator(comparator) {
    this.groups.forEach(group => {
      group.body.setComparator(comparator);
    });
    this.setProperty('tileComparator', comparator);
  }
  sortTiles() {
    this.groups.forEach(group => {
      group.body.sort();
    });
  }
  setFocusedTile(tile) {
    let groupForTile = null;
    if (tile !== null) {
      groupForTile = this.getGroupByTile(tile);
    }
    this.groups.forEach(group => {
      if (group === groupForTile) {
        group.body.setFocusedTile(tile);
      } else {
        group.body.setFocusedTile(null);
      }
    });
  }
  getFocusedTile() {
    let focusedTile = null;
    this.groups.some(group => {
      if (group.body.focusedTile) {
        focusedTile = group.body.focusedTile;
        return true;
      }
      return false;
    });
    return focusedTile;
  }
  getVisibleGridRowCount() {
    return this.expandedGroups().reduce((acc, group) => {
      return acc + group.body.logicalGrid.gridRows;
    }, 0);
  }
  getVisibleGridX(tile) {
    return tile.gridData.x;
  }
  getVisibleGridY(tile) {
    let group = this.getGroupByTile(tile);
    let yCorr = this.getVisibleRowByGroup(group);
    return tile.gridData.y + yCorr;
  }
  getGroupByVisibleRow(rowToFind) {
    if (rowToFind < 0 || rowToFind >= this.getVisibleGridRowCount()) {
      return null;
    }
    let currentIndex = 0;
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.expandedGroups(), group => {
      let rowCount = group.body.logicalGrid.gridRows;
      if (currentIndex <= rowToFind && rowToFind < currentIndex + rowCount) {
        return true;
      }
      currentIndex += rowCount;
    });
  }
  /**
   * @returns the index of the row where the group is located.<p>
   *          Example: There are 3 rows and 2 groups. The first group contains 2 rows, the second 1 row.
   *          The index of the first group is 0, the index of the second group is 2.
   */
  getVisibleRowByGroup(groupToFind) {
    let currentIndex = 0;
    let found = this.expandedGroups().some(group => {
      let rowCount = group.body.logicalGrid.gridRows;
      if (group === groupToFind) {
        return true;
      }
      currentIndex += rowCount;
      return false;
    });
    if (!found) {
      return -1;
    }
    return currentIndex;
  }
  expandedGroups() {
    return this.groups.filter(group => !group.collapsed);
  }
  _handleSelectionChanged(tileGrid) {
    if (this._selectionUpdateLocked) {
      // Don't execute when deselecting other tiles to minimize the amount of property change events
      return;
    }
    let group = tileGrid.parent;
    if (tileGrid.selectedTiles.length > 0 && group.collapsed) {
      // Do not allow selection in a collapsed group (breaks keyboard navigation and is confusing for the user if invisible tiles are selected)
      tileGrid.deselectAllTiles();
      return;
    }
    if (!this.multiSelect && tileGrid.selectedTiles.length > 0) {
      this._selectionUpdateLocked = true;
      // Ensure only one grid has a selected tile if multiSelect is false
      this.groups.forEach(group => {
        if (group.body !== tileGrid) {
          group.body.deselectAllTiles();
        }
      });
      this._selectionUpdateLocked = false;
    }
  }
  _onTileGridPropertyChange(event) {
    // Trigger artificial property changes with newValue set to null.
    // Reason: these property changes are fired for each grid. Creating the compound arrays using getFilteredTiles() etc.
    // costs some time (even if only some ms) but may not be necessary at all. The consumer can still call these functions by himself.
    // Also: oldValue cannot be estimated either way which makes it consistent
    if (event.propertyName === 'selectedTiles') {
      this._handleSelectionChanged(event.source);
      this.triggerPropertyChange('selectedTiles', null, null);
    } else if (event.propertyName === 'filteredTiles') {
      this.triggerPropertyChange('filteredTiles', null, null);
    } else if (event.propertyName === 'tiles') {
      this.triggerPropertyChange('tiles', null, null);
    }
  }
  _onGroupCollapsedChange(event) {
    super._onGroupCollapsedChange(event);
    this._handleCollapsed(event.source);
  }
  _handleCollapsed(group) {
    if (group.collapsed) {
      // Deselect tiles of a collapsed group (this will also set focusedTile to null) -> actions on invisible elements is confusing, and keystrokes only operate on visible elements, too
      group.body.deselectAllTiles();
    }
    if (group.rendered) {
      group.on('bodyHeightChange', this._groupBodyHeightChangeHandler);
      group.one('bodyHeightChangeDone', this._onGroupBodyHeightChangeDone.bind(this));
    }
  }
  _onGroupBodyHeightChange(event) {
    this.groups.forEach(group => {
      if (event.source === group || group.bodyAnimating) {
        // No need to layout body for the group which is already expanding / collapsing since it does it anyway
        // Btw: another group may be doing it as well at the same time (e.g. because of exclusiveExpand)
        return;
      }
      if (group.body.virtual && group.body.htmlComp) {
        group.body.htmlComp.layout.updateViewPort();
      }
    });
  }
  _onGroupBodyHeightChangeDone(event) {
    event.source.off('bodyHeightChange', this._groupBodyHeightChangeHandler);
  }
  /**
   * @returns the first fully visible tile at the scrollTop.
   */
  tileAtScrollTop(scrollTop) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.getTiles().filter(tile => tile.rendered), tile => {
      return tile.$container.position().top >= scrollTop;
    });
  }
}

/***/ }),

/***/ "./src/tile/accordion/TileAccordionAdapter.ts":
/*!****************************************************!*\
  !*** ./src/tile/accordion/TileAccordionAdapter.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileAccordionAdapter: () => (/* binding */ TileAccordionAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileAccordionAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.AccordionAdapter {
  _initProperties(model) {
    super._initProperties(model);
    // TileGridAdapter creates a RemoteTileFilter for each grid.
    // Such filters must not be added to the tile accordion, otherwise no tiles would be visible at all.
    // Because taking the filters from the group is only necessary for Scout JS usage, it is ok to disable this feature completely.
    model.takeTileFiltersFromGroup = false;
  }
}

/***/ }),

/***/ "./src/tile/accordion/TileAccordionEventMap.ts":
/*!*****************************************************!*\
  !*** ./src/tile/accordion/TileAccordionEventMap.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/accordion/TileAccordionLayout.ts":
/*!***************************************************!*\
  !*** ./src/tile/accordion/TileAccordionLayout.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileAccordionLayout: () => (/* binding */ TileAccordionLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileAccordionLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AccordionLayout {
  constructor(tileAccordion, options) {
    super(options);
    _defineProperty(this, "tileAccordion", void 0);
    this.tileAccordion = tileAccordion;
  }
  layout($container) {
    let previousGroupHeights = this.tileAccordion.groups.map(group => group.body).map(tileGrid => this._getTileGridHeight(tileGrid));
    super.layout($container);
    this._updateFilterFieldMaxWidth($container);
    this.tileAccordion.groups.map(group => group.body).forEach((tileGrid, index) => this._updateTileGridViewPort(tileGrid, previousGroupHeights[index]));
  }
  _updateTileGridViewPort(tileGrid, previousHeight) {
    if (!tileGrid.rendered || !tileGrid.htmlComp || previousHeight <= 0) {
      return;
    }
    let newHeight = this._getTileGridHeight(tileGrid);
    if (previousHeight === newHeight && tileGrid.virtual) {
      // The viewPort of the virtual tileGrid has not been updated as no layout update was done for the grid because its height is unchanged.
      // But as there might be more space available in the accordion now (its height might have changed), enforce a viewPort update to ensure all necessary tiles are rendered.
      tileGrid.setViewRangeSize(tileGrid.calculateViewRangeSize(), false);
      tileGrid.htmlComp.layout.updateViewPort();
    }
  }
  _getTileGridHeight(tileGrid) {
    if (!tileGrid) {
      return 0;
    }
    let htmlComp = tileGrid.htmlComp;
    if (!htmlComp) {
      return 0;
    }
    let size = tileGrid.htmlComp.sizeCached;
    if (!size) {
      return 0;
    }
    return size.height;
  }
  _updateFilterFieldMaxWidth($container) {
    let htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.get($container),
      width = htmlComp.availableSize().subtract(htmlComp.insets()).width;
    this.tileAccordion.$filterFieldContainer.css('--filter-field-max-width', width * 0.6 + 'px');
  }
}

/***/ }),

/***/ "./src/tile/accordion/TileAccordionModel.ts":
/*!**************************************************!*\
  !*** ./src/tile/accordion/TileAccordionModel.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/accordion/TileAccordionSelectionHandler.ts":
/*!*************************************************************!*\
  !*** ./src/tile/accordion/TileAccordionSelectionHandler.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileAccordionSelectionHandler: () => (/* binding */ TileAccordionSelectionHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileAccordionSelectionHandler extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectionHandler {
  constructor(tileAccordion) {
    super(tileAccordion); // Not all methods are overridden (e.g. getGridColumnCount)
    /** The difference to the main selectionHandler is that this one works on the TileAccordion rather than on the TileGrid */
    _defineProperty(this, "tileAccordion", void 0);
    this.tileAccordion = tileAccordion;
  }
  getFilteredTiles() {
    return this.tileAccordion.getFilteredTiles();
  }
  getFilteredTileCount() {
    return this.tileAccordion.getFilteredTileCount();
  }
  getVisibleTiles() {
    return this.tileAccordion.getVisibleTiles();
  }
  getVisibleTileCount() {
    return this.tileAccordion.getVisibleTileCount();
  }
  getSelectedTiles() {
    return this.tileAccordion.getSelectedTiles();
  }
  getFocusedTile() {
    return this.tileAccordion.getFocusedTile();
  }
  getVisibleGridRowCount() {
    return this.tileAccordion.getVisibleGridRowCount();
  }
  getVisibleGridX(tile) {
    return this.tileAccordion.getVisibleGridX(tile);
  }
  getVisibleGridY(tile) {
    return this.tileAccordion.getVisibleGridY(tile);
  }
  scrollTo(tile) {
    let group = this.tileAccordion.getGroupByTile(tile);
    group.body.scrollTo(tile);
  }
  getTileGridByRow(rowIndex) {
    let group = this.tileAccordion.getGroupByVisibleRow(rowIndex);
    if (group) {
      return group.body;
    }
    return null;
  }
  findVisibleTileIndexAt(x, y, startIndex, reverse) {
    return this.tileAccordion.findVisibleTileIndexAt(x, y, startIndex, reverse);
  }
  isHorizontalGridActive() {
    if (this.tileAccordion.groups.length === 0) {
      return false;
    }
    return this.tileAccordion.groups[0].body.logicalGrid instanceof _index__WEBPACK_IMPORTED_MODULE_0__.HorizontalGrid;
  }
}

/***/ }),

/***/ "./src/tile/fields/FormFieldTile.ts":
/*!******************************************!*\
  !*** ./src/tile/fields/FormFieldTile.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldTile: () => (/* binding */ FormFieldTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldTile extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetTile {
  constructor() {
    super();
    this.displayStyle = FormFieldTile.DisplayStyle.DASHBOARD;
  }
  // not const, can be extended
  _renderProperties() {
    super._renderProperties();
    this._renderFieldLabelVisible();
    this._renderCompact();
  }
  _setTileWidget(tileWidget) {
    super._setTileWidget(tileWidget);
    this._setDisplayStyle(this.displayStyle);
  }
  _renderTileWidget() {
    super._renderTileWidget();
    if (this.displayStyle !== FormFieldTile.DisplayStyle.DASHBOARD) {
      return;
    }
    if (this.tileWidget && this.tileWidget.htmlComp && this.tileWidget.htmlComp.layout instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldLayout) {
      this.tileWidget.htmlComp.layout.statusWidth = 0;
    }
  }
  _setDisplayStyle(displayStyle) {
    this._setProperty('displayStyle', displayStyle);
    if (this.tileWidget && this.displayStyle === FormFieldTile.DisplayStyle.DASHBOARD) {
      this.tileWidget.setLabelPosition(_index__WEBPACK_IMPORTED_MODULE_0__.FormField.LabelPosition.TOP);
      this.tileWidget.setMandatory(false);
      this.tileWidget.setStatusVisible(false);
    }
  }
  _renderDisplayStyle() {
    super._renderDisplayStyle();
    this.$container.toggleClass('dashboard', this.displayStyle === FormFieldTile.DisplayStyle.DASHBOARD);
  }
  _renderFieldLabelVisible() {
    if (this.displayStyle !== FormFieldTile.DisplayStyle.DASHBOARD) {
      return;
    }
    // Special handling for browser field (remove padding when label is invisible)
    if (this.tileWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.BrowserField) {
      this.tileWidget.$container.toggleClass('no-padding', !this.tileWidget.labelVisible && !this.tileWidget.errorStatus);
    }
    if (this.tileWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FormField && this.tileWidget.labelVisible) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithHeader(this.$container, this.tileWidget.$label);
    }
  }
  _renderCompact() {
    this.$container.toggleClass('compact', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().type === _index__WEBPACK_IMPORTED_MODULE_0__.Device.Type.MOBILE);
  }
  _onWidgetPropertyChange(event) {
    super._onWidgetPropertyChange(event);
    if (event.propertyName === 'labelVisible' || event.propertyName === 'errorStatus') {
      if (this.rendered) {
        this._renderFieldLabelVisible();
      }
    }
  }
  markAsActiveDescendantFor($container) {
    if (this.displayStyle === FormFieldTile.DisplayStyle.DASHBOARD && this.tileWidget instanceof _index__WEBPACK_IMPORTED_MODULE_0__.FormField) {
      var _this$tileWidget;
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.$container, (_this$tileWidget = this.tileWidget) === null || _this$tileWidget === void 0 ? void 0 : _this$tileWidget.$field);
    }
  }
}
_defineProperty(FormFieldTile, "DisplayStyle", {
  DEFAULT: _index__WEBPACK_IMPORTED_MODULE_0__.Tile.DisplayStyle.DEFAULT,
  PLAIN: _index__WEBPACK_IMPORTED_MODULE_0__.Tile.DisplayStyle.PLAIN,
  DASHBOARD: 'dashboard'
});

/***/ }),

/***/ "./src/tile/fields/FormFieldTileAdapter.ts":
/*!*************************************************!*\
  !*** ./src/tile/fields/FormFieldTileAdapter.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormFieldTileAdapter: () => (/* binding */ FormFieldTileAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class FormFieldTileAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.TileAdapter {}

/***/ }),

/***/ "./src/tile/fields/button/ButtonTile.ts":
/*!**********************************************!*\
  !*** ./src/tile/fields/button/ButtonTile.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ButtonTile: () => (/* binding */ ButtonTile)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ButtonTile extends _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldTile {
  _render() {
    super._render();
    this.$container.addClass('button-tile');
  }
}

/***/ }),

/***/ "./src/tile/fields/button/TileButton.ts":
/*!**********************************************!*\
  !*** ./src/tile/fields/button/TileButton.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileButton: () => (/* binding */ TileButton)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileButton extends _index__WEBPACK_IMPORTED_MODULE_0__.Button {
  constructor() {
    super();
    _defineProperty(this, "$iconContainer", void 0);
    this.processButton = false;
    this.$iconContainer = null;
  }
  _render() {
    if (!this._isInDashboardTile()) {
      super._render();
      return;
    }
    let $button = this.$parent.makeDiv();
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($button, 'button');
    this.$buttonLabel = $button.appendSpan('label');
    this.addContainer(this.$parent, 'tile-button');
    this.addField($button);
    this.addStatus();
    // Disable inner form field layout, because the tile button should always occupy
    // the entire container area.
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.NullLayout());
    this.$container.on('mousedown', event => this._doubleClickSupport.mousedown(event)).on('click', event => {
      if (this.fieldStatus.$container.isOrHas(event.target)) {
        return;
      }
      this._onClick(event);
    }).unfocusable();
    this.session.keyStrokeManager.installKeyStrokeContext(this.formKeyStrokeContext);
  }
  _remove() {
    this.$iconContainer = null;
    super._remove();
  }
  _isInDashboardTile() {
    return this.parent.displayStyle === _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldTile.DisplayStyle.DASHBOARD;
  }
  _renderIconId() {
    if (!this._isInDashboardTile()) {
      super._renderIconId();
      return;
    }
    this.$field.removeClass('with-icon without-icon');
    if (this.iconId) {
      if (!this.$iconContainer) {
        this.$iconContainer = this.$field.prependDiv('icon-container');
      }
      this.$iconContainer.icon(this.iconId);
      this.$field.addClass('with-icon');
    } else {
      if (this.$iconContainer) {
        this.$iconContainer.remove();
        this.$iconContainer = null;
      }
      this.$field.addClass('without-icon');
    }
    // Invalidate layout because button may now be longer or shorter
    this.invalidateLayoutTree();
  }
  get$Icon() {
    if (this.$iconContainer) {
      return this.$iconContainer.children('.icon');
    }
    return super.get$Icon();
  }
  _renderSubmenuIcon() {
    if (!this._isInDashboardTile()) {
      super._renderSubmenuIcon();
    }
    // Do not render sub menu icon
  }
  /** @internal */
  _renderTooltipText() {
    // Because tile buttons normally don't have a visible status, display the tooltip text as normal "hover" tooltip
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText)) {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$container, {
        parent: this,
        text: this.tooltipText
      });
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$container);
    }
  }
  _renderLabelVisible() {
    super._renderLabelVisible();
    this._updateLabelAndIconStyle();
  }
  _updateLabelAndIconStyle() {
    if (!this._isInDashboardTile()) {
      super._updateLabelAndIconStyle();
      return;
    }
    // Because dashboard tile buttons don't use $icon or $submenuIcon, we can simply toggle
    // the visibility of the $buttonLabel depending on the labelVisible property.
    this._renderChildVisible(this.$buttonLabel, this.labelVisible);
  }
}

/***/ }),

/***/ "./src/tile/fields/htmlfield/TileHtmlField.ts":
/*!****************************************************!*\
  !*** ./src/tile/fields/htmlfield/TileHtmlField.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileHtmlField: () => (/* binding */ TileHtmlField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileHtmlField extends _index__WEBPACK_IMPORTED_MODULE_0__.HtmlField {
  _render() {
    super._render();
    this.$container.addClass('scrollbar-y-outside tile-html-field');
  }
  _installScrollbars(options) {
    super._installScrollbars($.extend(true, {}, options, {
      scrollShadow: 'gradient'
    }));
  }
}

/***/ }),

/***/ "./src/tile/fields/tablefield/TileTableField.ts":
/*!******************************************************!*\
  !*** ./src/tile/fields/tablefield/TileTableField.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileTableField: () => (/* binding */ TileTableField)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TileTableField extends _index__WEBPACK_IMPORTED_MODULE_0__.TableField {
  constructor() {
    super();
    _defineProperty(this, "_tableBlurHandler", void 0);
    _defineProperty(this, "_tableFocusHandler", void 0);
    _defineProperty(this, "_menuBarPropertyChangeHandler", void 0);
    _defineProperty(this, "_documentMouseDownHandler", void 0);
    this._tableBlurHandler = this._onTableBlur.bind(this);
    this._tableFocusHandler = this._onTableFocus.bind(this);
    this._menuBarPropertyChangeHandler = this._onMenuBarPropertyChange.bind(this);
    this._documentMouseDownHandler = this._onDocumentMouseDown.bind(this);
  }
  _render() {
    super._render();
    if (!this.session.focusManager.restrictedFocusGain) {
      this.$container.document(true).addEventListener('mousedown', this._documentMouseDownHandler, true);
    }
  }
  _remove() {
    this.$container.document(true).removeEventListener('mousedown', this._documentMouseDownHandler, true);
    super._remove();
  }
  _renderTable() {
    super._renderTable();
    if (this.parent.displayStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldTile.DisplayStyle.DASHBOARD) {
      return;
    }
    if (this.table) {
      this.table.$container.on('blur', this._tableBlurHandler).on('focus', this._tableFocusHandler);
      this.table.menuBar.on('propertyChange', this._menuBarPropertyChangeHandler);
      this._toggleHasMenuBar();
      if (document.activeElement !== this.table.$container[0]) {
        this._hideMenuBar(true);
      }
    }
  }
  _removeTable() {
    if (this.parent.displayStyle !== _index__WEBPACK_IMPORTED_MODULE_0__.FormFieldTile.DisplayStyle.DASHBOARD) {
      return;
    }
    if (this.table) {
      this.table.$container.off('blur', this._tableBlurHandler).off('focus', this._tableFocusHandler);
      this.table.menuBar.off('propertyChange', this._menuBarPropertyChangeHandler);
    }
    super._removeTable();
  }
  _onTableBlur(event) {
    let popup = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.popup').data('widget');
    // hide menu bar if context menu popup is not attached to TileTableField
    if (!this.has(popup)) {
      this._hideMenuBar(true);
    }
  }
  _onTableFocus(event) {
    this._hideMenuBar(false);
  }
  _hideMenuBar(hiddenByUi) {
    this.table.menuBar.hiddenByUi = hiddenByUi;
    this.table.menuBar.updateVisibility();
  }
  _onMenuBarPropertyChange(event) {
    if (event.propertyName === 'visible') {
      this._toggleHasMenuBar();
    }
  }
  _toggleHasMenuBar() {
    if (!this.rendered && !this.rendering) {
      return;
    }
    // adjust menu bar on TileTableField with the additional class has-menubar.
    this.$container.toggleClass('has-menubar', this.table.menuBar.visible);
  }
  _onDocumentMouseDown(event) {
    let $popup = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.popup');
    let popup = $popup.data('widget');
    if (this.table && popup && this.table.has(popup) && $popup.has(event.target)) {
      // Ensure focus is not removed from table when clicking on a context-menu
      // Otherwise the menubar would get invisible while closing the context-menu (e.g. by clicking on header)
      // This is only necessary if restrictedFocusGain is false (e.g. on mobile).
      event.preventDefault();
    }
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectAllKeyStroke.ts":
/*!***********************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectAllKeyStroke.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectAllKeyStroke: () => (/* binding */ TileGridSelectAllKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectAllKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.ctrl = true;
    this.shift = false;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.A];
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let tile = this.getSelectionHandler().getVisibleTiles()[0];
      if (tile) {
        // Draw in first tile so that other keystroke hints (e.g. left, right etc.) don't overlap this one
        return tile.$container;
      }
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isMultiSelect()) {
      return false;
    }
    return true;
  }
  handle(event) {
    this.getSelectionHandler().toggleSelection();
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectDownKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectDownKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectDownKeyStroke: () => (/* binding */ TileGridSelectDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.repeatable = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.text = '↓';
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    let focusedTile = this.getSelectionHandler().computeFocusedTile();
    return this.getSelectionHandler().computeSelectionY(focusedTile ? focusedTile.gridData.h : 1, extend);
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectFirstKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectFirstKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectFirstKeyStroke: () => (/* binding */ TileGridSelectFirstKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectFirstKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME];
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    return this.getSelectionHandler().computeSelectionToFirst(extend);
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectKeyStroke.ts":
/*!********************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectKeyStroke.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectKeyStroke: () => (/* binding */ TileGridSelectKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tileGrid) {
    super();
    this.field = tileGrid;
    this.shift = !tileGrid.multiSelect ? false : undefined;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let result = this._computeNewSelection();
      if (result && result.focusedTile) {
        return result.focusedTile.$container;
      }
    };
    this.inheritAccessibility = false;
  }
  /**
   * Selection handler should be used for every interaction with the tileGrid.
   * This is necessary to provide the same selection behavior for the tile accordion which uses multiple tile grids
   */
  getSelectionHandler() {
    // Not stored as member variable by purpose because it will be exchanged later by the tile accordion
    return this.field.selectionHandler;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isSelectable()) {
      return false;
    }
    if (this.getSelectionHandler().getFilteredTileCount() === 0) {
      return false;
    }
    return true;
  }
  handle(event) {
    this.getSelectionHandler().executeSelection(this._computeNewSelection(event.shiftKey));
  }
  _computeNewSelection(extend) {
    // To be implemented by subclasses
    return null;
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectLastKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectLastKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectLastKeyStroke: () => (/* binding */ TileGridSelectLastKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectLastKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.END];
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    return this.getSelectionHandler().computeSelectionToLast(extend);
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectLeftKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectLeftKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectLeftKeyStroke: () => (/* binding */ TileGridSelectLeftKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectLeftKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.repeatable = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT];
    this.renderingHints.text = '←';
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    return this.getSelectionHandler().computeSelectionX(-1, extend);
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectRightKeyStroke.ts":
/*!*************************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectRightKeyStroke.ts ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectRightKeyStroke: () => (/* binding */ TileGridSelectRightKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectRightKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.repeatable = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
    this.renderingHints.text = '→';
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    let focusedTile = this.getSelectionHandler().computeFocusedTile();
    return this.getSelectionHandler().computeSelectionX(focusedTile ? focusedTile.gridData.w : 1, extend);
  }
}

/***/ }),

/***/ "./src/tile/keystrokes/TileGridSelectUpKeyStroke.ts":
/*!**********************************************************!*\
  !*** ./src/tile/keystrokes/TileGridSelectUpKeyStroke.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TileGridSelectUpKeyStroke: () => (/* binding */ TileGridSelectUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TileGridSelectUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.TileGridSelectKeyStroke {
  constructor(tileGrid) {
    super(tileGrid);
    this.stopPropagation = true;
    this.repeatable = true;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.text = '↑';
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.getSelectionHandler().isHorizontalGridActive()) {
      return false;
    }
    return true;
  }
  _computeNewSelection(extend) {
    return this.getSelectionHandler().computeSelectionY(-1, extend);
  }
}

/***/ }),

/***/ "./src/tile/tileUtil.ts":
/*!******************************!*\
  !*** ./src/tile/tileUtil.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tileUtil: () => (/* binding */ tileUtil)
/* harmony export */ });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! .. */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const tileUtil = {
  /**
   * Creates a matrix containing references to the given tiles at the points where these tiles are.
   * If the tiles span some columns or rows, the spanned cells reference the tiles as well.
   *
   * Example: If a tile has a `gridData` with `x = 2`, `y = 4`, `w = 2`, `h = 1` it will be at position `matrix[2][4]` and `matrix[3][4]`.
   *
   * It uses gridDataHints if x/y are set explicitly. Otherwise, gridData is used.
   * Tiles with no gridData set or whose gridData.x or y is < 0 are ignored.
   *
   * @returns a two-dimensional array where the first dimension is the x-axis and the second the y-axis.
   */
  buildMatrix(tiles) {
    let matrix = $.extend([], {
      x: Number.MAX_SAFE_INTEGER,
      y: Number.MAX_SAFE_INTEGER,
      width: 0,
      height: 0
    });
    for (let tile of tiles) {
      // If tiles use explicit x/y values work with hints because they are always set. GridData will only be set after layouting.
      let gridData = tile.gridDataHints;
      if (gridData.x < 0 || gridData.y < 0) {
        // Use gridData object instead if available
        gridData = tile.gridData;
        if (!gridData || gridData.x < 0 || gridData.y < 0) {
          continue;
        }
      }
      matrix.x = Math.min(matrix.x, gridData.x);
      matrix.y = Math.min(matrix.y, gridData.y);
      for (let x = gridData.x; x < gridData.x + gridData.w; x++) {
        if (!matrix[x]) {
          matrix[x] = [];
          matrix.width = Math.max(matrix.width, matrix.length - matrix.x);
        }
        for (let y = gridData.y; y < gridData.y + gridData.h; y++) {
          matrix[x][y] = tile;
          matrix.height = Math.max(matrix.height, matrix[x].length - matrix.y);
        }
      }
    }
    if (matrix.x === Number.MAX_SAFE_INTEGER) {
      matrix.x = 0;
    }
    if (matrix.y === Number.MAX_SAFE_INTEGER) {
      matrix.y = 0;
    }
    return matrix;
  },
  /**
   * Moves the tiles down that intersect with the resized tile to make space for the resized tile.
   * Existing tiles on the bottom will be pushed down as well if they are in the way.
   *
   * This only works for tiles with an explicit position which means it only works if gridDataHints.x and gridDataHints.y are greater than or equal to 0.
   * Tiles without an explicit position are ignored because they are arranged automatically by the logical grid.
   *
   * @param ignore If the function returns true the passed tile will be ignored and never be moved. This is typically used for placeholder tiles.
   */
  moveOtherTilesDown(tiles, resizedTile, newGridData, ignore) {
    let matrix = tileUtil.buildMatrix(tiles);
    let movedTiles = new Map();
    moveTilesDown();
    for (const [tile, gridData] of movedTiles.entries()) {
      tile.setGridDataHints(gridData);
    }
    function moveTilesDown() {
      /** The tiles will be moved to the bottom of these grid data positions */
      let bottomGridDataPerColumn = [];
      // Initially, only the resized tile is in the list
      // If a tile is moved, the list will be updated to make sure other tiles won't be moved to the same place
      updateBottomGridData(newGridData, bottomGridDataPerColumn);
      for (let y = newGridData.y; y < matrix.y + matrix.height; y++) {
        for (let x = matrix.x; x < matrix.x + matrix.width; x++) {
          if (!matrix[x]) {
            // No tiles in that column
            continue;
          }
          let tile = matrix[x][y];
          if (resizedTile === tile) {
            continue;
          }
          if (!tile || ignore && ignore(tile)) {
            // Ignored tiles (e.g. placeholders) must never be moved
            continue;
          }
          if (movedTiles.has(tile)) {
            // Tile has already been moved, skip it
            continue;
          }
          let gridData = new ___WEBPACK_IMPORTED_MODULE_0__.GridData(tile.gridDataHints);
          if (gridData.x < 0 || gridData.y < 0) {
            // Ignore tiles without explicit positions, they will be arranged automatically by the logical grid
            continue;
          }
          let bottomGridData = lowestGridData(bottomGridDataPerColumn.slice(x, x + gridData.w));
          if (!bottomGridData) {
            // If tile is not inside the affected columns, skip it
            continue;
          }
          if (gridData.y >= bottomGridData.y && !bottomGridData.toRectangle().intersects(gridData.toRectangle())) {
            // If the tile is below the resized or moved tile and does not overlap with it, skip it
            continue;
          }
          let newY = bottomGridData.y + bottomGridData.h;
          if (gridData.y >= newY) {
            // Do not move if tile is already at the correct position or below it (ensures tiles won't be moved up)
            continue;
          }
          // Move it below the resized or moved tile
          gridData.y = newY;
          movedTiles.set(tile, gridData);
          updateBottomGridData(gridData, bottomGridDataPerColumn);
        }
      }
    }
    /**
     * Replaces the grid data in the given bottomGridDataPerColumn at the columns the new grid data spans
     * if the new grid data is further down than the existing grid data in the spanned columns.
     */
    function updateBottomGridData(gridData, bottomGridDataPerColumn) {
      for (let x = gridData.x; x < gridData.x + gridData.w; x++) {
        if (!bottomGridDataPerColumn[x] || gridData.y + gridData.h > bottomGridDataPerColumn[x].y + bottomGridDataPerColumn[x].h) {
          bottomGridDataPerColumn[x] = gridData;
        }
      }
    }
    /**
     * @returns the grid data with the largest y-value of the given gridDatas
     */
    function lowestGridData(gridDatas) {
      return gridDatas.reduce((prev, curr) => {
        if ((curr === null || curr === void 0 ? void 0 : curr.y) > (prev === null || prev === void 0 ? void 0 : prev.y)) {
          return curr;
        }
        return prev;
      }, gridDatas[0]);
    }
  }
};

/***/ }),

/***/ "./src/timepicker/TimePicker.ts":
/*!**************************************!*\
  !*** ./src/timepicker/TimePicker.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TimePicker: () => (/* binding */ TimePicker)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TimePicker extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "preselectedTime", void 0);
    _defineProperty(this, "selectedTime", void 0);
    _defineProperty(this, "viewDate", void 0);
    _defineProperty(this, "resolution", void 0);
    this.preselectedTime = null;
    this.selectedTime = null;
    this.resolution = null;
  }
  _init(options) {
    super._init(options);
    this.resolution = options.timeResolution;
  }
  _render() {
    this.$container = this.$parent.appendDiv('time-picker').toggleClass('touch-only', _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch());
    this.$parent.appendDiv('time-picker-separator');
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this._renderTimeSelection();
    this._installScrollbars();
  }
  _renderTimeSelection() {
    let i,
      date = _index__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(new Date()),
      now = _index__WEBPACK_IMPORTED_MODULE_0__.dates.ceil(new Date(), this.resolution),
      currentHours = 0,
      $hourRow,
      $time;
    let $box = this.$parent.makeDiv('day-table');
    for (i = 0; i < 24; i++) {
      // reset minutes always every hour line starts with 00
      date.setMinutes(0);
      currentHours = date.getHours();
      $hourRow = $box.appendDiv('hour-row');
      let $hour = $hourRow.appendDiv('cell  hours').data('time', new Date(date)).on('click', this._onTimeClick.bind(this));
      if (now.getHours() === date.getHours()) {
        $hour.addClass('now');
      }
      $hour.appendSpan('text').text(_index__WEBPACK_IMPORTED_MODULE_0__.dates.format(date, this.session.locale, 'HH'));
      while (currentHours === date.getHours()) {
        $time = $hourRow.appendDiv('cell minutes').data('time', new Date(date)).on('click', this._onTimeClick.bind(this));
        $time.appendSpan('text').text(_index__WEBPACK_IMPORTED_MODULE_0__.dates.format(date, this.session.locale, 'mm'));
        if (_index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameTime(now, date)) {
          $time.addClass('now');
        }
        date.setMinutes(date.getMinutes() + this.resolution);
      }
    }
    $box.appendTo(this.$container);
    return $box;
  }
  _installScrollbars(options) {
    this._uninstallScrollbars();
    super._installScrollbars({
      axis: 'y'
    });
  }
  _scrollTo($scrollTo) {
    if (!$scrollTo) {
      return;
    }
    if (this.parent instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TimePickerTouchPopup) {
      // setTimeout seems to be necessary on ios
      setTimeout(() => {
        if (this.rendered) {
          _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.$container, $scrollTo, 'center');
        }
      });
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.$container, $scrollTo, 'center');
    }
  }
  preselectTime(time) {
    if (time) {
      // Clear selection when a date is preselected
      this.setSelectedTime(null);
    }
    this.setPreselectedTime(time);
  }
  /**
   * @internal, use {@link preselectDate} to preselect a date
   */
  setPreselectedTime(preselectedTime) {
    this.setProperty('preselectedTime', preselectedTime);
  }
  _renderPreselectedTime() {
    let $scrollTo;
    this.$container.find('.cell').each((i, elem) => {
      let $time = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
        time = $time.data('time');
      $time.removeClass('preselected');
      if (this.preselectedTime) {
        if ($time.hasClass('hours') && this.preselectedTime.getHours() === time.getHours()) {
          $time.addClass('preselected');
          $scrollTo = $time;
        } else if ($time.hasClass('minutes') && _index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameTime(this.preselectedTime, time)) {
          $time.addClass('preselected');
          $scrollTo = $time;
        }
      }
    });
    this._scrollTo($scrollTo);
  }
  selectTime(time) {
    if (time) {
      // Clear selection when a date is preselected
      this.setPreselectedTime(null);
    }
    this.setSelectedTime(time);
  }
  /**
   * @internal, use selectDate to select a date
   */
  setSelectedTime(selectedTime) {
    this.setProperty('selectedTime', selectedTime);
  }
  _renderSelectedTime() {
    let $scrollTo;
    this.$container.find('.cell').each((i, elem) => {
      let $time = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
        time = $time.data('time');
      $time.removeClass('selected');
      if (this.selectedTime) {
        if ($time.hasClass('hours') && this.selectedTime.getHours() === time.getHours()) {
          $time.addClass('selected');
          $scrollTo = $time;
        } else if ($time.hasClass('minutes') && _index__WEBPACK_IMPORTED_MODULE_0__.dates.isSameTime(this.selectedTime, time)) {
          $time.addClass('selected');
          $scrollTo = $time;
        }
      }
    });
    this._scrollTo($scrollTo);
  }
  shiftSelectedTime(hourUnits, minuteUnits, secondUnits) {
    let time = this.preselectedTime;
    if (this.selectedTime) {
      time = _index__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(this.selectedTime, hourUnits, minuteUnits * this.resolution, secondUnits);
    }
    if (!time) {
      return; // do nothing when no date was found
    }
    this.selectTime(this._snapToTimeGrid(time));
  }
  _snapToTimeGrid(time) {
    if (!time) {
      return time;
    }
    let min = time.getMinutes();
    min = parseInt(min / this.resolution + '') * this.resolution;
    time.setMinutes(min);
    return time;
  }
  _onTimeClick(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let time = new Date($target.data('time'));
    this.selectTime(time);
    this.trigger('timeSelect', {
      time: time
    });
  }
}

/***/ }),

/***/ "./src/timepicker/TimePickerEventMap.ts":
/*!**********************************************!*\
  !*** ./src/timepicker/TimePickerEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/timepicker/TimePickerModel.ts":
/*!*******************************************!*\
  !*** ./src/timepicker/TimePickerModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/timepicker/TimePickerPopup.ts":
/*!*******************************************!*\
  !*** ./src/timepicker/TimePickerPopup.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TimePickerPopup: () => (/* binding */ TimePickerPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TimePickerPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.Popup {
  constructor() {
    super();
    _defineProperty(this, "picker", void 0);
    _defineProperty(this, "field", void 0);
    this.windowPaddingX = 0;
    this.windowPaddingY = 0;
    this.picker = null;
  }
  _init(options) {
    options.scrollType = options.scrollType || 'layoutAndPosition';
    options.withFocusContext = false;
    super._init(options);
    this.picker = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TimePicker, {
      parent: this,
      timeResolution: options.timeResolution
    });
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.TimePickerPopupLayout(this);
  }
  _render() {
    this.$container = this.$parent.appendDiv('popup time-picker-popup');
    this.$container.toggleClass('alternative', this.field.fieldStyle === _index__WEBPACK_IMPORTED_MODULE_0__.FormField.FieldStyle.ALTERNATIVE);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(this._createLayout());
    this.htmlComp.validateRoot = true;
    this.findDesktop().adjustOverlayOrder(this);
    this.picker.render();
  }
  getTimePicker() {
    return this.picker;
  }
  /**
   * override because the icon is not in the $anchor container.
   */
  _isMouseDownOnAnchor(event) {
    let target = event.target;
    return this.field.$timeField.isOrHas(target) || this.field.$timeFieldIcon.isOrHas(target) || this.field.$timeClearIcon && this.field.$timeClearIcon.isOrHas(target);
  }
}

/***/ }),

/***/ "./src/timepicker/TimePickerPopupLayout.ts":
/*!*************************************************!*\
  !*** ./src/timepicker/TimePickerPopupLayout.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TimePickerPopupLayout: () => (/* binding */ TimePickerPopupLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TimePickerPopupLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.PopupLayout {
  constructor(popup) {
    super(popup);
    this.doubleCalcPrefSize = false;
  }
  layout($container) {
    let size,
      htmlComp = this.popup.htmlComp,
      htmlPicker = this.popup.picker.htmlComp;
    super.layout($container);
    size = htmlComp.size().subtract(htmlComp.insets()).subtract(htmlPicker.margins());
    htmlPicker.setSize(size);
    // Reposition because opening direction may have to be switched if popup gets bigger
    // Don't do it the first time (will be done by popup.open), only if the popup is already open and gets layouted again
    if (this.popup.htmlComp.layouted) {
      this.popup.position();
    }
  }
  preferredLayoutSize($container, options) {
    let prefSize,
      htmlComp = this.popup.htmlComp,
      htmlPicker = this.popup.picker.htmlComp;
    prefSize = htmlPicker.prefSize().add(htmlComp.insets()).add(htmlPicker.margins());
    return prefSize;
  }
}

/***/ }),

/***/ "./src/timepicker/TimePickerPopupModel.ts":
/*!************************************************!*\
  !*** ./src/timepicker/TimePickerPopupModel.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/timepicker/TimePickerTouchPopup.ts":
/*!************************************************!*\
  !*** ./src/timepicker/TimePickerTouchPopup.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TimePickerTouchPopup: () => (/* binding */ TimePickerTouchPopup)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TimePickerTouchPopup extends _index__WEBPACK_IMPORTED_MODULE_0__.TouchPopup {
  _init(options) {
    super._init(options);
    this._field.on('acceptInput', this._onFieldAcceptInput.bind(this));
    this.addCssClass('time-picker-touch-popup');
  }
  _initWidget(options) {
    this._widget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.TimePicker, {
      parent: this,
      timeResolution: options.timeResolution
    });
  }
  _render() {
    super._render();
    this._field.$container.addClass('time');
  }
  getTimePicker() {
    return this._widget;
  }
  _onFieldAcceptInput(event) {
    // Delegate to original field
    this._touchField.setDisplayText(event.displayText);
    this._touchField.setErrorStatus(event.errorStatus);
    let hasParsingFailedError = event.errorStatus ? event.errorStatus.containsStatus(_index__WEBPACK_IMPORTED_MODULE_0__.ParsingFailedStatus) : false;
    if (!hasParsingFailedError) {
      this._touchField.setValue(event.value);
    }
    this._touchField._triggerAcceptInput(event.whileTyping);
  }
  _acceptInput() {
    this._field.acceptTime();
    this.close();
  }
}

/***/ }),

/***/ "./src/timepicker/TimePickerTouchPopupModel.ts":
/*!*****************************************************!*\
  !*** ./src/timepicker/TimePickerTouchPopupModel.ts ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tooltip/Tooltip.ts":
/*!********************************!*\
  !*** ./src/tooltip/Tooltip.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tooltip: () => (/* binding */ Tooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Tooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "severity", void 0);
    _defineProperty(this, "arrowPosition", void 0);
    _defineProperty(this, "arrowPositionUnit", void 0);
    _defineProperty(this, "clipOrigin", void 0);
    _defineProperty(this, "windowPaddingX", void 0);
    _defineProperty(this, "windowPaddingY", void 0);
    _defineProperty(this, "origin", void 0);
    _defineProperty(this, "originRelativeToParent", void 0);
    _defineProperty(this, "originProducer", void 0);
    _defineProperty(this, "offsetProducer", void 0);
    _defineProperty(this, "autoRemove", void 0);
    _defineProperty(this, "tooltipPosition", void 0);
    _defineProperty(this, "tooltipDirection", void 0);
    _defineProperty(this, "scrollType", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "$anchor", void 0);
    _defineProperty(this, "$arrow", void 0);
    _defineProperty(this, "$content", void 0);
    _defineProperty(this, "$menus", void 0);
    _defineProperty(this, "_popup", void 0);
    _defineProperty(this, "_openLater", void 0);
    _defineProperty(this, "_mouseDownHandler", void 0);
    _defineProperty(this, "_keydownHandler", void 0);
    _defineProperty(this, "_anchorScrollHandler", void 0);
    _defineProperty(this, "_moveHandler", void 0);
    this.text = null;
    this.severity = _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO;
    this.arrowPosition = 16;
    this.arrowPositionUnit = 'px';
    this.clipOrigin = false;
    this.windowPaddingX = 10;
    this.windowPaddingY = 5;
    this.origin = null;
    this.originRelativeToParent = false;
    this.originProducer = null;
    this.offsetProducer = null;
    this.autoRemove = true;
    this.tooltipPosition = 'top';
    this.tooltipDirection = 'right';
    this.scrollType = 'position';
    this.htmlEnabled = false;
    this.menus = [];
    this.$anchor = null;
    this.$arrow = null;
    this.$content = null;
    this._addWidgetProperties(['menus']);
    this._popup = null;
    this._openLater = false;
  }
  _init(model) {
    super._init(model);
    this.resolveTextKeys(['text']);
  }
  render($parent) {
    // Use entry point by default
    let $tooltipParent = $parent || this.entryPoint();
    // when the parent is detached it is not possible to render the popup -> do it later
    if (!$tooltipParent || !$tooltipParent.length || !$tooltipParent.isAttached()) {
      this._openLater = true;
      this.$parent = $tooltipParent;
      return;
    }
    super.render($tooltipParent);
  }
  _render() {
    var _this$findDesktopIf$P;
    this.$container = this.$parent.appendDiv('tooltip').data('tooltip', this);
    if (this.cssClass) {
      this.$container.addClass(this.cssClass);
    }
    this.$arrow = this.$container.appendDiv('tooltip-arrow');
    this.$content = this.$container.appendDiv('tooltip-content');
    this._renderText();
    this._renderSeverity();
    this._renderMenus();
    if (this.autoRemove) {
      // Every user action will remove the tooltip
      this._mouseDownHandler = this._onDocumentMouseDown.bind(this);
      // The listener needs to be executed in the capturing phase -> Allows for having context menus inside the tooltip, otherwise click on context menu header would close the tooltip
      this.$container.document(true).addEventListener('mousedown', this._mouseDownHandler, true); // true=the event handler is executed in the capturing phase
      this._keydownHandler = this._onDocumentKeyDown.bind(this);
      this.$container.document().on('keydown', this._keydownHandler);
    }
    if (this.$anchor && this.scrollType) {
      this._anchorScrollHandler = this._onAnchorScroll.bind(this);
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.onScroll(this.$anchor, this._anchorScrollHandler);
    }
    // If the tooltip is rendered inside a popup (dialog form or popup), get a reference to the popup.
    this._popup = this.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.WidgetPopup);
    if (!this._popup) {
      this._popup = this.findParent(p => p instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Form && p.isDialog());
    }
    // If inside a popup, attach a listener to reposition the tooltip when the popup is moved
    if (this._popup) {
      this._moveHandler = this.position.bind(this);
      this._popup.on('move', this._moveHandler);
    }
    (_this$findDesktopIf$P = this.findDesktopIf$Parent()) === null || _this$findDesktopIf$P === void 0 || _this$findDesktopIf$P.tooltipRendered(this);
  }
  _postRender() {
    super._postRender();
    this.position();
  }
  _remove() {
    var _this$findDesktopIf$P2;
    if (this._mouseDownHandler) {
      this.$container.document(true).removeEventListener('mousedown', this._mouseDownHandler, true);
      this._mouseDownHandler = null;
    }
    if (this._keydownHandler) {
      this.$container.document().off('keydown', this._keydownHandler);
      this._keydownHandler = null;
    }
    if (this._anchorScrollHandler) {
      _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.offScroll(this._anchorScrollHandler);
      this._anchorScrollHandler = null;
    }
    if (this._moveHandler) {
      if (this._popup) {
        this._popup.off('move', this._moveHandler);
      }
      this._moveHandler = null;
    }
    this._popup = null;
    this.$menus = null;
    super._remove();
    (_this$findDesktopIf$P2 = this.findDesktopIf$Parent()) === null || _this$findDesktopIf$P2 === void 0 || _this$findDesktopIf$P2.tooltipRemoved(this);
  }
  /**
   * Finds the desktop (see {@link Widget.findDesktop}) and checks whether the `$container` of this desktop is `this.$parent`.
   */
  findDesktopIf$Parent() {
    if (!this.$parent) {
      return null;
    }
    const desktop = super.findDesktop();
    if ((desktop === null || desktop === void 0 ? void 0 : desktop.$container[0]) === this.$parent[0]) {
      return desktop;
    }
    return null;
  }
  _destroy() {
    super._destroy();
    this.menus.forEach(menu => {
      // ContextMenu will only be removed not closed if it has a different owner.
      // Unfortunately it cannot be re-rendered again so the menu will look selected the next time the tooltip is opened -> ensure popup will be closed
      if (menu.popup) {
        menu.popup.close();
      }
    });
  }
  _onAttach() {
    super._onAttach();
    if (this._openLater && !this.rendered) {
      this._openLater = false;
      this.render();
    }
  }
  _renderOnDetach() {
    this._openLater = true;
    this.remove();
    super._onDetach();
  }
  _isRemovalPrevented() {
    // If removal of a parent is pending due to an animation then don't return true to make sure tooltips are closed before the parent animation starts.
    // However, if the tooltip itself is removed by an animation, removal should be prevented to ensure remove() won't run multiple times.
    return this.removalPending;
  }
  setText(text) {
    this.setProperty('text', text);
  }
  _renderText() {
    let text = this.text || '';
    if (this.htmlEnabled) {
      this.$content.html(text);
    } else {
      // use nl2br to allow tooltips with line breaks
      this.$content.html(_index__WEBPACK_IMPORTED_MODULE_0__.strings.nl2br(text));
    }
    this.$content.setVisible(!!text);
    this.$container.toggleClass('no-text', !text);
    if (!this.rendering) {
      this.position();
    }
  }
  setHtmlEnabled(htmlEnabled) {
    this.setProperty('htmlEnabled', htmlEnabled);
  }
  _renderHtmlEnabled() {
    this._renderText();
  }
  setSeverity(severity) {
    this.setProperty('severity', severity);
  }
  _renderSeverity() {
    this.$container.removeClass(_index__WEBPACK_IMPORTED_MODULE_0__.Status.SEVERITY_CSS_CLASSES);
    this.$container.addClass(_index__WEBPACK_IMPORTED_MODULE_0__.Status.cssClassForSeverity(this.severity));
  }
  setMenus(menus) {
    menus = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(menus);
    this.setProperty('menus', menus);
  }
  _renderMenus() {
    let maxIconWidth = 0,
      menus = this.menus;
    if (menus.length > 0 && !this.$menus) {
      this.$menus = this.$container.appendDiv('tooltip-menus');
    } else if (menus.length === 0 && this.$menus) {
      this.$menus.remove();
      this.$menus = null;
    }
    // Render menus
    menus.forEach(menu => {
      let iconWidth = 0;
      menu.render(this.$menus);
      if (menu.iconId) {
        iconWidth = menu.get$Icon().outerWidth(true);
        maxIconWidth = Math.max(iconWidth, maxIconWidth);
      }
    });
    // Align menus if there is one with an icon
    if (maxIconWidth > 0) {
      menus.forEach(menu => {
        if (!menu.iconId) {
          menu.$text.cssPaddingLeft(maxIconWidth);
        } else {
          menu.$text.cssPaddingLeft(maxIconWidth - menu.get$Icon().outerWidth(true));
        }
      });
    }
    this.$container.toggleClass('has-menus', menus.length > 0);
    if (!this.rendering) {
      // New text might be shorter or longer -> recompute position.
      // Resetting the current position first ensures that the position is computed the
      // same as if the tooltip was opened initially with the new text, even when the tooltip
      // is at the right of the screen. Otherwise, text wrapping might occur.
      this.$container.cssLeft('').cssTop('');
      this.position();
    }
  }
  set$Anchor($anchor) {
    var _this$$anchor;
    if (($anchor === null || $anchor === void 0 ? void 0 : $anchor[0]) === ((_this$$anchor = this.$anchor) === null || _this$$anchor === void 0 ? void 0 : _this$$anchor[0])) {
      // compare DOM elements
      return;
    }
    this.setProperty('$anchor', $anchor);
  }
  _render$anchor() {
    this.position();
  }
  position() {
    var _this$$anchor2;
    let $scrollParents = (_this$$anchor2 = this.$anchor) === null || _this$$anchor2 === void 0 ? void 0 : _this$$anchor2.scrollParents(true);
    let origin = this._getOrigin();
    if ($scrollParents && this.clipOrigin) {
      // Remove the parts from the origin that are not in the viewport
      origin = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.intersectViewport(origin, $scrollParents);
    }
    let offset = this._getOffset(origin);
    let tooltipPosition = origin.point().add(offset);
    if ($scrollParents) {
      // Sticky tooltip must only be visible if the location where the tooltip points is in view (prevents that the tooltip points at an invisible anchor)
      let inView = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.isLocationInView(tooltipPosition, $scrollParents);
      this.$container.setVisible(inView);
    }
    // this.$parent might not be at (0,0) of the document
    if (!this.originRelativeToParent) {
      let parentOffset = this.$parent.offset();
      tooltipPosition.x -= parentOffset.left;
      tooltipPosition.y -= parentOffset.top;
    }
    let arrowSizeX = 7;
    let arrowSizeY = 4;
    let tooltipHeight = this.$container.outerHeight();
    let tooltipWidth = this.$container.outerWidth();
    // Compute actual arrow position if position is provided in percentage
    let arrowPosition = this.arrowPosition;
    if (this.arrowPositionUnit === '%') {
      arrowPosition = tooltipWidth * this.arrowPosition / 100;
    }
    if (this.tooltipDirection === 'left') {
      arrowPosition = tooltipWidth - arrowPosition;
    }
    let top = tooltipPosition.y - tooltipHeight - arrowSizeY;
    let left = tooltipPosition.x - arrowPosition;
    let overlapX = left + tooltipWidth + this.windowPaddingX - this.$parent.width();
    let overlapY = top - this.windowPaddingY;
    // Move tooltip to the left until it gets fully visible
    if (overlapX > 0) {
      left -= overlapX;
      arrowPosition = tooltipPosition.x - left;
    }
    // Move tooltip to the right if it overlaps the left edge
    if (left < this.windowPaddingX) {
      left = this.windowPaddingX;
      arrowPosition = tooltipPosition.x - this.windowPaddingX;
    }
    // Move tooltip to the bottom, arrow on top
    this.$arrow.removeClass('arrow-top arrow-bottom');
    if (this.tooltipPosition === 'bottom' || overlapY < 0) {
      this.$arrow.addClass('arrow-top');
      top = tooltipPosition.y + origin.height + arrowSizeY;
    } else {
      this.$arrow.addClass('arrow-bottom');
    }
    // Make sure arrow is never positioned outside the tooltip
    arrowPosition = Math.min(arrowPosition, this.$container.outerWidth() - arrowSizeX);
    arrowPosition = Math.max(arrowPosition, arrowSizeX);
    this.$arrow.cssLeft(arrowPosition - this.$arrow.cssBorderLeftWidth());
    this.$container.cssLeft(left).cssTop(top);
    // If there are menu popups make sure they are positioned correctly
    this.menus.forEach(menu => {
      if (menu.popup) {
        menu.popup.position();
      }
    });
  }
  _getOrigin() {
    if (this.originProducer) {
      const origin = this.originProducer(this.$anchor);
      if (origin) {
        return origin;
      }
    }
    if (this.origin) {
      return this.origin;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this.$anchor);
  }
  _getOffset(origin) {
    if (this.offsetProducer) {
      const offset = this.offsetProducer(origin);
      if (offset) {
        return offset;
      }
    }
    if (this.origin) {
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(0, 0);
    }
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Point(origin.width / 2, 0);
  }
  _onAnchorScroll(event) {
    if (!this.rendered) {
      // Scroll events may be fired delayed, even if scroll listener are already removed.
      return;
    }
    if (this.scrollType === 'position') {
      this.position();
    } else if (this.scrollType === 'remove') {
      this.destroy();
    }
  }
  _onDocumentMouseDown(event) {
    if (!this.rendered) {
      return false;
    }
    if (this._isMouseDownOutside(event)) {
      this._onMouseDownOutside(event);
    }
  }
  _isMouseDownOutside(event) {
    let target = event.target;
    let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(target),
      targetWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget($target);
    // Only remove the tooltip if the click is outside the container or the $anchor (= status icon)
    // Also ignore clicks if the tooltip is covert by a glasspane
    return !this.isOrHas(targetWidget) && this.$anchor && !this.$anchor.isOrHas($target[0]) && !this.session.focusManager.isElementCovertByGlassPane(this.$container[0]);
  }
  /**
   * Method invoked once a mouse down event occurs outside the tooltip.
   */
  _onMouseDownOutside(event) {
    this.destroy();
  }
  _onDocumentKeyDown(event) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, _index__WEBPACK_IMPORTED_MODULE_0__.keys.CTRL, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SHIFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ALT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.NUM_LOCK, _index__WEBPACK_IMPORTED_MODULE_0__.keys.CAPS_LOCK, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SCROLL_LOCK, _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.WIN_RIGHT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SELECT, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PAUSE, _index__WEBPACK_IMPORTED_MODULE_0__.keys.PRINT_SCREEN)) {
      return;
    }
    this.destroy();
  }
}

/***/ }),

/***/ "./src/tooltip/TooltipEventMap.ts":
/*!****************************************!*\
  !*** ./src/tooltip/TooltipEventMap.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tooltip/TooltipModel.ts":
/*!*************************************!*\
  !*** ./src/tooltip/TooltipModel.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tooltip/TooltipSupport.ts":
/*!***************************************!*\
  !*** ./src/tooltip/TooltipSupport.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TooltipSupport: () => (/* binding */ TooltipSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TooltipSupport {
  constructor(options) {
    _defineProperty(this, "_options", void 0);
    _defineProperty(this, "_mouseEnterHandler", void 0);
    _defineProperty(this, "_mouseLeaveHandler", void 0);
    _defineProperty(this, "_tooltip", void 0);
    _defineProperty(this, "_tooltipTimeoutId", void 0);
    let defaultOptions = {
      selector: null,
      delay: _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.DEFAULT_TOOLTIP_DELAY,
      text: undefined,
      nativeTooltip: false
    };
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultOptions, options);
    this._options = options;
    this._mouseEnterHandler = this._onMouseEnter.bind(this);
    this._mouseLeaveHandler = this._onMouseLeave.bind(this);
    this._tooltip = null;
    this._tooltipTimeoutId = null;
  }
  install($comp) {
    // prevent multiple installation of tooltip support
    if (!$comp.data('tooltipSupport')) {
      $comp.on('mouseenter', this._options.selector, this._mouseEnterHandler).on('mouseleave', this._options.selector, this._mouseLeaveHandler).data('tooltipSupport', this);
    }
  }
  uninstall($comp) {
    $comp.removeData('tooltipSupport').off('mouseleave', this._options.selector, this._mouseLeaveHandler).off('mouseenter', this._options.selector, this._mouseEnterHandler);
    this._destroyTooltip();
  }
  update($comp, options) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this._options, options);
    if (this._tooltip) {
      this._showTooltip($comp);
    }
  }
  cancel($comp) {
    clearTimeout(this._tooltipTimeoutId);
  }
  close() {
    this._destroyTooltip();
  }
  get tooltip() {
    return this._tooltip;
  }
  _onMouseEnter(event) {
    let $comp = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    if (this._options.nativeTooltip) {
      let text = this._text($comp);
      $comp.attr('title', text);
    } else {
      clearTimeout(this._tooltipTimeoutId);
      this._tooltipTimeoutId = setTimeout(this._showTooltip.bind(this, $comp), this._options.delay);
    }
  }
  _onMouseLeave(event) {
    this._destroyTooltip();
  }
  _destroyTooltip() {
    clearTimeout(this._tooltipTimeoutId);
    if (this._tooltip) {
      this._tooltip.destroy();
      this._tooltip = null;
    }
  }
  _text($comp) {
    let text = this._options.text || $comp.data('tooltipText');
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().isFunction(text)) {
      text = text($comp);
    }
    return text;
  }
  _htmlEnabled($comp) {
    let htmlEnabled = this._options.htmlEnabled || $comp.data('htmlEnabled');
    if (jquery__WEBPACK_IMPORTED_MODULE_1___default().isFunction(htmlEnabled)) {
      htmlEnabled = htmlEnabled($comp);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(htmlEnabled, false);
  }
  _showTooltip($comp) {
    if (!$comp || !$comp.isAttached()) {
      return; // removed in the meantime (this method is called using setTimeout)
    }
    let text = this._text($comp);
    if (!text) {
      // treat undefined and no text as no tooltip
      this._destroyTooltip();
      return;
    }
    let $anchor = this._options.$anchor || $comp;
    let htmlEnabled = this._htmlEnabled($comp);
    if (this._tooltip && this._tooltip.rendered) {
      // update existing tooltip
      this._tooltip.set$Anchor($anchor);
      this._tooltip.setHtmlEnabled(htmlEnabled);
      this._tooltip.setText(text);
      this._tooltip.setSeverity(this._options.severity);
      this._tooltip.setMenus(this._options.menus);
    } else {
      // create new tooltip
      let options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, this._options, {
        $anchor: $anchor,
        text: text,
        htmlEnabled: htmlEnabled
      });
      this._tooltip = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.Tooltip, options);
      this._tooltip.render();
    }
  }
}

/***/ }),

/***/ "./src/tooltip/WidgetTooltip.ts":
/*!**************************************!*\
  !*** ./src/tooltip/WidgetTooltip.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetTooltip: () => (/* binding */ WidgetTooltip)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetTooltip extends _index__WEBPACK_IMPORTED_MODULE_0__.Tooltip {
  constructor() {
    super();
    _defineProperty(this, "keyStrokeStopPropagationInterceptor", void 0);
    _defineProperty(this, "withFocusContext", void 0);
    _defineProperty(this, "initialFocus", void 0);
    _defineProperty(this, "focusableContainer", void 0);
    _defineProperty(this, "content", void 0);
    _defineProperty(this, "$widgetContainer", void 0);
    this.$widgetContainer = null;
    this.content = null;
    this._addWidgetProperties(['content']);
    this.keyStrokeStopPropagationInterceptor = event => {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(event.which, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ENTER)) {
        return;
      }
      event.stopPropagation();
    };
    this.withFocusContext = true;
    this.initialFocus = () => _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO;
    this.focusableContainer = false;
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    if (this.keyStrokeStopPropagationInterceptor) {
      this.keyStrokeContext.registerStopPropagationInterceptor(this.keyStrokeStopPropagationInterceptor);
    }
  }
  _render() {
    super._render();
    this.$container.addClass('widget-tooltip');
    this.$widgetContainer = this.$container.appendDiv('tooltip-widget-container');
  }
  _renderProperties() {
    super._renderProperties();
    this._renderContent();
  }
  _remove() {
    this._removeContent();
    super._remove();
  }
  setContent(content) {
    this.setProperty('content', content);
  }
  _renderContent() {
    if (this.content) {
      this.content.render(this.$widgetContainer);
      this.content.$container.addClass('widget');
      this.content.pack();
    }
    this.$widgetContainer.setVisible(!!this.content);
    if (!this.rendering) {
      this.position();
    }
    // Focus the widget
    // It is important that this happens after layouting and positioning, otherwise we'd focus an element
    // that is currently not on the screen. Which would cause the whole desktop to
    // be shifted for a few pixels.
    if (this.withFocusContext && this.content) {
      this.session.focusManager.installFocusContext(this.$widgetContainer, this.initialFocus());
    }
  }
  _removeContent() {
    if (this.content) {
      this.session.focusManager.uninstallFocusContext(this.$widgetContainer);
      this.content.remove();
    }
  }
}

/***/ }),

/***/ "./src/tooltip/WidgetTooltipEventMap.ts":
/*!**********************************************!*\
  !*** ./src/tooltip/WidgetTooltipEventMap.ts ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tooltip/WidgetTooltipModel.ts":
/*!*******************************************!*\
  !*** ./src/tooltip/WidgetTooltipModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tooltip/tooltips.ts":
/*!*********************************!*\
  !*** ./src/tooltip/tooltips.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tooltips: () => (/* binding */ tooltips)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const tooltips = {
  /**
   * milliseconds
   */
  DEFAULT_TOOLTIP_DELAY: 600,
  /**
   * Quite long tooltip delay for cases where the normal delay would be annoying.
   * Value in milliseconds
   */
  LONG_TOOLTIP_DELAY: 1000,
  install($comp, options) {
    let support = $comp.data('tooltipSupport');
    if (!support) {
      support = new _index__WEBPACK_IMPORTED_MODULE_0__.TooltipSupport(options);
      support.install($comp);
    } else {
      support.update($comp, options);
    }
  },
  uninstall($comp) {
    let support = $comp.data('tooltipSupport');
    if (support) {
      support.uninstall($comp);
    }
  },
  /**
   * If the tooltip is currently showing, its contents are updated immediately.
   * Otherwise, nothing happens.
   */
  update($comp, options) {
    let support = $comp.data('tooltipSupport');
    if (support) {
      support.update($comp, options);
    }
  },
  close($comp) {
    let support = $comp.data('tooltipSupport');
    if (support) {
      support.close();
    }
  },
  /**
   * Cancels the scheduled task to show the tooltip.
   */
  cancel($comp) {
    let support = $comp.data('tooltipSupport');
    if (support) {
      support.cancel($comp);
    }
  },
  /**
   * Convenient function to install tooltip support for ellipsis only.
   */
  installForEllipsis($comp, options) {
    let defaultOptions = {
      text: $label => {
        if ($label.isContentTruncated()) {
          return $label.text();
        }
      },
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible()
    };
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultOptions, options);
    tooltips.install($comp, options);
  },
  /**
   * Finds every tooltip whose $anchor belongs to $context.
   */
  find($context) {
    let $tooltips,
      i,
      tooltip,
      tooltipArr = [];
    $tooltips = jquery__WEBPACK_IMPORTED_MODULE_1___default()('.tooltip', $context.document(true));
    for (i = 0; i < $tooltips.length; i++) {
      tooltip = $tooltips.eq(i).data('tooltip');
      if ($context.has(tooltip.$anchor).length > 0) {
        tooltipArr.push(tooltip);
      }
    }
    return tooltipArr;
  }
};

/***/ }),

/***/ "./src/tree/CompactTree.ts":
/*!*********************************!*\
  !*** ./src/tree/CompactTree.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTree: () => (/* binding */ CompactTree)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTree extends _index__WEBPACK_IMPORTED_MODULE_0__.Tree {
  constructor() {
    super();
    _defineProperty(this, "$nodesContainer", void 0);
    this._scrollDirections = 'y';
  }
  _initTreeKeyStrokeContext() {
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.CompactTreeUpKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.CompactTreeDownKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.CompactTreeLeftKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.CompactTreeRightKeyStroke(this)]);
  }
  _createTreeNode(nodeModel) {
    nodeModel = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(nodeModel, {});
    nodeModel.parent = this;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.CompactTreeNode, nodeModel);
  }
  _render() {
    this.$container = this.$parent.appendDiv('compact-tree');
    let layout = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeLayout(this);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(layout);
    this.$data = this.$container.appendDiv('tree-data');
    this._installScrollbars({
      borderless: true
    });
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.MenuItemsOrder(this.session, 'Tree', this.defaultMenuTypes)
    });
    this.menuBar.render();
    this.$nodesContainer = this.$data.appendDiv('nodes');
    this._updateNodeDimensions();
    this._renderViewport();
    this.invalidateLayoutTree();
  }
  _calculateCurrentViewRange() {
    this.viewRangeSize = this.visibleNodesFlat.length;
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, Math.max(this.visibleNodesFlat.length, 0));
  }
  calculateViewRangeSize() {
    return this.visibleNodesFlat.length;
  }
  _insertNodeInDOMAtPlace(node, index) {
    let visibleNodeBefore = this.visibleNodesFlat[index - 1];
    let n;
    if (!visibleNodeBefore) {
      node.$node.prependTo(this.$nodesContainer);
    } else if (visibleNodeBefore.level < node.level) {
      // insert after first child node (title from the level above)
      node.$node.insertAfter(visibleNodeBefore.$node.children()[0]);
    } else {
      n = visibleNodeBefore.$node;
      for (let i = 0; i < visibleNodeBefore.level - node.level; i++) {
        n = n.parent();
      }
      node.$node.insertAfter(n);
    }
  }
  selectNodes(nodes, debounceSend) {
    let selectedSectionNodes = [];
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes);
    nodes.forEach(node => {
      // If a section is selected, automatically change selection to first section-node
      if (node.isSection()) {
        if (node.childNodes.length > 0) {
          selectedSectionNodes.push(node.childNodes[0]);
        }
      } else {
        selectedSectionNodes.push(node);
      }
    });
    super.selectNodes(selectedSectionNodes, debounceSend);
  }
  _renderExpansion(node, options) {
    // nop (not supported by CompactTree)
  }
  _updateItemPath(selectionChanged, ultimate) {
    // nop (not supported by CompactTree)
  }
}

/***/ }),

/***/ "./src/tree/CompactTreeNode.ts":
/*!*************************************!*\
  !*** ./src/tree/CompactTreeNode.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTreeNode: () => (/* binding */ CompactTreeNode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTreeNode extends _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode {
  render($parent, paddingLeft) {
    let tree = this.getTree();
    if (this.isSection()) {
      let $section = tree.$container.makeDiv('section expanded').data('node', this);
      $section.appendDiv('title').text(this.text);
      this.$node = $section;
    } else {
      let $parent = this.parentNode.$node;
      // Sections nodes
      this.$node = $parent.makeDiv('section-node').data('node', this).on('mousedown', tree._onNodeMouseDown.bind(tree)).on('mouseup', tree._onNodeMouseUp.bind(tree));
    }
  }
  /** @internal */
  _decorate() {
    // This node is not yet rendered, nothing to do
    if (!this.$node) {
      return;
    }
    let formerClasses,
      $node = this.$node;
    if ($node.hasClass('section')) {
      $node = $node.children('title');
      formerClasses = 'title';
    } else {
      formerClasses = 'section-node';
      if ($node.isSelected()) {
        formerClasses += ' selected';
      }
    }
    $node.removeClass();
    $node.addClass(formerClasses);
    $node.addClass(this.cssClass);
    $node.text(this.text);
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyStyle(this, $node);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(this.tooltipText)) {
      $node.attr('title', this.tooltipText);
    }
  }
  isSection() {
    return this.level === 0;
  }
}

/***/ }),

/***/ "./src/tree/LazyNodeFilter.ts":
/*!************************************!*\
  !*** ./src/tree/LazyNodeFilter.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LazyNodeFilter: () => (/* binding */ LazyNodeFilter)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class LazyNodeFilter {
  constructor(tree) {
    _defineProperty(this, "tree", void 0);
    this.tree = tree;
  }
  accept(node) {
    if (node.expanded) {
      return true;
    }
    // not expanded: remove lazy expand marker (forget lazy expanded children)
    node.childNodes.forEach(child => {
      child._lazyNodeFilterAccepted = false;
    });
    if (!node.parentNode || !node.parentNode.expandedLazy || !node.parentNode.lazyExpandingEnabled || !this.tree.lazyExpandingEnabled) {
      // no lazy expanding supported
      return true;
    }
    // if this node is not expanded and parent is lazyExpanding.
    for (let i = 0; i < this.tree.selectedNodes.length; i++) {
      let selectedNode = this.tree.selectedNodes[i];
      if (typeof selectedNode === 'string') {
        break;
      }
      if (selectedNode === node) {
        node._lazyNodeFilterAccepted = true;
        return true;
      }
    }
    return !!node._lazyNodeFilterAccepted;
  }
}

/***/ }),

/***/ "./src/tree/Tree.ts":
/*!**************************!*\
  !*** ./src/tree/Tree.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tree: () => (/* binding */ Tree)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Tree extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "toggleBreadcrumbStyleEnabled", void 0);
    _defineProperty(this, "breadcrumbTogglingThreshold", void 0);
    _defineProperty(this, "autoCheckChildren", void 0);
    _defineProperty(this, "checkable", void 0);
    _defineProperty(this, "checkableStyle", void 0);
    _defineProperty(this, "displayStyle", void 0);
    _defineProperty(this, "dropType", void 0);
    _defineProperty(this, "dropMaximumSize", void 0);
    _defineProperty(this, "lazyExpandingEnabled", void 0);
    _defineProperty(this, "menus", void 0);
    _defineProperty(this, "contextMenu", void 0);
    _defineProperty(this, "menuBar", void 0);
    _defineProperty(this, "keyStrokes", void 0);
    _defineProperty(this, "multiCheck", void 0);
    _defineProperty(this, "nodes", void 0);
    /** all nodes by id */
    _defineProperty(this, "nodesMap", void 0);
    _defineProperty(this, "nodePaddingLevelCheckable", void 0);
    _defineProperty(this, "nodePaddingLevelNotCheckable", void 0);
    _defineProperty(this, "nodePaddingLevelDiffParentHasIcon", void 0);
    _defineProperty(this, "nodePaddingLeft", void 0);
    /** is read from CSS */
    _defineProperty(this, "nodeCheckBoxPaddingLeft", void 0);
    _defineProperty(this, "nodeControlPaddingLeft", void 0);
    /** is read from CSS */
    _defineProperty(this, "nodePaddingLevel", void 0);
    _defineProperty(this, "scrollToSelection", void 0);
    /** Only necessary for breadcrumb mode */
    _defineProperty(this, "scrollTopHistory", void 0);
    _defineProperty(this, "selectedNodes", void 0);
    /** The previously selected node, relevant for breadcrumb in compact mode */
    _defineProperty(this, "prevSelectedNode", void 0);
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "textFilterEnabled", void 0);
    _defineProperty(this, "filterSupport", void 0);
    _defineProperty(this, "filteredElementsDirty", void 0);
    _defineProperty(this, "filterAnimated", void 0);
    _defineProperty(this, "rebuildSuppressed", void 0);
    _defineProperty(this, "breadcrumbFilter", void 0);
    _defineProperty(this, "dragAndDropHandler", void 0);
    /**
     * performance optimization: E.g. rather than iterating over the whole tree when unchecking all nodes,
     * we explicitly keep track of nodes to uncheck (useful e.g. for single-check mode in very large trees).
     */
    _defineProperty(this, "checkedNodes", void 0);
    _defineProperty(this, "groupedNodes", void 0);
    _defineProperty(this, "visibleNodesFlat", void 0);
    _defineProperty(this, "visibleNodesMap", void 0);
    _defineProperty(this, "viewRangeRendered", void 0);
    _defineProperty(this, "viewRangeDirty", void 0);
    _defineProperty(this, "viewRangeSize", void 0);
    _defineProperty(this, "startAnimationFunc", void 0);
    _defineProperty(this, "runningAnimations", void 0);
    _defineProperty(this, "runningAnimationsFinishFunc", void 0);
    _defineProperty(this, "nodeHeight", void 0);
    _defineProperty(this, "nodeWidth", void 0);
    _defineProperty(this, "maxNodeWidth", void 0);
    _defineProperty(this, "nodeWidthDirty", void 0);
    _defineProperty(this, "requestFocusOnNodeControlMouseDown", void 0);
    _defineProperty(this, "initialTraversing", void 0);
    _defineProperty(this, "defaultMenuTypes", void 0);
    _defineProperty(this, "$data", void 0);
    _defineProperty(this, "$fillBefore", void 0);
    _defineProperty(this, "$fillAfter", void 0);
    /** may be used by subclasses to set additional CSS classes */
    _defineProperty(this, "_additionalContainerClasses", void 0);
    _defineProperty(this, "_renderViewportBlocked", void 0);
    _defineProperty(this, "_doubleClickSupport", void 0);
    /** used by _renderExpansion() */
    _defineProperty(this, "_$animationWrapper", void 0);
    _defineProperty(this, "_$expandAnimationWrappers", void 0);
    _defineProperty(this, "_filterMenusHandler", void 0);
    _defineProperty(this, "_popupOpenHandler", void 0);
    /** contains all parents of a selected node, the selected node and the first level children */
    _defineProperty(this, "_inSelectionPathList", void 0);
    _defineProperty(this, "_scrollDirections", void 0);
    _defineProperty(this, "_changeNodeTaskScheduled", void 0);
    _defineProperty(this, "_$mouseDownNode", void 0);
    this.toggleBreadcrumbStyleEnabled = false;
    this.breadcrumbTogglingThreshold = null;
    this.autoCheckChildren = false;
    this.checkable = false;
    this.checkableStyle = Tree.CheckableStyle.CHECKBOX_TREE_NODE;
    this.displayStyle = Tree.DisplayStyle.DEFAULT;
    this.dropType = _index__WEBPACK_IMPORTED_MODULE_0__.DropType.NONE;
    this.dropMaximumSize = _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.DEFAULT_DROP_MAXIMUM_SIZE;
    this.lazyExpandingEnabled = true;
    this.menus = [];
    this.contextMenu = null;
    this.menuBar = null;
    this.keyStrokes = [];
    this.multiCheck = true;
    this.nodes = [];
    this.nodesMap = {};
    this.nodePaddingLevelCheckable = 23;
    this.nodePaddingLevelNotCheckable = 18;
    this.nodePaddingLevelDiffParentHasIcon = null; /* is read from CSS */
    this.nodePaddingLeft = null;
    this.nodeCheckBoxPaddingLeft = 29;
    this.nodeControlPaddingLeft = null;
    this.nodePaddingLevel = this.nodePaddingLevelNotCheckable;
    this.scrollToSelection = false;
    this.scrollTop = 0;
    this.scrollTopHistory = [];
    this.selectedNodes = [];
    this.prevSelectedNode = null;
    this.filters = [];
    this.textFilterEnabled = true;
    this.filterSupport = this._createFilterSupport();
    this.filteredElementsDirty = false;
    this.filterAnimated = true;
    this.checkedNodes = [];
    this.groupedNodes = {};
    this.visibleNodesFlat = [];
    this.visibleNodesMap = {};
    this._addWidgetProperties(['menus', 'keyStrokes']);
    this._additionalContainerClasses = '';
    this._doubleClickSupport = new _index__WEBPACK_IMPORTED_MODULE_0__.DoubleClickSupport();
    this._$animationWrapper = null;
    this._$expandAnimationWrappers = [];
    this._filterMenusHandler = this._filterMenus.bind(this);
    this._popupOpenHandler = this._onDesktopPopupOpen.bind(this);
    this._inSelectionPathList = {};
    this._changeNodeTaskScheduled = false;
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    this.viewRangeSize = 20;
    this.startAnimationFunc = function () {
      this.runningAnimations++;
    }.bind(this);
    this.runningAnimations = 0;
    this.runningAnimationsFinishFunc = function () {
      this.runningAnimations--;
      if (this.runningAnimations <= 0) {
        this.runningAnimations = 0;
        this._renderViewportBlocked = false;
        this.invalidateLayoutTree();
      }
    }.bind(this);
    this.nodeHeight = 0;
    this.nodeWidth = 0;
    this.maxNodeWidth = 0;
    this.nodeWidthDirty = false;
    this.$data = null;
    this._scrollDirections = 'both';
    this.requestFocusOnNodeControlMouseDown = true;
    this.defaultMenuTypes = [Tree.MenuType.EmptySpace];
    this._$mouseDownNode = null;
  }
  _init(model) {
    super._init(model);
    this.setFilters(this.filters, false);
    this.addFilter(new _index__WEBPACK_IMPORTED_MODULE_0__.LazyNodeFilter(this), false);
    this.breadcrumbFilter = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeBreadcrumbFilter(this);
    if (this.displayStyle === Tree.DisplayStyle.BREADCRUMB) {
      this.addFilter(this.breadcrumbFilter, false);
    }
    this.initialTraversing = true;
    this._setCheckable(this.checkable);
    this.ensureTreeNodes(this.nodes);
    this._initNodes(this.nodes);
    this.initialTraversing = false;
    this.menuBar = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.MenuBar, {
      parent: this,
      position: _index__WEBPACK_IMPORTED_MODULE_0__.MenuBar.Position.BOTTOM,
      menuOrder: new _index__WEBPACK_IMPORTED_MODULE_0__.MenuItemsOrder(this.session, 'Tree', this.defaultMenuTypes),
      menuFilter: this._filterMenusHandler,
      cssClass: 'bounded'
    });
    this._updateItemPath(true);
    this._setDisplayStyle(this.displayStyle);
    this._setKeyStrokes(this.keyStrokes);
    this._setMenus(this.menus);
  }
  /**
   * Initialize nodes, applies filters and updates flat list
   */
  _initNodes(nodes, parentNode) {
    if (!nodes) {
      nodes = this.nodes;
    }
    Tree.visitNodes(this._initTreeNode.bind(this), nodes, parentNode);
    if (typeof this.selectedNodes[0] === 'string') {
      this.selectedNodes = this.nodesByIds(this.selectedNodes);
    }
    this._updateSelectionPath();
    nodes.forEach(node => this.applyFiltersForNode(node));
    Tree.visitNodes((node, parentNode) => this._addToVisibleFlatList(node, false), nodes, parentNode);
  }
  /**
   * Iterates through the given array and converts node-models to instances of {@link TreeNode} (or a subclass).
   * If the array element is already a {@link TreeNode} the function leaves the element untouched. This function also
   * ensures that the attribute {@link TreeNode.childNodeIndex} is set.
   */
  ensureTreeNodes(nodes, parentNode) {
    if (nodes.length === 0) {
      return;
    }
    let nextChildNodeIndex = 0;
    if (this.initialized) {
      let previousNodes = parentNode ? parentNode.childNodes : this.nodes;
      if (previousNodes.length > 0) {
        nextChildNodeIndex = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(previousNodes[previousNodes.length - 1].childNodeIndex, -1) + 1;
      }
    }
    for (let i = 0; i < nodes.length; i++) {
      let node = nodes[i];
      node.childNodeIndex = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(node.childNodeIndex, nextChildNodeIndex + i);
      if (node instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode) {
        continue;
      }
      nodes[i] = this._createTreeNode(node);
    }
  }
  _createTreeNode(nodeModel) {
    nodeModel = nodeModel || {};
    nodeModel.objectType = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(nodeModel.objectType, _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode);
    nodeModel.parent = this;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(nodeModel);
  }
  _createKeyStrokeContext() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.KeyStrokeContext();
  }
  _initKeyStrokeContext() {
    super._initKeyStrokeContext();
    this._initTreeKeyStrokeContext();
  }
  _initTreeKeyStrokeContext() {
    let modifierBitMask = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.NONE;
    this.keyStrokeContext.registerKeyStrokes([new _index__WEBPACK_IMPORTED_MODULE_0__.TreeSpaceKeyStroke(this), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationUpKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationDownKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCollapseAllKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCollapseOrDrillUpKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT, '←'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCollapseOrDrillUpKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.SUBTRACT, '-'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeNavigationEndKeyStroke(this, modifierBitMask), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeExpandOrDrillDownKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT, '→'), new _index__WEBPACK_IMPORTED_MODULE_0__.TreeExpandOrDrillDownKeyStroke(this, modifierBitMask, _index__WEBPACK_IMPORTED_MODULE_0__.keys.ADD, '+')]);
  }
  setAutoCheckChildren(autoCheckChildren) {
    this.setProperty('autoCheckChildren', autoCheckChildren);
  }
  _setAutoCheckChildren(autoCheckChildren) {
    this._setProperty('autoCheckChildren', autoCheckChildren);
  }
  _setMenus(argMenus) {
    this.updateKeyStrokes(argMenus, this.menus);
    this._setProperty('menus', argMenus);
    this._updateMenuBar();
  }
  _updateMenuBar() {
    let menuItems = this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.MENU_BAR, false, true);
    this.menuBar.setMenuItems(menuItems);
    let contextMenuItems = this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU, true);
    if (this.contextMenu) {
      this.contextMenu.updateMenuItems(contextMenuItems);
    }
  }
  _setKeyStrokes(keyStrokes) {
    this.updateKeyStrokes(keyStrokes, this.keyStrokes);
    this._setProperty('keyStrokes', keyStrokes);
  }
  _resetTreeNode(node, parentNode) {
    node.reset();
  }
  isSelectedNode(node) {
    return this.selectedNodes.indexOf(node) > -1;
  }
  _updateSelectionPath() {
    let selectedNode = this.selectedNodes[0];
    if (!selectedNode) {
      return;
    }
    this._inSelectionPathList[selectedNode.id] = true;
    selectedNode.childNodes.forEach(child => {
      this._inSelectionPathList[child.id] = true;
    });
    let parentNode = selectedNode.parentNode;
    while (parentNode) {
      this._inSelectionPathList[parentNode.id] = true;
      parentNode = parentNode.parentNode;
    }
  }
  _initTreeNode(node, parentNode) {
    this.nodesMap[node.id] = node;
    if (parentNode) {
      node.parentNode = parentNode;
      node.level = node.parentNode.level + 1;
    }
    if (node.checked) {
      this.checkedNodes.push(node);
    }
    this._initTreeNodeInternal(node, parentNode);
    this._updateMarkChildrenChecked(node);
    node.initialized = true;
  }
  /**
   * Override this function if you want a custom node init before filtering.
   * The default implementation does nothing.
   */
  _initTreeNodeInternal(node, parentNode) {
    // nop
  }
  _destroy() {
    super._destroy();
    this.visitNodes(this._destroyTreeNode.bind(this));
    this.nodes = []; // finally, clear array with root tree-nodes
  }
  _destroyTreeNode(node) {
    this._checkNode(node, false, false); // deleted = unchecked
    delete this.nodesMap[node.id];
    this._removeFromFlatList(node, false); // ensure node is not longer in visible nodes list.
    node.destroy();
    if (this._onNodeDeleted) {
      // Necessary for subclasses
      this._onNodeDeleted(node);
    }
  }
  _onNodeDeleted(node) {
    // nop
  }
  /**
   * pre-order (top-down) traversal of the tree-nodes of this tree.
   *
   * If func returns true the children of the visited node are not visited.
   */
  visitNodes(func, parentNode) {
    return Tree.visitNodes(func, this.nodes, parentNode);
  }
  _render() {
    this.$container = this.$parent.appendDiv('tree');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$container, 'tree');
    if (this._additionalContainerClasses) {
      this.$container.addClass(this._additionalContainerClasses);
    }
    let layout = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeLayout(this);
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(layout);
    this._renderData();
    this.menuBar.render();
    this.session.desktop.on('popupOpen', this._popupOpenHandler);
    this._renderCheckableStyle();
  }
  _renderData() {
    this.$data = this.$container.appendDiv('tree-data').on('contextmenu', this._onContextMenu.bind(this)).on('mousedown', '.tree-node', this._onNodeMouseDown.bind(this)).on('mouseup', '.tree-node', this._onNodeMouseUp.bind(this)).on('dblclick', '.tree-node', this._onNodeDoubleClick.bind(this)).on('mousedown', '.tree-node-control', this._onNodeControlMouseDown.bind(this)).on('mouseup', '.tree-node-control', this._onNodeControlMouseUp.bind(this)).on('dblclick', '.tree-node-control', this._onNodeControlDoubleClick.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$data, this.session);
    if (this.isHorizontalScrollingEnabled()) {
      this.$data.toggleClass('scrollable-tree', true);
    }
    this._installScrollbars({
      axis: this._scrollDirections
    });
    this._installNodeTooltipSupport();
    this._updateNodeDimensions();
    // render display style before viewport (not in renderProperties) to have a correct style from the beginning
    this._renderDisplayStyle();
    this._renderViewport();
  }
  _renderProperties() {
    super._renderProperties();
    this._renderTextFilterEnabled();
    this._renderMultiCheck();
  }
  _postRender() {
    super._postRender();
    this._renderSelection();
  }
  _remove() {
    this.session.desktop.off('popupOpen', this._popupOpenHandler);
    this.filterSupport.remove();
    // stop all animations
    if (this._$animationWrapper) {
      this._$animationWrapper.stop(false, true);
    }
    // Detach nodes from jQuery objects (because those will be removed)
    this.visitNodes(this._resetTreeNode.bind(this));
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.uninstallDragAndDropHandler(this);
    this._uninstallNodeTooltipSupport();
    this.$fillBefore = null;
    this.$fillAfter = null;
    this.$data = null;
    // reset rendered view range because no range is rendered
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
    super._remove();
  }
  isHorizontalScrollingEnabled() {
    return this._scrollDirections === 'both' || this._scrollDirections === 'x';
  }
  isTreeNodeCheckEnabled() {
    return this.checkableStyle === Tree.CheckableStyle.CHECKBOX_TREE_NODE;
  }
  _onScroll(event) {
    let scrollToSelectionBackup = this.scrollToSelection;
    this.scrollToSelection = false;
    let scrollTop = this.$data[0].scrollTop;
    let scrollLeft = this.$data[0].scrollLeft;
    if (this.scrollTop !== scrollTop && this.rendered) {
      this._renderViewport();
    }
    this.scrollTop = scrollTop;
    this.scrollLeft = scrollLeft;
    this.scrollToSelection = scrollToSelectionBackup;
  }
  setScrollTop(scrollTop) {
    this.setProperty('scrollTop', scrollTop);
    // call _renderViewport to make sure nodes are rendered immediately. The browser fires the scroll event handled by onDataScroll delayed
    if (this.rendered) {
      this._renderViewport();
      // Render scroll top again to make sure the data really is at the expected position
      // This seems only to be necessary for Chrome and the tree, it seems to work for IE and table.
      // It is not optimal, because actually it should be possible to modify the $data[0].scrollTop without using this function
      // Some debugging showed that after reducing the height of the afterFiller in _renderFiller the scrollTop will be wrong.
      // Updating the scrollTop in renderFiller or other view range relevant function is bad because it corrupts smooth scrolling (see also commit c14ce92e0a7bff568d4f2d715e3061a782e728c2)
      this._renderScrollTop();
    }
  }
  /** @internal */
  _renderScrollTop() {
    if (this.rendering) {
      // Not necessary to do it while rendering since it will be done by the layout
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop(this.$data, this.scrollTop);
  }
  get$Scrollable() {
    return this.$data;
  }
  /** @internal */
  _renderViewport() {
    if (this.runningAnimations > 0 || this._renderViewportBlocked) {
      // animation pending do not render view port because finishing should rerenderViewport
      return;
    }
    if (!this.$container.isEveryParentVisible()) {
      // If the tree is invisible, the width and height of the nodes cannot be determined
      // In that case, the tree won't be layouted either -> as soon as it will be layouted, renderViewport will be called again
      return;
    }
    let viewRange = this._calculateCurrentViewRange();
    this._renderViewRange(viewRange);
  }
  _calculateCurrentViewRange() {
    let node,
      scrollTop = this.$data[0].scrollTop,
      maxScrollTop = this.$data[0].scrollHeight - this.$data[0].clientHeight;
    if (maxScrollTop === 0 && this.visibleNodesFlat.length > 0) {
      // no scrollbars visible
      node = this.visibleNodesFlat[0];
    } else {
      node = this._nodeAtScrollTop(scrollTop);
    }
    return this._calculateViewRangeForNode(node);
  }
  _rerenderViewport() {
    if (this._renderViewportBlocked) {
      return;
    }
    this._removeRenderedNodes();
    this._renderFiller();
    this._updateDomNodeWidth();
    this._renderViewport();
  }
  _removeRenderedNodes() {
    let $nodes = this.$data.find('.tree-node');
    $nodes.each((i, elem) => {
      let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(elem),
        node = $node.data('node');
      if ($node.hasClass('hiding')) {
        // Do not remove nodes which are removed using an animation
        return;
      }
      this._removeNode(node);
    });
    this.viewRangeRendered = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0);
  }
  _renderViewRangeForNode(node) {
    let viewRange = this._calculateViewRangeForNode(node);
    this._renderViewRange(viewRange);
  }
  _renderNodesInRange(range) {
    let prepend = false;
    let nodes = this.visibleNodesFlat;
    if (nodes.length === 0) {
      return;
    }
    let maxRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, nodes.length);
    range = maxRange.intersect(range);
    if (this.viewRangeRendered.size() > 0 && !range.intersect(this.viewRangeRendered).equals(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, 0))) {
      throw new Error('New range must not intersect with existing.');
    }
    if (range.to <= this.viewRangeRendered.from) {
      prepend = true;
    }
    let newRange = this.viewRangeRendered.union(range);
    if (newRange.length === 2) {
      throw new Error('Can only prepend or append rows to the existing range. Existing: ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    let numNodesRendered = this.ensureRangeVisible(range);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numNodesRendered + ' new nodes rendered from ' + range);
  }
  ensureRangeVisible(range) {
    let nodes = this.visibleNodesFlat;
    let nodesToInsert = [];
    for (let r = range.from; r < range.to; r++) {
      let node = nodes[r];
      if (!node.attached) {
        nodesToInsert.push(node);
      }
    }
    this._insertNodesInDOM(nodesToInsert);
    return nodesToInsert.length;
  }
  /** @internal */
  _renderFiller() {
    if (!this.$fillBefore) {
      this.$fillBefore = this.$data.prependDiv('tree-data-fill');
    }
    let fillBeforeDimensions = this._calculateFillerDimension(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.viewRangeRendered.from));
    this.$fillBefore.cssHeight(fillBeforeDimensions.height);
    if (this.isHorizontalScrollingEnabled()) {
      this.$fillBefore.cssWidth(fillBeforeDimensions.width);
      this.maxNodeWidth = Math.max(fillBeforeDimensions.width, this.maxNodeWidth);
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillBefore height: ' + fillBeforeDimensions.height);
    if (!this.$fillAfter) {
      this.$fillAfter = this.$data.appendDiv('tree-data-fill');
    }
    let fillAfterDimensions = {
      height: 0,
      width: 0
    };
    fillAfterDimensions = this._calculateFillerDimension(new _index__WEBPACK_IMPORTED_MODULE_0__.Range(this.viewRangeRendered.to, this.visibleNodesFlat.length));
    this.$fillAfter.cssHeight(fillAfterDimensions.height);
    if (this.isHorizontalScrollingEnabled()) {
      this.$fillAfter.cssWidth(fillAfterDimensions.width);
      this.maxNodeWidth = Math.max(fillAfterDimensions.width, this.maxNodeWidth);
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('FillAfter height: ' + fillAfterDimensions.height);
  }
  _calculateFillerDimension(range) {
    let dataWidth = 0;
    if (this.rendered) {
      // the outer-width is only correct if this tree is already rendered. otherwise wrong values are returned.
      dataWidth = this.$data.width();
    }
    let dimension = {
      height: 0,
      width: Math.max(dataWidth, this.maxNodeWidth)
    };
    for (let i = range.from; i < range.to; i++) {
      let node = this.visibleNodesFlat[i];
      dimension.height += this._heightForNode(node);
      dimension.width = Math.max(dimension.width, this._widthForNode(node));
    }
    return dimension;
  }
  _removeNodesInRange(range) {
    let node,
      numNodesRemoved = 0,
      nodes = this.visibleNodesFlat;
    let maxRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, nodes.length);
    range = maxRange.intersect(range);
    let newRange = this.viewRangeRendered.subtract(range);
    if (newRange.length === 2) {
      throw new Error('Can only remove nodes at the beginning or end of the existing range. ' + this.viewRangeRendered + '. New: ' + newRange);
    }
    this.viewRangeRendered = newRange[0];
    for (let i = range.from; i < range.to; i++) {
      node = nodes[i];
      this._removeNode(node);
      numNodesRemoved++;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(numNodesRemoved + ' nodes removed from ' + range + '.');
  }
  /**
   * Just removes the node, does NOT adjust this.viewRangeRendered
   */
  _removeNode(node) {
    let $node = node.$node;
    if (!$node) {
      return;
    }
    if ($node.hasClass('hiding')) {
      // Do not remove nodes which are removed using an animation
      return;
    }
    // only remove node
    $node.detach();
    node.attached = false;
  }
  /**
   * Renders the rows visible in the viewport and removes the other rows
   */
  _renderViewRange(viewRange) {
    if (viewRange.from === this.viewRangeRendered.from && viewRange.to === this.viewRangeRendered.to && !this.viewRangeDirty) {
      // When node with has changed (because of changes in layout) we must at least
      // update the internal node width even though the view-range has not changed.
      if (this.nodeWidthDirty) {
        this._renderFiller();
        this._updateDomNodeWidth();
      }
      // Range already rendered -> do nothing
      return;
    }
    if (!this.viewRangeDirty) {
      let rangesToRender = viewRange.subtract(this.viewRangeRendered);
      let rangesToRemove = this.viewRangeRendered.subtract(viewRange);
      let maxRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(0, this.visibleNodesFlat.length);
      rangesToRemove.forEach(range => {
        this._removeNodesInRange(range);
        if (maxRange.to < range.to) {
          this.viewRangeRendered = viewRange;
        }
      });
      rangesToRender.forEach(range => {
        this._renderNodesInRange(range);
      });
    } else {
      // expansion changed
      this.viewRangeRendered = viewRange;
      this.ensureRangeVisible(viewRange);
    }
    // check if at least last and first row in range got correctly rendered
    if (this.viewRangeRendered.size() > 0) {
      let nodes = this.visibleNodesFlat;
      let firstNode = nodes[this.viewRangeRendered.from];
      let lastNode = nodes[this.viewRangeRendered.to - 1];
      if (this.viewRangeDirty) {
        // cleanup nodes before range and after
        let $nodesBeforeFirstNode = firstNode.$node.prevAll('.tree-node');
        let $nodesAfterLastNode = lastNode.$node.nextAll('.tree-node');
        this._cleanupNodes($nodesBeforeFirstNode);
        this._cleanupNodes($nodesAfterLastNode);
      }
      if (!firstNode.attached || !lastNode.attached) {
        throw new Error('Nodes not rendered as expected. ' + this.viewRangeRendered + '. First: ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(firstNode.$node) + '. Last: ' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(lastNode.$node) + '. Length: visibleNodesFlat=' + this.visibleNodesFlat.length + ' nodes=' + this.nodes.length + ' nodesMap=' + Object.keys(this.nodesMap).length);
      }
    }
    this._postRenderViewRange();
    this.viewRangeDirty = false;
  }
  _postRenderViewRange() {
    this._renderFiller();
    this._updateDomNodeWidth();
    this._renderSelection();
  }
  _visibleNodesInViewRange() {
    return this.visibleNodesFlat.slice(this.viewRangeRendered.from, this.viewRangeRendered.to);
  }
  _updateDomNodeWidth() {
    if (!this.isHorizontalScrollingEnabled()) {
      return;
    }
    if (!this.rendered || !this.nodeWidthDirty) {
      return;
    }
    let nodes = this._visibleNodesInViewRange();
    let maxNodeWidth = this.maxNodeWidth;
    // find max-width
    maxNodeWidth = nodes.reduce((aggr, node) => Math.max(node.width, aggr), _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(maxNodeWidth, 0));
    // set max width on all nodes
    nodes.forEach(node => node.$node.cssWidth(maxNodeWidth));
    this.nodeWidthDirty = false;
  }
  _cleanupNodes($nodes) {
    for (let i = 0; i < $nodes.length; i++) {
      this._removeNode($nodes.eq(i).data('node'));
    }
  }
  /**
   * Returns the TreeNode which is at position scrollTop.
   */
  _nodeAtScrollTop(scrollTop) {
    let height = 0,
      nodeTop;
    this.visibleNodesFlat.some((node, i) => {
      height += this._heightForNode(node);
      if (scrollTop < height) {
        nodeTop = node;
        return true;
      }
      return false;
    });
    let visibleNodesLength = this.visibleNodesFlat.length;
    if (!nodeTop && visibleNodesLength > 0) {
      nodeTop = this.visibleNodesFlat[visibleNodesLength - 1];
    }
    return nodeTop;
  }
  _heightForNode(node) {
    let height = 0;
    if (node.height) {
      height = node.height;
    } else {
      height = this.nodeHeight;
    }
    return height;
  }
  _widthForNode(node) {
    let width = 0;
    if (node.width) {
      width = node.width;
    } else {
      width = this.nodeWidth;
    }
    return width;
  }
  /**
   * Returns a range of size this.viewRangeSize. Start of range is nodeIndex - viewRangeSize / 4.
   * -> 1/4 of the nodes are before the viewport 2/4 in the viewport 1/4 after the viewport,
   * assuming viewRangeSize is 2*number of possible nodes in the viewport (see calculateViewRangeSize).
   */
  _calculateViewRangeForNode(node) {
    let viewRange = new _index__WEBPACK_IMPORTED_MODULE_0__.Range(),
      quarterRange = Math.floor(this.viewRangeSize / Tree.VIEW_RANGE_DIVISOR),
      diff;
    let nodeIndex = this.visibleNodesFlat.indexOf(node);
    viewRange.from = Math.max(nodeIndex - quarterRange, 0);
    viewRange.to = Math.min(viewRange.from + this.viewRangeSize, this.visibleNodesFlat.length);
    if (!node || nodeIndex === -1) {
      return viewRange;
    }
    // Try to use the whole viewRangeSize (extend from if necessary)
    diff = this.viewRangeSize - viewRange.size();
    if (diff > 0) {
      viewRange.from = Math.max(viewRange.to - this.viewRangeSize, 0);
    }
    return viewRange;
  }
  /**
   * Calculates the optimal view range size (number of nodes to be rendered).
   * It uses the default node height to estimate how many nodes fit in the view port.
   * The view range size is this value * 2.
   * <p>
   * Note: the value calculated by this function is important for calculating the
   * 'insertBatch'. When the value becomes smaller than 4 ({@link Tree.VIEW_RANGE_DIVISOR}) this
   * will cause errors on inserting nodes at the right position. See #262890.
   */
  calculateViewRangeSize() {
    // Make sure row height is up-to-date (row height may be different after zooming)
    this._updateNodeDimensions();
    if (this.nodeHeight === 0) {
      throw new Error('Cannot calculate view range with nodeHeight = 0');
    }
    let viewRangeMultiplier = Tree.VIEW_RANGE_DIVISOR / 2; // See  _calculateViewRangeForNode
    let viewRange = Math.ceil(this.$data.outerHeight() / this.nodeHeight) * viewRangeMultiplier;
    return Math.max(Tree.VIEW_RANGE_DIVISOR, viewRange);
  }
  setViewRangeSize(viewRangeSize) {
    if (this.viewRangeSize === viewRangeSize) {
      return;
    }
    this._setProperty('viewRangeSize', viewRangeSize);
    if (this.rendered) {
      this._renderViewport();
    }
  }
  _updateNodeDimensions() {
    let emptyNode = this._createTreeNode();
    let $node = this._renderNode(emptyNode).appendTo(this.$data);
    this.nodeHeight = $node.outerHeight(true);
    if (this.isHorizontalScrollingEnabled()) {
      let oldNodeWidth = this.nodeWidth;
      this.nodeWidth = $node.outerWidth(true);
      if (oldNodeWidth !== this.nodeWidth) {
        this.viewRangeDirty = true;
      }
    }
    emptyNode.reset();
  }
  /**
   * Updates the node heights for every visible node and clears the height of the others
   */
  updateNodeHeights() {
    this.visibleNodesFlat.forEach(node => {
      if (!node.attached) {
        node.height = null;
      } else {
        node.height = node.$node.outerHeight(true);
      }
    });
  }
  removeAllNodes() {
    this._removeNodes(this.nodes);
  }
  /**
   * @param parentNode
   *          Optional. If provided, this node's state will be updated (e.g. it will be collapsed
   *          if it does no longer have child nodes). Can also be an array, in which case all of
   *          those nodes are updated.
   */
  _removeNodes(nodes, parentNode) {
    if (nodes.length === 0) {
      return;
    }
    nodes.forEach(node => {
      this._removeFromFlatList(node, true);
      if (node.childNodes.length > 0) {
        this._removeNodes(node.childNodes, node);
      }
      if (node.$node) {
        if (this._$animationWrapper && this._$animationWrapper.find(node.$node).length > 0) {
          this._$animationWrapper.stop(false, true);
        }
        node.reset();
      }
    });
    // If every child node was deleted mark node as collapsed (independent of the model state)
    // --> makes it consistent with addNodes and expand (expansion is not allowed if there are no child nodes)
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(parentNode).forEach(p => {
      if (p && p.$node && p.childNodes.length === 0) {
        p.$node.removeClass('expanded lazy');
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded(p.$node, null);
      }
    });
    if (this.rendered) {
      this.viewRangeDirty = true;
      this.invalidateLayoutTree();
    }
  }
  _renderNode(node) {
    let paddingLeft = this._computeNodePaddingLeft(node);
    node.render(this.$container, paddingLeft);
    return node.$node;
  }
  _removeMenus() {
    // menubar takes care of removal
  }
  _filterMenus(argMenus, destination, onlyVisible, enableDisableKeyStrokes) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.menus.filterAccordingToSelection('Tree', this.selectedNodes.length, argMenus, destination, {
      onlyVisible,
      enableDisableKeyStrokes,
      defaultMenuTypes: this.defaultMenuTypes
    });
  }
  _renderEnabled() {
    super._renderEnabled();
    this._installOrUninstallDragAndDropHandler();
    let enabled = this.enabledComputed;
    this.$data.setEnabled(enabled);
    this.$container.setTabbableOrFocusable(enabled);
  }
  _renderDisabledStyle() {
    super._renderDisabledStyle();
    this._renderDisabledStyleInternal(this.$data);
  }
  setCheckable(checkable) {
    this.setProperty('checkable', checkable);
  }
  _setCheckable(checkable) {
    this._setProperty('checkable', checkable);
    this._updateNodePaddingLevel();
  }
  _updateNodePaddingLevel() {
    if (this.isBreadcrumbStyleActive()) {
      this.nodePaddingLevel = 0;
    } else if (this.checkable) {
      this.nodePaddingLevel = this.nodePaddingLevelCheckable;
    } else {
      this.nodePaddingLevel = this.nodePaddingLevelNotCheckable;
    }
  }
  setCheckableStyle(checkableStyle) {
    this.setProperty('checkableStyle', checkableStyle);
  }
  _renderCheckable() {
    // Define helper functions
    let isNodeRendered = node => Boolean(node.$node);
    let updateCheckableStateRec = node => {
      let $node = node.$node;
      let $control = $node.children('.tree-node-control');
      let $checkbox = $node.children('.tree-node-checkbox');
      node._updateControl($control);
      if (this.checkable) {
        if ($checkbox.length === 0) {
          node._renderCheckbox();
        }
      } else {
        $checkbox.remove();
      }
      $node.cssPaddingLeft(this._computeNodePaddingLeft(node));
      // Recursion
      if (node.childNodes) {
        node.childNodes.filter(isNodeRendered).forEach(updateCheckableStateRec);
      }
    };
    // Start recursion
    this.nodes.filter(isNodeRendered).forEach(updateCheckableStateRec);
  }
  _renderDisplayStyle() {
    this.$container.toggleClass('breadcrumb', this.isBreadcrumbStyleActive());
    this.nodePaddingLeft = null;
    this.nodeControlPaddingLeft = null;
    let nodeElements = _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(this.nodesMap).filter(n => !!n.$node).map(n => n.$node.get(0));
    this._updateNodePaddingsLeft(jquery__WEBPACK_IMPORTED_MODULE_1___default()(nodeElements));
    // update scrollbar if mode has changed (from tree to bc or vice versa)
    this.invalidateLayoutTree();
  }
  _renderExpansion(node, options) {
    let opts = {
      expandLazyChanged: false,
      expansionChanged: false
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(opts, options);
    let $node = node.$node,
      expanded = node.expanded;
    // Only render if node is rendered to make it possible to expand/collapse currently hidden nodes (used by collapseAll).
    if (!$node || $node.length === 0) {
      return;
    }
    // Only expand / collapse if there are child nodes
    if (node.childNodes.length === 0) {
      return;
    }
    $node.toggleClass('lazy', expanded && node.expandedLazy);
    if (!opts.expansionChanged && !opts.expandLazyChanged) {
      // Expansion state has not changed -> return
      return;
    }
    if (expanded) {
      $node.addClass('expanded');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded($node, true);
    } else {
      $node.removeClass('expanded');
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded($node, false);
    }
  }
  _renderSelection() {
    // Add children class to root nodes if no nodes are selected
    if (this.selectedNodes.length === 0) {
      this.nodes.forEach(childNode => {
        if (childNode.rendered) {
          childNode.$node.addClass('child-of-selected');
        }
      });
    }
    this.$container.toggleClass('no-nodes-selected', this.selectedNodes.length === 0);
    this.selectedNodes.forEach(node => {
      if (!this.visibleNodesMap[node.id]) {
        return;
      }
      // Mark all ancestor nodes, especially necessary for bread crumb mode
      let parentNode = node.parentNode;
      if (parentNode && parentNode.rendered) {
        parentNode.$node.addClass('parent-of-selected');
      }
      while (parentNode) {
        if (parentNode.rendered) {
          parentNode.$node.addClass('ancestor-of-selected');
        }
        parentNode = parentNode.parentNode;
      }
      // Mark all child nodes
      if (node.expanded) {
        node.childNodes.forEach(childNode => {
          if (childNode.rendered) {
            childNode.$node.addClass('child-of-selected');
          }
        });
      }
      if (node.rendered) {
        node.$node.select(true);
        _index__WEBPACK_IMPORTED_MODULE_0__.aria.selected(node.$node, true);
      }
    });
    // Update 'group' markers for all rendered nodes
    for (let i = this.viewRangeRendered.from; i < this.viewRangeRendered.to; i++) {
      if (i >= this.visibleNodesFlat.length) {
        break;
      }
      let node = this.visibleNodesFlat[i];
      if (node && node.rendered) {
        node.$node.toggleClass('group', Boolean(this.groupedNodes[node.id]));
      }
    }
    this._updateNodePaddingsLeft();
    this._highlightPrevSelectedNode();
    if (this.scrollToSelection) {
      this.revealSelection();
    }
  }
  _renderCheckableStyle() {
    this.$data.toggleClass('checkable', this.isTreeNodeCheckEnabled());
  }
  _highlightPrevSelectedNode() {
    if (!this.isBreadcrumbStyleActive()) {
      return;
    }
    if (!this.prevSelectedNode || !this.prevSelectedNode.rendered || this.prevSelectedNode.prevSelectionAnimationDone) {
      return;
    }
    // Highlight previously selected node, but do it only once
    if (this.prevSelectedNode.$node.hasClass('animate-prev-selected')) {
      return;
    }
    this.prevSelectedNode.$node.addClassForAnimation('animate-prev-selected').oneAnimationEnd(() => {
      this.prevSelectedNode.prevSelectionAnimationDone = true;
    });
  }
  _removeSelection() {
    // Remove children class on root nodes if no nodes were selected
    if (this.selectedNodes.length === 0) {
      this.nodes.forEach(childNode => {
        if (childNode.rendered) {
          childNode.$node.removeClass('child-of-selected');
        }
      });
    }
    // Ensure animate-prev-selected class is removed (in case animation did not start)
    if (this.prevSelectedNode && this.prevSelectedNode.rendered) {
      this.prevSelectedNode.$node.removeClass('animate-prev-selected');
    }
    this.selectedNodes.forEach(this._removeNodeSelection, this);
  }
  _removeNodeSelection(node) {
    if (node.rendered) {
      node.$node.select(false);
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.selected(node.$node, null);
    }
    // remove ancestor and child classes
    let parentNode = node.parentNode;
    if (parentNode && parentNode.rendered) {
      parentNode.$node.removeClass('parent-of-selected');
    }
    while (parentNode && parentNode.rendered) {
      parentNode.$node.removeClass('ancestor-of-selected');
      parentNode = parentNode.parentNode;
    }
    if (node.expanded) {
      node.childNodes.forEach(childNode => {
        if (childNode.rendered) {
          childNode.$node.removeClass('child-of-selected');
        }
      });
    }
  }
  setDropType(dropType) {
    this.setProperty('dropType', dropType);
  }
  _renderDropType() {
    this._installOrUninstallDragAndDropHandler();
  }
  setDropMaximumSize(dropMaximumSize) {
    this.setProperty('dropMaximumSize', dropMaximumSize);
  }
  _installOrUninstallDragAndDropHandler() {
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.installOrUninstallDragAndDropHandler({
      target: this,
      doInstall: () => this.dropType && this.enabledComputed,
      selector: '.tree-data,.tree-node',
      onDrop: event => this.trigger('drop', event),
      dropType: () => this.dropType,
      additionalDropProperties: event => {
        let $target = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
        let properties = {
          nodeId: ''
        };
        if ($target.hasClass('tree-node')) {
          let node = $target.data('node');
          properties.nodeId = node.id;
        }
        return properties;
      }
    });
  }
  _updateMarkChildrenChecked(node) {
    let checkResult = this._checkParentsRecursive(node);
    if (!node.initialized) {
      // No rendering of nodes which have not been initialized yet
      checkResult.removeNode(node);
    }
    // Trigger events and render
    this._processTreeCheckNodesResult(checkResult);
  }
  /**
   * Processes a {@link TreeCheckNodesResult} object. It renders all updated nodes and triggers
   * a `nodesChecked` event.
   *
   * @param checkNodesResult object with tree node check update
   * @param triggerEvent indicates whether events should be triggered or not. Default is true.
   */
  _processTreeCheckNodesResult(checkNodesResult) {
    let triggerEvent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    // Render
    if (this.rendered) {
      checkNodesResult.getNodesForRendering().forEach(node => {
        node._renderChecked();
        node._renderChildrenChecked();
      });
    }
    // Trigger event
    let eventTriggerNodes = checkNodesResult.getNodesForEventTrigger();
    if (this.checkable && triggerEvent && eventTriggerNodes.length) {
      this.trigger('nodesChecked', {
        nodes: eventTriggerNodes
      });
    }
  }
  _installNodeTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.install(this.$data, {
      parent: this,
      selector: '.tree-node',
      text: this._nodeTooltipText.bind(this),
      arrowPosition: 50,
      arrowPositionUnit: '%',
      nativeTooltip: !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().isCustomEllipsisTooltipPossible(),
      originProducer: this._treeNodeTooltipOrigin.bind(this)
    });
  }
  _treeNodeTooltipOrigin($node) {
    // Measure entire node
    let origin = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($node);
    // Measure content
    let $text = $node.children('.text');
    let textOffset = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offset($text);
    let textSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($text);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText($text.text())) {
      // Text (with or without icon)
      origin.x = textOffset.x;
      origin.width = textSize.width;
    } else {
      let $icon = $node.children('.icon');
      if ($icon.length) {
        // Icon only
        let iconOffset = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offset($icon);
        let iconSize = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($icon);
        let iconInsets = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.insets($icon);
        origin.x = iconOffset.x + iconInsets.left;
        origin.width = iconSize.width - iconInsets.horizontal();
      } else {
        // Neither text nor icon
        origin.x = textOffset.x;
        origin.width = 10;
      }
    }
    // Intersect with scroll parents
    origin = _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.intersectViewport(origin, $node.scrollParents());
    return origin;
  }
  _uninstallNodeTooltipSupport() {
    _index__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(this.$data);
  }
  _nodeTooltipText($node) {
    let node = $node.data('node');
    if (node.tooltipText) {
      return node.tooltipText;
    }
    if (this._isTruncatedNodeTooltipEnabled() && node.$text.isContentTruncated()) {
      return node.$text.text();
    }
  }
  _isTruncatedNodeTooltipEnabled() {
    return true;
  }
  setDisplayStyle(displayStyle) {
    if (this.displayStyle === displayStyle) {
      return;
    }
    this._renderViewportBlocked = true;
    this._setDisplayStyle(displayStyle);
    if (this.rendered) {
      this._renderDisplayStyle();
    }
    this._renderViewportBlocked = false;
  }
  _setDisplayStyle(displayStyle) {
    this._setProperty('displayStyle', displayStyle);
    if (this.displayStyle === Tree.DisplayStyle.BREADCRUMB) {
      if (this.selectedNodes.length > 0) {
        let selectedNode = this.selectedNodes[0];
        if (!selectedNode.expanded) {
          this.expandNode(selectedNode);
        }
      }
      this.filterAnimated = false;
      this.addFilter(this.breadcrumbFilter, false);
      this.filterVisibleNodes();
    } else {
      this.removeFilter(this.breadcrumbFilter);
      this.filterAnimated = true;
    }
    this._updateNodePaddingLevel();
  }
  _updateNodePaddingsLeft($nodesToUpdate) {
    let $nodes = $nodesToUpdate || this.$nodes();
    $nodes.each((index, element) => {
      let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(element);
      let node = $node.data('node');
      let paddingLeft = this._computeNodePaddingLeft(node);
      $node.cssPaddingLeft(_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(paddingLeft) ? '' : paddingLeft);
      node._updateControl($node.children('.tree-node-control'));
    });
  }
  setBreadcrumbStyleActive(active) {
    if (active) {
      this.setDisplayStyle(Tree.DisplayStyle.BREADCRUMB);
    } else {
      this.setDisplayStyle(Tree.DisplayStyle.DEFAULT);
    }
  }
  isNodeInBreadcrumbVisible(node) {
    return this._inSelectionPathList[node.id] === undefined ? false : this._inSelectionPathList[node.id];
  }
  isBreadcrumbStyleActive() {
    return this.displayStyle === Tree.DisplayStyle.BREADCRUMB;
  }
  setToggleBreadcrumbStyleEnabled(enabled) {
    this.setProperty('toggleBreadcrumbStyleEnabled', enabled);
  }
  setBreadcrumbTogglingThreshold(width) {
    this.setProperty('breadcrumbTogglingThreshold', width);
  }
  expandNode(node, opts) {
    this.setNodeExpanded(node, true, opts);
  }
  collapseNode(node, opts) {
    this.setNodeExpanded(node, false, opts);
  }
  collapseAll() {
    this.rebuildSuppressed = true;
    // Collapse all expanded child nodes (only model)
    this.visitNodes(node => this.collapseNode(node));
    if (this.rendered) {
      // ensure correct rendering
      this._rerenderViewport();
    }
    this.rebuildSuppressed = false;
  }
  setNodeExpanded(node, expanded, opts) {
    opts = opts || {};
    let lazy = opts.lazy;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(lazy)) {
      if (node.expanded === expanded) {
        // no state change: Keep the current "expandedLazy" state
        lazy = node.expandedLazy;
      } else if (expanded) {
        // collapsed -> expanded: Set the "expandedLazy" state to the node's "lazyExpandingEnabled" flag
        lazy = node.lazyExpandingEnabled;
      } else {
        // expanded -> collapsed: Set the "expandedLazy" state to false
        lazy = false;
      }
    }
    let renderAnimated = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.renderAnimated, true);
    // Never do lazy expansion if it is disabled on the tree
    if (!this.lazyExpandingEnabled) {
      lazy = false;
    }
    if (this.isBreadcrumbStyleActive()) {
      // Do not allow to collapse a selected node
      if (!expanded && this.selectedNodes.indexOf(node) > -1) {
        this.setNodeExpanded(node, true, opts);
        return;
      }
    }
    // Optionally collapse all children (recursively)
    if (opts.collapseChildNodes) {
      // Suppress render expansion
      let childOpts = _index__WEBPACK_IMPORTED_MODULE_0__.objects.valueCopy(opts);
      childOpts.renderExpansion = false;
      node.childNodes.forEach(childNode => {
        if (childNode.expanded) {
          this.collapseNode(childNode, childOpts);
        }
      });
    }
    let renderExpansionOpts = {
      expansionChanged: false,
      expandLazyChanged: false
    };
    // Set expansion state
    if (node.expanded !== expanded || node.expandedLazy !== lazy) {
      renderExpansionOpts.expansionChanged = node.expanded !== expanded;
      renderExpansionOpts.expandLazyChanged = node.expandedLazy !== lazy;
      node.expanded = expanded;
      node.expandedLazy = lazy;
      if (renderExpansionOpts.expansionChanged) {
        if (node.parentNode) {
          // ensure node is visible under the parent node if there is a parent.
          this._rebuildParent(node.parentNode, opts);
        } else if (node.filterAccepted) {
          this._addToVisibleFlatList(node, false);
        } else {
          this._removeFromFlatList(node, false);
        }
      } else if (renderExpansionOpts.expandLazyChanged) {
        this.applyFiltersForNode(node, false, renderAnimated);
      }
      if (this.groupedNodes[node.id]) {
        this._updateItemPath(false, node);
      }
      if (node.expanded) {
        node.ensureLoadChildren().done(this._addChildrenToFlatList.bind(this, node, null, renderAnimated, null, true /* required that ctrl+shift+add expands all rows of a table-page */));
      } else {
        this._removeChildrenFromFlatList(node, renderAnimated);
      }
      this.trigger('nodeExpanded', {
        node: node,
        expanded: expanded,
        expandedLazy: lazy
      });
      this.viewRangeDirty = true;
    }
    // Render expansion
    if (this.rendered && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.renderExpansion, true)) {
      this._renderExpansion(node, renderExpansionOpts);
    }
    if (this.rendered) {
      this.ensureExpansionVisible(node);
    }
  }
  setNodeExpandedRecursive(nodes, expanded, opts) {
    Tree.visitNodes(childNode => this.setNodeExpanded(childNode, expanded, opts), nodes);
  }
  _rebuildParent(node, opts) {
    if (this.rebuildSuppressed) {
      return;
    }
    if (node.expanded || node.expandedLazy) {
      this._addChildrenToFlatList(node, null, true, null, true /* required so that double-clicking a table-page-row expands the clicked child row */);
    } else {
      this._removeChildrenFromFlatList(node, false);
    }
    // Render expansion
    if (this.rendered && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(opts.renderExpansion, true)) {
      let renderExpansionOpts = {
        expansionChanged: true
      };
      this._renderExpansion(node, renderExpansionOpts);
    }
  }
  _removeChildrenFromFlatList(parentNode, animatedRemove) {
    // Only if a parent is available the children are available.
    if (this.visibleNodesMap[parentNode.id]) {
      let parentIndex = this.visibleNodesFlat.indexOf(parentNode);
      let elementsToDelete = 0;
      let parentLevel = parentNode.level;
      let removedNodes = [];
      animatedRemove = animatedRemove && this.rendered;
      if (this._$animationWrapper) {
        // Note: Do _not_ use finish() here! Although documentation states that it is "similar" to stop(true, true),
        // this does not seem to be the case. Implementations differ slightly in details. The effect is, that when
        // calling stop() the animation stops and the 'complete' callback is executed immediately. However, when calling
        // finish(), the callback is _not_ executed! (This may or may not be a bug in jQuery, I cannot tell...)
        this._$animationWrapper.stop(false, true);
      }
      this._$expandAnimationWrappers.forEach($wrapper => $wrapper.stop(false, true));
      for (let i = parentIndex + 1; i < this.visibleNodesFlat.length; i++) {
        if (this.visibleNodesFlat[i].level > parentLevel) {
          let node = this.visibleNodesFlat[i];
          if (this.isHorizontalScrollingEnabled()) {
            // if node is the node which defines the widest width then recalculate width for render
            if (node.width === this.maxNodeWidth) {
              this.maxNodeWidth = 0;
              this.nodeWidthDirty = true;
            }
          }
          delete this.visibleNodesMap[this.visibleNodesFlat[i].id];
          if (node.attached && animatedRemove) {
            if (!this._$animationWrapper) {
              this._$animationWrapper = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div class="animation-wrapper">').insertBefore(node.$node);
              this._$animationWrapper.data('parentNode', parentNode);
            }
            if (node.isDescendantOf(this._$animationWrapper.data('parentNode'))) {
              this._$animationWrapper.append(node.$node);
            }
            node.attached = false;
            node.displayBackup = node.$node.css('display');
            removedNodes.push(node);
          } else if (node.attached && !animatedRemove) {
            this.hideNode(node, false, false);
          }
          elementsToDelete++;
        } else {
          break;
        }
      }
      this.visibleNodesFlat.splice(parentIndex + 1, elementsToDelete);
      // animate closing
      if (animatedRemove) {
        // don't animate while rendering (not necessary, or may even lead to timing issues)
        this._renderViewportBlocked = true;
        if (removedNodes.length > 0) {
          this._$animationWrapper.animate({
            height: 0
          }, {
            start: this.startAnimationFunc,
            complete: onAnimationComplete.bind(this, removedNodes),
            step: () => this.revalidateLayoutTree(),
            duration: 200,
            queue: false
          });
        } else if (this._$animationWrapper) {
          this._$animationWrapper.remove();
          this._$animationWrapper = null;
          onAnimationComplete.call(this, removedNodes);
        } else {
          this._renderViewportBlocked = false;
        }
      }
      return removedNodes;
    }
    return [];
    // ----- Helper functions -----
    function onAnimationComplete(affectedNodes) {
      affectedNodes.forEach(node => {
        node.$node.detach();
        node.$node.css('display', node.displayBackup);
        node.displayBackup = null;
      });
      if (this._$animationWrapper) {
        this._$animationWrapper.remove();
        this._$animationWrapper = null;
      }
      this.runningAnimationsFinishFunc();
    }
  }
  _removeFromFlatList(node, animatedRemove) {
    if (this.visibleNodesMap[node.id]) {
      let index = this.visibleNodesFlat.indexOf(node);
      this._removeChildrenFromFlatList(node, false);
      if (this.isHorizontalScrollingEnabled()) {
        // if node is the node which defines the widest width then recalculate width for render
        if (node.width === this.maxNodeWidth) {
          this.maxNodeWidth = 0;
          this.nodeWidthDirty = true;
        }
      }
      this.visibleNodesFlat.splice(index, 1);
      delete this.visibleNodesMap[node.id];
      this.hideNode(node, animatedRemove);
    }
  }
  _addToVisibleFlatList(node, renderingAnimated) {
    // if node already is in visible list don't do anything. If no parentNode is available this node is on toplevel, if a parent is available
    // it has to be in visible list and also be expanded
    if (!this.visibleNodesMap[node.id] && node.filterAccepted && (!node.parentNode || node.parentNode.expanded && this.visibleNodesMap[node.parentNode.id])) {
      if (this.initialTraversing) {
        // for faster index calculation
        this._addToVisibleFlatListNoCheck(node, this.visibleNodesFlat.length, renderingAnimated);
      } else {
        let insertIndex = this._findInsertPositionInFlatList(node);
        this._addToVisibleFlatListNoCheck(node, insertIndex, renderingAnimated);
      }
    }
  }
  // TODO [7.0] CGU applies to all the add/remove to/from flat list methods:
  // Is it really necessary to update dom on every operation? why not just update the list and renderViewport at the end?
  // The update of the flat list is currently implemented quite complicated -> it should be simplified.
  // And: because add to flat list renders all the children the rendered node count is greater than the viewRangeSize until
  // the layout renders the viewport again -> this must not happen (can be seen when a node gets expanded)
  _addChildrenToFlatList(parentNode, parentIndex, animatedRendering, insertBatch, forceFilter) {
    // add nodes recursively
    if (!this.visibleNodesMap[parentNode.id]) {
      return 0;
    }
    let isSubAdding = Boolean(insertBatch);
    parentIndex = parentIndex ? parentIndex : this.visibleNodesFlat.indexOf(parentNode);
    animatedRendering = animatedRendering && this.rendered; // don't animate while rendering (not necessary, or may even lead to timing issues)
    if (this._$animationWrapper && !isSubAdding) {
      // Note: Do _not_ use finish() here! Although documentation states that it is "similar" to stop(true, true),
      // this does not seem to be the case. Implementations differ slightly in details. The effect is, that when
      // calling stop() the animation stops and the 'complete' callback is executed immediately. However, when calling
      // finish(), the callback is _not_ executed! (This may or may not be a bug in jQuery, I cannot tell...)
      this._$animationWrapper.stop(false, true);
    }
    if (insertBatch) {
      insertBatch.setInsertAt(parentIndex);
    } else {
      insertBatch = this.newInsertBatch(parentIndex + 1);
    }
    parentNode.childNodes.forEach((node, index) => {
      if (!node.initialized) {
        return;
      }
      if (node.filterDirty || forceFilter) {
        // Remove nodes that are not visible anymore but don't add new nodes, they will be added by the insert batch
        let result = this.applyFiltersForNode(node, false);
        result.newlyHidden.forEach(node => this._removeFromFlatList(node, false));
      }
      if (!node.filterAccepted) {
        return;
      }
      let insertIndex,
        isAlreadyAdded = this.visibleNodesMap[node.id];
      if (isAlreadyAdded) {
        this.insertBatchInVisibleNodes(insertBatch, this._showNodes(insertBatch), animatedRendering);
        // Animate rendering is always false because it would generate a bunch of animation wrappers which stay forever without really starting an animation...
        this.checkAndHandleBatchAnimationWrapper(parentNode, false, insertBatch);
        insertBatch = this.newInsertBatch(insertBatch.nextBatchInsertIndex());
        insertBatch = this._addChildrenToFlatListIfExpanded(1, node, insertIndex, animatedRendering, insertBatch, forceFilter);
      } else {
        insertBatch.insertNodes.push(node);
        this.visibleNodesMap[node.id] = true;
        insertBatch = this.checkAndHandleBatch(insertBatch, parentNode, animatedRendering);
        insertBatch = this._addChildrenToFlatListIfExpanded(0, node, insertIndex, animatedRendering, insertBatch, forceFilter);
      }
    });
    if (!isSubAdding) {
      // animation is not done yet and all added nodes are in visible range
      this.insertBatchInVisibleNodes(insertBatch, this._showNodes(insertBatch), animatedRendering);
      this.invalidateLayoutTree();
    }
    return insertBatch;
  }
  /**
   * Checks if the given node is expanded, and if that's the case determine the insert index of the node and add its children to the flat list.
   *
   * @param indexOffset either 0 or 1, offset is added to the insert index
   */
  _addChildrenToFlatListIfExpanded(indexOffset, node, insertIndex, animatedRendering, insertBatch, forceFilter) {
    if (node.expanded && node.childNodes.length) {
      if (insertBatch.containsNode(node.parentNode) || insertBatch.length() > 1) {
        // if parent node is already in the batch, do not change the insertIndex,
        // only append child nodes below that parent node
        // Also, if the batch is not empty (i.e. contains more nodes than the current node),
        // the insert index was already calculated previously and must not be changed.
        insertIndex = insertBatch.insertAt();
      } else {
        insertIndex = this._findInsertPositionInFlatList(node);
      }
      insertIndex += indexOffset;
      insertBatch = this._addChildrenToFlatList(node, insertIndex, animatedRendering, insertBatch, forceFilter);
    }
    return insertBatch;
  }
  _showNodes(insertBatch) {
    return this.viewRangeRendered.from + this.viewRangeSize >= insertBatch.lastBatchInsertIndex() && this.viewRangeRendered.from <= insertBatch.lastBatchInsertIndex();
  }
  /**
   * This function tries to find the correct insert position within the flat list for the given node.
   * The function must consider the order of child nodes in the original tree structure and then check
   * where in the flat list this position is.
   */
  _findInsertPositionInFlatList(node) {
    let childNodes,
      parentNode = node.parentNode;
    // use root nodes as nodes when no other parent node is available (root case)
    if (parentNode) {
      childNodes = parentNode.childNodes;
    } else {
      childNodes = this.nodes;
    }
    // find all visible siblings for our node (incl. our own node, which is probably not yet
    // in the visible nodes map)
    let thatNode = node;
    let siblings = childNodes.filter(node => {
      return Boolean(this.visibleNodesMap[node.id]) || node === thatNode;
    });
    // when there are no visible siblings, insert below the parent node
    if (siblings.length === 0) {
      return this._findPositionInFlatList(parentNode) + 1;
    }
    let nodePos = siblings.indexOf(node);
    // when there are no prev. siblings in the flat list, insert below the parent node
    if (nodePos === 0) {
      return this._findPositionInFlatList(parentNode) + 1;
    }
    let prevSiblingNode = siblings[nodePos - 1];
    let prevSiblingPos = this._findPositionInFlatList(prevSiblingNode);
    // when the prev. sibling is not in the flat list, insert below the parent node
    if (prevSiblingPos === -1) {
      return this._findPositionInFlatList(parentNode) + 1;
    }
    // find the index of the last child element of our prev. sibling node
    // that's where we want to insert the new node. We go down the flat list
    // starting from the prev. sibling node, until we hit a node that does not
    // belong to the subtree of the prev. sibling node.
    let i, checkNode;
    for (i = prevSiblingPos; i < this.visibleNodesFlat.length; i++) {
      checkNode = this.visibleNodesFlat[i];
      if (!this._isInSameSubTree(prevSiblingNode, checkNode)) {
        return i;
      }
    }
    // insert at the end of the list
    return this.visibleNodesFlat.length;
  }
  _findPositionInFlatList(node) {
    return this.visibleNodesFlat.indexOf(node);
  }
  /**
   * Checks whether the given checkNode belongs to the same subtree (or is) the given node.
   * The function goes up all parentNodes of the checkNode.
   *
   * @param node which is used to for the subtree comparison
   * @param checkNode node which is checked against the given node
   */
  _isInSameSubTree(node, checkNode) {
    do {
      if (checkNode === node || checkNode.parentNode === node) {
        return true;
      }
      checkNode = checkNode.parentNode;
    } while (checkNode);
    return false;
  }
  /**
   * Returns true if the given node is a child of one of the selected nodes.
   * The functions goes up the parent node hierarchy.
   *
   * @param node to check
   */
  isChildOfSelectedNodes(node) {
    while (node) {
      if (this.selectedNodes.indexOf(node.parentNode) > -1) {
        return true;
      }
      node = node.parentNode;
    }
    return false;
  }
  /**
   * Info: the object created here is a bit weird: the array 'insertNodes' is used as function arguments to the Array#splice function at some point.
   * The signature of that function is: array.splice(index, deleteCount[, element1[,  element2 [, ...]]])
   * So the first two elements are numbers and all the following elements are TreeNodes or Pages.
   */
  newInsertBatch(insertIndex) {
    return {
      insertNodes: [insertIndex, 0],
      // second element is always 0 (used as argument for deleteCount in Array#splice)
      $animationWrapper: null,
      lastBatchInsertIndex: function () {
        if (this.isEmpty()) {
          return this.insertAt();
        }
        return this.insertAt() + this.insertNodes.length - 3;
      },
      nextBatchInsertIndex: function () {
        // only NBU knows what this means
        return this.lastBatchInsertIndex() + (this.isEmpty() ? 1 : 2);
      },
      isEmpty: function () {
        return this.insertNodes.length === 2;
      },
      length: function () {
        return this.insertNodes.length - 2;
      },
      insertAt: function () {
        return this.insertNodes[0];
      },
      setInsertAt: function (insertAt) {
        this.insertNodes[0] = insertAt;
      },
      containsNode: function (node) {
        return this.insertNodes.indexOf(node) !== -1;
      }
    };
  }
  checkAndHandleBatchAnimationWrapper(parentNode, animatedRendering, insertBatch) {
    if (animatedRendering && this.viewRangeRendered.from <= insertBatch.lastBatchInsertIndex() && this.viewRangeRendered.to >= insertBatch.lastBatchInsertIndex() && !insertBatch.$animationWrapper) {
      // we are in visible area, so we need an animation wrapper
      // if parent is in visible area insert after parent else insert before first node.
      let lastNodeIndex = insertBatch.lastBatchInsertIndex() - 1,
        nodeBefore = this.viewRangeRendered.from === insertBatch.lastBatchInsertIndex() ? null : this.visibleNodesFlat[lastNodeIndex];
      if (nodeBefore && lastNodeIndex >= this.viewRangeRendered.from && lastNodeIndex < this.viewRangeRendered.to && !nodeBefore.attached) {
        // ensure node before is visible
        this.showNode(nodeBefore, false, lastNodeIndex);
      }
      if (nodeBefore && nodeBefore.attached) {
        insertBatch.$animationWrapper = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div class="animation-wrapper">').insertAfter(nodeBefore.$node);
      } else if (parentNode.attached) {
        insertBatch.$animationWrapper = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div class="animation-wrapper">').insertAfter(parentNode.$node);
      } else if (this.$fillBefore) {
        insertBatch.$animationWrapper = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div class="animation-wrapper">').insertAfter(this.$fillBefore);
      } else {
        let nodeAfter = this.visibleNodesFlat[insertBatch.lastBatchInsertIndex()];
        insertBatch.$animationWrapper = jquery__WEBPACK_IMPORTED_MODULE_1___default()('<div class="animation-wrapper">').insertBefore(nodeAfter.$node);
      }
      insertBatch.animationCompleteFunc = onAnimationComplete;
      this._$expandAnimationWrappers.push(insertBatch.$animationWrapper);
    }
    // ----- Helper functions ----- //
    function onAnimationComplete() {
      insertBatch.$animationWrapper.replaceWith(insertBatch.$animationWrapper.contents());
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._$expandAnimationWrappers, insertBatch.$animationWrapper);
      insertBatch.$animationWrapper = null;
      this.runningAnimationsFinishFunc();
    }
  }
  checkAndHandleBatch(insertBatch, parentNode, animatedRendering) {
    if (this.viewRangeRendered.from - 1 === insertBatch.lastBatchInsertIndex()) {
      // do immediate rendering because list could be longer
      this.insertBatchInVisibleNodes(insertBatch, false, false);
      insertBatch = this.newInsertBatch(insertBatch.lastBatchInsertIndex() + 1);
    }
    this.checkAndHandleBatchAnimationWrapper(parentNode, animatedRendering, insertBatch);
    if (this.viewRangeRendered.from + this.viewRangeSize - 1 === insertBatch.lastBatchInsertIndex()) {
      // do immediate rendering because list could be longer
      this.insertBatchInVisibleNodes(insertBatch, true, animatedRendering);
      insertBatch = this.newInsertBatch(insertBatch.lastBatchInsertIndex() + 1);
    }
    return insertBatch;
  }
  insertBatchInVisibleNodes(insertBatch, showNodes, animate) {
    if (insertBatch.isEmpty()) {
      // nothing to add
      return;
    }
    // @ts-expect-error
    this.visibleNodesFlat.splice(...insertBatch.insertNodes);
    if (showNodes) {
      let indexHint = insertBatch.insertAt();
      for (let i = 2; i < insertBatch.insertNodes.length; i++) {
        let node = insertBatch.insertNodes[i];
        this.showNode(node, false, indexHint);
        if (insertBatch.$animationWrapper) {
          insertBatch.$animationWrapper.append(node.$node);
        }
        indexHint++;
      }
      if (insertBatch.$animationWrapper) {
        let h = insertBatch.$animationWrapper.outerHeight();
        insertBatch.$animationWrapper.css('height', 0).animate({
          height: h
        }, {
          start: this.startAnimationFunc,
          complete: insertBatch.animationCompleteFunc.bind(this),
          step: () => this.revalidateLayoutTree(),
          duration: 200,
          queue: false
        });
      }
    } else if (insertBatch.$animationWrapper && insertBatch.animationCompleteFunc) {
      insertBatch.animationCompleteFunc.call(this);
    }
  }
  _addToVisibleFlatListNoCheck(node, insertIndex, animatedRendering) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this.visibleNodesFlat, node, insertIndex);
    this.visibleNodesMap[node.id] = true;
    this.showNode(node, animatedRendering, insertIndex);
  }
  scrollTo(node, options) {
    if (this.viewRangeRendered.size() === 0) {
      // Cannot scroll to a node if no node is rendered
      return;
    }
    if (!node.attached) {
      this._renderViewRangeForNode(node);
    }
    if (!node.attached) {
      // Node may not be visible due to the filter -> don't try to scroll because it would fail
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo(this.$data, node.$node, options);
  }
  revealSelection() {
    if (!this.rendered) {
      // Execute delayed because tree may be not layouted yet
      this.session.layoutValidator.schedulePostValidateFunction(this.revealSelection.bind(this));
      return;
    }
    if (this.selectedNodes.length > 0) {
      if (!this.visibleNodesMap[this.selectedNodes[0].id]) {
        this._expandAllParentNodes(this.selectedNodes[0]);
      }
      this.scrollTo(this.selectedNodes[0]);
      this.ensureExpansionVisible(this.selectedNodes[0]);
    }
  }
  ensureExpansionVisible(node) {
    // only scroll if TreeNode is in dom and the current node is selected (user triggered expansion change)
    if (!node || !node.$node || this.selectedNodes[0] !== node) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.ensureExpansionVisible({
      element: node,
      $element: node.$node,
      $scrollable: this.get$Scrollable(),
      isExpanded: element => element.expanded,
      getChildren: parent => parent.childNodes.filter(node => node.filterAccepted),
      nodePaddingLevel: this.nodePaddingLevel,
      defaultChildHeight: this.nodeHeight
    });
  }
  deselectAll() {
    this.selectNodes([]);
  }
  /**
   * @param node the node to be selected. If no node is provided, the selection will be removed.
   */
  selectNode(node, debounceSend) {
    this.selectNodes(node, debounceSend);
  }
  /**
   * @param nodes the nodes to be selected. If no nodes are provided, the selection will be removed.
   */
  selectNodes(nodes, debounceSend) {
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes);
    // TODO [8.0] CGU Actually, the nodes should be filtered here so that invisible nodes may not be selected
    // But this is currently not possible because the LazyNodeFilter would not accept the nodes
    // We would have to keep track of the clicked nodes and check them in the lazy node filter (e.g. selectedNode.parentNode.lazySelectedChildNodes[selectedNode.id] = selectedNode).
    // But since this requires a change in setNodeExpanded as well we decided to not implement it until the TODO at _addChildrenToFlatList is solved
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equalsIgnoreOrder(nodes, this.selectedNodes)) {
      return;
    }
    if (this.rendered) {
      this._rememberScrollTopBeforeSelection();
      this._removeSelection();
    }
    if (this.prevSelectedNode) {
      this.prevSelectedNode.prevSelectionAnimationDone = false;
    }
    this.prevSelectedNode = this.selectedNodes[0];
    this._setSelectedNodes(nodes, debounceSend);
    if (this.rendered) {
      this._renderSelection();
      this._updateScrollTopAfterSelection();
    }
  }
  _rememberScrollTopBeforeSelection() {
    if (this.isBreadcrumbStyleActive()) {
      // Save the current scrollTop for future up navigation
      if (this.selectedNodes.length > 0) {
        this.scrollTopHistory[this.selectedNodes[0].level] = this.$data[0].scrollTop;
      }
    } else {
      // Clear history if user now works with tree to not get confused when returning to bc mode
      this.scrollTopHistory = [];
    }
  }
  _updateScrollTopAfterSelection() {
    if (!this.isBreadcrumbStyleActive()) {
      return;
    }
    let currentLevel = -1;
    if (this.selectedNodes.length > 0) {
      currentLevel = this.selectedNodes[0].level;
    }
    // Remove positions after the current level (no restore when going down, only when going up)
    this.scrollTopHistory.splice(currentLevel + 1);
    // Read the scroll top for the current level and use that one if it is set
    let scrollTopForLevel = this.scrollTopHistory[currentLevel];
    if (scrollTopForLevel >= 0) {
      this.setScrollTop(scrollTopForLevel);
    }
  }
  _setSelectedNodes(nodes, debounceSend) {
    // Make a copy so that original array stays untouched
    this.selectedNodes = nodes.slice();
    this._nodesSelectedInternal(nodes);
    this._triggerNodesSelected(debounceSend);
    if (this.selectedNodes.length > 0 && !this.visibleNodesMap[this.selectedNodes[0].id]) {
      this._expandAllParentNodes(this.selectedNodes[0]);
    }
    if (this.selectedNodes.length === 1) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithActiveDescendant(this.$container, this.selectedNodes[0].$node);
    }
    this._updateItemPath(true);
    if (this.isBreadcrumbStyleActive()) {
      // In breadcrumb mode selected node has to be expanded
      if (this.selectedNodes.length > 0 && !this.selectedNodes[0].expanded) {
        this.expandNode(this.selectedNodes[0]);
        this.selectedNodes[0].filterDirty = true;
      }
      this.filter();
    }
    this.session.onRequestsDone(this._updateMenuBar.bind(this));
  }
  /**
   * This method is overridden by subclasses of Tree. The default impl. does nothing.
   */
  _nodesSelectedInternal(nodes) {
    // NOP
  }
  deselectNode(node) {
    this.deselectNodes(node);
  }
  /**
   * @param nodes the nodes to deselect
   * @param options.collectChildren true to add the selected children to the list of nodes to deselect
   */
  deselectNodes(nodes, options) {
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes);
    options = options || {};
    if (options.collectChildren) {
      nodes = nodes.concat(this._collectNodesIfDescendants(nodes, this.selectedNodes));
    }
    let selectedNodes = this.selectedNodes.slice(); // copy
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(selectedNodes, nodes)) {
      this.selectNodes(selectedNodes);
    }
  }
  isNodeSelected(node) {
    return this.selectedNodes.indexOf(node) > -1;
  }
  _computeNodePaddingLeft(node) {
    this._computeNodePaddings();
    if (this.isBreadcrumbStyleActive()) {
      return this.nodePaddingLeft;
    }
    let padding = this.nodePaddingLeft + this._computeNodePaddingLeftForLevel(node);
    if (this.checkable) {
      padding += this.nodeCheckBoxPaddingLeft;
    }
    return padding;
  }
  /** @internal */
  _computeNodeControlPaddingLeft(node) {
    return this.nodeControlPaddingLeft + this._computeNodePaddingLeftForLevel(node);
  }
  _computeNodePaddingLeftForLevel(node) {
    if (this.checkable || !this.nodePaddingLevelDiffParentHasIcon) {
      return node.level * this.nodePaddingLevel;
    }
    let padding = 0;
    let parentNode = node.parentNode;
    while (parentNode) {
      padding += this.nodePaddingLevel;
      // Increase the padding if the parent node has an icon to make the hierarchy more clear
      // This is not necessary if the child nodes have icons as well, the padding even looks too big, as it is the case for checkable trees.
      // We only check the first child node for an icon because that one has the biggest impact on the hierarchy visualization. It also increases performance a little.
      if (parentNode.iconId && !parentNode.childNodes[0].iconId) {
        padding += this.nodePaddingLevelDiffParentHasIcon;
      }
      parentNode = parentNode.parentNode;
    }
    return padding;
  }
  /**
   * Reads the paddings from CSS and stores them in nodePaddingLeft and nodeControlPaddingLeft
   */
  _computeNodePaddings() {
    if (this.nodePaddingLeft !== null && this.nodeControlPaddingLeft !== null && this.nodePaddingLevelDiffParentHasIcon !== null) {
      return;
    }
    let $dummyNode = this.$data.appendDiv('tree-node');
    let $dummyNodeControl = $dummyNode.appendDiv('tree-node-control');
    if (this.nodePaddingLeft === null) {
      this.nodePaddingLeft = $dummyNode.cssPaddingLeft();
    }
    if (this.nodeControlPaddingLeft === null) {
      this.nodeControlPaddingLeft = $dummyNodeControl.cssPaddingLeft();
    }
    if (this.nodePaddingLevelDiffParentHasIcon === null) {
      this.nodePaddingLevelDiffParentHasIcon = this.$container.cssPxValue('--node-padding-level-diff-parent-has-icon');
    }
    $dummyNode.remove();
  }
  _expandAllParentNodes(node) {
    let i,
      currNode = node,
      parentNodes = [];
    currNode = node;
    let nodesToInsert = [];
    while (currNode.parentNode) {
      parentNodes.push(currNode.parentNode);
      if (!this.visibleNodesMap[currNode.id]) {
        nodesToInsert.push(currNode);
      }
      currNode = currNode.parentNode;
    }
    for (i = parentNodes.length - 1; i >= 0; i--) {
      if (nodesToInsert.indexOf(parentNodes[i]) !== -1) {
        this._addToVisibleFlatList(parentNodes[i], false);
      }
      if (!parentNodes[i].expanded) {
        this.expandNode(parentNodes[i], {
          renderExpansion: false,
          renderAnimated: false
        });
      }
    }
    if (this.rendered && nodesToInsert.length > 0) {
      this._rerenderViewport();
      this.invalidateLayoutTree();
    }
  }
  _updateChildNodeIndex(nodes, startIndex) {
    if (!nodes || !nodes.length) {
      return;
    }
    for (let i = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(startIndex, 0); i < nodes.length; i++) {
      nodes[i].childNodeIndex = i;
    }
  }
  /**
   * Inserts the given node at the end of the existing {@link nodes} resp. at the end of the existing {@link TreeNode.childNodes} if a parentNode is provided.
   *
   * @see insertNodes
   */
  insertNode(node, parentNode, index) {
    this.insertNodes([node], parentNode, index);
  }
  /**
   * Inserts the given nodes at the end of the existing {@link nodes} resp. at the end of the existing {@link TreeNode.childNodes} if a parentNode is provided.
   *
   * If an index is provided, the new nodes will be inserted at that position.
   * Alternatively, each node can specify a {@link TreeNode.childNodeIndex}.
   * If a node provides a {@link TreeNode.childNodeIndex}, it will be inserted at that position.
   * Other nodes without a {@link TreeNode.childNodeIndex} will still be inserted at the end.
   *
   * @param nodes the new nodes to be added.
   * @param parentNode if provided, the new nodes will be added to that parent (into {@link TreeNode.childNodes}), otherwise they will be added as root nodes (into {@link nodes}).
   * @param index if provided, the new nodes will be added at that position in {@link TreeNode.childNodes} of the provided parentNode resp. in {@link nodes} if no parent is provided.
   *    If one of the new nodes specifies a {@link TreeNode.childNodeIndex}, it will be ignored and replaced by the calculated one based on the provided index.
   */
  insertNodes(nodes, parentNode, index) {
    let nodesArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).slice();
    if (nodesArray.length === 0) {
      return;
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(index)) {
      nodesArray.forEach(node => {
        node.childNodeIndex = index++;
      });
    }
    this.ensureTreeNodes(nodesArray, parentNode);
    let treeNodes = nodesArray;
    if (parentNode && !(parentNode instanceof _index__WEBPACK_IMPORTED_MODULE_0__.TreeNode)) {
      throw new Error('parent has to be a tree node: ' + parentNode);
    }
    // Append continuous node blocks
    treeNodes.sort((a, b) => a.childNodeIndex - b.childNodeIndex);
    // Update parent with new child nodes
    if (parentNode) {
      if (parentNode.childNodes.length > 0) {
        treeNodes.forEach(entry => {
          // only insert node if not already existing
          if (parentNode.childNodes.indexOf(entry) < 0) {
            _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(parentNode.childNodes, entry, entry.childNodeIndex);
          }
        });
        this._updateChildNodeIndex(parentNode.childNodes, treeNodes[0].childNodeIndex);
      } else {
        treeNodes.forEach(entry => parentNode.childNodes.push(entry));
      }
      this._initNodes(treeNodes, parentNode);
      if (this.groupedNodes[parentNode.id]) {
        this._updateItemPath(false, parentNode);
      }
      if (this.rendered) {
        let opts = {
          expansionChanged: true
        };
        this._renderExpansion(parentNode, opts);
        this.ensureExpansionVisible(parentNode);
      }
    } else {
      if (this.nodes.length > 0) {
        treeNodes.forEach(entry => {
          // only insert node if not already existing
          if (this.nodes.indexOf(entry) < 0) {
            _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insert(this.nodes, entry, entry.childNodeIndex);
          }
        });
        this._updateChildNodeIndex(this.nodes, treeNodes[0].childNodeIndex);
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(this.nodes, treeNodes);
      }
      this._initNodes(treeNodes, parentNode);
    }
    if (this.rendered) {
      this.viewRangeDirty = true;
      this.invalidateLayoutTree();
    }
    this.trigger('nodesInserted', {
      nodes: treeNodes,
      parentNode: parentNode
    });
  }
  updateNode(node) {
    this.updateNodes([node]);
  }
  updateNodes(nodes) {
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes);
    if (nodes.length === 0) {
      return;
    }
    let updatedNodes = [];
    nodes.forEach(updatedNode => {
      let propertiesChanged;
      let oldNode = this.nodesMap[updatedNode.id];
      // if same instance has been updated we must set the flag always to true
      // because we cannot compare against an "old" node
      if (updatedNode === oldNode) {
        propertiesChanged = true;
      } else {
        propertiesChanged = this._applyUpdatedNodeProperties(oldNode, updatedNode);
      }
      if (propertiesChanged) {
        this.applyFiltersForNode(oldNode);
        this._updateItemPath(false, oldNode.parentNode);
        if (this.rendered) {
          oldNode._decorate();
        }
      }
      updatedNodes.push(oldNode);
    });
    this.trigger('nodesUpdated', {
      nodes: updatedNodes
    });
  }
  /**
   * Called by _onNodesUpdated for every updated node. The function is expected to apply
   * all updated properties from the updatedNode to the oldNode. May be overridden by
   * subclasses so update their specific node properties.
   *
   * @param oldNode
   *          The target node to be updated
   * @param updatedNode
   *          The new node with potentially updated properties. Default values are already applied!
   * @returns
   *          true if at least one property has changed, false otherwise. This value is used to
   *          determine if the node has to be rendered again.
   */
  _applyUpdatedNodeProperties(oldNode, updatedNode) {
    // Note: We only update _some_ of the properties, because everything else will be handled
    // with separate events. --> See also: JsonTree.java/handleModelNodesUpdated()
    let propertiesChanged = false;
    if (oldNode.leaf !== updatedNode.leaf) {
      oldNode.leaf = updatedNode.leaf;
      propertiesChanged = true;
    }
    if (oldNode.enabled !== updatedNode.enabled) {
      oldNode.enabled = updatedNode.enabled;
      propertiesChanged = true;
    }
    if (oldNode.lazyExpandingEnabled !== updatedNode.lazyExpandingEnabled) {
      oldNode.lazyExpandingEnabled = updatedNode.lazyExpandingEnabled;
      // Also make sure expandedLazy is reset to false when lazyExpanding is disabled (same code as in AbstractTreeNode.setLazyExpandingEnabled)
      if (!updatedNode.lazyExpandingEnabled || !this.lazyExpandingEnabled) {
        oldNode.expandedLazy = false;
      }
      propertiesChanged = true;
    }
    return propertiesChanged;
  }
  deleteNode(node, parentNode) {
    this.deleteNodes([node], parentNode);
  }
  deleteAllNodes() {
    this.deleteAllChildNodes();
  }
  /**
   * @param nodes the nodes to be deleted. If no nodes are provided, nothing will happen.
   * @param parentNode the parent node that contains the nodes to be deleted. This is completely optional because each node knows its parent.
   *    If provided, an exception will occur if one of the given node has a different parent.
   */
  deleteNodes(nodes, parentNode) {
    let deletedNodes = [];
    let parentNodesToReindex = [];
    let topLevelNodesToReindex = [];
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).slice(); // copy
    if (nodes.length === 0) {
      return;
    }
    nodes.forEach(node => {
      let p = parentNode || node.parentNode;
      if (p) {
        if (node.parentNode !== p) {
          throw new Error('Unexpected parent. Node.parent: ' + node.parentNode + ', parentNode: ' + parentNode);
        }
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(p.childNodes, node);
        if (parentNodesToReindex.indexOf(p) === -1) {
          parentNodesToReindex.push(p);
        }
      } else {
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.nodes, node);
        topLevelNodesToReindex = this.nodes;
      }
      this._destroyTreeNode(node);
      deletedNodes.push(node);
      this._updateMarkChildrenChecked(node);
      // remove children from node map
      Tree.visitNodes(this._destroyTreeNode.bind(this), node.childNodes);
    });
    // update child node indices
    parentNodesToReindex.forEach(p => this._updateChildNodeIndex(p.childNodes));
    this._updateChildNodeIndex(topLevelNodesToReindex);
    this.deselectNodes(deletedNodes, {
      collectChildren: true
    });
    this.uncheckNodes(deletedNodes, {
      collectChildren: true
    });
    // remove node from html document
    if (this.rendered) {
      this._removeNodes(deletedNodes, parentNode || parentNodesToReindex);
    }
    this.trigger('nodesDeleted', {
      nodes: nodes,
      parentNode: parentNode
    });
  }
  _collectNodesIfDescendants(nodes, nodesToCheck) {
    let result = [];
    nodesToCheck.forEach(nodeToCheck => {
      if (nodes.some(node => node.isAncestorOf(nodeToCheck))) {
        result.push(nodeToCheck);
      }
    });
    return result;
  }
  deleteAllChildNodes(parentNode) {
    let nodes;
    if (parentNode) {
      nodes = parentNode.childNodes;
      parentNode.childNodes = [];
    } else {
      nodes = this.nodes;
      this.nodes = [];
    }
    Tree.visitNodes(updateNodeMap.bind(this), nodes);
    this.deselectNodes(nodes, {
      collectChildren: true
    });
    this.uncheckNodes(nodes, {
      collectChildren: true
    });
    // remove node from html document
    if (this.rendered) {
      this._removeNodes(nodes, parentNode);
    }
    this.trigger('allChildNodesDeleted', {
      parentNode: parentNode
    });
    // --- Helper functions ---
    // Update model and nodeMap
    function updateNodeMap(node) {
      this._destroyTreeNode(node);
      this._updateMarkChildrenChecked(node);
    }
  }
  updateNodeOrder(childNodes, parentNode) {
    childNodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(childNodes);
    this._updateChildNodeIndex(childNodes);
    if (parentNode) {
      if (parentNode.childNodes.length !== childNodes.length) {
        throw new Error('Node order may not be updated because lengths of the arrays differ.');
      }
      // Make a copy so that original array stays untouched
      parentNode.childNodes = childNodes.slice();
      this._removeChildrenFromFlatList(parentNode, false);
      if (parentNode.expanded) {
        this._addChildrenToFlatList(parentNode, null, false);
      }
    } else {
      if (this.nodes.length !== childNodes.length) {
        throw new Error('Node order may not be updated because lengths of the arrays differ.');
      }
      // Make a copy so that original array stays untouched
      this.nodes = childNodes.slice();
      this.nodes.forEach(node => {
        this._removeFromFlatList(node, false);
        this._addToVisibleFlatList(node, false);
        if (node.expanded) {
          this._addChildrenToFlatList(node, null, false);
        }
      });
    }
    this.trigger('childNodeOrderChanged', {
      parentNode: parentNode
    });
  }
  checkNode(node, checked, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(options, {
      checked: checked
    });
    this.checkNodes([node], opts);
  }
  checkNodes(nodes, options) {
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).filter(e => !!e); // Filter empty array elements
    if (!nodes.length) {
      return;
    }
    // Build options
    let opts = {
      checked: true,
      checkOnlyEnabled: true,
      checkChildren: this.autoCheckChildren,
      triggerNodesChecked: true
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(opts, options);
    // use enabled computed because when the parent of the table is disabled, it should not be allowed to check rows
    if (!this.checkable || !this.enabledComputed && opts.checkOnlyEnabled) {
      return;
    }
    let updatedNodes = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCheckNodesResult();
    nodes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(nodes).filter(e => !!e); // Filter empty array elements
    // Handle single selection
    if (!this.multiCheck) {
      let uncheckedNodes = this._uncheckAll();
      updatedNodes.add(uncheckedNodes);
      if (opts.checkChildren) {
        // The configuration of this property and no multiCheck does not make sense.
        // All nodes will be unselected and no new node is selected.
        nodes = []; // Like a return but with render, does not run through the forEach
      }
    }
    nodes.forEach(node => {
      // Step 1: Update this node, if possible
      let update = this._checkNode(node, opts.checked, opts.checkOnlyEnabled);
      updatedNodes.add(update);
      // Step 2: Update child nodes when necessary
      if (opts.checkChildren && this.multiCheck) {
        let updatedChildren = this._checkChildrenRecursive(node, opts);
        updatedNodes.add(updatedChildren);
      }
      // Step 3: Update parent nodes
      let updatedParents = this._checkParentsRecursive(node, true);
      updatedNodes.add(updatedParents);
    });
    // Trigger events and render
    this._processTreeCheckNodesResult(updatedNodes, opts.triggerNodesChecked);
  }
  _checkChildrenRecursive(parentNode, opts) {
    let updatedNodes = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCheckNodesResult();
    let hasDisabledNodes = !this._isNodeEditable(parentNode, opts.checkOnlyEnabled);
    parentNode.childNodes.forEach(node => {
      // Update node if possible
      let update = this._checkNode(node, opts.checked, opts.checkOnlyEnabled);
      updatedNodes.add(update);
      // Remove children checked status
      let editable = this._isNodeEditable(node, opts.checkOnlyEnabled);
      if (node.childrenChecked && editable) {
        node.childrenChecked = false;
        updatedNodes.addNodeForRendering(node);
      }
      // Go down recursive to check its children
      updatedNodes.add(this._checkChildrenRecursive(node, opts));
      // If this node is not editable, the parent node has to re-validate its state
      if (!editable) {
        hasDisabledNodes = true;
      }
    });
    if (hasDisabledNodes) {
      let updatedParents = this._checkParentsRecursive(parentNode);
      updatedNodes.add(updatedParents);
    }
    return updatedNodes;
  }
  _checkParentsRecursive(node) {
    let checkParentsAnyways = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    let updatedNodes = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCheckNodesResult();
    let autoCheckChildren = this.autoCheckChildren;
    let children = node.childNodes;
    let childrenCount = children.length;
    let childrenCheckedCount = children.filter(n => n.checked || n.childrenChecked).length;
    let childrenFullyCheckedCount = children.filter(n => n.checked && !n.childrenChecked).length;
    // No children present
    if (childrenCount === 0) {
      // Jump directly to its parent, when available
      if (node.parentNode) {
        return this._checkParentsRecursive(node.parentNode);
      }
      return updatedNodes;
    }
    // No child checked
    if (childrenCheckedCount === 0 && node.childrenChecked) {
      node.childrenChecked = false;
      updatedNodes.addNodeForRendering(node);
    }
    if (autoCheckChildren && childrenCheckedCount === 0) {
      let update = this._checkNode(node, false, false);
      updatedNodes.add(update);
    }
    // Some children checked (but in child_and_parent mode, not all children may be selected)
    if (childrenCheckedCount > 0 && !node.childrenChecked && !(autoCheckChildren && childrenFullyCheckedCount === childrenCount)) {
      node.childrenChecked = true;
      updatedNodes.addNodeForRendering(node);
      if (autoCheckChildren) {
        let update = this._checkNode(node, false, false);
        updatedNodes.add(update);
      }
    }
    // All children checked
    if (childrenFullyCheckedCount === childrenCount && autoCheckChildren) {
      let update = this._checkNode(node, true, false);
      updatedNodes.add(update);
      if (node.childrenChecked) {
        node.childrenChecked = false; // Only on partly selected nodes
        updatedNodes.addNodeForRendering(node);
      }
    }
    // Update parent, if this node has been updated or checkParentsAnyways flag is set
    if ((updatedNodes.getNodesForRendering().length > 0 || checkParentsAnyways) && node.parentNode) {
      let parentUpdatedNodes = this._checkParentsRecursive(node.parentNode);
      updatedNodes.add(parentUpdatedNodes);
    }
    return updatedNodes;
  }
  _checkNode(node, check) {
    let checkOnlyEnabledNodes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    let update = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCheckNodesResult();
    // Do nothing when node is already checked or is not editable
    if (node.checked === check || !this._isNodeEditable(node, checkOnlyEnabledNodes)) {
      return update;
    }
    node.checked = check;
    update.addNodeForRenderingAndEventTrigger(node);
    if (check) {
      this.checkedNodes.push(node);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.checkedNodes, node);
    }
    return update;
  }
  _uncheckAll() {
    let updatedNodes = new _index__WEBPACK_IMPORTED_MODULE_0__.TreeCheckNodesResult();
    let checkedNodes = [...this.checkedNodes]; // Create copy, array may be modified
    for (let i = 0; i < checkedNodes.length; i++) {
      let node = checkedNodes[i];
      node.checked = false;
      node.childrenChecked = false;
      updatedNodes.add(this._checkParentsRecursive(node));
      updatedNodes.addNodeForRenderingAndEventTrigger(node);
    }
    this.checkedNodes = [];
    return updatedNodes;
  }
  _isNodeEditable(node) {
    let checkOnlyEnabled = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return (checkOnlyEnabled ? node.enabled : true) && node.filterAccepted;
  }
  uncheckNode(node, options) {
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({
      checkOnlyEnabled: true
    }, options);
    this.uncheckNodes([node], opts);
  }
  /**
   * @param nodes the nodes to uncheck
   */
  uncheckNodes(nodes, options) {
    let opts = {
      checked: false,
      collectChildren: false
    };
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(opts, options);
    if (opts.collectChildren) {
      nodes = nodes.concat(this._collectNodesIfDescendants(nodes, this.checkedNodes));
    }
    this.checkNodes(nodes, opts);
  }
  _triggerNodesSelected(debounce) {
    this.trigger('nodesSelected', {
      debounce: debounce
    });
  }
  _showContextMenu(event) {
    let func = function (event) {
      if (!this.rendered) {
        // check needed because function is called asynchronously
        return;
      }
      let filteredMenus = this._filterMenus(this.menus, _index__WEBPACK_IMPORTED_MODULE_0__.MenuDestinations.CONTEXT_MENU, true),
        $part = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
      if (filteredMenus.length === 0) {
        return; // at least one menu item must be visible
      }
      // Prevent firing of 'onClose'-handler during contextMenu.open()
      // (Can lead to null-access when adding a new handler to this.contextMenu)
      if (this.contextMenu) {
        this.contextMenu.close();
      }
      this.contextMenu = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup, {
        parent: this,
        menuItems: filteredMenus,
        location: {
          x: event.pageX,
          y: event.pageY
        },
        $anchor: $part,
        menuFilter: this._filterMenusHandler
      });
      this.contextMenu.open();
    };
    this.session.onRequestsDone(func.bind(this), event);
  }
  /** @internal */
  _onNodeMouseDown(event) {
    this._doubleClickSupport.mousedown(event);
    if (this._doubleClickSupport.doubleClicked()) {
      // don't execute on double click events
      return false;
    }
    let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let node = $node.data('node');
    if (!this.hasNode(node)) {
      // if node does not belong to this tree, do nothing (may happen if another tree is embedded inside the node)
      return;
    }
    this._$mouseDownNode = $node;
    $node.window().one('mouseup', () => {
      this._$mouseDownNode = null;
    });
    this.selectNodes(node);
    if (this.checkable && node.enabled && this._isCheckboxClicked(event)) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().loosesFocusIfPseudoElementIsRemoved()) {
        this.focusAndPreventDefault(event);
      }
      this.checkNode(node, !node.checked);
    }
    return true;
  }
  /** @internal */
  _onNodeMouseUp(event) {
    if (this._doubleClickSupport.doubleClicked()) {
      // don't execute on double click events
      return false;
    }
    let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let node = $node.data('node');
    if (!this._$mouseDownNode || this._$mouseDownNode[0] !== $node[0]) {
      // Don't accept if mouse up happens on another node than mouse down, or mousedown didn't happen on a node at all
      return;
    }
    this.trigger('nodeClick', {
      node: node
    });
    return true;
  }
  _isCheckboxClicked(event) {
    // with CheckableStyle.CHECKBOX_TREE_NODE a click anywhere on the node should trigger the check
    if (this.isTreeNodeCheckEnabled()) {
      return true;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target).is('.check-box');
  }
  _updateItemPath(selectionChanged, ultimate) {
    let selectedNodes, node, level;
    if (selectionChanged) {
      // first remove and select the selected
      this.groupedNodes = {};
      this._inSelectionPathList = {};
    }
    if (!ultimate) {
      // find direct children
      selectedNodes = this.selectedNodes;
      if (selectedNodes.length === 0) {
        return;
      }
      node = selectedNodes[0];
      if (selectionChanged) {
        this._inSelectionPathList[node.id] = true;
        if (node.childNodes) {
          node.childNodes.forEach(child => {
            this._inSelectionPathList[child.id] = true;
          });
        }
      }
      level = node.level;
      // find grouping end (ultimate parent)
      while (node.parentNode) {
        let parent = node.parentNode;
        if (this._isGroupingEnd(parent) && !ultimate) {
          ultimate = node;
          if (!selectionChanged) {
            break;
          }
        }
        if (selectionChanged) {
          this._inSelectionPathList[parent.id] = true;
        }
        node = parent;
      }
      // find group with same ultimate parent
      ultimate = ultimate || selectedNodes[0];
      this.groupedNodes[ultimate.id] = true;
    }
    node = ultimate;
    if (node && node.expanded && this.groupedNodes[node.id]) {
      addToGroup.call(this, node.childNodes);
    }
    // ------ helper function ------//
    function addToGroup(nodes) {
      nodes.forEach(node => {
        this.groupedNodes[node.id] = true;
        node._decorate();
        if (node.filterDirty) {
          this.applyFiltersForNode(node);
        }
        if (node.expanded && node.filterAccepted) {
          addToGroup.call(this, node.childNodes);
        }
      });
    }
  }
  _isGroupingEnd(node) {
    // May be implemented by subclasses, default tree has no grouping parent
    return false;
  }
  /**
   * @returns the first selected node or null when no node is selected.
   */
  selectedNode() {
    if (this.selectedNodes.length === 0) {
      return null;
    }
    return this.selectedNodes[0];
  }
  $selectedNodes() {
    return this.$data.find('.selected');
  }
  $nodes() {
    return this.$data.find('.tree-node');
  }
  /**
   * @param filter The filters to add.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  addFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.addFilter(filter, applyFilter);
  }
  /**
   * @param filter The filters to remove.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  removeFilter(filter) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.removeFilter(filter, applyFilter);
  }
  /**
   * @param filters The new filters.
   * @param applyFilter Whether to apply the filters after modifying the filter list or not. Default is true.
   */
  setFilters(filters) {
    let applyFilter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    this.filterSupport.setFilters(filters, applyFilter);
  }
  filter() {
    this.filterSupport.filter();
  }
  _filter() {
    let newlyHidden = [],
      newlyShown = [];
    // Filter nodes
    this.nodes.forEach(node => {
      let result = this.applyFiltersForNode(node, false, this.filterAnimated);
      newlyHidden.push(...result.newlyHidden);
      newlyShown.push(...result.newlyShown);
    });
    return {
      newlyHidden: newlyHidden,
      newlyShown: newlyShown
    };
  }
  updateFilteredElements(result, opts) {
    if (!this.filteredElementsDirty) {
      return;
    }
    if (opts.textFilterText) {
      this.nodesByIds(Object.keys(this.nodesMap)).filter(it => it.filterAccepted).forEach(node => this._expandAllParentNodes(node));
    }
    result.newlyShown.forEach(node => this._addToVisibleFlatList(node, this.filterAnimated));
    result.newlyHidden.forEach(node => this._removeFromFlatList(node, this.filterAnimated));
    this.filteredElementsDirty = false;
  }
  filterVisibleNodes(animated) {
    // Filter nodes
    let newlyHidden = [];
    // iterate from end to beginning (child nodes first) so that the state of the children has already been updated
    for (let i = this.visibleNodesFlat.length - 1; i >= 0; i--) {
      let node = this.visibleNodesFlat[i];
      let result = this._applyFiltersForNodeRec(node, true, animated);
      if (result.newlyHidden.length) {
        if (!node.filterAccepted) {
          newlyHidden.push(...result.newlyHidden);
        }
        this.viewRangeDirty = true;
      }
    }
    newlyHidden.forEach(h => this._removeFromFlatList(h, animated));
    this._nodesFiltered(newlyHidden);
  }
  _nodesFiltered(hiddenNodes) {
    // non visible nodes must be deselected
    this.deselectNodes(hiddenNodes);
  }
  applyFiltersForNode(node) {
    let applyNewHiddenShownNodes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    let animated = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    let result = this._applyFiltersForNodeRec(node, true, animated);
    // the result so far only includes the node and all its children.
    // always include the parent nodes as well so that the filter has an effect
    let parent = node.parentNode;
    while (parent) {
      let parentResult = this._applyFiltersForNodeRec(parent, false, animated);
      result.newlyHidden.unshift(...parentResult.newlyHidden);
      result.newlyShown.unshift(...parentResult.newlyShown);
      parent = parent.parentNode;
    }
    this._nodesFiltered(result.newlyHidden);
    if (applyNewHiddenShownNodes) {
      result.newlyShown.forEach(node => this._addToVisibleFlatList(node, animated));
      result.newlyHidden.forEach(node => this._removeFromFlatList(node, animated));
    }
    return result;
  }
  _applyFiltersForNodeRec(node, recursive) {
    let animated = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    let newlyHidden = [],
      newlyShown = [];
    animated = animated && this.filterAnimated;
    let changed = this._applyFiltersForNode(node);
    let hasChildrenWithFilterAccepted = false;
    if (node.level < 32 /* see org.eclipse.scout.rt.client.ui.basic.tree.AbstractTree.expandAllRec */) {
      if (recursive) {
        node.childNodes.forEach(childNode => {
          let result = this._applyFiltersForNodeRec(childNode, true, animated);
          newlyHidden.push(...result.newlyHidden);
          newlyShown.push(...result.newlyShown);
          hasChildrenWithFilterAccepted = hasChildrenWithFilterAccepted || childNode.filterAccepted;
        });
      } else if (!node.filterAccepted) {
        // Check children only if filterAccepted is false because only then hasChildrenWithFilterAccepted is used (see below).
        // This has great impact on performance when there are many nodes
        hasChildrenWithFilterAccepted = node.childNodes.some(childNode => childNode.filterAccepted);
      }
    }
    // set filter accepted on this node if it has children with filter accepted (so that the children are visible)
    if (!node.filterAccepted && hasChildrenWithFilterAccepted) {
      node.setFilterAccepted(true);
      changed = !changed;
    }
    // remember changed node
    if (changed) {
      let pushTo = node.filterAccepted ? newlyShown : newlyHidden;
      pushTo.unshift(node);
      if (this.rendered) {
        this.viewRangeDirty = true;
      }
    }
    return {
      newlyHidden: newlyHidden,
      newlyShown: newlyShown
    };
  }
  /**
   * @returns true if node state has changed, false if not
   */
  _applyFiltersForNode(node) {
    let changed = this.filterSupport.applyFiltersForElement(node);
    if (changed || node.filterDirty) {
      node.filterDirty = false;
      node.childNodes.forEach(childNode => {
        childNode.filterDirty = true;
      });
    }
    return changed;
  }
  _createFilterSupport() {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.FilterSupport({
      widget: this,
      $container: () => this.$container,
      filterElements: this._filter.bind(this),
      getElementText: node => node.text
    });
  }
  setTextFilterEnabled(textFilterEnabled) {
    this.setProperty('textFilterEnabled', textFilterEnabled);
  }
  isTextFilterFieldVisible() {
    return this.textFilterEnabled;
  }
  _renderTextFilterEnabled() {
    this.filterSupport.renderFilterField();
  }
  _renderMultiCheck() {
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.multiselectable(this.$container, this.multiCheck || null);
  }
  /**
   * Just insert node in DOM. NO check if in viewRange
   */
  _insertNodesInDOM(nodes, indexHint) {
    if (!this.rendered && !this.rendering) {
      return;
    }
    nodes = nodes.filter(node => {
      let index = indexHint === undefined ? this.visibleNodesFlat.indexOf(node) : indexHint;
      if (index === -1 || !(this.viewRangeRendered.from + this.viewRangeSize >= index && this.viewRangeRendered.from <= index && this.viewRangeSize > 0) || node.attached) {
        // node is not visible
        return false;
      }
      if (!node.rendered) {
        this._renderNode(node);
      }
      node._decorate();
      this._insertNodeInDOMAtPlace(node, index);
      if (this.prevSelectedNode === node) {
        this._highlightPrevSelectedNode();
      }
      node.rendered = true;
      node.attached = true;
      return true;
    });
    this._installNodes(nodes);
  }
  _installNodes(nodes) {
    // The measuring is separated into 3 blocks for performance reasons -> separates reading and setting of styles
    // 1. Prepare style for measuring
    if (this.isHorizontalScrollingEnabled()) {
      nodes.forEach(node => {
        node.$node.css('width', 'auto');
        node.$node.css('display', 'inline-block');
      });
    }
    // 2. Measure
    nodes.forEach(node => {
      node.height = node.$node.outerHeight(true);
      if (!this.isHorizontalScrollingEnabled()) {
        return;
      }
      let newWidth = node.$node.outerWidth();
      let oldWidth = node.width ? node.width : 0;
      if (oldWidth === this.maxNodeWidth && newWidth < this.maxNodeWidth) {
        this.maxNodeWidth = 0;
        this.nodeWidthDirty = true;
      } else if (newWidth > this.maxNodeWidth) {
        this.maxNodeWidth = newWidth;
        this.nodeWidthDirty = true;
      } else if (newWidth === oldWidth && newWidth === 0) {
        // newWidth and oldWidth are 0: this might be because the tree is invisible while a node is added:
        // Mark as dirty to update the width later during layouting (when the tree gets visible and the width is available)
        this.nodeWidthDirty = true;
      }
      node.width = newWidth;
    });
    // 3. Reset style
    if (this.isHorizontalScrollingEnabled()) {
      nodes.forEach(node => {
        if (!this.nodeWidthDirty) {
          node.$node.css('width', this.maxNodeWidth);
        }
        node.$node.css('display', '');
      });
    }
  }
  /**
   * Attaches node to DOM, if it is visible and in view range
   * */
  _ensureNodeInDOM(node, useAnimation, indexHint) {
    if (node && !node.attached && node === this.visibleNodesFlat[indexHint] && indexHint >= this.viewRangeRendered.from && indexHint < this.viewRangeRendered.to) {
      this.showNode(node, useAnimation, indexHint);
    }
  }
  _insertNodeInDOMAtPlace(node, index) {
    let $node = node.$node;
    if (index === 0) {
      if (this.$fillBefore) {
        $node.insertAfter(this.$fillBefore);
      } else {
        this.$data.prepend($node);
      }
      return;
    }
    // append after index
    let nodeBefore = this.visibleNodesFlat[index - 1];
    this._ensureNodeInDOM(nodeBefore, false, index - 1);
    if (nodeBefore.attached) {
      $node.insertAfter(nodeBefore.$node);
      return;
    }
    if (index + 1 < this.visibleNodesFlat.length) {
      let nodeAfter = this.visibleNodesFlat[index + 1];
      if (nodeAfter.attached) {
        $node.insertBefore(nodeAfter.$node);
        return;
      }
    }
    // used when the tree is scrolled
    if (this.$fillBefore) {
      $node.insertAfter(this.$fillBefore);
    } else {
      this.$data.prepend($node);
    }
  }
  showNode(node, useAnimation, indexHint) {
    if (!this.rendered || node.attached && !node.$node.hasClass('hiding')) {
      return;
    }
    if (!node.attached) {
      this._ensureNodeInDOM(node.parentNode, useAnimation, indexHint - 1);
      this._insertNodesInDOM([node], indexHint);
    }
    if (!node.rendered) {
      return;
    }
    let $node = node.$node;
    if ($node.is('.showing')) {
      return;
    }
    $node.removeClass('hiding');
    let that = this;
    if (useAnimation) {
      $node.addClass('showing');
      // hide node first and then make it appear using slideDown (setVisible(false) won't work because it would stay invisible during the animation)
      $node.hide();
      $node.stop(false, true).slideDown({
        duration: 250,
        start: that.startAnimationFunc,
        complete: () => {
          that.runningAnimationsFinishFunc();
          $node.removeClass('showing');
        }
      });
    }
  }
  hideNode(node, useAnimation, suppressDetachHandling) {
    if (!this.rendered || !node.attached) {
      return;
    }
    this.viewRangeDirty = true;
    let that = this,
      $node = node.$node;
    if (!$node) {
      // node is not rendered
      return;
    }
    if ($node.is('.hiding')) {
      return;
    }
    $node.removeClass('showing');
    if (useAnimation) {
      $node.addClass('hiding');
      this._renderViewportBlocked = true;
      $node.stop(false, true).slideUp({
        duration: 250,
        start: that.startAnimationFunc,
        complete: () => {
          that.runningAnimationsFinishFunc();
          $node.removeClass('hiding');
          if (!$node.hasClass('showing')) {
            // JQuery sets display to none which we don't need because node will be detached.
            // If node is added using another method than slideDown (used by show node), it would be invisible.
            // Example: parent is collapsed while nodes are hiding -> remove filter, expand parent -> invisible nodes
            $node.css('display', '');
            $node.detach();
            node.attached = false;
          }
        }
      });
    } else if (!suppressDetachHandling) {
      $node.detach();
      node.attached = false;
      that.invalidateLayoutTree();
    }
  }
  nodesToIds(nodes) {
    return nodes.map(node => node.id);
  }
  nodesByIds(ids) {
    return ids.map(id => this.nodesMap[id]);
  }
  nodeById(id) {
    return this.nodesMap[id];
  }
  /**
   * Checks whether the given node is contained in the tree. Uses the id of the node for the lookup.
   */
  hasNode(node) {
    return Boolean(this.nodeById(node.id));
  }
  _onNodeDoubleClick(event) {
    if (this.isBreadcrumbStyleActive()) {
      return;
    }
    let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget);
    let node = $node.data('node');
    let expanded = !$node.hasClass('expanded');
    this.doNodeAction(node, expanded);
  }
  doNodeAction(node, expanded) {
    this.trigger('nodeAction', {
      node: node
    });
    // For CheckableStyle.CHECKBOX_TREE_NODE expand on double click is only enabled for disabled nodes. Otherwise, it would conflict with the "check on node click" behavior.
    if (!(this.checkable === true && this.isTreeNodeCheckEnabled() && node.enabled)) {
      this.setNodeExpanded(node, expanded, {
        lazy: false // always show all nodes on node double click
      });
    }
  }
  _onNodeControlMouseDown(event) {
    this._doubleClickSupport.mousedown(event);
    if (this._doubleClickSupport.doubleClicked()) {
      // don't execute on double click events
      return false;
    }
    let $node = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.currentTarget).parent();
    let node = $node.data('node');
    let expanded = !$node.hasClass('expanded');
    let expansionOpts = {
      lazy: false // always show all nodes when the control gets clicked
    };
    // Click on "show all" control shows all nodes
    if ($node.hasClass('lazy')) {
      if (event.ctrlKey || event.shiftKey) {
        // Collapse
        expanded = false;
        expansionOpts.collapseChildNodes = true;
      } else {
        // Show all nodes
        this.expandNode(node, expansionOpts);
        return false;
      }
    }
    // Because we suppress handling by browser we have to set focus manually
    if (this.requestFocusOnNodeControlMouseDown) {
      this.focus();
    }
    this.selectNodes(node); // <---- ### 1
    this.setNodeExpanded(node, expanded, expansionOpts); // <---- ### 2
    // prevent bubbling to _onNodeMouseDown()
    jquery__WEBPACK_IMPORTED_MODULE_1___default().suppressEvent(event);
    // ...but return true, so Outline.js can override this method and check if selection has been changed or not
    return true;
  }
  _onNodeControlMouseUp(event) {
    // prevent bubbling to _onNodeMouseUp()
    return false;
  }
  _onNodeControlDoubleClick(event) {
    // prevent bubbling to _onNodeDoubleClick()
    return false;
  }
  _onContextMenu(event) {
    event.preventDefault();
    this._showContextMenu(event);
  }
  changeNode(node) {
    this.applyFiltersForNode(node);
    if (this.rendered) {
      node._decorate();
      // The padding size of a node depends on whether the node or the parent node has an icon, see _computeNodePaddingLeftForLevel
      // Unfortunately, we cannot easily detect whether the icon has changed or not.
      // However, the padding calculation only needs to be done if the node that toggles the icon is visible and expanded or has an expanded parent.
      let paddingDirty = !!this.nodePaddingLevelDiffParentHasIcon && !!this.visibleNodesMap[node.id] && (node.expanded || !!node.parentNode);
      if (paddingDirty && !this._changeNodeTaskScheduled) {
        // Because the change node event is not batch capable, performance would slow down if many change node events are processed
        // To mitigate this, the updating is done later
        queueMicrotask(() => {
          this._changeNodeTaskScheduled = false;
          if (!this.rendered) {
            return;
          }
          this._updateNodePaddingsLeft();
        });
        this._changeNodeTaskScheduled = true;
      }
    }
    this.trigger('nodeChanged', {
      node: node
    });
  }
  // same as on Table.prototype._onDesktopPopupOpen
  _onDesktopPopupOpen(event) {
    let popup = event.popup;
    if (!this.isFocusable(false)) {
      return;
    }
    // Set tree style to focused if a context menu or a menu bar popup opens, so that it looks as it still has the focus
    if (this.has(popup) && popup instanceof _index__WEBPACK_IMPORTED_MODULE_0__.ContextMenuPopup) {
      this.$container.addClass('focused');
      popup.one('destroy', () => {
        if (this.rendered) {
          this.$container.removeClass('focused');
        }
      });
    }
  }
  updateScrollbars() {
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$data);
  }
  static collectSubtree($rootNode, includeRootNodeInResult) {
    if (!$rootNode) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default()();
    }
    let rootLevel = parseFloat($rootNode.attr('data-level'));
    // Find first node after the root element that has the same or a lower level
    let $nextNode = $rootNode.next();
    while ($nextNode.length > 0) {
      let level = parseFloat($nextNode.attr('data-level'));
      if (isNaN(level) || level <= rootLevel) {
        break;
      }
      $nextNode = $nextNode.next();
    }
    // The result set consists of all nodes between the root node and the found node
    let $result = $rootNode.nextUntil($nextNode);
    if (includeRootNodeInResult === undefined || includeRootNodeInResult) {
      $result = $result.add($rootNode);
    }
    return $result;
  }
  /**
   * pre-order (top-down) traversal of the tree-nodes provided.<br>
   * if func returns true the children of the visited node are not visited.
   */
  static visitNodes(func, nodes, parentNode) {
    let i, node;
    if (!nodes) {
      return;
    }
    for (i = 0; i < nodes.length; i++) {
      node = nodes[i];
      let doNotProcessChildren = func(node, parentNode);
      if (!doNotProcessChildren && node.childNodes.length > 0) {
        Tree.visitNodes(func, node.childNodes, node);
      }
    }
  }
}
_defineProperty(Tree, "DisplayStyle", {
  DEFAULT: 'default',
  BREADCRUMB: 'breadcrumb'
});
_defineProperty(Tree, "CheckableStyle", {
  /**
   * Node check is only possible by checking the checkbox.
   */
  CHECKBOX: 'checkbox',
  /**
   * Node check is possible by clicking anywhere on the node.
   */
  CHECKBOX_TREE_NODE: 'checkbox_tree_node'
});
_defineProperty(Tree, "MenuType", {
  EmptySpace: 'Tree.EmptySpace',
  SingleSelection: 'Tree.SingleSelection',
  MultiSelection: 'Tree.MultiSelection',
  Header: 'Tree.Header'
});
/**
 * Used to calculate the view range size. See {@link calculateViewRangeSize}.
 */
_defineProperty(Tree, "VIEW_RANGE_DIVISOR", 4);

/***/ }),

/***/ "./src/tree/TreeAdapter.ts":
/*!*********************************!*\
  !*** ./src/tree/TreeAdapter.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeAdapter: () => (/* binding */ TreeAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['displayStyle']);
  }
  _postCreateWidget() {
    super._postCreateWidget();
    this._autoCheckChildNodes();
  }
  _autoCheckChildNodes() {
    if (!this.widget.autoCheckChildren) {
      return;
    }
    // When the Java model provides a checked parent node having non-checked child nodes
    // then we want the child nodes to be auto checked.
    _index__WEBPACK_IMPORTED_MODULE_0__.Tree.visitNodes((node, parentNode) => {
      if (node.checked) {
        this.widget.checkNodes(node, {
          checked: true
        });
        return true; // Skip subtree
      }
    }, this.widget.nodes, null);
  }
  _sendNodesSelected(nodeIds, debounceSend) {
    let eventData = {
      nodeIds: nodeIds
    };
    // send delayed to avoid a lot of requests while selecting
    // coalesce: only send the latest selection changed event for a field
    this._send('nodesSelected', eventData, {
      delay: debounceSend ? 250 : 0,
      coalesce: function (previous) {
        return this.target === previous.target && this.type === previous.type;
      }
    });
  }
  _onWidgetNodeClick(event) {
    this._send('nodeClick', {
      nodeId: event.node.id
    });
  }
  _onWidgetNodeAction(event) {
    this._send('nodeAction', {
      nodeId: event.node.id
    });
  }
  _onWidgetNodesSelected(event) {
    let nodeIds = this.widget.nodesToIds(this.widget.selectedNodes);
    this._sendNodesSelected(nodeIds, event.debounce);
  }
  _onWidgetNodeExpanded(event) {
    this._send('nodeExpanded', {
      nodeId: event.node.id,
      expanded: event.expanded,
      expandedLazy: event.expandedLazy
    });
  }
  _onWidgetNodesChecked(event) {
    this._sendNodesChecked(event.nodes);
  }
  _sendNodesChecked(nodes) {
    let data = {
      nodes: []
    };
    for (let i = 0; i < nodes.length; i++) {
      data.nodes.push({
        nodeId: nodes[i].id,
        checked: nodes[i].checked
      });
    }
    this._send('nodesChecked', data);
  }
  _onWidgetEvent(event) {
    if (event.type === 'nodesSelected') {
      this._onWidgetNodesSelected(event);
    } else if (event.type === 'nodeClick') {
      this._onWidgetNodeClick(event);
    } else if (event.type === 'nodeAction') {
      this._onWidgetNodeAction(event);
    } else if (event.type === 'nodeExpanded') {
      this._onWidgetNodeExpanded(event);
    } else if (event.type === 'nodesChecked') {
      this._onWidgetNodesChecked(event);
    } else if (event.type === 'drop' && this.widget.dragAndDropHandler) {
      this.widget.dragAndDropHandler.uploadFiles(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  onModelAction(event) {
    if (event.type === 'nodesInserted') {
      this._onNodesInserted(event.nodes, event.commonParentNodeId);
    } else if (event.type === 'nodesUpdated') {
      this._onNodesUpdated(event.nodes);
    } else if (event.type === 'nodesDeleted') {
      this._onNodesDeleted(event.nodeIds, event.commonParentNodeId);
    } else if (event.type === 'allChildNodesDeleted') {
      this._onAllChildNodesDeleted(event.commonParentNodeId);
    } else if (event.type === 'nodesSelected') {
      this._onNodesSelected(event.nodeIds);
    } else if (event.type === 'nodeExpanded') {
      this._onNodeExpanded(event.nodeId, event);
    } else if (event.type === 'nodeChanged') {
      this._onNodeChanged(event.nodeId, event);
    } else if (event.type === 'nodesChecked') {
      this._onNodesChecked(event.nodes);
    } else if (event.type === 'childNodeOrderChanged') {
      this._onChildNodeOrderChanged(event.childNodeIds, event.parentNodeId);
    } else if (event.type === 'requestFocus') {
      this._onRequestFocus();
    } else if (event.type === 'scrollToSelection') {
      this._onScrollToSelection();
    } else {
      super.onModelAction(event);
    }
  }
  _onNodesInserted(nodes, parentNodeId) {
    let parentNode;
    if (parentNodeId !== null && parentNodeId !== undefined) {
      parentNode = this.widget.nodesMap[parentNodeId];
      if (!parentNode) {
        throw new Error('Parent node could not be found. Id: ' + parentNodeId);
      }
    }
    this.widget.insertNodes(nodes, parentNode);
  }
  _onNodesUpdated(nodes) {
    this.widget.updateNodes(nodes);
  }
  _onNodesDeleted(nodeIds, parentNodeId) {
    // noinspection DuplicatedCode
    let parentNode;
    if (parentNodeId !== null && parentNodeId !== undefined) {
      parentNode = this.widget.nodesMap[parentNodeId];
      if (!parentNode) {
        throw new Error('Parent node could not be found. Id: ' + parentNodeId);
      }
    }
    this.addFilterForWidgetEventType('nodesSelected');
    this.addFilterForWidgetEventType('nodesChecked');
    let nodes = this.widget.nodesByIds(nodeIds);
    this.widget.deleteNodes(nodes, parentNode);
  }
  _onAllChildNodesDeleted(parentNodeId) {
    // noinspection DuplicatedCode
    let parentNode;
    if (parentNodeId !== null && parentNodeId !== undefined) {
      parentNode = this.widget.nodesMap[parentNodeId];
      if (!parentNode) {
        throw new Error('Parent node could not be found. Id: ' + parentNodeId);
      }
    }
    this.addFilterForWidgetEventType('nodesSelected');
    this.addFilterForWidgetEventType('nodesChecked');
    this.widget.deleteAllChildNodes(parentNode);
  }
  _onNodesSelected(nodeIds) {
    this.addFilterForWidgetEvent(widgetEvent => widgetEvent.type === 'nodesSelected' && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(nodeIds, this.widget.nodesToIds(this.widget.selectedNodes)));
    let nodes = this.widget.nodesByIds(nodeIds);
    this.widget.selectNodes(nodes);
  }
  /**
   * @param event.expanded true, to expand the node
   * @param event.expandedLazy true, to expand the nodes lazily
   * @param event.recursive true, to expand the descendant nodes as well
   */
  _onNodeExpanded(nodeId, event) {
    let node = this.widget.nodesMap[nodeId],
      options = {
        lazy: event.expandedLazy
      };
    let affectedNodesMap = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    affectedNodesMap[nodeId] = true;
    if (event.recursive) {
      _index__WEBPACK_IMPORTED_MODULE_0__.Tree.visitNodes(n => {
        affectedNodesMap[n.id] = true;
      }, node.childNodes);
    }
    this.addFilterForWidgetEvent(widgetEvent => {
      return widgetEvent.type === 'nodeExpanded' && affectedNodesMap[widgetEvent.node.id] && event.expanded === widgetEvent.expanded && event.expandedLazy === widgetEvent.expandedLazy;
    });
    this.widget.setNodeExpanded(node, event.expanded, options);
    if (event.recursive) {
      this.widget.setNodeExpandedRecursive(node.childNodes, event.expanded, options);
    }
  }
  _onNodeChanged(nodeId, cell) {
    let node = this.widget.nodesMap[nodeId];
    _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(cell, 'TreeNode');
    node.text = cell.text;
    node.cssClass = cell.cssClass;
    node.iconId = cell.iconId;
    node.tooltipText = cell.tooltipText;
    node.foregroundColor = cell.foregroundColor;
    node.backgroundColor = cell.backgroundColor;
    node.font = cell.font;
    node.htmlEnabled = cell.htmlEnabled;
    this.widget.changeNode(node);
  }
  _onNodesChecked(nodes) {
    let checkedNodes = [],
      uncheckedNodes = [];
    nodes.forEach(nodeData => {
      let node = this.widget.nodeById(nodeData.id);
      if (nodeData.checked) {
        checkedNodes.push(node);
      } else {
        uncheckedNodes.push(node);
      }
    });
    this.widget.checkNodes(checkedNodes, {
      checked: true,
      checkOnlyEnabled: false
    });
    this.widget.uncheckNodes(uncheckedNodes, {
      checkOnlyEnabled: false
    });
  }
  _onChildNodeOrderChanged(childNodeIds, parentNodeId) {
    let parentNode = this.widget.nodeById(parentNodeId);
    let nodes = this.widget.nodesByIds(childNodeIds);
    this.widget.updateNodeOrder(nodes, parentNode);
  }
  _onRequestFocus() {
    this.widget.focus();
  }
  _onScrollToSelection() {
    this.widget.revealSelection();
  }
  _initNodeModel(nodeModel) {
    nodeModel = nodeModel || {};
    nodeModel.objectType = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(nodeModel.objectType, this._getDefaultNodeObjectType());
    _index__WEBPACK_IMPORTED_MODULE_0__.defaultValues.applyTo(nodeModel);
    return nodeModel;
  }
  _getDefaultNodeObjectType() {
    return 'TreeNode';
  }
  static _updateMarkChildrenCheckedRemote(node) {
    // In autoCheckChildren mode, don't change the checked state of parent nodes while the tree is initializing if nodes come from Java.
    // This is necessary to set the checked state of the child nodes correctly, see _autoCheckChildNodes.
    if (this.modelAdapter && this.autoCheckChildren && !this.initialized) {
      return;
    }
    return this._updateMarkChildrenCheckedOrig(node);
  }
  /**
   * 'this' in this function refers to the Tree
   */
  static _createTreeNodeRemote(nodeModel) {
    if (this.modelAdapter) {
      nodeModel = this.modelAdapter._initNodeModel(nodeModel);
    }
    return this._createTreeNodeOrig(nodeModel);
  }
  /**
   * Static method to modify the prototype of Tree.
   */
  static modifyTreePrototype() {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.App.get().remote) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Tree, '_createTreeNode', TreeAdapter._createTreeNodeRemote, true);
    _index__WEBPACK_IMPORTED_MODULE_0__.objects.replacePrototypeFunction(_index__WEBPACK_IMPORTED_MODULE_0__.Tree, '_updateMarkChildrenChecked', TreeAdapter._updateMarkChildrenCheckedRemote, true);
  }
}
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('bootstrap', TreeAdapter.modifyTreePrototype);

/***/ }),

/***/ "./src/tree/TreeBreadcrumbFilter.ts":
/*!******************************************!*\
  !*** ./src/tree/TreeBreadcrumbFilter.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeBreadcrumbFilter: () => (/* binding */ TreeBreadcrumbFilter)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class TreeBreadcrumbFilter {
  constructor(tree) {
    _defineProperty(this, "tree", void 0);
    this.tree = tree;
  }
  accept(node) {
    if (this.tree.selectedNodes.length === 0) {
      return node.parentNode === undefined;
    }
    return this.tree.isNodeInBreadcrumbVisible(node);
  }
}

/***/ }),

/***/ "./src/tree/TreeCheckNodesResult.ts":
/*!******************************************!*\
  !*** ./src/tree/TreeCheckNodesResult.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeCheckNodesResult: () => (/* binding */ TreeCheckNodesResult)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This object is needed during an update in the tree. It
 * holds the updated nodes to be processed at the end of the update.
 *
 * This class holds two lists of {@link TreeNode}:
 * - TreeNodes which have to be rendered
 * - TreeNodes which triggered an update event
 */
class TreeCheckNodesResult {
  constructor() {
    _defineProperty(this, "_requireRenderTreeNodes", void 0);
    _defineProperty(this, "_requireTriggerEventNodes", void 0);
    this._requireRenderTreeNodes = [];
    this._requireTriggerEventNodes = [];
  }
  addNodeForRendering() {
    for (var _len = arguments.length, nodes = new Array(_len), _key = 0; _key < _len; _key++) {
      nodes[_key] = arguments[_key];
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(nodes, this._requireRenderTreeNodes);
    this._requireRenderTreeNodes.push(...nodes);
  }
  addNodeForEventTrigger() {
    for (var _len2 = arguments.length, nodes = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      nodes[_key2] = arguments[_key2];
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(nodes, this._requireTriggerEventNodes);
    this._requireTriggerEventNodes.push(...nodes);
  }
  addNodeForRenderingAndEventTrigger() {
    this.addNodeForRendering(...arguments);
    this.addNodeForEventTrigger(...arguments);
  }
  getNodesForRendering() {
    return this._requireRenderTreeNodes;
  }
  getNodesForEventTrigger() {
    return this._requireTriggerEventNodes;
  }
  removeNode(node) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._requireRenderTreeNodes, node);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._requireTriggerEventNodes, node);
  }
  add(treeNodeUpdate) {
    this.addNodeForRendering(...treeNodeUpdate.getNodesForRendering());
    this.addNodeForEventTrigger(...treeNodeUpdate.getNodesForEventTrigger());
  }
}

/***/ }),

/***/ "./src/tree/TreeEventMap.ts":
/*!**********************************!*\
  !*** ./src/tree/TreeEventMap.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tree/TreeLayout.ts":
/*!********************************!*\
  !*** ./src/tree/TreeLayout.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeLayout: () => (/* binding */ TreeLayout)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeLayout extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(tree) {
    super();
    _defineProperty(this, "tree", void 0);
    _defineProperty(this, "nodeDimensionsDirty", void 0);
    this.tree = tree;
    this.nodeDimensionsDirty = false;
  }
  layout($container) {
    this._layout($container);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.tree.$data);
  }
  _layout($container) {
    let menuBar = this.tree.menuBar,
      htmlMenuBar = menuBar.htmlComp,
      htmlContainer = this.tree.htmlComp;
    let containerSize = htmlContainer.availableSize({
      exact: true
    }).subtract(htmlContainer.insets());
    if (this.tree.toggleBreadcrumbStyleEnabled && this._sizeChanged(htmlContainer)) {
      this.tree.setBreadcrumbStyleActive(Math.floor(containerSize.width) <= this.tree.breadcrumbTogglingThreshold);
    }
    let heightOffset = 0;
    let menuBarSize;
    if (menuBar.$container.isVisible()) {
      menuBarSize = _index__WEBPACK_IMPORTED_MODULE_0__.MenuBarLayout.size(htmlMenuBar, containerSize);
      htmlMenuBar.setSize(menuBarSize);
      heightOffset += menuBarSize.height;
    }
    $container.css('--menubar-height', ((menuBarSize || {}).height || 0) + 'px');
    this._setDataHeight(heightOffset);
    // recalculate ViewRangeSize before any rendering is done
    this.tree.setViewRangeSize(this.tree.calculateViewRangeSize());
    // Check if width has changed
    this.nodeDimensionsDirty = this.nodeDimensionsDirty || this._sizeChanged(htmlContainer);
    if (this.nodeDimensionsDirty) {
      this.nodeDimensionsDirty = false;
      if (this.tree.isHorizontalScrollingEnabled()) {
        // Width is only relevant if horizontal scrolling is enabled -> mark as dirty
        this.tree.nodeWidthDirty = true;
        this.tree.maxNodeWidth = 0;
      } else {
        // Nodes may contain wrapped text (with breadcrumb style-or if nodes contain html) -> update heights
        this.tree.updateNodeHeights();
        this.tree._renderViewport(); // Ensure viewRangeRendered is up-to-date and matches visibleNodesFlat (can diverge after filtering)
        this.tree._renderFiller();
      }
    }
    if (!htmlContainer.layouted) {
      this.tree._renderScrollTop();
    }
    // Always render viewport (not only when viewRangeSize changes), because view range depends on scroll position and data height
    this.tree._renderViewport();
    // Render scroll top again to make sure the data is really at the correct position after rendering viewport, see tree.setScrollTop for details
    if (!htmlContainer.layouted) {
      this.tree._renderScrollTop();
    }
  }
  _sizeChanged(htmlContainer) {
    // Ceil because sizeCached is exact but .size() is not)
    return htmlContainer.sizeCached && Math.ceil(htmlContainer.sizeCached.width) !== Math.ceil(htmlContainer.size().width);
  }
  _setDataHeight(heightOffset) {
    let $data = this.tree.$data;
    heightOffset += $data.cssMarginTop() + $data.cssMarginBottom();
    $data.css('height', heightOffset === 0 ? '100%' : 'calc(100% - ' + heightOffset + 'px)');
  }
  preferredLayoutSize($container, options) {
    // Make sure viewport is up-to-date before calculating pref size.
    // This is necessary because the tree does not render the view port on any change (like insert or delete nodes). Instead, it just invalidates the layout.
    this.tree._renderViewport();
    // Node dimensions were fixed when calling _renderViewport using the current size, but that size might change during layout
    // Only necessary the first time it is layouted, afterwards htmlContainer.sizeCached will be set
    if (!this.tree.htmlComp.layouted) {
      this.nodeDimensionsDirty = true;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.graphics.prefSize($container, options);
  }
}

/***/ }),

/***/ "./src/tree/TreeModel.ts":
/*!*******************************!*\
  !*** ./src/tree/TreeModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tree/TreeNode.ts":
/*!******************************!*\
  !*** ./src/tree/TreeNode.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeNode: () => (/* binding */ TreeNode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class TreeNode {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "checked", void 0);
    _defineProperty(this, "childNodes", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "enabled", void 0);
    _defineProperty(this, "expanded", void 0);
    _defineProperty(this, "expandedLazy", void 0);
    _defineProperty(this, "htmlEnabled", void 0);
    _defineProperty(this, "iconId", void 0);
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "initialExpanded", void 0);
    _defineProperty(this, "lazyExpandingEnabled", void 0);
    _defineProperty(this, "leaf", void 0);
    _defineProperty(this, "level", void 0);
    _defineProperty(this, "parent", void 0);
    _defineProperty(this, "parentNode", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "tooltipText", void 0);
    _defineProperty(this, "foregroundColor", void 0);
    _defineProperty(this, "backgroundColor", void 0);
    _defineProperty(this, "font", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "rendered", void 0);
    _defineProperty(this, "attached", void 0);
    _defineProperty(this, "destroyed", void 0);
    _defineProperty(this, "filterAccepted", void 0);
    _defineProperty(this, "filterDirty", void 0);
    _defineProperty(this, "childrenLoaded", void 0);
    _defineProperty(this, "childrenChecked", void 0);
    _defineProperty(this, "height", void 0);
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "displayBackup", void 0);
    _defineProperty(this, "prevSelectionAnimationDone", void 0);
    _defineProperty(this, "$node", void 0);
    _defineProperty(this, "$text", void 0);
    _defineProperty(this, "childNodeIndex", void 0);
    /**
     * This internal variable stores the promise which is used when a loadChildren() operation is in progress.
     */
    _defineProperty(this, "_loadChildrenPromise", void 0);
    this.$node = null;
    this.$text = null;
    this.attached = false;
    this.checked = false;
    this.childNodes = [];
    this.childrenLoaded = false;
    this.childrenChecked = false;
    this.cssClass = null;
    this.destroyed = false;
    this.enabled = true;
    this.expanded = false;
    this.expandedLazy = false;
    this.filterAccepted = true;
    this.filterDirty = false;
    this.htmlEnabled = false;
    this.iconId = null;
    this.id = null;
    this.initialized = false;
    this.initialExpanded = false;
    this.lazyExpandingEnabled = false;
    this.leaf = false;
    this.level = 0;
    this.parent = null;
    this.parentNode = undefined;
    this.prevSelectionAnimationDone = false;
    this.rendered = false;
    this.session = null;
    this.text = null;
    this._loadChildrenPromise = null;
  }
  init(model) {
    let staticModel = this._jsonModel();
    if (staticModel) {
      model = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, staticModel, model);
    }
    this._init(model);
    if (model.initialExpanded === undefined) {
      this.initialExpanded = this.expanded;
    }
  }
  destroy() {
    if (this.destroyed) {
      // Already destroyed, do nothing
      return;
    }
    this._destroy();
    this.destroyed = true;
  }
  /**
   * Override this method to do something when TreeNode gets destroyed. The default impl. does nothing.
   */
  _destroy() {
    // NOP
  }
  getTree() {
    return this.parent;
  }
  _init(model) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('parent', model.parent, _index__WEBPACK_IMPORTED_MODULE_0__.Tree);
    this.session = model.session || model.parent.session;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveTextProperty(this, 'text');
    _index__WEBPACK_IMPORTED_MODULE_0__.icons.resolveIconProperty(this, 'iconId');
    // make sure all child nodes are TreeNodes too
    if (this.hasChildNodes()) {
      this.getTree().ensureTreeNodes(this.childNodes, this);
    }
  }
  _jsonModel() {
    return null;
  }
  reset() {
    if (this.$node) {
      this.$node.remove();
      this.$node = null;
    }
    this.rendered = false;
    this.attached = false;
  }
  hasChildNodes() {
    return this.childNodes.length > 0;
  }
  /**
   * @returns true, if this node is an ancestor of the given node
   */
  isAncestorOf(node) {
    while (node) {
      if (node.parentNode === this) {
        return true;
      }
      node = node.parentNode;
    }
    return false;
  }
  /**
   * @returns true, if the node is a descendant of the given node
   */
  isDescendantOf(node) {
    if (node === this.parentNode) {
      return true;
    }
    if (!this.parentNode) {
      return false;
    }
    return this.parentNode.isDescendantOf(node);
  }
  setFilterAccepted(filterAccepted) {
    this.filterAccepted = filterAccepted;
  }
  /**
   * This method loads the child nodes of this node and returns a jQuery.Promise to register callbacks
   * when loading is done or has failed. To skip loading the children when they are already loaded, use
   * {@link #ensureLoadChildren} instead.
   *
   * @returns a Promise or null when TreeNode cannot load children (which is the case for all
   *     TreeNodes in the remote case). The default impl. returns an empty resolved promise.
   */
  loadChildren() {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /**
   * This method calls loadChildren() but does nothing when children are already loaded or when loadChildren()
   * is already in progress.
   */
  ensureLoadChildren() {
    // when children are already loaded we return an already resolved promise so the caller can continue immediately
    if (this.childrenLoaded) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // when load children is already in progress, we return the same promise
    if (this._loadChildrenPromise) {
      return this._loadChildrenPromise;
    }
    let promise = this.loadChildren();
    if (promise.state() === 'resolved') {
      this._loadChildrenPromise = null;
      return promise;
    }
    this._loadChildrenPromise = promise;
    promise.then(this._onLoadChildrenDone.bind(this));
    return promise; // we must always return a promise, never null - otherwise caller would throw an error
  }
  _onLoadChildrenDone() {
    this._loadChildrenPromise = null;
  }
  setText(text) {
    this.text = text;
  }
  setHtmlEnabled(htmlEnabled) {
    this.htmlEnabled = htmlEnabled;
  }
  /**
   * This functions renders sets the $node and $text properties.
   *
   * @param $parent the tree DOM
   * @param paddingLeft calculated by tree
   */
  render($parent, paddingLeft) {
    this.$node = $parent.makeDiv('tree-node').data('node', this).attr('data-nodeid', this.id).attr('data-level', this.level);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$node, 'treeitem');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.level(this.$node, this.level + 1); // starts counting from 1
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(paddingLeft)) {
      this.$node.cssPaddingLeft(paddingLeft);
    }
    this.$text = this.$node.appendSpan('text');
    this._renderControl();
    if (this.getTree().checkable) {
      this._renderCheckbox();
    }
    this._renderText();
    this._renderIcon();
  }
  _renderText() {
    if (this.htmlEnabled) {
      this.$text.html(this.text);
    } else {
      this.$text.textOrNbsp(this.text);
    }
  }
  /** @internal */
  _renderChecked() {
    // if node is not rendered, do nothing
    if (!this.rendered) {
      return;
    }
    this.$node.children('.tree-node-checkbox').children('.check-box').toggleClass('checked', this.checked);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$node, this.checked);
  }
  _renderIcon() {
    this.$node.toggleClass('has-icon', !!this.iconId);
    this.$node.icon(this.iconId, $icon => $icon.insertBefore(this.$text));
  }
  $icon() {
    return this.$node.children('.icon');
  }
  _renderControl() {
    let $control = this.$node.prependDiv('tree-node-control');
    this._updateControl($control);
  }
  /** @internal */
  _updateControl($control) {
    let tree = this.getTree();
    $control.toggleClass('checkable', tree.checkable);
    $control.cssPaddingLeft(tree._computeNodeControlPaddingLeft(this));
    $control.setVisible(!this.leaf);
  }
  /** @internal */
  _renderCheckbox() {
    let $checkboxContainer = this.$node.prependDiv('tree-node-checkbox');
    let $checkbox = $checkboxContainer.appendDiv('check-box').toggleClass('checked', this.checked).toggleClass('disabled', !this.enabled);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.role($checkbox, 'checkbox');
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked($checkbox, this.checked);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.checked(this.$node, this.checked);
    $checkbox.toggleClass('children-checked', !!this.childrenChecked);
    this._renderChildrenChecked();
  }
  /** @internal */
  _renderChildrenChecked() {
    // if node is not rendered, do nothing
    if (!this.$node) {
      return;
    }
    this.$node.children('.tree-node-checkbox').children('.check-box').toggleClass('children-checked', !!this.childrenChecked);
  }
  /** @internal */
  _decorate() {
    // This node is not yet rendered, nothing to do
    if (!this.$node) {
      return;
    }
    let $node = this.$node,
      tree = this.getTree();
    $node.attr('class', this._preserveCssClasses($node));
    $node.addClass(this.cssClass);
    $node.toggleClass('leaf', !!this.leaf);
    $node.toggleClass('expanded', !!this.expanded && this.childNodes.length > 0);
    $node.toggleClass('lazy', $node.hasClass('expanded') && this.expandedLazy);
    $node.toggleClass('group', !!tree.groupedNodes[this.id]);
    $node.setEnabled(!!this.enabled);
    $node.children('.tree-node-control').setVisible(!this.leaf);
    $node.children('.tree-node-checkbox').children('.check-box').toggleClass('disabled', !this.enabled);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.disabled($node, $node.hasClass('disabled') || null);
    _index__WEBPACK_IMPORTED_MODULE_0__.aria.expanded($node, $node.hasClass('leaf') ? null : $node.hasClass('expanded'));
    if (!this.parentNode && tree.selectedNodes.length === 0 ||
    // root nodes have class child-of-selected if no node is selected
    tree.isChildOfSelectedNodes(this)) {
      $node.addClass('child-of-selected');
    }
    if (this.parentNode) {
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.posinset($node, this.childNodeIndex + 1); // starts counting from 1
      _index__WEBPACK_IMPORTED_MODULE_0__.aria.setsize($node, this.parentNode.childNodes.length);
    }
    this._renderText();
    this._renderIcon();
    _index__WEBPACK_IMPORTED_MODULE_0__.styles.legacyStyle(this._getStyles(), $node);
    // If parent node is marked as 'lazy', check if any visible child nodes remain.
    if (this.parentNode && this.parentNode.expandedLazy) {
      let hasVisibleNodes = this.parentNode.childNodes.some(childNode => !!tree.visibleNodesMap[childNode.id]);
      if (!hasVisibleNodes && this.parentNode.$node) {
        // Remove 'lazy' from parent
        this.parentNode.$node.removeClass('lazy');
      }
    }
  }
  /**
   * @returns The object that has the properties used for styles (colors, fonts, etc.)
   *     The default impl. returns "this". Override this function to return another object.
   */
  _getStyles() {
    return this;
  }
  /**
   * This function extracts all CSS classes that are set externally by the tree.
   * The classes depend on the tree hierarchy or the selection and thus cannot be determined by the node itself.
   */
  _preserveCssClasses($node) {
    let cssClass = 'tree-node';
    if ($node.isSelected()) {
      cssClass += ' selected';
    }
    if ($node.hasClass('ancestor-of-selected')) {
      cssClass += ' ancestor-of-selected';
    }
    if ($node.hasClass('parent-of-selected')) {
      cssClass += ' parent-of-selected';
    }
    return cssClass;
  }
}

/***/ }),

/***/ "./src/tree/TreeNodeModel.ts":
/*!***********************************!*\
  !*** ./src/tree/TreeNodeModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tree/keystrokes/AbstractCompactTreeControlKeyStroke.ts":
/*!********************************************************************!*\
  !*** ./src/tree/keystrokes/AbstractCompactTreeControlKeyStroke.ts ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractCompactTreeControlKeyStroke: () => (/* binding */ AbstractCompactTreeControlKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbstractCompactTreeControlKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(compactProcessTree) {
    super();
    this.repeatable = true;
    this.field = compactProcessTree;
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (!this.field.nodes || !this.field.nodes.length) {
      return false;
    }
    let $currentNode = this.field.$nodesContainer.find('.section-node.selected'),
      currentNode = $currentNode.data('node');
    let nextNode = this._findNextNode($currentNode, currentNode);
    if (nextNode) {
      event._nextNode = nextNode;
      return true;
    }
    return false;
  }
  handle(event) {
    this.field.selectNodes(event._nextNode);
    this.field.checkNode(event._nextNode, true);
    this.field.revealSelection();
  }
  _findNextNode($currentNode, currentNode) {
    throw new Error('method must be overwritten by subclass');
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/AbstractTreeNavigationKeyStroke.ts":
/*!****************************************************************!*\
  !*** ./src/tree/keystrokes/AbstractTreeNavigationKeyStroke.ts ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractTreeNavigationKeyStroke: () => (/* binding */ AbstractTreeNavigationKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbstractTreeNavigationKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tree, modifierBitMask) {
    super();
    this.field = tree;
    this.repeatable = true;
    this.stopPropagation = true;
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.ctrl = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.isCtrl(modifierBitMask);
    this.shift = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.isShift(modifierBitMask);
    this.alt = _index__WEBPACK_IMPORTED_MODULE_0__.keyStrokeModifier.isAlt(modifierBitMask);
    this.keyStrokeMode = _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke.Mode.DOWN;
    this.inheritAccessibility = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    if (!accepted) {
      return false;
    }
    if (this.field.selectedNodes.length > 0) {
      event._treeCurrentNode = this.field.selectedNodes[0];
      event._$treeCurrentNode = event._treeCurrentNode.$node;
    }
    this.field.$container.addClass('keyboard-navigation');
    return true;
  }
  handle(event) {
    let newSelection = this._computeNewSelection(event._treeCurrentNode);
    if (newSelection) {
      this.selectNodesAndReveal(newSelection, true);
    }
  }
  _computeNewSelection(currentNode) {
    return [];
  }
  selectNodesAndReveal(newSelection, debounceSend) {
    this.field.selectNodes(newSelection, debounceSend);
    this.field.revealSelection();
    if (!this.field.isFocused()) {
      this.field.focus();
    }
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/CompactTreeDownKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/tree/keystrokes/CompactTreeDownKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTreeDownKeyStroke: () => (/* binding */ CompactTreeDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTreeDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractCompactTreeControlKeyStroke {
  constructor(compactProcessTree) {
    super(compactProcessTree);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.text = '↓';
  }
  _findNextNode($currentNode, currentNode) {
    if (currentNode) {
      // Find first process node, or first process node in next section.
      return $currentNode.next('.section-node').data('node') || $currentNode.parent().next('.section').children('.section-node').first().data('node');
    }
    // Find first process node.
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.first(this.field.nodes).childNodes);
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/CompactTreeLeftKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/tree/keystrokes/CompactTreeLeftKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTreeLeftKeyStroke: () => (/* binding */ CompactTreeLeftKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTreeLeftKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractCompactTreeControlKeyStroke {
  constructor(compactProcessTree) {
    super(compactProcessTree);
    this.renderingHints.text = '←';
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.LEFT];
  }
  _findNextNode($currentNode, currentNode) {
    // Find first node of the previous section.
    return $currentNode.parent().prev('.section').children('.section-node').first().data('node');
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/CompactTreeRightKeyStroke.ts":
/*!**********************************************************!*\
  !*** ./src/tree/keystrokes/CompactTreeRightKeyStroke.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTreeRightKeyStroke: () => (/* binding */ CompactTreeRightKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTreeRightKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractCompactTreeControlKeyStroke {
  constructor(compactProcessTree) {
    super(compactProcessTree);
    this.renderingHints.text = '→';
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.RIGHT];
  }
  _findNextNode($currentNode, currentNode) {
    // Find first process node of next section.
    return $currentNode.parent().next('.section').children('.section-node').first().data('node');
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/CompactTreeUpKeyStroke.ts":
/*!*******************************************************!*\
  !*** ./src/tree/keystrokes/CompactTreeUpKeyStroke.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CompactTreeUpKeyStroke: () => (/* binding */ CompactTreeUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class CompactTreeUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractCompactTreeControlKeyStroke {
  constructor(compactProcessTree) {
    super(compactProcessTree);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.text = '↑';
  }
  _findNextNode($currentNode, currentNode) {
    if (currentNode) {
      // Find last process node, or last process node in previous section.
      return $currentNode.prev('.section-node').data('node') || $currentNode.parent().prev('.section').children('.section-node').last().data('node');
    }
    // Find last process node.
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(_index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(this.field.nodes).childNodes);
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeCollapseAllKeyStroke.ts":
/*!*********************************************************!*\
  !*** ./src/tree/keystrokes/TreeCollapseAllKeyStroke.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeCollapseAllKeyStroke: () => (/* binding */ TreeCollapseAllKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeCollapseAllKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, keyStrokeModifier) {
    super(tree, keyStrokeModifier);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.HOME];
    this.renderingHints.hAlign = _index__WEBPACK_IMPORTED_MODULE_0__.HAlign.RIGHT;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      if (this.field.visibleNodesFlat.length > 0) {
        return this.field.visibleNodesFlat[0].$node;
      }
    };
  }
  handle(event) {
    this.field.collapseAll();
    if (this.field.visibleNodesFlat.length > 0) {
      this.selectNodesAndReveal(this.field.visibleNodesFlat[0]);
    }
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeCollapseOrDrillUpKeyStroke.ts":
/*!***************************************************************!*\
  !*** ./src/tree/keystrokes/TreeCollapseOrDrillUpKeyStroke.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeCollapseOrDrillUpKeyStroke: () => (/* binding */ TreeCollapseOrDrillUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeCollapseOrDrillUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask, key, displayText) {
    super(tree, modifierBitMask);
    this.which = [key];
    this.renderingHints.text = displayText;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let currentNode = event._treeCurrentNode;
      if (currentNode.expanded) {
        return currentNode.$node;
      } else if (currentNode.parentNode) {
        return currentNode.parentNode.$node;
      }
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    let currentNode = event._treeCurrentNode;
    return accepted && !!currentNode && (currentNode.expanded || !!currentNode.parentNode);
  }
  handle(event) {
    let currentNode = event._treeCurrentNode;
    if (currentNode.expanded && currentNode.childNodes.length) {
      this.field.collapseNode(currentNode);
    } else if (currentNode.parentNode) {
      this.selectNodesAndReveal(currentNode.parentNode, true);
    }
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeExpandOrDrillDownKeyStroke.ts":
/*!***************************************************************!*\
  !*** ./src/tree/keystrokes/TreeExpandOrDrillDownKeyStroke.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeExpandOrDrillDownKeyStroke: () => (/* binding */ TreeExpandOrDrillDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeExpandOrDrillDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask, key, displayText) {
    super(tree, modifierBitMask);
    this.which = [key];
    this.renderingHints.text = displayText;
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let currentNode = event._treeCurrentNode;
      if (this.isNodeExpandable(currentNode)) {
        return currentNode.$node;
      } else if (currentNode.childNodes.length > 0) {
        return currentNode.childNodes[0].$node;
      }
    };
  }
  _accept(event) {
    let accepted = super._accept(event);
    let currentNode = event._treeCurrentNode;
    return accepted && currentNode && (this.isNodeExpandable(currentNode) || currentNode.childNodes.length > 0);
  }
  isNodeExpandable(node) {
    return !node.expanded && !node.leaf;
  }
  handle(event) {
    let currentNode = event._treeCurrentNode;
    if (this.isNodeExpandable(currentNode)) {
      this.field.expandNode(currentNode, {
        lazy: false // always show all nodes on node double click
      });
    } else {
      let visibleChildNodes = currentNode.childNodes.filter(function (node) {
        // Filter using isFilterAccepted does not work because node.filterAccepted is wrong for visible child nodes of a lazy expanded node
        return this.field.visibleNodesFlat.indexOf(node) > -1;
      }, this);
      if (visibleChildNodes.length > 0) {
        this.selectNodesAndReveal(visibleChildNodes[0], true);
      }
    }
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeNavigationDownKeyStroke.ts":
/*!************************************************************!*\
  !*** ./src/tree/keystrokes/TreeNavigationDownKeyStroke.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeNavigationDownKeyStroke: () => (/* binding */ TreeNavigationDownKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeNavigationDownKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask) {
    super(tree, modifierBitMask);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.DOWN];
    this.renderingHints.text = '↓';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let newSelectedNode = this._computeNewSelection(event._treeCurrentNode);
      if (newSelectedNode) {
        return newSelectedNode.$node;
      }
    };
  }
  _computeNewSelection(currentNode) {
    let nodes = this.field.visibleNodesFlat;
    if (nodes.length === 0) {
      return;
    }
    if (!currentNode) {
      return nodes[0];
    }
    return nodes[nodes.indexOf(currentNode) + 1];
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeNavigationEndKeyStroke.ts":
/*!***********************************************************!*\
  !*** ./src/tree/keystrokes/TreeNavigationEndKeyStroke.ts ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeNavigationEndKeyStroke: () => (/* binding */ TreeNavigationEndKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeNavigationEndKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask) {
    super(tree, modifierBitMask);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.END];
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let newSelectedNode = this._computeNewSelection(event._treeCurrentNode);
      if (newSelectedNode) {
        return newSelectedNode.$node;
      }
    };
  }
  handle(event) {
    let newSelection = this._computeNewSelection(event._treeCurrentNode);
    if (newSelection) {
      this.selectNodesAndReveal(newSelection);
    }
  }
  _computeNewSelection(currentNode) {
    let nodes = this.field.visibleNodesFlat;
    if (nodes.length === 0) {
      return;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(nodes);
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeNavigationUpKeyStroke.ts":
/*!**********************************************************!*\
  !*** ./src/tree/keystrokes/TreeNavigationUpKeyStroke.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeNavigationUpKeyStroke: () => (/* binding */ TreeNavigationUpKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeNavigationUpKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractTreeNavigationKeyStroke {
  constructor(tree, modifierBitMask) {
    super(tree, modifierBitMask);
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.UP];
    this.renderingHints.text = '↑';
    this.renderingHints.$drawingArea = ($drawingArea, event) => {
      let newSelectedNode = this._computeNewSelection(event._treeCurrentNode);
      if (newSelectedNode) {
        return newSelectedNode.$node;
      }
    };
  }
  _computeNewSelection(currentNode) {
    let nodes = this.field.visibleNodesFlat;
    if (nodes.length === 0) {
      return;
    }
    if (!currentNode) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(nodes);
    }
    return nodes[nodes.indexOf(currentNode) - 1];
  }
}

/***/ }),

/***/ "./src/tree/keystrokes/TreeSpaceKeyStroke.ts":
/*!***************************************************!*\
  !*** ./src/tree/keystrokes/TreeSpaceKeyStroke.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeSpaceKeyStroke: () => (/* binding */ TreeSpaceKeyStroke)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class TreeSpaceKeyStroke extends _index__WEBPACK_IMPORTED_MODULE_0__.KeyStroke {
  constructor(tree) {
    super();
    this.field = tree;
    this.which = [_index__WEBPACK_IMPORTED_MODULE_0__.keys.SPACE];
    this.renderingHints.render = false;
  }
  _accept(event) {
    let accepted = super._accept(event);
    return accepted && this.field.checkable && this.field.selectedNodes.length > 0;
  }
  handle(event) {
    let selectedNodes = this.field.selectedNodes.filter(node => node.enabled);
    // Toggle checked state to 'true', except if every node is already checked
    let checked = selectedNodes.some(node => !node.checked);
    selectedNodes.forEach(node => this.field.checkNode(node, checked));
  }
}

/***/ }),

/***/ "./src/types.ts":
/*!**********************!*\
  !*** ./src/types.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/uinotification/TopicDo.ts":
/*!***************************************!*\
  !*** ./src/uinotification/TopicDo.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/uinotification/UiNotificationDo.ts":
/*!************************************************!*\
  !*** ./src/uinotification/UiNotificationDo.ts ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/uinotification/UiNotificationEvent.ts":
/*!***************************************************!*\
  !*** ./src/uinotification/UiNotificationEvent.ts ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/uinotification/UiNotificationPoller.ts":
/*!****************************************************!*\
  !*** ./src/uinotification/UiNotificationPoller.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UiNotificationPoller: () => (/* binding */ UiNotificationPoller)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class UiNotificationPoller extends _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor() {
    super();
    /**
     * Configures in milliseconds how long the connection is allowed to stay open before it will be aborted.
     * This is more like a last resort timeout, the server will release the connection earlier (see scout.uinotification.waitTimeout).
     */
    _defineProperty(this, "requestTimeout", void 0);
    _defineProperty(this, "status", void 0);
    /**
     * Stores the received notifications per topic and per cluster node but not more than {@link UiNotificationPoller.HISTORY_COUNT}.
     */
    _defineProperty(this, "notifications", void 0);
    _defineProperty(this, "url", void 0);
    _defineProperty(this, "system", void 0);
    _defineProperty(this, "_call", void 0);
    this.requestTimeout = UiNotificationPoller.DEFAULT_BACKEND_TIMEOUT + UiNotificationPoller.BACKEND_TIMEOUT_OFFSET;
    this.status = _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED;
    this.notifications = new Map();
  }
  _init(model) {
    var _config$get, _config$get2;
    super._init(model);
    let timeoutPropertyKey = 'scout.uinotification.waitTimeout';
    let system = this.system.name;
    let backendTimeout = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl((_config$get = _index__WEBPACK_IMPORTED_MODULE_0__.config.get(timeoutPropertyKey, system)) === null || _config$get === void 0 ? void 0 : _config$get.value, (_config$get2 = _index__WEBPACK_IMPORTED_MODULE_0__.config.get(timeoutPropertyKey)) === null || _config$get2 === void 0 ? void 0 : _config$get2.value, UiNotificationPoller.DEFAULT_BACKEND_TIMEOUT);
    this.requestTimeout = backendTimeout + UiNotificationPoller.BACKEND_TIMEOUT_OFFSET;
  }
  setTopics(topics) {
    // Create a new map but keep existing notifications per topic
    this.notifications = new Map(topics.map(topic => [topic, this.notifications.get(topic) || new Map()]));
  }
  get topics() {
    return Array.from(this.notifications.keys());
  }
  get topicsWithLastNotifications() {
    // Create an array of TopicDOs containing the last notification of each topic per node
    return Array.from(this.notifications.entries()).map(_ref => {
      let [name, notificationsByNode] = _ref;
      let lastNotifications = Array.from(notificationsByNode.values()).map(notifications => {
        let lastNotification = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.last(notifications);
        return {
          id: lastNotification.id,
          creationTime: lastNotification.creationTime,
          nodeId: lastNotification.nodeId
        };
      });
      return {
        name,
        lastNotifications: lastNotifications.length === 0 ? undefined : lastNotifications
      };
    });
  }
  restart() {
    this.stop();
    this.start();
  }
  start() {
    if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.RUNNING) {
      return;
    }
    this.poll();
  }
  stop() {
    var _this$_call;
    if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED) {
      return;
    }
    (_this$_call = this._call) === null || _this$_call === void 0 || _this$_call.abort();
    this.setStatus(_index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED);
  }
  poll() {
    this._poll();
    this.setStatus(_index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.RUNNING);
  }
  _schedulePoll(timeout) {
    if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED) {
      return;
    }
    setTimeout(() => {
      if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED) {
        return;
      }
      this.poll();
    }, _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(timeout, 0));
  }
  _poll() {
    var _this$_call2;
    (_this$_call2 = this._call) === null || _this$_call2 === void 0 || _this$_call2.abort(); // abort in case there is already a call running
    this._call = _index__WEBPACK_IMPORTED_MODULE_0__.ajax.createCallJson({
      url: this.url,
      timeout: this.requestTimeout,
      converters: {
        'text json': data => _index__WEBPACK_IMPORTED_MODULE_0__.objects.parseJson(data, _index__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDateMapper('creationTime'))
      },
      data: _index__WEBPACK_IMPORTED_MODULE_0__.objects.stringifyJson({
        topics: this.topicsWithLastNotifications
      }, _index__WEBPACK_IMPORTED_MODULE_0__.dates.stringifyJsonDateMapper())
    }, {
      maxRetries: -1,
      // unlimited retries on connection errors
      retryIntervals: UiNotificationPoller.CONNECTION_ERROR_RETRY_INTERVALS
    });
    this._call.call().then(response => this._onSuccess(response)).catch(error => this._onError(error));
  }
  _onSuccess(response) {
    if (response.error) {
      this._onSuccessError(response.error);
      return;
    }
    if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED) {
      // Don't do anything if poller was stopped in the meantime -> discard notifications
      // In case the poller will be started again, the discarded notifications will be sent again by the server
      return;
    }
    let notifications = response.notifications || [];
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`${notifications.length} UI notification(s) received.`);
    notifications = notifications.filter(notification => {
      let {
        topic,
        id,
        nodeId
      } = notification;
      if (!this.notifications.has(topic)) {
        // Ignore topics that have been unsubscribed in the meantime
        return false;
      }
      // Add to notification history and drop the oldest ones
      let topicNotifications = this.notifications.get(topic);
      let nodeNotifications = _index__WEBPACK_IMPORTED_MODULE_0__.objects.getOrSetIfAbsent(topicNotifications, nodeId, () => []);
      if (nodeNotifications.some(existingNotification => existingNotification.id === id)) {
        // Notification already known, ignore it
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`UI notification with id '${id}' is already known, dropping it.`);
        return false;
      }
      nodeNotifications.push(notification);
      nodeNotifications = nodeNotifications.sort((n1, n2) => n1.creationTime.getTime() - n2.creationTime.getTime());
      if (nodeNotifications.length > UiNotificationPoller.HISTORY_COUNT) {
        nodeNotifications.splice(0, 1);
      }
      if (notification.subscriptionStart) {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`UI notification with id ${id} marks subscription start.`);
        this.trigger('subscriptionStart', {
          notification
        });
        // Just a marker notification -> discard it
        return false;
      }
      return true;
    });
    if (notifications.length) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`Dispatching UI notifications with ids ${notifications.map(n => n.id)}.`);
      this.trigger('notifications', {
        notifications
      });
    }
    this._schedulePoll();
  }
  _onSuccessError(error) {
    if (error.code === _index__WEBPACK_IMPORTED_MODULE_0__.Session.JsonResponseError.SESSION_TIMEOUT) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Stopping ui notification poller due to session timeout');
      this.stop();
    } else {
      // Log every other error, even though they should actually never happen
      _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.ErrorHandler, {
        displayError: false
      }).handle(error);
    }
  }
  _onError(error) {
    if (this._call.pendingCall || this._call.callTimeoutId) {
      // Poller has probably been aborted but already been restarted or scheduled for a retry (callTimeoutId is set) -> ignore error and don't reschedule poll
      return;
    }
    if (error.textStatus === 'abort' || this._call.aborted) {
      // Don't report errors if polling was aborted.
      // Checking the aborted flag is necessary because textStatus may be wrong if AjaxCall was aborted between two retries (textStatus is only set to aborted if the actual request was aborted).
      // This ensures no error is reported even if poller was stopped between two retries.
      if (this.status === _index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.STOPPED) {
        return;
      }
      this.setStatus(_index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.FAILURE);
      // If poller is supposed to run, reschedule it
      this._schedulePoll(UiNotificationPoller.RESPONSE_ERROR_RETRY_INTERVAL);
      return;
    }
    this.setStatus(_index__WEBPACK_IMPORTED_MODULE_0__.BackgroundJobPollingStatus.FAILURE);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(error.jqXHR.status, 401, 403)) {
      // Stop polling on session timeout
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info(`Stopping ui notification poller because operation is not permitted (${error.jqXHR.status})`);
      this.trigger('error', {
        error
      });
      this.stop();
      return;
    }
    this.trigger('error', {
      error
    });
    _index__WEBPACK_IMPORTED_MODULE_0__.App.get().errorHandler.analyzeError(error).then(errorInfo => {
      var _scout$getSession;
      (_scout$getSession = _index__WEBPACK_IMPORTED_MODULE_0__.scout.getSession()) === null || _scout$getSession === void 0 || _scout$getSession.sendLogRequest(`UI notification poller failed, call will be retried in ${UiNotificationPoller.RESPONSE_ERROR_RETRY_INTERVAL} ms.\nError message:\n${errorInfo.log}\n()`, _index__WEBPACK_IMPORTED_MODULE_0__.LogLevel.INFO);
    });
    this._schedulePoll(UiNotificationPoller.RESPONSE_ERROR_RETRY_INTERVAL);
  }
  setStatus(status) {
    const changed = this.setProperty('status', status);
    if (changed) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('UI notification poller status changed: ' + status);
    }
  }
}
/**
 * Configures in milliseconds the time to wait after an error occurs, before the polling will be retried.
 */
_defineProperty(UiNotificationPoller, "RESPONSE_ERROR_RETRY_INTERVAL", 30000);
/**
 * Configures in milliseconds the time to wait after a connection error occurs, before the polling will be retried.
 */
_defineProperty(UiNotificationPoller, "CONNECTION_ERROR_RETRY_INTERVALS", [300, 500, 1000, 5000]);
/**
 * The number of notifications per topic that should be kept until the topic is unsubscribed.
 */
_defineProperty(UiNotificationPoller, "HISTORY_COUNT", 10);
_defineProperty(UiNotificationPoller, "DEFAULT_BACKEND_TIMEOUT", 60000);
_defineProperty(UiNotificationPoller, "BACKEND_TIMEOUT_OFFSET", 15000);

/***/ }),

/***/ "./src/uinotification/UiNotificationPollerEventMap.ts":
/*!************************************************************!*\
  !*** ./src/uinotification/UiNotificationPollerEventMap.ts ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/uinotification/UiNotificationResponse.ts":
/*!******************************************************!*\
  !*** ./src/uinotification/UiNotificationResponse.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/uinotification/UiNotificationSystem.ts":
/*!****************************************************!*\
  !*** ./src/uinotification/UiNotificationSystem.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UiNotificationSystem: () => (/* binding */ UiNotificationSystem)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UiNotificationSystem {
  constructor() {
    _defineProperty(this, "poller", void 0);
    _defineProperty(this, "name", void 0);
    _defineProperty(this, "events", void 0);
    _defineProperty(this, "objectType", void 0);
    this.events = new UiNotificationEventSupport(this);
  }
  init(model) {
    this.name = model === null || model === void 0 ? void 0 : model.name;
  }
  subscribe(topic, handler) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('topic', topic);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('handler', handler);
    this.events.on(topic, handler);
    return this.whenSubscriptionStart(topic).catch(error => {
      this.unsubscribe(topic, handler);
      throw error;
    });
  }
  subscribeOne(topic, handler) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('topic', topic);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('handler', handler);
    this.events.one(topic, handler);
    return this.whenSubscriptionStart(topic).catch(error => {
      this.unsubscribe(topic, handler);
      throw error;
    });
  }
  unsubscribe(topic, handler) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('topic', topic);
    this.events.off(topic, handler);
  }
  whenSubscriptionStart(topic) {
    var _this$poller$notifica;
    if ((_this$poller$notifica = this.poller.notifications.get(topic)) !== null && _this$poller$notifica !== void 0 && _this$poller$notifica.size) {
      // If there is at least one notification, the subscription has been started successfully.
      // The notification may be the subscriptionStart notification or another one if subscriptionStart notification has been removed because history size exceeded HISTORY_COUNT.
      return $.resolvedPromise(topic);
    }
    let deferred = $.Deferred();
    let subscriptionStartHandler = event => {
      if (event.notification.topic === topic) {
        deferred.resolve(topic);
        this.poller.off('subscriptionStart', subscriptionStartHandler);
        this.poller.off('error', errorHandler);
      }
    };
    let errorHandler = event => {
      var _this$poller, _this$poller2;
      deferred.reject(event.error);
      (_this$poller = this.poller) === null || _this$poller === void 0 || _this$poller.off('subscriptionStart', subscriptionStartHandler);
      (_this$poller2 = this.poller) === null || _this$poller2 === void 0 || _this$poller2.off('error', errorHandler);
    };
    this.poller.on('subscriptionStart', subscriptionStartHandler);
    this.poller.on('error', errorHandler);
    return deferred.promise();
  }
  _dispatch(notifications) {
    for (const notification of notifications) {
      if (!this.events.count(notification.topic)) {
        $.log.isInfoEnabled() && $.log.info('Notification received but no handler registered');
        return;
      }
      this._trigger(notification.topic, notification);
    }
  }
  _trigger(type, notification) {
    let event = new _index__WEBPACK_IMPORTED_MODULE_0__.Event({
      id: notification.id,
      topic: notification.topic,
      creationTime: notification.creationTime,
      message: notification.message
    });
    event.source = this;
    this.events.trigger(type, event);
  }
  updatePoller() {
    let topics = this.events.types();
    let poller = this.poller;
    if (topics.length > 0 && !poller) {
      // First topic added -> create poller
      let endpointUrl = _index__WEBPACK_IMPORTED_MODULE_0__.systems.getOrCreate(this.name).getEndpointUrl('ui-notifications', 'ui-notifications');
      poller = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.UiNotificationPoller, {
        system: this,
        url: endpointUrl
      });
      poller.on('notifications', event => this._dispatch(event.notifications));
      this.poller = poller;
    }
    if (!poller) {
      // No topics registered and no poller started -> do nothing
      return;
    }
    // Update poller with new topics
    poller.setTopics(topics);
    if (poller.topics.length === 0) {
      // Last topic removed -> stop poller
      poller.stop();
      this.poller = null;
    } else {
      poller.restart();
    }
  }
  destroy() {
    var _this$poller3;
    (_this$poller3 = this.poller) === null || _this$poller3 === void 0 || _this$poller3.stop();
    this.poller = null;
  }
}
class UiNotificationEventSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.EventSupport {
  constructor(system) {
    super();
    _defineProperty(this, "system", void 0);
    this.system = system;
  }
  on(type, func, origFunc) {
    let listener = super.on(type, func, origFunc);
    this.system.updatePoller();
    return listener;
  }
  off(type, func) {
    super.off(type, func);
    this.system.updatePoller();
  }
}

/***/ }),

/***/ "./src/uinotification/uiNotifications.ts":
/*!***********************************************!*\
  !*** ./src/uinotification/uiNotifications.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UiNotifications: () => (/* binding */ UiNotifications),
/* harmony export */   uiNotifications: () => (/* binding */ uiNotifications)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UiNotifications {
  constructor() {
    _defineProperty(this, "systems", new Map());
  }
  /**
   * Subscribes for a specific topic and executes the given handler whenever a notification for that topic arrives.
   *
   * The same topic can be subscribed multiple times by different handlers.
   * The first subscription establishes the connection.
   *
   * @param topic Can be any string.
   *    Try to make the topic as specific as possible, e.g. by appending the id of an element to the topic name, instead of filtering the notifications in the UI.
   *    This reduces the overhead of sending unnecessary notifications to clients.
   * @param system The system that publishes the notification. If no system is provided, the `main` system is used, which points to `api/ui-notifications`.
   *    To subscribe to a system with different url, the system must be registered first using {@link systems.getOrCreate} and then calling {@link System.setBaseUrl}
   *    and/or {@link System.setEndpointUrl}.
   * @returns a promise that will be resolved as soon as the subscription was successful and notifications can be received.
   */
  subscribe(topic, handler, system) {
    return this._getOrInitSystem(system).subscribe(topic, handler);
  }
  /**
   * Subscribes for a specific topic and executes the given handler when the first notification for that topic arrives.
   * After that, the handler will automatically be unsubscribed.
   *
   * @see subscribe
   */
  subscribeOne(topic, handler, system) {
    return this._getOrInitSystem(system).subscribeOne(topic, handler);
  }
  /**
   * Unsubscribes the handler from a specific topic, so it won't be called anymore when a notification for that topic is published.
   *
   * If the last handler was removed for the given system, the connection will be closed and not opened again until a new topic will be subscribed.
   */
  unsubscribe(topic, handler, system) {
    this._getOrInitSystem(system).unsubscribe(topic, handler);
  }
  /**
   * Unregisters the system and closes the pending connection, if there is any.
   */
  unregisterSystem(name) {
    let system = this.systems.get(name);
    if (!system) {
      return;
    }
    system.destroy();
    this.systems.delete(name);
  }
  /**
   * Computes a reload delay for the current client which lies within the given time window.
   * @param reloadDelayWindow The time window in which the random delay must be (maximum) in seconds.
   * @returns The delay in milliseconds.
   */
  computeReloadDelay(reloadDelayWindow) {
    reloadDelayWindow = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(reloadDelayWindow, 0);
    if (reloadDelayWindow < 3) {
      // no delay if the window is very small (not necessary)
      return 0;
    }
    return Math.ceil(Math.random() * 1000 * reloadDelayWindow); // randomly delay the reload within the necessary time window (milliseconds)
  }
  /**
   * Unregisters all systems and closes the pending connections, if there are any.
   */
  tearDown() {
    this.systems.forEach(system => system.destroy());
    this.systems.clear();
  }
  _getOrInitSystem(system) {
    system = system || _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM;
    if (system !== _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM && !_index__WEBPACK_IMPORTED_MODULE_0__.systems.exists(system)) {
      // The custom system is not known (yet). Therefore, no custom baseUrl is present. The system will use the default endpoint url.
      // To prevent having multiple notification systems (and therefore pollers) for the same endpoint url, the system is reset to main if unknown.
      //
      // This ignores the case when the main system is registered to a non-default baseUrl. E.g. main system has '/api-main' and other system has '/api'.
      // Then subscribing to other system would not be possible before actually registering it even if the url would not require a registration (because it is default).
      // But as this case is rather uncommon and the '/api' url should be considered to be the main system instead, this case is ignored as there is an easy workaround:
      // register the other system first with default base url.
      system = _index__WEBPACK_IMPORTED_MODULE_0__.System.MAIN_SYSTEM;
    }
    let systemObj = this.systems.get(system);
    if (!systemObj) {
      systemObj = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.UiNotificationSystem, {
        name: system
      });
      this.systems.set(system, systemObj);
    }
    return systemObj;
  }
}
const uiNotifications = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createSingletonProxy(UiNotifications);
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('fail', event => {
  // Stop polling if application could not be started
  uiNotifications.tearDown();
});

/***/ }),

/***/ "./src/util/BinaryResource.ts":
/*!************************************!*\
  !*** ./src/util/BinaryResource.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/util/Call.ts":
/*!**************************!*\
  !*** ./src/util/Call.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Call: () => (/* binding */ Call)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Represents a robust "call" that, when it fails, is retried automatically for a specific
 * number of times, before failing ultimately. The call implementation must be provided
 * by a subclass by overriding the _callImpl() method.
 */
class Call {
  constructor() {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "minCallDuration", void 0);
    _defineProperty(this, "callCounter", void 0);
    _defineProperty(this, "retryIntervals", void 0);
    _defineProperty(this, "maxRetries", void 0);
    _defineProperty(this, "defaultRetryInterval", void 0);
    _defineProperty(this, "deferred", void 0);
    _defineProperty(this, "aborted", void 0);
    _defineProperty(this, "initialized", void 0);
    _defineProperty(this, "pendingCall", void 0);
    _defineProperty(this, "callTimeoutId", void 0);
    _defineProperty(this, "callStartTimestamp", void 0);
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "name", void 0);
    _defineProperty(this, "uniqueName", void 0);
    _defineProperty(this, "logPrefix", void 0);
    _defineProperty(this, "result", void 0);
    this.initialized = false;
    this.retryIntervals = [];
    this.maxRetries = null; // automatically set to the length of retryInternals in init(), unless specified explicitly
    this.minCallDuration = 500;
    this.defaultRetryInterval = 300;
    /**
     * Counts how many times this call was actually performed (normally, only 1 try is expected)
     */
    this.callCounter = 0;
    this.deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    this.aborted = false;
    this.pendingCall = null;
    this.callTimeoutId = null;
    this.callStartTimestamp = null;
    this.type = null;
    this.name = null;
    /**
     * Unique identifier of this call instance for logging and debugging purposes
     */
    this.uniqueName = null;
    this.logPrefix = '';
    this.result = null;
  }
  init(model) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, model);
    this.retryIntervals = this.retryIntervals ? this.retryIntervals.slice() : []; // Do not modify the passed value -> create a copy
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.maxRetries)) {
      this.maxRetries = this.retryIntervals.length;
    }
    // Assign a unique name to the call to help distinguish different calls in the log
    this.uniqueName = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.type, 'call') + '-' + Call.GLOBAL_SEQ++ + _index__WEBPACK_IMPORTED_MODULE_0__.strings.box(' ', this.name, '');
    this.initialized = true;
  }
  _checkInitialized() {
    if (!this.initialized) {
      throw new Error('Not initialized');
    }
  }
  _updateLogPrefix() {
    this.logPrefix = this.callCounter + '/' + (this.maxRetries + 1) + ' [' + this.uniqueName + '] ';
  }
  _resolve() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + '[RESOLVE]');
    this.deferred.resolve(..._index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.result));
  }
  _reject() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + '[REJECT]');
    this.deferred.reject(..._index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.result));
  }
  _setResult() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    this.result = args;
  }
  // ==================================================================================
  /**
   * Performs the call with retries.
   *
   * Returns a promise that is ...
   * ... RESOLVED when the call was successful (possibly after some retries).
   * ... REJECTED when the call failed and no more retries are possible.
   *
   *
   *     | (promise)
   *     |   ^
   *     v   |
   *   +--------+           +---------+           .---------------.  (yes)
   *   | call() | . . . . . | _call() | ------>  <    success?     > ------> [RESOLVE]
   *   +--------+           +---------+           '---------------'
   *                             ^                       |(no)
   *                             |                       |
   *                             |                       v
   *                             |                .---------------.  (yes)
   *                             |               <    aborted?     > ------> [REJECT]
   *                             |                '---------------'
   *                             |                       |(no)
   *                             |                       |
   *                             |                       v
   *                             |                .---------------.  (no)
   *                             |               < retry possible? > ------> [REJECT]
   *                             |                '---------------'
   *                             |                       |(yes)
   *                             |        sleep          |
   *                             +-------- %%% ----------+
   */
  call() {
    this._checkInitialized();
    this._call();
    return this.deferred.promise();
  }
  /**
   * Aborts the call. If the request is currently running, it is aborted (interrupted).
   * If a retry is scheduled, that retry is cancelled.
   *
   * The promise returned by call() is REJECTED.
   */
  abort() {
    this._checkInitialized();
    this._abort();
  }
  // ==================================================================================
  _call() {
    if (this.aborted) {
      throw new Error('Call is aborted');
    }
    this.callTimeoutId = null;
    this.callStartTimestamp = Date.now();
    this.callCounter++;
    this._updateLogPrefix();
    this.pendingCall = this._callImpl().always(() => {
      this.pendingCall = null;
    }).done(this._setResultDone.bind(this)).done(this._onCallDone.bind(this)).fail(this._setResultFail.bind(this)).fail(this._onCallFail.bind(this));
  }
  _setResultDone() {
    this._setResult(...arguments);
  }
  _setResultFail() {
    this._setResult(...arguments);
  }
  _onCallDone() {
    // Call successful -> RESOLVE
    this._resolve();
  }
  _onCallFail() {
    // Aborted? -> REJECT
    if (this.aborted) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'Call aborted');
      this._reject();
      return;
    }
    // Retry impossible? -> REJECT
    let nextInterval = this._nextRetryImpl(...arguments);
    if (typeof nextInterval !== 'number') {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'No retries remaining');
      this._reject();
      return;
    }
    // Retry
    let callDuration = Date.now() - this.callStartTimestamp;
    let additionalDelay = Math.max(this.minCallDuration - callDuration, 0);
    let retryInterval = nextInterval + additionalDelay;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'Try again in ' + retryInterval + ' ms...');
    this.callTimeoutId = setTimeout(this._call.bind(this), retryInterval);
  }
  /**
   * Checks if the call can be retried. If a number is returned, a retry is performed with a delay of the corresponding amount of milliseconds.
   * All other values indicate that no retry must be performed. (It is recommended to return 'false' or 'null' in this case.)
   * This method MAY be overridden by a subclass.
   */
  _nextRetryImpl() {
    if (this.maxRetries >= 0 && this.callCounter > this.maxRetries) {
      return false; // no more retries
    }
    if (this.retryIntervals.length) {
      // there are more intervals: consume the next
      let nextRetryInterval = this.retryIntervals.shift();
      this.defaultRetryInterval = nextRetryInterval; // keep the last interval for next retries (in case maxRetries > retryIntervals.length)
      return nextRetryInterval;
    }
    // there should be more retries, but no intervals are available (anymore).
    // use the default interval for all subsequent retries.
    return this.defaultRetryInterval;
  }
  // ==================================================================================
  _abort() {
    this.aborted = true;
    // Abort while waiting for the next retry (there is no running call)
    if (this.callTimeoutId) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace(this.logPrefix + 'Cancelled scheduled retry');
      clearTimeout(this.callTimeoutId);
      this.callTimeoutId = null;
      this._reject();
      return;
    }
    // Abort a running call if necessary
    this._abortImpl();
  }
  _abortImpl() {
    // This method MAY be overridden by a subclass.
  }
}
_defineProperty(Call, "GLOBAL_SEQ", 0);

/***/ }),

/***/ "./src/util/CallModel.ts":
/*!*******************************!*\
  !*** ./src/util/CallModel.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/util/Device.ts":
/*!****************************!*\
  !*** ./src/util/Device.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Device: () => (/* binding */ Device)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


let instance;
/**
 * Provides information about the device and its supported features.<p>
 * The information is detected lazily.
 *
 * @singleton
 */
class Device {
  constructor(model) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "userAgent", void 0);
    _defineProperty(this, "features", void 0);
    _defineProperty(this, "system", void 0);
    _defineProperty(this, "type", void 0);
    _defineProperty(this, "browser", void 0);
    _defineProperty(this, "browserVersion", void 0);
    _defineProperty(this, "systemVersion", void 0);
    _defineProperty(this, "scrollbarWidth", void 0);
    // user agent string from browser
    this.userAgent = model.userAgent;
    this.features = {};
    this.system = Device.System.UNKNOWN;
    this.type = Device.Type.DESKTOP;
    this.browser = Device.Browser.UNKNOWN;
    this.browserVersion = 0;
    this.scrollbarWidth = 0;
    if (this.userAgent) {
      this._parseSystem();
      this._parseSystemVersion();
      this._parseBrowser();
      this._parseBrowserVersion();
    }
  }
  /**
   * Called during bootstrap by index.html before the session startup.
   *
   * Precalculates the value of some attributes to store them in a static way (and prevent many repeating function calls within loops).
   */
  bootstrap() {
    // Pre-calculate value and store in a simple property, to prevent many function calls inside loops
    this.scrollbarWidth = this._detectScrollbarWidth();
    this.type = this._detectType(this.userAgent);
    if (this.isIos()) {
      this._installActiveHandler();
    }
    if (this._needsIPhoneRotationHack()) {
      this._fixIPhoneRotationBug();
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  }
  /**
   * IOs does only trigger :active when touching an element if a touchstart listener is attached
   * Unfortunately, the :active is also triggered when scrolling, there is no delay.
   * To fix this we would have to work with a custom active class which will be toggled on touchstart/end
   */
  _installActiveHandler() {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    document.addEventListener('touchstart', () => {}, false);
  }
  _needsIPhoneRotationHack() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Activating iPhone rotation workaround.');
    // iPad does not automatically switch to minimal-ui mode on rotation.
    // Also, the hack is not necessary if the body is scrollable (which can be achieved with a custom desktop).
    return this.isIphone() && !this.isStandalone() && jquery__WEBPACK_IMPORTED_MODULE_1___default()(document.body).css('overflow') === 'hidden';
  }
  /**
   * The iphone wants to activate the minimal-ui mode when it is rotated to landscape. This would actually be a good thing, but unfortunately it is buggy.
   * When the device is rotated there will be a white bar visible at the bottom of the screen.
   * When it is rotated back it may look ok at first but touching an element does not work anymore because the touch-point is about 30px at the wrong location.
   * <p>
   * This happens because the height used for layouting the desktop is smaller than it should be. This layouting is triggered by the window resize event, so obviously
   * the resize event comes too early and no resize event will be triggered when the minimal-ui mode is activated.
   * <p>
   * Unfortunately it is also not possible to schedule the relay outing after a rotation because the height does not seem to be reliable.
   * Even if the window or body size will explicitly be set to the viewport size, there will be a white bar at the bottom, even though the scout desktop is layouted with the correct size.
   * <p>
   * Luckily, it is possible to show the address bar programmatically, but we need to wait for the rotation animation to complete.
   * Since there is no event for that we need to try it several times, sometimes it will work after 150ms, sometimes we have to wait 250ms.
   * This is quite a hack and will likely break with a future ios release...
   */
  _fixIPhoneRotationBug() {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('Enabling iPhone rotation workaround.');
    let orientation = this.orientation();
    let count = 0;
    let docElem = document.documentElement;
    window.addEventListener('resize', event => {
      let newOrientation = Device.get().orientation();
      if (orientation !== newOrientation) {
        orientation = newOrientation;
        count = 0;
        tryShowAddressBar();
      }
    });
    function tryShowAddressBar() {
      setTimeout(() => {
        docElem.scrollTop = 0;
        if (++count < 8) {
          tryShowAddressBar();
        }
      }, 50);
    }
  }
  orientation() {
    if (window.innerHeight > window.innerWidth) {
      return 'portrait';
    }
    return 'landscape';
  }
  hasOnScreenKeyboard() {
    return this.supportsFeature('_onScreenKeyboard', () => {
      return this.isIos() || this.isAndroid() || this.isWindowsTabletMode();
    });
  }
  /**
   * Returns if the current browser includes the padding-right-space in the scrollWidth calculations.<br>
   * Such a browser increases the scrollWidth only if the text-content exceeds the space <i>including</i> the right-padding.
   * This means the scrollWidth is equal to the clientWidth until the right-padding-space is consumed as well.
   */
  isScrollWidthIncludingPadding() {
    return this.isInternetExplorer() || this.isFirefox() || this.isEdge();
  }
  /**
   * Safari shows a tooltip if ellipsis are displayed due to text truncation. This is fine but, unfortunately, it cannot be prevented.
   * Because showing two tooltips at the same time (native and custom) is bad, the custom tooltip cannot be displayed.
   */
  isCustomEllipsisTooltipPossible() {
    return this.browser !== Device.Browser.SAFARI;
  }
  /**
   * @returns true if the current device is an iPhone. This is more specific than the <code>isIos</code> function
   * which also includes iPads and iPods.
   */
  isIos() {
    return Device.System.IOS === this.system;
  }
  isEdge() {
    return Device.Browser.EDGE === this.browser;
  }
  /**
   * @returns 'ms-edge' if the current browser is Microsoft Edge
   */
  cssClassForEdge() {
    return this.isEdge() ? 'ms-edge' : '';
  }
  /**
   * @returns 'iphone' if the current device is an iPhone
   */
  cssClassForIphone() {
    return this.isIphone() ? 'iphone' : '';
  }
  isIphone() {
    return this.userAgent.indexOf('iPhone') > -1;
  }
  isInternetExplorer() {
    return Device.Browser.INTERNET_EXPLORER === this.browser;
  }
  isFirefox() {
    return Device.Browser.FIREFOX === this.browser;
  }
  isChrome() {
    return Device.Browser.CHROME === this.browser;
  }
  /**
   * Compared to isIos() this function uses {@link navigator.platform} instead of navigator.userAgent to check whether the app runs on iOS.
   * Most of the time isIos() is the way to go.
   * This function was mainly introduced to detect whether it is a real iOS or an emulated one (e.g. using chrome emulator).
   * @returns true if the platform is iOS, false if not (e.g. if chrome emulator is running)
   */
  isIosPlatform() {
    return /iPad|iPhone|iPod/.test(navigator.platform);
  }
  isAndroid() {
    return Device.System.ANDROID === this.system;
  }
  /**
   * Checks if the device is running Windows 10 or later in "tablet mode". We assume that this is the case when the
   * _primary_ input mechanism consists of a pointing device of limited accuracy, such as a finger on a touchscreen.
   *
   * In Windows 11, the "tablet mode" cannot be explicitly set by the user. Instead, it is automatically turned on
   * when the keyboard is detached. When the device is docked, the touchscreen can still be used, but it is no longer
   * the primary input mechanism.
   */
  isWindowsTabletMode() {
    return Device.System.WINDOWS === this.system && this.systemVersion >= 10 && window.matchMedia('(pointer: coarse)').matches;
  }
  /**
   * @returns true if {@link navigator.standalone} is true which is the case for iOS home screen mode
   */
  isStandalone() {
    return !!window.navigator['standalone'];
  }
  /**
   * This method returns false for all browsers that are known to be unsupported, all others (e.g. unknown engines) are allowed by default.
   * The supported browser versions are mainly determined by the features needed by Scout (e.g. class syntax, Array.flatMap, IntersectionObserver, Custom CSS Properties, CSS flex-box, queueMicrotask).
   */
  isSupportedBrowser(browser, version) {
    browser = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(browser, this.browser);
    version = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(version, this.browserVersion);
    let browsers = Device.Browser;
    return browser === browsers.CHROME && version >= 71 || browser === browsers.FIREFOX && version >= 69 || browser === browsers.SAFARI && version >= 13;
  }
  /**
   * Can not detect type until DOM is ready because we must create a DIV to measure the scrollbars.
   */
  _detectType(userAgent) {
    if (Device.System.ANDROID === this.system) {
      if (userAgent.indexOf('Mobile') > -1) {
        return Device.Type.MOBILE;
      }
      return Device.Type.TABLET;
    } else if (Device.System.IOS === this.system) {
      if (userAgent.indexOf('iPad') > -1) {
        return Device.Type.TABLET;
      }
      return Device.Type.MOBILE;
    } else if (this.isWindowsTabletMode()) {
      return Device.Type.TABLET;
    }
    return Device.Type.DESKTOP;
  }
  _parseSystem() {
    let userAgent = this.userAgent;
    if (userAgent.indexOf('iPhone') > -1 || userAgent.indexOf('iPad') > -1) {
      this.system = Device.System.IOS;
    } else if (userAgent.indexOf('Android') > -1) {
      this.system = Device.System.ANDROID;
    } else if (userAgent.indexOf('Windows') > -1) {
      this.system = Device.System.WINDOWS;
    }
  }
  /**
   * Currently only supports IOS
   */
  _parseSystemVersion() {
    let versionRegex,
      System = Device.System,
      userAgent = this.userAgent;
    if (this.system === System.IOS) {
      versionRegex = / OS ([0-9]+\.?[0-9]*)/;
      // replace all _ with .
      userAgent = userAgent.replace(/_/g, '.');
    } else if (this.system === System.WINDOWS) {
      versionRegex = /Windows NT ([0-9]+\.?[0-9]*)/;
    }
    if (versionRegex) {
      this.systemVersion = this._parseVersion(userAgent, versionRegex);
    }
  }
  _parseBrowser() {
    let userAgent = this.userAgent;
    if (userAgent.indexOf('Firefox') > -1) {
      this.browser = Device.Browser.FIREFOX;
    } else if (userAgent.indexOf('MSIE') > -1 || userAgent.indexOf('Trident') > -1) {
      this.browser = Device.Browser.INTERNET_EXPLORER;
    } else if (userAgent.indexOf('Edge') > -1) {
      // must check for Edge before we do other checks, because the Edge user-agent string
      // also contains matches for Chrome and Webkit.
      this.browser = Device.Browser.EDGE;
    } else if (userAgent.indexOf('Chrome') > -1) {
      this.browser = Device.Browser.CHROME;
    } else if (userAgent.indexOf('Safari') > -1) {
      this.browser = Device.Browser.SAFARI;
    }
  }
  /**
   * Version regex only matches the first number pair
   * but not the revision-version. Example:
   * - 21     match: 21
   * - 21.1   match: 21.1
   * - 21.1.3 match: 21.1
   */
  _parseBrowserVersion() {
    let versionRegex,
      browsers = Device.Browser,
      userAgent = this.userAgent;
    if (this.browser === browsers.INTERNET_EXPLORER) {
      // with Internet Explorer 11 user agent string does not contain the 'MSIE' string anymore
      // additionally in new version the version-number after Trident/ is not the browser-version
      // but the engine-version.
      if (userAgent.indexOf('MSIE') > -1) {
        versionRegex = /MSIE ([0-9]+\.?[0-9]*)/;
      } else {
        versionRegex = /rv:([0-9]+\.?[0-9]*)/;
      }
    } else if (this.browser === browsers.EDGE) {
      versionRegex = /Edge\/([0-9]+\.?[0-9]*)/;
    } else if (this.browser === browsers.SAFARI) {
      if (this.isIos() && userAgent.indexOf('Version/') < 0) {
        this.browserVersion = this.systemVersion;
        return;
      }
      versionRegex = /Version\/([0-9]+\.?[0-9]*)/;
    } else if (this.browser === browsers.FIREFOX) {
      versionRegex = /Firefox\/([0-9]+\.?[0-9]*)/;
    } else if (this.browser === browsers.CHROME) {
      versionRegex = /Chrome\/([0-9]+\.?[0-9]*)/;
    }
    if (versionRegex) {
      this.browserVersion = this._parseVersion(userAgent, versionRegex);
    }
  }
  _parseVersion(userAgent, versionRegex) {
    let matches = versionRegex.exec(userAgent);
    if (Array.isArray(matches) && matches.length === 2) {
      return parseFloat(matches[1]);
    }
  }
  supportsFeature(property, checkFunc) {
    if (this.features[property] === undefined) {
      this.features[property] = checkFunc(property);
    }
    return this.features[property];
  }
  /**
   * Currently this method should be used when you want to check if the device is "touch only" -
   * which means the user has no keyboard or mouse. Some hybrids like Surface tablets in desktop mode are
   * still touch devices, but support keyboard and mouse at the same time. In such cases this method will
   * return false, since the device is not touch only.
   *
   * Currently, this method returns the same as hasOnScreenKeyboard(). Maybe the implementation here will be
   * different in the future.
   */
  supportsOnlyTouch() {
    return this.supportsFeature('_onlyTouch', this.hasOnScreenKeyboard.bind(this));
  }
  /**
   * @see http://www.stucox.com/blog/you-cant-detect-a-touchscreen/
   * @see https://codeburst.io/the-only-way-to-detect-touch-with-javascript-7791a3346685
   */
  supportsTouch() {
    return this.supportsFeature('_touch', property => {
      return 'ontouchstart' in window || window.TouchEvent || window['DocumentTouch'] && document instanceof window['DocumentTouch'];
    });
  }
  supportsFile() {
    return !!window.File;
  }
  /**
   * Some browsers support the file API but don't support the File constructor (new File()).
   */
  supportsFileConstructor() {
    return typeof File === 'function';
  }
  supportsCssAnimation() {
    return this.supportsCssProperty('animation');
  }
  /**
   * Used to determine if browser supports full history API.
   * Note that IE9 only partially supports the API, pushState and replaceState functions are missing.
   * @see: https://developer.mozilla.org/de/docs/Web/API/Window/history
   */
  supportsHistoryApi() {
    return !!(window.history && window.history.pushState);
  }
  supportsCssGradient() {
    let testValue = 'linear-gradient(to left, #000 0%, #000 50%, transparent 50%, transparent 100% )';
    return this.supportsFeature('gradient', this.checkCssValue.bind(this, 'backgroundImage', testValue, actualValue => {
      return (actualValue + '').indexOf('gradient') > 0;
    }));
  }
  supportsInternationalization() {
    return window.Intl && typeof window.Intl === 'object';
  }
  /**
   * Returns true if the device supports the download of resources in the same window as the single page app is running.
   * With "download" we mean: change <code>window.location.href</code> to the URL of the resource to download. Some browsers don't
   * support this behavior and require the resource to be opened in a new window with <code>window.open</code>.
   */
  supportsDownloadInSameWindow() {
    return Device.Browser.FIREFOX !== this.browser;
  }
  supportsWebcam() {
    return this.supportsFeature('_webcam', property => {
      let getUserMedia = _index__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(navigator, 'mediaDevices', 'getUserMedia');
      return _index__WEBPACK_IMPORTED_MODULE_0__.objects.isFunction(getUserMedia);
    });
  }
  supportsMicrotask() {
    return typeof queueMicrotask === 'function';
  }
  supportsIntersectionObserver() {
    return typeof IntersectionObserver === 'function';
  }
  hasPrettyScrollbars() {
    return this.supportsFeature('_prettyScrollbars', property => {
      return this.scrollbarWidth === 0;
    });
  }
  canHideScrollbars() {
    return this.supportsFeature('_canHideScrollbars', property => {
      // Check if scrollbar is vanished if class hybrid-scrollable is applied which hides the scrollbar, see also scrollbars.js and Scrollbar.less
      return this._detectScrollbarWidth('hybrid-scrollable') === 0;
    });
  }
  supportsCopyFromDisabledInputFields() {
    return Device.Browser.FIREFOX !== this.browser;
  }
  /**
   * If the mouse down on an element with a pseudo-element removes the pseudo-element (e.g. check box toggling),
   * the firefox cannot focus the element anymore and instead focuses the body. In that case manual focus handling is necessary.
   */
  loosesFocusIfPseudoElementIsRemoved() {
    return Device.Browser.FIREFOX === this.browser;
  }
  supportsCssProperty(property) {
    return this.supportsFeature(property, property => {
      if (document.body.style[property] !== undefined) {
        return true;
      }
      property = property.charAt(0).toUpperCase() + property.slice(1);
      for (let i = 0; i < Device.VENDOR_PREFIXES.length; i++) {
        if (document.body.style[Device.VENDOR_PREFIXES[i] + property] !== undefined) {
          return true;
        }
      }
      return false;
    });
  }
  supportsGeolocation() {
    return !!navigator.geolocation;
  }
  /**
   * When we call .preventDefault() on a mousedown event Firefox doesn't apply the :active state.
   * Since W3C does not specify an expected behavior, we need this workaround for consistent behavior in
   * our UI. The issue has been reported to Mozilla, but it doesn't look like there will be a bugfix soon:
   *
   * https://bugzilla.mozilla.org/show_bug.cgi?id=771241#c7
   */
  requiresSyntheticActiveState() {
    return this.isFirefox();
  }
  supportsPassiveEventListener() {
    return this.supportsFeature('_passiveEventListener', property => {
      // Code from MDN https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener#Safely_detecting_option_support
      let passiveSupported = false;
      try {
        let options = Object.defineProperty({}, 'passive', {
          get: () => {
            passiveSupported = true;
            return false;
          }
        });
        // @ts-expect-error
        window.addEventListener('test', options, options);
        // @ts-expect-error
        window.removeEventListener('test', options, options);
      } catch (err) {
        passiveSupported = false;
      }
      return passiveSupported;
    });
  }
  checkCssValue(property, value, checkFunc) {
    // Check if property is supported at all, otherwise div.style[property] would just add it and checkFunc would always return true
    if (document.body.style[property] === undefined) {
      return false;
    }
    let div = document.createElement('div');
    div.style[property] = value;
    if (checkFunc(div.style[property])) {
      return true;
    }
    property = property.charAt(0).toUpperCase() + property.slice(1);
    for (let i = 0; i < Device.VENDOR_PREFIXES.length; i++) {
      let vendorProperty = Device.VENDOR_PREFIXES[i] + property;
      if (document.body.style[vendorProperty] !== undefined) {
        div.style[vendorProperty] = value;
        if (checkFunc(div.style[vendorProperty])) {
          return true;
        }
      }
    }
    return false;
  }
  /**
   *  https://bugs.chromium.org/p/chromium/issues/detail?id=740502
   */
  hasTableCellZoomBug() {
    return this.browser === Device.Browser.CHROME;
  }
  _detectScrollbarWidth(cssClass) {
    let $measure = jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').appendDiv(cssClass).attr('id', 'MeasureScrollbar').css('width', 50).css('height', 50).css('overflow-y', 'scroll'),
      measureElement = $measure[0];
    let scrollbarWidth = measureElement.offsetWidth - measureElement.clientWidth;
    $measure.remove();
    return scrollbarWidth;
  }
  toString() {
    return 'scout.Device[' + 'system=' + this.system + ' browser=' + this.browser + ' browserVersion=' + this.browserVersion + ' type=' + this.type + ' scrollbarWidth=' + this.scrollbarWidth + ' features=' + JSON.stringify(this.features) + ']';
  }
  static get() {
    return instance;
  }
}
_defineProperty(Device, "VENDOR_PREFIXES", ['Webkit', 'Moz', 'O', 'ms', 'Khtml']);
_defineProperty(Device, "Browser", {
  UNKNOWN: 'Unknown',
  FIREFOX: 'Firefox',
  /**
   * Chromium based: Google Chrome, Microsoft Edge, Brave, Opera
   */
  CHROME: 'Chrome',
  INTERNET_EXPLORER: 'InternetExplorer',
  /**
   * Only Legacy Edge. Chromium based Edge is reported as CHROME
   */
  EDGE: 'Edge',
  SAFARI: 'Safari'
});
_defineProperty(Device, "System", {
  UNKNOWN: 'Unknown',
  IOS: 'IOS',
  ANDROID: 'ANDROID',
  WINDOWS: 'WINDOWS'
});
_defineProperty(Device, "Type", {
  DESKTOP: 'DESKTOP',
  TABLET: 'TABLET',
  MOBILE: 'MOBILE'
});
_index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('prepare', () => {
  if (instance) {
    // if the device was created before the app itself, use it instead of creating a new one
    return;
  }
  instance = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(Device, {
    userAgent: navigator.userAgent
  });
});

/***/ }),

/***/ "./src/util/DoubleClickSupport.ts":
/*!****************************************!*\
  !*** ./src/util/DoubleClickSupport.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DoubleClickSupport: () => (/* binding */ DoubleClickSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Simple helper to determine if two consecutive 'mousedown' events should be considered as a double click.
 *
 * How to use:
 * 1. Feed all mousedown events to the mousedown() method.
 * 2. The method doubleClicked() returns true if the two last added events happened so fast after
 *    each other that hey should be considered a 'double click'. If the distance or interval between
 *    the last two events is too large, false is returned.
 */
class DoubleClickSupport {
  constructor(options) {
    _defineProperty(this, "_lastPosX", void 0);
    _defineProperty(this, "_lastPosY", void 0);
    _defineProperty(this, "_lastTimestamp", void 0);
    _defineProperty(this, "_maxDoubleClickInterval", void 0);
    _defineProperty(this, "_maxDoubleClickDistance", void 0);
    _defineProperty(this, "_doubleClicked", void 0);
    options = options || {};
    this._lastPosX = null;
    this._lastPosY = null;
    this._lastTimestamp = null;
    this._maxDoubleClickInterval = options.maxDoubleClickInterval || 500;
    this._maxDoubleClickDistance = options.maxDoubleClickDistance || 10;
    this._doubleClicked = false;
  }
  mousedown(event) {
    if (event && event.type === 'mousedown') {
      let posX = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(event.pageX, 0);
      let posY = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(event.pageY, 0);
      let timestamp = Date.now();
      let isDoubleClick = false;
      if (this._lastTimestamp !== undefined) {
        let interval = timestamp - this._lastTimestamp;
        if (interval <= this._maxDoubleClickInterval) {
          let distance = Math.max(Math.abs(posX - this._lastPosX), Math.abs(posY - this._lastPosY));
          if (distance <= this._maxDoubleClickDistance) {
            // Double click detected
            isDoubleClick = true;
          }
        }
      }
      this._lastPosX = posX;
      this._lastPosY = posY;
      this._lastTimestamp = timestamp;
      this._doubleClicked = isDoubleClick;
    }
  }
  doubleClicked() {
    return this._doubleClicked;
  }
}

/***/ }),

/***/ "./src/util/DragAndDropHandler.ts":
/*!****************************************!*\
  !*** ./src/util/DragAndDropHandler.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DragAndDropHandler: () => (/* binding */ DragAndDropHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class DragAndDropHandler {
  constructor(options) {
    _defineProperty(this, "additionalDropProperties", void 0);
    _defineProperty(this, "allowedTypes", void 0);
    _defineProperty(this, "dropType", void 0);
    _defineProperty(this, "dropMaximumSize", void 0);
    _defineProperty(this, "target", void 0);
    _defineProperty(this, "onDrop", void 0);
    _defineProperty(this, "validateFiles", void 0);
    _defineProperty(this, "supportedScoutTypes", void 0);
    _defineProperty(this, "$element", void 0);
    _defineProperty(this, "selector", void 0);
    _defineProperty(this, "_onDragEnterHandler", void 0);
    _defineProperty(this, "_onDragOverHandler", void 0);
    _defineProperty(this, "_onDropHandler", void 0);
    options = options || {};
    this.additionalDropProperties = null;
    this.allowedTypes = null;
    this.dropType = null;
    this.dropMaximumSize = null;
    this.target = null;
    this.onDrop = null;
    this.validateFiles = null;
    this.selector = null;
    this.$element = null;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
    this.supportedScoutTypes = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(options.supportedScoutTypes);
    this._onDragEnterHandler = this._onDragEnter.bind(this);
    this._onDragOverHandler = this._onDragOver.bind(this);
    this._onDropHandler = this._onDrop.bind(this);
  }
  install($element, selector) {
    if (this.$element) {
      throw new Error('Already installed.');
    }
    this.selector = selector;
    this.$element = $element;
    this.$element.on('dragenter', this.selector, this._onDragEnterHandler).on('dragover', this.selector, this._onDragOverHandler).on('drop', this.selector, this._onDropHandler);
  }
  uninstall() {
    this.$element.off('dragenter', this.selector, this._onDragEnterHandler).off('dragover', this.selector, this._onDragOverHandler).off('drop', this.selector, this._onDropHandler);
    this.$element = null;
    this.selector = null;
  }
  _onDragEnter(event) {
    this._onDragEnterOrOver(event);
  }
  _onDragOver(event) {
    this._onDragEnterOrOver(event);
  }
  _onDragEnterOrOver(event) {
    // set dropEffect to copy. otherwise outlook will move dropped mails into the deleted files folder.
    // see: https://bugs.chromium.org/p/chromium/issues/detail?id=322605#c33
    event.originalEvent.dataTransfer.dropEffect = 'copy';
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.verifyDataTransferTypesScoutTypes(event, this.supportedScoutTypes, this.dropType());
  }
  _onDrop(event) {
    if (this.supportedScoutTypes.indexOf(_index__WEBPACK_IMPORTED_MODULE_0__.DropType.FILE_TRANSFER) >= 0 && (this.dropType() & _index__WEBPACK_IMPORTED_MODULE_0__.DropType.FILE_TRANSFER) === _index__WEBPACK_IMPORTED_MODULE_0__.DropType.FILE_TRANSFER &&
    // NOSONAR
    _index__WEBPACK_IMPORTED_MODULE_0__.dragAndDrop.dataTransferTypesContainsScoutTypes(event.originalEvent.dataTransfer, _index__WEBPACK_IMPORTED_MODULE_0__.DropType.FILE_TRANSFER)) {
      if (!this.onDrop || !(event.originalEvent.dataTransfer.files instanceof FileList)) {
        return;
      }
      let files = _index__WEBPACK_IMPORTED_MODULE_0__.files.fileListToArray(event.originalEvent.dataTransfer.files);
      if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(files)) {
        return;
      }
      try {
        this.validateFiles(files, this._validateFiles.bind(this));
      } catch (error) {
        this._validationFailed(error);
        return;
      }
      event.stopPropagation();
      event.preventDefault();
      this.onDrop({
        originalEvent: event,
        files: files
      });
    }
  }
  /**
   * @throws {DropValidationErrorMessage} validationErrorMessage
   */
  _validateFiles(files) {
    if (!this.dropMaximumSize) {
      return;
    }
    let dropMaximumSize = this.dropMaximumSize();
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.files.validateMaximumUploadSize(files, dropMaximumSize)) {
      throw {
        title: this.target.session.text('ui.FileSizeLimitTitle'),
        message: _index__WEBPACK_IMPORTED_MODULE_0__.files.getErrorMessageMaximumUploadSizeExceeded(this.target.session, dropMaximumSize)
      };
    }
  }
  _validationFailed(error) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isDebugEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.debug('File validation failed', error);
    let title = '';
    let message = 'Invalid files';
    if (error) {
      title = error.title || title;
      message = error.message || message;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.MessageBoxes.createOk(this.target).withSeverity(_index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.ERROR).withHeader(title).withBody(message).buildAndOpen();
  }
  uploadFiles(event) {
    if (event && event.originalEvent && event.files.length >= 1) {
      this.target.session.uploadFiles(this.target, event.files, this.additionalDropProperties ? this.additionalDropProperties(event.originalEvent) : undefined, this.dropMaximumSize ? this.dropMaximumSize() : undefined, this.allowedTypes ? this.allowedTypes() : undefined);
    }
  }
}

/***/ }),

/***/ "./src/util/HAlign.ts":
/*!****************************!*\
  !*** ./src/util/HAlign.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HAlign: () => (/* binding */ HAlign)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var HAlign;
(function (HAlign) {
  HAlign["LEFT"] = "left";
  HAlign["RIGHT"] = "right";
  HAlign["CENTER"] = "center";
})(HAlign || (HAlign = {}));

/***/ }),

/***/ "./src/util/MaxLengthHandler.ts":
/*!**************************************!*\
  !*** ./src/util/MaxLengthHandler.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MaxLengthHandler: () => (/* binding */ MaxLengthHandler)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class MaxLengthHandler {
  constructor(options) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "onInputFieldPaste", void 0);
    _defineProperty(this, "target", void 0);
    _defineProperty(this, "$textInputField", void 0);
    // @ts-expect-error
    options = options || {};
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertValue(options.target, 'target is mandatory');
    this.$textInputField = null;
    this.onInputFieldPaste = this._onInputFieldPaste.bind(this);
    this.target = null;
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this, options);
  }
  install($textInputField) {
    this.uninstall();
    if (!$textInputField || !$textInputField.is('input:text') && !$textInputField.is('textarea')) {
      return;
    }
    if ($textInputField) {
      this.$textInputField = $textInputField;
      this.$textInputField.on('paste', this.onInputFieldPaste);
    }
  }
  uninstall() {
    if (this.$textInputField) {
      this.$textInputField.off('paste', this.onInputFieldPaste);
    }
  }
  render() {
    if (!this.$textInputField || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.target.maxLength)) {
      return;
    }
    this.$textInputField.attr('maxlength', this.target.maxLength);
    // Make sure current text does not exceed max length
    let text = this.$textInputField.val();
    if (text.length > this.target.maxLength) {
      this.$textInputField.val(text.slice(0, this.target.maxLength));
    }
    if (!this.target.rendering) {
      this.target.parseAndSetValue(this.target._readDisplayText());
    }
  }
  _onInputFieldPaste(event) {
    if (!this.$textInputField || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(this.target.maxLength)) {
      return;
    }
    // must read out the text and selection size now because when the callback is executed, the clipboard content has already been applied to the input field
    let text = this.$textInputField.val();
    let textSize = text.length - this._getSelectionSize();
    this._getClipboardData(event, pastedText => {
      if (!pastedText) {
        return;
      }
      if (textSize + pastedText.length > this.target.maxLength) {
        this._showNotification('ui.PastedTextTooLong');
      }
    });
  }
  _getSelectionSize() {
    let start = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.$textInputField[0].selectionStart, null);
    let end = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.$textInputField[0].selectionEnd, null);
    if (start === null || end === null) {
      return 0;
    }
    return end - start;
  }
  /**
   * Get clipboard data, different strategies for browsers.
   * Must use a callback because this is required by Chrome's clipboard API.
   */
  _getClipboardData(event, doneHandler) {
    let data = event.originalEvent['clipboardData'] || this.target.$container.window(true)['clipboardData'];
    if (data) {
      // Chrome, Firefox
      if (data.items && data.items.length) {
        let item = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(data.items, item => {
          return item.type === 'text/plain';
        });
        if (item) {
          item.getAsString(doneHandler);
        }
        return;
      }
      // IE, Safari
      if (data.getData) {
        doneHandler(data.getData('Text'));
      }
    }
    // Can't access clipboard -> don't call done handler
  }
  _showNotification(textKey) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification, {
      parent: this.target,
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING,
      message: this.target.session.text(textKey)
    }).show();
  }
}

/***/ }),

/***/ "./src/util/MaxLengthHandlerModel.ts":
/*!*******************************************!*\
  !*** ./src/util/MaxLengthHandlerModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/util/MoveSupport.ts":
/*!*********************************!*\
  !*** ./src/util/MoveSupport.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MoveSupport: () => (/* binding */ MoveSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class MoveSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.EventEmitter {
  /**
   * @param widget the widget containing the draggable elements. Is used to automatically cancel the move operation when the widget is removed.
   */
  constructor(widget) {
    super();
    /**
     * Minimal distance in pixels for a "mouse move" action to take effect.
     * Prevents "mini jumps" when simply clicking on an element.
     */
    _defineProperty(this, "mouseMoveThreshold", void 0);
    /**
     * The maximum size the clone should have. If it exceeds that size it will be scaled down.
     */
    _defineProperty(this, "maxCloneSize", void 0);
    /**
     * Widget containing the draggable elements
     */
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "_moveData", void 0);
    _defineProperty(this, "_animationDurationFactor", void 0);
    _defineProperty(this, "_mouseMoveHandler", void 0);
    _defineProperty(this, "_mouseUpHandler", void 0);
    _defineProperty(this, "_keyDownHandler", void 0);
    _defineProperty(this, "_releasingScrollHandler", void 0);
    this.maxCloneSize = 200;
    this.mouseMoveThreshold = 7;
    this.widget = widget;
    this._moveData = null;
    this._animationDurationFactor = 1; // for debugging to slow down the animation
    this._mouseMoveHandler = this._onMouseMove.bind(this);
    this._mouseUpHandler = this._onMouseUp.bind(this);
    this._keyDownHandler = this._onKeyDown.bind(this);
    this._releasingScrollHandler = this._onReleasingScroll.bind(this);
  }
  /**
   * @return `true` if the dragging was started successfully, falsy otherwise.
   */
  start(event, elements, draggedElement) {
    if (this._moveData) {
      // Do nothing, when dragging is already in progress. This can happen when the user leaves
      // the browser window (e.g. using Alt-Tab) while holding the mouse button pressed and
      // then returns and presses the mouse button again.
      return;
    }
    if (draggedElement.$container.hasClass('dragged')) {
      // If MoveSupport is created again for an already dragged element, do nothing. This makes sure the placeholder element cannot be dragged if clone is released and drag started right again
      return;
    }
    if (!event || !elements || !draggedElement || !elements.includes(draggedElement) || !draggedElement.$container) {
      return;
    }
    if (event.which !== 1) {
      // Only accept left mouse button clicks (right one is reserved for context menu)
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._initMoveData(event, elements, draggedElement);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').addClass('dragging-in-progress');
    // TODO CGU on touch devices it must be possible to scroll but also to drag the element -> drag should start not when pointer is moved but when touch is pressed down for some time
    // Cancel moving when widget is removed
    let handler = () => this.cancel();
    this.widget.one('remove', handler);
    this.one('cancel end', () => {
      this.widget.off('remove', handler);
    });
    return true;
  }
  _initMoveData(event, elements, draggedElement) {
    let $window = draggedElement.$container.window();
    let $elements = draggedElement.$container.parent();
    this._moveData = {};
    this._moveData.session = draggedElement.session;
    this._moveData.$window = $window;
    this._moveData.$container = $elements;
    this._moveData.containerBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($elements, {
      includeMargin: true
    });
    this._moveData.elements = elements;
    this._moveData.elementInfos = this._createElementInfos(elements, draggedElement);
    this._moveData.startCursorPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(event.pageX - this._moveData.containerBounds.x, event.pageY - this._moveData.containerBounds.y);
    this._moveData.currentCursorPosition = this._moveData.startCursorPosition;
    // Compute distances from the cursor to the edges of the dragged element
    let draggedElementInfo = this._moveData.draggedElementInfo;
    this._moveData.cursorDistance = new _index__WEBPACK_IMPORTED_MODULE_0__.Insets(event.pageY - draggedElementInfo.bounds.y, draggedElementInfo.bounds.x + draggedElementInfo.bounds.width - event.pageX, draggedElementInfo.bounds.y + this._moveData.draggedElementInfo.bounds.height - event.pageY, event.pageX - draggedElementInfo.bounds.x);
    this._moveData.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler).on('mousemove touchmove', this._mouseMoveHandler).on('mouseup touchend touchcancel', this._mouseUpHandler);
    this._moveData.$window[0].removeEventListener('keydown', this._keyDownHandler, true);
    this._moveData.$window[0].addEventListener('keydown', this._keyDownHandler, true);
  }
  _createElementInfos(elements, draggedElement) {
    return elements.filter(element => !!element.$container).map((element, index) => {
      // Collect various information about each element. This allows us to retrieve positions later on without
      // needing to measure them each time the mouse cursor moves. We can also skip null checks for $element.
      let $element = element.$container;
      let info = {
        element: element,
        $element: $element
      };
      this._updateElementInfo(info);
      if (element === draggedElement) {
        this._moveData.draggedElementInfo = info;
        this._moveData.$draggedElement = $element;
      }
      return info;
    });
  }
  _updateElementInfo(elementInfo) {
    let $element = elementInfo.$element;
    let bounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds($element);
    let position = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(bounds.x - this._moveData.containerBounds.x, bounds.y - this._moveData.containerBounds.y);
    jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(elementInfo, {
      position: position,
      bounds: bounds
    });
  }
  _updateElementInfos() {
    this._moveData.elementInfos.forEach(info => this._updateElementInfo(info));
  }
  cancel() {
    if (!this._moveData) {
      return;
    }
    this._cleanup();
    this._restoreStyles();
    this._moveData = null;
    this._cancel();
  }
  _restoreStyles() {
    // Remove clone
    this._moveData.$clone && this._moveData.$clone.remove();
    // A done class makes it possible to disable transitions that must not be active while the clone will be swapped with the dragged element
    this._moveData.$draggedElement.removeClass('dragged releasing');
    this._moveData.$container.removeClass('dragging-element');
  }
  _onMouseMove(event) {
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._updateOffsets();
    this._moveData.currentCursorPosition = new _index__WEBPACK_IMPORTED_MODULE_0__.Point(event.pageX - this._moveData.containerBounds.x, event.pageY - this._moveData.containerBounds.y);
    let distance = this._moveData.currentCursorPosition.subtract(this._moveData.startCursorPosition);
    // Ignore small mouse movements
    if (!this._moveData.moving) {
      if (Math.abs(distance.x) < this.mouseMoveThreshold && Math.abs(distance.y) < this.mouseMoveThreshold) {
        return;
      }
      this._moveData.moving = true;
      this._onFirstMouseMove();
    }
    // Create a clone of the dragged element that is positioned 'fixed', i.e. with document-absolute coordinates
    if (!this._moveData.$clone) {
      this._moveData.cloneBounds = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offsetBounds(this._moveData.$draggedElement);
      this._moveData.cloneStartOffset = this._moveData.cloneBounds.point();
      this._append$Clone();
      // Change style of dragged element
      this._moveData.$draggedElement.addClass('dragged');
    }
    // Update clone position
    this._moveData.cloneBounds = this._moveData.cloneBounds.moveTo(this._moveData.cloneStartOffset.add(distance));
    // Scale down clone if necessary
    let scale = this._calculateScale();
    this._moveData.$clone.css({
      'top': this._moveData.cloneBounds.y,
      'left': this._moveData.cloneBounds.x,
      '--dragging-scale': scale,
      'transform-origin': this._moveData.cursorDistance.left + 'px ' + this._moveData.cursorDistance.top + 'px'
    });
    // Don't change element order if the clone is outside the container area
    if (!this._moveData.containerBounds.intersects(this._moveData.cloneBounds)) {
      return;
    }
    this._drag(event);
  }
  _calculateScale() {
    let scale = 1;
    if (this._moveData.cloneBounds.width > this.maxCloneSize) {
      scale = this.maxCloneSize / this._moveData.cloneBounds.width;
    }
    if (this._moveData.cloneBounds.height > this.maxCloneSize) {
      scale = Math.min(this.maxCloneSize / this._moveData.cloneBounds.height, scale);
    }
    return scale;
  }
  /**
   * Adjusts relative values if the panel has been scrolled while dragging (e.g. using the mouse wheel)
   */
  _updateOffsets() {
    let containerOffset = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.offset(this._moveData.$container);
    if (!containerOffset.equals(this._moveData.containerBounds.point())) {
      let diff = containerOffset.subtract(this._moveData.containerBounds.point());
      this._moveData.containerBounds = this._moveData.containerBounds.translate(diff);
      if (this._moveData.cloneStartOffset) {
        this._moveData.cloneStartOffset = this._moveData.cloneStartOffset.add(diff);
      }
      this._moveData.elementInfos.forEach(info => {
        info.bounds = info.bounds.translate(diff);
      });
    }
  }
  _drag(event) {
    this.trigger('drag');
  }
  _onFirstMouseMove() {
    this._moveData.$container.addClass('dragging-element');
  }
  _append$Clone() {
    let $clone = this._moveData.$draggedElement.clone().addClass('dragged-clone').removeAttr('data-id').css('position', 'fixed').appendTo(this._moveData.session.$entryPoint);
    // Because the clone is added to the $entryPoint (to ensure it is drawn above everything else),
    // the wheel events won't bubble to the container. To make the mouse work while dragging,
    // we delegate the event manually.
    $clone.on('wheel', event => this._moveData.$container.trigger(event));
    // Clone canvas contents manually
    let origCanvases = this._moveData.$draggedElement.find('canvas:visible');
    $clone.find('canvas:visible').each((index, canvas) => {
      try {
        canvas.getContext('2d').drawImage(origCanvases.get(index), 0, 0);
      } catch (err) {
        // Drawing on the canvas can throw unexpected errors, for example:
        // "DOMException: Failed to execute 'drawImage' on 'CanvasRenderingContext2D':
        // The image argument is a canvas element with a width or height of 0."
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isWarnEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Unable to clone canvas. Reason: ', err);
      }
    });
    this._moveData.$clone = $clone;
    this._moveData.$cloneShadow = this._moveData.$clone.prependDiv('shadow').animate({
      opacity: 1
    }, {
      duration: 250 * this._animationDurationFactor
    });
  }
  _onMouseUp(event) {
    _index__WEBPACK_IMPORTED_MODULE_0__.events.fixTouchEvent(event);
    this._updateOffsets();
    this._cleanup();
    this._dragEnd(event).then(targetBounds => this._moveToTarget(targetBounds).then(() => targetBounds)).then(targetBounds => {
      this._restoreStyles();
      if (!targetBounds.equals(this._moveData.draggedElementInfo.bounds)) {
        this._moveEnd();
      }
      this._moveData = null;
      this._end();
    });
  }
  _onKeyDown(event) {
    if (event.which === _index__WEBPACK_IMPORTED_MODULE_0__.keys.ESC) {
      this.cancel();
      event.stopPropagation();
    }
  }
  _cleanup() {
    this._moveData.$window.off('mousemove touchmove', this._mouseMoveHandler).off('mouseup touchend touchcancel', this._mouseUpHandler);
    this._moveData.$window[0].removeEventListener('keydown', this._keyDownHandler, true);
    jquery__WEBPACK_IMPORTED_MODULE_1___default()('iframe').removeClass('dragging-in-progress');
  }
  _moveToTarget(targetBounds) {
    if (!this._moveData.$clone) {
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // stop all animations in case of scroll (e.g. by mousewheel, page down etc.)
    let $scrollParents = this._moveData.$draggedElement.scrollParents();
    $scrollParents.on('scroll', this._releasingScrollHandler);
    let promises = [];
    this._moveData.$clone.addClass('releasing');
    this._moveData.$draggedElement.addClass('releasing');
    // Move clone to target position and restore original size
    promises.push(this._moveData.$clone.css('pointer-events', 'none').css('--dragging-scale', '1').animate({
      top: targetBounds.y,
      left: targetBounds.x,
      width: targetBounds.width,
      height: targetBounds.height
    }, {
      easing: 'easeOutQuart',
      duration: 500 * this._animationDurationFactor
    }).promise());
    // Fade out shadow
    promises.push(this._moveData.$cloneShadow.stop(true).animate({
      opacity: 0
    }, {
      duration: 500 * this._animationDurationFactor
    }).promise());
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().promiseAll(promises).then(() => {
      $scrollParents.off('scroll', this._releasingScrollHandler);
    });
  }
  _onReleasingScroll(event) {
    this._moveData.elementInfos.forEach(info => info.$element.stop(true, true));
    this._moveData.$cloneShadow.stop(true, true);
    this._moveData.$clone.stop(true, true);
  }
  /**
   * @returns the target offset bounds to where the element should be moved
   */
  _dragEnd(event) {
    let info = this._moveData.draggedElementInfo;
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise(new _index__WEBPACK_IMPORTED_MODULE_0__.Rectangle(info.bounds.x, info.bounds.y, info.bounds.width, info.bounds.height));
  }
  _moveEnd() {
    this.trigger('moveEnd');
  }
  _end() {
    this.trigger('end');
  }
  _cancel() {
    this.trigger('cancel');
  }
}

/***/ }),

/***/ "./src/util/PromiseCreator.ts":
/*!************************************!*\
  !*** ./src/util/PromiseCreator.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PromiseCreator: () => (/* binding */ PromiseCreator)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * The PromiseCreator is used to work with code that creates a lot of promises.
 * In some situations (e.g. file system access) only a few of the created promises can actually do work
 * all other promises must "wait" until, the browser finally executes the promise. All these promises
 * create some overhead. This class is used to prevent that, by delaying the creation of each promise
 * until the next() function is called. Typically the next function is not called until the previous
 * (one or more) promises have been executed.
 */
class PromiseCreator {
  constructor(items) {
    _defineProperty(this, "results", void 0);
    _defineProperty(this, "error", void 0);
    _defineProperty(this, "items", void 0);
    _defineProperty(this, "currentItem", void 0);
    _defineProperty(this, "aborted", void 0);
    this.results = [];
    this.error = null;
    this.items = items;
    this.currentItem = 0;
    this.aborted = false;
  }
  hasNext() {
    if (this.error || this.aborted) {
      return false;
    }
    return this.currentItem < this.items.length;
  }
  next() {
    var _this = this;
    let thisItem = this.currentItem;
    return this.createPromise().done(function () {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      _this._addResults.apply(_this, [thisItem, args]);
    }).fail(function () {
      // eslint-disable-next-line prefer-rest-params
      this.error = arguments.length > 0 ? arguments : new Error('Promise execution failed');
    }.bind(this));
  }
  createPromise() {
    if (this.currentItem >= this.items.length) {
      throw new Error('items out of bounds');
    }
    let promise = this._createPromise();
    this.currentItem++;
    return promise;
  }
  _createPromise() {
    return this.items[this.currentItem]();
  }
  _addResults(index, result) {
    if (result.length === 0) {
      result = undefined;
    } else if (result.length === 1) {
      result = result[0];
    }
    this.results[index] = result;
  }
  abort() {
    this.aborted = true;
  }
}

/***/ }),

/***/ "./src/util/Range.ts":
/*!***************************!*\
  !*** ./src/util/Range.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Range: () => (/* binding */ Range)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Range {
  constructor(from, to) {
    _defineProperty(this, "from", void 0);
    _defineProperty(this, "to", void 0);
    this.from = from;
    this.to = to;
  }
  equals(other) {
    return this.from === other.from && this.to === other.to;
  }
  /**
   * Subtracts the given range and returns an array of the remaining ranges.
   */
  subtract(other) {
    // other is empty
    if (other.size() === 0) {
      return [new Range(this.from, this.to)];
    }
    // other is greater
    if (this.from >= other.from && this.to <= other.to) {
      return [new Range(0, 0)];
    }
    // other is contained completely
    if (other.from >= this.from && other.to <= this.to) {
      let range1 = new Range(this.from, other.from);
      let range2 = new Range(other.to, this.to);
      if (range1.size() === 0) {
        return [range2];
      }
      if (range2.size() === 0) {
        return [range1];
      }
      return [range1, range2];
    }
    // other overlaps on the bottom
    if (other.from > this.from && other.from < this.to) {
      return [new Range(this.from, other.from)];
    }
    // other overlaps on the top
    if (this.from > other.from && this.from < other.to) {
      return [new Range(other.to, this.to)];
    }
    // other is outside
    return [new Range(this.from, this.to)];
  }
  /**
   * Subtracts every given range and returns an array of the remaining ranges.
   */
  subtractAll(others) {
    let other = others.shift();
    let remains = [this];
    let newRemains = [];
    // Subtract every other element from the remains of every subtraction
    while (other) {
      remains.forEach(subtract.bind(other));
      remains = newRemains;
      newRemains = [];
      other = others.shift();
    }
    // Remove empty ranges
    remains = remains.filter(remainingElem => {
      return remainingElem.size() > 0;
    });
    // If nothing is left add one empty range to be consistent with .subtract()
    if (remains.length === 0) {
      remains.push(new Range(0, 0));
    }
    function subtract(remainingElem) {
      _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(newRemains, remainingElem.subtract(other));
    }
    return remains;
  }
  shrink(other) {
    // other is empty
    if (other.size() === 0) {
      return new Range(this.from, this.to);
    }
    // other is greater
    if (this.from >= other.from && this.to <= other.to) {
      return new Range(0, 0);
    }
    // other is contained completely
    if (other.from >= this.from && other.to <= this.to) {
      return new Range(this.from, other.to);
    }
    // other overlaps on the bottom
    if (other.from >= this.from && other.from < this.to) {
      return new Range(this.from, other.from);
    }
    // other overlaps on the top
    if (this.from > other.from && this.from < other.to) {
      return new Range(other.to, this.to);
    }
    if (other.to < this.from) {
      return new Range(this.from - other.size() - 1, this.to - other.size() - 1);
    }
    // other is outside
    return new Range(this.from, this.to);
  }
  union(other) {
    if (this.to < other.from || other.to < this.from) {
      let range1 = new Range(this.from, this.to);
      let range2 = new Range(other.from, other.to);
      if (range1.size() === 0) {
        return [range2];
      }
      if (range2.size() === 0) {
        return [range1];
      }
      return [range1, range2];
    }
    return [new Range(Math.min(this.from, other.from), Math.max(this.to, other.to))];
  }
  add(other) {
    if (this.to < other.from || other.to < this.from) {
      let range1 = new Range(this.from, this.to);
      let range2 = new Range(other.from, other.to);
      if (range1.size() === 0) {
        return range2;
      }
      if (range2.size() === 0) {
        return range1;
      }
      throw new Error('Range to add has to border on the existing range. ' + this + ', ' + other);
    }
    return new Range(Math.min(this.from, other.from), Math.max(this.to, other.to));
  }
  intersect(other) {
    if (this.to <= other.from || other.to <= this.from) {
      return new Range(0, 0);
    }
    return new Range(Math.max(this.from, other.from), Math.min(this.to, other.to));
  }
  size() {
    return this.to - this.from;
  }
  contains(value) {
    return this.from <= value && value < this.to;
  }
  toString() {
    return `Range {from: ${this.from}, to: ${this.to}}`;
  }
}

/***/ }),

/***/ "./src/util/RoundingMode.ts":
/*!**********************************!*\
  !*** ./src/util/RoundingMode.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RoundingMode: () => (/* binding */ RoundingMode)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Enum providing rounding-modes for number columns and fields.
 *
 * @see RoundingMode.java
 */
var RoundingMode;
(function (RoundingMode) {
  RoundingMode["UP"] = "UP";
  RoundingMode["DOWN"] = "DOWN";
  RoundingMode["CEILING"] = "CEILING";
  RoundingMode["FLOOR"] = "FLOOR";
  RoundingMode["HALF_UP"] = "HALF_UP";
  RoundingMode["HALF_DOWN"] = "HALF_DOWN";
  RoundingMode["HALF_EVEN"] = "HALF_EVEN";
  RoundingMode["UNNECESSARY"] = "UNNECESSARY";
})(RoundingMode || (RoundingMode = {}));

/***/ }),

/***/ "./src/util/TreeSet.ts":
/*!*****************************!*\
  !*** ./src/util/TreeSet.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeSet: () => (/* binding */ TreeSet)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * JavaScript port from java.util.TreeSet.
 */
class TreeSet {
  constructor() {
    _defineProperty(this, "array", void 0);
    _defineProperty(this, "properties", void 0);
    _defineProperty(this, "comparator", void 0);
    this.array = [];
    this.properties = _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap();
    this.comparator = _index__WEBPACK_IMPORTED_MODULE_0__.comparators.ALPHANUMERIC;
  }
  add(value) {
    if (!this.contains(value)) {
      this.array.push(value);
      this.array.sort((a, b) => this.comparator.compare(a, b));
      this.properties[value] = true;
    }
  }
  size() {
    return this.array.length;
  }
  contains(value) {
    return value in this.properties;
  }
  last() {
    return this.array[this.array.length - 1];
  }
}

/***/ }),

/***/ "./src/util/URL.ts":
/*!*************************!*\
  !*** ./src/util/URL.ts ***!
  \*************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   URL: () => (/* binding */ URL)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Input is expected to be encoded. Output (toString()) is also encoded.
 * If no URL is passed, 'window.location.href' is used as input.
 */
class URL {
  constructor(url) {
    _defineProperty(this, "baseUrlRaw", void 0);
    _defineProperty(this, "queryPartRaw", void 0);
    _defineProperty(this, "hashPartRaw", void 0);
    _defineProperty(this, "parameterMap", void 0);
    if (url === undefined) {
      url = window.location.href;
    }
    let urlParts = /^([^?#]*)(?:\?([^#]*))?(?:#(.*))?$/.exec(url || '');
    // encoded
    this.baseUrlRaw = urlParts[1];
    this.queryPartRaw = urlParts[2];
    this.hashPartRaw = urlParts[3];
    // un-encoded (!)
    this.parameterMap = URL._parse(this.queryPartRaw);
  }
  /**
   * Checks if the given parameter exists, even if value is null or an empty string.
   */
  hasParameter(param) {
    return this.parameterMap.hasOwnProperty(param);
  }
  getParameter(param) {
    if (typeof param !== 'string') {
      throw new Error('Illegal argument type: ' + param);
    }
    let value = this.parameterMap[param];
    if (Array.isArray(value)) {
      return value.sort(URL._sorter);
    }
    return value;
  }
  removeParameter(param) {
    if (typeof param !== 'string') {
      throw new Error('Illegal argument type: ' + param);
    }
    delete this.parameterMap[param];
    return this;
  }
  setParameter(param, value) {
    if (typeof param !== 'string') {
      throw new Error('Illegal argument type: ' + param);
    }
    if (param === '') {
      // ignore empty keys
      return;
    }
    this.parameterMap[param] = value;
    return this;
  }
  addParameter(param, value) {
    if (typeof param !== 'string') {
      throw new Error('Illegal argument type: ' + param);
    }
    if (param === '') {
      // ignore empty keys
      return;
    }
    URL._addToMap(this.parameterMap, param, value);
    return this;
  }
  toString(options) {
    let result = this.baseUrlRaw;
    if (Object.keys(this.parameterMap).length) {
      options = options || {};
      let sorter = options.sorter || URL._sorter;
      if (options.alwaysFirst || options.alwaysLast) {
        options.alwaysFirst = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(options.alwaysFirst);
        options.alwaysLast = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(options.alwaysLast);
        let origSorter = sorter;
        sorter = (a, b) => {
          let firstA = options.alwaysFirst.indexOf(a);
          let firstB = options.alwaysFirst.indexOf(b);
          let lastA = options.alwaysLast.indexOf(a);
          let lastB = options.alwaysLast.indexOf(b);
          // If A is marked as "alwaysFirst", sort them A-B. If B is also marked as "alwaysFirst", sort them
          // by their position in the array. If only B is marked as "alwaysFirst", sort them B-A.
          if (firstA !== -1) {
            return firstB === -1 ? -1 : firstA - firstB;
          } else if (firstB !== -1) {
            return 1;
          }
          // If A is marked as "alwaysLast", sort them B-A. If B is also marked as "alwaysLast", sort them
          // by their position in the array. If only B is marked as "alwaysLast", sort them A-B.
          if (lastA !== -1) {
            return lastB === -1 ? 1 : lastA - lastB;
          } else if (lastB !== -1) {
            return -1;
          }
          // Default order
          return origSorter(a, b);
        };
      }
      // Built a sorted string of all formatted parameterMap entries
      let reconstructedQueryPart = Object.keys(this.parameterMap).sort(sorter).map(key => {
        let value = this.getParameter(key);
        // For multiple values, generate a parameter string for each value
        if (Array.isArray(value)) {
          return value.map((innerKey, innerIndex) => {
            return URL._formatQueryParam(key, value[innerIndex]);
          }).join('&');
        }
        return URL._formatQueryParam(key, value);
      }).join('&');
      result += '?' + reconstructedQueryPart;
    }
    if (this.hashPartRaw) {
      result += '#' + this.hashPartRaw;
    }
    return result;
  }
  clone() {
    return new URL(this.toString());
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  /**
   * Helper function to sort arrays alphabetically, nulls in front
   */
  static _sorter(a, b) {
    return a === null ? -1 : b === null ? 1 : a.toString().localeCompare(b);
  }
  /**
   * Helper function to build a query parameter with value
   */
  static _formatQueryParam(key, value) {
    let s = encodeURIComponent(key);
    if (value !== undefined && value !== null) {
      s += '=' + encodeURIComponent(value);
    }
    return s;
  }
  /**
   * Helper function to add an key-value pair to a map. If the key is added multiple
   * times, the value is converted to an array.
   *
   * @memberOf URL
   */
  static _addToMap(map, key, value) {
    if (map === undefined) {
      throw new Error('Argument \'map\' must not be null');
    }
    if (key === undefined) {
      throw new Error('Argument \'key\' must not be null');
    }
    if (key in map) {
      let oldValue = map[key];
      if (Array.isArray(oldValue)) {
        oldValue.push(value);
      } else {
        map[key] = [oldValue, value];
      }
    } else {
      map[key] = value;
    }
  }
  /**
   * Helper function to parse the given (encoded) query string and return
   * it as (un-encoded) map of key-value pairs.
   *
   * @memberOf URL
   */
  static _parse(queryPart) {
    let queryString = (queryPart || '').replace(/\+/g, ' '),
      pattern = /([^&=]+)(=?)([^&]*)/g,
      map = {},
      m,
      key,
      value;
    while (m = pattern.exec(queryString)) {
      key = decodeURIComponent(m[1]);
      value = decodeURIComponent(m[3]);
      if (value === '' && m[2] !== '=') {
        value = null;
      }
      URL._addToMap(map, key, value);
    }
    return map;
  }
}

/***/ }),

/***/ "./src/util/ViewportScroller.ts":
/*!**************************************!*\
  !*** ./src/util/ViewportScroller.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ViewportScroller: () => (/* binding */ ViewportScroller)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class ViewportScroller {
  constructor(model) {
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "viewportWidth", void 0);
    _defineProperty(this, "viewportHeight", void 0);
    _defineProperty(this, "e", void 0);
    _defineProperty(this, "f", void 0);
    _defineProperty(this, "initialDelay", void 0);
    _defineProperty(this, "active", void 0);
    _defineProperty(this, "scroll", void 0);
    _defineProperty(this, "dx", void 0);
    _defineProperty(this, "dy", void 0);
    _defineProperty(this, "started", void 0);
    _defineProperty(this, "moved", void 0);
    _defineProperty(this, "_timeoutId", void 0);
    this.viewportWidth = 0;
    this.viewportHeight = 0;
    this.e = 30;
    this.f = -30;
    this.initialDelay = 500;
    this.active = () => true;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    this.scroll = (dx, dy) => {};
    $.extend(this, model);
    // --- Do not change the following properties manually ---
    this.dx = 0;
    this.dy = 0;
    this.started = false;
    this.moved = false;
    this._timeoutId = null;
  }
  _tick() {
    if (!this.active()) {
      return;
    }
    if (this.started && (this.dx || this.dy)) {
      this.scroll(this.dx, this.dy);
      this.moved = true;
    }
    // Reschedule for continuous scrolling
    let delay = this.moved ? 16 : this.initialDelay; // 16ms = 60fps
    this._timeoutId = setTimeout(() => this._tick(), delay);
  }
  /**
   * Normally, it should not be necessary to call this method manually. Use update() instead.
   */
  start() {
    clearTimeout(this._timeoutId);
    this._tick();
    this.started = true;
  }
  /**
   * Normally, it should not be necessary to call this method manually. Use update() instead.
   */
  stop() {
    clearTimeout(this._timeoutId);
    this._timeoutId = null;
    this.started = false;
    this.moved = false;
    this.dx = 0;
    this.dy = 0;
  }
  /**
   * This method is intended to be called with the current mouse position (viewport-relative coordinates in pixel)
   * on every mouse move event. It automatically computes the required delta scroll positions in both directions.
   */
  update(mouse) {
    let e = this.e;
    let f = this.f;
    // f2 = Half-way between e and f
    let f2 = Math.floor((e + f) / 2);
    let scrollAreaLeft = e;
    let scrollAreaRight = this.viewportWidth - e;
    let scrollAreaTop = e;
    let scrollAreaBottom = this.viewportHeight - e;
    // Slow scrolling between e and f2, medium scrolling between f2 and f, fast scrolling after f
    const SLOW = ViewportScroller.SPEED_FACTOR_SLOW;
    const MEDIUM = ViewportScroller.SPEED_FACTOR_MEDIUM;
    const FAST = ViewportScroller.SPEED_FACTOR_FAST;
    let speedFactorX = 0;
    let speedFactorY = 0;
    // dx/dy = distance (positive or negative) in pixel
    let dx = 0;
    let dy = 0;
    if (mouse.x < scrollAreaLeft) {
      dx = -(scrollAreaLeft - mouse.x);
      speedFactorX = mouse.x > f2 ? SLOW : mouse.x > f ? MEDIUM : FAST;
    } else if (mouse.x > scrollAreaRight) {
      dx = mouse.x - scrollAreaRight;
      speedFactorX = mouse.x > this.viewportWidth - f ? FAST : mouse.x > this.viewportWidth - f2 ? MEDIUM : SLOW;
    }
    if (mouse.y < scrollAreaTop) {
      dy = -(scrollAreaTop - mouse.y);
      speedFactorY = mouse.y > f2 ? SLOW : mouse.y > f ? MEDIUM : FAST;
    } else if (mouse.y > scrollAreaBottom) {
      dy = mouse.y - scrollAreaBottom;
      speedFactorY = mouse.y > this.viewportHeight - f ? FAST : mouse.y > this.viewportHeight - f2 ? MEDIUM : SLOW;
    }
    // ax/ay = absolute distance in pixel
    let ax = Math.abs(dx);
    let ay = Math.abs(dy);
    let a = Math.max(ax, ay);
    if (a === 0) {
      // Mouse not in scroll area -> stop previously started loop
      this.stop();
      return;
    }
    // Compute distance to scroll
    let speedX = 1 + Math.floor(ax * speedFactorX);
    let speedY = 1 + Math.floor(ay * speedFactorY);
    this.dx = Math.sign(dx) * speedX;
    this.dy = Math.sign(dy) * speedY;
    // --- Start loop ---
    this.started || this.start();
    if (!this.moved && a > e) {
      // If mouse is outside the viewport, ensure scrolling starts immediately (by calling start() again)
      this.start();
    }
  }
}
_defineProperty(ViewportScroller, "SPEED_FACTOR_SLOW", 1 / 20);
_defineProperty(ViewportScroller, "SPEED_FACTOR_MEDIUM", 1 / 10);
_defineProperty(ViewportScroller, "SPEED_FACTOR_FAST", 1 / 5);

/***/ }),

/***/ "./src/util/ViewportScrollerModel.ts":
/*!*******************************************!*\
  !*** ./src/util/ViewportScrollerModel.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/util/aggregation.ts":
/*!*********************************!*\
  !*** ./src/util/aggregation.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   aggregation: () => (/* binding */ aggregation)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const aggregation = {
  sumSymbol: _index__WEBPACK_IMPORTED_MODULE_0__.icons.SUM,
  minSymbol: _index__WEBPACK_IMPORTED_MODULE_0__.icons.MIN_BOLD,
  avgSymbol: _index__WEBPACK_IMPORTED_MODULE_0__.icons.AVG,
  maxSymbol: _index__WEBPACK_IMPORTED_MODULE_0__.icons.MAX_BOLD,
  sumStart() {
    return null;
  },
  sumStep(currentState, newVal) {
    if (newVal) {
      return (currentState || 0) + newVal;
    }
    return currentState;
  },
  sumFinish(currentState) {
    return currentState;
  },
  avgStart() {
    return {
      sum: 0,
      count: 0
    };
  },
  avgStep(currentState, newVal) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(newVal)) {
      currentState.sum += newVal;
      currentState.count += 1;
    }
    return currentState;
  },
  avgFinish(currentState) {
    if (currentState.count) {
      return currentState.sum / currentState.count;
    }
    return null;
  },
  minStart() {
    return null;
  },
  minStep(currentState, newVal) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(newVal)) {
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(currentState)) {
        if (newVal < currentState) {
          currentState = newVal;
        }
      } else {
        currentState = newVal;
      }
    }
    return currentState;
  },
  minFinish(currentState) {
    return currentState;
  },
  maxStart() {
    return null;
  },
  maxStep(currentState, newVal) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(newVal)) {
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(currentState)) {
        if (newVal > currentState) {
          currentState = newVal;
        }
      } else {
        currentState = newVal;
      }
    }
    return currentState;
  },
  maxFinish(currentState) {
    return currentState;
  }
};

/***/ }),

/***/ "./src/util/arrays.ts":
/*!****************************!*\
  !*** ./src/util/arrays.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   arrays: () => (/* binding */ arrays)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const arrays = {
  /**
   * Ensures the given parameter is an array.
   */
  ensure(array) {
    if (array === undefined || array === null) {
      return [];
    }
    if (!Array.isArray(array)) {
      return [array];
    }
    return array;
  },
  /**
   * Creates an array with the given length and initializes each value with the given initValue.
   */
  init(length, initValue) {
    let array = [];
    for (let i = 0; i < length; i++) {
      array[i] = initValue;
    }
    return array;
  },
  /**
   * Removes the first occurrence of the specified element from the array.
   * If the array does not contain the element, it stays unchanged.
   *
   * @returns true if an element was removed
   */
  remove(arr, element) {
    if (arr) {
      let index = arr.indexOf(element);
      if (index !== -1) {
        arr.splice(index, 1);
        return true;
      }
    }
    return false;
  },
  /**
   * Removes the first array element that matches the given predicate.
   * If no element matches the given predicate, the array stays unchanged.
   *
   * @returns true if an element was removed
   */
  removeByPredicate(arr, predicate, thisArg) {
    let index = arrays.findIndex(arr, predicate, thisArg);
    if (index !== -1) {
      arr.splice(index, 1);
      return true;
    }
    return false;
  },
  /**
   * Removes every given element from the array
   *
   * @returns true if the array contained at least one of the specified elements
   */
  removeAll(arr, elements) {
    let modified = false;
    if (!elements || elements.length === 0) {
      return false;
    }
    for (let i = arr.length - 1; i >= 0; i--) {
      if (elements.indexOf(arr[i]) > -1) {
        arr.splice(i, 1);
        modified = true;
      }
    }
    return modified;
  },
  /**
   * @returns the index of the replaced element
   */
  replace(arr, element, replacement) {
    let index = arr.indexOf(element);
    if (index !== -1) {
      arr[index] = replacement;
    }
    return index;
  },
  /**
   * Inserts the given element at the specified index.
   * <p>
   * This function uses {@link insertAll} which relies on Array.prototype.splice(). Check its js-doc for details.
   */
  insert(arr, element, index) {
    arrays.insertAll(arr, [element], index);
  },
  /**
   * Inserts all elements of the given array at the specified index.
   *
   * This function is based on Array.prototype.splice().
   * Thus, if the 'index' is greater than the length of the array, 'elements' will be added to the end of the array 'arr'.
   * This may cause unexpected behavior on accessing arr[index] after insertion.
   *
   * The caller must ensure the size of the array.
   */
  insertAll(arr, elements, index) {
    let elementsArr = arrays.ensure(elements);
    arr.splice(index, 0, ...elementsArr);
  },
  /**
   * Inserts the given element into the array according to the sort order indicated by the given comparison function.
   *
   * All arguments are mandatory.
   */
  insertSorted(arr, element, compareFunc) {
    // https://en.wikipedia.org/wiki/Binary_search_algorithm
    let left = 0;
    let right = arr.length - 1;
    while (left <= right) {
      let middle = left + Math.floor((right - left) / 2);
      let c = compareFunc(arr[middle], element);
      if (c < 0) {
        // Search in right half
        left = middle + 1;
      } else if (c > 0) {
        // Search in left half
        right = middle - 1;
      } else {
        // Found an exact match.
        // The insertion point index is equal to the last index starting from "middle" that matches
        // the element. This ensures a stable insertion order (because of the device-and-conquer
        // method, "middle" might be any of the elements with the same value).
        left = middle + 1;
        while (left < arr.length && compareFunc(arr[left], element) === 0) {
          left++;
        }
        break;
      }
    }
    // "left" now contains the index to insert the element
    arr.splice(left, 0, element);
  },
  /**
   * Inserts to given element into the array directly BEFORE the first array element that matches the given predicate.
   * If no such element can be found, the new element is inserted at the BEGINNING of the array.
   *
   * @param thisArg optional "this" binding for predicate function
   */
  insertBefore(arr, elementToInsert, predicate, thisArg) {
    let index = arrays.findIndex(arr, predicate, thisArg);
    if (index === -1) {
      arr.unshift(elementToInsert);
    } else {
      arrays.insert(arr, elementToInsert, index);
    }
  },
  /**
   * Inserts to given element into the array directly AFTER the first array element that matches the given predicate.
   * If no such element can be found, the new element is inserted at the END of the array.
   */
  insertAfter(arr, elementToInsert, predicate) {
    let index = arrays.findIndex(arr, predicate);
    if (index === -1) {
      arr.push(elementToInsert);
    } else {
      arrays.insert(arr, elementToInsert, index + 1);
    }
  },
  /**
   * Moves the element at fromIndex to toIndex.
   *
   * This function uses {@link insert} which relies on Array.prototype.splice(). Check its js-doc for details.
   */
  move(arr, fromIndex, toIndex) {
    let element = arr.splice(fromIndex, 1)[0];
    arrays.insert(arr, element, toIndex);
  },
  /**
   * Moves the given element before the sibling and returns the array with the new order.
   */
  moveBefore(arr, elementToMove, sibling) {
    let elements = [];
    for (let elem of arr) {
      if (elem === elementToMove) {
        continue;
      }
      if (elem === sibling) {
        elements.push(elementToMove);
      }
      elements.push(elem);
    }
    return elements;
  },
  /**
   * Moves the given element after the sibling and returns the array with the new order.
   */
  moveAfter(arr, elementToMove, sibling) {
    let elements = [];
    for (let elem of arr) {
      if (elem === elementToMove) {
        continue;
      }
      elements.push(elem);
      if (elem === sibling) {
        elements.push(elementToMove);
      }
    }
    return elements;
  },
  /**
   * Moves the given element to the position returns the array with the new order.
   */
  moveTo(arr, elementToMove, position) {
    let elements = [];
    arr = arrays.ensure(arr);
    if (arr.length === 0) {
      return elements;
    }
    for (let i = 0; i < arr.length; i++) {
      if (i === position) {
        elements.push(elementToMove);
      }
      if (arr[i] !== elementToMove) {
        elements.push(arr[i]);
      }
    }
    if (position >= arr.length) {
      elements.push(elementToMove);
    }
    return elements;
  },
  contains(haystack, needle) {
    haystack = arrays.ensure(haystack);
    return haystack.indexOf(needle) !== -1;
  },
  containsAny(haystack, needles) {
    let haystackArr = arrays.ensure(haystack);
    let needlesArr = arrays.ensure(needles);
    return needlesArr.some(element => {
      return haystackArr.indexOf(element) >= 0;
    });
  },
  containsAll(haystack, needles) {
    let haystackArr = arrays.ensure(haystack);
    let needlesArr = arrays.ensure(needles);
    return needlesArr.every(element => haystackArr.indexOf(element) >= 0);
  },
  first(arr) {
    if (Array.isArray(arr)) {
      return arr[0];
    }
    return arr;
  },
  last(arr) {
    if (Array.isArray(arr)) {
      return arr[arr.length - 1];
    }
    return arr;
  },
  /**
   * @returns true if the given argument is an array and has a length > 0, false in any other case.
   */
  hasElements(arr) {
    return !arrays.empty(arr);
  },
  /**
   * @returns true if the given argument is not an array or the length of the array is 0, false in any other case.
   */
  empty(arr) {
    if (Array.isArray(arr)) {
      return arr.length === 0;
    }
    return true;
  },
  /**
   * @returns the size of the array, or 0 if the argument is not an array
   */
  length(arr) {
    if (Array.isArray(arr)) {
      return arr.length;
    }
    return 0;
  },
  pushAll(arr, arr2) {
    let a = arrays.ensure(arr2);
    arr.push(...a);
  },
  /**
   * Merges the two given arrays and removes duplicate entries in O(n).
   * If the arrays contain objects instead of primitives, it uses their id to check for equality.
   */
  union(array1, array2) {
    let result = [];
    let map = {};
    array1 = arrays.ensure(array1);
    array2 = arrays.ensure(array2);
    array1.forEach(entry => {
      let key = entry;
      if (typeof entry === 'object') {
        key = entry.id;
      }
      map[key] = entry;
      result.push(entry);
    });
    array2.forEach(entry => {
      let key = entry;
      if (typeof entry === 'object') {
        key = entry.id;
      }
      if (!(key in map)) {
        result.push(entry);
      }
    });
    return result;
  },
  equalsIgnoreOrder(arr, arr2) {
    // noinspection DuplicatedCode
    if (arr === arr2) {
      return true;
    }
    if ((!arr || arr.length === 0) && (!arr2 || arr2.length === 0)) {
      return true;
    }
    if (!arr || !arr2) {
      return false;
    }
    if (arr.length !== arr2.length) {
      return false;
    }
    return arrays.containsAll(arr, arr2);
  },
  equals(arr, arr2) {
    // noinspection DuplicatedCode
    if (arr === arr2) {
      return true;
    }
    if ((!arr || arr.length === 0) && (!arr2 || arr2.length === 0)) {
      return true;
    }
    if (!arr || !arr2) {
      return false;
    }
    if (arr.length !== arr2.length) {
      return false;
    }
    for (let i = 0; i < arr.length; i++) {
      if (arr[i] !== arr2[i]) {
        return false;
      }
    }
    return true;
  },
  greater(arr, arr2) {
    let arrLength = 0,
      arr2Length = 0;
    if (arr) {
      arrLength = arr.length;
    }
    if (arr2) {
      arr2Length = arr2.length;
    }
    return arrLength > arr2Length;
  },
  eachSibling(arr, element, func) {
    if (!arr || !func) {
      return;
    }
    for (let i = 0; i < arr.length; i++) {
      let elementAtI = arr[i];
      if (elementAtI !== element) {
        func(elementAtI, i);
      }
    }
  },
  /**
   * Alternative implementation of Array.findIndex(callback [, thisArg]), which is supported by most browsers.
   * See Array.findIndex for a detailed description.
   *
   * @param optional "this" binding for predicate function
   */
  findIndex(arr, predicate, thisArg) {
    if (!arr || !predicate) {
      return -1;
    }
    for (let i = 0; i < arr.length; i++) {
      if (predicate.call(thisArg, arr[i], i, arr)) {
        return i;
      }
    }
    return -1;
  },
  /**
   *
   * @param thisArg optional "this" binding for predicate function
   */
  find(arr, predicate, thisArg) {
    let index = arrays.findIndex(arr, predicate, thisArg);
    if (index === -1) {
      return null;
    }
    return arr[index];
  },
  findFrom(arr, startIndex, predicate, reverse) {
    if (reverse) {
      return arrays.findFromReverse(arr, startIndex, predicate);
    }
    return arrays.findFromForward(arr, startIndex, predicate);
  },
  findIndexFrom(arr, startIndex, predicate, reverse) {
    if (reverse) {
      return arrays.findIndexFromReverse(arr, startIndex, predicate);
    }
    return arrays.findIndexFromForward(arr, startIndex, predicate);
  },
  findFromForward(arr, startIndex, predicate) {
    let index = arrays.findIndexFromForward(arr, startIndex, predicate);
    if (index === -1) {
      return null;
    }
    return arr[index];
  },
  findIndexFromForward(arr, startIndex, predicate) {
    if (!arr || !predicate || startIndex >= arr.length) {
      return -1;
    }
    if (startIndex < 0) {
      startIndex = 0;
    }
    for (let i = startIndex; i < arr.length; i++) {
      let element = arr[i];
      if (predicate(element, i)) {
        return i;
      }
    }
    return -1;
  },
  findFromReverse(arr, startIndex, predicate) {
    let index = arrays.findIndexFromReverse(arr, startIndex, predicate);
    if (index === -1) {
      return null;
    }
    return arr[index];
  },
  findIndexFromReverse(arr, startIndex, predicate) {
    if (!arr || !predicate || startIndex < 0) {
      return -1;
    }
    if (startIndex >= arr.length) {
      startIndex = arr.length - 1;
    }
    for (let i = startIndex; i >= 0; i--) {
      let element = arr[i];
      if (predicate(element, i)) {
        return i;
      }
    }
    return -1;
  },
  /**
   * Pushes all elements to the given array that are not null or undefined.
   */
  pushIfDefined(arr) {
    if (arr) {
      for (var _len = arguments.length, elements = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        elements[_key - 1] = arguments[_key];
      }
      arrays.pushAll(arr, elements.filter(element => element !== null && element !== undefined));
    }
  },
  /**
   * Pushes the given element if it does not already exist in the array and the element is truthy. Thus, the array is like a Set where every element
   * can only be added once to the collection. Note: the comparison is done with the === operator.
   */
  pushSet(arr, element) {
    if (element && arr.indexOf(element) === -1) {
      arr.push(element);
    }
  },
  /**
   * Creates a string containing all elements in the array separated by the given delimiter.
   * @param encodeHtml true to encode the elements, false if not. Default is false
   */
  format(arr, delimiter, encodeHtml) {
    if (!arr || arr.length === 0) {
      return '';
    }
    let output = '';
    for (let i = 0; i < arr.length; i++) {
      let element = arr[i];
      if (delimiter && i > 0 && i < arr.length) {
        output += delimiter;
      }
      if (encodeHtml) {
        element = _index__WEBPACK_IMPORTED_MODULE_0__.strings.encode(element);
      }
      output += element;
    }
    return output;
  },
  formatEncoded(arr, delimiter) {
    return arrays.format(arr, delimiter, true);
  },
  max(arr) {
    if (arr === null || arr === undefined) {
      return Math.max(arr);
    }
    // Math.max() returns 0 (not null!) if arr contains only null and negative elements.
    let filtered = arr.filter(_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber);
    return Math.max(...filtered);
  },
  min(arr) {
    if (arr === null || arr === undefined) {
      return Math.min(arr);
    }
    // Math.min() returns 0 (not null!) if arr contains only null and non-negative elements.
    let filtered = arr.filter(_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNumber);
    return Math.min(...filtered);
  },
  /**
   * @returns all elements of the first array which are not in the second array
   */
  diff(arr1, arr2) {
    let diff = arr1.slice();
    arrays.removeAll(diff, arr2);
    return diff;
  },
  flatMap(arr) {
    let func = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : x => x;
    let result = [];
    arrays.ensure(arr).forEach(element => arrays.pushAll(result, func(element)));
    return result;
  },
  /**
   * Returns a flat array of all elements and their recursive child elements.
   *
   * @param arr The top-level list of all elements
   * @param childrenAccessor Function than extracts a list of child elements from a given element. Used to traverse the object structure.
   */
  flattenRec(arr, childrenAccessor) {
    return arrays.ensure(arr).reduce((acc, cur) => {
      acc.push(cur);
      if (cur && childrenAccessor) {
        acc = acc.concat(arrays.flattenRec(childrenAccessor(cur), childrenAccessor));
      }
      return acc;
    }, []);
  },
  /**
   * Replacement for indexOf() that works for arrays of jQuery objects (compares DOM nodes).
   */
  $indexOf(arr, $element) {
    for (let i = 0; i < arr.length; i++) {
      if (arr[i][0] === $element[0]) {
        return i;
      }
    }
  },
  /**
   * Replacement for remove() that works for arrays of jQuery objects (compares DOM nodes).
   */
  $remove(arr, $element) {
    let index = arrays.$indexOf(arr, $element);
    if (index >= 0) {
      arr.splice(index, 1);
    }
  },
  randomElement(array) {
    if (!array) {
      return undefined;
    }
    if (!Array.isArray(array)) {
      return array;
    }
    if (!array.length) {
      return undefined;
    }
    return array[Math.floor(Math.random() * array.length)];
  },
  /**
   * Converts the given array to a map. For each element, key and value is determined by the given functions.
   * If no function is provided, the element itself is used.
   *
   * @param array array of elements
   * @param keyMapper function that maps each element to the target key
   * @param valueExtractor function that maps each element to the target value
   */
  toMap(array) {
    let keyMapper = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : el => el + '';
    let valueMapper = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : el => el;
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.createMap(arrays.ensure(array).reduce((map, element) => {
      map[keyMapper(element)] = valueMapper(element);
      return map;
    }, {}));
  },
  /**
   * If the argument is an empty array, null is returned. Otherwise, the argument is returned unchanged.
   */
  nullIfEmpty(array) {
    return arrays.empty(array) ? null : array;
  },
  /**
   * Clears the content of an array <i>in-place</i>. All elements are removed from the array and the
   * length will be set to 0. If the given argument is not an array, nothing happens.
   *
   * This is a more readable version of `array.splice(0, a.length)`.
   *
   * The return value is an array of all deleted elements (never null).
   */
  clear(array) {
    if (Array.isArray(array)) {
      return array.splice(0, array.length);
    }
    return [];
  },
  /**
   * Swaps the two elements in the array.
   * Does nothing if array is null or undefined or one of the element is not part of the array.
   */
  swap(array, element1, element2) {
    if (!array) {
      return;
    }
    let index1 = array.indexOf(element1);
    let index2 = array.indexOf(element2);
    if (index1 > -1 && index2 > -1) {
      array[index1] = element2;
      array[index2] = element1;
    }
  }
};

/***/ }),

/***/ "./src/util/clipboard.ts":
/*!*******************************!*\
  !*** ./src/util/clipboard.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   clipboard: () => (/* binding */ clipboard)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const clipboard = {
  /**
   * Copies the given text to the clipboard. To make this work, the method must be called inside
   * a "user action" (i.e. mouse or keyboard event handler). For security reasons, the access to
   * the clipboard is blocked by the browser in other contexts (e.g. asynchronous callbacks).
   *
   * @param options mandatory
   * @returns a promise or null if {@link options.showNotification} is true.
   */
  copyText(options) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('options', options);
    if (options.parent && !options.session) {
      options.session = options.parent.session;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(options, 'session');
    let promise = clipboard._copyText(options);
    if (options.parent && _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.showNotification, true)) {
      clipboard._showNotification(options, promise);
      return null;
    }
    return promise;
  },
  /** @internal */
  _copyText(options) {
    var _options$parent, _options$parent2;
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred();
    // Modern clipboard API
    // https://developer.mozilla.org/en-US/docs/Web/API/Clipboard_API
    let win = (options === null || options === void 0 || (_options$parent = options.parent) === null || _options$parent === void 0 ? void 0 : _options$parent.window(true)) || window;
    if (win.navigator.clipboard) {
      win.navigator.clipboard.writeText(options.text).then(function () {
        return deferred.resolve(...arguments);
      }).catch(function () {
        return deferred.reject(...arguments);
      });
      return deferred.promise();
    }
    // Fallback for browsers that don't support the modern clipboard API (IE, Safari, Chrome < 66, Firefox < 63)
    // Create invisible textarea field and use document command "copy" to copy the text to the clipboard
    let doc = (options === null || options === void 0 || (_options$parent2 = options.parent) === null || _options$parent2 === void 0 ? void 0 : _options$parent2.document(true)) || document;
    let f = doc.createElement('textarea');
    f.style.position = 'fixed';
    f.style.opacity = '0.0';
    f.value = options.text;
    doc.body.appendChild(f);
    // Preserve focus
    let $f = jquery__WEBPACK_IMPORTED_MODULE_1___default()(f);
    options.session.focusManager.installFocusContext($f, _index__WEBPACK_IMPORTED_MODULE_0__.FocusRule.AUTO);
    f.select(); // cannot use jquery select(), because that is overridden by jquery-scout
    try {
      let successful = doc.execCommand('copy');
      if (successful) {
        deferred.resolve();
      } else {
        deferred.reject();
      }
    } catch (err) {
      deferred.reject(err);
    } finally {
      // Restore focus
      options.session.focusManager.uninstallFocusContext($f);
      doc.body.removeChild(f);
    }
    return deferred.promise();
  },
  /** @internal */
  _showNotification(options, promise) {
    let status = clipboard._successStatus(options.parent.session);
    promise.catch(() => {
      status = clipboard._failedStatus(options.parent.session);
    }).then(() => {
      clipboard.showNotification(options.parent, status);
    });
  },
  /** @internal */
  _successStatus(session) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
      message: session.text('ui.CopyToClipboardSuccessStatus'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.INFO
    });
  },
  /** @internal */
  _failedStatus(session) {
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Status({
      message: session.text('ui.CopyToClipboardFailedStatus'),
      severity: _index__WEBPACK_IMPORTED_MODULE_0__.Status.Severity.WARNING
    });
  },
  /**
   * Shows a short desktop notification. By default, it informs the user that the content
   * has been copied to the clipboard successfully. By passing a different status, the
   * message can be changed.
   *
   * @param parent Widget that wants to show the notification. Mandatory. Required for NLS texts.
   */
  showNotification(parent, status) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('parent', parent);
    status = status || clipboard._successStatus(parent.session);
    let notification = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DesktopNotification, {
      parent: parent.findDesktop(),
      // use desktop as parent in case the given parent widget is destroyed before the notification duration has elapsed
      closable: false,
      duration: status.isValid() ? 1234 : 3456,
      // use longer duration for errors because error message is longer
      status: status
    });
    notification.show();
  }
};

/***/ }),

/***/ "./src/util/colorSchemes.ts":
/*!**********************************!*\
  !*** ./src/util/colorSchemes.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   colorSchemes: () => (/* binding */ colorSchemes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const colorSchemes = {
  ColorSchemeId: {
    DEFAULT: 'default',
    ALTERNATIVE: 'alternative',
    RAINBOW: 'rainbow'
  },
  /**
   * Converts the given colorScheme that may be a string into an object.
   */
  ensureColorScheme(colorScheme, tile) {
    let colorSchemeObj = {};
    if (colorScheme && typeof colorScheme === 'object') {
      colorSchemeObj = colorScheme;
    } else if (typeof colorScheme === 'string') {
      // Split up colorScheme in two individual parts ("scheme" and "inverted").
      // This information is then used when rendering the color scheme.
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(colorScheme, colorSchemes.ColorSchemeId.DEFAULT)) {
        colorSchemeObj.scheme = colorSchemes.ColorSchemeId.DEFAULT;
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(colorScheme, colorSchemes.ColorSchemeId.ALTERNATIVE)) {
        colorSchemeObj.scheme = colorSchemes.ColorSchemeId.ALTERNATIVE;
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(colorScheme, colorSchemes.ColorSchemeId.RAINBOW)) {
        colorSchemeObj.scheme = colorSchemes.ColorSchemeId.RAINBOW;
      } else {
        colorSchemeObj.scheme = _index__WEBPACK_IMPORTED_MODULE_0__.strings.removeSuffix(colorScheme, '-inverted');
      }
      colorSchemeObj.inverted = _index__WEBPACK_IMPORTED_MODULE_0__.strings.endsWith(colorScheme, '-inverted');
    }
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(tile)) {
      colorSchemeObj.tile = tile;
    }
    return colorSchemeObj;
  },
  /**
   * Toggles the css classes of the given colorScheme on the given $container. Custom colorSchemes are not handled.
   *
   * @param {$} $container
   */
  toggleColorSchemeClasses($container, scheme) {
    if (!$container || !scheme) {
      return;
    }
    let colorScheme = colorSchemes.ensureColorScheme(scheme);
    $container.toggleClass('color-alternative', colorScheme.scheme === colorSchemes.ColorSchemeId.ALTERNATIVE);
    $container.toggleClass('color-rainbow', colorScheme.scheme === colorSchemes.ColorSchemeId.RAINBOW);
    $container.toggleClass('inverted', !!colorScheme.inverted);
    $container.toggleClass('tile', !!colorScheme.tile);
  },
  /**
   * Get the css classes of the given colorScheme.
   */
  getCssClasses(scheme) {
    let cssClasses = [];
    if (!scheme) {
      return cssClasses;
    }
    let colorScheme = colorSchemes.ensureColorScheme(scheme);
    if (colorScheme.scheme === colorSchemes.ColorSchemeId.ALTERNATIVE) {
      cssClasses.push('color-alternative');
    } else if (colorScheme.scheme === colorSchemes.ColorSchemeId.RAINBOW) {
      cssClasses.push('color-rainbow');
    } else if (colorScheme.scheme) {
      cssClasses.push(colorScheme.scheme);
    }
    if (colorScheme.inverted) {
      cssClasses.push('inverted');
    }
    if (colorScheme.tile) {
      cssClasses.push('tile');
    }
    return cssClasses;
  }
};

/***/ }),

/***/ "./src/util/cookies.ts":
/*!*****************************!*\
  !*** ./src/util/cookies.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   cookies: () => (/* binding */ cookies)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const cookies = {
  get(name, doc) {
    doc = doc || document;
    let prefix = name + '=';
    let cookies = doc.cookie.split(';');
    for (let i = 0; i < cookies.length; i++) {
      let cookie = cookies[i].trim();
      if (cookie.indexOf(prefix) === 0) {
        return cookie.substring(prefix.length);
      }
    }
    return null;
  },
  /**
   * Sets a cookie.
   *
   * @param maxAge If specified the cookie will be persistent, otherwise it will be a session cookie.
   */
  set(name, value, maxAge, path) {
    value = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(value, '');
    maxAge = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(maxAge, -1);
    let cookie = name + '=' + value;
    if (maxAge > -1) {
      let expires = new Date();
      expires.setTime(expires.getTime() + maxAge * 1000);
      cookie += ';max-age=' + maxAge + ';expires=' + expires;
    }
    if (path) {
      cookie += ';path=' + path;
    }
    document.cookie = cookie; // Does not override existing cookies with a different name
  }
};

/***/ }),

/***/ "./src/util/dates.ts":
/*!***************************!*\
  !*** ./src/util/dates.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dates: () => (/* binding */ dates)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const dates = {
  shift(date, years, months, days) {
    let newDate = new Date(date.getTime());
    if (years) {
      newDate.setFullYear(date.getFullYear() + years);
      if (dates.compareMonths(newDate, date) !== years * 12) {
        // Set to last day of the previous month
        // The reason: 2016-02-29 + 1 year -> 2017-03-01 instead of 2017-02-28
        newDate.setDate(0);
      }
    }
    if (months) {
      newDate.setMonth(date.getMonth() + months);
      if (dates.compareMonths(newDate, date) !== months + years * 12) {
        // Set to last day of the previous month
        // The reason: 2010-10-31 + 1 month -> 2010-12-01 instead of 2010-11-30
        newDate.setDate(0);
      }
    }
    if (days) {
      newDate.setDate(date.getDate() + days);
    }
    return newDate;
  },
  shiftTime(date, hours, minutes, seconds, milliseconds) {
    let newDate = new Date(date.getTime());
    if (hours) {
      newDate.setHours(date.getHours() + hours);
    }
    if (minutes) {
      newDate.setMinutes(date.getMinutes() + minutes);
    }
    if (seconds) {
      newDate.setSeconds(date.getSeconds() + seconds);
    }
    if (milliseconds) {
      newDate.setMilliseconds(date.getMilliseconds() + milliseconds);
    }
    return newDate;
  },
  shiftToNextDayOfType(date, day) {
    let diff = day - date.getDay();
    if (diff <= 0) {
      diff += 7;
    }
    return dates.shift(date, 0, 0, diff);
  },
  /**
   * Finds the next date (based on the given date) that matches the given day in week and date.
   *
   * @param date Start date
   * @param dayInWeek 0-6
   * @param dayInMonth 1-31
   */
  shiftToNextDayAndDate(date, dayInWeek, dayInMonth) {
    let tmpDate = new Date(date.getTime());
    if (dayInMonth < tmpDate.getDate()) {
      tmpDate.setMonth(tmpDate.getMonth() + 1);
    }
    tmpDate.setDate(dayInMonth);
    while (tmpDate.getDay() !== dayInWeek || tmpDate.getDate() !== dayInMonth) {
      tmpDate = dates.shift(tmpDate, 0, 1, 0);
      tmpDate.setDate(dayInMonth);
    }
    return tmpDate;
  },
  shiftToPreviousDayOfType(date, day) {
    let diff = day - date.getDay();
    if (diff >= 0) {
      diff -= 7;
    }
    return dates.shift(date, 0, 0, diff);
  },
  shiftToNextOrPrevDayOfType(date, day, direction) {
    if (direction > 0) {
      return dates.shiftToNextDayOfType(date, day);
    }
    return dates.shiftToPreviousDayOfType(date, day);
  },
  shiftToNextOrPrevMonday(date, direction) {
    return dates.shiftToNextOrPrevDayOfType(date, 1, direction);
  },
  /**
   * Ensures that the given date is really a date.
   * <p>
   * If it already is a date, the date will be returned.
   * Otherwise parseJsonDate is used to create a Date.
   *
   * @param date may be of type date or string.
   */
  ensure(date) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(date)) {
      return date;
    }
    if (date instanceof Date) {
      return date;
    }
    return dates.parseJsonDate(date);
  },
  ensureMonday(date, direction) {
    if (date.getDay() === 1) {
      return date;
    }
    return dates.shiftToNextOrPrevMonday(date, direction);
  },
  isSameTime(date, date2) {
    if (!date || !date2) {
      return false;
    }
    return date.getHours() === date2.getHours() && date.getMinutes() === date2.getMinutes() && date.getSeconds() === date2.getSeconds();
  },
  isSameDay(date, date2) {
    if (!date || !date2) {
      return false;
    }
    return date.getFullYear() === date2.getFullYear() && date.getMonth() === date2.getMonth() && date.getDate() === date2.getDate();
  },
  isSameMonth(date, date2) {
    if (!date || !date2) {
      return false;
    }
    return dates.compareMonths(date, date2) === 0;
  },
  /**
   * Returns the difference of the two dates in number of months.
   */
  compareMonths(date1, date2) {
    let d1Month = date1.getMonth(),
      d2Month = date2.getMonth(),
      d1Year = date1.getFullYear(),
      d2Year = date2.getFullYear(),
      monthDiff = d1Month - d2Month;
    if (d1Year === d2Year) {
      return monthDiff;
    }
    return (d1Year - d2Year) * 12 + monthDiff;
  },
  /**
   * Returns the difference of the two dates in number of days.
   */
  compareDays(date1, date2) {
    return (dates.trunc(date1).getTime() - dates.trunc(date2).getTime() - (date1.getTimezoneOffset() - date2.getTimezoneOffset()) * 60000) / (3600000 * 24);
  },
  orderWeekdays(weekdays, firstDayOfWeekArg) {
    let weekdaysOrdered = [];
    for (let i = 0; i < 7; i++) {
      weekdaysOrdered[i] = weekdays[(i + firstDayOfWeekArg) % 7];
    }
    return weekdaysOrdered;
  },
  /**
   * Returns the week number according to ISO 8601 definition:
   * - All years have 52 or 53 weeks.
   * - The first week is the week with January 4th in it.
   * - The first day of a week is Monday, the last day is Sunday
   *
   * This is the default behavior. By setting the optional second argument 'option',
   * the first day in a week can be changed (e.g. 0 = Sunday). The returned numbers weeks are
   * not ISO 8601 compliant anymore, but can be more appropriate for display in a calendar. The
   * argument can be a number, a 'scout.Locale' or a 'scout.DateFormat' object.
   */
  weekInYear(date, option) {
    if (!date) {
      return undefined;
    }
    let firstDayOfWeekArg = 1;
    if (option instanceof _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat) {
      firstDayOfWeekArg = option.symbols.firstDayOfWeek;
    } else if (option instanceof _index__WEBPACK_IMPORTED_MODULE_0__.Locale) {
      firstDayOfWeekArg = option.dateFormatSymbols.firstDayOfWeek;
    } else if (typeof option === 'number') {
      firstDayOfWeekArg = option;
    }
    // Thursday of current week decides the year
    let thursday = dates._thursdayOfWeek(date, firstDayOfWeekArg);
    // In ISO format, the week with January 4th is the first week
    let jan4 = new Date(thursday.getFullYear(), 0, 4);
    // If the date is before the beginning of the year, it belongs to the year before
    let startJan4 = dates.firstDayOfWeek(jan4, firstDayOfWeekArg);
    if (date.getTime() < startJan4.getTime()) {
      jan4 = new Date(thursday.getFullYear() - 1, 0, 4);
    }
    // Get the Thursday of the first week, to be able to compare it to 'thursday'
    let thursdayFirstWeek = dates._thursdayOfWeek(jan4, firstDayOfWeekArg);
    let diffInDays = (thursday.getTime() - thursdayFirstWeek.getTime()) / 86400000;
    return 1 + Math.round(diffInDays / 7);
  },
  /** @internal */
  _thursdayOfWeek(date, firstDayOfWeekArg) {
    if (!date || typeof firstDayOfWeekArg !== 'number') {
      return undefined;
    }
    let thursday = new Date(date.valueOf());
    if (thursday.getDay() !== 4) {
      // 0 = Sun, 1 = Mon, 2 = Thu, 3 = Wed, 4 = Thu, 5 = Fri, 6 = Sat
      if (thursday.getDay() < firstDayOfWeekArg) {
        // go 1 week backward
        thursday.setDate(thursday.getDate() - 7);
      }
      thursday.setDate(thursday.getDate() - thursday.getDay() + 4); // go to start of week, then add 4 to go to Thursday
    }
    return thursday;
  },
  firstDayOfWeek(date, firstDayOfWeekArg) {
    if (!date || typeof firstDayOfWeekArg !== 'number') {
      return undefined;
    }
    let firstDay = new Date(date.valueOf());
    if (firstDay.getDay() !== firstDayOfWeekArg) {
      firstDay.setDate(firstDay.getDate() - (firstDay.getDay() + 7 - firstDayOfWeekArg) % 7);
    }
    return firstDay;
  },
  /**
   * Parses a string that corresponds to one of the canonical JSON transfer formats
   * and returns it as a JavaScript 'Date' object.
   *
   * @see JsonDate.java
   */
  parseJsonDate(jsonDate) {
    if (!jsonDate) {
      return null;
    }
    let year = 1970,
      month = 1,
      day = 1,
      hours = 0,
      minutes = 0,
      seconds = 0,
      milliseconds = 0,
      utc = false;
    // Date + Time
    let matches = /^\+?(\d{4,5})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})\.(\d{3})(Z?)$/.exec(jsonDate);
    if (matches !== null) {
      year = parseInt(matches[1], 10);
      month = parseInt(matches[2], 10);
      day = parseInt(matches[3], 10);
      hours = parseInt(matches[4], 10);
      minutes = parseInt(matches[5], 10);
      seconds = parseInt(matches[6], 10);
      milliseconds = parseInt(matches[7], 10);
      utc = matches[8] === 'Z';
    } else {
      // Date only
      matches = /^\+?(\d{4,5})-(\d{2})-(\d{2})(Z?)$/.exec(jsonDate);
      if (matches !== null) {
        year = parseInt(matches[1], 10);
        month = parseInt(matches[2], 10);
        day = parseInt(matches[3], 10);
        utc = matches[4] === 'Z';
      } else {
        // Time only
        matches = /^(\d{2}):(\d{2}):(\d{2})\.(\d{3})(Z?)$/.exec(jsonDate);
        if (matches !== null) {
          hours = parseInt(matches[1], 10);
          minutes = parseInt(matches[2], 10);
          seconds = parseInt(matches[3], 10);
          milliseconds = parseInt(matches[4], 10);
          utc = matches[5] === 'Z';
        } else {
          throw new Error('Unparseable date: ' + jsonDate);
        }
      }
    }
    let result;
    if (utc) {
      // UTC date
      result = new Date(Date.UTC(year, month - 1, day, hours, minutes, seconds, milliseconds));
      if (year < 100) {
        // fix "two-digit years between 1900 and 1999" logic
        result.setUTCFullYear(year);
      }
    } else {
      // local date
      result = new Date(year, month - 1, day, hours, minutes, seconds, milliseconds);
      if (year < 100) {
        // fix "two-digit years between 1900 and 1999" logic
        result.setFullYear(year);
      }
    }
    return result;
  },
  /**
   * Converts the given date object to a JSON string. By default, the local time zone
   * is used to build the result, time zone information itself is not part of the
   * result. If the argument 'utc' is set to true, the result is built using the
   * UTC values of the date. Such a result string is marked with a trailing 'Z' character.
   *
   * @see JsonDate.java
   */
  toJsonDate(date, utc, includeDate, includeTime) {
    if (!date) {
      return null;
    }
    if (includeDate === undefined) {
      includeDate = true;
    }
    if (includeTime === undefined) {
      includeTime = true;
    }
    let datePart, timePart, utcPart;
    if (utc) {
      // (note: month is 0-indexed)
      datePart = getYearPart(date) + '-' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCMonth() + 1, 2) + '-' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCDate(), 2);
      timePart = _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCHours(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCMinutes(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCSeconds(), 2) + '.' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getUTCMilliseconds(), 3);
      utcPart = 'Z';
    } else {
      // (note: month is 0-indexed)
      datePart = getYearPart(date) + '-' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getMonth() + 1, 2) + '-' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getDate(), 2);
      timePart = _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getHours(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getMinutes(), 2) + ':' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getSeconds(), 2) + '.' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(date.getMilliseconds(), 3);
      utcPart = '';
    }
    let result = '';
    if (includeDate) {
      result += datePart;
      if (includeTime) {
        result += ' ';
      }
    }
    if (includeTime) {
      result += timePart;
    }
    result += utcPart;
    return result;
    function getYearPart(date) {
      let year = date.getFullYear();
      if (year > 9999) {
        return '+' + year;
      }
      return _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(year, 4);
    }
  },
  toJsonDateRange(range) {
    return {
      from: dates.toJsonDate(range.from),
      to: dates.toJsonDate(range.to)
    };
  },
  /**
   * Creates a new JavaScript Date object by parsing the given string. This method is not intended to be
   * used in application code, but provides a quick way to create dates in unit tests.
   *
   * The format is as follows:
   *
   * [Year#4|5]-[Month#2]-[Day#2] [Hours#2]:[Minutes#2]:[Seconds#2].[Milliseconds#3][Z]
   *
   * The year component is mandatory, but all others are optional (starting from the beginning).
   * The date is constructed using the local time zone. If the last character is 'Z', then
   * the values are interpreted as UTC date.
   */
  create(dateString) {
    if (dateString) {
      let matches = /^(\d{4,5})(?:-(\d{2})(?:-(\d{2})(?: (\d{2})(?::(\d{2})(?::(\d{2})(?:\.(\d{3}))?(Z?))?)?)?)?)?/.exec(dateString);
      if (matches === null) {
        throw new Error('Unparsable date: ' + dateString);
      }
      let date;
      if (matches[8] === 'Z') {
        date = new Date(Date.UTC(parseInt(matches[1], 10),
        // fullYear
        (parseInt(matches[2], 10) || 1) - 1,
        // month (0-indexed)
        parseInt(matches[3], 10) || 1,
        // day of month
        parseInt(matches[4], 10) || 0,
        // hours
        parseInt(matches[5], 10) || 0,
        // minutes
        parseInt(matches[6], 10) || 0,
        // seconds
        parseInt(matches[7], 10) || 0 // milliseconds
        ));
      } else {
        date = new Date(parseInt(matches[1], 10),
        // fullYear
        (parseInt(matches[2], 10) || 1) - 1,
        // month (0-indexed)
        parseInt(matches[3], 10) || 1,
        // day of month
        parseInt(matches[4], 10) || 0,
        // hours
        parseInt(matches[5], 10) || 0,
        // minutes
        parseInt(matches[6], 10) || 0,
        // seconds
        parseInt(matches[7], 10) || 0 // milliseconds
        );
      }
      return date;
    }
    return undefined;
  },
  /**
   * Returns a new Date. Use this function in place of <code>new Date();</code> in your productive code
   * when you want to provide a fixed date instead of the system time/date for unit tests. In your unit test
   * you can replace this function with a function that provides a fixed date. Don't forget to restore the
   * original function when you cleanup/tear-down the test.
   */
  newDate() {
    return new Date();
  },
  format(date, locale, pattern) {
    let dateFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(locale, pattern);
    return dateFormat.format(date);
  },
  /**
   * Uses the default date and time format patterns from the locale to format the given date.
   */
  formatDateTime(date, locale) {
    let dateFormat = new _index__WEBPACK_IMPORTED_MODULE_0__.DateFormat(locale, locale.dateFormatPatternDefault + ' ' + locale.timeFormatPatternDefault);
    return dateFormat.format(date);
  },
  /**
   * Formats the given time duration as follows:
   * [Days] day(s) [Hours]h [Minutes]m [Seconds]s
   * or, if milliseconds are included:
   * [Days] day(s) [Hours]h [Minutes]m [Seconds].[Milliseconds]s
   *
   * @param durationInMilliseconds
   *          The time duration in milliseconds
   * @param includeMilliseconds
   *          If this flag is true, the milliseconds part is included in the text
   * @param locale
   *          The locale that should be used to format the text
   * @returns The time duration as formatted text
   * @see DateTimePeriodFormatter.java
   */
  formatDuration(durationInMilliseconds, includeMilliseconds, locale) {
    // KEEP IN SYNC WITH org.eclipse.scout.rt.platform.util.date.DateTimePeriodFormatter.formatDuration(java.time.Duration, boolean)
    if (durationInMilliseconds === null || durationInMilliseconds === undefined) {
      return null;
    }
    if (durationInMilliseconds < 0) {
      durationInMilliseconds = 0;
    }
    let time = durationInMilliseconds;
    let milliseconds = time % 1000;
    time = Math.floor(time / 1000);
    let seconds = time % 60;
    time = Math.floor(time / 60);
    let minutes = time % 60;
    time = Math.floor(time / 60);
    let hours = time % 24;
    let days = Math.floor(time / 24);
    // the highest non-zero unit can be displayed without padding-zeros
    // all lower units are displayed with padding zeroes, even if they are zero
    // this is done so that two different periods formatted by this algorithm can be easily compared when stacked on top of one another
    // because the digits of the same time-unit always appear in the same position of the text
    let showDays = days > 0;
    let showHours = showDays || hours > 0;
    let showMinutes = showHours || minutes > 0;
    let result = '';
    if (showDays) {
      result = days + ' ' + (days > 1 ? _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText('${textKey:ui.DaysUnit}', locale.languageTag) : _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveText('${textKey:ui.DayUnit}', locale.languageTag)) + ' ';
    }
    if (showHours) {
      // because the days-part has different lengths ('2 days' vs '1 day'), there is no need to pad the hours-part with zeros
      // as the digits of the day cannot possibly align anyway. Make the text more readable by leaving out this leading zero.
      result += hours + 'h ';
    }
    if (showMinutes) {
      result += (showHours ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(minutes, 2) : minutes) + 'm ';
    }
    // seconds are always shown
    result += showMinutes ? _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(seconds, 2) : seconds;
    if (includeMilliseconds) {
      let decimalSeparator = locale.decimalFormatSymbols.decimalSeparator;
      result += decimalSeparator + _index__WEBPACK_IMPORTED_MODULE_0__.strings.padZeroLeft(milliseconds, 3);
    }
    result += 's';
    return result;
  },
  compare(a, b) {
    if (!a && !b) {
      return 0;
    }
    if (!a) {
      return -1;
    }
    if (!b) {
      return 1;
    }
    let diff = a.getTime() - b.getTime();
    if (diff < -1) {
      return -1;
    }
    if (diff > 1) {
      return 1;
    }
    return diff;
  },
  equals(a, b) {
    return dates.compare(a, b) === 0;
  },
  /**
   * This combines a date and time, passed as date objects to one object with the date part of param date and the time part of param time.
   * <p>
   * If time is omitted, 00:00:00 is used as time part.<br>
   * If date is omitted, 1970-01-01 is used as date part independent of the time zone, means it is 1970-01-01 in every time zone.
   */
  combineDateTime(date, time) {
    let newDate = new Date();
    newDate.setHours(0, 0, 0, 0); // set time part to zero in local time!
    newDate.setFullYear(1970, 0, 1); // make sure local time has no effect on date (if date is omitted it has to be 1970-01-01)
    if (date) {
      newDate.setFullYear(date.getFullYear(), date.getMonth(), date.getDate());
    }
    if (time) {
      newDate.setHours(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(time.getHours(), 0));
      newDate.setMinutes(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(time.getMinutes(), 0));
      newDate.setSeconds(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(time.getSeconds(), 0));
      newDate.setMilliseconds(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(time.getMilliseconds(), 0));
    }
    return newDate;
  },
  /**
   * Returns <code>true</code> if the given year is a leap year, i.e if february 29 exists in that year.
   */
  isLeapYear(year) {
    if (year === undefined || year === null) {
      return false;
    }
    let date = new Date(year, 1, 29);
    return date.getDate() === 29;
  },
  /**
   * Returns the given date with time set to midnight (hours, minutes, seconds, milliseconds = 0).
   *
   * @param date (required)
   *          The date to truncate.
   * @param [createCopy] (optional)
   *          If this flag is true, a copy of the given date is returned (the input date is not
   *          altered). If the flag is false, the given object is changed and then returned.
   *          The default value for this flag is "true".
   */
  trunc(date, createCopy) {
    if (date) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(createCopy, true)) {
        date = new Date(date.getTime());
      }
      date.setHours(0, 0, 0, 0); // clear time
    }
    return date;
  },
  /**
   * Returns the given date with time set to midnight (hours, minutes, seconds, milliseconds = 0).
   *
   * @param date
   *          The date to truncate.
   * @param [minutesResolution] default is 30
   *          The amount of minutes added to every full hour XX:00 until > XX+1:00. The given date will rounded up to the next valid time.
   *          e.g. time:15:05, resolution 40  -> 15:40
   *               time: 15:41 resolution 40 -> 16:00
   * @param [createCopy]
   *          If this flag is true, a copy of the given date is returned (the input date is not
   *          altered). If the flag is false, the given object is changed and then returned.
   *          The default value for this flag is "true".
   */
  ceil(date, minutesResolution, createCopy) {
    let h,
      m,
      minResolution = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(minutesResolution, 30);
    if (date) {
      if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(createCopy, true)) {
        date = new Date(date.getTime());
      }
      date.setSeconds(0, 0); // clear seconds and millis
      m = (date.getMinutes() + minResolution) / minResolution * minResolution;
      h = date.getHours();
      if (m >= 60) {
        h++;
        m = 0;
      }
      if (h > 23) {
        h = 0;
        date.setDate(date.getDate() + 1);
      }
      date.setHours(h, m);
    }
    return date;
  },
  /**
   * @returns a mapping function that converts the properties with the given keys to a Date using {@link dates.parseJsonDate}.
   */
  parseJsonDateMapper() {
    for (var _len = arguments.length, keys = new Array(_len), _key = 0; _key < _len; _key++) {
      keys[_key] = arguments[_key];
    }
    return (key, value) => {
      if (keys.includes(key)) {
        return dates.parseJsonDate(value);
      }
      return value;
    };
  },
  /**
   * @returns a mapping function that converts any Date property to a string using {@link dates.toJsonDate}.
   */
  stringifyJsonDateMapper() {
    // Must NOT be an arrow function to maintain 'this'
    return function (key, value) {
      // value is already a string returned by Date.toJSON, but we need a different format -> this[key] is the original value
      if (this[key] instanceof Date) {
        return dates.toJsonDate(this[key]);
      }
      return value;
    };
  }
};

/***/ }),

/***/ "./src/util/defaultValues.ts":
/*!***********************************!*\
  !*** ./src/util/defaultValues.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   defaultValues: () => (/* binding */ defaultValues)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const defaultValues = {
  /**
   * map of "objectType" -> { defaultValuesObject }
   * @internal
   */
  _defaults: {},
  /**
   * map of "objectType" -> [ "objectType", "parentObjectType", ..., "topLevelObjectType" ]
   * @internal
   */
  _objectTypeHierarchyFlat: {},
  bootstrap(options) {
    options = options || {};
    let defaultOptions = {
      url: 'defaultValues'
    };
    options = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaultOptions, options);
    // Load default value configuration from server (and cache it)
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().ajaxJson(options.url).then(response => _index__WEBPACK_IMPORTED_MODULE_0__.App.handleJsonError(options.url, response)).then(defaultValues.init.bind(this));
  },
  init(data) {
    // Store defaults
    defaultValues._objectTypeHierarchyFlat = {};
    defaultValues._defaults = data.defaults || {};
    // Generate object type hierarchy
    let objectTypeHierarchy = data.objectTypeHierarchy || {};
    defaultValues._generateObjectTypeHierarchyRec(objectTypeHierarchy, undefined, defaultValues._objectTypeHierarchyFlat);
    // For all object types in the defaults that don't have a hierarchy yet, add a dummy hierarchy with one element
    Object.keys(defaultValues._defaults).forEach(objectType => {
      if (!defaultValues._objectTypeHierarchyFlat[objectType]) {
        defaultValues._objectTypeHierarchyFlat[objectType] = [objectType];
      }
    });
  },
  /** @internal */
  _generateObjectTypeHierarchyRec(json, currentParentObjectTypes, targetMap) {
    if (!json) {
      return;
    }
    if (!targetMap) {
      throw new Error('Argument \'targetMap\' must not be null');
    }
    Object.keys(json).forEach(objectType => {
      let newCurrentParentObjectTypes = [objectType];
      if (currentParentObjectTypes) {
        newCurrentParentObjectTypes = newCurrentParentObjectTypes.concat(currentParentObjectTypes);
      }
      if (typeof json[objectType] === 'object') {
        defaultValues._generateObjectTypeHierarchyRec(json[objectType], newCurrentParentObjectTypes, targetMap);
      }
      // Store current result
      if (targetMap[objectType]) {
        throw new Error('Object type \'' + objectType + '\' has ambiguous parent object types.');
      }
      targetMap[objectType] = newCurrentParentObjectTypes;
    }, this);
  },
  /**
   * Applies the defaults for the given object type to the given object. Properties
   * are only set if they don't exist yet. The argument 'objectType' is optional
   * if the object has a property of the same name. If the object is an array,
   * the defaults are applied to each of the elements.
   */
  applyTo(object, objectType) {
    if (Array.isArray(object)) {
      for (let i = 0; i < object.length; i++) {
        defaultValues.applyTo(object[i], objectType);
      }
    } else if (typeof object === 'object') {
      objectType = objectType || object.objectType;
      if (objectType) {
        if (typeof objectType !== 'string') {
          let objectTypeShort = (objectType + '').substring(0, 80);
          throw new Error('objectType has to be a string but is a ' + typeof objectType + ' ObjectType: ' + objectTypeShort);
        }
        defaultValues._applyToInternal(object, objectType);
      }
    }
  },
  /** @internal */
  _applyToInternal(object, objectType) {
    let objectTypeHierarchy = defaultValues._objectTypeHierarchyFlat[objectType];
    if (!objectTypeHierarchy) {
      // Remove model variant and try again
      let objectInfo = _index__WEBPACK_IMPORTED_MODULE_0__.TypeDescriptor.parse(objectType);
      objectType = objectInfo.objectType.toString();
      objectTypeHierarchy = defaultValues._objectTypeHierarchyFlat[objectType];
    }
    if (!objectTypeHierarchy) {
      // Unknown type, nothing to apply
      return;
    }
    for (let i = 0; i < objectTypeHierarchy.length; i++) {
      let t = objectTypeHierarchy[i];
      let defaults = defaultValues._defaults[t];
      defaultValues._extendWithDefaults(object, defaults);
    }
  },
  /** @internal */
  _extendWithDefaults(object, defaults) {
    if (object === undefined || defaults === undefined) {
      return;
    }
    Object.keys(defaults).forEach(prop => {
      // Support for "pseudo" default values: If a property name in the default values definition
      // starts with a "~" character, the defined object will _not_ be applied as a default value
      // for a non-existing property, but inner properties of that object will be applied to an
      // existing object.
      let realProp = prop;
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(prop, '~')) {
        realProp = prop.substring(1);
      }
      // If property does not exist, set the default value and return.
      if (object[realProp] === undefined) {
        object[realProp] = _index__WEBPACK_IMPORTED_MODULE_0__.objects.valueCopy(defaults[realProp]);
      } else if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(object[realProp]) && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(defaults[prop])) {
        // Special case: "default objects". If the property value is an object and default
        // value is also an object, extend the property value instead of replacing it.
        defaultValues._extendWithDefaults(object[realProp], defaults[prop]);
      } else if (Array.isArray(object[realProp]) && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(defaults[prop])) {
        // Special case: "array of default objects": If the property value is an array of objects and
        // the default value is an object, extend each object in the array with the default value.
        let objectArray = object[realProp];
        for (let i = 0; i < objectArray.length; i++) {
          if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isObject(objectArray[i])) {
            defaultValues._extendWithDefaults(objectArray[i], defaults[prop]);
          }
        }
      }
    });
  }
};

/***/ }),

/***/ "./src/util/dragAndDrop.ts":
/*!*********************************!*\
  !*** ./src/util/dragAndDrop.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DropType: () => (/* binding */ DropType),
/* harmony export */   dragAndDrop: () => (/* binding */ dragAndDrop)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

var DropType;
(function (DropType) {
  DropType[DropType["NONE"] = 0] = "NONE";
  DropType[DropType["FILE_TRANSFER"] = 1] = "FILE_TRANSFER";
})(DropType || (DropType = {}));
const dragAndDrop = {
  DEFAULT_DROP_MAXIMUM_SIZE: 50 * 1024 * 1024,
  // 50 MiB
  /**
   * Mapping function from scout drag types to browser drag types.
   *
   * @param scoutTypesArray array of DropType
   */
  scoutTypeToDragTypeMapping(scoutTypesArray) {
    scoutTypesArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(scoutTypesArray);
    let ret = [];
    if (scoutTypesArray.indexOf(DropType.FILE_TRANSFER) >= 0) {
      ret.push('Files');
    }
    return ret;
  },
  /**
   * Check if specific scout type is supported by dataTransfer, if event is not handled by this field (desktop might handle it)
   *
   * @param event including event.originalEvent.dataTransfer
   * @param fieldAllowedTypes allowed types on field (integer, bitwise comparison used)
   * @param scoutTypeArray e.g. FILE_TRANSFER
   */
  verifyDataTransferTypesScoutTypes(event, scoutTypeArray, fieldAllowedTypes) {
    scoutTypeArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(scoutTypeArray);
    let dragTypeArray = [];
    // check if any scout type is allowed for field allowed types (or no field allowed types defined)
    if (fieldAllowedTypes !== undefined) {
      scoutTypeArray.forEach(scoutType => {
        if ((fieldAllowedTypes & scoutType) === scoutType) {
          // NOSONAR
          _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(dragTypeArray, dragAndDrop.scoutTypeToDragTypeMapping(scoutTypeArray));
        }
      });
    } else {
      dragTypeArray = dragAndDrop.scoutTypeToDragTypeMapping(scoutTypeArray);
    }
    if (Array.isArray(dragTypeArray) && dragTypeArray.length > 0) {
      dragAndDrop.verifyDataTransferTypes(event, dragTypeArray);
    }
  },
  /**
   * Check if specific type is supported by dataTransfer, if event is not handled by this field (upstream field might handle it, at the latest desktop)
   *
   * @param dataTransfer dataTransfer object (not dataTransfer.types)
   * @param needleArray e.g. 'Files'
   */
  verifyDataTransferTypes(event, needleArray) {
    let dataTransfer = event.originalEvent.dataTransfer;
    if (dragAndDrop.dataTransferTypesContains(dataTransfer, needleArray)) {
      event.stopPropagation();
      event.preventDefault();
      return true;
    }
    return false;
  },
  /**
   * dataTransfer.types might be an array (Chrome, IE) or a DOMStringList.
   *
   * Unfortunately there is no intersecting contains method for both types.
   *
   * @param dataTransfer dataTransfer object (not dataTransfer.types)
   * @param scoutTypesArray e.g. FILE_TRANSFER
   */
  dataTransferTypesContainsScoutTypes(dataTransfer, scoutTypesArray) {
    scoutTypesArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(scoutTypesArray);
    let dragTypesArray = dragAndDrop.scoutTypeToDragTypeMapping(scoutTypesArray);
    return dragAndDrop.dataTransferTypesContains(dataTransfer, dragTypesArray);
  },
  /**
   * dataTransfer.types might be an array (Chrome, IE) or a DOMStringList.
   *
   * Unfortunately there is no intersecting contains method for both types.
   *
   * @param dataTransfer dataTransfer object (not dataTransfer.types)
   * @param needleArray e.g. 'Files'
   */
  dataTransferTypesContains(dataTransfer, needleArray) {
    needleArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(needleArray);
    if (dataTransfer && dataTransfer.types) {
      if (Array.isArray(dataTransfer.types) && _index__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAny(dataTransfer.types, needleArray)) {
        // Array: indexOf function
        return true;
      }
      if (dataTransfer.types['contains']) {
        // DOMStringList: contains function
        return needleArray.some(element => {
          return dataTransfer.types['contains'](element);
        });
      }
    }
    return false;
  },
  handler(options) {
    if (!options || !options.target) {
      return null;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_0__.DragAndDropHandler, options);
  },
  /**
   * installs or uninstalls a {@link DragAndDropHandler} on the target.
   */
  installOrUninstallDragAndDropHandler(options) {
    if (!options.target) {
      return;
    }
    options = $.extend({}, dragAndDrop._createDragAndDropHandlerOptions(options.target), options);
    if (options.doInstall()) {
      dragAndDrop._installDragAndDropHandler(options);
    } else {
      dragAndDrop.uninstallDragAndDropHandler(options.target);
    }
  },
  /** @internal */
  _installDragAndDropHandler(options) {
    if (options.target.dragAndDropHandler) {
      return;
    }
    options.target.dragAndDropHandler = dragAndDrop.handler(options);
    if (!options.target.dragAndDropHandler) {
      return;
    }
    let $container = options.container();
    if (!$container) {
      return;
    }
    options.target.dragAndDropHandler.install($container, options.selector);
  },
  /** @internal */
  _createDragAndDropHandlerOptions(target) {
    return {
      target: target,
      supportedScoutTypes: DropType.FILE_TRANSFER,
      validateFiles: (files, defaultValidator) => defaultValidator(files),
      // eslint-disable-next-line @typescript-eslint/no-empty-function
      onDrop: event => {},
      dropType: () => DropType.FILE_TRANSFER,
      dropMaximumSize: () => target.dropMaximumSize,
      doInstall: () => target.enabledComputed,
      container: () => target.$container,
      // eslint-disable-next-line @typescript-eslint/no-empty-function
      additionalDropProperties: event => {}
    };
  },
  /**
   * uninstalls a {@link DragAndDropHandler} from the target. If no handler is installed, this function does nothing.
   */
  uninstallDragAndDropHandler(target) {
    if (!target || !target.dragAndDropHandler) {
      return;
    }
    target.dragAndDropHandler.uninstall();
    target.dragAndDropHandler = null;
  }
};

/***/ }),

/***/ "./src/util/events.ts":
/*!****************************!*\
  !*** ./src/util/events.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   events: () => (/* binding */ events)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

function isTouchEvent(event) {
  return event && _index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(event.type, 'touch');
}
const events = {
  /**
   * @returns the x coordinate where the event happened, works for touch events as well.
   */
  pageX(event) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(event.pageX)) {
      return event.pageX;
    }
    // @ts-expect-error
    return event.originalEvent.touches[0].pageX;
  },
  /**
   * @returns the y coordinate where the event happened, works for touch events as well.
   */
  pageY(event) {
    if (!_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(event.pageY)) {
      return event.pageY;
    }
    // @ts-expect-error
    return event.originalEvent.touches[0].pageY;
  },
  touchdown(touch, suffix) {
    return events.touchOrMouse(touch, 'touchstart', 'mousedown', suffix);
  },
  touchmove(touch, suffix) {
    return events.touchOrMouse(touch, 'touchmove', 'mousemove', suffix);
  },
  touchendcancel(touch, suffix) {
    return events.touchOrMouse(touch, 'touchend touchcancel', 'mouseup', suffix);
  },
  touchOrMouse(touch, touchEvent, mouseEvent, suffix) {
    suffix = suffix || '';
    if (suffix) {
      suffix = '.' + suffix;
    }
    if (touch) {
      return touchEvent + suffix;
    }
    return mouseEvent + suffix;
  },
  isTouchEvent,
  fixTouchEvent(event) {
    if (isTouchEvent(event)) {
      let touches = event.touches || (event.originalEvent ? event.originalEvent.touches : null);
      let touch = touches ? touches[0] : null;
      if (touch) {
        // Touch events may contain fractional values, while mouse events should not
        // - https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent/pageX
        // - https://www.chromestatus.com/features/6169687914184704
        event.pageX = Math.round(touch.pageX);
        event.pageY = Math.round(touch.pageY);
      }
    }
  },
  /**
   * @returns an object containing passive: true if the browser supports passive event listeners, otherwise returns false.
   */
  passiveOptions() {
    let options = false;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsPassiveEventListener()) {
      options = {
        passive: true
      };
    }
    return options;
  },
  /**
   * Listens for scroll events and executes startHandler on first event. It then regularly checks for further scroll events and executes endHandler if no event has fired since a certain amount of time and the user has released his finger.
   * If he does not release his finger the endHandler won't be called even if the pane has stopped scrolling.
   */
  onScrollStartEndDuringTouch($elem, startHandler, endHandler) {
    let scrollTimeout;
    let started = false;
    let touchend = false;
    let scrollHandler = event => {
      // Execute once on first scroll event (and not as soon as user touches the pane because he might not even want to scroll)
      if (!started) {
        startHandler();
        started = true;
      }
      clearTimeout(scrollTimeout);
      // Check some ms later if a scroll event has occurred in the meantime.
      // If yes it (probably) is still scrolling. If no it (probably) is not scrolling anymore -> call handler
      checkLater();
    };
    let touchEndHandler = event => {
      touchend = true;
      checkLater();
    };
    function checkLater() {
      clearTimeout(scrollTimeout);
      scrollTimeout = setTimeout(() => {
        if (touchend) {
          // Only stop processing if user released the finger
          removeHandlers();
          endHandler();
        }
      }, 50);
    }
    function removeHandlers() {
      $elem.off('scroll', scrollHandler);
      $elem.document(false).off('touchend touchcancel', touchEndHandler);
    }
    $elem.on('scroll', scrollHandler);
    // Make sure handler is executed and scroll listener removed if no scroll event occurs
    $elem.document(false).one('touchend touchcancel', touchEndHandler);
  },
  /**
   * Forwards the event to the given target by creating a new event with the same data as the old one.
   * Prevents default action of the original event if preventDefault was called for the forwarded event.
   * Does not use jQuery to make sure the capture phase is executed as well.
   *
   * <p>
   * <b>Important</b>
   * This function only works in browsers supporting the Event constructor (e.g. KeyboardEvent: https://developer.mozilla.org/de/docs/Web/API/KeyboardEvent/KeyboardEvent).
   * </p>
   *
   * @param target the element which should receive the event
   * @param event the original event which should be propagated
   */
  propagateEvent(target, event) {
    if (typeof Event !== 'function') {
      return;
    }
    // @ts-expect-error
    let newEvent = new event.constructor(event.type, event);
    newEvent.sourceEvent = event;
    if (!target.dispatchEvent(newEvent)) {
      event.preventDefault();
    }
  },
  /**
   * Adds an event listener for each given type to the source which propagates the events for that type to the target.
   *
   * <p>
   * <b>Important</b>
   * This function only works in browsers supporting the Event constructor (e.g. KeyboardEvent: https://developer.mozilla.org/de/docs/Web/API/KeyboardEvent/KeyboardEvent).
   * </p>
   *
   * @param source the element for which the event listener should be added.
   * @param target the element which should receive the event.
   * @param types an array of event types.
   * @param an optional filter function which can return false if the event should not be propagated.
   */
  addPropagationListener(source, target, types, filter) {
    types = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(types);
    types.forEach(type => {
      source.addEventListener(type, event => {
        if (filter && !filter(event)) {
          return;
        }
        events.propagateEvent(target, event);
      });
    });
  },
  /**
   * Adds swipe event listeners to the element given.
   *
   * @param $element The element on which the listeners should be attached.
   * @param id An event listener id used to be registered on the window object.
   * @param [onDown] Callback to be invoked when the swipe is started (mouse or touch down).
   * @param [onMove] Callback to be invoked when mouse (or finger if touch) is moved (while being down).
   * @param [onUp] Callback to be invoked when the swipe is ended (mouse or finger released).
   */
  onSwipe($element, id, onDown, onMove, onUp) {
    let $window = $element.window(false);
    let touch = _index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsOnlyTouch();
    $element.on('touchmove', event => event.preventDefault()); // prevent scrolling the background when swiping (iOS)
    $element.on('remove', event => $window.off('.' + id));
    $element.on(events.touchdown(touch), event => {
      let origPosLeft = $element.position().left;
      let acceptDown = !onDown || !!onDown({
        originalEvent: event,
        originalLeft: origPosLeft,
        deltaX: 0,
        newLeft: origPosLeft,
        direction: 0
      });
      if (!acceptDown) {
        return;
      }
      let dragging = true;
      let origPageX = events.pageX(event);
      let curPosLeft = origPosLeft;
      let direction = 0;
      $window.on(events.touchmove(touch, id), event => {
        let pageX = events.pageX(event);
        let deltaX = pageX - origPageX;
        let newLeft = origPosLeft + deltaX;
        if (newLeft !== curPosLeft) {
          // only update swipe direction if it actually changed
          direction = Math.sign(newLeft - curPosLeft);
        }
        if (onMove) {
          let l = onMove({
            originalEvent: event,
            originalLeft: origPosLeft,
            deltaX: deltaX,
            newLeft: newLeft,
            direction: direction
          });
          curPosLeft = typeof l === 'number' ? l : newLeft;
        } else {
          curPosLeft = newLeft;
        }
      });
      $window.on(events.touchendcancel(touch, id), event => {
        if (!dragging) {
          // On iOS touchcancel and touchend are fired right after each other when swiping twice very fast -> Ignore the second event
          return;
        }
        dragging = false;
        $window.off('.' + id);
        if (onUp) {
          onUp({
            originalEvent: event,
            originalLeft: origPosLeft,
            deltaX: curPosLeft - origPosLeft,
            newLeft: curPosLeft,
            direction: direction
          });
        }
      });
    });
  }
};

/***/ }),

/***/ "./src/util/files.ts":
/*!***************************!*\
  !*** ./src/util/files.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   files: () => (/* binding */ files)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const files = {
  /**
   * Checks if the combined total size of the given files does not exceed the maximum upload size.
   *
   * @param files array of files
   * @param maximumUploadSize maximum combined file size. null disables the size check
   * @returns true if the total size does not exceed maximumUploadSize, otherwise false
   */
  validateMaximumUploadSize(files, maximumUploadSize) {
    files = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(files);
    if (files.length === 0 || maximumUploadSize == null) {
      return true;
    }
    let totalSize = files.reduce((total, file) => total + file.size, 0);
    return totalSize <= maximumUploadSize;
  },
  fileListToArray(fileList) {
    let files = [];
    for (let i = 0; i < fileList.length; i++) {
      files.push(fileList[i]);
    }
    return files;
  },
  getErrorMessageMaximumUploadSizeExceeded(session, maximumUploadSize) {
    if (maximumUploadSize < 1024) {
      return session.text('ui.FileSizeLimit', maximumUploadSize, session.text('ui.Bytes'));
    }
    let maximumUploadSizeKB = maximumUploadSize / 1024;
    if (maximumUploadSizeKB < 1024) {
      return session.text('ui.FileSizeLimit', _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(maximumUploadSizeKB, _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP, 2), 'KB');
    }
    let maximumUploadSizeMB = maximumUploadSizeKB / 1024;
    if (maximumUploadSizeMB < 1024) {
      return session.text('ui.FileSizeLimit', _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(maximumUploadSizeMB, _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP, 2), 'MB');
    }
    return session.text('ui.FileSizeLimit', _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round(maximumUploadSizeMB / 1024, _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP, 2), 'GB');
  }
};

/***/ }),

/***/ "./src/util/filters.ts":
/*!*****************************!*\
  !*** ./src/util/filters.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   filters: () => (/* binding */ filters)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const filters = {
  /**
   * Returns a function that always evaluates to 'true'.
   */
  returnTrue() {
    return true;
  },
  /**
   * Returns a function that always evaluates to 'false'.
   */
  returnFalse() {
    return false;
  },
  /**
   * Returns a filter to accept only elements which are located outside the given container, meaning not the container itself nor one of its children.
   */
  outsideFilter(container) {
    let c = container instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default()) ? container[0] : container;
    return function () {
      return this !== c && !jquery__WEBPACK_IMPORTED_MODULE_0___default().contains(c, this);
    };
  },
  /**
   * Returns a filter to accept only elements which are not the given element.
   *
   * @param DOM or jQuery element.
   */
  notSameFilter(element) {
    let e = element instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default()) ? element[0] : element;
    return function () {
      return this !== e;
    };
  }
};

/***/ }),

/***/ "./src/util/fonts.ts":
/*!***************************!*\
  !*** ./src/util/fonts.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fonts: () => (/* binding */ fonts)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const fonts = {
  _deferred: jquery__WEBPACK_IMPORTED_MODULE_1___default().Deferred(),
  /**
   * Indicates whether all fonts have been loaded successfully. Check this variable before
   * waiting for the promise object returned by preloader().
   */
  loadingComplete: true,
  /**
   * Start preloading the specified fonts. If no fonts are specified, the list of fonts
   * to preload is automatically calculated from the available CSS "@font-face" definitions.
   * To disable preloading entirely, pass an empty array to this function.
   *
   * @param fontArr (optional) array of fonts
   * @returns promise that is resolved when all fonts are loaded
   */
  bootstrap(fontArr) {
    fontArr = fontArr || fonts.autoDetectFonts();
    if (fontArr.length === 0) {
      fonts.loadingComplete = true;
      return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
    }
    // Start preloading
    fonts.loadingComplete = false;
    fonts.preload({
      fonts: fontArr,
      onComplete: (success, badFonts) => {
        if (!success && badFonts && badFonts.length) {
          jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Timeout occurred while pre-loading the following fonts:\n\n- ' + badFonts.join('\n- ') + '\n\n' + 'Rendering will now continue, but font measurements may be inaccurate. ' + 'To prevent unnecessary startup delays and layout problems, check the @font-face ' + 'definitions and the referenced "src" URLs or programmatically add additional font-specific ' + 'characters to TEST_STRING before calling app.init().');
        }
        fonts.loadingComplete = true;
        fonts._deferred.resolve();
      }
    });
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise();
  },
  /**
   * @returns  a promise object that is notified when the font preloading was completed.
   *          Important: Before waiting for this promise, always check that value of
   *          loadingComplete first! Do not wait for the promise when loadingComplete
   *          is true, because the promise will never be resolved.
   */
  preloader() {
    return fonts._deferred.promise();
  },
  TEST_FONTS: 'monospace',
  /**
   * Test string used for font measurements. Used to detect when a font is fully loaded
   * and available in the browser.
   *
   * Custom characters may be added to this test string if a font is not detected correctly
   * because it does not contain any of the default characters.
   *
   * U+E000 = Start of Unicode private use zone (e.g. scoutIcons)
   * U+F118 = Font Awesome: "smile"
   */
  TEST_STRING: 'ABC abc 123 .,_ LlIi1 oO0 !#@ \uE000\uE001\uE002 \uF118',
  /**
   * Time in milliseconds to wait for the fonts to be loaded.
   */
  TEST_TIMEOUT: 12 * 1000,
  // 12 sec
  /**
   * Loads the specified fonts in a hidden div, forcing the browser to load them.
   * Examples:
   *   preload({fonts: 'Sauna Pro'});
   *   preload({fonts: 'Sauna Pro|font-style:italic'});
   *   preload({fonts: 'Sauna Pro|font-style:italic|The quick brown fox jumps over the lazy dog'});
   *   preload({fonts: 'Sauna Pro | font-style: italic; font-weight: 700'});
   *   preload({fonts: 'Sauna Pro', onComplete: handleLoadFinished});
   *   preload({fonts: ['Sauna Pro', 'Dolly Pro']});
   *   preload({fonts: {family:'Sauna', style: 'font-style:italic; font-weight:700', testString: 'MyString012345'}, timeout: 999});
   *   preload({fonts: ['Fakir-Black', {family:'Fakir-Italic', style:'font-style:italic'}], timeout: 2500, onComplete: function() { setCookie('fakir','loaded') }});
   *
   * Inspired by Zenfonts (https://github.com/zengabor/zenfonts, public domain).
   */
  preload(options) {
    options = options || {
      fonts: null
    };
    let fontArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(options.fonts);
    if (!options.onComplete) {
      // preloading is not useful, because there is no callback on success
      return;
    }
    // Create a DIV for each font
    let divs = [];
    fontArr.forEach(font => {
      // Convert to object
      if (typeof font === 'string') {
        let fontParts = _index__WEBPACK_IMPORTED_MODULE_0__.strings.splitMax(font, '|', 3).map(s => {
          return s.trim();
        });
        font = {
          family: fontParts[0],
          style: fontParts[1],
          testString: fontParts[2]
        };
      }
      font.family = font.family || '';
      font.style = font.style || '';
      font.testString = font.testString || options.testString || fonts.TEST_STRING;
      // these fonts are compared to the custom fonts, strings separated by comma
      let testFonts = font.testFonts || options.testFonts || fonts.TEST_FONTS;
      // Create DIV with default fonts
      // (Because preloader functionality should not depend on a CSS style sheet we set the required properties programmatically.)
      let $div = jquery__WEBPACK_IMPORTED_MODULE_1___default()('body').appendDiv('font-preloader').text(font.testString).css('display', 'block').css('visibility', 'hidden').css('position', 'absolute').css('top', 0).css('left', 0).css('width', 'auto').css('height', 'auto').css('margin', 0).css('padding', 0).css('white-space', 'nowrap').css('line-height', 'normal').css('font-variant', 'normal').css('font-size', '20em').css('font-family', testFonts);
      // Remember size, set new font, and then measure again
      let originalSize = fonts.measureSize($div);
      $div.data('original-size', originalSize);
      $div.data('font-family', font.family);
      $div.css('font-family', '\'' + font.family + '\',' + testFonts);
      if (font.style) {
        let style = ($div.attr('style') || '').trim();
        let sep = (style.substr(-1) === ';' ? '' : ';') + (style ? ' ' : '');
        $div.attr('style', style + sep + font.style);
      }
      if (fonts.measureSize($div) !== originalSize) {
        // Font already loaded, nothing to do
        $div.remove();
      } else {
        // Remember DIV
        divs.push($div);
      }
    });
    if (divs.length === 0) {
      // No fonts need to be watched, everything is loaded already
      complete(true);
      return;
    }
    let onFinished = complete;
    let timeout = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.timeout, fonts.TEST_TIMEOUT);
    let watchTimerId, timeoutTimerId;
    if (timeout && timeout >= 0) {
      // Add timeout
      timeoutTimerId = setTimeout(() => {
        clearTimeout(watchTimerId);
        complete(false);
      }, timeout);
      onFinished = () => {
        clearTimeout(timeoutTimerId);
        complete(true);
      };
    }
    // Start watching (initially 50ms delay)
    watchWidthChange(50, onFinished);
    // ----- Helper functions -----
    function watchWidthChange(delay, onFinished) {
      // Check each DIV
      let i = divs.length;
      while (i--) {
        let $div = divs[i];
        if (fonts.measureSize($div) !== $div.data('original-size')) {
          divs.splice(i, 1);
          $div.remove();
        }
      }
      if (divs.length === 0) {
        // All completed
        onFinished(true);
        return;
      }
      // Watch again after a small delay
      watchTimerId = setTimeout(() => {
        // Slowly increase delay up to 1 second
        if (delay < 1000) {
          delay = delay * 1.2;
        }
        watchWidthChange(delay, onFinished);
      }, delay);
    }
    function complete(success) {
      options.onComplete(success, divs.map($div => {
        return $div.data('font-family');
      }));
    }
  },
  measureSize($div) {
    let size = _index__WEBPACK_IMPORTED_MODULE_0__.graphics.size($div, {
      exact: true
    });
    return size.width + 'x' + size.height;
  },
  /**
   * Reads all "@font-face" CSS rules from the current document and returns an array of
   * font definition objects, suitable for passing to the preload() function (see above).
   */
  autoDetectFonts() {
    let fontArr = [];
    // Implementation note: "styleSheets" and "cssRules" are not arrays (they only look like arrays)
    let styleSheets = document.styleSheets;
    for (let i = 0; i < styleSheets.length; i++) {
      let styleSheet = styleSheets[i];
      let cssRules;
      try {
        cssRules = styleSheet.cssRules;
      } catch (error) {
        // In some browsers, access to style sheets of other origins is blocked:
        // https://developer.mozilla.org/en-US/docs/Web/API/CSSStyleSheet#Notes
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Skipped automatic font detection for style sheet ' + styleSheet.href + ' (access blocked by browser). Use the bootstrap argument "fonts" to manually list fonts to pre-load.');
        continue;
      }
      for (let j = 0; j < styleSheet.cssRules.length; j++) {
        let cssRule = styleSheet.cssRules[j];
        if (cssRule.type === window.CSSRule.FONT_FACE_RULE) {
          // @ts-expect-error
          let style = cssRule.style;
          let ff = style.getPropertyValue('font-family');
          let fw = style.getPropertyValue('font-weight');
          let fs = style.getPropertyValue('font-style');
          let fv = style.getPropertyValue('font-variant');
          let ft = style.getPropertyValue('font-stretch');
          if (ff) {
            ff = ff.replace(/^["']|["']$/g, ''); // Unquote strings, they will be quoted again automatically
            let s = [];
            if (fw && fw !== 'normal') {
              s.push('font-weight:' + fw);
            }
            if (fs && fs !== 'normal') {
              s.push('font-style:' + fs);
            }
            if (fv && fv !== 'normal') {
              s.push('font-variant:' + fv);
            }
            if (ft && ft !== 'normal') {
              s.push('font-stretch:' + ft);
            }
            let font = {
              family: ff
            };
            if (s.length) {
              font.style = s.join(';');
            }
            fontArr.push(font);
          }
        }
      }
    }
    return fontArr;
  }
};

/***/ }),

/***/ "./src/util/icons.ts":
/*!***************************!*\
  !*** ./src/util/icons.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   icons: () => (/* binding */ icons)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const icons = {
  /* These icon ids can either be used directly using JavaScript.
   * Or in a model file using the syntax ${iconId:ID}. */
  /* default font icons (sans-serif, arial) */
  TABLE_SORT_ASC: 'font:\u2191',
  TABLE_SORT_DESC: 'font:\u2193',
  /* scoutIcons: custom icons */
  EXCLAMATION_MARK_BOLD: 'font:\uE060',
  EXCLAMATION_MARK_CIRCLE: 'font:\uE001',
  INFO: 'font:\uE002',
  CALENDAR: 'font:\uE029',
  FILE: 'font:\uE003',
  CLOCK: 'font:\uE004',
  CHECKED_BOLD: 'font:\uE005',
  GROUP: 'font:\uE006',
  GROUP_PLUS: 'font:\uE007',
  ANGLE_DOUBLE_LEFT: 'font:\uE010',
  ANGLE_DOUBLE_RIGHT: 'font:\uE011',
  ANGLE_LEFT: 'font:\uE012',
  ANGLE_RIGHT: 'font:\uE013',
  ANGLE_DOWN: 'font:\uE014',
  ANGLE_UP: 'font:\uE015',
  LONG_ARROW_DOWN: 'font:\uE016',
  LONG_ARROW_UP: 'font:\uE017',
  LONG_ARROW_DOWN_PLUS: 'font:\uE018',
  LONG_ARROW_UP_PLUS: 'font:\uE019',
  MINUS: 'font:\uE01A',
  PLUS: 'font:\uE01B',
  LIST: 'font:\uE01C',
  TARGET: 'font:\uE020',
  WORLD: 'font:\uE021',
  CHART: 'font:\uE022',
  GEAR: 'font:\uE031',
  STAR: 'font:\uE02D',
  STAR_MARKED: 'font:\uE02E',
  STAR_BOLD: 'font:\uE032',
  STAR_SOLID: 'font:\uE033',
  PERSON_SOLID: 'font:\uE034',
  SEARCH: 'font:\uE02A',
  FOLDER: 'font:\uE02B',
  SUM: 'font:\uE02C',
  AVG: 'font:\uE03A',
  MAX: 'font:\uE039',
  MAX_BOLD: 'font:\uE027',
  MIN: 'font:\uE038',
  MIN_BOLD: 'font:\uE028',
  EXPAND_ALL: 'font:\uE036',
  COLLAPSE_ALL: 'font:\uE037',
  COLLAPSE: 'font:\uE600',
  ELLIPSIS_V: 'font:\uE041',
  SLIPPERY: 'font:\uE044',
  REMOVE: 'font:\uE035',
  REMOVE_BOLD: 'font:\uE045',
  PENCIL: 'font:\uE02F',
  PENCIL_UNDERLINE_SOLID: 'font:\uE050',
  ROTATE_LEFT: 'font:\uE051',
  ROTATE_RIGHT: 'font:\uE052',
  HOURGLASS: 'font:\uE053',
  DIAGRAM_AREA: 'font:\uE070',
  DIAGRAM_BAR: 'font:\uE071',
  DIAGRAM_BARS_HORIZONTAL: 'font:\uE072',
  DIAGRAM_BARS_VERTICAL: 'font:\uE073',
  DIAGRAM_DOUGHNUT: 'font:\uE074',
  DIAGRAM_LINE: 'font:\uE075',
  DIAGRAM_LINE_ANGULAR: 'font:\uE076',
  DIAGRAM_LINE_SMOOTH: 'font:\uE077',
  DIAGRAM_PIE: 'font:\uE078',
  DIAGRAM_RADAR: 'font:\uE079',
  DIAGRAM_SCATTER: 'font:\uE07A',
  /* font awesome icons */
  CHEVRON_LEFT_BOLD: 'font:\uF053',
  CHEVRON_RIGHT_BOLD: 'font:\uF054',
  CHEVRON_UP_BOLD: 'font:\uF077',
  CHEVRON_DOWN_BOLD: 'font:\uF078',
  ARROW_RIGHT_BOLD: 'font:\uF061',
  PLUS_BOLD: 'font:\uF067',
  MINUS_BOLD: 'font:\uF068',
  SQUARE_BOLD: 'font:\uF0C8',
  CARET_DOWN: 'font:\uF0D7',
  CARET_UP: 'font:\uF0D8',
  CARET_LEFT: 'font:\uF0D9',
  CARET_RIGHT: 'font:\uF0DA',
  ANGLE_LEFT_BOLD: 'font:\uF104',
  ANGLE_RIGHT_BOLD: 'font:\uF105',
  ANGLE_UP_BOLD: 'font:\uF106',
  ANGLE_DOWN_BOLD: 'font:\uF107',
  CIRCLE_BOLD: 'font:\uF111',
  LONG_ARROW_DOWN_BOLD: 'font:\uF175',
  LONG_ARROW_UP_BOLD: 'font:\uF176',
  LONG_ARROW_LEFT_BOLD: 'font:\uF177',
  LONG_ARROW_RIGHT_BOLD: 'font:\uF178',
  ICON_ID_REGEX: /\${iconId:([a-zA-Z0-9_.]*)}/,
  /**
   * Returns an {@link IconDesc} object with structured info contained in the iconId string.
   */
  parseIconId(iconId) {
    let icon = new _index__WEBPACK_IMPORTED_MODULE_0__.IconDesc();
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.startsWith(iconId, 'font:')) {
      icon.iconType = _index__WEBPACK_IMPORTED_MODULE_0__.IconDesc.IconType.FONT_ICON;
      iconId = iconId.substr(5);
      if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.countCodePoints(iconId) === 1) {
        // default icon-font scoutIcons
        icon.font = _index__WEBPACK_IMPORTED_MODULE_0__.IconDesc.DEFAULT_FONT;
        icon.iconCharacter = iconId;
      } else {
        let tmp = iconId.split(' ');
        icon.font = tmp[0];
        icon.iconCharacter = tmp[1];
      }
    } else {
      icon.iconType = _index__WEBPACK_IMPORTED_MODULE_0__.IconDesc.IconType.BITMAP;
      icon.iconUrl = iconId;
    }
    return icon;
  },
  /**
   * Resolves the value of an iconId property, where the value can contain a reference to
   * an icon constant in these formats:
   * <ul>
   *   <li><code>${iconId:ANGLE_UP}</code> references constant ANGLE_UP</li>
   *   <li><code>${iconId:foo.BAR}</code> references constant foo.icons.BAR, this is used for custom objects with icon constants</li>
   * </ul>
   */
  resolveIconId(value) {
    let iconId,
      tmp,
      result = icons.ICON_ID_REGEX.exec(value);
    if (result && result.length === 2) {
      iconId = result[1];
      tmp = iconId.split('.');
      if (tmp.length === 1) {
        // look for icon in [0]
        value = icons[tmp];
      } else if (tmp.length === 2) {
        // look for icon in global object [0].icons.[1]
        // @ts-expect-error
        value = window[tmp[0]].icons[tmp[1]];
      } else {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Invalid iconId: ' + value);
      }
    }
    return value;
  },
  /**
   * Resolves the value of an iconId property, where the value can contain a reference to
   * an icon constant in these formats:
   * <ul>
   *   <li><code>${iconId:ANGLE_UP}</code> references constant ANGLE_UP</li>
   *   <li><code>${iconId:foo.BAR}</code> references constant foo.icons.BAR, this is used for custom objects with icon constants</li>
   * </ul>
   * @param object object having an icon property which contains a iconId
   * @param iconProperty name of the property where an iconId placeholder should be replaced by the actual iconId. By default, 'iconId' is used as property name.
   */
  resolveIconProperty(object, iconProperty) {
    iconProperty = iconProperty || 'iconId';
    let value = object[iconProperty];
    let newValue = icons.resolveIconId(value);
    if (newValue !== value) {
      object[iconProperty] = newValue;
    }
  }
};

/***/ }),

/***/ "./src/util/inspector.ts":
/*!*******************************!*\
  !*** ./src/util/inspector.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   inspector: () => (/* binding */ inspector)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
const inspector = {
  /**
   * Adds inspector info (e.g. classId) from the given 'model' to the DOM. The target element
   * is either the given '$container' or model.$container. Nothing happens if model or target
   * element is undefined.
   */
  applyInfo(model, $container) {
    if (!model) {
      return;
    }
    $container = $container || model.$container;
    if (!$container) {
      return;
    }
    $container.toggleAttr('data-id', !!model.id, model.id);
    $container.toggleAttr('data-modelclass', !!model.modelClass, model.modelClass);
    $container.toggleAttr('data-classid', !!model.classId, model.classId);
  }
};

/***/ }),

/***/ "./src/util/locales.ts":
/*!*****************************!*\
  !*** ./src/util/locales.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   locales: () => (/* binding */ locales)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const locales = {
  localesMap: {},
  bootstrap(url) {
    let promise = url ? jquery__WEBPACK_IMPORTED_MODULE_1___default().ajaxJson(url) : jquery__WEBPACK_IMPORTED_MODULE_1___default().resolvedPromise([]);
    return promise.then(locales._handleBootstrapResponse.bind(this, url));
  },
  /** @internal */
  _handleBootstrapResponse(url, data) {
    _index__WEBPACK_IMPORTED_MODULE_0__.App.handleJsonError(url, data);
    locales.init(data);
  },
  init(data) {
    data.forEach(locale => {
      locales.localesMap[locale.languageTag] = new _index__WEBPACK_IMPORTED_MODULE_0__.Locale(locale);
    });
  },
  /** @internal */
  _get(languageTag) {
    return locales.localesMap[languageTag];
  },
  /**
   * Checks whether there is a locale definition for the given language tag.
   * @param explicit if true, the country code is considered, meaning if languageTag is 'de-CH'
   *   and there is a locale for 'de' but not for 'de-CH', true will be returned nonetheless. Default false (consistent to #get).
   */
  has(languageTag, explicit) {
    explicit = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(explicit, false);
    if (explicit) {
      return !!locales._get(languageTag);
    }
    return !!locales.get(languageTag);
  },
  /**
   * @returns the locale for the given languageTag.
   * If there is no locale found for the given tag, it tries to load the locale without the country code.
   * If there is still no locale found, null is returned.
   */
  get(languageTag) {
    let locale,
      tags = _index__WEBPACK_IMPORTED_MODULE_0__.texts.createOrderedLanguageTags(languageTag);
    tags.some(tag => {
      locale = locales._get(tag);
      return !!locale;
    }, this);
    if (!locale) {
      return null;
    }
    return locale;
  },
  getNavigatorLanguage() {
    return navigator.language || navigator['userLanguage'];
  },
  /**
   * @returns for the language returned by the navigator.
   * If no locale is found, the first locale with the language of the navigator is returned.
   * (e.g. if browser returns 'de' and there is no locale for 'de', check if there is one for 'de-CH', 'de-DE' etc. and take the first.)
   * If still no locale is found, the default locale {@link Locale.DEFAULT} is returned.
   */
  getNavigatorLocale() {
    let languageTag = locales.getNavigatorLanguage();
    if (!languageTag) {
      //  No language returned by the browser, using default locale (should not happen with modern browsers, but we never know...)
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.warn('Browser returned no language. Using default locale.');
      return new _index__WEBPACK_IMPORTED_MODULE_0__.Locale();
    }
    let locale = locales.get(languageTag);
    if (locale) {
      // If a locale was found for the language returned by the navigator, use that one
      return locale;
    }
    // Otherwise search a locale with the same language
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Locale for languageTag ' + languageTag + ' not found. Trying to load best match.');
    let language = locales.splitLanguageTag(languageTag)[0];
    locale = locales.findFirstForLanguage(language);
    if (locale) {
      return locale;
    }
    // If still not found, use the default locale
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('Still no matching locale for languageTag ' + languageTag + ' found. Using default locale.');
    return new _index__WEBPACK_IMPORTED_MODULE_0__.Locale();
  },
  getAll() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.objects.values(locales.localesMap);
  },
  getAllLanguageTags() {
    return Object.keys(locales.localesMap);
  },
  /**
   * Returns the first locale for the given language.
   * @param language a language without country code (e.g. en or de)
   */
  findFirstForLanguage(language) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('language', language);
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(locales.getAll(), locale => locale.language === language, this);
  },
  /**
   * Splits the language tag and returns an array containing the language and the country.
   */
  splitLanguageTag(languageTag) {
    if (!languageTag) {
      return [];
    }
    return languageTag.split('-');
  }
};

/***/ }),

/***/ "./src/util/mimeTypes.ts":
/*!*******************************!*\
  !*** ./src/util/mimeTypes.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   mimeTypes: () => (/* binding */ mimeTypes)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const APPLICATION_JSON = 'application/json';
const APPLICATION_JAVASCRIPT = 'application/javascript';
const APPLICATION_ZIP = 'application/zip';
/**
 * Pendant for org.eclipse.scout.rt.platform.resource.MimeType enumeration.
 */
const mimeTypes = {
  TEXT_PLAIN: 'text/plain',
  TEXT_HTML: 'text/html',
  TEXT_CSS: 'text/css',
  TEXT_JAVASCRIPT: 'text/javascript',
  IMAGE_PNG: 'image/png',
  IMAGE_JPG: 'image/jpg',
  IMAGE_JPEG: 'image/jpeg',
  IMAGE_GIF: 'image/gif',
  APPLICATION_JSON,
  APPLICATION_JAVASCRIPT,
  APPLICATION_ZIP,
  JSON: APPLICATION_JSON,
  JAVASCRIPT: APPLICATION_JAVASCRIPT,
  ZIP: APPLICATION_ZIP,
  isTextMimeType(mimeType) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(mimeType, mimeTypes.TEXT_PLAIN, mimeTypes.TEXT_HTML, mimeTypes.TEXT_CSS, mimeTypes.TEXT_JAVASCRIPT, mimeTypes.APPLICATION_JAVASCRIPT, mimeTypes.APPLICATION_JSON);
  },
  isJavaScript(mimeType) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(mimeType, mimeTypes.TEXT_JAVASCRIPT, mimeTypes.APPLICATION_JAVASCRIPT);
  }
};

/***/ }),

/***/ "./src/util/models.ts":
/*!****************************!*\
  !*** ./src/util/models.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   models: () => (/* binding */ models)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/**
 * Returns a new instance of a model supplied by the given model func
 *
 * @param modelFunc A function that returns the model instance.
 * @param parent Optional parent that is set on the returned object.
 */
function get(modelFunc, parent) {
  let model = modelFunc();
  if (parent) {
    model.parent = parent;
  }
  return model;
}
const models = {
  modelMap: {},
  init(data) {
    models.modelMap = data;
  },
  get,
  /**
   * Returns a new instance of an extension from the global modelMap.
   *
   * @param extensionId The id of the extension.
   */
  getExtension(extensionId) {
    return models._get(extensionId, 'extension');
  },
  /**
   * Returns a copy of the object in the global modelMap.
   *
   * @internal
   * @param id ID of the requested object (model or extension)
   * @param type Expected type of the requested object ('model' or 'extension')
   */
  _get(id, type) {
    let model = models.modelMap[id];
    if (!model) {
      throw new Error('No model map entry found for id \'' + id + '\'');
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(model.type, 'model') !== type) {
      throw new Error('Model \'' + id + '\' is not of type \'' + type + '\'');
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, model);
  },
  /**
   * Extends 'parentModel' with the contents of 'extension'.
   *
   * Parent model
   * ------------
   * The 'parentModel' argument (mandatory) will be changed and returned.
   *
   * Extension
   * ---------
   * Needs a property id on the parentModel to find the extension point.
   * Syntax of the extension:
   *
   * [appendTo]
   * Adding or overriding a property:
   * ```
   *   {
   *     "id": "..."
   *     "type": "extension"
   *     "extensions": [
   *       {
   *         "operation": "appendTo"
   *         "target": {
   *           "id": "someObjectID"
   *         }
   *         "extension": {
   *           "propertyX": "xyz"
   *         }
   *       }
   *     ]
   *   }
   * ```
   *
   * [insert]
   * Adding new object to the tree:
   * ```
   *   {
   *     "id": "..."
   *     "type": "extension"
   *     "extensions": [
   *       {
   *         "operation": "insert",
   *         "target": {
   *           "id": "someObjectID",
   *           "property": "collectionOfSomeObject",
   *           "before": "somObjectIDInPropertyArray"    // (alternative "index": 0)
   *         },
   *         "extension": {
   *            "id": "newObjectID",
   *            "propertyX": "someThing",
   *            "collectionY": [...]
   *         }
   *       }
   *     ]
   *   }
   * ```
   *
   * To extend the root object directly, "target.root: true" can be used instead of "target.id".
   *
   * To group inserted elements positions with its target use:
   * ```
   *   "target": {
   *     "id": "someObjectID",
   *     "property": "collectionOfSomeObject",
   *     "before": "somObjectIDInPropertyArray",
   *     "groupWithTarget": true
   *   }
   * ```
   * This will group the properties together. Future extensions which use "before": "somObjectIDInPropertyArray"
   * will insert new elements before the grouped items. (Works the same with "after".)
   *
   * The extension property can be an object or an array of objects.
   *
   * @param extension extension to the parentModel.
   * @param parentModel object which contains id's as properties
   * @returns parentModel extended by extension
   */
  extend(extension, parentModel) {
    let extensionObject;
    if (typeof extension === 'string') {
      extensionObject = models.getExtension(extension);
    } else if (typeof extension === 'function') {
      extensionObject = extension();
    } else {
      extensionObject = extension;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('extensions', extensionObject.extensions);
    extensionObject.extensions.forEach(extensionConfig => {
      let operation = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('operation', extensionConfig.operation);
      let target = _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('target', extensionConfig.target);
      let targetObject;
      if (target.root) {
        targetObject = parentModel;
      } else {
        targetObject = _index__WEBPACK_IMPORTED_MODULE_0__.objects.findChildObjectByKey(parentModel, 'id', target.id);
      }
      if (!targetObject) {
        throw new Error('Extension target not found: [extension: ' + extensionObject.id + ', target: ' + target.id + ']');
      }
      if (operation === 'appendTo') {
        jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(targetObject, extensionConfig.extension);
      } else if (operation === 'insert') {
        let insertTarget = target;
        targetObject[insertTarget.property] = targetObject[insertTarget.property] || [];
        let targetArray = targetObject[insertTarget.property];
        let extensionArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(extensionConfig.extension);
        models._bindExtensionsToBeforeOrAfter(insertTarget, extensionArray);
        let insertAt = models._findExtensionIndex(insertTarget, targetArray);
        _index__WEBPACK_IMPORTED_MODULE_0__.arrays.insertAll(targetArray, extensionArray, insertAt);
      }
    });
    return parentModel;
  },
  /**
   * Finds the index in the target array which is given through the target.
   *
   * @internal
   * @param target
   *          target information to search the index (either fixed index or a "before" or "after" tag).
   * @param targetArray
   *          array to search the extension index in.
   * @returns extension index between 0 and targetArray.length or targetArray.length if no index is found.
   */
  _findExtensionIndex(target, targetArray) {
    let insertAt = targetArray.length;
    if (target.before) {
      insertAt = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndex(targetArray, element => {
        return element.id === target.before || element.groupedWith === target.before;
      });
      if (insertAt === -1) {
        insertAt = targetArray.length;
      }
    } else if (target.after) {
      insertAt = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndex(targetArray, element => {
        return element.id === target.after || element.groupedWith === target.after;
      });
      if (insertAt === -1) {
        insertAt = targetArray.length;
      } else {
        insertAt++;
      }
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.numbers.isNumber(target.index)) {
      insertAt = target.index;
    }
    return insertAt;
  },
  /**
   * Adds the groupedWith tag to all given extensions.
   *
   * @internal
   * @param target
   *          target to bind the extensions to.
   * @param extensionsArray
   *          extensions to bind
   */
  _bindExtensionsToBeforeOrAfter(target, extensionsArray) {
    let beforeOrAfter = target.before || target.after;
    if (beforeOrAfter && target.groupWithTarget) {
      extensionsArray.forEach(element => {
        element.groupedWith = beforeOrAfter;
      });
    }
  }
};

/***/ }),

/***/ "./src/util/numbers.ts":
/*!*****************************!*\
  !*** ./src/util/numbers.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   numbers: () => (/* binding */ numbers)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

const numbers = {
  /**
   * Converts the given decimal number to base-62 (i.e. the same value, but represented by [a-zA-Z0-9] instead of only [0-9]).
   */
  toBase62(number) {
    if (number === undefined) {
      return undefined;
    }
    let symbols = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'.split('');
    let base = 62;
    let s = '';
    let n;
    while (number >= 1) {
      n = Math.floor(number / base);
      s = symbols[number - base * n] + s;
      number = n;
    }
    return s;
  },
  /**
   * Returns a random sequence of characters out of the set [a-zA-Z0-9] with the given length.
   * @param length The default length is 8.
   */
  randomId(length) {
    length = length || 8;
    let alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    let result = '';
    for (let i = 0; i < length; i++) {
      result += alphabet[Math.floor(Math.random() * alphabet.length)];
    }
    return result;
  },
  /**
   * Returns a random integer between 0 (inclusive) and the given `size` (exclusive).
   *
   * @param size The default size is {@link Number.MAX_SAFE_INTEGER}.
   */
  randomInt(size) {
    size = size || Number.MAX_SAFE_INTEGER;
    return Math.floor(Math.random() * size);
  },
  /** @internal */
  _correlationCounter: 1,
  /**
   * Generates a random ID suitable for use as correlation ID.
   *
   * Example:
   *
   *   Hq5JY2kz3n/27
   *
   * The ID is generated from two different alphabets: 1. only letter, 2. only digits. By
   * always selecting a random digit after two random characters, accidental "rude words"
   * can be prevented.
   *
   * The characters[01olOL] are not used at all because they are easily confused.
   *
   * For a length of 11 (default), this method can theoretically generate over 200 trillion
   * different IDs:
   *
   *   46^7 * 8^3 = 223'138'640'494'592
   *
   * To further reduce the risk of collisions, a monotonically increasing counter is added
   * at the end of the result string (separated by "/").
   */
  correlationId(length) {
    length = length || 11;
    let letters = 'abcdefghjkmnpqrstuvwxyzABCDEFGHJKMNPQRSTUVWXYZ';
    let digits = '23456789';
    let result = '';
    for (let i = 0; i < length; i++) {
      if ((i + 1) % 3 === 0) {
        result += digits[Math.floor(Math.random() * digits.length)];
      } else {
        result += letters[Math.floor(Math.random() * letters.length)];
      }
    }
    return result + '/' + numbers._correlationCounter++;
  },
  /**
   * Rounds a number to the given number of fraction digits.
   *
   * Numbers should not be rounded with the built-in Number.toFixed() method, since it
   * behaves differently on different browsers. However, it is safe to apply toFixed()
   * to the result of this method to ensure a fixed number of fraction digits (filled up
   * with 0's) because this operation does not involve any rounding anymore.
   * <p>
   * If fractionDigits is omitted, the number will be rounded to integer by default.
   * Rounding mode {@link RoundingMode.HALF_UP} is used as default.
   */
  round(number, roundingMode, fractionDigits) {
    if (number === null || number === undefined) {
      return number;
    }
    fractionDigits = fractionDigits || 0;
    // Do _not_ multiply with powers of 10 here, because that might cause rounding errors!
    // Example: 1.005 with 2 fraction digits would result in 100.49999999999999
    number = numbers.shiftDecimalPoint(number, fractionDigits);
    switch (roundingMode) {
      case _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.UP:
        if (number < 0) {
          number = -Math.ceil(Math.abs(number));
        } else {
          number = Math.ceil(number);
        }
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.DOWN:
        if (number < 0) {
          number = -Math.floor(Math.abs(number));
        } else {
          number = Math.floor(number);
        }
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.CEILING:
        number = Math.ceil(number);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.FLOOR:
        number = Math.floor(number);
        break;
      case _index__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_DOWN:
        if (number < 0) {
          number = Math.round(number);
        } else {
          number = -Math.round(-number);
        }
        break;
      // case RoundingMode.HALF_EVEN:
      // case RoundingMode.UNNECESSARY:
      // not implemented, default is used.
      default:
        // RoundingMode.HALF_UP is used as default
        if (number < 0) {
          number = -Math.round(Math.abs(number));
        } else {
          number = Math.round(number);
        }
    }
    return numbers.shiftDecimalPoint(number, -fractionDigits);
  },
  /**
   * Shifts the decimal point in the given number by a certain distance. While the result is also
   * number, the method uses string operations to move the decimal point. This prevents rounding
   * errors as long as the number does not exceed JavaScript's Number precision.
   *
   * The argument 'move' describes the distance how far the decimal point should be moved:
   *     0 = do no move      (1.57 --> 1.57)
   *   > 0 = move to right   (1.57 --> 15.7)
   *   < 0 = move to left    (1.57 --> 0.157)
   */
  shiftDecimalPoint(number, move) {
    if (number === null || number === undefined || !move) {
      return number;
    }
    let sign = number ? number < 0 ? -1 : 1 : 0;
    let distance = Math.abs(move);
    number = Math.abs(number);
    let s = _index__WEBPACK_IMPORTED_MODULE_0__.strings.asString(number);
    if (s.indexOf('e') !== -1) {
      s = number.toFixed(20);
    }
    let a;
    if (move < 0) {
      // move to left
      s = _index__WEBPACK_IMPORTED_MODULE_0__.strings.repeat('0', distance) + s;
      a = s.split('.', 2);
      if (a.length === 1) {
        s = s.substr(0, s.length - distance) + '.' + s.substr(s.length - distance);
      } else {
        s = a[0].substr(0, a[0].length - distance) + '.' + a[0].substr(a[0].length - distance) + a[1];
      }
    } else if (move > 0) {
      // move to right
      s += _index__WEBPACK_IMPORTED_MODULE_0__.strings.repeat('0', distance);
      a = s.split('.', 2);
      if (a.length === 2) {
        s = a[0] + a[1].substr(0, distance) + '.' + a[1].substr(distance);
      }
    }
    // Remove multiple leading zeros to prevent interpretation as octal number
    s = s.replace(/^0*(\d)/g, '$1');
    return Number(s) * sign;
  },
  /**
   * Ensures that the given number is really a number.
   * <p>
   * If it already is a number, the number will be returned.
   * Otherwise, a Number is created.
   *
   * @param number may be of type number or string.
   */
  ensure(number) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(number)) {
      return number;
    }
    return Number(number);
  },
  /**
   * Returns true if the given number is of type number but not NaN.
   */
  isNumber(number) {
    return typeof number === 'number' && !isNaN(number);
  },
  /**
   * Returns true if the given number is an integer.
   */
  isInteger(number) {
    return numbers.isNumber(number) && isFinite(number) && Math.floor(number) === number;
  },
  /** @internal */
  _setCorrelationCounter(val) {
    numbers._correlationCounter = val;
  }
};

/***/ }),

/***/ "./src/util/objects.ts":
/*!*****************************!*\
  !*** ./src/util/objects.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   objects: () => (/* binding */ objects)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const CONST_REGEX = /\${const:([^}]*)}/;
const objects = {
  /**
   * Uses Object.create(null) to create an object without a prototype. This is different to use the literal {} which links the object to Object.prototype.
   * <p>
   * Not using the literal has the advantage that the object does not contain any inherited properties like `toString` so it is not necessary to use `o.hasOwnProperty(p)`
   * instead of `p in o` to check for the existence.
   *
   * @param [properties] optional initial properties to be set on the new created object
   */
  createMap(properties) {
    let map = Object.create(null);
    if (properties) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(map, properties);
    }
    return map;
  },
  /**
   * Copies all the properties (including the ones from the prototype.) from dest to source
   * @param [filter] an array of property names.
   * @returns the destination object (the destination parameter will be modified as well)
   */
  copyProperties(source, dest, filter) {
    let propertyName;
    filter = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filter);
    for (propertyName in source) {
      if (filter.length === 0 || filter.indexOf(propertyName) !== -1) {
        dest[propertyName] = source[propertyName];
      }
    }
    return dest;
  },
  /**
   * Creates a dynamic proxy which can be used e.g. to initialize a constant.
   * The proxy wraps an instance created on first use using the given constructor function.
   * All calls to the proxy are forwarded to this lazy instance.
   * The instance can only be created after the {@link ObjectFactory} has been initialized.
   * @param constr The constructor to lazily create the instance on first use.
   * @returns A proxy that delegates calls to the lazy instance.
   */
  createSingletonProxy(constr) {
    return new Proxy({/* target obj for the lazy instance */}, {
      get(target, prop, proxy) {
        if (!target.instance) {
          var _ObjectFactory$get;
          if (prop === 'prototype') {
            // variable has no prototype: directly return undefined so that no instance is created yet.
            return undefined;
          }
          if (!((_ObjectFactory$get = _index__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get()) !== null && _ObjectFactory$get !== void 0 && _ObjectFactory$get.initialized)) {
            // only allow singleton creation after ObjectFactory has been set up. Otherwise, the class cannot be customized/replaced.
            throw Error('Singleton cannot be created yet as the ObjectFactory is not initialized.');
          }
          target.instance = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(constr);
        }
        let requestedProperty = target.instance[prop];
        if (typeof requestedProperty === 'function') {
          return requestedProperty.bind(target.instance);
        }
        return Reflect.get(target.instance, prop, target.instance);
      },
      set(target, prop, value) {
        return Reflect.set(target.instance, prop, value, target.instance);
      }
    });
  },
  /**
   * Copies the own properties (excluding the ones from the prototype) from source to dest.
   * If a filter is specified, only the properties matching the ones in the filter are copied.
   * @param [filter] an array of property names.
   * @returns the destination object (the destination parameter will be modified as well)
   */
  copyOwnProperties(source, dest, filter) {
    let propertyName;
    filter = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(filter);
    for (propertyName in source) {
      if (Object.prototype.hasOwnProperty.call(source, propertyName) && (filter.length === 0 || filter.indexOf(propertyName) !== -1)) {
        dest[propertyName] = source[propertyName];
      }
    }
    return dest;
  },
  /**
   * Counts and returns the properties of a given object or map (see #createMap).
   */
  countOwnProperties(obj) {
    // map objects don't have a prototype
    if (!Object.getPrototypeOf(obj)) {
      return Object.keys(obj).length;
    }
    // regular objects may inherit a property through their prototype
    // we're only interested in own properties
    let count = 0;
    for (let prop in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, prop)) {
        count++;
      }
    }
    return count;
  },
  /**
   * Copies the specified properties (including the ones from the prototype) from source to dest.
   * Properties that already exist on dest are NOT overwritten.
   */
  extractProperties(source, dest, properties) {
    properties.forEach(propertyName => {
      if (dest[propertyName] === undefined) {
        dest[propertyName] = source[propertyName];
      }
    });
    return dest;
  },
  /**
   * returns
   *  - true if the obj has at least one of the given properties.
   *  - false if the obj has none of the given properties.
   */
  someOwnProperties(obj, properties) {
    let propArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    return propArr.some(prop => {
      return Object.prototype.hasOwnProperty.call(obj, prop);
    });
  },
  /**
   * returns
   *  - true if the obj or its prototypes have at least one of the given properties.
   *  - false if the obj or its prototypes have none of the given properties.
   */
  someProperties(obj, properties) {
    let propArr = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    return propArr.some(prop => {
      return prop in obj;
    });
  },
  /**
   * Creates a copy of the given object with the properties in alphabetic order. The characters in the property names are compared
   * individually (no alphanumeric sorting). The names are first sorted by ascending length and then by character class: special
   * characters (punctuation etc.), then numbers (0-9), then lowercase letters (a-z), then uppercase letters (A-Z).
   *
   * The order of elements in an array is preserved. Values that are not plain objects are left as is. This method detects cyclic
   * references and does not throw an error. Instead, the cyclic reference is reassigned to the corresponding copy.
   *
   * @param recursive whether to recursively sort property names in nested objects. The default value is `true`.
   */
  sortProperties(obj) {
    let recursive = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return sortPropertiesImpl(obj, recursive, new Map());
    function sortPropertiesImpl(obj, recursive, seen) {
      // Check for cyclic references
      if (seen.has(obj)) {
        return seen.get(obj);
      }
      if (objects.isArray(obj)) {
        let copy = [];
        seen.set(obj, copy);
        return obj.reduce((acc, elem) => {
          if (recursive) {
            acc.push(sortPropertiesImpl(elem, recursive, seen));
          } else {
            acc.push(elem);
          }
          return acc;
        }, copy);
      }
      if (objects.isObject(obj)) {
        let copy = {};
        seen.set(obj, copy);
        return Object.keys(obj).sort((k1, k2) => k1.localeCompare(k2)).reduce((acc, key) => {
          if (recursive) {
            acc[key] = sortPropertiesImpl(obj[key], recursive, seen);
          } else {
            acc[key] = obj[key];
          }
          return acc;
        }, copy);
      }
      return obj;
    }
  },
  valueCopy(obj) {
    // Nothing to be done for immutable things
    if (obj === undefined || obj === null || typeof obj !== 'object') {
      return obj;
    }
    let copy;
    // Arrays
    if (Array.isArray(obj)) {
      copy = [];
      for (let i = 0; i < obj.length; i++) {
        copy[i] = objects.valueCopy(obj[i]);
      }
      return copy;
    }
    // All other objects
    copy = {};
    for (let prop in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, prop)) {
        copy[prop] = objects.valueCopy(obj[prop]);
      }
    }
    return copy;
  },
  /**
   * Returns the first object with the given property and propertyValue or null if there is no such object within parentObj.
   * @param property property to search for
   * @param propertyValue value of the property
   */
  findChildObjectByKey(parentObj, property, propertyValue) {
    if (parentObj === undefined || parentObj === null || typeof parentObj !== 'object') {
      return null;
    }
    if (parentObj[property] === propertyValue) {
      return parentObj;
    }
    let child;
    if (Array.isArray(parentObj)) {
      for (let i = 0; i < parentObj.length; i++) {
        child = objects.findChildObjectByKey(parentObj[i], property, propertyValue);
        if (child) {
          return child;
        }
      }
    }
    for (let prop in parentObj) {
      if (Object.prototype.hasOwnProperty.call(parentObj, prop)) {
        child = objects.findChildObjectByKey(parentObj[prop], property, propertyValue);
        if (child) {
          return child;
        }
      }
    }
    return null;
  },
  /**
   * This function returns the value of a property from the provided object specified by the second path parameter.
   * The path consists of a dot separated series of property names (e.g. foo, foo.bar, foo.bar.baz).
   * In addition, traversing into array properties is possible by specifying a suitable filter for the element's id property in square brackets (e.g. foo[bar], foo.bar[baz]).
   *
   * Example:
   *
   * let obj = {
   *   foo: {
   *     bar: {
   *       foobar: 'val1'
   *     }
   *   },
   *   baz: [
   *     {
   *       id: 'baz1',
   *       value: 'val2'
   *     },
   *     {
   *       id: 'baz2',
   *       value: 'val3'
   *     }
   *   ]
   * }
   *
   * objects.getByPath(obj, 'foo') === obj.foo;
   * objects.getByPath(obj, 'foo.bar') === obj.foo.bar;
   * objects.getByPath(obj, 'baz[baz1]') → { id: 'baz1', value: 'val2' }
   * objects.getByPath(obj, 'baz[baz2].value') → 'val3'
   *
   * @param object The object to select a property from.
   * @param path The path for the selection.
   * @returns Object Returns the selected object.
   * @throws Throws an error, if the provided parameters are malformed, or a property could not be found/a id property filter does not find any elements.
   */
  getByPath(object, path) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('object', object, Object);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('path', path);
    const pathElementRegexString = '(\\w+)(?:\\[((?:\\w|\\.|-)+)\\])?';
    const pathValidationRegex = new RegExp('^' + pathElementRegexString + '(?:\\.' + pathElementRegexString + ')*$');
    if (!pathValidationRegex.test(path)) {
      throw new Error('Malformed path expression "' + path + '"');
    }
    const pathElementRegex = new RegExp(pathElementRegexString);
    let pathMatchedSoFar = '';
    let currentContext = object;
    // Split by dot, but only if the dot is not followed by a string containing a ] that is not preceded by a [.
    // That excludes dots, that are part of an array filter (e.g. foo[foo.bar]).
    // Explanation: The regular expression matches dots literally, (\.), that are not followed (negative lookahead: (?!...)
    // by any mount of "not opening square brackets" ([^[]*) followed by a closing square bracket (last closing square bracket: ])
    path.split(/\.(?![^[]*])/).forEach(pathElement => {
      // After the first iteration, the current context may be null or undefined. In this case, further traversal is not possible.
      if (objects.isNullOrUndefined(currentContext)) {
        throw new Error('Value selected by matched path "' + pathMatchedSoFar + '" is null or undefined. Further traversal not possible.');
      }
      // match path element to retrieve property name and optional array property index
      let pathElementMatch = pathElementRegex.exec(pathElement);
      let propertyName = pathElementMatch[1];
      let arrayPropertyFilter = pathElementMatch[2];
      let pathMatchedErrorContext = pathMatchedSoFar.length === 0 ? 'root level of the provided object.' : 'matched path "' + pathMatchedSoFar + '".';
      // check if property 'propertyName' exists
      if (!currentContext.hasOwnProperty(propertyName)) {
        throw new Error('Property "' + propertyName + '" does not exist at the ' + pathMatchedErrorContext);
      }
      let property = currentContext[propertyName];
      // check if we are trying to match an array property or not
      if (arrayPropertyFilter) {
        // check for correct type of property
        if (!Array.isArray(property)) {
          throw new Error('Path element "' + pathElement + '" contains array filter but property "' + propertyName + '" does not contain an array at the ' + pathMatchedErrorContext);
        }
        // find elements matching criteria and make sure that exactly one object was found
        let matchedElements = property.filter(element => {
          return element['id'] === arrayPropertyFilter;
        });
        if (matchedElements.length === 0) {
          throw new Error('No object found with id property "' + arrayPropertyFilter + '" in array property "' + propertyName + '" at the ' + pathMatchedErrorContext);
        } else if (matchedElements.length > 1) {
          throw new Error('More than one object found with id property "' + arrayPropertyFilter + '" in array property "' + propertyName + '" at the ' + pathMatchedErrorContext);
        }
        // reassign current context to found element
        currentContext = matchedElements[0];
      } else {
        // reassign current context to found property
        currentContext = property;
      }
      if (pathMatchedSoFar) {
        pathMatchedSoFar += '.';
      }
      pathMatchedSoFar += pathElement;
    });
    return currentContext;
  },
  /**
   * @deprecated The method was renamed to {@link isObject}. Use the new name or consider using {@link isPojo} instead.
   */
  isPlainObject(obj) {
    return objects.isObject(obj);
  },
  /**
   * @returns true if the given object is an object: no primitive type (number, string, boolean, bigint, symbol), no array, not null and not undefined.
   */
  isObject(obj) {
    return typeof obj === 'object' && !objects.isNullOrUndefined(obj) && !Array.isArray(obj);
  },
  /**
   * @returns true if the given object is a plain old JavaScript object, which is an object created by the object literal notation ({}) or using `new Object()`.
   */
  isPojo(obj) {
    if (!objects.isObject(obj)) {
      return false;
    }
    let prototype = Object.getPrototypeOf(obj);
    return prototype === Object.prototype || prototype === null;
  },
  /**
   * Null-safe access the property of objects. Instead of using this function consider using conditional chaining with the elvis operator: obj?.foo?.bar.
   * Examples:
   * <ul>
   * <li><code>optProperty(obj, 'value');</code> try to access and return obj.value</li>
   * <li><code>optProperty(obj, 'foo', 'bar');</code> try to access and return obj.foo.bar</li>
   * </ul>
   *
   * @returns the value of the requested property or undefined if the property does not exist on the object
   */
  optProperty(obj) {
    if (!obj) {
      return null;
    }
    for (var _len = arguments.length, properties = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      properties[_key - 1] = arguments[_key];
    }
    let numArgs = properties.length;
    if (numArgs === 0) {
      return obj;
    }
    if (numArgs === 1) {
      return obj[properties[0]];
    }
    for (let i = 0; i < numArgs - 1; i++) {
      obj = obj[properties[i]];
      if (!obj) {
        return null;
      }
    }
    return obj[properties[numArgs - 1]];
  },
  /**
   * Returns true if:
   * - obj is not undefined or null
   * - obj not isNaN
   * - obj isFinite
   *
   * This method is handy in cases where you want to check if a number is set. Since you cannot write:
   *   if (myNumber) { ...
   *
   * Because when myNumber === 0 would also resolve to false. In that case use instead:
   *   if (isNumber(myNumber)) { ...
   */
  isNumber(obj) {
    return obj !== null && !isNaN(obj) && isFinite(obj) && !isNaN(parseFloat(obj));
  },
  isString(obj) {
    return typeof obj === 'string' || obj instanceof String;
  },
  isNullOrUndefined(obj) {
    return obj === null || obj === undefined;
  },
  // eslint-disable-next-line @typescript-eslint/ban-types
  isFunction(obj) {
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().isFunction(obj);
  },
  /**
   * Returns true if the given object is {@link isNullOrUndefined null or undefined}, an
   * {@link arrays#empty empty array} or an {@link isEmpty empty object}.
   */
  isNullOrUndefinedOrEmpty(obj) {
    if (objects.isNullOrUndefined(obj)) {
      return true;
    }
    if (objects.isArray(obj)) {
      return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.empty(obj);
    }
    return objects.isEmpty(obj);
  },
  isArray(obj) {
    return Array.isArray(obj);
  },
  /**
   * Checks whether the provided value is a promise or not.
   * @param value The value to check.
   * @returns true, in case the provided value is a thenable, false otherwise.
   *
   * Note: This method checks whether the provided value is a "thenable" (see https://promisesaplus.com/#terminology).
   *       Checking for promise would require to check the behavior which is not possible. So you could provide an object
   *       with a "then" function that does not conform to the Promises/A+ spec but this method would still return true.
   */
  isPromise(value) {
    return !!value && typeof value === 'object' && typeof value.then === 'function';
  },
  /**
   * Returns values from the given (map) object. By default, only values of 'own' properties are returned.
   *
   * @param obj
   * @param all can be set to true to return all properties instead of own properties
   * @returns an Array with values
   */
  values(obj, all) {
    let values = [];
    if (obj) {
      if (typeof obj.hasOwnProperty !== 'function') {
        all = true;
      }
      for (let key in obj) {
        if (all || obj.hasOwnProperty(key)) {
          values.push(obj[key]);
        }
      }
    }
    return values;
  },
  /**
   * @returns the key (name) of a property with given value
   */
  keyByValue(obj, value) {
    return Object.keys(obj)[objects.values(obj).indexOf(value)];
  },
  /**
   * Java-like equals method. Compares the given objects by checking with ===, if that fails, the function
   * checks if both objects have an equals function and use the equals function to compare the two objects
   * by value.
   * @returns true if both objects are equals by reference or by value
   */
  equals(objA, objB) {
    if (objA === objB) {
      return true;
    }
    // both objects have an equals() method
    if (objA && objB && objA.equals && objB.equals) {
      return objA.equals(objB);
    }
    if (objects.isArray(objA) && objects.isArray(objB) && !objA.length && !objB.length) {
      return true;
    }
    return false;
  },
  /**
   * Compares two objects and all its child elements recursively ignoring the order of the keys.
   *
   * @returns true if both objects and all child elements are equals by value or implemented equals method
   */
  equalsRecursive(objA, objB) {
    if (objA === objB) {
      return true;
    }
    if (objects.isObject(objA) && objects.isObject(objB)) {
      if (objects.isFunction(objA.equals) && objects.isFunction(objB.equals)) {
        return objA.equals(objB);
      }
      let keysA = Object.keys(objA);
      let keysB = Object.keys(objB);
      if (!_index__WEBPACK_IMPORTED_MODULE_0__.arrays.equalsIgnoreOrder(keysA, keysB)) {
        return false;
      }
      for (let key of keysA) {
        if (!objects.equalsRecursive(objA[key], objB[key])) {
          return false;
        }
      }
      return true;
    }
    if (objects.isArray(objA) && objects.isArray(objB)) {
      if (objA.length !== objB.length) {
        return false;
      }
      for (let i = 0; i < objA.length; i++) {
        if (!objects.equalsRecursive(objA[i], objB[i])) {
          return false;
        }
      }
      return true;
    }
    return false;
  },
  /**
   * Compares a list of properties of two objects by using the equals method for each property.
   */
  propertiesEquals(objA, objB, properties) {
    let i, property;
    for (i = 0; i < properties.length; i++) {
      property = properties[i];
      if (!objects.equals(objA[property], objB[property])) {
        return false;
      }
    }
    return true;
  },
  /**
   * @returns the function identified by funcName from the given object. The function will return an error
   *     if that function does not exist. Use this function if you modify an existing framework function
   *     to find problems after refactoring / renaming as soon as possible.
   */
  // eslint-disable-next-line
  mandatoryFunction(obj, funcName) {
    let func = obj[funcName];
    if (!func || typeof func !== 'function') {
      throw new Error('Function \'' + funcName + '\' does not exist on object. Check if it has been renamed or moved. Object: ' + obj);
    }
    return func;
  },
  /**
   * Use this method to replace a function on a prototype of an object. It checks if that function exists
   * by calling <code>mandatoryFunction</code>.
   */
  // eslint-disable-next-line
  replacePrototypeFunction(obj, funcOrName, func, rememberOrig) {
    let proto = obj.prototype;
    let funcName;
    if (typeof funcOrName === 'string') {
      funcName = funcOrName;
    } else {
      funcName = funcOrName.name;
    }
    objects.mandatoryFunction(proto, funcName);
    if (rememberOrig) {
      proto[funcName + 'Orig'] = proto[funcName];
    }
    proto[funcName] = func;
  },
  /**
   * @returns a real Array for the pseudo-array 'arguments'.
   */
  argumentsToArray(args) {
    return args ? Array.prototype.slice.call(args) : [];
  },
  /**
   * Used to loop over 'arguments' pseudo-array with forEach.
   */
  forEachArgument(args, func) {
    return objects.argumentsToArray(args).forEach(func);
  },
  /**
   * @param value text which contains a constant reference like '${const:FormField.LabelPosition.RIGHT}'.
   * @returns the resolved constant value or the unchanged input value if the constant could not be resolved.
   */
  resolveConst(value, constType) {
    if (!objects.isString(value)) {
      return value;
    }
    let result = CONST_REGEX.exec(value);
    if (result && result.length === 2) {
      // go down the object hierarchy starting on the given constType-object or on 'window'
      let objectHierarchy = result[1].split('.');
      let obj = constType || window;
      for (let i = 0; i < objectHierarchy.length; i++) {
        obj = obj[objectHierarchy[i]];
        if (obj === undefined) {
          window.console.log('Failed to resolve constant \'' + result[1] + '\', object is undefined');
          return value;
        }
      }
      return obj;
    }
    return value;
  },
  resolveConstProperty(object, config) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(config, 'property');
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertProperty(config, 'constType');
    let value = object[config.property];
    let resolvedValue = objects.resolveConst(value, config.constType);
    if (value !== resolvedValue) {
      object[config.property] = resolvedValue;
    }
  },
  /**
   * Cleans the given object, i.e. removes all top-level properties with values that are null, undefined or
   * consist of an empty array or an empty object. This is useful to have a minimal data object.
   *
   * This method is *not* recursive.
   *
   * The object is modified *in-place* and is also returned.
   *
   * If the given object is set but not a {@link isPlainObject plain object}, an error is thrown.
   *
   * @see isNullOrUndefinedOrEmpty
   */
  removeEmptyProperties(object) {
    if (objects.isNullOrUndefined(object)) {
      return object;
    }
    if (!objects.isObject(object)) {
      throw new Error('Not an object: ' + object);
    }
    Object.keys(object).forEach(key => {
      if (objects.isNullOrUndefinedOrEmpty(object[key])) {
        delete object[key];
      }
    });
    return object;
  },
  /**
   * @returns
   *  - true if the obj is empty, null or undefined
   *  - false if the obj is not empty
   *  - undefined if the obj is not an object
   */
  isEmpty(obj) {
    if (objects.isNullOrUndefined(obj)) {
      return true;
    }
    if (!objects.isObject(obj)) {
      return;
    }
    return Object.keys(obj).length === 0;
  },
  /**
   * @returns true if the first parameter is the same or a subclass of the second parameter.
   */
  isSameOrExtendsClass(class1, class2) {
    if (typeof class1 !== 'function' || typeof class2 !== 'function') {
      return false;
    }
    return class1 === class2 || class2.isPrototypeOf(class1);
  },
  /**
   * Converts any non-string argument to a string that can be used as an object property name.
   * Complex objects are converted to their JSON representation (instead of returning something
   * non-descriptive such as '[Object object]').
   */
  ensureValidKey(key) {
    if (key === undefined) {
      return 'undefined';
    }
    if (objects.isString(key)) {
      return key;
    }
    return JSON.stringify(key);
  },
  /**
   * Receives the value for the given key from the map, if the value is not null or undefined.
   * If the key has no value associated, the value will be computed with the given function and added to the map, unless it is null or undefined.
   *
   * @returns the value associated with the given key or the computed value returned by the given mapping function.
   */
  getOrSetIfAbsent(map, key, computeValue) {
    let value = map.get(key);
    if (!objects.isNullOrUndefined(value)) {
      return value;
    }
    value = computeValue(key);
    if (!objects.isNullOrUndefined(value)) {
      map.set(key, value);
    }
    return value;
  },
  /**
   * Parses the given JSON string and creates a JavaScript object using JSON.parse.
   * One or more mapping functions can be passed to transform the properties of the object before it is returned.
   * Compared to JSON.parse, there won't be an error if data is an empty string or undefined. Instead, data is returned as it is.
   */
  parseJson(data) {
    for (var _len2 = arguments.length, mappers = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      mappers[_key2 - 1] = arguments[_key2];
    }
    if (!data) {
      return data;
    }
    return JSON.parse(data, (key, value) => {
      for (const mapper of mappers) {
        value = mapper(key, value);
      }
      return value;
    });
  },
  stringifyJson(json) {
    for (var _len3 = arguments.length, mappers = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
      mappers[_key3 - 1] = arguments[_key3];
    }
    // Must NOT be an arrow function to maintain 'this'
    return JSON.stringify(json, function (key, value) {
      for (const mapper of mappers) {
        value = mapper.call(this, key, value);
      }
      return value;
    });
  }
};

/***/ }),

/***/ "./src/util/promises.ts":
/*!******************************!*\
  !*** ./src/util/promises.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   promises: () => (/* binding */ promises)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);

const promises = {
  /**
   * Use a promise creator to create a promise and wait until each promise has been done before the next
   * promise is created and executed.
   *
   * @param {PromiseCreator} promiseCreator this function
   */
  oneByOne(promiseCreator) {
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
    _repeat(promiseCreator);
    return deferred.promise();
    // use set timeout to prevent stack overflow
    function onDone() {
      setTimeout(_repeat.bind(this, promiseCreator));
    }
    function onFail() {
      // eslint-disable-next-line prefer-spread
      deferred.reject.apply(deferred, promiseCreator.error);
    }
    function _repeat(promiseCreator) {
      if (promiseCreator.hasNext()) {
        promiseCreator.next().done(onDone).fail(onFail);
      } else {
        // eslint-disable-next-line prefer-spread
        deferred.resolve.apply(deferred, promiseCreator.results);
      }
    }
  },
  /**
   * Use a promise creator to create a group of promises and wait until the whole group has been executed
   * before creating and executing promises for the next group.
   */
  groupwise(groupSize, promiseCreator) {
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
    _repeat(promiseCreator);
    return deferred.promise();
    // use set timeout to prevent stack overflow
    function onDone() {
      setTimeout(_repeat.bind(this, promiseCreator));
    }
    function onFail() {
      // eslint-disable-next-line prefer-spread
      deferred.reject.apply(deferred, promiseCreator.error);
    }
    function _repeat(promiseCreator) {
      if (promiseCreator.hasNext()) {
        let promises = [];
        while (promises.length < groupSize && promiseCreator.hasNext()) {
          promises.push(promiseCreator.next());
        }
        jquery__WEBPACK_IMPORTED_MODULE_0___default().promiseAll(promises, true).done(onDone).fail(onFail);
      } else {
        // eslint-disable-next-line prefer-spread
        deferred.resolve.apply(deferred, promiseCreator.results);
      }
    }
  },
  /**
   * Use a promise creator to try to keep a fixed size pool of promises of working. As soon as one
   * promise is finished, the next promise will be created and executed (as a long as there are more
   * promises available).
   *
   * @param maxPoolSize defines how many promises should be created and executed at most in parallel.
   * @param timeout specifies a timeout to wait for until the next promise will be started. If not specified, no timeout (=0) is used).
   */
  parallel(maxPoolSize, promiseCreator, timeout) {
    timeout = timeout || 0;
    let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
    let poolSize = 0;
    _startNext(promiseCreator);
    return deferred.promise();
    // use set timeout to prevent stack overflow
    function onDone() {
      poolSize--;
      setTimeout(_startNext.bind(this, promiseCreator), timeout);
    }
    function onFail() {
      // eslint-disable-next-line prefer-spread
      deferred.reject.apply(deferred, promiseCreator.error);
    }
    function _startNext(promiseCreator) {
      if (deferred.state() !== 'pending') {
        // deferred has already been rejected or resolved, do not start anymore promises or call done handler
        return;
      }
      while (promiseCreator.hasNext() && poolSize < maxPoolSize) {
        poolSize++;
        promiseCreator.next().done(onDone).fail(onFail);
      }
      if (poolSize === 0) {
        deferred.resolve.apply(deferred, [promiseCreator.results]);
      }
    }
  }
};

/***/ }),

/***/ "./src/util/strings.ts":
/*!*****************************!*\
  !*** ./src/util/strings.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   strings: () => (/* binding */ strings)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

let htmlEncoder = null;
let plainTextEncoder = null;
let lineFeedRegex = /\n/g;
let carriageReturnRegex = /\r/g;
let whitespaceRegex = /^\s*$/;
const strings = {
  /**
   * @param [encodeHtml] defaults to true
   */
  nl2br(text, encodeHtml) {
    if (!text) {
      return text;
    }
    text = strings.asString(text);
    encodeHtml = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(encodeHtml, true);
    if (encodeHtml) {
      text = strings.encode(text);
    }
    return text.replace(lineFeedRegex, '<br>').replace(carriageReturnRegex, '');
  },
  insertAt(text, insertText, position) {
    if (!text) {
      return text;
    }
    text = strings.asString(text);
    insertText = strings.asString(insertText);
    // @ts-expect-error
    if (insertText && (typeof position === 'number' || position instanceof Number) && position >= 0) {
      return text.substring(0, position) + insertText + text.substring(position);
    }
    return text;
  },
  /**
   * @returns true if the given string contains any non-space characters
   */
  hasText(text) {
    if (text === undefined || text === null) {
      return false;
    }
    text = strings.asString(text);
    if (typeof text !== 'string' || text.length === 0) {
      return false;
    }
    return !whitespaceRegex.test(text);
  },
  /**
   * Inverse operation of hasText(string). Used because empty(s) is more readable than !hasText(s).
   * @returns true if the given string is not set or contains only white-space characters.
   */
  empty(text) {
    return !strings.hasText(text);
  },
  repeat(pattern, count) {
    if (pattern === undefined || pattern === null) {
      return pattern;
    }
    if (typeof count !== 'number' || count < 1) {
      return '';
    }
    let result = '';
    for (let i = 0; i < count; i++) {
      result += pattern;
    }
    return result;
  },
  padZeroLeft(string, padding) {
    let s = strings.asString(string);
    if (s === undefined || s === null || typeof padding !== 'number' || padding < 1 || s.length >= padding) {
      return s;
    }
    let z = strings.repeat('0', padding) + s;
    return z.slice(-padding);
  },
  contains(string, searchFor) {
    if (!string) {
      return false;
    }
    return string.indexOf(searchFor) > -1;
  },
  startsWith(fullString, startString) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(fullString) || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(startString)) {
      return false;
    }
    fullString = strings.asString(fullString);
    startString = strings.asString(startString);
    return fullString.startsWith(startString);
  },
  endsWith(fullString, endString) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(fullString) || _index__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(endString)) {
      return false;
    }
    fullString = strings.asString(fullString);
    endString = strings.asString(endString);
    return fullString.endsWith(endString);
  },
  /**
   * Returns the number of occurrences of 'separator' in 'string'
   */
  count(string, separator) {
    if (!string || separator === undefined || separator === null) {
      return 0;
    }
    string = strings.asString(string);
    separator = strings.asString(separator);
    return string.split(separator).length - 1;
  },
  /**
   * Returns the HTML encoded text. Example: 'Foo<br>Bar' returns 'Foo&amp;lt;br&amp;gt;Bar'.
   * If the argument is or undefined, the same value is returned.
   * @param text plain text to encode
   * @returns HTML encoded text
   */
  encode(text) {
    if (!htmlEncoder) {
      // lazy instantiation to avoid cyclic dependency errors during webpack bootstrap
      htmlEncoder = new _index__WEBPACK_IMPORTED_MODULE_0__.HtmlEncoder();
    }
    return htmlEncoder.encode(text);
  },
  /**
   * Returns the plain text of the given html string using simple tag replacement.<p>
   * Tries to preserve the new lines. Since it does not consider the style, it won't be right in any cases.
   * A div for example always generates a new line, even if display style is not set to block.
   */
  plainText(text, options) {
    if (!plainTextEncoder) {
      // lazy instantiation to avoid cyclic dependency errors during webpack bootstrap
      plainTextEncoder = new _index__WEBPACK_IMPORTED_MODULE_0__.PlainTextEncoder();
    }
    return plainTextEncoder.encode(text, options);
  },
  /**
   * Joins a list of strings to a single string using the given separator. Elements that are
   * not defined or have zero length are ignored. The default return value is the empty string.
   *
   * @param separator String to use as separator
   * @param args list of strings to join. Can be an array or individual arguments
   */
  join(separator) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    let stringsToJoin = args;
    if (args[0] && _index__WEBPACK_IMPORTED_MODULE_0__.objects.isArray(args[0])) {
      stringsToJoin = args[0];
    }
    separator = strings.asString(separator);
    let s = '';
    for (let i = 0; i < stringsToJoin.length; i++) {
      let arg = strings.asString(stringsToJoin[i]);
      if (arg) {
        if (s && separator) {
          s += separator;
        }
        s += arg;
      }
    }
    return s;
  },
  /**
   * If the given 'string' has text, it is returned with the 'prefix' and 'suffix'
   * prepended and appended, respectively. Otherwise, the empty string is returned.
   */
  box(prefix, string, suffix) {
    prefix = strings.asString(prefix);
    string = strings.asString(string);
    suffix = strings.asString(suffix);
    let s = '';
    if (strings.hasText(string)) {
      if (prefix) {
        s += prefix;
      }
      s += string;
      if (suffix) {
        s += suffix;
      }
    }
    return s;
  },
  /**
   * Quotes a string for use in a regular expression, i.e. escapes all characters with special meaning.
   */
  quote(string) {
    if (string === undefined || string === null) {
      return string;
    }
    string = strings.asString(string);
    // see "escapeRegExp()" from https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions#Using_special_characters
    return string.replace(/[.*+?^${}()|[\]\\]/g, '\\$&'); // $& = last match
  },
  /**
   * If the given input is not of type string, it is converted to a string (using the standard
   * JavaScript "String()" function). Inputs 'null' and 'undefined' are returned as they are.
   */
  asString(input) {
    if (input === undefined || input === null) {
      return input;
    }
    if (typeof input === 'string' || input instanceof String) {
      return input;
    }
    return String(input);
  },
  /**
   * This is a shortcut for <code>scout.nvl(string, '')</code>.
   * @param string String to check
   * @returns Empty string '' when given string is null or undefined.
   */
  nvl(string) {
    if (arguments.length > 1) {
      throw new Error('strings.nvl only accepts one argument. Use scout.nvl if you need to handle multiple arguments');
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(string, '');
  },
  /**
   * Null-safe version of <code>String.prototype.length</code>.
   * If the argument is null or undefined, 0 will be returned.
   * A non-string argument will be converted to a string.
   */
  length(string) {
    string = strings.asString(string);
    return string ? string.length : 0;
  },
  /**
   * Null-safe version of <code>String.prototype.trim</code>.
   * If the argument is null or undefined, the same value will be returned.
   * A non-string argument will be converted to a string.
   */
  trim(string) {
    string = strings.asString(string);
    return string ? string.trim() : string;
  },
  /**
   * Null-safe version of <code>String.prototype.toUpperCase</code>.
   * If the argument is null or undefined, the same value will be returned.
   * A non-string argument will be converted to a string.
   */
  toUpperCase(string) {
    string = strings.asString(string);
    return string ? string.toUpperCase() : string;
  },
  /**
   * Null-safe version of <code>String.prototype.toLowerCase</code>.
   * If the argument is null or undefined, the same value will be returned.
   * A non-string argument will be converted to a string.
   */
  toLowerCase(string) {
    string = strings.asString(string);
    return string ? string.toLowerCase() : string;
  },
  /**
   * Returns the given string, with the first character converted to upper case and the remainder unchanged.
   * If the argument is null or undefined, the same value will be returned.
   * A non-string argument will be converted to a string.
   */
  toUpperCaseFirstLetter(string) {
    string = strings.asString(string);
    if (!string) {
      return string;
    }
    return string.substring(0, 1).toUpperCase() + string.substring(1);
  },
  /**
   * Returns the given string, with the first character converted to lower case and the remainder unchanged.
   * If the argument is null or undefined, the same value will be returned.
   * A non-string argument will be converted to a string.
   */
  toLowerCaseFirstLetter(string) {
    string = strings.asString(string);
    if (!string) {
      return string;
    }
    return string.substring(0, 1).toLowerCase() + string.substring(1);
  },
  /**
   * Returns the number of unicode characters in the given string.
   * As opposed to the string.length property, astral symbols are
   * counted as one single character.
   *
   * Example: <code>'\uD83D\uDC4D'.length</code> returns 2, whereas
   * <code>countCodePoints('\uD83D\uDC4D')</code> returns 1.
   *
   * (\uD83D\uDC4D = unicode character U+1F44D 'THUMBS UP SIGN')
   */
  countCodePoints(string) {
    return string
    // Replace every surrogate pair with a BMP symbol.
    .replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, '_')
    // and then get the length.
    .length;
  },
  /**
   * Splits the given 'string' at 'separator' while returning at most 'limit' elements.
   * Unlike String.prototype.split(), this function does not discard elements if more than
   * 'limit' elements are found. Instead, the surplus elements are joined with the last element.
   *
   * Example:
   * <ul>
   * <li>'a-b-c'.split('-', 2)       ==>   ['a', 'b']
   * <li>splitMax('a-b-c', '-', 2)   ==>   ['a', 'b-c']
   * </ul>
   */
  splitMax(string, separator, limit) {
    if (string === null || string === undefined) {
      return [];
    }
    string = strings.asString(string);
    separator = strings.asString(separator);
    limit = Number(limit);
    let array = string.split(separator);
    if (isNaN(limit) || limit <= 0 || limit >= array.length) {
      return array;
    }
    let arrayShort = array.slice(0, limit - 1);
    let last = array.slice(limit - 1).join(separator); // combine the rest
    arrayShort.push(last);
    return arrayShort;
  },
  nullIfEmpty(string) {
    return strings.empty(string) ? null : string;
  },
  /**
   * Null safe case-sensitive comparison of two strings.
   *
   * @param [ignoreCase] optional flag to perform case-insensitive comparison
   */
  equals(a, b, ignoreCase) {
    a = strings.nullIfEmpty(a);
    b = strings.nullIfEmpty(b);
    if (!a && !b) {
      return true;
    }
    if (!a || !b) {
      return false;
    }
    if (ignoreCase) {
      return a.toLowerCase() === b.toLowerCase();
    }
    return a === b;
  },
  equalsIgnoreCase(a, b) {
    return strings.equals(a, b, true);
  },
  /**
   * Adds the given prefix to the start of the given string and returns the result.
   * If either of the given arguments is null or empty, the original string is returned unchanged, i.e. without prefix.
   */
  addPrefix(string, prefix) {
    return string && prefix ? prefix + string : string;
  },
  /**
   * Adds the given suffix to the end of the given string and returns the result.
   * If either of the given arguments is null or empty, the original string is returned unchanged, i.e. without suffix.
   */
  addSuffix(string, suffix) {
    return string && suffix ? string + suffix : string;
  },
  /**
   * If the given string starts with the given prefix, the prefix is removed and the remaining string is returned.
   * Otherwise, the string is returned unchanged. This method is case-sensitive and null-safe.
   */
  removePrefix(string, prefix) {
    return strings.startsWith(string, prefix) ? string.substring(prefix.length) : string;
  },
  /**
   * If the given string ends with the given suffix, the suffix is removed and the remaining string is returned.
   * Otherwise, the string is returned unchanged. This method is case-sensitive and null-safe.
   */
  removeSuffix(string, suffix) {
    return strings.endsWith(string, suffix) ? string.substring(0, string.length - suffix.length) : string;
  },
  /**
   * Truncates the given text and appends '...' so it fits into the given horizontal space.
   *
   * @param text the text to be truncated
   * @param horizontalSpace the horizontal space the text needs to fit into
   * @param measureText a function that measures the span of a text, it needs to return an object containing a 'width' property.
   *                    If not provided, the width corresponds to the number of characters.
   * @returns the truncated text
   */
  truncateText(text, horizontalSpace, measureText) {
    if (!text || !horizontalSpace || horizontalSpace <= 0) {
      return text;
    }
    if (!measureText) {
      measureText = text => ({
        width: (text || '').length
      });
    }
    text = strings.asString(text).trim();
    let textWidth = measureText(text).width;
    if (textWidth <= horizontalSpace) {
      return text;
    }
    let upperBound = text.length; // exclusive
    let lowerBound = 0; // inclusive
    while (lowerBound + 1 < upperBound) {
      let textLength = Math.round((upperBound + lowerBound) / 2);
      if (measureText(text.slice(0, textLength) + '...').width > horizontalSpace) {
        upperBound = textLength;
      } else {
        lowerBound = textLength;
      }
    }
    return text.slice(0, lowerBound).trim() + '...';
  }
};

/***/ }),

/***/ "./src/util/styles.ts":
/*!****************************!*\
  !*** ./src/util/styles.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   styles: () => (/* binding */ styles)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


const styles = {
  styleMap: {},
  element: null,
  /**
   * Generates an invisible div and appends it to the body, only once. The same div will be reused on subsequent calls.
   * Adds the given css class to that element and returns a style object containing the values for every given property.
   * The style is cached. Subsequent calls with the same css class will return the same style object.
   *
   * @param styleProperties in the form {backgroundColor: 'black'}
   */
  get(cssClass, properties, styleProperties) {
    // create invisible div
    let elem = styles.element;
    if (!elem) {
      elem = window.document.createElement('div');
      elem.style.display = 'none';
      window.document.body.appendChild(elem);
      styles.element = elem;
    }
    let displayNoneStyleCssText = elem.style.cssText;
    styleProperties = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, styleProperties, {
      display: ''
    });
    Object.keys(styleProperties).sort().forEach(key => {
      elem.style[key] = styleProperties[key];
    });
    // get cssText as additional key component, display is not part of the key component
    let keyCssText = elem.style.cssText;
    // always add display: 'none'
    elem.style.display = 'none';
    let styleCssText = elem.style.cssText;
    // reset style
    elem.style.cssText = displayNoneStyleCssText;
    let cssClassArray = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(cssClass),
      mapKey = keyCssText ? [...cssClassArray, keyCssText] : cssClassArray;
    let style = styles.styleMap[mapKey.toString()];
    // ensure array
    properties = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    let propertyNames = properties.map(prop => {
      return {
        name: prop,
        // replace property names like 'max-width' in 'maxWidth'
        nameCamelCase: prop.replace(/-(.)/g, (match, p1) => p1.toUpperCase())
      };
    });
    // ensure style
    if (!style) {
      style = {};
      styles.put(mapKey.toString(), style);
    }
    let notResolvedProperties = propertyNames.filter(prop => !(prop.nameCamelCase in style));
    if (notResolvedProperties.length === 0) {
      return style;
    }
    // resolve missing properties
    elem.className = cssClassArray[0];
    for (let i = 1; i < cssClassArray.length; i++) {
      let childElem = elem.children[0];
      if (!childElem) {
        childElem = window.document.createElement('div');
        childElem.style.display = 'none';
        elem.appendChild(childElem);
      }
      elem = childElem;
      elem.className = cssClassArray[i];
    }
    // set style properties
    elem.style.cssText = styleCssText;
    let computedStyle = window.getComputedStyle(elem);
    notResolvedProperties.forEach(property => {
      style[property.nameCamelCase] = computedStyle[property.name];
    });
    elem.style.cssText = displayNoneStyleCssText;
    elem = styles.element;
    do {
      elem.className = '';
      elem = elem.children[0];
    } while (elem);
    return style;
  },
  /**
   * Traverses the parents of the given $elem and returns the first opaque background color.
   */
  getFirstOpaqueBackgroundColor($elem) {
    if (!$elem) {
      return;
    }
    let document = $elem.document(true);
    // @ts-expect-error
    while ($elem && $elem.length && document !== $elem[0]) {
      let rgbString = $elem.css('background-color'),
        rgba = styles.rgb(rgbString);
      if (rgba && rgba.alpha === 1) {
        return rgbString;
      }
      $elem = $elem.parent();
    }
  },
  getSize(cssClass, cssProperty, property, defaultSize) {
    let size = styles.get(cssClass, cssProperty)[property];
    if ('auto' === size) {
      return defaultSize;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_1___default().pxToNumber(size);
  },
  put(cssClass, style) {
    styles.styleMap[cssClass] = style;
  },
  clearCache() {
    styles.styleMap = {};
  },
  /**
   * Extracts the given attribute from the given CSS class and returns its value.
   *
   * If the provided class does not exist, the computed element style of the provided
   * attribute is returned. If the extracted value is unset, `null` is returned.
   *
   * @param cssClass any CSS class
   * @param attribute optional CSS attribute to extract the color from, default is _backgroundColor_
   */
  getCssColor(cssClass) {
    let attribute = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'backgroundColor';
    let color = styles.get(cssClass, attribute)[attribute];
    return color === 'unset' ? null : color;
  },
  RGB_BLACK: {
    red: 0,
    green: 0,
    blue: 0
  },
  RGB_WHITE: {
    red: 255,
    green: 255,
    blue: 255
  },
  /**
   * Creates a rgb object based on the given rgb string with the format rgb(0, 0, 0).
   * If the input string cannot be parsed, undefined is returned.
   */
  rgb(rgbString) {
    if (!rgbString) {
      return undefined;
    }
    let rgbVal = rgbString.replace(/\s/g, '').match(/^rgba?\((\d+),(\d+),(\d+),?(\d+(\.\d+)?)?/i);
    if (rgbVal === null) {
      return undefined;
    }
    return {
      red: parseInt(rgbVal[1], 10),
      green: parseInt(rgbVal[2], 10),
      blue: parseInt(rgbVal[3], 10),
      alpha: parseFloat(_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(rgbVal[4], 1))
    };
  },
  /**
   * Converts the given hex string to a rgb string.
   */
  hexToRgb(hexString) {
    if (!hexString) {
      return;
    }
    let r = 0,
      g = 0,
      b = 0,
      a = 255;
    if (hexString.length === 4 || hexString.length === 5) {
      r = parseInt('0x' + hexString[1] + hexString[1]);
      g = parseInt('0x' + hexString[2] + hexString[2]);
      b = parseInt('0x' + hexString[3] + hexString[3]);
      if (hexString.length === 5) {
        a = parseInt('0x' + hexString[4] + hexString[4]);
      }
    }
    if (hexString.length === 7 || hexString.length === 9) {
      r = parseInt('0x' + hexString[1] + hexString[2]);
      g = parseInt('0x' + hexString[3] + hexString[4]);
      b = parseInt('0x' + hexString[5] + hexString[6]);
      if (hexString.length === 9) {
        a = parseInt('0x' + hexString[7] + hexString[8]);
      }
    }
    a = +(a / 255).toFixed(3);
    return 'rgba(' + +r + ',' + +g + ',' + +b + ',' + a + ')';
  },
  /**
   * Returns the given rgb color in hex format.
   *
   * @param rgba a color in rgb or rgba format
   * @param forceRemoveAlpha true, if the alpha value should be removed, otherwise false.
   * @returns the color in hex format
   */
  rgbToHex(rgba) {
    let forceRemoveAlpha = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    if (!rgba) {
      return null;
    }
    const rgbaValues = rgba.replace(/^rgba?\(|\s+|\)$/g, '').split(','); // gets rgba/rgb string values
    const hexValues = [];
    for (let i = 0; i < rgbaValues.length; i++) {
      if (forceRemoveAlpha && i === 3) {
        continue;
      }
      let rgbaValue = parseFloat(rgbaValues[i]); // convert to numbers
      if (i === 3) {
        rgbaValue = Math.round(rgbaValue * 255); // convert alpha to 255 number
      }
      let hexValue = rgbaValue.toString(16); // convert number to hex
      if (hexValue.length === 1) {
        hexValue = '0' + hexValue; // add 0 when length of number is 1
      }
      hexValues[i] = hexValue;
    }
    return '#' + hexValues.join('');
  },
  /**
   * Make a given color darker by mixing it with a certain amount of black.
   * If no color is specified or the color cannot be parsed, undefined is returned.
   *
   * @param color
   *          a CSS color in 'rgb()' or 'rgba()' format.
   * @param ratio
   *          a number between 0 and 1 specifying how much black should be added
   *          to the given color (0.0 = only 'color', 1.0 = only black).
   *          Default is 0.2.
   */
  darkerColor(color, ratio) {
    let rgbVal = styles.rgb(color);
    if (!rgbVal) {
      return undefined;
    }
    ratio = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(ratio, 0.2);
    return styles.mergeRgbColors(styles.RGB_BLACK, ratio, rgbVal, 1 - ratio);
  },
  /**
   * Make a given color lighter by mixing it with a certain amount of white.
   * If no color is specified or the color cannot be parsed, undefined is returned.
   *
   * @param color
   *          a CSS color in 'rgb()' or 'rgba()' format.
   * @param ratio
   *          a number between 0 and 1 specifying how much white should be added
   *          to the given color (0.0 = only 'color', 1.0 = only white).
   *          Default is 0.2.
   */
  lighterColor(color, ratio) {
    let rgbVal = styles.rgb(color);
    if (!rgbVal) {
      return undefined;
    }
    ratio = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(ratio, 0.2);
    return styles.mergeRgbColors(styles.RGB_WHITE, ratio, rgbVal, 1 - ratio);
  },
  /**
   * Merges two RGB colors as defined by rgb().
   *
   * The two 'ratio' arguments specify "how much" of the corresponding color is added to the
   * resulting color. Both arguments should (but don't have to) add to 1.0.
   *
   * All arguments are mandatory.
   */
  mergeRgbColors(colorA, ratio1, colorB, ratio2) {
    let color1, color2;
    if (typeof colorA === 'string') {
      color1 = styles.rgb(colorA);
    } else {
      color1 = colorA;
    }
    if (typeof colorB === 'string') {
      color2 = styles.rgb(colorB);
    } else {
      color2 = colorB;
    }
    if (!color1 && !color2) {
      return undefined;
    }
    ratio1 = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(ratio1, 0);
    ratio2 = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(ratio2, 0);
    if (!color1) {
      color1 = styles.RGB_BLACK;
      ratio1 = 0;
    }
    if (!color2) {
      color2 = styles.RGB_BLACK;
      ratio2 = 0;
    }
    if (ratio1 === 0 && ratio2 === 0) {
      return 'rgb(0,0,0)';
    }
    return 'rgb(' + _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round((ratio1 * color1.red + ratio2 * color2.red) / (ratio1 + ratio2)) + ',' + _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round((ratio1 * color1.green + ratio2 * color2.green) / (ratio1 + ratio2)) + ',' + _index__WEBPACK_IMPORTED_MODULE_0__.numbers.round((ratio1 * color1.blue + ratio2 * color2.blue) / (ratio1 + ratio2)) + ')';
  },
  /**
   * Example: Dialog-PLAIN-12
   */
  parseFontSpec(pattern) {
    let fontSpec = {};
    if (_index__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(pattern)) {
      let tokens = pattern.split(/[-_,/.;]/);
      for (let i = 0; i < tokens.length; i++) {
        let token = tokens[i].toUpperCase();
        // styles
        if (token === 'NULL' || token === '0') {
          // nop (undefined values)
        } else if (token === 'PLAIN') {
          // nop
        } else if (token === 'BOLD') {
          fontSpec.bold = true;
        } else if (token === 'ITALIC') {
          fontSpec.italic = true;
        } else {
          // size or name
          if (/^\d+$/.test(token)) {
            fontSpec.size = parseInt(token);
          } else if (token !== 'NULL') {
            fontSpec.name = tokens[i];
          }
        }
      }
    }
    return fontSpec;
  },
  modelToCssColor(color) {
    if (!color) {
      // prevent conversion from null to 'null' by regex
      return '';
    }
    let cssColor = '';
    if (/^[A-Fa-f0-9]{3}([A-Fa-f0-9]{3})?$/.test(color)) {
      // hex color
      cssColor = '#' + color;
    } else if (/^[A-Za-z0-9().,%-]+$/.test(color)) {
      // named colors or color functions
      cssColor = color;
    }
    return cssColor;
  },
  /**
   * Returns a string with CSS definitions for use in an element's "style" attribute. All CSS relevant
   * properties of the given object are converted to CSS definitions, namely foreground color, background
   * color and font.
   *
   * If an $element is provided, the CSS definitions are directly applied to the element. This can be
   * useful if the "style" attribute is shared and cannot be replaced in its entirety.
   *
   * If propertyPrefix is provided, the prefix will be applied to the properties, e.g. if the prefix is
   * 'label' the properties labelFont, labelBackgroundColor and labelForegroundColor are used instead of
   * just font, backgroundColor and foregroundColor.
   */
  legacyStyle(obj, $element, propertyPrefix) {
    let style = '';
    style += styles.legacyForegroundColor(obj, $element, propertyPrefix);
    style += styles.legacyBackgroundColor(obj, $element, propertyPrefix);
    style += styles.legacyFont(obj, $element, propertyPrefix);
    return style;
  },
  legacyForegroundColor(obj, $element, propertyPrefix) {
    propertyPrefix = propertyPrefix || '';
    let cssColor = '';
    if (obj) {
      let foregroundColorProperty = _index__WEBPACK_IMPORTED_MODULE_0__.strings.toLowerCaseFirstLetter(propertyPrefix + 'ForegroundColor');
      cssColor = styles.modelToCssColor(obj[foregroundColorProperty]);
    }
    if ($element) {
      $element.css('color', cssColor);
    }
    let style = '';
    if (cssColor) {
      style += 'color: ' + cssColor + '; ';
    }
    return style;
  },
  legacyBackgroundColor(obj, $element, propertyPrefix) {
    propertyPrefix = propertyPrefix || '';
    let cssBackgroundColor = '';
    if (obj) {
      let backgroundColorProperty = _index__WEBPACK_IMPORTED_MODULE_0__.strings.toLowerCaseFirstLetter(propertyPrefix + 'BackgroundColor');
      cssBackgroundColor = styles.modelToCssColor(obj[backgroundColorProperty]);
    }
    if ($element) {
      $element.css('background-color', cssBackgroundColor);
    }
    let style = '';
    if (cssBackgroundColor) {
      style += 'background-color: ' + cssBackgroundColor + '; ';
    }
    return style;
  },
  legacyFont(obj, $element, propertyPrefix) {
    propertyPrefix = propertyPrefix || '';
    let cssFontWeight = '';
    let cssFontStyle = '';
    let cssFontSize = '';
    let cssFontFamily = '';
    if (obj) {
      let fontProperty = _index__WEBPACK_IMPORTED_MODULE_0__.strings.toLowerCaseFirstLetter(propertyPrefix + 'Font');
      let fontSpec = styles.parseFontSpec(obj[fontProperty]);
      if (fontSpec.bold) {
        cssFontWeight = 'bold';
      }
      if (fontSpec.italic) {
        cssFontStyle = 'italic';
      }
      if (fontSpec.size) {
        cssFontSize = fontSpec.size + 'pt';
      }
      if (fontSpec.name) {
        cssFontFamily = fontSpec.name;
      }
    }
    if ($element) {
      $element.css('font-weight', cssFontWeight).css('font-style', cssFontStyle).css('font-size', cssFontSize).css('font-family', cssFontFamily);
    }
    let style = '';
    if (cssFontWeight) {
      style += 'font-weight: ' + cssFontWeight + '; ';
    }
    if (cssFontStyle) {
      style += 'font-style: ' + cssFontStyle + '; ';
    }
    if (cssFontSize) {
      style += 'font-size: ' + cssFontSize + '; ';
    }
    if (cssFontFamily) {
      style += 'font-family: ' + cssFontFamily + '; ';
    }
    return style;
  },
  _getElement() {
    return styles.element;
  }
};

/***/ }),

/***/ "./src/util/webstorage.ts":
/*!********************************!*\
  !*** ./src/util/webstorage.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   webstorage: () => (/* binding */ webstorage)
/* harmony export */ });
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * Utility functions for "sessionStorage" and "localStorage" that ignore any errors.
 * Errors can occur e.g. in "private mode" on Safari.
 */
const webstorage = {
  getItem(storage, key) {
    if (!storage) {
      return;
    }
    try {
      return storage.getItem(key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while reading "' + key + '" from web storage: ' + err);
    }
  },
  getItemFromSessionStorage(key) {
    try {
      return webstorage.getItem(sessionStorage, key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while reading "' + key + '" from session storage: ' + err);
    }
  },
  getItemFromLocalStorage(key) {
    try {
      return webstorage.getItem(localStorage, key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while reading "' + key + '" from local storage: ' + err);
    }
  },
  setItem(storage, key, value) {
    if (!storage) {
      return;
    }
    try {
      return storage.setItem(key, value);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while storing "' + key + '" in web storage: ' + err);
    }
  },
  setItemToSessionStorage(key, value) {
    try {
      return webstorage.setItem(sessionStorage, key, value);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while storing "' + key + '" in session storage: ' + err);
    }
  },
  setItemToLocalStorage(key, value) {
    try {
      return webstorage.setItem(localStorage, key, value);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while storing "' + key + '" in local storage: ' + err);
    }
  },
  removeItem(storage, key) {
    if (!storage) {
      return;
    }
    try {
      return storage.removeItem(key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while removing "' + key + '" from web storage: ' + err);
    }
  },
  removeItemFromSessionStorage(key) {
    try {
      return webstorage.removeItem(sessionStorage, key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while removing "' + key + '" from session storage: ' + err);
    }
  },
  removeItemFromLocalStorage(key) {
    try {
      return webstorage.removeItem(localStorage, key);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while removing "' + key + '" from local storage: ' + err);
    }
  },
  clear(storage) {
    if (!storage) {
      return;
    }
    try {
      return storage.clear();
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while clearing web storage: ' + err);
    }
  },
  clearSessionStorage() {
    try {
      return webstorage.clear(sessionStorage);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while clearing session storage: ' + err);
    }
  },
  clearLocalStorage() {
    try {
      return webstorage.clear(localStorage);
    } catch (err) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.error('Error while clearing local storage: ' + err);
    }
  }
};

/***/ }),

/***/ "./src/uuidpool/UuidPool.ts":
/*!**********************************!*\
  !*** ./src/uuidpool/UuidPool.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UuidPool: () => (/* binding */ UuidPool)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UuidPool extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "uuids", void 0);
    _defineProperty(this, "size", void 0);
    _defineProperty(this, "refillThreshold", void 0);
    _defineProperty(this, "failOnStarvation", void 0);
    _defineProperty(this, "refillInProgress", void 0);
    this.uuids = [];
    this.size = 100;
    this.refillThreshold = 25;
    this.failOnStarvation = false;
    this.refillInProgress = false;
  }
  take() {
    if (!this.uuids.length) {
      if (this.failOnStarvation) {
        throw new Error('UUID pool exhausted');
      }
      // Fallback: instead of failing, use an algorithm to generate a random V4 UUID. Due to
      // browser limitations, there is a higher risk of collisions.
      return this.generateUuid();
    }
    let result = this.uuids.shift();
    if (this.uuids.length <= this.refillThreshold) {
      this.refill();
    }
    return result;
  }
  refill() {
    let count = this.size - this.uuids.length;
    if (count > 0) {
      this.fill(count);
    }
  }
  fill(count) {
    this.trigger('refill', {
      count: count
    });
  }
  generateUuid() {
    // Source: https://stackoverflow.com/a/8809472/7188380 (Public Domain/MIT)
    let d = Date.now() + (performance ? performance.now() : 0); // use high-precision timer if available
    return 'zzzzzzzz-zzzz-4zzz-yzzz-zzzzzzzzzzzz'.replace(/[zy]/g, c => {
      let r = (d + Math.random() * 16) % 16 | 0;
      d = Math.floor(d / 16);
      return (c === 'z' ? r : r & 0x3 | 0x8).toString(16);
    });
  }
  // ----- Static functions -----
  /**
   * Creates a new UuidPool widget, i.e. without model adapter attached.
   * @param parent mandatory parent widget
   */
  static _createInstance(parent) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(UuidPool, {
      parent: parent
    });
  }
  /**
   * Installs a new UuidPool instanceof as an add-on to any desktop of this Scout app. It can then be
   * accessed conveniently by all other widgets by using the helper function <code>UuidPool.get()</code>.
   * <p>
   * Note: In the case of a RemoteApp, the add-on is provided by the UI server (see UuidPoolAddOnDesktopExtension.java).
   */
  static installDesktopAddOn() {
    _index__WEBPACK_IMPORTED_MODULE_0__.App.addListener('desktopReady', event => {
      let desktop = event.desktop;
      if (desktop.addOns.some(addOn => addOn instanceof UuidPool)) {
        // pool might already have been created as part of the desktop received from the server
        return;
      }
      desktop.addOns.push(UuidPool._createInstance(desktop));
    });
  }
  /**
   * Returns an instanceof of UuidPool. If a desktop add-on of this type is available, this instance is returned.
   * Otherwise, a new instance is created.
   *
   * @param session Session object providing a desktop. If this is omitted, the first session of the app is used.
   * If the app does not have any active sessions (e.g. during unit testing), this argument is mandatory.
   */
  static get(session) {
    session = session || _index__WEBPACK_IMPORTED_MODULE_0__.App.get().sessions[0];
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('session', session);
    let uuidPool = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(session.desktop.addOns, addOn => addOn instanceof UuidPool);
    return uuidPool || UuidPool._createInstance(session.desktop);
  }
  /**
   * Convenience function for <code>UuidPool.get(session).take()</code>.
   *
   * @returns new UUID
   */
  static take(session) {
    return UuidPool.get(session).take();
  }
}
_defineProperty(UuidPool, "ZERO_UUID", '00000000-0000-0000-0000-000000000000');
UuidPool.installDesktopAddOn();

/***/ }),

/***/ "./src/uuidpool/UuidPoolAdapter.ts":
/*!*****************************************!*\
  !*** ./src/uuidpool/UuidPoolAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UuidPoolAdapter: () => (/* binding */ UuidPoolAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class UuidPoolAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  constructor() {
    super();
    _defineProperty(this, "refillInProgress", void 0);
    this.refillInProgress = false;
  }
  _onWidgetEvent(event) {
    if (event.type === 'refill') {
      this._onWidgetRefill(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
  _onWidgetRefill(event) {
    // Prevent too many refill requests
    if (this.refillInProgress) {
      return;
    }
    this.refillInProgress = true;
    this._send('refill', {
      count: event.count
    }, {
      showBusyIndicator: false
    });
  }
  onModelAction(event) {
    if (event.type === 'refill') {
      this._onModelRefill(event);
    } else {
      super.onModelAction(event);
    }
  }
  _onModelRefill(event) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(this.widget.uuids, event.uuids);
    this.refillInProgress = false;
  }
}

/***/ }),

/***/ "./src/uuidpool/UuidPoolEventMap.ts":
/*!******************************************!*\
  !*** ./src/uuidpool/UuidPoolEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/uuidpool/UuidPoolModel.ts":
/*!***************************************!*\
  !*** ./src/uuidpool/UuidPoolModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


/***/ }),

/***/ "./src/widget/Composite.ts":
/*!*********************************!*\
  !*** ./src/widget/Composite.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Composite: () => (/* binding */ Composite)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class Composite extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "widgets", void 0);
    this.widgets = [];
    this._addWidgetProperties(['widgets']);
  }
  _render() {
    this.$container = this.$parent.appendDiv();
    this.htmlComp = _index__WEBPACK_IMPORTED_MODULE_0__.HtmlComponent.install(this.$container, this.session);
  }
  _renderProperties() {
    super._renderProperties();
    this._renderWidgets();
  }
  setWidgets(widgets) {
    this.setProperty('widgets', widgets);
  }
  _renderWidgets() {
    this.widgets.forEach(widget => widget.render());
    this.invalidateLayoutTree();
  }
}

/***/ }),

/***/ "./src/widget/CompositeEventMap.ts":
/*!*****************************************!*\
  !*** ./src/widget/CompositeEventMap.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/CompositeModel.ts":
/*!**************************************!*\
  !*** ./src/widget/CompositeModel.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/LoadingSupport.ts":
/*!**************************************!*\
  !*** ./src/widget/LoadingSupport.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   LoadingSupport: () => (/* binding */ LoadingSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class LoadingSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.WidgetSupport {
  /**
   * @param options a mandatory options object
   */
  constructor(options) {
    super(options);
    _defineProperty(this, "loadingIndicatorDelay", void 0);
    _defineProperty(this, "_$loadingIndicator", void 0);
    _defineProperty(this, "_loadingIndicatorTimeoutId", void 0);
    this.loadingIndicatorDelay = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.loadingIndicatorDelay, 250); // ms
    this._$loadingIndicator = null;
    this._loadingIndicatorTimeoutId = null;
  }
  setLoadingIndicatorDelay(loadingIndicatorDelay) {
    this.loadingIndicatorDelay = loadingIndicatorDelay;
  }
  _ensure$Container() {
    if (typeof this.options$Container === 'function') {
      // resolve function provided by options.$container that returns a jQuery element
      this.$container = this.options$Container();
    } else if (this.options$Container) {
      // use jQuery element provided by options.$container
      this.$container = this.options$Container;
    } else {
      // default: when no options.$container is not set, use jQuery element of widget
      this.$container = this.widget.$container;
    }
  }
  renderLoading() {
    // Clear any pending loading function
    clearTimeout(this._loadingIndicatorTimeoutId);
    this._ensure$Container();
    if (this.widget.isLoading()) {
      // add loading indicator
      if (this.loadingIndicatorDelay && !this.widget.rendering) {
        this._loadingIndicatorTimeoutId = setTimeout(this._renderLoadingIndicator.bind(this), this.loadingIndicatorDelay);
      } else {
        this._renderLoadingIndicator();
      }
    } else {
      // remove loading indicator
      this._removeLoadingIndicator();
    }
  }
  _renderLoadingIndicator() {
    if (this._$loadingIndicator || !this.widget.rendered && !this.widget.rendering) {
      return;
    }
    // Hide widget content
    this.$container.addClass('loading');
    // Create loading indicator
    this._$loadingIndicator = this.$container.appendDiv('loading-indicator');
  }
  _removeLoadingIndicator() {
    if (!this._$loadingIndicator) {
      return;
    }
    this._$loadingIndicator.css('opacity', this._$loadingIndicator.css('opacity'));
    this._$loadingIndicator.addClass('animate-remove');
    this._$loadingIndicator.oneAnimationEnd(() => {
      this.remove();
      if (this.widget.rendered) {
        // Show widget's content (layout if necessary)
        this.$container.removeClass('loading');
        this.widget.invalidateLayoutTree();
      }
    });
  }
  remove() {
    if (this._$loadingIndicator) {
      this._$loadingIndicator.remove();
      this._$loadingIndicator = null;
    }
  }
}

/***/ }),

/***/ "./src/widget/LoadingSupportOptions.ts":
/*!*********************************************!*\
  !*** ./src/widget/LoadingSupportOptions.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/NullWidget.ts":
/*!**********************************!*\
  !*** ./src/widget/NullWidget.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NullWidget: () => (/* binding */ NullWidget)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NullWidget extends _index__WEBPACK_IMPORTED_MODULE_0__.Widget {
  constructor() {
    super();
    _defineProperty(this, "childWidget", void 0);
    this.childWidget = null;
    this._addWidgetProperties(['childWidget']);
  }
  setChildWidget(childWidget) {
    this.setProperty('childWidget', childWidget);
  }
}

/***/ }),

/***/ "./src/widget/NullWidgetAdapter.ts":
/*!*****************************************!*\
  !*** ./src/widget/NullWidgetAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NullWidgetAdapter: () => (/* binding */ NullWidgetAdapter)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class NullWidgetAdapter extends _index__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {}

/***/ }),

/***/ "./src/widget/NullWidgetEventMap.ts":
/*!******************************************!*\
  !*** ./src/widget/NullWidgetEventMap.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/NullWidgetModel.ts":
/*!***************************************!*\
  !*** ./src/widget/NullWidgetModel.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/SimpleLoadingSupport.ts":
/*!********************************************!*\
  !*** ./src/widget/SimpleLoadingSupport.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SimpleLoadingSupport: () => (/* binding */ SimpleLoadingSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

/**
 * This class provides loading support functionality for widgets that simple want to add a CSS class 'loading'
 * when they're in loading state.
 */
class SimpleLoadingSupport extends _index__WEBPACK_IMPORTED_MODULE_0__.LoadingSupport {
  _renderLoadingIndicator() {
    if (this.widget.rendered || this.widget.rendering) {
      this.$container.addClass('loading');
    }
  }
  _removeLoadingIndicator() {
    if (this.widget.rendered || this.widget.rendering) {
      this.$container.removeClass('loading');
    }
  }
}

/***/ }),

/***/ "./src/widget/TreeVisitResult.ts":
/*!***************************************!*\
  !*** ./src/widget/TreeVisitResult.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeVisitResult: () => (/* binding */ TreeVisitResult)
/* harmony export */ });
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * Controls how the tree visiting should continue.
 */
var TreeVisitResult;
(function (TreeVisitResult) {
  /**
   * Normally continue visiting. Nothing will be skipped.
   */
  TreeVisitResult["CONTINUE"] = "continue";
  /**
   * Abort the whole visiting. May be used if the visitor finishes the operation before all elements have been visited.
   */
  TreeVisitResult["TERMINATE"] = "terminate";
  /**
   * Continue without visiting the child elements of the current element.
   */
  TreeVisitResult["SKIP_SUBTREE"] = "skip_subtree";
})(TreeVisitResult || (TreeVisitResult = {}));

/***/ }),

/***/ "./src/widget/Widget.ts":
/*!******************************!*\
  !*** ./src/widget/Widget.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Widget: () => (/* binding */ Widget)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class Widget extends _index__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor() {
    super();
    _defineProperty(this, "animateRemoval", void 0);
    _defineProperty(this, "animateRemovalClass", void 0);
    _defineProperty(this, "attached", void 0);
    _defineProperty(this, "children", void 0);
    /**
     * Will be set on the clone after a widget has been cloned.
     */
    _defineProperty(this, "cloneOf", void 0);
    _defineProperty(this, "cssClass", void 0);
    _defineProperty(this, "destroyed", void 0);
    _defineProperty(this, "destroying", void 0);
    _defineProperty(this, "disabledStyle", void 0);
    /**
     * The result of every enabled dimension.
     *
     * The value will only be true if every dimension is true. If one dimension is false (e.g. 'granted'), the value will be false.
     */
    _defineProperty(this, "enabled", void 0);
    /**
     * The computed enabled state.
     *
     * The difference to the {@link enabled} property is that this member also considers the enabled-states of the ancestor widgets.
     * So, if you need to know whether a user can really access a widget, this property is what you need.
     */
    _defineProperty(this, "enabledComputed", void 0);
    _defineProperty(this, "eventDelegators", void 0);
    _defineProperty(this, "focused", void 0);
    /**
     * Widgets creating a HtmlComponent for the main $container should assign it to this variable.
     * This enables the execution of layout related operations like invalidateLayoutTree directly on the widget.
     * @type {HtmlComponent}
     */
    _defineProperty(this, "htmlComp", void 0);
    _defineProperty(this, "id", void 0);
    _defineProperty(this, "inheritAccessibility", void 0);
    _defineProperty(this, "keyStrokeContext", void 0);
    _defineProperty(this, "loading", void 0);
    _defineProperty(this, "loadingSupport", void 0);
    _defineProperty(this, "logicalGrid", void 0);
    _defineProperty(this, "modelClass", void 0);
    _defineProperty(this, "classId", void 0);
    _defineProperty(this, "objectType", void 0);
    _defineProperty(this, "owner", void 0);
    _defineProperty(this, "parent", void 0);
    _defineProperty(this, "removalPending", void 0);
    _defineProperty(this, "removing", void 0);
    /**
     * The 'rendering' flag is set the true while the _initial_ rendering is performed.
     * It is used to something different in a _render* method when the method is
     * called for the first time.
     */
    _defineProperty(this, "rendering", void 0);
    _defineProperty(this, "scrollLeft", void 0);
    _defineProperty(this, "scrollTop", void 0);
    _defineProperty(this, "session", void 0);
    _defineProperty(this, "trackFocus", void 0);
    _defineProperty(this, "visible", void 0);
    _defineProperty(this, "modelAdapter", void 0);
    _defineProperty(this, "$container", void 0);
    _defineProperty(this, "$parent", void 0);
    /**
     * The 'rendered' flag is set the true when initial rendering of the widget is completed.
     *
     * @internal
     */
    _defineProperty(this, "_rendered", void 0);
    _defineProperty(this, "_$lastFocusedElement", void 0);
    _defineProperty(this, "_focusInListener", void 0);
    _defineProperty(this, "_glassPaneContributions", void 0);
    _defineProperty(this, "_parentDestroyHandler", void 0);
    _defineProperty(this, "_parentRemovingWhileAnimatingHandler", void 0);
    _defineProperty(this, "_postRenderActions", void 0);
    _defineProperty(this, "_scrollHandler", void 0);
    _defineProperty(this, "_storedFocusedWidget", void 0);
    this.id = null;
    this.objectType = null;
    this.session = null;
    // Inspector infos (are only available for remote widgets)
    this.modelClass = null;
    this.classId = null;
    this.owner = null;
    this.parent = null;
    this.children = [];
    this.cloneOf = null;
    this.rendering = false;
    this.removing = false;
    this.removalPending = false;
    this._rendered = false;
    this.attached = false;
    this.destroyed = false;
    this.destroying = false;
    this.enabled = true;
    this.enabledComputed = true;
    this.inheritAccessibility = true;
    this.disabledStyle = Widget.DisabledStyle.DEFAULT;
    this.visible = true;
    this.focused = false;
    this.loading = false;
    this.cssClass = null;
    this.scrollTop = null;
    this.scrollLeft = null;
    this.$parent = null;
    this.$container = null;
    this.htmlComp = null;
    this.animateRemoval = false;
    this.animateRemovalClass = 'animate-remove';
    this.propertyDecorations = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(this.propertyDecorations, {
      clone: new Set(),
      widget: new Set(),
      preserveOnPropertyChange: new Set()
    });
    this.eventDelegators = [];
    this._postRenderActions = [];
    this._focusInListener = this._onFocusIn.bind(this);
    this._parentDestroyHandler = this._onParentDestroy.bind(this);
    this._parentRemovingWhileAnimatingHandler = this._onParentRemovingWhileAnimating.bind(this);
    this._scrollHandler = this._onScroll.bind(this);
    this.loadingSupport = this._createLoadingSupport();
    this.keyStrokeContext = this._createKeyStrokeContext();
    this.logicalGrid = null;
    // focus tracking
    this.trackFocus = false;
    this._$lastFocusedElement = null;
    this._storedFocusedWidget = null;
    this._glassPaneContributions = [];
    this._addCloneProperties(['visible', 'enabled', 'inheritAccessibility', 'cssClass']);
    this._addMultiDimensionalProperty('enabled', true);
    this._addMultiDimensionalProperty('visible', true);
    this._addPropertyDimensionAlias('enabled', 'enabledGranted', {
      dimension: 'granted'
    });
    this._addPropertyDimensionAlias('visible', 'visibleGranted', {
      dimension: 'granted'
    });
  }
  /**
   * Enum used to define different styles used when the field is disabled.
   */

  /**
   * Initializes the widget instance. All properties of the model parameter (object) are set as properties on the widget instance.
   * Calls {@link Widget#_init} and triggers an <em>init</em> event when initialization has been completed.
   */
  init(model) {
    let staticModel = this._jsonModel();
    if (staticModel) {
      model = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, staticModel, model);
    }
    model = model || {};
    model = this._prepareModel(model);
    this._init(model);
    this._initKeyStrokeContext();
    this.recomputeEnabled();
    this.initialized = true;
    this.trigger('init');
  }
  /**
   * Default implementation simply returns the unmodified model. A Subclass
   * may override this method to alter the JSON model before the widgets
   * are created out of the widgetProperties in the model.
   */
  _prepareModel(model) {
    return model;
  }
  /**
   * Initializes the widget instance. All properties of the model parameter (object) are set as properties on the widget instance.
   * Override this function to initialize widget specific properties in subclasses.
   */
  _init(model) {
    if (!model.parent) {
      throw new Error('Parent expected: ' + this);
    }
    this.setOwner(model.owner || model.parent);
    this.setParent(model.parent);
    this.session = model.session || this.parent.session;
    if (!this.session) {
      throw new Error('Session expected: ' + this);
    }
    this._eachProperty(model, (propertyName, value, isWidgetProperty) => {
      if (value === undefined) {
        // Don't set the value if it is undefined, compared to null which is allowed explicitly ($.extend works in the same way)
        return;
      }
      if (isWidgetProperty) {
        value = this._prepareWidgetProperty(propertyName, value);
      }
      this._initProperty(propertyName, value);
    });
    this._initMultiDimensionalProperties(model);
    this._setCssClass(this.cssClass);
    this._setLogicalGrid(this.logicalGrid);
    this._setEnabled(this.enabled);
  }
  /**
   * Default implementation simply returns undefined. A Subclass
   * may override this method to load or extend a JSON model with models.getModel or models.extend.
   */
  _jsonModel() {
    return null;
  }
  /**
   * Creates the widgets using the given models, or returns the widgets if the given models already are widgets.
   * @returns an array of created widgets if models was an array. Or the created widget if models is not an array.
   */
  _createChildren(models) {
    if (!models) {
      return null;
    }
    if (!Array.isArray(models)) {
      return this._createChild(models);
    }
    let widgets = [];
    models.forEach((model, i) => {
      widgets[i] = this._createChild(model);
    });
    return widgets;
  }
  /**
   * Calls {@link scout.create} for the given model, or if model is already a Widget simply returns the widget.
   * @internal
   */
  _createChild(widgetOrModel) {
    if (widgetOrModel instanceof Widget) {
      return widgetOrModel;
    }
    if (typeof widgetOrModel === 'string') {
      // Special case: If only an ID is supplied, try to (locally) resolve the corresponding widget
      let existingWidget = this.widget(widgetOrModel);
      if (!existingWidget) {
        throw new Error('Referenced widget not found: ' + widgetOrModel);
      }
      return existingWidget;
    }
    let model = widgetOrModel;
    model.parent = this;
    return _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(model);
  }
  _initKeyStrokeContext() {
    if (!this.keyStrokeContext) {
      return;
    }
    this.keyStrokeContext.$scopeTarget = () => this.$container;
    this.keyStrokeContext.$bindTarget = () => this.$container;
  }
  /**
   * Destroys the widget including all owned children.<br>
   * After destroying, the widget should and cannot be used anymore. Every attempt to render the widget will result in a 'Widget is destroyed' error.
   * <p>
   * While destroying, the widget will remove itself and its children from the DOM by calling {@link remove}.
   * After removing, {@link _destroy} is called which can be used to remove listeners and to do other cleanup tasks.
   * Finally, the widget detaches itself from its parent and owner, sets the property {@link destroyed} to true and triggers a 'destroy' event.
   * <p>
   * <b>Notes</b>
   * <ul>
   *   <li>Children that have a different owner won't be destroyed, just removed.</li>
   *   <li>The function does nothing if the widget is already destroyed.</li>
   *   <li>If a remove animation is running or pending, the destroying will be delayed until the removal is done.</li>
   * </ul>
   */
  destroy() {
    if (this.destroyed) {
      // Already destroyed, do nothing
      return;
    }
    this.destroying = true;
    if (this._rendered && (this.animateRemoval || this._isRemovalPrevented())) {
      // Do not destroy yet if the removal happens animated
      // Also don't destroy if the removal is pending to keep the parent / child link until removal finishes
      this.one('remove', () => {
        this.destroy();
      });
      this.remove();
      return;
    }
    // Destroy children in reverse order
    this._destroyChildren(this.children.slice().reverse());
    this.remove();
    this._destroy();
    // Disconnect from owner and parent
    this.owner._removeChild(this);
    this.owner = null;
    this.parent._removeChild(this);
    this.parent.off('destroy', this._parentDestroyHandler);
    this.parent = null;
    this.destroying = false;
    this.destroyed = true;
    this.trigger('destroy');
  }
  /**
   * Override this function to do clean-up (like removing listeners) when the widget is destroyed.
   * The default implementation does nothing.
   */
  _destroy() {
    // NOP
  }
  _destroyChildren(widgets) {
    if (!widgets) {
      return;
    }
    widgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(widgets);
    widgets.forEach(widget => this._destroyChild(widget));
  }
  _destroyChild(child) {
    if (child.owner !== this) {
      return;
    }
    child.destroy();
  }
  _destroyOrUnlinkChildren(widgets) {
    if (!widgets) {
      return;
    }
    widgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(widgets);
    widgets.forEach(child => {
      if (!(child instanceof Widget) || child.destroyed) {
        // Child may not be a widget yet during initializing
        return;
      }
      if (child.owner === this) {
        this._destroyChild(child);
      } else {
        // Disconnect child from parent and re-connect to owner
        child.setParent(child.owner);
      }
    });
  }
  /**
   * Creates the UI by creating HTML elements and appending them to the DOM.
   * <p>
   * The actual rendering happens in the methods {@link _render}, which appends the main container to the parent element, and {@link _renderProperties}, which calls the methods for each property that needs to be rendered.
   * After the rendering, the created {@link $container} will be linked with the widget, so the widget can be found by using {@link scout.widget}.
   * Finally, the widget sets the property {@link rendered} to true and triggers a 'render' event.
   *
   * @param $parent jQuery element which is used as {@link $parent} when rendering this widget.
   * It will be put onto the widget and is therefore accessible as {@link $parent} in the {@link _render} method.
   * If not specified, the {@link $container} of the parent is used.
   */
  render($parent) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Rendering widget: ' + this);
    if (!this.initialized) {
      throw new Error('Not initialized: ' + this);
    }
    if (this._rendered) {
      throw new Error('Already rendered: ' + this);
    }
    if (this.destroyed) {
      throw new Error('Widget is destroyed: ' + this);
    }
    this.rendering = true;
    this.$parent = $parent || this.parent.$container;
    this._render();
    this._renderProperties();
    this._renderInspectorInfo();
    this._linkWithDOM();
    this.session.keyStrokeManager.installKeyStrokeContext(this.keyStrokeContext);
    this.rendering = false;
    this.rendered = true;
    this.attached = true;
    this.trigger('render');
    this.restoreFocus();
    this._postRender();
  }
  /**
   * Creates the UI by creating HTML elements and appending them to the DOM.
   * <p>
   * A typical widget creates exactly one container element and stores it to {@link $container}.
   * If it needs JS based layouting, it creates a {@link HtmlComponent} for that container and stores it to {@link htmlComp}.
   * <p>
   * The rendering of individual properties should be done in the corresponding render methods of the properties, called by {@link _renderProperties} instead of doing it here.
   * This has the advantage that the render methods can also be called on property changes, allowing individual widget parts to be dynamically re-rendered.
   * <p>
   * The default implementation does nothing.
   */
  _render() {
    // NOP
  }
  /**
   * Returns whether it is allowed to render something on the widget.
   * Rendering is only possible if the widget itself is rendered and not about to be removed.
   * <p>
   * While the removal is pending, no rendering must happen to get a smooth remove animation.
   * It also prevents errors on property changes because {@link remove} won't be executed as well.
   * Preventing removal but allowing rendering could result in already rendered exceptions.
   *
   * @returns true if the widget is rendered and not being removed by an animation
   *
   * @see isRemovalPending
   */
  get rendered() {
    return this._rendered && !this.isRemovalPending();
  }
  set rendered(rendered) {
    this._rendered = rendered;
  }
  /**
   * Calls the render methods for each property that needs to be rendered during the rendering process initiated by {@link render}.
   * Each widget has to override this method and call the render methods for its own properties, after doing the super call.
   * <p>
   * This method is called right after {@link _render} has been executed.
   */
  _renderProperties() {
    this._renderCssClass();
    this._renderEnabled();
    this._renderVisible();
    this._renderTrackFocus();
    this._renderFocused();
    this._renderLoading();
    this._renderScrollTop();
    this._renderScrollLeft();
  }
  /**
   * Method invoked once rendering completed and 'rendered' flag is set to 'true'.<p>
   * By default executes every action of this._postRenderActions
   */
  _postRender() {
    let actions = this._postRenderActions;
    this._postRenderActions = [];
    actions.forEach(action => {
      action();
    });
  }
  /**
   * Removes the widget and all its children from the DOM.
   * <p>
   * It traverses down the widget hierarchy and calls {@link _remove} for each widget from the bottom up (depth first search).
   * <p>
   * If the property {@link Widget.animateRemoval} is set to true, the widget won't be removed immediately.
   * Instead, it waits for the remove animation to complete, so it's content is still visible while the animation runs.
   * During that time, {@link isRemovalPending} returns true.
   */
  remove() {
    if (!this._rendered || this._isRemovalPrevented()) {
      return;
    }
    if (this.animateRemoval) {
      this._removeAnimated();
    } else {
      this._removeInternal();
    }
  }
  /**
   * Removes the element without starting the remove animation or waiting for the remove animation to complete.
   * If the remove animation is running it will stop immediately because the element is removed. There will no animationend event be triggered.
   * <p>
   * <b>Important</b>: You should only use this method if your widget uses remove animations (this.animateRemoval = true)
   * and you deliberately want to not execute or abort it. Otherwise, you should use the regular {@link remove} method.
   */
  removeImmediately() {
    this._removeInternal();
  }
  /**
   * Will be called by {@link #remove()}. If true is returned, the widget won't be removed.<p>
   * By default it just delegates to {@link #isRemovalPending}. May be overridden to customize it.
   */
  _isRemovalPrevented() {
    return this.isRemovalPending();
  }
  /**
   * Returns true if the removal of this or an ancestor widget is pending. Checking the ancestor is omitted if the parent is being removed.
   * This may be used to prevent a removal if an ancestor will be removed (e.g. by an animation)
   */
  isRemovalPending() {
    if (this.removalPending) {
      return true;
    }
    let parent = this.parent;
    if (!parent || parent.removing || parent.rendering) {
      // If parent is being removed or rendered, no need to check the ancestors because removing / rendering is already in progress
      return false;
    }
    while (parent) {
      if (parent.removalPending) {
        return true;
      }
      parent = parent.parent;
    }
    return false;
  }
  /** @internal */
  _removeInternal() {
    if (!this._rendered) {
      return;
    }
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('Removing widget: ' + this);
    this.removing = true;
    this.removalPending = false;
    this.trigger('removing');
    // transform last focused element into a scout widget
    if (this.$container) {
      this.$container.off('focusin', this._focusInListener);
    }
    if (this._$lastFocusedElement) {
      this._storedFocusedWidget = _index__WEBPACK_IMPORTED_MODULE_0__.scout.widget(this._$lastFocusedElement);
      this._$lastFocusedElement = null;
    }
    // remove children in reverse order.
    this.children.slice().reverse().forEach(child => {
      // Only remove the child if this widget is the current parent (if that is not the case this widget is the owner)
      if (child.parent === this) {
        child.remove();
      }
    });
    if (!this._rendered) {
      // The widget may have been removed already by one of the above remove() calls (e.g. by a remove listener)
      // -> don't try to do it again, it might fail
      return;
    }
    this._cleanup();
    this._remove();
    this.$parent = null;
    this.rendered = false;
    this.attached = false;
    this.removing = false;
    this.trigger('remove');
  }
  /**
   * Starts a "remove" animation for this widget. By default, a CSS class 'animate-remove' is added to the container.
   * After the animation is complete, the element gets removed from the DOM using this._removeInternal().
   */
  _removeAnimated() {
    let animateRemovalWhileRemovingParent = this._animateRemovalWhileRemovingParent();
    if (this.parent.removing && !animateRemovalWhileRemovingParent || !_index__WEBPACK_IMPORTED_MODULE_0__.Device.get().supportsCssAnimation() || !this.$container || this.$container.isDisplayNone()) {
      // Cannot remove animated, remove regularly
      this._removeInternal();
      return;
    }
    // Remove open popups first, they would be positioned wrongly during the animation
    // Normally they would be closed automatically by a user interaction (click),
    this.session.desktop.removePopupsFor(this);
    this.removalPending = true;
    // Don't execute immediately to make sure nothing interferes with the animation (e.g. layouting) which could make it lag
    setTimeout(() => {
      // check if the container has been removed in the meantime
      if (!this._rendered) {
        return;
      }
      if (!this.$container.isVisible() || !this.$container.isEveryParentVisible() || !this.$container.isAttached()) {
        // If element is not visible, animationEnd would never fire -> remove it immediately
        this._removeInternal();
        return;
      }
      this._removeAnimatedImpl();
    });
    // If the parent is being removed while the animation is running, the animationEnd event will never fire
    // -> Make sure remove is called nevertheless. Important: remove it before the parent is removed to maintain the regular remove order
    if (!animateRemovalWhileRemovingParent) {
      this.parent.one('removing', this._parentRemovingWhileAnimatingHandler);
    }
  }
  _removeAnimatedImpl() {
    if (!this.animateRemovalClass) {
      throw new Error('Missing animate removal class. Cannot remove animated.');
    }
    this.$container.addClass(this.animateRemovalClass);
    this.$container.oneAnimationEnd(() => {
      this._removeInternal();
    });
  }
  _animateRemovalWhileRemovingParent() {
    // By default, remove animation is prevented when parent is being removed
    return false;
  }
  _onParentRemovingWhileAnimating() {
    this._removeInternal();
  }
  _renderInspectorInfo() {
    if (!this.session.inspector) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.inspector.applyInfo(this);
  }
  /**
   * Links $container with the widget.
   */
  _linkWithDOM() {
    if (this.$container) {
      this.$container.data('widget', this);
    }
  }
  /**
   * Called right before _remove is called.<br>
   * Default calls {@link LayoutValidator.cleanupInvalidComponents} to make sure that child components are removed from the invalid components list.
   * Also uninstalls keystroke context, loading support and scrollbars.
   */
  _cleanup() {
    this.parent.off('removing', this._parentRemovingWhileAnimatingHandler);
    this.session.keyStrokeManager.uninstallKeyStrokeContext(this.keyStrokeContext);
    if (this.loadingSupport) {
      this.loadingSupport.remove();
    }
    this._uninstallScrollbars();
    if (this.$container) {
      this.session.layoutValidator.cleanupInvalidComponents(this.$container);
    }
  }
  _remove() {
    if (this.$container) {
      this.$container.remove();
      this.$container = null;
    }
  }
  /** @see WidgetModel.owner */
  setOwner(owner) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('owner', owner);
    if (owner === this.owner) {
      return;
    }
    if (this.owner && this.owner !== this.parent) {
      // Remove from old owner
      // If parent and owner point to the same instance, removing the child from the owner would remove it from the parent as well -> do it only if they are different.
      // Both owner and parent have the widget in their children list (parents need it for removing, owners for destroying).
      this.owner._removeChild(this);
    }
    this.owner = owner;
    this.owner._addChild(this);
  }
  /** @see WidgetModel.parent */
  setParent(parent) {
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('parent', parent);
    if (parent === this.parent) {
      return;
    }
    if (this.rendered && !parent.rendered) {
      jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isInfoEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.info('rendered child ' + this + ' is added to not rendered parent ' + parent + '. Removing child.', new Error('origin'));
      this.remove();
    }
    if (this.parent) {
      // Don't link to new parent yet if removal is still pending.
      // After the animation the parent will remove its children.
      // If they are already linked to a new parent, removing the children is not possible anymore.
      // This may lead to an "Already rendered" exception if the new parent wants to render its children.
      if (this.parent.isRemovalPending()) {
        this.parent.one('remove', () => {
          this.setParent(parent);
        });
        return;
      }
      this.parent.off('destroy', this._parentDestroyHandler);
      this.parent.off('removing', this._parentRemovingWhileAnimatingHandler);
      if (this.parent !== this.owner) {
        // Remove from old parent if getting relinked.
        // If parent and owner point to the same instance, removing the child from the parent would remove it from the owner as well -> do it only if they are different.
        // Both owner and parent have the widget in their children list (parents need it for removing, owners for destroying).
        this.parent._removeChild(this);
      }
    }
    let oldParent = this.parent;
    this.parent = parent;
    this.parent._addChild(this);
    this.trigger('hierarchyChange', {
      oldParent: oldParent,
      parent: parent
    });
    if (this.initialized) {
      this.recomputeEnabled(this.parent.enabledComputed);
    }
    this.parent.one('destroy', this._parentDestroyHandler);
  }
  _addChild(child) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('addChild(' + child + ') to ' + this);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.pushSet(this.children, child);
  }
  _removeChild(child) {
    jquery__WEBPACK_IMPORTED_MODULE_1___default().log.isTraceEnabled() && jquery__WEBPACK_IMPORTED_MODULE_1___default().log.trace('removeChild(' + child + ') from ' + this);
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this.children, child);
  }
  /**
   * @returns a list of all ancestors
   */
  ancestors() {
    let ancestors = [];
    let parent = this.parent;
    while (parent) {
      ancestors.push(parent);
      parent = parent.parent;
    }
    return ancestors;
  }
  /**
   * @returns true if the given widget is the same as this or a descendant
   */
  isOrHas(widget) {
    if (widget === this) {
      return true;
    }
    return this.has(widget);
  }
  /**
   * Checks if the current widget contains the given widget.<br>
   * For a good performance, it visits the ancestors of the given widget rather than the descendants of the current widget.
   *
   * @returns true if the given widget is a descendant
   */
  has(widget) {
    while (widget) {
      if (widget.parent === this) {
        return true;
      }
      widget = widget.parent;
    }
    return false;
  }
  /**
   * @returns the form the widget belongs to (returns the first parent which is a {@link Form}).
   */
  getForm() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Form.findForm(this);
  }
  /**
   * @returns the first form which is not an inner form of a wrapped form field
   */
  findNonWrappedForm() {
    return _index__WEBPACK_IMPORTED_MODULE_0__.Form.findNonWrappedForm(this);
  }
  /**
   * @returns the desktop linked to the current session.
   * If the desktop is still initializing, it might not be available yet, in that case, it searches the parent hierarchy for it.
   */
  findDesktop() {
    if (this.session.desktop) {
      return this.session.desktop;
    }
    return this.findParent(_index__WEBPACK_IMPORTED_MODULE_0__.Desktop);
  }
  /**
   * Sets the 'default' dimension for the {@link Widget.enabled} property and recomputes its state.
   *
   * @param enabled
   *            The new enabled value for the 'default' dimension, or an object containing the new enabled dimensions.
   * @param updateParents
   *            If true, the enabled property of all ancestor widgets are updated to same value as well. Default is false.
   * @param updateChildren
   *            If true, the enabled property of all descendant widgets are updated to same value as well. Default is false.
   *            *Important:* Use this parameter only if really necessary because traversing every descendant may be costly and overriding their enabled state may not be reverted easily.
   *            Instead, in most cases you should be able to use {@link WidgetModel.inheritAccessibility} to make a descendant widget independent on its ancestors.
   * @see WidgetModel.enabled
   */
  setEnabled(enabled, updateParents, updateChildren) {
    this.setProperty('enabled', enabled);
    if (enabled && updateParents && this.parent) {
      this.parent.setEnabled(true, true);
    }
    if (updateChildren) {
      this.visitChildren(widget => {
        widget.setEnabled(enabled);
      });
    }
  }
  /**
   * Called whenever a new value should be set for the {@link Widget.enabled} property (which is computed based on its dimensions).
   *
   * Sets the actual property and recomputes the {@link enabledComputed} property.
   */
  _setEnabled(enabled) {
    this._setProperty('enabled', enabled);
    if (this.initialized) {
      this.recomputeEnabled();
    }
  }
  /**
   * Sets the 'granted' dimension for the {@link Widget.enabled} property and recomputes its state.
   *
   * @param enabledGranted the new enabled value for the 'granted' dimension.
   * @see WidgetModel.enabledGranted
   */
  setEnabledGranted(enabledGranted) {
    this.setProperty('enabledGranted', enabledGranted);
  }
  get enabledGranted() {
    return this.getProperty('enabledGranted');
  }
  recomputeEnabled(parentEnabled) {
    if (parentEnabled === undefined) {
      parentEnabled = true;
      if (this.parent && this.parent.initialized && this.parent.enabledComputed !== undefined) {
        parentEnabled = this.parent.enabledComputed;
      }
    }
    let enabledComputed = this._computeEnabled(this.inheritAccessibility, parentEnabled);
    this._updateEnabledComputed(enabledComputed);
  }
  _updateEnabledComputed(enabledComputed, enabledComputedForChildren) {
    if (this.enabledComputed === enabledComputed && enabledComputedForChildren === undefined) {
      // no change for this instance. there is no need to propagate to children
      // exception: the enabledComputed for the children differs from the one for me. In this case the propagation is necessary.
      return;
    }
    this.setProperty('enabledComputed', enabledComputed);
    // Manually call _renderEnabled(), because _renderEnabledComputed() does not exist
    if (this.rendered) {
      this._renderEnabled();
    }
    let computedStateForChildren = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(enabledComputedForChildren, enabledComputed);
    this._childrenForEnabledComputed().forEach(child => {
      if (child.inheritAccessibility) {
        child.recomputeEnabled(computedStateForChildren);
      }
    });
  }
  _childrenForEnabledComputed() {
    return this.children;
  }
  _computeEnabled(inheritAccessibility, parentEnabled) {
    return this.enabled && (inheritAccessibility ? parentEnabled : true);
  }
  _renderEnabled() {
    if (!this.$container) {
      return;
    }
    this.$container.setEnabled(this.enabledComputed);
    this._renderDisabledStyle();
  }
  /** @see WidgetModel.inheritAccessibility */
  setInheritAccessibility(inheritAccessibility) {
    this.setProperty('inheritAccessibility', inheritAccessibility);
  }
  _setInheritAccessibility(inheritAccessibility) {
    this._setProperty('inheritAccessibility', inheritAccessibility);
    if (this.initialized) {
      this.recomputeEnabled();
    }
  }
  /** @see WidgetModel.disabledStyle */
  setDisabledStyle(disabledStyle) {
    this.setProperty('disabledStyle', disabledStyle);
    this.children.forEach(child => {
      child.setDisabledStyle(disabledStyle);
    });
  }
  _renderDisabledStyle() {
    this._renderDisabledStyleInternal(this.$container);
  }
  _renderDisabledStyleInternal($element) {
    if (!$element) {
      return;
    }
    if (this.enabledComputed) {
      $element.removeClass('read-only');
    } else {
      $element.toggleClass('read-only', this.disabledStyle === Widget.DisabledStyle.READ_ONLY);
    }
  }
  /**
   * Sets the 'default' dimension for the {@link Widget.visible} property and recomputes its state.
   *
   * @param visible the new visible value for the 'default' dimension, or an object containing the new visible dimensions.
   * @see WidgetModel.visibleGranted
   */
  setVisible(visible) {
    this.setProperty('visible', visible);
  }
  /**
   * Sets the 'granted' dimension for the {@link Widget.visible} property and recomputes its state.
   *
   * @param visibleGranted the new visible value for the 'granted' dimension.
   * @see WidgetModel.visibleGranted
   */
  setVisibleGranted(visibleGranted) {
    this.setProperty('visibleGranted', visibleGranted);
  }
  get visibleGranted() {
    return this.getProperty('visibleGranted');
  }
  /**
   * @deprecated use {@link visible} directly. Will be removed in an upcoming release.
   */
  isVisible() {
    return this.visible;
  }
  _renderVisible() {
    if (!this.$container) {
      return;
    }
    this.$container.setVisible(this.visible);
    this.invalidateParentLogicalGrid();
  }
  /**
   * @returns true if every parent within the hierarchy is visible.
   */
  isEveryParentVisible() {
    let parent = this.parent;
    while (parent) {
      if (!parent.visible) {
        return false;
      }
      parent = parent.parent;
    }
    return true;
  }
  /**
   * This function does not set the focus to the field. It toggles the 'focused' class on the field container if present.
   * Objects using widget as prototype must call this function onBlur and onFocus to ensure the class gets toggled.
   *
   *  Use {@link focus} to set the focus to the widget.
   */
  setFocused(focused) {
    this.setProperty('focused', focused);
  }
  _renderFocused() {
    if (this.$container) {
      this.$container.toggleClass('focused', this.focused);
    }
  }
  _setCssClass(cssClass) {
    if (this.rendered) {
      this._removeCssClass();
    }
    this._setProperty('cssClass', cssClass);
  }
  _removeCssClass() {
    if (!this.$container) {
      return;
    }
    this.$container.removeClass(this.cssClass);
  }
  _renderCssClass() {
    if (!this.$container) {
      return;
    }
    this.$container.addClass(this.cssClass);
    if (this.htmlComp) {
      // Replacing css classes may enlarge or shrink the widget (e.g. setting the font weight to bold makes the text bigger) -> invalidate layout
      this.invalidateLayoutTree();
    }
  }
  /**
   * @param cssClass may contain multiple css classes separated by space.
   * @see WidgetModel.cssClass
   */
  setCssClass(cssClass) {
    this.setProperty('cssClass', cssClass);
  }
  /**
   * @param cssClass may contain multiple css classes separated by space.
   */
  addCssClass(cssClass) {
    let cssClasses = this.cssClassAsArray();
    let cssClassesToAdd = Widget.cssClassAsArray(cssClass);
    cssClassesToAdd.forEach(newCssClass => {
      if (cssClasses.indexOf(newCssClass) >= 0) {
        return;
      }
      cssClasses.push(newCssClass);
    });
    this.setProperty('cssClass', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(cssClasses, ' '));
  }
  /**
   * @param cssClass may contain multiple css classes separated by space.
   */
  removeCssClass(cssClass) {
    let cssClasses = this.cssClassAsArray();
    let cssClassesToRemove = Widget.cssClassAsArray(cssClass);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(cssClasses, cssClassesToRemove)) {
      this.setProperty('cssClass', _index__WEBPACK_IMPORTED_MODULE_0__.arrays.format(cssClasses, ' '));
    }
  }
  /**
   * @param cssClass may contain multiple css classes separated by space.
   */
  toggleCssClass(cssClass, condition) {
    if (condition) {
      this.addCssClass(cssClass);
    } else {
      this.removeCssClass(cssClass);
    }
  }
  /**
   * @returns true, if the {@link cssClass} property contains the given css class.
   */
  hasCssClass(cssClass) {
    return this.cssClassAsArray().includes(cssClass);
  }
  cssClassAsArray() {
    return Widget.cssClassAsArray(this.cssClass);
  }
  /**
   * Creates nothing by default. If a widget needs loading support, override this method and return a loading support.
   */
  _createLoadingSupport() {
    return null;
  }
  /** @see WidgetModel.loading */
  setLoading(loading) {
    this.setProperty('loading', loading);
  }
  isLoading() {
    return this.loading;
  }
  _renderLoading() {
    if (!this.loadingSupport) {
      return;
    }
    this.loadingSupport.renderLoading();
  }
  // --- Layouting / HtmlComponent methods ---
  /**
   * Delegates the pack request to {@link HtmlComponent#pack}.
   */
  pack() {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.pack();
  }
  /**
   * Delegates the invalidateLayout request to {@link HtmlComponent#invalidateLayout}.
   */
  invalidateLayout() {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.invalidateLayout();
  }
  /**
   * Delegates the validateLayout request to {@link HtmlComponent#validateLayout}.
   */
  validateLayout() {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.validateLayout();
  }
  /**
   * Delegates the revalidateLayout request to {@link HtmlComponent#revalidateLayout}.
   */
  revalidateLayout() {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.revalidateLayout();
  }
  /**
   * Delegates the invalidation request to {@link HtmlComponent#invalidateLayoutTree}.
   * @param invalidateParents Default is true
   */
  invalidateLayoutTree(invalidateParents) {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.invalidateLayoutTree(invalidateParents);
  }
  /**
   * Delegates the invalidation request to {@link HtmlComponent#validateLayoutTree}.
   */
  validateLayoutTree() {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.validateLayoutTree();
  }
  /**
   * Delegates the invalidation request to {@link HtmlComponent#revalidateLayoutTree}.
   * @param invalidateParents Default is true
   */
  revalidateLayoutTree(invalidateParents) {
    if (!this.rendered || this.removing) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.revalidateLayoutTree(invalidateParents);
  }
  /**
   * The layout data contains hints for the layout of the parent container to lay out this individual child widget inside the container.<br>
   * Note: this is not the same as the LayoutConfig. The LayoutConfig contains constraints for the layout itself and is therefore set on the parent container directly.
   * <p>
   * Example: The parent container uses a {@link LogicalGridLayout} to lay out its children. Every child has a {@link LogicalGridData} to tell the layout how this specific child should be layouted.
   * The parent may have a {@link LogicalGridLayoutConfig} to specify constraints which affect either only the container or every child in the container.
   */
  setLayoutData(layoutData) {
    if (!this.rendered) {
      return;
    }
    if (!this.htmlComp) {
      throw new Error('Function expects a htmlComp property');
    }
    this.htmlComp.layoutData = layoutData;
  }
  /**
   * If the widget uses a {@link LogicalGridLayout}, the grid may be validated using this method.
   *
   * If the grid is not dirty, nothing happens.
   */
  validateLogicalGrid() {
    if (this.logicalGrid) {
      this.logicalGrid.validate(this);
    }
  }
  /**
   * Marks the logical grid as dirty.<br>
   * Does nothing, if there is no logical grid.
   * @param invalidateLayout true, to invalidate the layout afterward using {@link invalidateLayoutTree}, false if not. Default is true.
   */
  invalidateLogicalGrid(invalidateLayout) {
    if (!this.initialized) {
      return;
    }
    if (!this.logicalGrid) {
      return;
    }
    this.logicalGrid.setDirty(true);
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateLayout, true)) {
      this.invalidateLayoutTree();
    }
  }
  /**
   * Invalidates the logical grid of the parent widget. Typically, done when the visibility of the widget changes.
   * @param invalidateLayout true, to invalidate the layout of the parent of {@link htmlComp}, false if not. Default is true.
   */
  invalidateParentLogicalGrid(invalidateLayout) {
    this.parent.invalidateLogicalGrid(false);
    if (!this.rendered || !this.htmlComp) {
      return;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(invalidateLayout, true)) {
      let htmlCompParent = this.htmlComp.getParent();
      if (htmlCompParent) {
        htmlCompParent.invalidateLayoutTree();
      }
    }
  }
  revalidateLogicalGrid(invalidateLayout) {
    this.invalidateLogicalGrid(invalidateLayout);
    this.validateLogicalGrid();
  }
  /**
   * @param logicalGrid an instance of {@link LogicalGrid} or a string representing the objectType of a logical grid.
   * @see WidgetModel.logicalGrid
   */
  setLogicalGrid(logicalGrid) {
    this.setProperty('logicalGrid', logicalGrid);
  }
  _setLogicalGrid(logicalGrid) {
    if (typeof logicalGrid === 'string' || typeof logicalGrid === 'function') {
      logicalGrid = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(logicalGrid);
    }
    this._setProperty('logicalGrid', logicalGrid);
    this.invalidateLogicalGrid();
  }
  /**
   * @returns the entry-point for this Widget or its parent. If the widget is part of the main-window it returns {@link session.$entryPoint},
   * for popup-window this function will return the body of the document in the popup window.
   */
  entryPoint() {
    let $element = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.$container, this.parent.$container);
    if (!$element || !$element.length) {
      throw new Error('Cannot resolve entryPoint, $element.length is 0 or undefined');
    }
    return $element.entryPoint();
  }
  /**
   * Returns the `window` inside which this widget is currently rendered. If the widget is not rendered, `null` (or an empty jQuery
   * collection, respectively) is returned.
   *
   * @param domElement if true the result is returned as DOM element, otherwise it is returned as jQuery object. The default is false.
   */
  window(domElement) {
    let $el = this.$container || this.$parent;
    // @ts-expect-error $() is not of type JQuery<Document>
    return $el ? $el.window(domElement) : domElement ? null : jquery__WEBPACK_IMPORTED_MODULE_1___default()();
  }
  /**
   * Returns the `document` inside which this widget is currently rendered. If the widget is not rendered, `null` (or an empty jQuery
   * collection, respectively) is returned.
   *
   * @param domElement if true the result is returned as DOM element, otherwise it is returned as jQuery object. The default is false.
   */
  document(domElement) {
    let $el = this.$container || this.$parent;
    // @ts-expect-error $() is not of type JQuery<Document>
    return $el ? $el.document(domElement) : domElement ? null : jquery__WEBPACK_IMPORTED_MODULE_1___default()();
  }
  /**
   * This method attaches the detached {@link $container} to the DOM.
   */
  attach() {
    if (this.attached || !this.rendered) {
      return;
    }
    this._attach();
    this._installFocusContext();
    this.restoreFocus();
    this.attached = true;
    this._postAttach();
    this._onAttach();
    this._triggerChildrenOnAttach(this);
  }
  /**
   * Override this method to do something when the widget is attached again. Typically,
   * you will append {@link $container} to {@link $parent}.
   */
  _attach() {
    // NOP
  }
  /**
   * Override this method to do something after this widget is attached.
   * This function is not called on any child of the attached widget.
   */
  _postAttach() {
    // NOP
  }
  _triggerChildrenOnAttach(parent) {
    this.children.forEach(child => {
      child._onAttach();
      child._triggerChildrenOnAttach(parent);
    });
  }
  /**
   * Override this method to do something after this widget or any parent of it is attached.
   * This function is called regardless of whether the widget is rendered or not.
   */
  _onAttach() {
    if (this.rendered) {
      this._renderOnAttach();
    }
  }
  /**
   * Override this method to do something after this widget or any parent of it is attached.
   * This function is only called when this widget is rendered.
   */
  _renderOnAttach() {
    this._renderScrollTop();
    this._renderScrollLeft();
  }
  /**
   * Detaches the element and all its children from the DOM.<br>
   * Compared to {@link remove}, the state of the HTML elements are preserved, so they can be attached again without the need to render them again from scratch.
   * {@link attach}/{@link detach} is faster in general than {@link render}/{@link remove}, but it is much more error-prone and should therefore only be used very carefully. Rule of thumb: Don't use it, use {@link remove} instead.<br>
   * The main problem with attach/detach is that a widget can change its model anytime. If this happens for a removed widget, only the model will change, and when rendered again, the recent model is used to create the HTML elements.
   * If the same happens when a widget is detached, the widget is still considered rendered and the model applied to the currently detached elements.
   * This may or may not work because a detached element for example does not have a size or a position.
   *
   * @see _beforeDetach
   * @see _onDetach
   * @see _renderOnDetach
   * @see _detach
   */
  detach() {
    if (this.rendering) {
      // Defer the execution of detach. If it was detached while rendering the attached flag would be wrong.
      this._postRenderActions.push(this.detach.bind(this));
    }
    if (!this.attached || !this.rendered) {
      return;
    }
    this._beforeDetach();
    this._onDetach();
    this._triggerChildrenOnDetach();
    this._detach();
    this.attached = false;
  }
  /**
   * This function is called before a widget gets detached. The function is only called on the detached widget and NOT on
   * any of its children.
   */
  _beforeDetach() {
    if (!this.$container) {
      return;
    }
    let activeElement = this.$container.document(true).activeElement;
    let isFocused = this.$container.isOrHas(activeElement);
    let focusManager = this.session.focusManager;
    if (focusManager.isFocusContextInstalled(this.$container)) {
      this._uninstallFocusContext();
    } else if (isFocused) {
      // exclude the container or any of its child elements to gain focus
      focusManager.validateFocus(_index__WEBPACK_IMPORTED_MODULE_0__.filters.outsideFilter(this.$container));
    }
  }
  _triggerChildrenOnDetach() {
    this.children.forEach(child => {
      child._onDetach();
      child._triggerChildrenOnDetach();
    });
  }
  /**
   * This function is called before a widget or any of its parent getting detached.
   * This function is thought to be overridden.
   */
  _onDetach() {
    if (this.rendered) {
      this._renderOnDetach();
    }
  }
  _renderOnDetach() {
    // NOP
  }
  /**
   * Override this method to do something when the widget is detached.
   * Typically, you will call 'this.$container.detach()'. The default implementation does nothing.
   */
  _detach() {
    // NOP
  }
  _uninstallFocusContext() {
    // NOP
  }
  _installFocusContext() {
    // NOP
  }
  /**
   * Does nothing by default. If a widget needs keystroke support override this method and return a keystroke context, e.g. the default KeyStrokeContext.
   */
  _createKeyStrokeContext() {
    return null;
  }
  updateKeyStrokes(newKeyStrokes, oldKeyStrokes) {
    this.unregisterKeyStrokes(oldKeyStrokes);
    this.registerKeyStrokes(newKeyStrokes);
  }
  registerKeyStrokes(keyStrokes) {
    this.keyStrokeContext.registerKeyStrokes(keyStrokes);
  }
  unregisterKeyStrokes(keyStrokes) {
    this.keyStrokeContext.unregisterKeyStrokes(keyStrokes);
  }
  /**
   * Sets a new value for a specific property. If the new value is the same value as the old one, nothing happens.
   * Otherwise, the following phases are executed:
   *
   * 1. Preparation: If the property is a widget property, several actions are performed in {@link _prepareWidgetProperty}.
   * 2. DOM removal: If the property is a widget property and the widget is rendered, the changed widget(s) are removed unless the property should not be preserved (see {@link preserveOnPropertyChangeProperties}).
   *    If there is a custom remove function (e.g. \_removeXY where XY is the property name), it will be called instead of removing the widgets directly.
   * 3. Model update: If there is a custom set function (e.g. \_setXY where XY is the property name), it will be called. Otherwise, the default set function {@link _setProperty} is called.
   * 4. DOM rendering: If the widget is rendered and there is a custom render function (e.g. \_renderXY where XY is the property name), it will be called. Otherwise, nothing happens.
   *
   * @returns true, if the property was changed, false if not.
   */
  setPropertyInternal(propertyName, value) {
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.equals(this.getProperty(propertyName), value)) {
      return false;
    }
    value = this._prepareProperty(propertyName, value);
    if (this.rendered) {
      this._callRemoveProperty(propertyName);
    }
    this._callSetProperty(propertyName, value);
    if (this.rendered) {
      this._callRenderProperty(propertyName);
    }
    return true;
  }
  _prepareProperty(propertyName, value) {
    if (!this.isWidgetProperty(propertyName)) {
      return value;
    }
    return this._prepareWidgetProperty(propertyName, value);
  }
  _prepareWidgetProperty(propertyName, models) {
    // Create new child widget(s)
    let widgets = this._createChildren(models);
    if (!this.isPreserveOnPropertyChangeProperty(propertyName)) {
      let oldWidgets = this.getProperty(propertyName);
      if (oldWidgets && Array.isArray(widgets)) {
        // If new value is an array, old value has to be one as well
        // Only destroy those which are not in the new array
        oldWidgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.diff(oldWidgets, widgets);
      }
      // Destroy old child widget(s). If the widget does not own the children, they will be unlinked only
      this._destroyOrUnlinkChildren(oldWidgets);
      // Link to new parent
      this.link(widgets);
    }
    return widgets;
  }
  /**
   * Does nothing if the property is not a widget property.<p>
   * If it is a widget property, it removes the existing widgets. Render has to be implemented by the widget itself.
   */
  _callRemoveProperty(propertyName) {
    if (!this.isWidgetProperty(propertyName)) {
      return;
    }
    if (this.isPreserveOnPropertyChangeProperty(propertyName)) {
      return;
    }
    let widgets = this.getProperty(propertyName);
    if (!widgets) {
      return;
    }
    let removeFuncName = '_remove' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
    if (this[removeFuncName]) {
      this[removeFuncName]();
    } else {
      this._internalRemoveWidgets(widgets);
    }
  }
  /**
   * Removes the given widgets
   */
  _internalRemoveWidgets(widgets) {
    widgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(widgets);
    widgets.forEach(widget => {
      widget.remove();
    });
  }
  _callRenderProperty(propertyName) {
    let renderFuncName = '_render' + _index__WEBPACK_IMPORTED_MODULE_0__.strings.toUpperCaseFirstLetter(propertyName);
    if (!this[renderFuncName]) {
      return;
    }
    this[renderFuncName]();
  }
  /**
   * Sets this widget as parent of the given widget(s).
   *
   * @param widgets may be a widget or array of widgets
   */
  link(widgets) {
    if (!widgets) {
      return;
    }
    widgets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(widgets);
    widgets.forEach(child => child.setParent(this));
  }
  /**
   * Method required for widgets which are supposed to be directly covered by a glasspane.<p>
   *
   * Returns the DOM elements to paint a glassPanes over, once a modal Form, message-box or file-chooser is shown with this widget as its 'displayParent'.<br>
   * If the widget is not rendered yet, a scout.DeferredGlassPaneTarget is returned.<br>
   * In both cases the method _glassPaneTargets is called which may be overridden by the actual widget.
   * @param element widget that requested a glass pane
   */
  glassPaneTargets(element) {
    let resolveGlassPanes = element => {
      // contributions
      let targets = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.flatMap(this._glassPaneContributions, cont => {
        let $elements = cont(element);
        if ($elements) {
          return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure($elements);
        }
        return [];
      });
      return targets.concat(this._glassPaneTargets(element));
    };
    if (this.rendered) {
      return resolveGlassPanes(element);
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.DeferredGlassPaneTarget.createFor(this, resolveGlassPanes.bind(this, element));
  }
  /**
   * @param element widget that requested a glass pane
   */
  _glassPaneTargets(element) {
    // since popups are rendered outside the DOM of the widget parent-child hierarchy, get glassPaneTargets of popups belonging to this widget separately.
    return [this.$container].concat(this.session.desktop.getPopupsFor(this).filter(popup => !element.has(popup)).reduce((acc, popup) => acc.concat(popup.glassPaneTargets()), []));
  }
  addGlassPaneContribution(contribution) {
    this._glassPaneContributions.push(contribution);
    this.trigger('glassPaneContributionAdded', {
      contribution: contribution
    });
  }
  /**
   * @param contribution a function which returns glass pane targets (jQuery elements)
   */
  removeGlassPaneContribution(contribution) {
    _index__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(this._glassPaneContributions, contribution);
    this.trigger('glassPaneContributionRemoved', {
      contribution: contribution
    });
  }
  toString() {
    let attrs = '';
    attrs += 'id=' + this.id;
    attrs += ' objectType=' + this.objectType;
    attrs += ' rendered=' + this.rendered;
    if (this.$container) {
      attrs += ' $container=' + _index__WEBPACK_IMPORTED_MODULE_0__.graphics.debugOutput(this.$container);
    }
    return 'Widget[' + attrs.trim() + ']';
  }
  /**
   * Returns the ancestors as string delimited by '\n'.
   * @param count the number of ancestors to be processed. Default is -1 which means all.
   */
  ancestorsToString(count) {
    let str = '',
      ancestors = this.ancestors();
    count = _index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(count, -1);
    ancestors.some((ancestor, i) => {
      if (count > -1 && i >= count) {
        return true;
      }
      if (i > 0 && i < ancestors.length - 1) {
        str += '\n';
      }
      str += ancestor.toString();
      return false;
    });
    return str;
  }
  resolveTextKeys(properties) {
    properties.forEach(property => {
      _index__WEBPACK_IMPORTED_MODULE_0__.texts.resolveTextProperty(this, property);
    });
  }
  resolveIconIds(properties) {
    properties.forEach(property => {
      _index__WEBPACK_IMPORTED_MODULE_0__.icons.resolveIconProperty(this, property);
    });
  }
  resolveConsts(configs) {
    configs.forEach(config => _index__WEBPACK_IMPORTED_MODULE_0__.objects.resolveConstProperty(this, config));
  }
  /**
   * A so-called widget property is a property with a widget as value incl. automatic resolution of that widget.
   * This means the property not only accepts the actual widget, but also a widget model or a widget reference (id)
   * and then either creates a new widget based on the model or resolves the id and uses the referenced widget as value.
   * Furthermore, it will take care of its lifecycle which means, the widget will automatically be removed and destroyed (as long as the parent is also the owner).
   *
   * If only the resolve operations without the lifecycle actions should be performed, you need to add the property to the list {@link preserveOnPropertyChangeProperties} as well.
   */
  _addWidgetProperties(properties) {
    this._decorateProperties('widget', properties);
  }
  _removeWidgetProperties(properties) {
    this._undecorateProperties('widget', properties);
  }
  isWidgetProperty(propertyName) {
    return this.isPropertyDecorated('widget', propertyName);
  }
  get widgetProperties() {
    return this.propertyDecorations['widget'];
  }
  /** @internal */
  _addCloneProperties(properties) {
    this._decorateProperties('clone', properties);
  }
  isCloneProperty(propertyName) {
    return this.isPropertyDecorated('clone', propertyName);
  }
  get cloneProperties() {
    return this.propertyDecorations['clone'];
  }
  /**
   * Properties in this list won't be affected by the automatic lifecycle actions performed for regular widget properties.
   * This means, the widget won't be removed, destroyed and also not linked, which means the parent stays the same.
   * But the resolve operations are still applied, as for regular widget properties.
   *
   * The typical use case for such properties is referencing another widget without taking care of that widget.
   */
  _addPreserveOnPropertyChangeProperties(properties) {
    this._decorateProperties('preserveOnPropertyChange', properties);
  }
  isPreserveOnPropertyChangeProperty(propertyName) {
    return this.isPropertyDecorated('preserveOnPropertyChange', propertyName);
  }
  get preserveOnPropertyChangeProperties() {
    return this.propertyDecorations['preserveOnPropertyChange'];
  }
  _eachProperty(model, func) {
    // Loop through primitive properties
    for (const propertyName in model) {
      if (this.isWidgetProperty(propertyName)) {
        continue; // will be handled below
      }
      const value = model[propertyName];
      func(propertyName, value);
    }
    // Loop through adapter properties (any order will do).
    for (const propertyName of this.widgetProperties) {
      const value = model[propertyName];
      if (value === undefined) {
        continue;
      }
      func(propertyName, value, true);
    }
  }
  /**
   * Clones the widget and mirrors the events, see {@link clone} and {@link mirror} for details.
   */
  cloneAndMirror(model) {
    return this.clone(model, {
      delegateAllPropertiesToClone: true
    });
  }
  /**
   * @returns the original widget from which this one was cloned. If it is not a clone, itself is returned.
   */
  original() {
    let original = this;
    while (original.cloneOf) {
      original = original.cloneOf;
    }
    return original;
  }
  /**
   * Clones the widget and returns the clone. Only the properties defined in {@link cloneProperties} are copied to the clone.
   * The parameter model has to contain at least the property 'parent'.
   *
   * @param model The model used to create the clone is a combination of the clone properties and this model.
   * Therefore, this model may be used to override the cloned properties or to add additional properties.
   * @param options Options passed to the mirror function.
   */
  clone(model, options) {
    model = model || {};
    options = options || {};
    let cloneModel = {};
    for (let cloneProperty of this.cloneProperties) {
      let value;
      if (this.isMultiDimensionalProperty(cloneProperty)) {
        value = this.getPropertyDimensions(cloneProperty);
      } else {
        value = this.getProperty(cloneProperty);
      }
      cloneModel[cloneProperty] = value;
    }
    let clone = _index__WEBPACK_IMPORTED_MODULE_0__.scout.create(this.objectType, jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(cloneModel, model));
    clone.cloneOf = this;
    this._mirror(clone, options);
    if (this.logicalGrid) {
      // Create a new logical grid to make sure it does not influence the original widget
      // This also creates the correct grid config for the specific widget
      clone.setLogicalGrid(this.logicalGrid.objectType);
    } else {
      // Remove the grid if the original does not have one either
      clone.setLogicalGrid(null);
    }
    return clone;
  }
  _deepCloneProperties(clone, properties, options) {
    if (!properties) {
      return clone;
    }
    properties = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(properties);
    properties.forEach(property => {
      property = this.adaptPropertyName(property);
      let propertyValue = this[property];
      let clonedProperty = null;
      if (propertyValue === undefined) {
        throw new Error('Property \'' + property + '\' is undefined. Deep copy not possible.');
      }
      if (this.isWidgetProperty(property)) {
        if (Array.isArray(propertyValue)) {
          clonedProperty = propertyValue.map(val => {
            return val.clone({
              parent: clone
            }, options);
          });
        } else {
          clonedProperty = propertyValue.clone({
            parent: clone
          }, options);
        }
      } else if (Array.isArray(propertyValue)) {
        clonedProperty = propertyValue.map(val => val);
      } else {
        clonedProperty = propertyValue;
      }
      clone[property] = clonedProperty;
    });
  }
  /**
   * Delegates every property change event from the original widget to this cloned widget by calling the appropriate setter.
   * If no target is set it works only if this widget is a clone.
   */
  mirror(options, target) {
    target = target || this.cloneOf;
    if (!target) {
      throw new Error('No target for mirroring.');
    }
    this._mirror(target, options);
  }
  _mirror(clone, options) {
    let eventDelegator = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(this.eventDelegators, eventDelegator => {
      return eventDelegator.clone === clone;
    });
    if (eventDelegator) {
      throw new Error('_mirror can only be called on not mirrored widgets. call unmirror first.');
    }
    options = options || {};
    eventDelegator = {
      clone: clone,
      originalToClone: _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(this, clone, {
        delegateProperties: options.delegatePropertiesToClone,
        delegateAllProperties: options.delegateAllPropertiesToClone,
        excludeProperties: options.excludePropertiesToClone
      }),
      cloneToOriginal: _index__WEBPACK_IMPORTED_MODULE_0__.EventDelegator.create(clone, this, {
        delegateProperties: options.delegatePropertiesToOriginal,
        delegateAllProperties: options.delegateAllPropertiesToOriginal,
        excludeProperties: options.excludePropertiesToOriginal,
        delegateEvents: options.delegateEventsToOriginal
      })
    };
    this.eventDelegators.push(eventDelegator);
    clone.one('destroy', () => {
      this._unmirror(clone);
    });
  }
  unmirror(target) {
    target = target || this.cloneOf;
    if (!target) {
      throw new Error('No target for unmirroring.');
    }
    this._unmirror(target);
  }
  _unmirror(target) {
    let eventDelegatorIndex = _index__WEBPACK_IMPORTED_MODULE_0__.arrays.findIndex(this.eventDelegators, eventDelegator => {
        return eventDelegator.clone === target;
      }),
      eventDelegator = eventDelegatorIndex > -1 ? this.eventDelegators.splice(eventDelegatorIndex, 1)[0] : null;
    if (!eventDelegator) {
      return;
    }
    if (eventDelegator.originalToClone) {
      eventDelegator.originalToClone.destroy();
    }
    if (eventDelegator.cloneToOriginal) {
      eventDelegator.cloneToOriginal.destroy();
    }
  }
  _onParentDestroy() {
    if (this.destroyed) {
      return;
    }
    // If the parent is destroyed but the widget not make sure it gets a new parent
    // This ensures the old one may be properly garbage collected
    this.setParent(this.owner);
  }
  widget(widgetId, type) {
    if (predicate(this)) {
      return this;
    }
    return this.findChild(predicate);
    function predicate(widget) {
      return widget.id === widgetId;
    }
  }
  /**
   * Similar to {@link widget}, but uses "breadth-first" strategy, i.e. it checks all children of the
   * same depth (level) before it advances to the next level. If multiple widgets with the same
   * ID exist, the one with the smallest distance to this widget is returned.
   *
   * Example:
   *
   *    Widget ['MyWidget']                     #1
   *    +- GroupBox ['LeftBox']                 #2
   *       +- StringField ['NameField']         #3
   *       +- StringField ['CityField']         #4
   *       +- GroupBox ['InnerBox']             #5
   *          +- GroupBox ['LeftBox']           #6
   *             +- DateField ['StartDate']     #7
   *          +- GroupBox ['RightBox']          #8
   *             +- DateField ['EndDate']       #9
   *    +- GroupBox ['RightBox']                #10
   *       +- StringField ['NameField']         #11
   *       +- DateField ['StartDate']           #12
   *
   *   CALL:                                    RESULT:
   *   ---------------------------------------------------------------------------------------------
   *   this.widget('RightBox')                  #8               (might not be the expected result)
   *   this.nearestWidget('RightBox')           #10
   *
   *   this.widget('NameField')                 #3
   *   this.nearestWidget('NameField')          null             (because no direct child has the requested id)
   *   this.nearestWidget('NameField', true)    #3               (because #3 and #11 have the same distance)
   *
   *   this.widget('StartDate')                 #7
   *   this.nearestWidget('StartDate', true)    #12              (#12 has smaller distance than #7)
   *
   * @param widgetId
   *          The ID of the widget to find.
   * @param deep
   *          If false, only this widget and the next level are checked. This is the default.
   *          If true, the entire tree is traversed.
   * @returns the first found widget, or null if no widget was found.
   */
  nearestWidget(widgetId, deep) {
    if (this.id === widgetId) {
      return this;
    }
    let widgets = this.children.slice(); // list of widgets to check
    while (widgets.length) {
      let widget = widgets.shift();
      if (widget.id === widgetId) {
        return widget; // found
      }
      if (deep) {
        for (let i = 0; i < widget.children.length; i++) {
          let child = widget.children[i];
          if (child.parent === widget) {
            // same check as in visitChildren()
            widgets.push(child);
          }
        }
      }
    }
    return null;
  }
  /**
   * @param predicateOrClass may be a {@link Predicate} or a subclass of {@link Widget}.
   * @returns the first ancestor for which the given predicate returns true or that matches the given widget type if a subclass of {@link Widget} is provided.
   */
  findParent(predicateOrClass) {
    let predicate;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isSameOrExtendsClass(predicateOrClass, Widget)) {
      predicate = widget => widget instanceof predicateOrClass;
    } else {
      predicate = predicateOrClass;
    }
    let parent = this.parent;
    while (parent) {
      if (predicate(parent)) {
        return parent;
      }
      parent = parent.parent;
    }
    return parent;
  }
  /**
   * @param predicateOrClass may be a {@link Predicate} or a subclass of {@link Widget}.
   * @returns the first child for which the given predicate returns true or that matches the given widget type if a subclass of {@link Widget} is provided.
   */
  findChild(predicateOrClass) {
    let predicate;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.objects.isSameOrExtendsClass(predicateOrClass, Widget)) {
      predicate = widget => widget instanceof predicateOrClass;
    } else {
      predicate = predicateOrClass;
    }
    let foundChild = null;
    this.visitChildren(child => {
      if (predicate(child)) {
        foundChild = child;
        return true;
      }
    });
    return foundChild;
  }
  /** @see WidgetModel.trackFocus */
  setTrackFocus(trackFocus) {
    this.setProperty('trackFocus', trackFocus);
  }
  _renderTrackFocus() {
    if (!this.$container) {
      return;
    }
    if (this.trackFocus) {
      this.$container.on('focusin', this._focusInListener);
    } else {
      this.$container.off('focusin', this._focusInListener);
    }
  }
  restoreFocus() {
    if (this._$lastFocusedElement) {
      this.session.focusManager.requestFocus(this._$lastFocusedElement);
    } else if (this._storedFocusedWidget) {
      this._storedFocusedWidget.focus();
      this._storedFocusedWidget = null;
    }
  }
  /**
   * Method invoked once a 'focusin' event is fired by this context's $container or one of its child controls.
   */
  _onFocusIn(event) {
    // do not track focus events during rendering to avoid initial focus to be restored.
    if (this.rendering) {
      return;
    }
    if (this.$container.has(event.target)) {
      this._$lastFocusedElement = jquery__WEBPACK_IMPORTED_MODULE_1___default()(event.target);
    }
  }
  /**
   * Tries to set the focus on the widget.
   * <p>
   * By default the focus is set on the container but this may vary from widget to widget.
   *
   * @param options.preventScroll prevents scrolling to new focused element (defaults to false)
   * @returns true if the element could be focused, false if not
   */
  focus(options) {
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.focus.bind(this, options));
      return false;
    }
    return this.session.focusManager.requestFocus(this.getFocusableElement(), null, options);
  }
  /**
   * Calls {@link focus()} and prevents the default behavior of the event if the focusing was successful.
   */
  focusAndPreventDefault(event) {
    if (this.focus()) {
      // Preventing blur is bad for touch devices because it prevents that the keyboard can close.
      // In that case focus() will return false because focus manager is disabled.
      event.preventDefault();
      return true;
    }
    return false;
  }
  /**
   * @returns whether the widget is the currently active element
   */
  isFocused() {
    return this.rendered && _index__WEBPACK_IMPORTED_MODULE_0__.focusUtils.isActiveElement(this.getFocusableElement());
  }
  /**
   * @param checkTabbable if true, the widget has to be tabbable, not only focusable. Default is true.
   * @returns true if the element is focusable (and tabbable, unless checkTabbable is set to false), false if not.
   */
  isFocusable(checkTabbable) {
    if (!this.rendered || !this.visible) {
      return false;
    }
    let elem = this.getFocusableElement();
    if (!elem) {
      return false;
    }
    let $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure(elem);
    if (!$elem.is(':focusable')) {
      return false;
    }
    if (this.session.focusManager.isElementCovertByGlassPane($elem)) {
      return false;
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(checkTabbable, true)) {
      return $elem.is(':tabbable');
    }
    return true;
  }
  /**
   * This method returns the {@link HTMLElement} to be used when {@link focus} is called.
   * It can be overridden, in case the widget needs to return something other than `this.$container[0]`.
   */
  getFocusableElement() {
    if (this.rendered && this.$container) {
      return this.$container[0];
    }
    return null;
  }
  _installScrollbars(options) {
    let $scrollable = this.get$Scrollable();
    if (!$scrollable) {
      throw new Error('Scrollable is not defined, cannot install scrollbars');
    }
    if ($scrollable.data('scrollable')) {
      // already installed
      return;
    }
    options = options || {
      parent: this
    };
    let defaults = {
      parent: this
    };
    let opts = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend({}, defaults, options);
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install($scrollable, opts);
    $scrollable.on('scroll', this._scrollHandler);
  }
  _uninstallScrollbars() {
    let $scrollable = this.get$Scrollable();
    if (!$scrollable || !$scrollable.data('scrollable')) {
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall($scrollable, this.session);
    $scrollable.off('scroll', this._scrollHandler);
    if (!this.removing) {
      // If scrollbars are removed on the fly and not because the widget is removing, reset scroll positions to initial state
      // Only reset if position is 0 to preserve the position (uninstalling does not reset the position of the scrollable either)
      if ($scrollable[0].scrollTop === 0) {
        this.scrollTop = null;
      }
      if ($scrollable[0].scrollLeft === 0) {
        this.scrollLeft = null;
      }
    }
  }
  _onScroll(event) {
    let $scrollable = this.get$Scrollable();
    this._setProperty('scrollTop', $scrollable[0].scrollTop);
    this._setProperty('scrollLeft', $scrollable[0].scrollLeft);
  }
  /** @see WidgetModel.scrollTop */
  setScrollTop(scrollTop) {
    if (this.getDelegateScrollable()) {
      this.getDelegateScrollable().setScrollTop(scrollTop);
      return;
    }
    this.setProperty('scrollTop', scrollTop);
  }
  /** @internal */
  _renderScrollTop() {
    let $scrollable = this.get$Scrollable();
    if (!$scrollable || this.scrollTop === null) {
      // Don't do anything for non-scrollable elements. Also, reading $scrollable[0].scrollTop must not be done while rendering because it would provoke a reflow
      return;
    }
    if (this.rendering || this.htmlComp && !this.htmlComp.layouted && !this.htmlComp.layouting) {
      // If the widget is not layouted yet (which is always true while rendering), the scroll position cannot be updated -> do it after the layout
      // If scroll top is set while layouting, layout obviously wants to set it -> do it
      this.session.layoutValidator.schedulePostValidateFunction(this._renderScrollTop.bind(this));
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop($scrollable, this.scrollTop);
  }
  /** @see WidgetModel.scrollLeft */
  setScrollLeft(scrollLeft) {
    if (this.getDelegateScrollable()) {
      this.getDelegateScrollable().setScrollLeft(scrollLeft);
      return;
    }
    this.setProperty('scrollLeft', scrollLeft);
  }
  _renderScrollLeft() {
    let $scrollable = this.get$Scrollable();
    if (!$scrollable || this.scrollLeft === null) {
      // Don't do anything for non-scrollable elements. Also, reading $scrollable[0].scrollLeft must not be done while rendering because it would provoke a reflow
      return;
    }
    if (this.rendering || this.htmlComp && !this.htmlComp.layouted && !this.htmlComp.layouting) {
      // If the widget is not layouted yet (which is always true while rendering), the scroll position cannot be updated -> do it after the layout
      // If scroll left is set while layouting, layout obviously wants to set it -> do it
      this.session.layoutValidator.schedulePostValidateFunction(this._renderScrollLeft.bind(this));
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollLeft($scrollable, this.scrollLeft);
  }
  /**
   * Returns the jQuery element which is supposed to be scrollable. This element will be used by the scroll functions like {@link _installScrollbars}, {@link setScrollTop}, {@link setScrollLeft}, {@link scrollToBottom} etc.
   * The element won't be used unless {@link _installScrollbars} is called.
   * If the widget is mainly a wrapper for a scrollable widget and does not have a scrollable element by itself, you can use @{link #getDelegateScrollable} instead.
   */
  get$Scrollable() {
    return this.$container;
  }
  hasScrollShadow(position) {
    return _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.hasScrollShadow(this.get$Scrollable(), position);
  }
  /**
   * If the widget is mainly a wrapper for another widget, it is often the case that the other widget is scrollable and not the wrapper.
   * In that case implement this method and return the other widget so that the calls to the scroll functions can be delegated.
   */
  getDelegateScrollable() {
    return null;
  }
  scrollToTop(options) {
    if (this.getDelegateScrollable()) {
      this.getDelegateScrollable().scrollToTop();
      return;
    }
    let $scrollable = this.get$Scrollable();
    if (!$scrollable) {
      return;
    }
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.scrollToTop.bind(this));
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTop($scrollable, 0, options);
  }
  scrollToBottom(options) {
    if (this.getDelegateScrollable()) {
      this.getDelegateScrollable().scrollToBottom();
      return;
    }
    let $scrollable = this.get$Scrollable();
    if (!$scrollable) {
      return;
    }
    if (!this.rendered) {
      this.session.layoutValidator.schedulePostValidateFunction(this.scrollToBottom.bind(this));
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollToBottom($scrollable, options);
  }
  /**
   * Brings the widget into view by scrolling the first scrollable parent.
   * @param options
   *          an optional options object. Shorthand version: If a string is passed instead
   *          of an object, the value is automatically converted to the option {@link ScrollToOptions.align}.
   */
  reveal(options) {
    if (!this.rendered) {
      return;
    }
    let $scrollParent = this.$container.scrollParent();
    if ($scrollParent.length === 0) {
      // No scrollable parent found -> scrolling is not possible
      return;
    }
    _index__WEBPACK_IMPORTED_MODULE_0__.scrollbars.scrollTo($scrollParent, this.$container, options);
  }
  /**
   * Visits every descendant of this widget in pre-order (top-down).<br>
   * This widget itself is not visited! Only child widgets are visited recursively.
   *
   * The children with a different parent are excluded.<br>
   * This makes sure the child is not visited twice if the owner and the parent are not the same
   * (in that case the widget would be in the children list of the owner and of the parent).
   *
   * In order to abort visiting, the visitor can return true or {@link TreeVisitResult.TERMINATE}.
   *
   * @returns true if the visitor aborted the visiting, false if the visiting completed without aborting
   */
  visitChildren(visitor) {
    for (const child of this.children) {
      if (child.parent !== this) {
        continue;
      }
      let treeVisitResult = visitor(child);
      if (treeVisitResult === true || treeVisitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
        // Visitor wants to abort the visiting
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
      }
      if (treeVisitResult !== _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE) {
        treeVisitResult = child.visitChildren(visitor);
        if (treeVisitResult === true || treeVisitResult === _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE) {
          return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
        }
      }
    }
  }
  /**
   * Visits this widget and every descendant of this widget in pre-order (top-down).
   *
   * Uses {@link visitChildren} to visit the children.
   */
  visit(visitor) {
    let options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    let visitResult;
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(options.visitSelf, true)) {
      visitResult = visitor(this);
    }
    if (_index__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(visitResult, true, _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE, _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.SKIP_SUBTREE)) {
      return convert(visitResult);
    }
    return convert(this.visitChildren(visitor));
    function convert(visitResult) {
      if (!visitResult) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.CONTINUE;
      }
      if (visitResult === true) {
        return _index__WEBPACK_IMPORTED_MODULE_0__.TreeVisitResult.TERMINATE;
      }
      return visitResult;
    }
  }
  /**
   * @returns Whether or not the widget is rendered (or rendering) and the DOM $container isAttached()
   */
  isAttachedAndRendered() {
    return (this.rendered || this.rendering) && this.$container.isAttached();
  }
  /* --- STATIC HELPERS ------------------------------------------------------------- */
  static cssClassAsArray(cssClass) {
    let cssClasses = [],
      cssClassesStr = cssClass || '';
    cssClassesStr = cssClassesStr.trim();
    if (cssClassesStr.length > 0) {
      cssClasses = cssClassesStr.split(' ');
    }
    return cssClasses;
  }
}
_defineProperty(Widget, "DisabledStyle", {
  DEFAULT: 0,
  /**
   * Optimizes the disabled style for readability, meaning higher contrast and fewer borders.
   *
   * Should in general only be used if the enabled state of the widget cannot change dynamically, because the style is too similar to the enabled style.
   */
  READ_ONLY: 1
});

/***/ }),

/***/ "./src/widget/WidgetEventMap.ts":
/*!**************************************!*\
  !*** ./src/widget/WidgetEventMap.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/WidgetModel.ts":
/*!***********************************!*\
  !*** ./src/widget/WidgetModel.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/WidgetSupport.ts":
/*!*************************************!*\
  !*** ./src/widget/WidgetSupport.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WidgetSupport: () => (/* binding */ WidgetSupport)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class WidgetSupport {
  /**
   * @param options a mandatory options object
   */
  constructor(options) {
    _defineProperty(this, "options$Container", void 0);
    _defineProperty(this, "widget", void 0);
    _defineProperty(this, "$container", void 0);
    _index__WEBPACK_IMPORTED_MODULE_0__.scout.assertParameter('widget', options.widget);
    this.widget = options.widget;
    this.options$Container = options.$container;
  }
  _ensure$Container() {
    if (typeof this.options$Container === 'function') {
      // resolve function provided by options.$container that returns a jQuery element
      this.$container = this.options$Container();
    } else if (this.options$Container) {
      // use jQuery element provided by options.$container
      this.$container = this.options$Container;
    } else {
      // default: when no options.$container is not set, use jQuery element of widget
      this.$container = this.widget.$container;
    }
  }
}

/***/ }),

/***/ "./src/widget/WidgetSupportOptions.ts":
/*!********************************************!*\
  !*** ./src/widget/WidgetSupportOptions.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/widget/widgets.ts":
/*!*******************************!*\
  !*** ./src/widget/widgets.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   widgets: () => (/* binding */ widgets)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


let uniqueIdSeqNo = 0;
const widgets = {
  /**
   * @param $elem HTML or jQuery element to find the corresponding widget for
   * @returns the widget for the given element. If the element is not linked with a widget directly, it searches its ancestors for the widget.
   */
  get($elem) {
    $elem = jquery__WEBPACK_IMPORTED_MODULE_1___default().ensure($elem);
    while ($elem && $elem.length > 0) {
      let widget = $elem.data('widget');
      if (widget) {
        return widget;
      }
      $elem = $elem.parent();
    }
    return null;
  },
  /**
   * Creates a "unique" id which may be used in the id attribute of an HTML element.
   * <p>
   * It actually just increases a sequence number prefixed by 'sc' or the given prefix.
   * 'sc' (short for Scout) is added to reduce the possibility of a duplication
   * if scout widgets are embedded into a foreign website which already uses numbers in its id attributes.
   * So it is not unique but should be good enough when you know what you are doing.
   */
  createUniqueId(prefix) {
    prefix = prefix || 'sc';
    return prefix + uniqueIdSeqNo++;
  },
  /**
   * Iterates through the given widgets and toggles the 'first' and 'last' classes on the corresponding widgets if the widgets are visible and rendered.
   */
  updateFirstLastMarker(widgets) {
    widgets.filter((widget, i, widgets) => {
      return widget.rendered && widget.visible;
    }).forEach((widget, i, widgets) => {
      widget.$container.toggleClass('first', i === 0);
      widget.$container.toggleClass('last', i === widgets.length - 1);
    });
  },
  /**
   * @param widgets the widgets to check.
   * @param container if specified, the function returns null if the container is not visible or not rendered. This allows for an early return without the need to check every given widget.
   * @param checkTabbable if true, the resulting widget has to be tabbable, not only focusable. Default is true.
   * @returns the first widget of the given list which is focusable (and tabbable, unless checkTabbable is set to false).
   */
  findFirstFocusableWidget(widgets, container, checkTabbable) {
    if (container && (!container.rendered || !container.visible)) {
      return null;
    }
    return _index__WEBPACK_IMPORTED_MODULE_0__.arrays.find(widgets, widget => widget.isFocusable(checkTabbable));
  },
  /**
   * Sets a property using the given setter after reading the value using the getter and preserving it on the preserver using the preserverName.
   * The preserved property can be reset using {@link resetProperty}.
   */
  preserveAndSetProperty(setter, getter, preserver, preserverName) {
    if (preserver[preserverName] === null) {
      preserver[preserverName] = getter();
    }
    setter();
  },
  /**
   * Resets a property that has been preserved on the preserver by {@link preserveAndSetProperty} using the given setter. Sets the preserved property to null afterwards.
   * @param setter
   * @param preserver
   * @param preserverName
   */
  resetProperty(setter, preserver, preserverName) {
    if (preserver[preserverName] != null) {
      setter(preserver[preserverName]);
      preserver[preserverName] = null;
    }
  }
};

/***/ }),

/***/ "./src/jquery/jquery-scout-selectors.js":
/*!**********************************************!*\
  !*** ./src/jquery/jquery-scout-selectors.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



/*
 * This file extends jQuery with custom selectors required in Scout.
 * Part of this file is copied with some modifications from jQuery UI.
 */

function focusable(element, requireTabbable, excludeUnfocusable) {
  let tabIndex = Number(jquery__WEBPACK_IMPORTED_MODULE_0___default().attr(element, 'tabindex'));
  let hasTabIndex = !isNaN(tabIndex);

  // Elements with an explicit negative tabindex are never tabbable
  if (tabIndex < 0 && requireTabbable) {
    return false;
  }
  // SPECIAL CASE: we consider elements with tabindex="-2" to be _never_ focusable, not even programmatically!
  if (tabIndex === -2 && excludeUnfocusable) {
    return false;
  }

  // Some elements are focusable natively, others can be made focusable by adding a tabindex (positive or negative)
  let nodeName = element.nodeName.toLowerCase();
  let focusable = /^(input|select|textarea|button|object)$/.test(nodeName) ? !element.disabled : hasTabIndex || nodeName === 'a' && element.href;
  return focusable && visible(element); // the element and all of its ancestors must be visible
}
function visible(element) {
  return jquery__WEBPACK_IMPORTED_MODULE_0___default().expr.filters.visible(element) && !jquery__WEBPACK_IMPORTED_MODULE_0___default()(element).parents().addBack().filter(function () {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().css(this, 'visibility') === 'hidden';
  }).length;
}

// Register selectors
jquery__WEBPACK_IMPORTED_MODULE_0___default().extend((jquery__WEBPACK_IMPORTED_MODULE_0___default().expr)[':'], {
  'focusable-native': element => focusable(element, false),
  'focusable': element => focusable(element, false, true),
  'tabbable': element => focusable(element, true)
});

/***/ }),

/***/ "./src/jquery/jquery-scout.js":
/*!************************************!*\
  !*** ./src/jquery/jquery-scout.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
/**
 * jQuery plugin with scout extensions
 */



// === internal methods ===

/**
 * Returns false when the component display is 'none', otherwise true.
 *
 * Note: this gives other results than $.is(':visible'), since that method will also return false
 * when a component has absolute positioning and no width and height is defined (well, you cannot
 * see a component with a style like this, but technically it is not set to 'not visible').
 *
 * Also note that this function _only_ checks the 'display' property! Other methods to make an element
 * invisible to the user ('visibility: hidden', 'opacity: 0', off-screen position etc.) are _not_
 * considered.
 */
function elemVisible(elem) {
  // Check if element itself is hidden by its own style attribute
  if (!elem || isHidden(elem.style)) {
    return false;
  }
  // Must use correct window for element / computedStyle
  let myWindow = (elem instanceof Document ? elem : elem.ownerDocument).defaultView;
  // In some cases with popup windows the window object may be already set to null
  // but we still have a valid reference to a DOM element. In that case we assume
  // the element is not visible anymore.
  if (!myWindow) {
    return false;
  }
  // Check if element itself is hidden by external style-sheet
  if (isHidden(myWindow.getComputedStyle(elem))) {
    return false;
  }
  // Else visible
  return true;

  // ----- Helper functions -----

  function isHidden(style) {
    return style.display === 'none';
  }
}
function explodeShorthandProperties(properties) {
  let newProperties = [];
  properties.forEach(prop => {
    // shorthand css properties may not be copied directly (at least not in firefox) -> copy the actual properties
    if (prop === 'margin' || prop === 'padding') {
      newProperties.push(prop + '-top');
      newProperties.push(prop + '-right');
      newProperties.push(prop + '-bottom');
      newProperties.push(prop + '-left');
    } else if (prop === 'border') {
      newProperties.push('border-top-style');
      newProperties.push('border-right-style');
      newProperties.push('border-bottom-style');
      newProperties.push('border-left-style');
      newProperties.push('border-top-color');
      newProperties.push('border-right-color');
      newProperties.push('border-bottom-color');
      newProperties.push('border-left-color');
      newProperties.push('border-top-width');
      newProperties.push('border-right-width');
      newProperties.push('border-bottom-width');
      newProperties.push('border-left-width');
    } else {
      newProperties.push(prop);
    }
  });
  return newProperties;
}

/**
 * This function is required because most jQuery functions can be used with or without arguments
 * and do return the jQuery instance when used as a setter (with arguments), ceiling should only
 * be done, when used as getter (without arguments).
 */
function _ceilNumber(val) {
  return _index__WEBPACK_IMPORTED_MODULE_1__.objects.isNumber(val) ? Math.ceil(val) : val;
}

// === $ extensions ===

/* !
 * jQuery UI Widget 1.11.2
 * http://jqueryui.com
 *
 * Copyright 2014 jQuery Foundation and other contributors
 * Released under the MIT license.
 * http://jquery.org/license
 *
 * http://api.jqueryui.com/jQuery.widget/
 */
const __origCleanData = (jquery__WEBPACK_IMPORTED_MODULE_0___default().cleanData);
/**
 * This function is copied from jQuery UI. It is used to fire a 'remove' event
 * when we call the .remove() function on a jQuery object.
 */
(jquery__WEBPACK_IMPORTED_MODULE_0___default().cleanData) = elems => {
  let events, elem, i;
  for (i = 0; elem = elems[i]; i++) {
    // NOSONAR
    try {
      // Only trigger remove when necessary to save time
      events = jquery__WEBPACK_IMPORTED_MODULE_0___default()._data(elem, 'events');
      if (events && events.remove) {
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(elem).triggerHandler('remove');
      }
      // http://bugs.jquery.com/ticket/8235
    } catch (e) {
      // NOP
    }
  }
  __origCleanData(elems);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().ensure) = $elem => {
  if ($elem instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default())) {
    return $elem;
  }
  return jquery__WEBPACK_IMPORTED_MODULE_0___default()($elem);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().suppressEvent) = event => {
  if (event) {
    event.preventDefault();
    event.stopPropagation();
    event.stopImmediatePropagation();
  }
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().debounce) = (fx, options) => {
  if (typeof options === 'number') {
    options = {
      delay: options
    };
  }
  options = jquery__WEBPACK_IMPORTED_MODULE_0___default().extend({
    delay: 250,
    reschedule: true
  }, options);
  let timeoutId = null;
  let fn = function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    let that = this;
    if (timeoutId && !options.reschedule) {
      // Function is already schedule but 'reschedule' option is set to false --> discard this request
      return;
    }
    if (timeoutId) {
      // Function is already scheduled --> cancel current scheduled call and re-schedule the call
      clearTimeout(timeoutId);
    }
    timeoutId = setTimeout(() => {
      timeoutId = null;
      fx.apply(that, args);
    }, options.delay);
  };
  fn.cancel = () => {
    if (timeoutId) {
      clearTimeout(timeoutId);
      timeoutId = null;
      return true;
    }
    return false;
  };
  return fn;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().throttle) = (fx, delay) => {
  delay = delay !== undefined ? delay : 250;
  let timeoutId = null;
  let lastExecution;
  return function () {
    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }
    let that = this;
    let now = new Date().getTime();
    let callFx = () => {
      lastExecution = now;
      fx.apply(that, args);
    };
    if (lastExecution && lastExecution + delay > now) {
      clearTimeout(timeoutId);
      timeoutId = setTimeout(() => {
        callFx();
      }, delay);
    } else {
      callFx();
    }
  };
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().negate) = fx => function () {
  for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
    args[_key3] = arguments[_key3];
  }
  return !fx.apply(this, args);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().injectScript) = (url, options) => {
  options = options || {};
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  let myDocument = options.document || window.document;
  let linkTag = myDocument.createElement('script');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag).attr('src', url).attr('async', true).on('load error', event => {
    if (options.removeTag) {
      myDocument.head.removeChild(linkTag);
    }
    if (event.type === 'error') {
      deferred.reject(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag));
    } else {
      deferred.resolve(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag));
    }
  });
  // Use raw JS function to append the <script> tag, because jQuery handles
  // script tags specially (see "domManip" function) and uses eval() which
  // is not CSP-safe.
  myDocument.head.appendChild(linkTag);
  return deferred.promise();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().injectStyleSheet) = (url, options) => {
  options = options || {};
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  let myDocument = options.document || window.document;
  let linkTag = myDocument.createElement('link');
  jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag).attr('rel', 'stylesheet').attr('type', 'text/css').attr('href', url).on('load error', event => {
    if (event.type === 'error') {
      deferred.reject(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag));
    } else {
      deferred.resolve(jquery__WEBPACK_IMPORTED_MODULE_0___default()(linkTag));
    }
  });
  // Use raw JS function to append the <script> tag, because jQuery handles
  // script tags specially (see "domManip" function) and uses eval() which
  // is not CSP-safe.
  myDocument.head.appendChild(linkTag);
  return deferred.promise();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().injectStyle) = (data, options) => {
  options = options || {};
  let myDocument = options.document || window.document;
  let styleTag = myDocument.createElement('style');
  let $styleTag = jquery__WEBPACK_IMPORTED_MODULE_0___default()(styleTag);
  $styleTag.attr('type', 'text/css').html(data);
  myDocument.head.appendChild(styleTag);
  return $styleTag;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber) = pixel => {
  if (!pixel) {
    // parseFloat would return NaN if pixel is '' or undefined
    return 0;
  }
  // parseFloat ignores 'px' and just extracts the number
  return parseFloat(pixel);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().resolvedDeferred) = function () {
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  deferred.resolve(...arguments);
  return deferred;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().resolvedPromise) = function () {
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  deferred.resolve(...arguments);
  return deferred.promise();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().rejectedPromise) = function () {
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  deferred.reject(...arguments);
  return deferred.promise();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().promiseAll) = (promises, asArray) => {
  asArray = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(asArray, false);
  promises = _index__WEBPACK_IMPORTED_MODULE_1__.arrays.ensure(promises);
  let deferred = jquery__WEBPACK_IMPORTED_MODULE_0___default().Deferred();
  jquery__WEBPACK_IMPORTED_MODULE_0___default().when(...promises).done(function () {
    for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      args[_key4] = arguments[_key4];
    }
    if (asArray) {
      deferred.resolve(args);
    } else {
      deferred.resolve(...args);
    }
  }).fail(function () {
    deferred.reject(...arguments);
  });
  return deferred.promise();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().ajaxJson) = url => jquery__WEBPACK_IMPORTED_MODULE_0___default().ajax({
  url: url,
  dataType: 'json',
  contentType: 'application/json; charset=UTF-8'
}).catch(function () {
  for (var _len5 = arguments.length, args = new Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
    args[_key5] = arguments[_key5];
  }
  // Reject the promise with usual arguments (jqXHR, textStatus, errorThrown), but add the request
  // options as additional argument (e.g. to make the URL available to the error handler)
  args.push(this);
  return jquery__WEBPACK_IMPORTED_MODULE_0___default().rejectedPromise(...args);
});
(jquery__WEBPACK_IMPORTED_MODULE_0___default().isJqXHR) = obj => typeof obj === 'object' && obj.hasOwnProperty('readyState') && obj.hasOwnProperty('status') && obj.hasOwnProperty('statusText');

// === $.prototype extensions ===

(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).nvl = function ($element) {
  if (this.length || !($element instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default()))) {
    return this;
  }
  return $element;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).makeElement = function (element, cssClass, text) {
  let myDocument = this.document(true);
  if (myDocument === undefined || element === undefined) {
    throw new Error('missing arguments: document, element');
  }
  let $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(element, myDocument);
  if (cssClass) {
    $element.addClass(cssClass);
  }
  if (text) {
    $element.text(text);
  }
  return $element;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).makeDiv = function (cssClass, text) {
  return /** @type JQuery<HTMLDivElement> */this.makeElement('<div>', cssClass, text);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).makeSpan = function (cssClass, text) {
  return /** @type JQuery<HTMLSpanElement> */this.makeElement('<span>', cssClass, text);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).document = function (domElement) {
  let myDocument = this.length ? this[0] instanceof Document ? this[0] : this[0].ownerDocument : null;
  return domElement ? myDocument : jquery__WEBPACK_IMPORTED_MODULE_0___default()(myDocument);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).window = function (domElement) {
  let myDocument = this.document(true),
    myWindow = myDocument ? myDocument.defaultView : null;
  return domElement ? myWindow : jquery__WEBPACK_IMPORTED_MODULE_0___default()(myWindow);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).activeElement = function (domElement) {
  let myDocument = this.document(true),
    activeElement = myDocument ? myDocument.activeElement : null;
  return domElement ? activeElement : jquery__WEBPACK_IMPORTED_MODULE_0___default()(activeElement);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).body = function (domElement) {
  let $body = jquery__WEBPACK_IMPORTED_MODULE_0___default()('body', this.document(true));
  return domElement ? $body[0] : $body;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).entryPoint = function (domElement) {
  let $element = this.closest('.scout');
  return domElement ? $element[0] : $element;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).windowSize = function () {
  let $window = this.window();
  return new _index__WEBPACK_IMPORTED_MODULE_1__.Dimension($window.width(), $window.height());
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).elementFromPoint = function (x, y, selector) {
  let $container = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this),
    doc = $container.document(true),
    elements = [],
    i = 0,
    $element;
  if (!doc) {
    // If doc is null the $container itself is the document
    doc = $container[0];
  }
  if (!doc) {
    // If doc is still null (e.g. because the current jQuery collection does not contain any elements) return an empty collection
    return jquery__WEBPACK_IMPORTED_MODULE_0___default()();
  }

  // eslint-disable-next-line no-constant-condition
  while (true) {
    $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(doc.elementFromPoint(x, y));
    if ($element.length === 0 || $element[0] === doc.documentElement) {
      break;
    }
    if ($container.isOrHas($element) && (!selector || $element.is(selector))) {
      break;
    }
    elements.push($element);
    // make the element invisible to get the underlying element (uses visibility: hidden to make sure element size and position won't be changed)
    $element.addClass('invisible');
    i++;
    if (i > 1000) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default().log.warn('Infinite loop aborted', $element);
      $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
      break;
    }
  }
  if ($element[0] === doc.documentElement && $container[0] !== doc) {
    // return an empty element if the only element found is the document element and the document element is not the container
    $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
  }
  elements.forEach($element => {
    // show element again
    $element.removeClass('invisible');
  });
  return $element;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).prependDiv = function (cssClass, text) {
  return this.makeDiv(cssClass, text).prependTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendDiv = function (cssClass, text) {
  return this.makeDiv(cssClass, text).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).prependElement = function (element, cssClass, text) {
  return this.makeElement(element, cssClass, text).prependTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendElement = function (element, cssClass, text) {
  return this.makeElement(element, cssClass, text).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).afterDiv = function (cssClass, text) {
  return this.makeDiv(cssClass, text).insertAfter(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).beforeDiv = function (cssClass, text) {
  return this.makeDiv(cssClass, text).insertBefore(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendSpan = function (cssClass, text) {
  return this.makeSpan(cssClass, text).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendBr = function (cssClass) {
  return this.makeElement('<br>', cssClass).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendTable = function (cssClass) {
  return this.appendElement('<table>', cssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendColgroup = function (cssClass) {
  return this.appendElement('<colgroup>', cssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendCol = function (cssClass) {
  return this.appendElement('<col>', cssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendTr = function (cssClass) {
  return this.appendElement('<tr>', cssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendTd = function (cssClass, text) {
  return this.appendElement('<td>', cssClass, text);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendTh = function (cssClass, text) {
  return this.appendElement('<th>', cssClass, text);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendUl = function (cssClass) {
  return this.appendElement('<ul>', cssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendLi = function (cssClass, text) {
  return this.appendElement('<li>', cssClass, text);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendTextNode = function (text) {
  return jquery__WEBPACK_IMPORTED_MODULE_0___default()(this.document(true).createTextNode(text)).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendIcon = function (iconId, cssClass) {
  if (!iconId) {
    let $icon = this.appendSpan(cssClass).addClass('icon');
    _index__WEBPACK_IMPORTED_MODULE_1__.aria.hidden($icon, true);
    return $icon;
  }
  let icon;
  if (iconId instanceof _index__WEBPACK_IMPORTED_MODULE_1__.IconDesc) {
    icon = iconId;
  } else {
    icon = _index__WEBPACK_IMPORTED_MODULE_1__.icons.parseIconId(iconId);
  }
  if (icon.isFontIcon()) {
    let $icon = this.makeSpan(cssClass, icon.iconCharacter).addClass('icon').addClass(icon.appendCssClass('font-icon')).appendTo(this);
    if (_index__WEBPACK_IMPORTED_MODULE_1__.strings.hasText(icon.altText)) {
      _index__WEBPACK_IMPORTED_MODULE_1__.aria.role($icon, 'img');
      _index__WEBPACK_IMPORTED_MODULE_1__.aria.label($icon, icon.altText, true);
    } else {
      _index__WEBPACK_IMPORTED_MODULE_1__.aria.hidden($icon, true);
    }
    return $icon;
  }
  return this.appendImg(icon.iconUrl, cssClass).attr('alt', icon.altText).addClass('icon image-icon');
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendImg = function (imageSrc, cssClass) {
  let $icon = this.appendElement('<img>', cssClass);
  if (imageSrc) {
    $icon.attr('src', imageSrc);
  }
  return $icon;
};
// FIXME TS how to solve these issues?
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).icon = function (iconId, addToDomFunc) {
  let icon,
    $icon = this.data('$icon');
  if (iconId) {
    icon = _index__WEBPACK_IMPORTED_MODULE_1__.icons.parseIconId(iconId);
    if (icon.isFontIcon()) {
      let $iconElem = getOrCreateIconElement.call(this, $icon, '<span>', addToDomFunc).addClass('icon').addClass(icon.appendCssClass('font-icon')).text(icon.iconCharacter);
      _index__WEBPACK_IMPORTED_MODULE_1__.aria.hidden($iconElem, true);
    } else {
      getOrCreateIconElement.call(this, $icon, '<img>', addToDomFunc).attr('src', icon.iconUrl).attr('alt', '').addClass('icon image-icon');
    }
  } else {
    removeIconElement.call(this, $icon);
  }
  return this;

  // ----- Helper functions -----

  function getOrCreateIconElement($icon, newElement, addToDomFunc) {
    // If element type does not match existing element, remove the existing element (e.g. when changing from font-icon to picture icon)
    if ($icon && !$icon.is(newElement.replace(/[<>]/g, ''))) {
      removeIconElement.call(this, $icon);
      $icon = null;
    }
    // Create new element if necessary
    if (!$icon) {
      $icon = jquery__WEBPACK_IMPORTED_MODULE_0___default()(newElement);
      this.data('$icon', $icon);
      if (!addToDomFunc) {
        this.prepend($icon);
      } else {
        addToDomFunc.call(this, $icon);
      }
    }
    return $icon;
  }
  function removeIconElement($icon) {
    if ($icon) {
      $icon.remove();
    }
    this.removeData('$icon');
  }
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).makeSVG = function (type, cssClass, text, id) {
  let myDocument = this.document(true);
  if (myDocument === undefined || type === undefined) {
    return new Error('missing arguments: document, type');
  }
  let $svg = jquery__WEBPACK_IMPORTED_MODULE_0___default()(myDocument.createElementNS('http://www.w3.org/2000/svg', type));
  if (cssClass) {
    $svg.attr('class', cssClass);
  }
  if (text) {
    $svg.text(text);
  }
  if (id !== undefined) {
    $svg.attr('id', id);
  }
  return $svg;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendSVG = function (type, cssClass, text, id) {
  return this.makeSVG(type, cssClass, text, id).appendTo(this);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).attrXLINK = function (attributeName, value) {
  if (this.length === 0) {
    // shortcut for empty collections
    return this;
  }
  if (this.length === 1) {
    // shortcut for single element collections
    this[0].setAttributeNS('http://www.w3.org/1999/xlink', 'xlink:' + attributeName, value);
    return this;
  }
  return this.each(function () {
    this.setAttributeNS('http://www.w3.org/1999/xlink', 'xlink:' + attributeName, value);
  });
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appendAppLink = function (appLinkBean, func) {
  return this.appendSpan().appLink(appLinkBean, func);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).appLink = function (appLinkBean, func) {
  if (!func) {
    func = function (event) {
      let widget = _index__WEBPACK_IMPORTED_MODULE_1__.scout.widget(this);
      if (widget && widget._onAppLinkAction) {
        widget._onAppLinkAction(event);
      }
    }.bind(this);
  } else if (typeof func === 'object' && func._onAppLinkAction) {
    func = func._onAppLinkAction.bind(func);
  }
  this.addClass('app-link').attr('tabindex', '0').unfocusable().on('click', func);
  if (typeof appLinkBean === 'string') {
    this.attr('data-ref', appLinkBean);
  } else {
    this.text(appLinkBean.name).attr('data-ref', appLinkBean.ref);
  }
  return this;
};

/**
 * This function adds a device specific CSS class to the current element.
 * The current implementation adds a class 'ios' if it is an ios device.
 */
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).addDeviceClass = function () {
  let device = _index__WEBPACK_IMPORTED_MODULE_1__.Device.get();
  if (device.isIos()) {
    this.addClass('ios');
  }
  return this;
};

// select one and deselect siblings
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).selectOne = function () {
  this.siblings().removeClass('selected');
  this.addClass('selected');
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).select = function (selected) {
  return this.toggleClass('selected', !!selected);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isSelected = function () {
  return this.hasClass('selected');
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).setEnabled = function (enabled) {
  enabled = !!enabled;
  this.toggleClass('disabled', !enabled);
  // Toggle disabled attribute for elements that support it (see http://www.w3.org/TR/html5/disabled-elements.html)
  if (this.is('button, input, select, textarea, optgroup, option, fieldset')) {
    this.toggleAttr('disabled', !enabled);
  }
  this.trigger(enabled ? 'enable' : 'disable');
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isEnabled = function () {
  return !this.hasClass('disabled');
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).setVisible = function (visible) {
  let isVisible = !this.hasClass('hidden');
  if (isVisible === visible) {
    return this;
  }
  if (!visible) {
    this.addClass('hidden');
    this.trigger('hide');
  } else {
    this.removeClass('hidden');
    this.trigger('show');
  }
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isVisible = function () {
  if (this.hasClass('hidden')) {
    return false;
  }
  return elemVisible(this[0]);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isEveryParentVisible = function () {
  let everyParentVisible = true;
  this.parents().each(function () {
    if (!jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).isVisible()) {
      everyParentVisible = false;
      return false;
    }
  });
  return everyParentVisible;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isDisplayNone = function () {
  return this.css('display') === 'none';
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isVisibilityHidden = function () {
  return this.css('visibility') === 'hidden';
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).setTabbable = function (tabbable) {
  return this.attr('tabindex', tabbable ? 0 : null);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).setTabbableOrFocusable = function (tabbable) {
  return this.attr('tabindex', tabbable ? 0 : -1);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isTabbable = function () {
  return this.attr('tabindex') >= 0;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).placeholder = function (placeholder) {
  return this.toggleAttr('placeholder', !!placeholder, placeholder);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isAttached = function () {
  return jquery__WEBPACK_IMPORTED_MODULE_0___default().contains(this.document(true).documentElement, this[0]);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).scrollParent = function (includePseudoScrollParents) {
  let $elem = this;
  while ($elem.length > 0) {
    if ($elem.data('scrollable') || includePseudoScrollParents && $elem.data('pseudo-scrollable')) {
      return $elem;
    }
    $elem = $elem.parent();
  }
  return jquery__WEBPACK_IMPORTED_MODULE_0___default()();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).scrollParents = function (includePseudoScrollParents) {
  let $scrollParents = jquery__WEBPACK_IMPORTED_MODULE_0___default()();
  let $elem = this;
  while ($elem.length > 0) {
    if ($elem.data('scrollable') || includePseudoScrollParents && $elem.data('pseudo-scrollable')) {
      $scrollParents.push($elem[0]);
    }
    $elem = $elem.parent();
  }
  return $scrollParents;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).findUp = function (predicate, $stop) {
  let $elem = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
  while ($elem.length > 0) {
    if (predicate($elem)) {
      return $elem;
    }
    if ($stop && $elem[0] === $stop[0]) {
      return jquery__WEBPACK_IMPORTED_MODULE_0___default()();
    }
    $elem = $elem.parent();
  }
  return jquery__WEBPACK_IMPORTED_MODULE_0___default()();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isOrHas = function (elem) {
  if (elem instanceof (jquery__WEBPACK_IMPORTED_MODULE_0___default())) {
    elem = elem[0];
  }
  return this[0] === elem || this.has(elem).length > 0;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).animateAVCSD = function (attr, value, complete, step, duration) {
  let properties = {};
  let options = {};
  properties[attr] = value;
  if (complete) {
    options.complete = complete;
  }
  if (step) {
    options.step = step;
  }
  if (duration) {
    options.duration = duration;
  }
  options.queue = false;
  this.animate(properties, options);
  return this;
};

// SVG animate, array contains attr, endValue + startValue
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).animateSVG = function (attr, endValue, duration, complete, withoutTabIndex) {
  return this.each(function () {
    let startValue = parseFloat(jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).attr(attr));
    if (withoutTabIndex) {
      let oldComplete = complete;
      complete = function () {
        if (oldComplete) {
          oldComplete.call(this);
        }
        jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).removeAttr('tabindex');
      };
    }
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).animate({
      tabIndex: 0
    }, {
      step: function (now, fx) {
        this.setAttribute(attr, startValue + (endValue - startValue) * fx.pos);
      },
      duration: duration,
      complete: complete,
      queue: false
    });
  });
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).addClassForAnimation = function (className, options) {
  let defaultOptions = {
    classesToRemove: className
  };
  options = jquery__WEBPACK_IMPORTED_MODULE_0___default().extend({}, defaultOptions, options);
  this.addClass(className);
  this.oneAnimationEnd(event => {
    this.removeClass(options.classesToRemove);
  });
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).oneAnimationEnd = function (handler) {
  if (!handler) {
    return this;
  }
  let oneHandler = event => {
    if (event.target !== this[0]) {
      // Ignore events that bubble up from child elements
      return;
    }
    // Unregister listener to implement "one" semantics
    this.off('animationend webkitAnimationEnd', oneHandler);
    // Notify actual event handler
    handler(event);
  };
  return this.on('animationend webkitAnimationEnd', oneHandler);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).hasAnimationClass = function () {
  // matches any CSS class that starts with 'animate-'
  return /(^|\s)animate-/.test(this.attr('class'));
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssWidthAnimated = function (oldWidth, newWidth, opts) {
  opts = opts || {};
  opts.duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(opts.duration, 300);

  // Reset to old width first
  this.cssWidth(oldWidth);

  // Then animate to new width
  this.animate({
    width: newWidth
  }, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssHeightAnimated = function (oldHeight, newHeight, opts) {
  opts = opts || {};
  opts.duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(opts.duration, 300);

  // Reset to old height first
  this.cssHeight(oldHeight);

  // Then animate to new height
  this.animate({
    height: newHeight
  }, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssLeftAnimated = function (from, to, opts) {
  opts = opts || {};
  opts.duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(opts.duration, 300);

  // Reset to from first
  this.cssLeft(from);

  // Then animate to new width
  this.animate({
    left: to
  }, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssTopAnimated = function (from, to, opts) {
  opts = opts || {};
  opts.duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(opts.duration, 300);

  // Reset to from first
  this.cssTop(from);

  // Then animate to new pos
  this.animate({
    top: to
  }, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssAnimated = function (fromVals, toVals, opts) {
  opts = opts || {};
  opts.duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(opts.duration, 300);

  // Reset to from first
  this.css(fromVals);

  // Then animate to new pos
  this.animate(toVals, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssWidthToContentAnimated = function (opts) {
  let oldW = this.outerWidth(),
    newW = this.css('width', 'auto').outerWidth();
  this.cssWidthAnimated(oldW, newW, opts);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).offsetTo = function ($to) {
  let toOffset = $to.offset(),
    offset = this.offset();
  return {
    top: offset.top - toOffset.top,
    left: offset.left - toOffset.left
  };
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPxValue = function (prop, value) {
  if (value === undefined) {
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber(this.css(prop));
  }
  if (value === null) {
    value = ''; // "null" should also remove the CSS property
  }
  if (typeof value === 'string') {
    return this.css(prop, value);
  }
  return this.css(prop, value + 'px');
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssLeft = function (position) {
  return this.cssPxValue('left', position);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssTop = function (position) {
  return this.cssPxValue('top', position);
};

/**
 * Sets the CSS properties 'left' and 'top' based on the x and y properties of the given point instance.
 *
 * @param {Point} point
 */
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPosition = function (point) {
  return this.cssLeft(point.x).cssTop(point.y);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBottom = function (position) {
  return this.cssPxValue('bottom', position);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssRight = function (position) {
  return this.cssPxValue('right', position);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssWidth = function (width) {
  return this.cssPxValue('width', width);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMinWidth = function (minWidth) {
  if (minWidth === undefined) {
    let value = this.css('min-width');
    if (value === 'auto' || value.indexOf('%') !== -1) {
      return 0;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber(value);
  }
  return this.cssPxValue('min-width', minWidth);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMaxWidth = function (maxWidth) {
  if (maxWidth === undefined) {
    let value = this.css('max-width');
    if (value === 'none' || value.indexOf('%') !== -1) {
      return Number.MAX_VALUE;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber(value);
  }
  return this.cssPxValue('max-width', maxWidth);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssHeight = function (height) {
  return this.cssPxValue('height', height);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMinHeight = function (minHeight) {
  if (minHeight === undefined) {
    let value = this.css('min-height');
    if (value === 'auto' || value.indexOf('%') !== -1) {
      return 0;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber(value);
  }
  return this.cssPxValue('min-height', minHeight);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMaxHeight = function (maxHeight) {
  if (maxHeight === undefined) {
    let value = this.css('max-height');
    if (value === 'none' || value.indexOf('%') !== -1) {
      return Number.MAX_VALUE;
    }
    return jquery__WEBPACK_IMPORTED_MODULE_0___default().pxToNumber(value);
  }
  return this.cssPxValue('max-height', maxHeight);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssLineHeight = function (height) {
  return this.cssPxValue('line-height', height);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginLeft = function (value) {
  return this.cssPxValue('margin-left', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginBottom = function (value) {
  return this.cssPxValue('margin-bottom', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginRight = function (value) {
  return this.cssPxValue('margin-right', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginTop = function (value) {
  return this.cssPxValue('margin-top', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginX = function (value) {
  if (value === undefined) {
    return this.cssMarginLeft() + this.cssMarginRight();
  }
  this.cssMarginLeft(value);
  this.cssMarginRight(value);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssMarginY = function (value) {
  if (value === undefined) {
    return this.cssMarginTop() + this.cssMarginBottom();
  }
  this.cssMarginTop(value);
  this.cssMarginBottom(value);
  return this;
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingTop = function (value) {
  return this.cssPxValue('padding-top', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingRight = function (value) {
  return this.cssPxValue('padding-right', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingBottom = function (value) {
  return this.cssPxValue('padding-bottom', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingLeft = function (value) {
  return this.cssPxValue('padding-left', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingX = function (value) {
  if (value === undefined) {
    return this.cssPaddingLeft() + this.cssPaddingRight();
  }
  this.cssPaddingLeft(value);
  this.cssPaddingRight(value);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssPaddingY = function (value) {
  if (value === undefined) {
    return this.cssPaddingTop() + this.cssPaddingBottom();
  }
  this.cssPaddingTop(value);
  this.cssPaddingBottom(value);
  return this;
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderBottomWidth = function (value) {
  return this.cssPxValue('border-bottom-width', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderLeftWidth = function (value) {
  return this.cssPxValue('border-left-width', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderRightWidth = function (value) {
  return this.cssPxValue('border-right-width', value);
};

// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderTopWidth = function (value) {
  return this.cssPxValue('border-top-width', value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderWidthY = function (value) {
  if (value === undefined) {
    return this.cssBorderTopWidth() + this.cssBorderBottomWidth();
  }
  this.cssBorderTopWidth(value);
  return this.cssBorderBottomWidth(value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).cssBorderWidthX = function (value) {
  if (value === undefined) {
    return this.cssBorderLeftWidth() + this.cssBorderRightWidth();
  }
  this.cssBorderLeftWidth(value);
  return this.cssBorderRightWidth(value);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).innerBottom = function () {
  return this.position().top + this.outerHeight(true) - this.cssMarginBottom() - this.cssBorderBottomWidth();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).innerRight = function () {
  return this.position().left + this.outerWidth(true) - this.cssMarginRight() - this.cssBorderRightWidth();
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).copyCss = function ($origin, props) {
  let properties = props.split(' ');
  let $this = this;
  properties = explodeShorthandProperties(properties);
  properties.forEach(prop => {
    $this.css(prop, $origin.css(prop));
  });
  return $this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).copyCssClasses = function ($other, classString) {
  let classes = classString.split(' ');
  let $this = this;
  classes.forEach(cssClass => {
    if ($other.hasClass(cssClass)) {
      $this.addClass(cssClass);
    }
  });
  return $this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).disableSpellcheck = function () {
  return this.attr('spellcheck', false);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).resizable = function (model) {
  let $this = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
  let resizable = $this.data('resizable');
  if (resizable) {
    // Already resizable
    return this;
  }
  resizable = _index__WEBPACK_IMPORTED_MODULE_1__.scout.create(_index__WEBPACK_IMPORTED_MODULE_1__.Resizable, jquery__WEBPACK_IMPORTED_MODULE_0___default().extend(model, {
    $container: $this
  }));
  $this.data('resizable', resizable);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).unresizable = function () {
  let $this = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
  let resizable = $this.data('resizable');
  if (resizable) {
    resizable.destroy();
    $this.removeData('resizable');
  }
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).draggable = function ($handle, callback) {
  let $draggable = this;
  $handle = $handle || $draggable;
  return $handle.on('mousedown.draggable', event => {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()('iframe').addClass('dragging-in-progress');
    let orig_offset = $draggable.offset();
    let orig_event = event;
    let handleWidth = $handle.width();
    let windowWidth = $handle.window().width();
    let windowHeight = $handle.window().height();
    $handle.parents().on('mousemove.dragging', event => {
      let top = orig_offset.top + (event.pageY - orig_event.pageY);
      let left = orig_offset.left + (event.pageX - orig_event.pageX);
      // do not drop outside of viewport (and leave a margin of 100 pixels)
      left = Math.max(100 - handleWidth, left);
      left = Math.min(windowWidth - 100, left);
      top = Math.max(0, top); // must not be dragged outside of top, otherwise dragging back is impossible
      top = Math.min(windowHeight - 100, top);
      let newOffset = {
        top: top,
        left: left
      };
      $draggable.offset(newOffset);
      callback && callback(newOffset);
    }).on('mouseup.dragging', e => {
      $handle.parents().off('.dragging');
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('iframe').removeClass('dragging-in-progress');
    });
    event.preventDefault();
  });
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).undraggable = function ($handle) {
  let $draggable = this;
  $handle = $handle || $draggable;
  return $handle.off('mousedown.draggable');
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).fadeOutAndRemove = function (duration, callback) {
  if (callback === undefined && typeof duration === 'function') {
    callback = duration;
    duration = undefined;
  }
  duration = _index__WEBPACK_IMPORTED_MODULE_1__.scout.nvl(duration, 150);
  return this.stop(true).fadeOut(duration, function () {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).remove();
    if (callback) {
      callback.call(this);
    }
  });
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).removeAnimated = function (cssClass, callback) {
  if (callback === undefined && typeof cssClass === 'function') {
    callback = cssClass;
    cssClass = undefined;
  }
  if (this.isDisplayNone()) {
    // Remove without animation
    this.remove();
    callback && callback.call(this);
  } else if (!_index__WEBPACK_IMPORTED_MODULE_1__.Device.get().supportsCssAnimation()) {
    // Cannot remove animated, remove with jQuery.fadeOut()
    this.fadeOutAndRemove(callback);
  } else {
    // Add CSS class and wait for 'animationend' event
    this.addClass(cssClass || 'animate-remove');
    this.oneAnimationEnd(function () {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(this).remove();
      callback && callback.call(this);
    });
  }
};
const __origHide = (jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).hide;
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).hide = function () {
  this.trigger('hide');
  for (var _len6 = arguments.length, args = new Array(_len6), _key6 = 0; _key6 < _len6; _key6++) {
    args[_key6] = arguments[_key6];
  }
  return __origHide.apply(this, args);
};
const __origWidth = (jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).width;
// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).width = function () {
  for (var _len7 = arguments.length, args = new Array(_len7), _key7 = 0; _key7 < _len7; _key7++) {
    args[_key7] = arguments[_key7];
  }
  return _ceilNumber(__origWidth.apply(this, args));
};
const __origOuterWidth = (jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).outerWidth;
// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).outerWidth = function () {
  for (var _len8 = arguments.length, args = new Array(_len8), _key8 = 0; _key8 < _len8; _key8++) {
    args[_key8] = arguments[_key8];
  }
  return _ceilNumber(__origOuterWidth.apply(this, args));
};
const __origHeight = (jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).height;
// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).height = function () {
  for (var _len9 = arguments.length, args = new Array(_len9), _key9 = 0; _key9 < _len9; _key9++) {
    args[_key9] = arguments[_key9];
  }
  return _ceilNumber(__origHeight.apply(this, args));
};
let __origOuterHeight = (jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).outerHeight;
// noinspection JSValidateTypes
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).outerHeight = function () {
  for (var _len0 = arguments.length, args = new Array(_len0), _key0 = 0; _key0 < _len0; _key0++) {
    args[_key0] = arguments[_key0];
  }
  return _ceilNumber(__origOuterHeight.apply(this, args));
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).textOrNbsp = function (text, emptyCssClass) {
  return this.contentOrNbsp(false, text, emptyCssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).htmlOrNbsp = function (html, emptyCssClass) {
  return this.contentOrNbsp(true, html, emptyCssClass);
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).contentOrNbsp = function (htmlEnabled, content, emptyCssClass) {
  let func = htmlEnabled ? this.html : this.text;
  if (_index__WEBPACK_IMPORTED_MODULE_1__.strings.hasText(content)) {
    func.call(this, content);
    if (emptyCssClass) {
      this.removeClass(emptyCssClass);
    }
  } else {
    this.html('&nbsp;');
    if (emptyCssClass) {
      this.addClass(emptyCssClass);
    }
  }
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).toggleAttr = function (attr, state, value) {
  if (!attr) {
    return this;
  }
  if (value === undefined) {
    value = attr;
  }
  return this.each(function () {
    let $element = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
    if (state === undefined) {
      // set state according to the current value
      state = $element.attr(attr) === undefined;
    }
    if (state) {
      // set attr
      $element.attr(attr, value);
    } else {
      // remove attr
      $element.removeAttr(attr);
    }
  });
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).attrOrRemove = function (attributeName, value) {
  if (value) {
    this.attr(attributeName, value);
  } else {
    this.removeAttr(attributeName);
  }
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).unfocusable = function () {
  return this.addClass('unfocusable');
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).selectAllText = function () {
  let range,
    myDocument = this.document(true),
    myWindow = this.window(true),
    element = this[0];
  if (!myDocument || !myDocument.body || !myWindow || !element) {
    return this;
  }
  if (myWindow.getSelection) {
    range = myDocument.createRange();
    range.selectNodeContents(element);
    myWindow.getSelection().removeAllRanges();
    myWindow.getSelection().addRange(range);
  }
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn)._getClientAndScrollWidthRounded = function () {
  let element = this[0];
  if (_index__WEBPACK_IMPORTED_MODULE_1__.Device.get().isEdge()) {
    // Edge seem to round up the scrollWidth. Therefore the clientWidth must be rounded up as well to have a valid comparison.
    return {
      clientWidth: Math.ceil(element.getBoundingClientRect().width) - this.cssBorderWidthX(),
      // getBoundingClientRect includes the border -> remove it again to have the clientWidth
      scrollWidth: element.scrollWidth
    };
  }
  return {
    clientWidth: element.clientWidth,
    scrollWidth: element.scrollWidth
  };
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn)._getClientAndScrollWidthReliable = function () {
  let widths = this._getClientAndScrollWidthRounded();
  if (!_index__WEBPACK_IMPORTED_MODULE_1__.Device.get().isScrollWidthIncludingPadding()) {
    // browser supports accurate client- and scroll widths.
    return widths;
  }
  if (widths.scrollWidth > widths.clientWidth) {
    // content is large enough so that the scroll-width is already larger than the client-width. Values are correct.
    return widths;
  }
  let paddingRight = this.cssPaddingRight(),
    oldStyle = this.attr('style');
  if (paddingRight > 0) {
    // Some browsers render text within the right-padding (even with overflow=hidden). This has an effect on the value of scrollWidth which may be wrong in these cases (scrollWidth == clientWidth but ellipsis is shown).
    // Solution: temporary remove the padding and reduce the width by the padding-size to have the same space for the text but without padding.
    this.css({
      width: widths.clientWidth - paddingRight,
      paddingRight: '0px'
    });
    widths = this._getClientAndScrollWidthRounded(); // read value again.
    this.attrOrRemove('style', oldStyle);
    if (widths.scrollWidth > widths.clientWidth) {
      return widths;
    }
  }

  // In some cases the browser returns the same values for clientWidth and scrollWidth,
  // but will cut off the text nevertheless. At least in FF this seems to be a bug related
  // to sub-pixel rendering. The text is "slightly" (0.2 pixels) larger than the clientWidth,
  // but scrollWidth returns the same value.
  // As a workaround, we do a second measurement of the uncut width before returning false.
  let clientWidth = this[0].getBoundingClientRect().width;
  this.css('width', 'auto');
  this.css('max-width', 'none');
  let scrollWidth = this[0].getBoundingClientRect().width;
  this.attrOrRemove('style', oldStyle);
  return {
    clientWidth: clientWidth,
    scrollWidth: scrollWidth
  };
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).isContentTruncated = function () {
  let widths = this._getClientAndScrollWidthReliable();
  return widths.scrollWidth > widths.clientWidth;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).onPassive = function (eventType, handler) {
  let options = _index__WEBPACK_IMPORTED_MODULE_1__.events.passiveOptions();
  this[0].addEventListener(eventType, handler, options);
  return this;
};
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).offPassive = function (eventType, handler) {
  let options = _index__WEBPACK_IMPORTED_MODULE_1__.events.passiveOptions();
  this[0].removeEventListener(eventType, handler, options);
  return this;
};

/**
 * Focuses the element if it is focusable.
 *
 * The focus function of jQuery triggers a focus event instead of focusing the element (since 3.7.1 even if the element is not focusable).
 * Because that is not the expected behavior, this replacement calls the native focus function.
 */
(jquery__WEBPACK_IMPORTED_MODULE_0___default().fn).focus = function () {
  if (this.length === 0) {
    return this;
  }
  this[0].focus();
  return this;
};

// === $.easing extensions ===

jquery__WEBPACK_IMPORTED_MODULE_0___default().extend((jquery__WEBPACK_IMPORTED_MODULE_0___default().easing), {
  easeInQuart: x => Math.pow(x, 4),
  easeOutQuart: x => 1 - Math.pow(1 - x, 4)
});

/**
 * jquery.binarytransport.js
 *
 * @description. jQuery ajax transport for making binary data type requests.
 * @version 1.0
 * @author Henry Algus <henryalgus@gmail.com>
 *
 * The MIT License (MIT)
 *
 * Copyright (c) 2014 Henry Algus
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

// use this transport for "binary" data type
jquery__WEBPACK_IMPORTED_MODULE_0___default().ajaxTransport('+binary', (options, originalOptions, jqXHR) => {
  // check for conditions and support for blob / arraybuffer response type
  if (window.FormData && (options.dataType && options.dataType === 'binary' || options.data && (window.ArrayBuffer && options.data instanceof ArrayBuffer || window.Blob && options.data instanceof Blob))) {
    return {
      // create new XMLHttpRequest
      send: (headers, callback) => {
        // setup all variables
        let xhr = new XMLHttpRequest(),
          url = options.url,
          type = options.type,
          async = options.async || true,
          // blob or arraybuffer. Default is blob
          dataType = options.responseType || 'blob',
          data = options.data || null,
          username = options.username || null,
          password = options.password || null;
        xhr.addEventListener('load', () => {
          let data = {};
          data[options.dataType] = xhr.response;
          // make callback and send data
          callback(xhr.status, xhr.statusText, data, xhr.getAllResponseHeaders());
        });
        xhr.open(type, url, async, username, password);

        // setup custom headers
        for (let i in headers) {
          // NOSONAR
          xhr.setRequestHeader(i, headers[i]);
        }

        // apply custom fields (if provided)
        // noinspection JSUnresolvedVariable
        if (options.xhrFields) {
          for (let j in options.xhrFields) {
            xhr[j] = options.xhrFields[j];
          }
        }
        xhr.responseType = dataType;
        xhr.send(data);
      },
      abort: () => {
        // nop
      }
    };
  }
});

// jquery's noGlobal is true with webpack so jquery does not expose $ by itself
if (window.$ !== (jquery__WEBPACK_IMPORTED_MODULE_0___default())) {
  window.$ = (jquery__WEBPACK_IMPORTED_MODULE_0___default());
}

/***/ }),

/***/ "jquery":
/*!*************************!*\
  !*** external "jquery" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("jquery");

/***/ }),

/***/ "sourcemapped-stacktrace":
/*!******************************************!*\
  !*** external "sourcemapped-stacktrace" ***!
  \******************************************/
/***/ ((module) => {

module.exports = __WEBPACK_EXTERNAL_MODULE_sourcemapped_stacktrace_254f05bd__;

/***/ })

/******/ });
/************************************************************************/
/******/ // The module cache
/******/ var __webpack_module_cache__ = {};
/******/ 
/******/ // The require function
/******/ function __webpack_require__(moduleId) {
/******/ 	// Check if module is in cache
/******/ 	var cachedModule = __webpack_module_cache__[moduleId];
/******/ 	if (cachedModule !== undefined) {
/******/ 		return cachedModule.exports;
/******/ 	}
/******/ 	// Create a new module (and put it into the cache)
/******/ 	var module = __webpack_module_cache__[moduleId] = {
/******/ 		// no module.id needed
/******/ 		// no module.loaded needed
/******/ 		exports: {}
/******/ 	};
/******/ 
/******/ 	// Execute the module function
/******/ 	__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 
/******/ 	// Return the exports of the module
/******/ 	return module.exports;
/******/ }
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/compat get default export */
/******/ (() => {
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = (module) => {
/******/ 		var getter = module && module.__esModule ?
/******/ 			() => (module['default']) :
/******/ 			() => (module);
/******/ 		__webpack_require__.d(getter, { a: getter });
/******/ 		return getter;
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__webpack_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/******/ /* webpack/runtime/make namespace object */
/******/ (() => {
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = (exports) => {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/ })();
/******/ 
/************************************************************************/
/******/ 
/******/ // startup
/******/ // Load entry module and return exports
/******/ // This entry module is referenced by other modules so it can't be inlined
/******/ var __webpack_exports__ = __webpack_require__("./src/index.ts");
/******/ var __webpack_exports__AbortKeyStroke = __webpack_exports__.AbortKeyStroke;
/******/ var __webpack_exports__AbstractCompactTreeControlKeyStroke = __webpack_exports__.AbstractCompactTreeControlKeyStroke;
/******/ var __webpack_exports__AbstractGrid = __webpack_exports__.AbstractGrid;
/******/ var __webpack_exports__AbstractLayout = __webpack_exports__.AbstractLayout;
/******/ var __webpack_exports__AbstractTableAccessibilityRenderer = __webpack_exports__.AbstractTableAccessibilityRenderer;
/******/ var __webpack_exports__AbstractTableNavigationKeyStroke = __webpack_exports__.AbstractTableNavigationKeyStroke;
/******/ var __webpack_exports__AbstractTreeNavigationKeyStroke = __webpack_exports__.AbstractTreeNavigationKeyStroke;
/******/ var __webpack_exports__AccessControl = __webpack_exports__.AccessControl;
/******/ var __webpack_exports__Accordion = __webpack_exports__.Accordion;
/******/ var __webpack_exports__AccordionAdapter = __webpack_exports__.AccordionAdapter;
/******/ var __webpack_exports__AccordionField = __webpack_exports__.AccordionField;
/******/ var __webpack_exports__AccordionFieldAdapter = __webpack_exports__.AccordionFieldAdapter;
/******/ var __webpack_exports__AccordionLayout = __webpack_exports__.AccordionLayout;
/******/ var __webpack_exports__Action = __webpack_exports__.Action;
/******/ var __webpack_exports__ActionAdapter = __webpack_exports__.ActionAdapter;
/******/ var __webpack_exports__ActionExecKeyStroke = __webpack_exports__.ActionExecKeyStroke;
/******/ var __webpack_exports__ActionKeyStroke = __webpack_exports__.ActionKeyStroke;
/******/ var __webpack_exports__AggregateTableControl = __webpack_exports__.AggregateTableControl;
/******/ var __webpack_exports__AggregateTableControlAdapter = __webpack_exports__.AggregateTableControlAdapter;
/******/ var __webpack_exports__AjaxCall = __webpack_exports__.AjaxCall;
/******/ var __webpack_exports__AjaxError = __webpack_exports__.AjaxError;
/******/ var __webpack_exports__AlphanumericSortingStringColumn = __webpack_exports__.AlphanumericSortingStringColumn;
/******/ var __webpack_exports__App = __webpack_exports__.App;
/******/ var __webpack_exports__AppLinkKeyStroke = __webpack_exports__.AppLinkKeyStroke;
/******/ var __webpack_exports__AriaLabelledByInsertPosition = __webpack_exports__.AriaLabelledByInsertPosition;
/******/ var __webpack_exports__AutoLeafPageWithNodes = __webpack_exports__.AutoLeafPageWithNodes;
/******/ var __webpack_exports__BackgroundJobPollingStatus = __webpack_exports__.BackgroundJobPollingStatus;
/******/ var __webpack_exports__BackgroundJobPollingSupport = __webpack_exports__.BackgroundJobPollingSupport;
/******/ var __webpack_exports__BasicField = __webpack_exports__.BasicField;
/******/ var __webpack_exports__BasicFieldAdapter = __webpack_exports__.BasicFieldAdapter;
/******/ var __webpack_exports__BeanColumn = __webpack_exports__.BeanColumn;
/******/ var __webpack_exports__BeanField = __webpack_exports__.BeanField;
/******/ var __webpack_exports__BeanFieldAdapter = __webpack_exports__.BeanFieldAdapter;
/******/ var __webpack_exports__BeanTile = __webpack_exports__.BeanTile;
/******/ var __webpack_exports__BeanTileAdapter = __webpack_exports__.BeanTileAdapter;
/******/ var __webpack_exports__BenchColumn = __webpack_exports__.BenchColumn;
/******/ var __webpack_exports__BenchColumnLayoutData = __webpack_exports__.BenchColumnLayoutData;
/******/ var __webpack_exports__BenchRowLayoutData = __webpack_exports__.BenchRowLayoutData;
/******/ var __webpack_exports__BooleanColumn = __webpack_exports__.BooleanColumn;
/******/ var __webpack_exports__Box = __webpack_exports__.Box;
/******/ var __webpack_exports__BoxButtons = __webpack_exports__.BoxButtons;
/******/ var __webpack_exports__BreadcrumbBar = __webpack_exports__.BreadcrumbBar;
/******/ var __webpack_exports__BreadcrumbBarAdapter = __webpack_exports__.BreadcrumbBarAdapter;
/******/ var __webpack_exports__BreadcrumbBarField = __webpack_exports__.BreadcrumbBarField;
/******/ var __webpack_exports__BreadcrumbBarFieldAdapter = __webpack_exports__.BreadcrumbBarFieldAdapter;
/******/ var __webpack_exports__BreadcrumbBarLayout = __webpack_exports__.BreadcrumbBarLayout;
/******/ var __webpack_exports__BreadcrumbItem = __webpack_exports__.BreadcrumbItem;
/******/ var __webpack_exports__BreadcrumbItemAdapter = __webpack_exports__.BreadcrumbItemAdapter;
/******/ var __webpack_exports__BrowserField = __webpack_exports__.BrowserField;
/******/ var __webpack_exports__BrowserFieldAdapter = __webpack_exports__.BrowserFieldAdapter;
/******/ var __webpack_exports__BrowserFieldLayout = __webpack_exports__.BrowserFieldLayout;
/******/ var __webpack_exports__BusyIndicator = __webpack_exports__.BusyIndicator;
/******/ var __webpack_exports__BusySupport = __webpack_exports__.BusySupport;
/******/ var __webpack_exports__Button = __webpack_exports__.Button;
/******/ var __webpack_exports__ButtonAdapter = __webpack_exports__.ButtonAdapter;
/******/ var __webpack_exports__ButtonAdapterMenu = __webpack_exports__.ButtonAdapterMenu;
/******/ var __webpack_exports__ButtonKeyStroke = __webpack_exports__.ButtonKeyStroke;
/******/ var __webpack_exports__ButtonLayout = __webpack_exports__.ButtonLayout;
/******/ var __webpack_exports__ButtonTile = __webpack_exports__.ButtonTile;
/******/ var __webpack_exports__CachedElement = __webpack_exports__.CachedElement;
/******/ var __webpack_exports__Calculator = __webpack_exports__.Calculator;
/******/ var __webpack_exports__Calendar = __webpack_exports__.Calendar;
/******/ var __webpack_exports__CalendarAdapter = __webpack_exports__.CalendarAdapter;
/******/ var __webpack_exports__CalendarComponent = __webpack_exports__.CalendarComponent;
/******/ var __webpack_exports__CalendarComponentAdapter = __webpack_exports__.CalendarComponentAdapter;
/******/ var __webpack_exports__CalendarField = __webpack_exports__.CalendarField;
/******/ var __webpack_exports__CalendarFieldAdapter = __webpack_exports__.CalendarFieldAdapter;
/******/ var __webpack_exports__CalendarLayout = __webpack_exports__.CalendarLayout;
/******/ var __webpack_exports__CalendarListComponent = __webpack_exports__.CalendarListComponent;
/******/ var __webpack_exports__CalendarModeMenu = __webpack_exports__.CalendarModeMenu;
/******/ var __webpack_exports__CalendarModesMenu = __webpack_exports__.CalendarModesMenu;
/******/ var __webpack_exports__CalendarResourceLookupCall = __webpack_exports__.CalendarResourceLookupCall;
/******/ var __webpack_exports__CalendarSidebar = __webpack_exports__.CalendarSidebar;
/******/ var __webpack_exports__CalendarSidebarLayout = __webpack_exports__.CalendarSidebarLayout;
/******/ var __webpack_exports__CalendarSidebarSplitter = __webpack_exports__.CalendarSidebarSplitter;
/******/ var __webpack_exports__Call = __webpack_exports__.Call;
/******/ var __webpack_exports__CancelMenu = __webpack_exports__.CancelMenu;
/******/ var __webpack_exports__Carousel = __webpack_exports__.Carousel;
/******/ var __webpack_exports__CarouselField = __webpack_exports__.CarouselField;
/******/ var __webpack_exports__CarouselLayout = __webpack_exports__.CarouselLayout;
/******/ var __webpack_exports__Cell = __webpack_exports__.Cell;
/******/ var __webpack_exports__CellEditorCancelEditKeyStroke = __webpack_exports__.CellEditorCancelEditKeyStroke;
/******/ var __webpack_exports__CellEditorCompleteEditKeyStroke = __webpack_exports__.CellEditorCompleteEditKeyStroke;
/******/ var __webpack_exports__CellEditorPopup = __webpack_exports__.CellEditorPopup;
/******/ var __webpack_exports__CellEditorPopupLayout = __webpack_exports__.CellEditorPopupLayout;
/******/ var __webpack_exports__CellEditorTabKeyStroke = __webpack_exports__.CellEditorTabKeyStroke;
/******/ var __webpack_exports__CheckBoxField = __webpack_exports__.CheckBoxField;
/******/ var __webpack_exports__CheckBoxFieldAdapter = __webpack_exports__.CheckBoxFieldAdapter;
/******/ var __webpack_exports__CheckBoxToggleKeyStroke = __webpack_exports__.CheckBoxToggleKeyStroke;
/******/ var __webpack_exports__ClickActiveElementKeyStroke = __webpack_exports__.ClickActiveElementKeyStroke;
/******/ var __webpack_exports__ClipboardField = __webpack_exports__.ClipboardField;
/******/ var __webpack_exports__ClipboardFieldAdapter = __webpack_exports__.ClipboardFieldAdapter;
/******/ var __webpack_exports__CloseKeyStroke = __webpack_exports__.CloseKeyStroke;
/******/ var __webpack_exports__CloseMenu = __webpack_exports__.CloseMenu;
/******/ var __webpack_exports__Code = __webpack_exports__.Code;
/******/ var __webpack_exports__CodeLookupCall = __webpack_exports__.CodeLookupCall;
/******/ var __webpack_exports__CodeType = __webpack_exports__.CodeType;
/******/ var __webpack_exports__CodeTypeCache = __webpack_exports__.CodeTypeCache;
/******/ var __webpack_exports__CollapseHandle = __webpack_exports__.CollapseHandle;
/******/ var __webpack_exports__ColorField = __webpack_exports__.ColorField;
/******/ var __webpack_exports__ColorFieldAdapter = __webpack_exports__.ColorFieldAdapter;
/******/ var __webpack_exports__Column = __webpack_exports__.Column;
/******/ var __webpack_exports__ColumnLayout = __webpack_exports__.ColumnLayout;
/******/ var __webpack_exports__ColumnOptimalWidthMeasurer = __webpack_exports__.ColumnOptimalWidthMeasurer;
/******/ var __webpack_exports__ColumnUserFilter = __webpack_exports__.ColumnUserFilter;
/******/ var __webpack_exports__ColumnsTable = __webpack_exports__.ColumnsTable;
/******/ var __webpack_exports__ComboMenu = __webpack_exports__.ComboMenu;
/******/ var __webpack_exports__ComboMenuAdapter = __webpack_exports__.ComboMenuAdapter;
/******/ var __webpack_exports__CompactBean = __webpack_exports__.CompactBean;
/******/ var __webpack_exports__CompactColumn = __webpack_exports__.CompactColumn;
/******/ var __webpack_exports__CompactLine = __webpack_exports__.CompactLine;
/******/ var __webpack_exports__CompactLineBlock = __webpack_exports__.CompactLineBlock;
/******/ var __webpack_exports__CompactTree = __webpack_exports__.CompactTree;
/******/ var __webpack_exports__CompactTreeDownKeyStroke = __webpack_exports__.CompactTreeDownKeyStroke;
/******/ var __webpack_exports__CompactTreeLeftKeyStroke = __webpack_exports__.CompactTreeLeftKeyStroke;
/******/ var __webpack_exports__CompactTreeNode = __webpack_exports__.CompactTreeNode;
/******/ var __webpack_exports__CompactTreeRightKeyStroke = __webpack_exports__.CompactTreeRightKeyStroke;
/******/ var __webpack_exports__CompactTreeUpKeyStroke = __webpack_exports__.CompactTreeUpKeyStroke;
/******/ var __webpack_exports__Composite = __webpack_exports__.Composite;
/******/ var __webpack_exports__CompositeField = __webpack_exports__.CompositeField;
/******/ var __webpack_exports__CompositeFieldAdapter = __webpack_exports__.CompositeFieldAdapter;
/******/ var __webpack_exports__CompositeTile = __webpack_exports__.CompositeTile;
/******/ var __webpack_exports__ConfigPropertyCache = __webpack_exports__.ConfigPropertyCache;
/******/ var __webpack_exports__ContextMenuKeyStroke = __webpack_exports__.ContextMenuKeyStroke;
/******/ var __webpack_exports__ContextMenuPopup = __webpack_exports__.ContextMenuPopup;
/******/ var __webpack_exports__ContextMenuPopupLayout = __webpack_exports__.ContextMenuPopupLayout;
/******/ var __webpack_exports__CopyKeyStroke = __webpack_exports__.CopyKeyStroke;
/******/ var __webpack_exports__DateColumn = __webpack_exports__.DateColumn;
/******/ var __webpack_exports__DateColumnUserFilter = __webpack_exports__.DateColumnUserFilter;
/******/ var __webpack_exports__DateField = __webpack_exports__.DateField;
/******/ var __webpack_exports__DateFieldAdapter = __webpack_exports__.DateFieldAdapter;
/******/ var __webpack_exports__DateFormat = __webpack_exports__.DateFormat;
/******/ var __webpack_exports__DateFormatPatternDefinition = __webpack_exports__.DateFormatPatternDefinition;
/******/ var __webpack_exports__DateFormatPatternType = __webpack_exports__.DateFormatPatternType;
/******/ var __webpack_exports__DatePicker = __webpack_exports__.DatePicker;
/******/ var __webpack_exports__DatePickerPopup = __webpack_exports__.DatePickerPopup;
/******/ var __webpack_exports__DatePickerPopupLayout = __webpack_exports__.DatePickerPopupLayout;
/******/ var __webpack_exports__DatePickerTouchPopup = __webpack_exports__.DatePickerTouchPopup;
/******/ var __webpack_exports__DatePickerTouchPopupLayout = __webpack_exports__.DatePickerTouchPopupLayout;
/******/ var __webpack_exports__DatePredictionFailedStatus = __webpack_exports__.DatePredictionFailedStatus;
/******/ var __webpack_exports__DateRange = __webpack_exports__.DateRange;
/******/ var __webpack_exports__DateTimeCompositeLayout = __webpack_exports__.DateTimeCompositeLayout;
/******/ var __webpack_exports__DecimalFormat = __webpack_exports__.DecimalFormat;
/******/ var __webpack_exports__DefaultStatus = __webpack_exports__.DefaultStatus;
/******/ var __webpack_exports__DefaultTableAccessibilityRenderer = __webpack_exports__.DefaultTableAccessibilityRenderer;
/******/ var __webpack_exports__DeferredGlassPaneTarget = __webpack_exports__.DeferredGlassPaneTarget;
/******/ var __webpack_exports__Desktop = __webpack_exports__.Desktop;
/******/ var __webpack_exports__DesktopAdapter = __webpack_exports__.DesktopAdapter;
/******/ var __webpack_exports__DesktopBench = __webpack_exports__.DesktopBench;
/******/ var __webpack_exports__DesktopFormController = __webpack_exports__.DesktopFormController;
/******/ var __webpack_exports__DesktopHeader = __webpack_exports__.DesktopHeader;
/******/ var __webpack_exports__DesktopHeaderLayout = __webpack_exports__.DesktopHeaderLayout;
/******/ var __webpack_exports__DesktopLayout = __webpack_exports__.DesktopLayout;
/******/ var __webpack_exports__DesktopLogo = __webpack_exports__.DesktopLogo;
/******/ var __webpack_exports__DesktopNavigation = __webpack_exports__.DesktopNavigation;
/******/ var __webpack_exports__DesktopNavigationHandle = __webpack_exports__.DesktopNavigationHandle;
/******/ var __webpack_exports__DesktopNavigationLayout = __webpack_exports__.DesktopNavigationLayout;
/******/ var __webpack_exports__DesktopNotification = __webpack_exports__.DesktopNotification;
/******/ var __webpack_exports__DesktopNotificationAdapter = __webpack_exports__.DesktopNotificationAdapter;
/******/ var __webpack_exports__DesktopResponsiveHandler = __webpack_exports__.DesktopResponsiveHandler;
/******/ var __webpack_exports__DesktopTab = __webpack_exports__.DesktopTab;
/******/ var __webpack_exports__DesktopTabArea = __webpack_exports__.DesktopTabArea;
/******/ var __webpack_exports__DesktopTabAreaLayout = __webpack_exports__.DesktopTabAreaLayout;
/******/ var __webpack_exports__DesktopTabBoxController = __webpack_exports__.DesktopTabBoxController;
/******/ var __webpack_exports__DesktopTabSelectKeyStroke = __webpack_exports__.DesktopTabSelectKeyStroke;
/******/ var __webpack_exports__DesktopToolBox = __webpack_exports__.DesktopToolBox;
/******/ var __webpack_exports__DetailTableTreeFilter = __webpack_exports__.DetailTableTreeFilter;
/******/ var __webpack_exports__Device = __webpack_exports__.Device;
/******/ var __webpack_exports__DialogLayout = __webpack_exports__.DialogLayout;
/******/ var __webpack_exports__Dimension = __webpack_exports__.Dimension;
/******/ var __webpack_exports__DisableBrowserF5ReloadKeyStroke = __webpack_exports__.DisableBrowserF5ReloadKeyStroke;
/******/ var __webpack_exports__DisableBrowserTabSwitchingKeyStroke = __webpack_exports__.DisableBrowserTabSwitchingKeyStroke;
/******/ var __webpack_exports__DisplayChildController = __webpack_exports__.DisplayChildController;
/******/ var __webpack_exports__DoubleClickSupport = __webpack_exports__.DoubleClickSupport;
/******/ var __webpack_exports__DragAndDropHandler = __webpack_exports__.DragAndDropHandler;
/******/ var __webpack_exports__DropType = __webpack_exports__.DropType;
/******/ var __webpack_exports__EllipsisMenu = __webpack_exports__.EllipsisMenu;
/******/ var __webpack_exports__EllipsisTabMenu = __webpack_exports__.EllipsisTabMenu;
/******/ var __webpack_exports__EnlargeNavigationKeyStroke = __webpack_exports__.EnlargeNavigationKeyStroke;
/******/ var __webpack_exports__ErrorHandler = __webpack_exports__.ErrorHandler;
/******/ var __webpack_exports__Event = __webpack_exports__.Event;
/******/ var __webpack_exports__EventDelegator = __webpack_exports__.EventDelegator;
/******/ var __webpack_exports__EventEmitter = __webpack_exports__.EventEmitter;
/******/ var __webpack_exports__EventSupport = __webpack_exports__.EventSupport;
/******/ var __webpack_exports__Extension = __webpack_exports__.Extension;
/******/ var __webpack_exports__FieldStatus = __webpack_exports__.FieldStatus;
/******/ var __webpack_exports__FileChooser = __webpack_exports__.FileChooser;
/******/ var __webpack_exports__FileChooserAdapter = __webpack_exports__.FileChooserAdapter;
/******/ var __webpack_exports__FileChooserButton = __webpack_exports__.FileChooserButton;
/******/ var __webpack_exports__FileChooserButtonAdapter = __webpack_exports__.FileChooserButtonAdapter;
/******/ var __webpack_exports__FileChooserController = __webpack_exports__.FileChooserController;
/******/ var __webpack_exports__FileChooserField = __webpack_exports__.FileChooserField;
/******/ var __webpack_exports__FileChooserFieldAdapter = __webpack_exports__.FileChooserFieldAdapter;
/******/ var __webpack_exports__FileChooserFieldBrowseKeyStroke = __webpack_exports__.FileChooserFieldBrowseKeyStroke;
/******/ var __webpack_exports__FileChooserFieldDeleteKeyStroke = __webpack_exports__.FileChooserFieldDeleteKeyStroke;
/******/ var __webpack_exports__FileInput = __webpack_exports__.FileInput;
/******/ var __webpack_exports__FilterFieldsGroupBox = __webpack_exports__.FilterFieldsGroupBox;
/******/ var __webpack_exports__FilterSupport = __webpack_exports__.FilterSupport;
/******/ var __webpack_exports__FlexboxLayout = __webpack_exports__.FlexboxLayout;
/******/ var __webpack_exports__FlexboxLayoutData = __webpack_exports__.FlexboxLayoutData;
/******/ var __webpack_exports__FocusAdjacentElementKeyStroke = __webpack_exports__.FocusAdjacentElementKeyStroke;
/******/ var __webpack_exports__FocusContext = __webpack_exports__.FocusContext;
/******/ var __webpack_exports__FocusFilterFieldKeyStroke = __webpack_exports__.FocusFilterFieldKeyStroke;
/******/ var __webpack_exports__FocusManager = __webpack_exports__.FocusManager;
/******/ var __webpack_exports__FocusRule = __webpack_exports__.FocusRule;
/******/ var __webpack_exports__Form = __webpack_exports__.Form;
/******/ var __webpack_exports__FormAdapter = __webpack_exports__.FormAdapter;
/******/ var __webpack_exports__FormController = __webpack_exports__.FormController;
/******/ var __webpack_exports__FormField = __webpack_exports__.FormField;
/******/ var __webpack_exports__FormFieldAdapter = __webpack_exports__.FormFieldAdapter;
/******/ var __webpack_exports__FormFieldLayout = __webpack_exports__.FormFieldLayout;
/******/ var __webpack_exports__FormFieldMenu = __webpack_exports__.FormFieldMenu;
/******/ var __webpack_exports__FormFieldMenuAdapter = __webpack_exports__.FormFieldMenuAdapter;
/******/ var __webpack_exports__FormFieldTile = __webpack_exports__.FormFieldTile;
/******/ var __webpack_exports__FormFieldTileAdapter = __webpack_exports__.FormFieldTileAdapter;
/******/ var __webpack_exports__FormFieldValidationResultProvider = __webpack_exports__.FormFieldValidationResultProvider;
/******/ var __webpack_exports__FormGrid = __webpack_exports__.FormGrid;
/******/ var __webpack_exports__FormLayout = __webpack_exports__.FormLayout;
/******/ var __webpack_exports__FormLifecycle = __webpack_exports__.FormLifecycle;
/******/ var __webpack_exports__FormLifecycleMenu = __webpack_exports__.FormLifecycleMenu;
/******/ var __webpack_exports__FormMenu = __webpack_exports__.FormMenu;
/******/ var __webpack_exports__FormMenuActionKeyStroke = __webpack_exports__.FormMenuActionKeyStroke;
/******/ var __webpack_exports__FormMenuAdapter = __webpack_exports__.FormMenuAdapter;
/******/ var __webpack_exports__FormTableControl = __webpack_exports__.FormTableControl;
/******/ var __webpack_exports__FormTableControlAdapter = __webpack_exports__.FormTableControlAdapter;
/******/ var __webpack_exports__FormTableControlLayout = __webpack_exports__.FormTableControlLayout;
/******/ var __webpack_exports__GeoLocationUiHandler = __webpack_exports__.GeoLocationUiHandler;
/******/ var __webpack_exports__GlassPane = __webpack_exports__.GlassPane;
/******/ var __webpack_exports__GlassPaneRenderer = __webpack_exports__.GlassPaneRenderer;
/******/ var __webpack_exports__GridData = __webpack_exports__.GridData;
/******/ var __webpack_exports__Group = __webpack_exports__.Group;
/******/ var __webpack_exports__GroupAdapter = __webpack_exports__.GroupAdapter;
/******/ var __webpack_exports__GroupBox = __webpack_exports__.GroupBox;
/******/ var __webpack_exports__GroupBoxAdapter = __webpack_exports__.GroupBoxAdapter;
/******/ var __webpack_exports__GroupBoxGridConfig = __webpack_exports__.GroupBoxGridConfig;
/******/ var __webpack_exports__GroupBoxLayout = __webpack_exports__.GroupBoxLayout;
/******/ var __webpack_exports__GroupBoxMenuItemsOrder = __webpack_exports__.GroupBoxMenuItemsOrder;
/******/ var __webpack_exports__GroupBoxResponsiveHandler = __webpack_exports__.GroupBoxResponsiveHandler;
/******/ var __webpack_exports__GroupLayout = __webpack_exports__.GroupLayout;
/******/ var __webpack_exports__GroupToggleCollapseKeyStroke = __webpack_exports__.GroupToggleCollapseKeyStroke;
/******/ var __webpack_exports__HAlign = __webpack_exports__.HAlign;
/******/ var __webpack_exports__HeaderTabBoxController = __webpack_exports__.HeaderTabBoxController;
/******/ var __webpack_exports__HierarchicalLookupResultBuilder = __webpack_exports__.HierarchicalLookupResultBuilder;
/******/ var __webpack_exports__HierarchicalTableAccessibilityRenderer = __webpack_exports__.HierarchicalTableAccessibilityRenderer;
/******/ var __webpack_exports__HorizontalGrid = __webpack_exports__.HorizontalGrid;
/******/ var __webpack_exports__HorizontalGridMatrix = __webpack_exports__.HorizontalGridMatrix;
/******/ var __webpack_exports__HtmlComponent = __webpack_exports__.HtmlComponent;
/******/ var __webpack_exports__HtmlEncoder = __webpack_exports__.HtmlEncoder;
/******/ var __webpack_exports__HtmlEnvironment = __webpack_exports__.HtmlEnvironment;
/******/ var __webpack_exports__HtmlField = __webpack_exports__.HtmlField;
/******/ var __webpack_exports__HtmlFieldAdapter = __webpack_exports__.HtmlFieldAdapter;
/******/ var __webpack_exports__HtmlTile = __webpack_exports__.HtmlTile;
/******/ var __webpack_exports__HtmlTileAdapter = __webpack_exports__.HtmlTileAdapter;
/******/ var __webpack_exports__HybridActionContextElement = __webpack_exports__.HybridActionContextElement;
/******/ var __webpack_exports__HybridActionContextElementConverter = __webpack_exports__.HybridActionContextElementConverter;
/******/ var __webpack_exports__HybridActionContextElementConverters = __webpack_exports__.HybridActionContextElementConverters;
/******/ var __webpack_exports__HybridActionContextElements = __webpack_exports__.HybridActionContextElements;
/******/ var __webpack_exports__HybridManager = __webpack_exports__.HybridManager;
/******/ var __webpack_exports__HybridManagerAdapter = __webpack_exports__.HybridManagerAdapter;
/******/ var __webpack_exports__IFrame = __webpack_exports__.IFrame;
/******/ var __webpack_exports__IFrameKeyStrokeContext = __webpack_exports__.IFrameKeyStrokeContext;
/******/ var __webpack_exports__Icon = __webpack_exports__.Icon;
/******/ var __webpack_exports__IconColumn = __webpack_exports__.IconColumn;
/******/ var __webpack_exports__IconDesc = __webpack_exports__.IconDesc;
/******/ var __webpack_exports__Image = __webpack_exports__.Image;
/******/ var __webpack_exports__ImageField = __webpack_exports__.ImageField;
/******/ var __webpack_exports__ImageFieldAdapter = __webpack_exports__.ImageFieldAdapter;
/******/ var __webpack_exports__ImageFieldLayout = __webpack_exports__.ImageFieldLayout;
/******/ var __webpack_exports__ImageLayout = __webpack_exports__.ImageLayout;
/******/ var __webpack_exports__InputFieldKeyStrokeContext = __webpack_exports__.InputFieldKeyStrokeContext;
/******/ var __webpack_exports__Insets = __webpack_exports__.Insets;
/******/ var __webpack_exports__IntegerField = __webpack_exports__.IntegerField;
/******/ var __webpack_exports__JsFormAdapter = __webpack_exports__.JsFormAdapter;
/******/ var __webpack_exports__Key = __webpack_exports__.Key;
/******/ var __webpack_exports__KeyStroke = __webpack_exports__.KeyStroke;
/******/ var __webpack_exports__KeyStrokeContext = __webpack_exports__.KeyStrokeContext;
/******/ var __webpack_exports__KeyStrokeManager = __webpack_exports__.KeyStrokeManager;
/******/ var __webpack_exports__KeyTableFilter = __webpack_exports__.KeyTableFilter;
/******/ var __webpack_exports__Label = __webpack_exports__.Label;
/******/ var __webpack_exports__LabelAdapter = __webpack_exports__.LabelAdapter;
/******/ var __webpack_exports__LabelField = __webpack_exports__.LabelField;
/******/ var __webpack_exports__LabelFieldAdapter = __webpack_exports__.LabelFieldAdapter;
/******/ var __webpack_exports__LayoutConstants = __webpack_exports__.LayoutConstants;
/******/ var __webpack_exports__LayoutValidator = __webpack_exports__.LayoutValidator;
/******/ var __webpack_exports__LazyNodeFilter = __webpack_exports__.LazyNodeFilter;
/******/ var __webpack_exports__Lifecycle = __webpack_exports__.Lifecycle;
/******/ var __webpack_exports__LimitedResultTableStatus = __webpack_exports__.LimitedResultTableStatus;
/******/ var __webpack_exports__ListBox = __webpack_exports__.ListBox;
/******/ var __webpack_exports__ListBoxAdapter = __webpack_exports__.ListBoxAdapter;
/******/ var __webpack_exports__ListBoxLayout = __webpack_exports__.ListBoxLayout;
/******/ var __webpack_exports__ListBoxTableAccessibilityRenderer = __webpack_exports__.ListBoxTableAccessibilityRenderer;
/******/ var __webpack_exports__LoadingSupport = __webpack_exports__.LoadingSupport;
/******/ var __webpack_exports__Locale = __webpack_exports__.Locale;
/******/ var __webpack_exports__LogLevel = __webpack_exports__.LogLevel;
/******/ var __webpack_exports__LogicalGrid = __webpack_exports__.LogicalGrid;
/******/ var __webpack_exports__LogicalGridConfig = __webpack_exports__.LogicalGridConfig;
/******/ var __webpack_exports__LogicalGridData = __webpack_exports__.LogicalGridData;
/******/ var __webpack_exports__LogicalGridLayout = __webpack_exports__.LogicalGridLayout;
/******/ var __webpack_exports__LogicalGridLayoutConfig = __webpack_exports__.LogicalGridLayoutConfig;
/******/ var __webpack_exports__LogicalGridLayoutInfo = __webpack_exports__.LogicalGridLayoutInfo;
/******/ var __webpack_exports__LogicalGridLayoutSpy = __webpack_exports__.LogicalGridLayoutSpy;
/******/ var __webpack_exports__LogicalGridMatrix = __webpack_exports__.LogicalGridMatrix;
/******/ var __webpack_exports__LogicalGridMatrixCell = __webpack_exports__.LogicalGridMatrixCell;
/******/ var __webpack_exports__LogicalGridMatrixCursor = __webpack_exports__.LogicalGridMatrixCursor;
/******/ var __webpack_exports__LoginApp = __webpack_exports__.LoginApp;
/******/ var __webpack_exports__LoginBox = __webpack_exports__.LoginBox;
/******/ var __webpack_exports__LogoutApp = __webpack_exports__.LogoutApp;
/******/ var __webpack_exports__LogoutBox = __webpack_exports__.LogoutBox;
/******/ var __webpack_exports__LookupBox = __webpack_exports__.LookupBox;
/******/ var __webpack_exports__LookupBoxLayout = __webpack_exports__.LookupBoxLayout;
/******/ var __webpack_exports__LookupCall = __webpack_exports__.LookupCall;
/******/ var __webpack_exports__LookupCallColumn = __webpack_exports__.LookupCallColumn;
/******/ var __webpack_exports__LookupColumn = __webpack_exports__.LookupColumn;
/******/ var __webpack_exports__LookupEditor = __webpack_exports__.LookupEditor;
/******/ var __webpack_exports__LookupEditorTreeLayout = __webpack_exports__.LookupEditorTreeLayout;
/******/ var __webpack_exports__LookupFieldAdapter = __webpack_exports__.LookupFieldAdapter;
/******/ var __webpack_exports__LookupRow = __webpack_exports__.LookupRow;
/******/ var __webpack_exports__MaxLengthHandler = __webpack_exports__.MaxLengthHandler;
/******/ var __webpack_exports__Menu = __webpack_exports__.Menu;
/******/ var __webpack_exports__MenuAdapter = __webpack_exports__.MenuAdapter;
/******/ var __webpack_exports__MenuBar = __webpack_exports__.MenuBar;
/******/ var __webpack_exports__MenuBarBox = __webpack_exports__.MenuBarBox;
/******/ var __webpack_exports__MenuBarBoxLayout = __webpack_exports__.MenuBarBoxLayout;
/******/ var __webpack_exports__MenuBarLayout = __webpack_exports__.MenuBarLayout;
/******/ var __webpack_exports__MenuBarLeftKeyStroke = __webpack_exports__.MenuBarLeftKeyStroke;
/******/ var __webpack_exports__MenuBarPopup = __webpack_exports__.MenuBarPopup;
/******/ var __webpack_exports__MenuBarRightKeyStroke = __webpack_exports__.MenuBarRightKeyStroke;
/******/ var __webpack_exports__MenuBox = __webpack_exports__.MenuBox;
/******/ var __webpack_exports__MenuBoxLayout = __webpack_exports__.MenuBoxLayout;
/******/ var __webpack_exports__MenuDestinations = __webpack_exports__.MenuDestinations;
/******/ var __webpack_exports__MenuExecByNumberKeyStroke = __webpack_exports__.MenuExecByNumberKeyStroke;
/******/ var __webpack_exports__MenuExecKeyStroke = __webpack_exports__.MenuExecKeyStroke;
/******/ var __webpack_exports__MenuItemsOrder = __webpack_exports__.MenuItemsOrder;
/******/ var __webpack_exports__MenuKeyStroke = __webpack_exports__.MenuKeyStroke;
/******/ var __webpack_exports__MenuNavigationDownKeyStroke = __webpack_exports__.MenuNavigationDownKeyStroke;
/******/ var __webpack_exports__MenuNavigationExecKeyStroke = __webpack_exports__.MenuNavigationExecKeyStroke;
/******/ var __webpack_exports__MenuNavigationKeyStroke = __webpack_exports__.MenuNavigationKeyStroke;
/******/ var __webpack_exports__MenuNavigationUpKeyStroke = __webpack_exports__.MenuNavigationUpKeyStroke;
/******/ var __webpack_exports__MessageBox = __webpack_exports__.MessageBox;
/******/ var __webpack_exports__MessageBoxAdapter = __webpack_exports__.MessageBoxAdapter;
/******/ var __webpack_exports__MessageBoxController = __webpack_exports__.MessageBoxController;
/******/ var __webpack_exports__MessageBoxLayout = __webpack_exports__.MessageBoxLayout;
/******/ var __webpack_exports__MessageBoxes = __webpack_exports__.MessageBoxes;
/******/ var __webpack_exports__MobilePopup = __webpack_exports__.MobilePopup;
/******/ var __webpack_exports__MobilePopupAdapter = __webpack_exports__.MobilePopupAdapter;
/******/ var __webpack_exports__MobilePopupLayout = __webpack_exports__.MobilePopupLayout;
/******/ var __webpack_exports__Mode = __webpack_exports__.Mode;
/******/ var __webpack_exports__ModeAdapter = __webpack_exports__.ModeAdapter;
/******/ var __webpack_exports__ModeSelector = __webpack_exports__.ModeSelector;
/******/ var __webpack_exports__ModeSelectorField = __webpack_exports__.ModeSelectorField;
/******/ var __webpack_exports__ModeSelectorFieldAdapter = __webpack_exports__.ModeSelectorFieldAdapter;
/******/ var __webpack_exports__ModeSelectorLayout = __webpack_exports__.ModeSelectorLayout;
/******/ var __webpack_exports__ModeSelectorLeftOrUpKeyStroke = __webpack_exports__.ModeSelectorLeftOrUpKeyStroke;
/******/ var __webpack_exports__ModeSelectorRightOrDownKeyStroke = __webpack_exports__.ModeSelectorRightOrDownKeyStroke;
/******/ var __webpack_exports__ModelAdapter = __webpack_exports__.ModelAdapter;
/******/ var __webpack_exports__MoveSupport = __webpack_exports__.MoveSupport;
/******/ var __webpack_exports__NavigateButton = __webpack_exports__.NavigateButton;
/******/ var __webpack_exports__NavigateDownButton = __webpack_exports__.NavigateDownButton;
/******/ var __webpack_exports__NavigateUpButton = __webpack_exports__.NavigateUpButton;
/******/ var __webpack_exports__Notification = __webpack_exports__.Notification;
/******/ var __webpack_exports__NotificationAdapter = __webpack_exports__.NotificationAdapter;
/******/ var __webpack_exports__NotificationBadgeStatus = __webpack_exports__.NotificationBadgeStatus;
/******/ var __webpack_exports__NullLayout = __webpack_exports__.NullLayout;
/******/ var __webpack_exports__NullLogger = __webpack_exports__.NullLogger;
/******/ var __webpack_exports__NullWidget = __webpack_exports__.NullWidget;
/******/ var __webpack_exports__NullWidgetAdapter = __webpack_exports__.NullWidgetAdapter;
/******/ var __webpack_exports__NumberColumn = __webpack_exports__.NumberColumn;
/******/ var __webpack_exports__NumberColumnUserFilter = __webpack_exports__.NumberColumnUserFilter;
/******/ var __webpack_exports__NumberField = __webpack_exports__.NumberField;
/******/ var __webpack_exports__NumberFieldAdapter = __webpack_exports__.NumberFieldAdapter;
/******/ var __webpack_exports__ObjectFactory = __webpack_exports__.ObjectFactory;
/******/ var __webpack_exports__OfflineDesktopNotification = __webpack_exports__.OfflineDesktopNotification;
/******/ var __webpack_exports__OkMenu = __webpack_exports__.OkMenu;
/******/ var __webpack_exports__OpenUriHandler = __webpack_exports__.OpenUriHandler;
/******/ var __webpack_exports__Outline = __webpack_exports__.Outline;
/******/ var __webpack_exports__OutlineAdapter = __webpack_exports__.OutlineAdapter;
/******/ var __webpack_exports__OutlineKeyStrokeContext = __webpack_exports__.OutlineKeyStrokeContext;
/******/ var __webpack_exports__OutlineLayout = __webpack_exports__.OutlineLayout;
/******/ var __webpack_exports__OutlineMediator = __webpack_exports__.OutlineMediator;
/******/ var __webpack_exports__OutlineNavigateToTopKeyStroke = __webpack_exports__.OutlineNavigateToTopKeyStroke;
/******/ var __webpack_exports__OutlineOverview = __webpack_exports__.OutlineOverview;
/******/ var __webpack_exports__OutlineTileField = __webpack_exports__.OutlineTileField;
/******/ var __webpack_exports__OutlineTileFieldAdapter = __webpack_exports__.OutlineTileFieldAdapter;
/******/ var __webpack_exports__OutlineViewButton = __webpack_exports__.OutlineViewButton;
/******/ var __webpack_exports__OutlineViewButtonAdapter = __webpack_exports__.OutlineViewButtonAdapter;
/******/ var __webpack_exports__Page = __webpack_exports__.Page;
/******/ var __webpack_exports__PageLayout = __webpack_exports__.PageLayout;
/******/ var __webpack_exports__PageTileButton = __webpack_exports__.PageTileButton;
/******/ var __webpack_exports__PageTileGrid = __webpack_exports__.PageTileGrid;
/******/ var __webpack_exports__PageTileGridSelectKeyStroke = __webpack_exports__.PageTileGridSelectKeyStroke;
/******/ var __webpack_exports__PageWithNodes = __webpack_exports__.PageWithNodes;
/******/ var __webpack_exports__PageWithTable = __webpack_exports__.PageWithTable;
/******/ var __webpack_exports__ParsingFailedStatus = __webpack_exports__.ParsingFailedStatus;
/******/ var __webpack_exports__Permission = __webpack_exports__.Permission;
/******/ var __webpack_exports__PermissionCollection = __webpack_exports__.PermissionCollection;
/******/ var __webpack_exports__PermissionCollectionType = __webpack_exports__.PermissionCollectionType;
/******/ var __webpack_exports__PlaceholderField = __webpack_exports__.PlaceholderField;
/******/ var __webpack_exports__PlaceholderFieldAdapter = __webpack_exports__.PlaceholderFieldAdapter;
/******/ var __webpack_exports__PlaceholderTile = __webpack_exports__.PlaceholderTile;
/******/ var __webpack_exports__PlainTextEncoder = __webpack_exports__.PlainTextEncoder;
/******/ var __webpack_exports__Planner = __webpack_exports__.Planner;
/******/ var __webpack_exports__PlannerAdapter = __webpack_exports__.PlannerAdapter;
/******/ var __webpack_exports__PlannerField = __webpack_exports__.PlannerField;
/******/ var __webpack_exports__PlannerFieldAdapter = __webpack_exports__.PlannerFieldAdapter;
/******/ var __webpack_exports__PlannerHeader = __webpack_exports__.PlannerHeader;
/******/ var __webpack_exports__PlannerLayout = __webpack_exports__.PlannerLayout;
/******/ var __webpack_exports__PlannerMenuItemsOrder = __webpack_exports__.PlannerMenuItemsOrder;
/******/ var __webpack_exports__Point = __webpack_exports__.Point;
/******/ var __webpack_exports__Popup = __webpack_exports__.Popup;
/******/ var __webpack_exports__PopupAdapter = __webpack_exports__.PopupAdapter;
/******/ var __webpack_exports__PopupBlockerDesktopNotification = __webpack_exports__.PopupBlockerDesktopNotification;
/******/ var __webpack_exports__PopupBlockerHandler = __webpack_exports__.PopupBlockerHandler;
/******/ var __webpack_exports__PopupLayout = __webpack_exports__.PopupLayout;
/******/ var __webpack_exports__PopupManager = __webpack_exports__.PopupManager;
/******/ var __webpack_exports__PopupManagerAdapter = __webpack_exports__.PopupManagerAdapter;
/******/ var __webpack_exports__PopupWindow = __webpack_exports__.PopupWindow;
/******/ var __webpack_exports__PrepopulatedLookupCall = __webpack_exports__.PrepopulatedLookupCall;
/******/ var __webpack_exports__PromiseCreator = __webpack_exports__.PromiseCreator;
/******/ var __webpack_exports__PropertyChangeEventFilter = __webpack_exports__.PropertyChangeEventFilter;
/******/ var __webpack_exports__PropertyEventEmitter = __webpack_exports__.PropertyEventEmitter;
/******/ var __webpack_exports__ProposalChooser = __webpack_exports__.ProposalChooser;
/******/ var __webpack_exports__ProposalChooserLayout = __webpack_exports__.ProposalChooserLayout;
/******/ var __webpack_exports__ProposalField = __webpack_exports__.ProposalField;
/******/ var __webpack_exports__ProposalFieldAdapter = __webpack_exports__.ProposalFieldAdapter;
/******/ var __webpack_exports__ProposalTreeNode = __webpack_exports__.ProposalTreeNode;
/******/ var __webpack_exports__QueryBy = __webpack_exports__.QueryBy;
/******/ var __webpack_exports__RadioButton = __webpack_exports__.RadioButton;
/******/ var __webpack_exports__RadioButtonAdapter = __webpack_exports__.RadioButtonAdapter;
/******/ var __webpack_exports__RadioButtonGroup = __webpack_exports__.RadioButtonGroup;
/******/ var __webpack_exports__RadioButtonGroupAdapter = __webpack_exports__.RadioButtonGroupAdapter;
/******/ var __webpack_exports__RadioButtonGroupGridConfig = __webpack_exports__.RadioButtonGroupGridConfig;
/******/ var __webpack_exports__RadioButtonGroupLeftOrUpKeyStroke = __webpack_exports__.RadioButtonGroupLeftOrUpKeyStroke;
/******/ var __webpack_exports__RadioButtonGroupRightOrDownKeyStroke = __webpack_exports__.RadioButtonGroupRightOrDownKeyStroke;
/******/ var __webpack_exports__RadioButtonKeyStroke = __webpack_exports__.RadioButtonKeyStroke;
/******/ var __webpack_exports__RadioButtonLayout = __webpack_exports__.RadioButtonLayout;
/******/ var __webpack_exports__Range = __webpack_exports__.Range;
/******/ var __webpack_exports__RangeKeyStroke = __webpack_exports__.RangeKeyStroke;
/******/ var __webpack_exports__Reconnector = __webpack_exports__.Reconnector;
/******/ var __webpack_exports__Rectangle = __webpack_exports__.Rectangle;
/******/ var __webpack_exports__RemoteApp = __webpack_exports__.RemoteApp;
/******/ var __webpack_exports__RemoteEvent = __webpack_exports__.RemoteEvent;
/******/ var __webpack_exports__RemoteLookupCall = __webpack_exports__.RemoteLookupCall;
/******/ var __webpack_exports__RemoteLookupRequest = __webpack_exports__.RemoteLookupRequest;
/******/ var __webpack_exports__RemoteTableOrganizer = __webpack_exports__.RemoteTableOrganizer;
/******/ var __webpack_exports__RemoteTileFilter = __webpack_exports__.RemoteTileFilter;
/******/ var __webpack_exports__ResetMenu = __webpack_exports__.ResetMenu;
/******/ var __webpack_exports__Resizable = __webpack_exports__.Resizable;
/******/ var __webpack_exports__ResourcePanel = __webpack_exports__.ResourcePanel;
/******/ var __webpack_exports__ResourcePanelTreeNode = __webpack_exports__.ResourcePanelTreeNode;
/******/ var __webpack_exports__ResponseQueue = __webpack_exports__.ResponseQueue;
/******/ var __webpack_exports__ResponsiveHandler = __webpack_exports__.ResponsiveHandler;
/******/ var __webpack_exports__ResponsiveManager = __webpack_exports__.ResponsiveManager;
/******/ var __webpack_exports__RestLookupCall = __webpack_exports__.RestLookupCall;
/******/ var __webpack_exports__RoundingMode = __webpack_exports__.RoundingMode;
/******/ var __webpack_exports__Route = __webpack_exports__.Route;
/******/ var __webpack_exports__RouteChangeEvent = __webpack_exports__.RouteChangeEvent;
/******/ var __webpack_exports__RowLayout = __webpack_exports__.RowLayout;
/******/ var __webpack_exports__SaveMenu = __webpack_exports__.SaveMenu;
/******/ var __webpack_exports__Scrollbar = __webpack_exports__.Scrollbar;
/******/ var __webpack_exports__SearchMenu = __webpack_exports__.SearchMenu;
/******/ var __webpack_exports__SearchOutline = __webpack_exports__.SearchOutline;
/******/ var __webpack_exports__SearchOutlineAdapter = __webpack_exports__.SearchOutlineAdapter;
/******/ var __webpack_exports__SearchOutlineLayout = __webpack_exports__.SearchOutlineLayout;
/******/ var __webpack_exports__SelectAllTextInFieldKeyStroke = __webpack_exports__.SelectAllTextInFieldKeyStroke;
/******/ var __webpack_exports__SequenceBox = __webpack_exports__.SequenceBox;
/******/ var __webpack_exports__SequenceBoxAdapter = __webpack_exports__.SequenceBoxAdapter;
/******/ var __webpack_exports__SequenceBoxGridConfig = __webpack_exports__.SequenceBoxGridConfig;
/******/ var __webpack_exports__Session = __webpack_exports__.Session;
/******/ var __webpack_exports__SessionAdapter = __webpack_exports__.SessionAdapter;
/******/ var __webpack_exports__ShowInvisibleColumnsForm = __webpack_exports__.ShowInvisibleColumnsForm;
/******/ var __webpack_exports__ShrinkNavigationKeyStroke = __webpack_exports__.ShrinkNavigationKeyStroke;
/******/ var __webpack_exports__SimpleLoadingSupport = __webpack_exports__.SimpleLoadingSupport;
/******/ var __webpack_exports__SimpleTab = __webpack_exports__.SimpleTab;
/******/ var __webpack_exports__SimpleTabArea = __webpack_exports__.SimpleTabArea;
/******/ var __webpack_exports__SimpleTabAreaLayout = __webpack_exports__.SimpleTabAreaLayout;
/******/ var __webpack_exports__SimpleTabBox = __webpack_exports__.SimpleTabBox;
/******/ var __webpack_exports__SimpleTabBoxController = __webpack_exports__.SimpleTabBoxController;
/******/ var __webpack_exports__SimpleTabBoxLayout = __webpack_exports__.SimpleTabBoxLayout;
/******/ var __webpack_exports__SimpleTabViewContentLayout = __webpack_exports__.SimpleTabViewContentLayout;
/******/ var __webpack_exports__SingleLayout = __webpack_exports__.SingleLayout;
/******/ var __webpack_exports__Slider = __webpack_exports__.Slider;
/******/ var __webpack_exports__SliderAdapter = __webpack_exports__.SliderAdapter;
/******/ var __webpack_exports__SliderField = __webpack_exports__.SliderField;
/******/ var __webpack_exports__SliderFieldLayout = __webpack_exports__.SliderFieldLayout;
/******/ var __webpack_exports__SliderLayout = __webpack_exports__.SliderLayout;
/******/ var __webpack_exports__SliderNavigationKeyStroke = __webpack_exports__.SliderNavigationKeyStroke;
/******/ var __webpack_exports__SliderShiftNavigationKeyStroke = __webpack_exports__.SliderShiftNavigationKeyStroke;
/******/ var __webpack_exports__SmartColumn = __webpack_exports__.SmartColumn;
/******/ var __webpack_exports__SmartField = __webpack_exports__.SmartField;
/******/ var __webpack_exports__SmartFieldAdapter = __webpack_exports__.SmartFieldAdapter;
/******/ var __webpack_exports__SmartFieldCancelKeyStroke = __webpack_exports__.SmartFieldCancelKeyStroke;
/******/ var __webpack_exports__SmartFieldLayout = __webpack_exports__.SmartFieldLayout;
/******/ var __webpack_exports__SmartFieldMultiline = __webpack_exports__.SmartFieldMultiline;
/******/ var __webpack_exports__SmartFieldMultilineAdapter = __webpack_exports__.SmartFieldMultilineAdapter;
/******/ var __webpack_exports__SmartFieldMultilineLayout = __webpack_exports__.SmartFieldMultilineLayout;
/******/ var __webpack_exports__SmartFieldPopup = __webpack_exports__.SmartFieldPopup;
/******/ var __webpack_exports__SmartFieldPopupLayout = __webpack_exports__.SmartFieldPopupLayout;
/******/ var __webpack_exports__SmartFieldTouchPopup = __webpack_exports__.SmartFieldTouchPopup;
/******/ var __webpack_exports__SplitBox = __webpack_exports__.SplitBox;
/******/ var __webpack_exports__SplitBoxAdapter = __webpack_exports__.SplitBoxAdapter;
/******/ var __webpack_exports__SplitBoxCollapseKeyStroke = __webpack_exports__.SplitBoxCollapseKeyStroke;
/******/ var __webpack_exports__SplitBoxFirstCollapseKeyStroke = __webpack_exports__.SplitBoxFirstCollapseKeyStroke;
/******/ var __webpack_exports__SplitBoxLayout = __webpack_exports__.SplitBoxLayout;
/******/ var __webpack_exports__SplitBoxSecondCollapseKeyStroke = __webpack_exports__.SplitBoxSecondCollapseKeyStroke;
/******/ var __webpack_exports__Splitter = __webpack_exports__.Splitter;
/******/ var __webpack_exports__StaticLookupCall = __webpack_exports__.StaticLookupCall;
/******/ var __webpack_exports__Status = __webpack_exports__.Status;
/******/ var __webpack_exports__StatusMenuMapping = __webpack_exports__.StatusMenuMapping;
/******/ var __webpack_exports__StatusMenuMappingAdapter = __webpack_exports__.StatusMenuMappingAdapter;
/******/ var __webpack_exports__StringField = __webpack_exports__.StringField;
/******/ var __webpack_exports__StringFieldAdapter = __webpack_exports__.StringFieldAdapter;
/******/ var __webpack_exports__StringFieldCtrlEnterKeyStroke = __webpack_exports__.StringFieldCtrlEnterKeyStroke;
/******/ var __webpack_exports__StringFieldEnterKeyStroke = __webpack_exports__.StringFieldEnterKeyStroke;
/******/ var __webpack_exports__StringFieldLayout = __webpack_exports__.StringFieldLayout;
/******/ var __webpack_exports__SubCloseKeyStroke = __webpack_exports__.SubCloseKeyStroke;
/******/ var __webpack_exports__Switch = __webpack_exports__.Switch;
/******/ var __webpack_exports__SwitchAdapter = __webpack_exports__.SwitchAdapter;
/******/ var __webpack_exports__SwitchNavigationKeyStroke = __webpack_exports__.SwitchNavigationKeyStroke;
/******/ var __webpack_exports__SwitchToggleKeyStroke = __webpack_exports__.SwitchToggleKeyStroke;
/******/ var __webpack_exports__System = __webpack_exports__.System;
/******/ var __webpack_exports__Tab = __webpack_exports__.Tab;
/******/ var __webpack_exports__TabArea = __webpack_exports__.TabArea;
/******/ var __webpack_exports__TabAreaLayout = __webpack_exports__.TabAreaLayout;
/******/ var __webpack_exports__TabAreaLeftKeyStroke = __webpack_exports__.TabAreaLeftKeyStroke;
/******/ var __webpack_exports__TabAreaRightKeyStroke = __webpack_exports__.TabAreaRightKeyStroke;
/******/ var __webpack_exports__TabBox = __webpack_exports__.TabBox;
/******/ var __webpack_exports__TabBoxAdapter = __webpack_exports__.TabBoxAdapter;
/******/ var __webpack_exports__TabBoxHeader = __webpack_exports__.TabBoxHeader;
/******/ var __webpack_exports__TabBoxHeaderLayout = __webpack_exports__.TabBoxHeaderLayout;
/******/ var __webpack_exports__TabBoxLayout = __webpack_exports__.TabBoxLayout;
/******/ var __webpack_exports__TabItem = __webpack_exports__.TabItem;
/******/ var __webpack_exports__TabItemAdapter = __webpack_exports__.TabItemAdapter;
/******/ var __webpack_exports__TabItemKeyStroke = __webpack_exports__.TabItemKeyStroke;
/******/ var __webpack_exports__TabItemLayout = __webpack_exports__.TabItemLayout;
/******/ var __webpack_exports__Table = __webpack_exports__.Table;
/******/ var __webpack_exports__TableAdapter = __webpack_exports__.TableAdapter;
/******/ var __webpack_exports__TableColumnContextElementConverter = __webpack_exports__.TableColumnContextElementConverter;
/******/ var __webpack_exports__TableCompactHandler = __webpack_exports__.TableCompactHandler;
/******/ var __webpack_exports__TableControl = __webpack_exports__.TableControl;
/******/ var __webpack_exports__TableControlActionKeyStroke = __webpack_exports__.TableControlActionKeyStroke;
/******/ var __webpack_exports__TableControlAdapter = __webpack_exports__.TableControlAdapter;
/******/ var __webpack_exports__TableControlAdapterMenu = __webpack_exports__.TableControlAdapterMenu;
/******/ var __webpack_exports__TableControlCloseKeyStroke = __webpack_exports__.TableControlCloseKeyStroke;
/******/ var __webpack_exports__TableCopyKeyStroke = __webpack_exports__.TableCopyKeyStroke;
/******/ var __webpack_exports__TableField = __webpack_exports__.TableField;
/******/ var __webpack_exports__TableFieldAdapter = __webpack_exports__.TableFieldAdapter;
/******/ var __webpack_exports__TableFieldValidationResultProvider = __webpack_exports__.TableFieldValidationResultProvider;
/******/ var __webpack_exports__TableFooter = __webpack_exports__.TableFooter;
/******/ var __webpack_exports__TableFooterLayout = __webpack_exports__.TableFooterLayout;
/******/ var __webpack_exports__TableHeader = __webpack_exports__.TableHeader;
/******/ var __webpack_exports__TableHeaderMenu = __webpack_exports__.TableHeaderMenu;
/******/ var __webpack_exports__TableHeaderMenuButton = __webpack_exports__.TableHeaderMenuButton;
/******/ var __webpack_exports__TableHeaderMenuGroup = __webpack_exports__.TableHeaderMenuGroup;
/******/ var __webpack_exports__TableHeaderMenuLayout = __webpack_exports__.TableHeaderMenuLayout;
/******/ var __webpack_exports__TableInfoFilterTooltip = __webpack_exports__.TableInfoFilterTooltip;
/******/ var __webpack_exports__TableInfoLoadTooltip = __webpack_exports__.TableInfoLoadTooltip;
/******/ var __webpack_exports__TableInfoSelectionTooltip = __webpack_exports__.TableInfoSelectionTooltip;
/******/ var __webpack_exports__TableLayout = __webpack_exports__.TableLayout;
/******/ var __webpack_exports__TableLayoutResetter = __webpack_exports__.TableLayoutResetter;
/******/ var __webpack_exports__TableMatrix = __webpack_exports__.TableMatrix;
/******/ var __webpack_exports__TableMaxResultsHelper = __webpack_exports__.TableMaxResultsHelper;
/******/ var __webpack_exports__TableNavigationCollapseKeyStroke = __webpack_exports__.TableNavigationCollapseKeyStroke;
/******/ var __webpack_exports__TableNavigationDownKeyStroke = __webpack_exports__.TableNavigationDownKeyStroke;
/******/ var __webpack_exports__TableNavigationEndKeyStroke = __webpack_exports__.TableNavigationEndKeyStroke;
/******/ var __webpack_exports__TableNavigationExpandKeyStroke = __webpack_exports__.TableNavigationExpandKeyStroke;
/******/ var __webpack_exports__TableNavigationHomeKeyStroke = __webpack_exports__.TableNavigationHomeKeyStroke;
/******/ var __webpack_exports__TableNavigationPageDownKeyStroke = __webpack_exports__.TableNavigationPageDownKeyStroke;
/******/ var __webpack_exports__TableNavigationPageUpKeyStroke = __webpack_exports__.TableNavigationPageUpKeyStroke;
/******/ var __webpack_exports__TableNavigationUpKeyStroke = __webpack_exports__.TableNavigationUpKeyStroke;
/******/ var __webpack_exports__TableOrganizer = __webpack_exports__.TableOrganizer;
/******/ var __webpack_exports__TableProposalChooser = __webpack_exports__.TableProposalChooser;
/******/ var __webpack_exports__TableRefreshKeyStroke = __webpack_exports__.TableRefreshKeyStroke;
/******/ var __webpack_exports__TableRow = __webpack_exports__.TableRow;
/******/ var __webpack_exports__TableRowContextElementConverter = __webpack_exports__.TableRowContextElementConverter;
/******/ var __webpack_exports__TableRowDetail = __webpack_exports__.TableRowDetail;
/******/ var __webpack_exports__TableRowTileMapping = __webpack_exports__.TableRowTileMapping;
/******/ var __webpack_exports__TableRowTileMappingAdapter = __webpack_exports__.TableRowTileMappingAdapter;
/******/ var __webpack_exports__TableSelectAllKeyStroke = __webpack_exports__.TableSelectAllKeyStroke;
/******/ var __webpack_exports__TableSelectionHandler = __webpack_exports__.TableSelectionHandler;
/******/ var __webpack_exports__TableStartCellEditKeyStroke = __webpack_exports__.TableStartCellEditKeyStroke;
/******/ var __webpack_exports__TableTextUserFilter = __webpack_exports__.TableTextUserFilter;
/******/ var __webpack_exports__TableTileGridMediator = __webpack_exports__.TableTileGridMediator;
/******/ var __webpack_exports__TableTileGridMediatorAdapter = __webpack_exports__.TableTileGridMediatorAdapter;
/******/ var __webpack_exports__TableToggleRowKeyStroke = __webpack_exports__.TableToggleRowKeyStroke;
/******/ var __webpack_exports__TableTooltip = __webpack_exports__.TableTooltip;
/******/ var __webpack_exports__TableUpdateBuffer = __webpack_exports__.TableUpdateBuffer;
/******/ var __webpack_exports__TableUserFilter = __webpack_exports__.TableUserFilter;
/******/ var __webpack_exports__TagBar = __webpack_exports__.TagBar;
/******/ var __webpack_exports__TagBarLayout = __webpack_exports__.TagBarLayout;
/******/ var __webpack_exports__TagBarOverflowPopup = __webpack_exports__.TagBarOverflowPopup;
/******/ var __webpack_exports__TagBarOverflowPopupLayout = __webpack_exports__.TagBarOverflowPopupLayout;
/******/ var __webpack_exports__TagChooserPopup = __webpack_exports__.TagChooserPopup;
/******/ var __webpack_exports__TagChooserPopupLayout = __webpack_exports__.TagChooserPopupLayout;
/******/ var __webpack_exports__TagField = __webpack_exports__.TagField;
/******/ var __webpack_exports__TagFieldAdapter = __webpack_exports__.TagFieldAdapter;
/******/ var __webpack_exports__TagFieldContainerLayout = __webpack_exports__.TagFieldContainerLayout;
/******/ var __webpack_exports__TagFieldDeleteKeyStroke = __webpack_exports__.TagFieldDeleteKeyStroke;
/******/ var __webpack_exports__TagFieldEnterKeyStroke = __webpack_exports__.TagFieldEnterKeyStroke;
/******/ var __webpack_exports__TagFieldLayout = __webpack_exports__.TagFieldLayout;
/******/ var __webpack_exports__TagFieldNavigationKeyStroke = __webpack_exports__.TagFieldNavigationKeyStroke;
/******/ var __webpack_exports__TagFieldOpenPopupKeyStroke = __webpack_exports__.TagFieldOpenPopupKeyStroke;
/******/ var __webpack_exports__TextColumnUserFilter = __webpack_exports__.TextColumnUserFilter;
/******/ var __webpack_exports__TextMap = __webpack_exports__.TextMap;
/******/ var __webpack_exports__TextTableFilter = __webpack_exports__.TextTableFilter;
/******/ var __webpack_exports__Tile = __webpack_exports__.Tile;
/******/ var __webpack_exports__TileAccordion = __webpack_exports__.TileAccordion;
/******/ var __webpack_exports__TileAccordionAdapter = __webpack_exports__.TileAccordionAdapter;
/******/ var __webpack_exports__TileAccordionLayout = __webpack_exports__.TileAccordionLayout;
/******/ var __webpack_exports__TileAccordionSelectionHandler = __webpack_exports__.TileAccordionSelectionHandler;
/******/ var __webpack_exports__TileAdapter = __webpack_exports__.TileAdapter;
/******/ var __webpack_exports__TileButton = __webpack_exports__.TileButton;
/******/ var __webpack_exports__TileField = __webpack_exports__.TileField;
/******/ var __webpack_exports__TileFieldAdapter = __webpack_exports__.TileFieldAdapter;
/******/ var __webpack_exports__TileGrid = __webpack_exports__.TileGrid;
/******/ var __webpack_exports__TileGridAdapter = __webpack_exports__.TileGridAdapter;
/******/ var __webpack_exports__TileGridGridConfig = __webpack_exports__.TileGridGridConfig;
/******/ var __webpack_exports__TileGridLayout = __webpack_exports__.TileGridLayout;
/******/ var __webpack_exports__TileGridLayoutConfig = __webpack_exports__.TileGridLayoutConfig;
/******/ var __webpack_exports__TileGridMoveSupport = __webpack_exports__.TileGridMoveSupport;
/******/ var __webpack_exports__TileGridSelectAllKeyStroke = __webpack_exports__.TileGridSelectAllKeyStroke;
/******/ var __webpack_exports__TileGridSelectDownKeyStroke = __webpack_exports__.TileGridSelectDownKeyStroke;
/******/ var __webpack_exports__TileGridSelectFirstKeyStroke = __webpack_exports__.TileGridSelectFirstKeyStroke;
/******/ var __webpack_exports__TileGridSelectKeyStroke = __webpack_exports__.TileGridSelectKeyStroke;
/******/ var __webpack_exports__TileGridSelectLastKeyStroke = __webpack_exports__.TileGridSelectLastKeyStroke;
/******/ var __webpack_exports__TileGridSelectLeftKeyStroke = __webpack_exports__.TileGridSelectLeftKeyStroke;
/******/ var __webpack_exports__TileGridSelectRightKeyStroke = __webpack_exports__.TileGridSelectRightKeyStroke;
/******/ var __webpack_exports__TileGridSelectUpKeyStroke = __webpack_exports__.TileGridSelectUpKeyStroke;
/******/ var __webpack_exports__TileGridSelectionHandler = __webpack_exports__.TileGridSelectionHandler;
/******/ var __webpack_exports__TileHtmlField = __webpack_exports__.TileHtmlField;
/******/ var __webpack_exports__TileMoveHandler = __webpack_exports__.TileMoveHandler;
/******/ var __webpack_exports__TileOutlineOverview = __webpack_exports__.TileOutlineOverview;
/******/ var __webpack_exports__TileOverviewForm = __webpack_exports__.TileOverviewForm;
/******/ var __webpack_exports__TileOverviewFormAdapter = __webpack_exports__.TileOverviewFormAdapter;
/******/ var __webpack_exports__TileResizeHandler = __webpack_exports__.TileResizeHandler;
/******/ var __webpack_exports__TileTableField = __webpack_exports__.TileTableField;
/******/ var __webpack_exports__TileTableHeaderBox = __webpack_exports__.TileTableHeaderBox;
/******/ var __webpack_exports__TileTableHeaderGroupByLookupCall = __webpack_exports__.TileTableHeaderGroupByLookupCall;
/******/ var __webpack_exports__TileTableHeaderSortByLookupCall = __webpack_exports__.TileTableHeaderSortByLookupCall;
/******/ var __webpack_exports__TileTableHierarchyFilter = __webpack_exports__.TileTableHierarchyFilter;
/******/ var __webpack_exports__TileTextFilter = __webpack_exports__.TileTextFilter;
/******/ var __webpack_exports__TimePicker = __webpack_exports__.TimePicker;
/******/ var __webpack_exports__TimePickerPopup = __webpack_exports__.TimePickerPopup;
/******/ var __webpack_exports__TimePickerPopupLayout = __webpack_exports__.TimePickerPopupLayout;
/******/ var __webpack_exports__TimePickerTouchPopup = __webpack_exports__.TimePickerTouchPopup;
/******/ var __webpack_exports__Tooltip = __webpack_exports__.Tooltip;
/******/ var __webpack_exports__TooltipSupport = __webpack_exports__.TooltipSupport;
/******/ var __webpack_exports__TouchPopup = __webpack_exports__.TouchPopup;
/******/ var __webpack_exports__TouchPopupLayout = __webpack_exports__.TouchPopupLayout;
/******/ var __webpack_exports__Tree = __webpack_exports__.Tree;
/******/ var __webpack_exports__TreeAdapter = __webpack_exports__.TreeAdapter;
/******/ var __webpack_exports__TreeBox = __webpack_exports__.TreeBox;
/******/ var __webpack_exports__TreeBoxAdapter = __webpack_exports__.TreeBoxAdapter;
/******/ var __webpack_exports__TreeBoxLayout = __webpack_exports__.TreeBoxLayout;
/******/ var __webpack_exports__TreeBreadcrumbFilter = __webpack_exports__.TreeBreadcrumbFilter;
/******/ var __webpack_exports__TreeCheckNodesResult = __webpack_exports__.TreeCheckNodesResult;
/******/ var __webpack_exports__TreeCollapseAllKeyStroke = __webpack_exports__.TreeCollapseAllKeyStroke;
/******/ var __webpack_exports__TreeCollapseOrDrillUpKeyStroke = __webpack_exports__.TreeCollapseOrDrillUpKeyStroke;
/******/ var __webpack_exports__TreeExpandOrDrillDownKeyStroke = __webpack_exports__.TreeExpandOrDrillDownKeyStroke;
/******/ var __webpack_exports__TreeField = __webpack_exports__.TreeField;
/******/ var __webpack_exports__TreeFieldAdapter = __webpack_exports__.TreeFieldAdapter;
/******/ var __webpack_exports__TreeLayout = __webpack_exports__.TreeLayout;
/******/ var __webpack_exports__TreeLayoutResetter = __webpack_exports__.TreeLayoutResetter;
/******/ var __webpack_exports__TreeNavigationDownKeyStroke = __webpack_exports__.TreeNavigationDownKeyStroke;
/******/ var __webpack_exports__TreeNavigationEndKeyStroke = __webpack_exports__.TreeNavigationEndKeyStroke;
/******/ var __webpack_exports__TreeNavigationUpKeyStroke = __webpack_exports__.TreeNavigationUpKeyStroke;
/******/ var __webpack_exports__TreeNode = __webpack_exports__.TreeNode;
/******/ var __webpack_exports__TreeNodeContextElementConverter = __webpack_exports__.TreeNodeContextElementConverter;
/******/ var __webpack_exports__TreeProposalChooser = __webpack_exports__.TreeProposalChooser;
/******/ var __webpack_exports__TreeSet = __webpack_exports__.TreeSet;
/******/ var __webpack_exports__TreeSpaceKeyStroke = __webpack_exports__.TreeSpaceKeyStroke;
/******/ var __webpack_exports__TreeVisitResult = __webpack_exports__.TreeVisitResult;
/******/ var __webpack_exports__TypeDescriptor = __webpack_exports__.TypeDescriptor;
/******/ var __webpack_exports__URL = __webpack_exports__.URL;
/******/ var __webpack_exports__UiCallbacks = __webpack_exports__.UiCallbacks;
/******/ var __webpack_exports__UiCallbacksAdapter = __webpack_exports__.UiCallbacksAdapter;
/******/ var __webpack_exports__UiNotificationPoller = __webpack_exports__.UiNotificationPoller;
/******/ var __webpack_exports__UiNotificationSystem = __webpack_exports__.UiNotificationSystem;
/******/ var __webpack_exports__UiNotifications = __webpack_exports__.UiNotifications;
/******/ var __webpack_exports__UnsavedFormChangesForm = __webpack_exports__.UnsavedFormChangesForm;
/******/ var __webpack_exports__UnsavedFormsLookupCall = __webpack_exports__.UnsavedFormsLookupCall;
/******/ var __webpack_exports__UserAgent = __webpack_exports__.UserAgent;
/******/ var __webpack_exports__UuidPool = __webpack_exports__.UuidPool;
/******/ var __webpack_exports__UuidPoolAdapter = __webpack_exports__.UuidPoolAdapter;
/******/ var __webpack_exports__ValidationFailedStatus = __webpack_exports__.ValidationFailedStatus;
/******/ var __webpack_exports__ValueField = __webpack_exports__.ValueField;
/******/ var __webpack_exports__ValueFieldAdapter = __webpack_exports__.ValueFieldAdapter;
/******/ var __webpack_exports__VerticalGridMatrix = __webpack_exports__.VerticalGridMatrix;
/******/ var __webpack_exports__VerticalSmartGrid = __webpack_exports__.VerticalSmartGrid;
/******/ var __webpack_exports__ViewButton = __webpack_exports__.ViewButton;
/******/ var __webpack_exports__ViewButtonActionKeyStroke = __webpack_exports__.ViewButtonActionKeyStroke;
/******/ var __webpack_exports__ViewButtonAdapter = __webpack_exports__.ViewButtonAdapter;
/******/ var __webpack_exports__ViewButtonBox = __webpack_exports__.ViewButtonBox;
/******/ var __webpack_exports__ViewMenuOpenKeyStroke = __webpack_exports__.ViewMenuOpenKeyStroke;
/******/ var __webpack_exports__ViewMenuPopup = __webpack_exports__.ViewMenuPopup;
/******/ var __webpack_exports__ViewMenuPopupEnterKeyStroke = __webpack_exports__.ViewMenuPopupEnterKeyStroke;
/******/ var __webpack_exports__ViewMenuTab = __webpack_exports__.ViewMenuTab;
/******/ var __webpack_exports__ViewportScroller = __webpack_exports__.ViewportScroller;
/******/ var __webpack_exports__VirtualKeyStrokeEvent = __webpack_exports__.VirtualKeyStrokeEvent;
/******/ var __webpack_exports__VirtualScrolling = __webpack_exports__.VirtualScrolling;
/******/ var __webpack_exports__Widget = __webpack_exports__.Widget;
/******/ var __webpack_exports__WidgetEventTypeFilter = __webpack_exports__.WidgetEventTypeFilter;
/******/ var __webpack_exports__WidgetField = __webpack_exports__.WidgetField;
/******/ var __webpack_exports__WidgetFieldAdapter = __webpack_exports__.WidgetFieldAdapter;
/******/ var __webpack_exports__WidgetFieldLayout = __webpack_exports__.WidgetFieldLayout;
/******/ var __webpack_exports__WidgetPopup = __webpack_exports__.WidgetPopup;
/******/ var __webpack_exports__WidgetPopupAdapter = __webpack_exports__.WidgetPopupAdapter;
/******/ var __webpack_exports__WidgetPopupLayout = __webpack_exports__.WidgetPopupLayout;
/******/ var __webpack_exports__WidgetSupport = __webpack_exports__.WidgetSupport;
/******/ var __webpack_exports__WidgetTile = __webpack_exports__.WidgetTile;
/******/ var __webpack_exports__WidgetTileAdapter = __webpack_exports__.WidgetTileAdapter;
/******/ var __webpack_exports__WidgetTooltip = __webpack_exports__.WidgetTooltip;
/******/ var __webpack_exports__WizardProgressField = __webpack_exports__.WizardProgressField;
/******/ var __webpack_exports__WizardProgressFieldAdapter = __webpack_exports__.WizardProgressFieldAdapter;
/******/ var __webpack_exports__WizardProgressFieldLayout = __webpack_exports__.WizardProgressFieldLayout;
/******/ var __webpack_exports__WrappedFormField = __webpack_exports__.WrappedFormField;
/******/ var __webpack_exports__WrappedFormFieldAdapter = __webpack_exports__.WrappedFormFieldAdapter;
/******/ var __webpack_exports__YearPanel = __webpack_exports__.YearPanel;
/******/ var __webpack_exports__access = __webpack_exports__.access;
/******/ var __webpack_exports__aggregation = __webpack_exports__.aggregation;
/******/ var __webpack_exports__ajax = __webpack_exports__.ajax;
/******/ var __webpack_exports__aria = __webpack_exports__.aria;
/******/ var __webpack_exports__arrays = __webpack_exports__.arrays;
/******/ var __webpack_exports__clipboard = __webpack_exports__.clipboard;
/******/ var __webpack_exports__codes = __webpack_exports__.codes;
/******/ var __webpack_exports__colorSchemes = __webpack_exports__.colorSchemes;
/******/ var __webpack_exports__comparators = __webpack_exports__.comparators;
/******/ var __webpack_exports__config = __webpack_exports__.config;
/******/ var __webpack_exports__cookies = __webpack_exports__.cookies;
/******/ var __webpack_exports__dataObjects = __webpack_exports__.dataObjects;
/******/ var __webpack_exports__dates = __webpack_exports__.dates;
/******/ var __webpack_exports__default = __webpack_exports__["default"];
/******/ var __webpack_exports__defaultValues = __webpack_exports__.defaultValues;
/******/ var __webpack_exports__dragAndDrop = __webpack_exports__.dragAndDrop;
/******/ var __webpack_exports__events = __webpack_exports__.events;
/******/ var __webpack_exports__fields = __webpack_exports__.fields;
/******/ var __webpack_exports__files = __webpack_exports__.files;
/******/ var __webpack_exports__filters = __webpack_exports__.filters;
/******/ var __webpack_exports__focusUtils = __webpack_exports__.focusUtils;
/******/ var __webpack_exports__fonts = __webpack_exports__.fonts;
/******/ var __webpack_exports__graphics = __webpack_exports__.graphics;
/******/ var __webpack_exports__icons = __webpack_exports__.icons;
/******/ var __webpack_exports__inspector = __webpack_exports__.inspector;
/******/ var __webpack_exports__isPropertyChangeEvent = __webpack_exports__.isPropertyChangeEvent;
/******/ var __webpack_exports__keyStrokeModifier = __webpack_exports__.keyStrokeModifier;
/******/ var __webpack_exports__keys = __webpack_exports__.keys;
/******/ var __webpack_exports__locales = __webpack_exports__.locales;
/******/ var __webpack_exports__logging = __webpack_exports__.logging;
/******/ var __webpack_exports__lookupField = __webpack_exports__.lookupField;
/******/ var __webpack_exports__menuNavigationKeyStrokes = __webpack_exports__.menuNavigationKeyStrokes;
/******/ var __webpack_exports__menus = __webpack_exports__.menus;
/******/ var __webpack_exports__mimeTypes = __webpack_exports__.mimeTypes;
/******/ var __webpack_exports__models = __webpack_exports__.models;
/******/ var __webpack_exports__numbers = __webpack_exports__.numbers;
/******/ var __webpack_exports__objects = __webpack_exports__.objects;
/******/ var __webpack_exports__promises = __webpack_exports__.promises;
/******/ var __webpack_exports__router = __webpack_exports__.router;
/******/ var __webpack_exports__scout = __webpack_exports__.scout;
/******/ var __webpack_exports__scrollbars = __webpack_exports__.scrollbars;
/******/ var __webpack_exports__strings = __webpack_exports__.strings;
/******/ var __webpack_exports__styles = __webpack_exports__.styles;
/******/ var __webpack_exports__systems = __webpack_exports__.systems;
/******/ var __webpack_exports__texts = __webpack_exports__.texts;
/******/ var __webpack_exports__tileUtil = __webpack_exports__.tileUtil;
/******/ var __webpack_exports__tooltips = __webpack_exports__.tooltips;
/******/ var __webpack_exports__uiNotifications = __webpack_exports__.uiNotifications;
/******/ var __webpack_exports__webstorage = __webpack_exports__.webstorage;
/******/ var __webpack_exports__widgets = __webpack_exports__.widgets;
/******/ export { __webpack_exports__AbortKeyStroke as AbortKeyStroke, __webpack_exports__AbstractCompactTreeControlKeyStroke as AbstractCompactTreeControlKeyStroke, __webpack_exports__AbstractGrid as AbstractGrid, __webpack_exports__AbstractLayout as AbstractLayout, __webpack_exports__AbstractTableAccessibilityRenderer as AbstractTableAccessibilityRenderer, __webpack_exports__AbstractTableNavigationKeyStroke as AbstractTableNavigationKeyStroke, __webpack_exports__AbstractTreeNavigationKeyStroke as AbstractTreeNavigationKeyStroke, __webpack_exports__AccessControl as AccessControl, __webpack_exports__Accordion as Accordion, __webpack_exports__AccordionAdapter as AccordionAdapter, __webpack_exports__AccordionField as AccordionField, __webpack_exports__AccordionFieldAdapter as AccordionFieldAdapter, __webpack_exports__AccordionLayout as AccordionLayout, __webpack_exports__Action as Action, __webpack_exports__ActionAdapter as ActionAdapter, __webpack_exports__ActionExecKeyStroke as ActionExecKeyStroke, __webpack_exports__ActionKeyStroke as ActionKeyStroke, __webpack_exports__AggregateTableControl as AggregateTableControl, __webpack_exports__AggregateTableControlAdapter as AggregateTableControlAdapter, __webpack_exports__AjaxCall as AjaxCall, __webpack_exports__AjaxError as AjaxError, __webpack_exports__AlphanumericSortingStringColumn as AlphanumericSortingStringColumn, __webpack_exports__App as App, __webpack_exports__AppLinkKeyStroke as AppLinkKeyStroke, __webpack_exports__AriaLabelledByInsertPosition as AriaLabelledByInsertPosition, __webpack_exports__AutoLeafPageWithNodes as AutoLeafPageWithNodes, __webpack_exports__BackgroundJobPollingStatus as BackgroundJobPollingStatus, __webpack_exports__BackgroundJobPollingSupport as BackgroundJobPollingSupport, __webpack_exports__BasicField as BasicField, __webpack_exports__BasicFieldAdapter as BasicFieldAdapter, __webpack_exports__BeanColumn as BeanColumn, __webpack_exports__BeanField as BeanField, __webpack_exports__BeanFieldAdapter as BeanFieldAdapter, __webpack_exports__BeanTile as BeanTile, __webpack_exports__BeanTileAdapter as BeanTileAdapter, __webpack_exports__BenchColumn as BenchColumn, __webpack_exports__BenchColumnLayoutData as BenchColumnLayoutData, __webpack_exports__BenchRowLayoutData as BenchRowLayoutData, __webpack_exports__BooleanColumn as BooleanColumn, __webpack_exports__Box as Box, __webpack_exports__BoxButtons as BoxButtons, __webpack_exports__BreadcrumbBar as BreadcrumbBar, __webpack_exports__BreadcrumbBarAdapter as BreadcrumbBarAdapter, __webpack_exports__BreadcrumbBarField as BreadcrumbBarField, __webpack_exports__BreadcrumbBarFieldAdapter as BreadcrumbBarFieldAdapter, __webpack_exports__BreadcrumbBarLayout as BreadcrumbBarLayout, __webpack_exports__BreadcrumbItem as BreadcrumbItem, __webpack_exports__BreadcrumbItemAdapter as BreadcrumbItemAdapter, __webpack_exports__BrowserField as BrowserField, __webpack_exports__BrowserFieldAdapter as BrowserFieldAdapter, __webpack_exports__BrowserFieldLayout as BrowserFieldLayout, __webpack_exports__BusyIndicator as BusyIndicator, __webpack_exports__BusySupport as BusySupport, __webpack_exports__Button as Button, __webpack_exports__ButtonAdapter as ButtonAdapter, __webpack_exports__ButtonAdapterMenu as ButtonAdapterMenu, __webpack_exports__ButtonKeyStroke as ButtonKeyStroke, __webpack_exports__ButtonLayout as ButtonLayout, __webpack_exports__ButtonTile as ButtonTile, __webpack_exports__CachedElement as CachedElement, __webpack_exports__Calculator as Calculator, __webpack_exports__Calendar as Calendar, __webpack_exports__CalendarAdapter as CalendarAdapter, __webpack_exports__CalendarComponent as CalendarComponent, __webpack_exports__CalendarComponentAdapter as CalendarComponentAdapter, __webpack_exports__CalendarField as CalendarField, __webpack_exports__CalendarFieldAdapter as CalendarFieldAdapter, __webpack_exports__CalendarLayout as CalendarLayout, __webpack_exports__CalendarListComponent as CalendarListComponent, __webpack_exports__CalendarModeMenu as CalendarModeMenu, __webpack_exports__CalendarModesMenu as CalendarModesMenu, __webpack_exports__CalendarResourceLookupCall as CalendarResourceLookupCall, __webpack_exports__CalendarSidebar as CalendarSidebar, __webpack_exports__CalendarSidebarLayout as CalendarSidebarLayout, __webpack_exports__CalendarSidebarSplitter as CalendarSidebarSplitter, __webpack_exports__Call as Call, __webpack_exports__CancelMenu as CancelMenu, __webpack_exports__Carousel as Carousel, __webpack_exports__CarouselField as CarouselField, __webpack_exports__CarouselLayout as CarouselLayout, __webpack_exports__Cell as Cell, __webpack_exports__CellEditorCancelEditKeyStroke as CellEditorCancelEditKeyStroke, __webpack_exports__CellEditorCompleteEditKeyStroke as CellEditorCompleteEditKeyStroke, __webpack_exports__CellEditorPopup as CellEditorPopup, __webpack_exports__CellEditorPopupLayout as CellEditorPopupLayout, __webpack_exports__CellEditorTabKeyStroke as CellEditorTabKeyStroke, __webpack_exports__CheckBoxField as CheckBoxField, __webpack_exports__CheckBoxFieldAdapter as CheckBoxFieldAdapter, __webpack_exports__CheckBoxToggleKeyStroke as CheckBoxToggleKeyStroke, __webpack_exports__ClickActiveElementKeyStroke as ClickActiveElementKeyStroke, __webpack_exports__ClipboardField as ClipboardField, __webpack_exports__ClipboardFieldAdapter as ClipboardFieldAdapter, __webpack_exports__CloseKeyStroke as CloseKeyStroke, __webpack_exports__CloseMenu as CloseMenu, __webpack_exports__Code as Code, __webpack_exports__CodeLookupCall as CodeLookupCall, __webpack_exports__CodeType as CodeType, __webpack_exports__CodeTypeCache as CodeTypeCache, __webpack_exports__CollapseHandle as CollapseHandle, __webpack_exports__ColorField as ColorField, __webpack_exports__ColorFieldAdapter as ColorFieldAdapter, __webpack_exports__Column as Column, __webpack_exports__ColumnLayout as ColumnLayout, __webpack_exports__ColumnOptimalWidthMeasurer as ColumnOptimalWidthMeasurer, __webpack_exports__ColumnUserFilter as ColumnUserFilter, __webpack_exports__ColumnsTable as ColumnsTable, __webpack_exports__ComboMenu as ComboMenu, __webpack_exports__ComboMenuAdapter as ComboMenuAdapter, __webpack_exports__CompactBean as CompactBean, __webpack_exports__CompactColumn as CompactColumn, __webpack_exports__CompactLine as CompactLine, __webpack_exports__CompactLineBlock as CompactLineBlock, __webpack_exports__CompactTree as CompactTree, __webpack_exports__CompactTreeDownKeyStroke as CompactTreeDownKeyStroke, __webpack_exports__CompactTreeLeftKeyStroke as CompactTreeLeftKeyStroke, __webpack_exports__CompactTreeNode as CompactTreeNode, __webpack_exports__CompactTreeRightKeyStroke as CompactTreeRightKeyStroke, __webpack_exports__CompactTreeUpKeyStroke as CompactTreeUpKeyStroke, __webpack_exports__Composite as Composite, __webpack_exports__CompositeField as CompositeField, __webpack_exports__CompositeFieldAdapter as CompositeFieldAdapter, __webpack_exports__CompositeTile as CompositeTile, __webpack_exports__ConfigPropertyCache as ConfigPropertyCache, __webpack_exports__ContextMenuKeyStroke as ContextMenuKeyStroke, __webpack_exports__ContextMenuPopup as ContextMenuPopup, __webpack_exports__ContextMenuPopupLayout as ContextMenuPopupLayout, __webpack_exports__CopyKeyStroke as CopyKeyStroke, __webpack_exports__DateColumn as DateColumn, __webpack_exports__DateColumnUserFilter as DateColumnUserFilter, __webpack_exports__DateField as DateField, __webpack_exports__DateFieldAdapter as DateFieldAdapter, __webpack_exports__DateFormat as DateFormat, __webpack_exports__DateFormatPatternDefinition as DateFormatPatternDefinition, __webpack_exports__DateFormatPatternType as DateFormatPatternType, __webpack_exports__DatePicker as DatePicker, __webpack_exports__DatePickerPopup as DatePickerPopup, __webpack_exports__DatePickerPopupLayout as DatePickerPopupLayout, __webpack_exports__DatePickerTouchPopup as DatePickerTouchPopup, __webpack_exports__DatePickerTouchPopupLayout as DatePickerTouchPopupLayout, __webpack_exports__DatePredictionFailedStatus as DatePredictionFailedStatus, __webpack_exports__DateRange as DateRange, __webpack_exports__DateTimeCompositeLayout as DateTimeCompositeLayout, __webpack_exports__DecimalFormat as DecimalFormat, __webpack_exports__DefaultStatus as DefaultStatus, __webpack_exports__DefaultTableAccessibilityRenderer as DefaultTableAccessibilityRenderer, __webpack_exports__DeferredGlassPaneTarget as DeferredGlassPaneTarget, __webpack_exports__Desktop as Desktop, __webpack_exports__DesktopAdapter as DesktopAdapter, __webpack_exports__DesktopBench as DesktopBench, __webpack_exports__DesktopFormController as DesktopFormController, __webpack_exports__DesktopHeader as DesktopHeader, __webpack_exports__DesktopHeaderLayout as DesktopHeaderLayout, __webpack_exports__DesktopLayout as DesktopLayout, __webpack_exports__DesktopLogo as DesktopLogo, __webpack_exports__DesktopNavigation as DesktopNavigation, __webpack_exports__DesktopNavigationHandle as DesktopNavigationHandle, __webpack_exports__DesktopNavigationLayout as DesktopNavigationLayout, __webpack_exports__DesktopNotification as DesktopNotification, __webpack_exports__DesktopNotificationAdapter as DesktopNotificationAdapter, __webpack_exports__DesktopResponsiveHandler as DesktopResponsiveHandler, __webpack_exports__DesktopTab as DesktopTab, __webpack_exports__DesktopTabArea as DesktopTabArea, __webpack_exports__DesktopTabAreaLayout as DesktopTabAreaLayout, __webpack_exports__DesktopTabBoxController as DesktopTabBoxController, __webpack_exports__DesktopTabSelectKeyStroke as DesktopTabSelectKeyStroke, __webpack_exports__DesktopToolBox as DesktopToolBox, __webpack_exports__DetailTableTreeFilter as DetailTableTreeFilter, __webpack_exports__Device as Device, __webpack_exports__DialogLayout as DialogLayout, __webpack_exports__Dimension as Dimension, __webpack_exports__DisableBrowserF5ReloadKeyStroke as DisableBrowserF5ReloadKeyStroke, __webpack_exports__DisableBrowserTabSwitchingKeyStroke as DisableBrowserTabSwitchingKeyStroke, __webpack_exports__DisplayChildController as DisplayChildController, __webpack_exports__DoubleClickSupport as DoubleClickSupport, __webpack_exports__DragAndDropHandler as DragAndDropHandler, __webpack_exports__DropType as DropType, __webpack_exports__EllipsisMenu as EllipsisMenu, __webpack_exports__EllipsisTabMenu as EllipsisTabMenu, __webpack_exports__EnlargeNavigationKeyStroke as EnlargeNavigationKeyStroke, __webpack_exports__ErrorHandler as ErrorHandler, __webpack_exports__Event as Event, __webpack_exports__EventDelegator as EventDelegator, __webpack_exports__EventEmitter as EventEmitter, __webpack_exports__EventSupport as EventSupport, __webpack_exports__Extension as Extension, __webpack_exports__FieldStatus as FieldStatus, __webpack_exports__FileChooser as FileChooser, __webpack_exports__FileChooserAdapter as FileChooserAdapter, __webpack_exports__FileChooserButton as FileChooserButton, __webpack_exports__FileChooserButtonAdapter as FileChooserButtonAdapter, __webpack_exports__FileChooserController as FileChooserController, __webpack_exports__FileChooserField as FileChooserField, __webpack_exports__FileChooserFieldAdapter as FileChooserFieldAdapter, __webpack_exports__FileChooserFieldBrowseKeyStroke as FileChooserFieldBrowseKeyStroke, __webpack_exports__FileChooserFieldDeleteKeyStroke as FileChooserFieldDeleteKeyStroke, __webpack_exports__FileInput as FileInput, __webpack_exports__FilterFieldsGroupBox as FilterFieldsGroupBox, __webpack_exports__FilterSupport as FilterSupport, __webpack_exports__FlexboxLayout as FlexboxLayout, __webpack_exports__FlexboxLayoutData as FlexboxLayoutData, __webpack_exports__FocusAdjacentElementKeyStroke as FocusAdjacentElementKeyStroke, __webpack_exports__FocusContext as FocusContext, __webpack_exports__FocusFilterFieldKeyStroke as FocusFilterFieldKeyStroke, __webpack_exports__FocusManager as FocusManager, __webpack_exports__FocusRule as FocusRule, __webpack_exports__Form as Form, __webpack_exports__FormAdapter as FormAdapter, __webpack_exports__FormController as FormController, __webpack_exports__FormField as FormField, __webpack_exports__FormFieldAdapter as FormFieldAdapter, __webpack_exports__FormFieldLayout as FormFieldLayout, __webpack_exports__FormFieldMenu as FormFieldMenu, __webpack_exports__FormFieldMenuAdapter as FormFieldMenuAdapter, __webpack_exports__FormFieldTile as FormFieldTile, __webpack_exports__FormFieldTileAdapter as FormFieldTileAdapter, __webpack_exports__FormFieldValidationResultProvider as FormFieldValidationResultProvider, __webpack_exports__FormGrid as FormGrid, __webpack_exports__FormLayout as FormLayout, __webpack_exports__FormLifecycle as FormLifecycle, __webpack_exports__FormLifecycleMenu as FormLifecycleMenu, __webpack_exports__FormMenu as FormMenu, __webpack_exports__FormMenuActionKeyStroke as FormMenuActionKeyStroke, __webpack_exports__FormMenuAdapter as FormMenuAdapter, __webpack_exports__FormTableControl as FormTableControl, __webpack_exports__FormTableControlAdapter as FormTableControlAdapter, __webpack_exports__FormTableControlLayout as FormTableControlLayout, __webpack_exports__GeoLocationUiHandler as GeoLocationUiHandler, __webpack_exports__GlassPane as GlassPane, __webpack_exports__GlassPaneRenderer as GlassPaneRenderer, __webpack_exports__GridData as GridData, __webpack_exports__Group as Group, __webpack_exports__GroupAdapter as GroupAdapter, __webpack_exports__GroupBox as GroupBox, __webpack_exports__GroupBoxAdapter as GroupBoxAdapter, __webpack_exports__GroupBoxGridConfig as GroupBoxGridConfig, __webpack_exports__GroupBoxLayout as GroupBoxLayout, __webpack_exports__GroupBoxMenuItemsOrder as GroupBoxMenuItemsOrder, __webpack_exports__GroupBoxResponsiveHandler as GroupBoxResponsiveHandler, __webpack_exports__GroupLayout as GroupLayout, __webpack_exports__GroupToggleCollapseKeyStroke as GroupToggleCollapseKeyStroke, __webpack_exports__HAlign as HAlign, __webpack_exports__HeaderTabBoxController as HeaderTabBoxController, __webpack_exports__HierarchicalLookupResultBuilder as HierarchicalLookupResultBuilder, __webpack_exports__HierarchicalTableAccessibilityRenderer as HierarchicalTableAccessibilityRenderer, __webpack_exports__HorizontalGrid as HorizontalGrid, __webpack_exports__HorizontalGridMatrix as HorizontalGridMatrix, __webpack_exports__HtmlComponent as HtmlComponent, __webpack_exports__HtmlEncoder as HtmlEncoder, __webpack_exports__HtmlEnvironment as HtmlEnvironment, __webpack_exports__HtmlField as HtmlField, __webpack_exports__HtmlFieldAdapter as HtmlFieldAdapter, __webpack_exports__HtmlTile as HtmlTile, __webpack_exports__HtmlTileAdapter as HtmlTileAdapter, __webpack_exports__HybridActionContextElement as HybridActionContextElement, __webpack_exports__HybridActionContextElementConverter as HybridActionContextElementConverter, __webpack_exports__HybridActionContextElementConverters as HybridActionContextElementConverters, __webpack_exports__HybridActionContextElements as HybridActionContextElements, __webpack_exports__HybridManager as HybridManager, __webpack_exports__HybridManagerAdapter as HybridManagerAdapter, __webpack_exports__IFrame as IFrame, __webpack_exports__IFrameKeyStrokeContext as IFrameKeyStrokeContext, __webpack_exports__Icon as Icon, __webpack_exports__IconColumn as IconColumn, __webpack_exports__IconDesc as IconDesc, __webpack_exports__Image as Image, __webpack_exports__ImageField as ImageField, __webpack_exports__ImageFieldAdapter as ImageFieldAdapter, __webpack_exports__ImageFieldLayout as ImageFieldLayout, __webpack_exports__ImageLayout as ImageLayout, __webpack_exports__InputFieldKeyStrokeContext as InputFieldKeyStrokeContext, __webpack_exports__Insets as Insets, __webpack_exports__IntegerField as IntegerField, __webpack_exports__JsFormAdapter as JsFormAdapter, __webpack_exports__Key as Key, __webpack_exports__KeyStroke as KeyStroke, __webpack_exports__KeyStrokeContext as KeyStrokeContext, __webpack_exports__KeyStrokeManager as KeyStrokeManager, __webpack_exports__KeyTableFilter as KeyTableFilter, __webpack_exports__Label as Label, __webpack_exports__LabelAdapter as LabelAdapter, __webpack_exports__LabelField as LabelField, __webpack_exports__LabelFieldAdapter as LabelFieldAdapter, __webpack_exports__LayoutConstants as LayoutConstants, __webpack_exports__LayoutValidator as LayoutValidator, __webpack_exports__LazyNodeFilter as LazyNodeFilter, __webpack_exports__Lifecycle as Lifecycle, __webpack_exports__LimitedResultTableStatus as LimitedResultTableStatus, __webpack_exports__ListBox as ListBox, __webpack_exports__ListBoxAdapter as ListBoxAdapter, __webpack_exports__ListBoxLayout as ListBoxLayout, __webpack_exports__ListBoxTableAccessibilityRenderer as ListBoxTableAccessibilityRenderer, __webpack_exports__LoadingSupport as LoadingSupport, __webpack_exports__Locale as Locale, __webpack_exports__LogLevel as LogLevel, __webpack_exports__LogicalGrid as LogicalGrid, __webpack_exports__LogicalGridConfig as LogicalGridConfig, __webpack_exports__LogicalGridData as LogicalGridData, __webpack_exports__LogicalGridLayout as LogicalGridLayout, __webpack_exports__LogicalGridLayoutConfig as LogicalGridLayoutConfig, __webpack_exports__LogicalGridLayoutInfo as LogicalGridLayoutInfo, __webpack_exports__LogicalGridLayoutSpy as LogicalGridLayoutSpy, __webpack_exports__LogicalGridMatrix as LogicalGridMatrix, __webpack_exports__LogicalGridMatrixCell as LogicalGridMatrixCell, __webpack_exports__LogicalGridMatrixCursor as LogicalGridMatrixCursor, __webpack_exports__LoginApp as LoginApp, __webpack_exports__LoginBox as LoginBox, __webpack_exports__LogoutApp as LogoutApp, __webpack_exports__LogoutBox as LogoutBox, __webpack_exports__LookupBox as LookupBox, __webpack_exports__LookupBoxLayout as LookupBoxLayout, __webpack_exports__LookupCall as LookupCall, __webpack_exports__LookupCallColumn as LookupCallColumn, __webpack_exports__LookupColumn as LookupColumn, __webpack_exports__LookupEditor as LookupEditor, __webpack_exports__LookupEditorTreeLayout as LookupEditorTreeLayout, __webpack_exports__LookupFieldAdapter as LookupFieldAdapter, __webpack_exports__LookupRow as LookupRow, __webpack_exports__MaxLengthHandler as MaxLengthHandler, __webpack_exports__Menu as Menu, __webpack_exports__MenuAdapter as MenuAdapter, __webpack_exports__MenuBar as MenuBar, __webpack_exports__MenuBarBox as MenuBarBox, __webpack_exports__MenuBarBoxLayout as MenuBarBoxLayout, __webpack_exports__MenuBarLayout as MenuBarLayout, __webpack_exports__MenuBarLeftKeyStroke as MenuBarLeftKeyStroke, __webpack_exports__MenuBarPopup as MenuBarPopup, __webpack_exports__MenuBarRightKeyStroke as MenuBarRightKeyStroke, __webpack_exports__MenuBox as MenuBox, __webpack_exports__MenuBoxLayout as MenuBoxLayout, __webpack_exports__MenuDestinations as MenuDestinations, __webpack_exports__MenuExecByNumberKeyStroke as MenuExecByNumberKeyStroke, __webpack_exports__MenuExecKeyStroke as MenuExecKeyStroke, __webpack_exports__MenuItemsOrder as MenuItemsOrder, __webpack_exports__MenuKeyStroke as MenuKeyStroke, __webpack_exports__MenuNavigationDownKeyStroke as MenuNavigationDownKeyStroke, __webpack_exports__MenuNavigationExecKeyStroke as MenuNavigationExecKeyStroke, __webpack_exports__MenuNavigationKeyStroke as MenuNavigationKeyStroke, __webpack_exports__MenuNavigationUpKeyStroke as MenuNavigationUpKeyStroke, __webpack_exports__MessageBox as MessageBox, __webpack_exports__MessageBoxAdapter as MessageBoxAdapter, __webpack_exports__MessageBoxController as MessageBoxController, __webpack_exports__MessageBoxLayout as MessageBoxLayout, __webpack_exports__MessageBoxes as MessageBoxes, __webpack_exports__MobilePopup as MobilePopup, __webpack_exports__MobilePopupAdapter as MobilePopupAdapter, __webpack_exports__MobilePopupLayout as MobilePopupLayout, __webpack_exports__Mode as Mode, __webpack_exports__ModeAdapter as ModeAdapter, __webpack_exports__ModeSelector as ModeSelector, __webpack_exports__ModeSelectorField as ModeSelectorField, __webpack_exports__ModeSelectorFieldAdapter as ModeSelectorFieldAdapter, __webpack_exports__ModeSelectorLayout as ModeSelectorLayout, __webpack_exports__ModeSelectorLeftOrUpKeyStroke as ModeSelectorLeftOrUpKeyStroke, __webpack_exports__ModeSelectorRightOrDownKeyStroke as ModeSelectorRightOrDownKeyStroke, __webpack_exports__ModelAdapter as ModelAdapter, __webpack_exports__MoveSupport as MoveSupport, __webpack_exports__NavigateButton as NavigateButton, __webpack_exports__NavigateDownButton as NavigateDownButton, __webpack_exports__NavigateUpButton as NavigateUpButton, __webpack_exports__Notification as Notification, __webpack_exports__NotificationAdapter as NotificationAdapter, __webpack_exports__NotificationBadgeStatus as NotificationBadgeStatus, __webpack_exports__NullLayout as NullLayout, __webpack_exports__NullLogger as NullLogger, __webpack_exports__NullWidget as NullWidget, __webpack_exports__NullWidgetAdapter as NullWidgetAdapter, __webpack_exports__NumberColumn as NumberColumn, __webpack_exports__NumberColumnUserFilter as NumberColumnUserFilter, __webpack_exports__NumberField as NumberField, __webpack_exports__NumberFieldAdapter as NumberFieldAdapter, __webpack_exports__ObjectFactory as ObjectFactory, __webpack_exports__OfflineDesktopNotification as OfflineDesktopNotification, __webpack_exports__OkMenu as OkMenu, __webpack_exports__OpenUriHandler as OpenUriHandler, __webpack_exports__Outline as Outline, __webpack_exports__OutlineAdapter as OutlineAdapter, __webpack_exports__OutlineKeyStrokeContext as OutlineKeyStrokeContext, __webpack_exports__OutlineLayout as OutlineLayout, __webpack_exports__OutlineMediator as OutlineMediator, __webpack_exports__OutlineNavigateToTopKeyStroke as OutlineNavigateToTopKeyStroke, __webpack_exports__OutlineOverview as OutlineOverview, __webpack_exports__OutlineTileField as OutlineTileField, __webpack_exports__OutlineTileFieldAdapter as OutlineTileFieldAdapter, __webpack_exports__OutlineViewButton as OutlineViewButton, __webpack_exports__OutlineViewButtonAdapter as OutlineViewButtonAdapter, __webpack_exports__Page as Page, __webpack_exports__PageLayout as PageLayout, __webpack_exports__PageTileButton as PageTileButton, __webpack_exports__PageTileGrid as PageTileGrid, __webpack_exports__PageTileGridSelectKeyStroke as PageTileGridSelectKeyStroke, __webpack_exports__PageWithNodes as PageWithNodes, __webpack_exports__PageWithTable as PageWithTable, __webpack_exports__ParsingFailedStatus as ParsingFailedStatus, __webpack_exports__Permission as Permission, __webpack_exports__PermissionCollection as PermissionCollection, __webpack_exports__PermissionCollectionType as PermissionCollectionType, __webpack_exports__PlaceholderField as PlaceholderField, __webpack_exports__PlaceholderFieldAdapter as PlaceholderFieldAdapter, __webpack_exports__PlaceholderTile as PlaceholderTile, __webpack_exports__PlainTextEncoder as PlainTextEncoder, __webpack_exports__Planner as Planner, __webpack_exports__PlannerAdapter as PlannerAdapter, __webpack_exports__PlannerField as PlannerField, __webpack_exports__PlannerFieldAdapter as PlannerFieldAdapter, __webpack_exports__PlannerHeader as PlannerHeader, __webpack_exports__PlannerLayout as PlannerLayout, __webpack_exports__PlannerMenuItemsOrder as PlannerMenuItemsOrder, __webpack_exports__Point as Point, __webpack_exports__Popup as Popup, __webpack_exports__PopupAdapter as PopupAdapter, __webpack_exports__PopupBlockerDesktopNotification as PopupBlockerDesktopNotification, __webpack_exports__PopupBlockerHandler as PopupBlockerHandler, __webpack_exports__PopupLayout as PopupLayout, __webpack_exports__PopupManager as PopupManager, __webpack_exports__PopupManagerAdapter as PopupManagerAdapter, __webpack_exports__PopupWindow as PopupWindow, __webpack_exports__PrepopulatedLookupCall as PrepopulatedLookupCall, __webpack_exports__PromiseCreator as PromiseCreator, __webpack_exports__PropertyChangeEventFilter as PropertyChangeEventFilter, __webpack_exports__PropertyEventEmitter as PropertyEventEmitter, __webpack_exports__ProposalChooser as ProposalChooser, __webpack_exports__ProposalChooserLayout as ProposalChooserLayout, __webpack_exports__ProposalField as ProposalField, __webpack_exports__ProposalFieldAdapter as ProposalFieldAdapter, __webpack_exports__ProposalTreeNode as ProposalTreeNode, __webpack_exports__QueryBy as QueryBy, __webpack_exports__RadioButton as RadioButton, __webpack_exports__RadioButtonAdapter as RadioButtonAdapter, __webpack_exports__RadioButtonGroup as RadioButtonGroup, __webpack_exports__RadioButtonGroupAdapter as RadioButtonGroupAdapter, __webpack_exports__RadioButtonGroupGridConfig as RadioButtonGroupGridConfig, __webpack_exports__RadioButtonGroupLeftOrUpKeyStroke as RadioButtonGroupLeftOrUpKeyStroke, __webpack_exports__RadioButtonGroupRightOrDownKeyStroke as RadioButtonGroupRightOrDownKeyStroke, __webpack_exports__RadioButtonKeyStroke as RadioButtonKeyStroke, __webpack_exports__RadioButtonLayout as RadioButtonLayout, __webpack_exports__Range as Range, __webpack_exports__RangeKeyStroke as RangeKeyStroke, __webpack_exports__Reconnector as Reconnector, __webpack_exports__Rectangle as Rectangle, __webpack_exports__RemoteApp as RemoteApp, __webpack_exports__RemoteEvent as RemoteEvent, __webpack_exports__RemoteLookupCall as RemoteLookupCall, __webpack_exports__RemoteLookupRequest as RemoteLookupRequest, __webpack_exports__RemoteTableOrganizer as RemoteTableOrganizer, __webpack_exports__RemoteTileFilter as RemoteTileFilter, __webpack_exports__ResetMenu as ResetMenu, __webpack_exports__Resizable as Resizable, __webpack_exports__ResourcePanel as ResourcePanel, __webpack_exports__ResourcePanelTreeNode as ResourcePanelTreeNode, __webpack_exports__ResponseQueue as ResponseQueue, __webpack_exports__ResponsiveHandler as ResponsiveHandler, __webpack_exports__ResponsiveManager as ResponsiveManager, __webpack_exports__RestLookupCall as RestLookupCall, __webpack_exports__RoundingMode as RoundingMode, __webpack_exports__Route as Route, __webpack_exports__RouteChangeEvent as RouteChangeEvent, __webpack_exports__RowLayout as RowLayout, __webpack_exports__SaveMenu as SaveMenu, __webpack_exports__Scrollbar as Scrollbar, __webpack_exports__SearchMenu as SearchMenu, __webpack_exports__SearchOutline as SearchOutline, __webpack_exports__SearchOutlineAdapter as SearchOutlineAdapter, __webpack_exports__SearchOutlineLayout as SearchOutlineLayout, __webpack_exports__SelectAllTextInFieldKeyStroke as SelectAllTextInFieldKeyStroke, __webpack_exports__SequenceBox as SequenceBox, __webpack_exports__SequenceBoxAdapter as SequenceBoxAdapter, __webpack_exports__SequenceBoxGridConfig as SequenceBoxGridConfig, __webpack_exports__Session as Session, __webpack_exports__SessionAdapter as SessionAdapter, __webpack_exports__ShowInvisibleColumnsForm as ShowInvisibleColumnsForm, __webpack_exports__ShrinkNavigationKeyStroke as ShrinkNavigationKeyStroke, __webpack_exports__SimpleLoadingSupport as SimpleLoadingSupport, __webpack_exports__SimpleTab as SimpleTab, __webpack_exports__SimpleTabArea as SimpleTabArea, __webpack_exports__SimpleTabAreaLayout as SimpleTabAreaLayout, __webpack_exports__SimpleTabBox as SimpleTabBox, __webpack_exports__SimpleTabBoxController as SimpleTabBoxController, __webpack_exports__SimpleTabBoxLayout as SimpleTabBoxLayout, __webpack_exports__SimpleTabViewContentLayout as SimpleTabViewContentLayout, __webpack_exports__SingleLayout as SingleLayout, __webpack_exports__Slider as Slider, __webpack_exports__SliderAdapter as SliderAdapter, __webpack_exports__SliderField as SliderField, __webpack_exports__SliderFieldLayout as SliderFieldLayout, __webpack_exports__SliderLayout as SliderLayout, __webpack_exports__SliderNavigationKeyStroke as SliderNavigationKeyStroke, __webpack_exports__SliderShiftNavigationKeyStroke as SliderShiftNavigationKeyStroke, __webpack_exports__SmartColumn as SmartColumn, __webpack_exports__SmartField as SmartField, __webpack_exports__SmartFieldAdapter as SmartFieldAdapter, __webpack_exports__SmartFieldCancelKeyStroke as SmartFieldCancelKeyStroke, __webpack_exports__SmartFieldLayout as SmartFieldLayout, __webpack_exports__SmartFieldMultiline as SmartFieldMultiline, __webpack_exports__SmartFieldMultilineAdapter as SmartFieldMultilineAdapter, __webpack_exports__SmartFieldMultilineLayout as SmartFieldMultilineLayout, __webpack_exports__SmartFieldPopup as SmartFieldPopup, __webpack_exports__SmartFieldPopupLayout as SmartFieldPopupLayout, __webpack_exports__SmartFieldTouchPopup as SmartFieldTouchPopup, __webpack_exports__SplitBox as SplitBox, __webpack_exports__SplitBoxAdapter as SplitBoxAdapter, __webpack_exports__SplitBoxCollapseKeyStroke as SplitBoxCollapseKeyStroke, __webpack_exports__SplitBoxFirstCollapseKeyStroke as SplitBoxFirstCollapseKeyStroke, __webpack_exports__SplitBoxLayout as SplitBoxLayout, __webpack_exports__SplitBoxSecondCollapseKeyStroke as SplitBoxSecondCollapseKeyStroke, __webpack_exports__Splitter as Splitter, __webpack_exports__StaticLookupCall as StaticLookupCall, __webpack_exports__Status as Status, __webpack_exports__StatusMenuMapping as StatusMenuMapping, __webpack_exports__StatusMenuMappingAdapter as StatusMenuMappingAdapter, __webpack_exports__StringField as StringField, __webpack_exports__StringFieldAdapter as StringFieldAdapter, __webpack_exports__StringFieldCtrlEnterKeyStroke as StringFieldCtrlEnterKeyStroke, __webpack_exports__StringFieldEnterKeyStroke as StringFieldEnterKeyStroke, __webpack_exports__StringFieldLayout as StringFieldLayout, __webpack_exports__SubCloseKeyStroke as SubCloseKeyStroke, __webpack_exports__Switch as Switch, __webpack_exports__SwitchAdapter as SwitchAdapter, __webpack_exports__SwitchNavigationKeyStroke as SwitchNavigationKeyStroke, __webpack_exports__SwitchToggleKeyStroke as SwitchToggleKeyStroke, __webpack_exports__System as System, __webpack_exports__Tab as Tab, __webpack_exports__TabArea as TabArea, __webpack_exports__TabAreaLayout as TabAreaLayout, __webpack_exports__TabAreaLeftKeyStroke as TabAreaLeftKeyStroke, __webpack_exports__TabAreaRightKeyStroke as TabAreaRightKeyStroke, __webpack_exports__TabBox as TabBox, __webpack_exports__TabBoxAdapter as TabBoxAdapter, __webpack_exports__TabBoxHeader as TabBoxHeader, __webpack_exports__TabBoxHeaderLayout as TabBoxHeaderLayout, __webpack_exports__TabBoxLayout as TabBoxLayout, __webpack_exports__TabItem as TabItem, __webpack_exports__TabItemAdapter as TabItemAdapter, __webpack_exports__TabItemKeyStroke as TabItemKeyStroke, __webpack_exports__TabItemLayout as TabItemLayout, __webpack_exports__Table as Table, __webpack_exports__TableAdapter as TableAdapter, __webpack_exports__TableColumnContextElementConverter as TableColumnContextElementConverter, __webpack_exports__TableCompactHandler as TableCompactHandler, __webpack_exports__TableControl as TableControl, __webpack_exports__TableControlActionKeyStroke as TableControlActionKeyStroke, __webpack_exports__TableControlAdapter as TableControlAdapter, __webpack_exports__TableControlAdapterMenu as TableControlAdapterMenu, __webpack_exports__TableControlCloseKeyStroke as TableControlCloseKeyStroke, __webpack_exports__TableCopyKeyStroke as TableCopyKeyStroke, __webpack_exports__TableField as TableField, __webpack_exports__TableFieldAdapter as TableFieldAdapter, __webpack_exports__TableFieldValidationResultProvider as TableFieldValidationResultProvider, __webpack_exports__TableFooter as TableFooter, __webpack_exports__TableFooterLayout as TableFooterLayout, __webpack_exports__TableHeader as TableHeader, __webpack_exports__TableHeaderMenu as TableHeaderMenu, __webpack_exports__TableHeaderMenuButton as TableHeaderMenuButton, __webpack_exports__TableHeaderMenuGroup as TableHeaderMenuGroup, __webpack_exports__TableHeaderMenuLayout as TableHeaderMenuLayout, __webpack_exports__TableInfoFilterTooltip as TableInfoFilterTooltip, __webpack_exports__TableInfoLoadTooltip as TableInfoLoadTooltip, __webpack_exports__TableInfoSelectionTooltip as TableInfoSelectionTooltip, __webpack_exports__TableLayout as TableLayout, __webpack_exports__TableLayoutResetter as TableLayoutResetter, __webpack_exports__TableMatrix as TableMatrix, __webpack_exports__TableMaxResultsHelper as TableMaxResultsHelper, __webpack_exports__TableNavigationCollapseKeyStroke as TableNavigationCollapseKeyStroke, __webpack_exports__TableNavigationDownKeyStroke as TableNavigationDownKeyStroke, __webpack_exports__TableNavigationEndKeyStroke as TableNavigationEndKeyStroke, __webpack_exports__TableNavigationExpandKeyStroke as TableNavigationExpandKeyStroke, __webpack_exports__TableNavigationHomeKeyStroke as TableNavigationHomeKeyStroke, __webpack_exports__TableNavigationPageDownKeyStroke as TableNavigationPageDownKeyStroke, __webpack_exports__TableNavigationPageUpKeyStroke as TableNavigationPageUpKeyStroke, __webpack_exports__TableNavigationUpKeyStroke as TableNavigationUpKeyStroke, __webpack_exports__TableOrganizer as TableOrganizer, __webpack_exports__TableProposalChooser as TableProposalChooser, __webpack_exports__TableRefreshKeyStroke as TableRefreshKeyStroke, __webpack_exports__TableRow as TableRow, __webpack_exports__TableRowContextElementConverter as TableRowContextElementConverter, __webpack_exports__TableRowDetail as TableRowDetail, __webpack_exports__TableRowTileMapping as TableRowTileMapping, __webpack_exports__TableRowTileMappingAdapter as TableRowTileMappingAdapter, __webpack_exports__TableSelectAllKeyStroke as TableSelectAllKeyStroke, __webpack_exports__TableSelectionHandler as TableSelectionHandler, __webpack_exports__TableStartCellEditKeyStroke as TableStartCellEditKeyStroke, __webpack_exports__TableTextUserFilter as TableTextUserFilter, __webpack_exports__TableTileGridMediator as TableTileGridMediator, __webpack_exports__TableTileGridMediatorAdapter as TableTileGridMediatorAdapter, __webpack_exports__TableToggleRowKeyStroke as TableToggleRowKeyStroke, __webpack_exports__TableTooltip as TableTooltip, __webpack_exports__TableUpdateBuffer as TableUpdateBuffer, __webpack_exports__TableUserFilter as TableUserFilter, __webpack_exports__TagBar as TagBar, __webpack_exports__TagBarLayout as TagBarLayout, __webpack_exports__TagBarOverflowPopup as TagBarOverflowPopup, __webpack_exports__TagBarOverflowPopupLayout as TagBarOverflowPopupLayout, __webpack_exports__TagChooserPopup as TagChooserPopup, __webpack_exports__TagChooserPopupLayout as TagChooserPopupLayout, __webpack_exports__TagField as TagField, __webpack_exports__TagFieldAdapter as TagFieldAdapter, __webpack_exports__TagFieldContainerLayout as TagFieldContainerLayout, __webpack_exports__TagFieldDeleteKeyStroke as TagFieldDeleteKeyStroke, __webpack_exports__TagFieldEnterKeyStroke as TagFieldEnterKeyStroke, __webpack_exports__TagFieldLayout as TagFieldLayout, __webpack_exports__TagFieldNavigationKeyStroke as TagFieldNavigationKeyStroke, __webpack_exports__TagFieldOpenPopupKeyStroke as TagFieldOpenPopupKeyStroke, __webpack_exports__TextColumnUserFilter as TextColumnUserFilter, __webpack_exports__TextMap as TextMap, __webpack_exports__TextTableFilter as TextTableFilter, __webpack_exports__Tile as Tile, __webpack_exports__TileAccordion as TileAccordion, __webpack_exports__TileAccordionAdapter as TileAccordionAdapter, __webpack_exports__TileAccordionLayout as TileAccordionLayout, __webpack_exports__TileAccordionSelectionHandler as TileAccordionSelectionHandler, __webpack_exports__TileAdapter as TileAdapter, __webpack_exports__TileButton as TileButton, __webpack_exports__TileField as TileField, __webpack_exports__TileFieldAdapter as TileFieldAdapter, __webpack_exports__TileGrid as TileGrid, __webpack_exports__TileGridAdapter as TileGridAdapter, __webpack_exports__TileGridGridConfig as TileGridGridConfig, __webpack_exports__TileGridLayout as TileGridLayout, __webpack_exports__TileGridLayoutConfig as TileGridLayoutConfig, __webpack_exports__TileGridMoveSupport as TileGridMoveSupport, __webpack_exports__TileGridSelectAllKeyStroke as TileGridSelectAllKeyStroke, __webpack_exports__TileGridSelectDownKeyStroke as TileGridSelectDownKeyStroke, __webpack_exports__TileGridSelectFirstKeyStroke as TileGridSelectFirstKeyStroke, __webpack_exports__TileGridSelectKeyStroke as TileGridSelectKeyStroke, __webpack_exports__TileGridSelectLastKeyStroke as TileGridSelectLastKeyStroke, __webpack_exports__TileGridSelectLeftKeyStroke as TileGridSelectLeftKeyStroke, __webpack_exports__TileGridSelectRightKeyStroke as TileGridSelectRightKeyStroke, __webpack_exports__TileGridSelectUpKeyStroke as TileGridSelectUpKeyStroke, __webpack_exports__TileGridSelectionHandler as TileGridSelectionHandler, __webpack_exports__TileHtmlField as TileHtmlField, __webpack_exports__TileMoveHandler as TileMoveHandler, __webpack_exports__TileOutlineOverview as TileOutlineOverview, __webpack_exports__TileOverviewForm as TileOverviewForm, __webpack_exports__TileOverviewFormAdapter as TileOverviewFormAdapter, __webpack_exports__TileResizeHandler as TileResizeHandler, __webpack_exports__TileTableField as TileTableField, __webpack_exports__TileTableHeaderBox as TileTableHeaderBox, __webpack_exports__TileTableHeaderGroupByLookupCall as TileTableHeaderGroupByLookupCall, __webpack_exports__TileTableHeaderSortByLookupCall as TileTableHeaderSortByLookupCall, __webpack_exports__TileTableHierarchyFilter as TileTableHierarchyFilter, __webpack_exports__TileTextFilter as TileTextFilter, __webpack_exports__TimePicker as TimePicker, __webpack_exports__TimePickerPopup as TimePickerPopup, __webpack_exports__TimePickerPopupLayout as TimePickerPopupLayout, __webpack_exports__TimePickerTouchPopup as TimePickerTouchPopup, __webpack_exports__Tooltip as Tooltip, __webpack_exports__TooltipSupport as TooltipSupport, __webpack_exports__TouchPopup as TouchPopup, __webpack_exports__TouchPopupLayout as TouchPopupLayout, __webpack_exports__Tree as Tree, __webpack_exports__TreeAdapter as TreeAdapter, __webpack_exports__TreeBox as TreeBox, __webpack_exports__TreeBoxAdapter as TreeBoxAdapter, __webpack_exports__TreeBoxLayout as TreeBoxLayout, __webpack_exports__TreeBreadcrumbFilter as TreeBreadcrumbFilter, __webpack_exports__TreeCheckNodesResult as TreeCheckNodesResult, __webpack_exports__TreeCollapseAllKeyStroke as TreeCollapseAllKeyStroke, __webpack_exports__TreeCollapseOrDrillUpKeyStroke as TreeCollapseOrDrillUpKeyStroke, __webpack_exports__TreeExpandOrDrillDownKeyStroke as TreeExpandOrDrillDownKeyStroke, __webpack_exports__TreeField as TreeField, __webpack_exports__TreeFieldAdapter as TreeFieldAdapter, __webpack_exports__TreeLayout as TreeLayout, __webpack_exports__TreeLayoutResetter as TreeLayoutResetter, __webpack_exports__TreeNavigationDownKeyStroke as TreeNavigationDownKeyStroke, __webpack_exports__TreeNavigationEndKeyStroke as TreeNavigationEndKeyStroke, __webpack_exports__TreeNavigationUpKeyStroke as TreeNavigationUpKeyStroke, __webpack_exports__TreeNode as TreeNode, __webpack_exports__TreeNodeContextElementConverter as TreeNodeContextElementConverter, __webpack_exports__TreeProposalChooser as TreeProposalChooser, __webpack_exports__TreeSet as TreeSet, __webpack_exports__TreeSpaceKeyStroke as TreeSpaceKeyStroke, __webpack_exports__TreeVisitResult as TreeVisitResult, __webpack_exports__TypeDescriptor as TypeDescriptor, __webpack_exports__URL as URL, __webpack_exports__UiCallbacks as UiCallbacks, __webpack_exports__UiCallbacksAdapter as UiCallbacksAdapter, __webpack_exports__UiNotificationPoller as UiNotificationPoller, __webpack_exports__UiNotificationSystem as UiNotificationSystem, __webpack_exports__UiNotifications as UiNotifications, __webpack_exports__UnsavedFormChangesForm as UnsavedFormChangesForm, __webpack_exports__UnsavedFormsLookupCall as UnsavedFormsLookupCall, __webpack_exports__UserAgent as UserAgent, __webpack_exports__UuidPool as UuidPool, __webpack_exports__UuidPoolAdapter as UuidPoolAdapter, __webpack_exports__ValidationFailedStatus as ValidationFailedStatus, __webpack_exports__ValueField as ValueField, __webpack_exports__ValueFieldAdapter as ValueFieldAdapter, __webpack_exports__VerticalGridMatrix as VerticalGridMatrix, __webpack_exports__VerticalSmartGrid as VerticalSmartGrid, __webpack_exports__ViewButton as ViewButton, __webpack_exports__ViewButtonActionKeyStroke as ViewButtonActionKeyStroke, __webpack_exports__ViewButtonAdapter as ViewButtonAdapter, __webpack_exports__ViewButtonBox as ViewButtonBox, __webpack_exports__ViewMenuOpenKeyStroke as ViewMenuOpenKeyStroke, __webpack_exports__ViewMenuPopup as ViewMenuPopup, __webpack_exports__ViewMenuPopupEnterKeyStroke as ViewMenuPopupEnterKeyStroke, __webpack_exports__ViewMenuTab as ViewMenuTab, __webpack_exports__ViewportScroller as ViewportScroller, __webpack_exports__VirtualKeyStrokeEvent as VirtualKeyStrokeEvent, __webpack_exports__VirtualScrolling as VirtualScrolling, __webpack_exports__Widget as Widget, __webpack_exports__WidgetEventTypeFilter as WidgetEventTypeFilter, __webpack_exports__WidgetField as WidgetField, __webpack_exports__WidgetFieldAdapter as WidgetFieldAdapter, __webpack_exports__WidgetFieldLayout as WidgetFieldLayout, __webpack_exports__WidgetPopup as WidgetPopup, __webpack_exports__WidgetPopupAdapter as WidgetPopupAdapter, __webpack_exports__WidgetPopupLayout as WidgetPopupLayout, __webpack_exports__WidgetSupport as WidgetSupport, __webpack_exports__WidgetTile as WidgetTile, __webpack_exports__WidgetTileAdapter as WidgetTileAdapter, __webpack_exports__WidgetTooltip as WidgetTooltip, __webpack_exports__WizardProgressField as WizardProgressField, __webpack_exports__WizardProgressFieldAdapter as WizardProgressFieldAdapter, __webpack_exports__WizardProgressFieldLayout as WizardProgressFieldLayout, __webpack_exports__WrappedFormField as WrappedFormField, __webpack_exports__WrappedFormFieldAdapter as WrappedFormFieldAdapter, __webpack_exports__YearPanel as YearPanel, __webpack_exports__access as access, __webpack_exports__aggregation as aggregation, __webpack_exports__ajax as ajax, __webpack_exports__aria as aria, __webpack_exports__arrays as arrays, __webpack_exports__clipboard as clipboard, __webpack_exports__codes as codes, __webpack_exports__colorSchemes as colorSchemes, __webpack_exports__comparators as comparators, __webpack_exports__config as config, __webpack_exports__cookies as cookies, __webpack_exports__dataObjects as dataObjects, __webpack_exports__dates as dates, __webpack_exports__default as default, __webpack_exports__defaultValues as defaultValues, __webpack_exports__dragAndDrop as dragAndDrop, __webpack_exports__events as events, __webpack_exports__fields as fields, __webpack_exports__files as files, __webpack_exports__filters as filters, __webpack_exports__focusUtils as focusUtils, __webpack_exports__fonts as fonts, __webpack_exports__graphics as graphics, __webpack_exports__icons as icons, __webpack_exports__inspector as inspector, __webpack_exports__isPropertyChangeEvent as isPropertyChangeEvent, __webpack_exports__keyStrokeModifier as keyStrokeModifier, __webpack_exports__keys as keys, __webpack_exports__locales as locales, __webpack_exports__logging as logging, __webpack_exports__lookupField as lookupField, __webpack_exports__menuNavigationKeyStrokes as menuNavigationKeyStrokes, __webpack_exports__menus as menus, __webpack_exports__mimeTypes as mimeTypes, __webpack_exports__models as models, __webpack_exports__numbers as numbers, __webpack_exports__objects as objects, __webpack_exports__promises as promises, __webpack_exports__router as router, __webpack_exports__scout as scout, __webpack_exports__scrollbars as scrollbars, __webpack_exports__strings as strings, __webpack_exports__styles as styles, __webpack_exports__systems as systems, __webpack_exports__texts as texts, __webpack_exports__tileUtil as tileUtil, __webpack_exports__tooltips as tooltips, __webpack_exports__uiNotifications as uiNotifications, __webpack_exports__webstorage as webstorage, __webpack_exports__widgets as widgets };
/******/ 

//# sourceMappingURL=eclipse-scout-core.esm.js.map